<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Log;

use App\Models\ChatLoad;
use App\Models\LoadDetail;

use Carbon\Carbon;

class CreateChatLoads extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature    = 'createchatloads:cron';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description  = 'Create Chat Loads';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $chatLoads      = ChatLoad::pluck('unique_id')->map(function ($value){
            return (int)substr($value, 5);
        })->toArray();

        $today          = Carbon::now()->copy()->startOfDay()->format('Y-m-d H:i:s');
        $add3Days       = Carbon::now()->addDays(3)->copy()->endOfDay()->format('Y-m-d H:i:s');

        $loadDetails    = LoadDetail::whereNotIn('load_id', $chatLoads)
            ->where('actual_shipper_date', '>=', $today)->where('actual_shipper_date', '<=', $add3Days)
            ->whereNotNull('load_number')
            ->get();

        foreach ($loadDetails as $loadDetail){
            chatLoadCreate($loadDetail);
        }
    }
}
