<?php

namespace App\Console\Commands;

use App\Models\Gallery;
use Carbon\Carbon;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Storage;

class GalleryRemoveDummyRecords extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'galleryRemoveDummyRecords:cron';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        Log::info('Cron Start : Update Default Fuel Surcharge for Diesel & Gas ( '.Carbon::now()->format('Y-m-d H:i:s').' )');
        $dummyRecords = Gallery::where('is_dummy', '1')->get();

        foreach ($dummyRecords as $dummyRecord){
            if (Storage::disk('public')->exists('companyAdmin/gallery/'.$dummyRecord->image)) {
                Storage::disk('public')->delete('companyAdmin/gallery/'.$dummyRecord->image);
            }
            $dummyRecord->delete();
        }
        Log::info('Cron End : Update Default Fuel Surcharge for Diesel & Gas ( '.Carbon::now()->format('Y-m-d H:i:s').' )');
    }
}
