<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Log;

use App\Models\Gallery;
use App\Models\LoadAccessorialTemp;

use File;
use Carbon\Carbon;

class LoadAccessorialTempsDestroyCron extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature    = 'loadaccessorialtempsdestroy:cron';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description  = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        Log::info('Cron Start : Load accessorial temps destroy ( '.Carbon::now()->format('Y-m-d H:i:s').' )');
        $records = LoadAccessorialTemp::where('created_at', '<=', now()->subMinutes(10)->toDateTimeString())->get();
        if($records->isNotEmpty()){
            Log::info('Total Load accessorial temps destroy : ( '.$records->count().' )');
            foreach ($records as $key => $record) {
                $galleries = Gallery::where('action_id', $record->id)
                    ->where('source', 'load_accessorial_temps')
                    ->get();
                if($galleries->isNotEmpty()){
                    foreach ($galleries as $key => $gallery) {
                        $path       = 'storage/companyAdmin/gallery/'.$gallery->image;
                        if (File::exists($path)) {
                            File::delete($path);
                        }
                        $gallery->delete();
                    }
                }
                $record->forceDelete();
            }
        }else{
            Log::info('No record found : Load accessorial temps destroy');
        }
        Log::info('Cron End : Load accessorial temps destroy ( '.Carbon::now()->format('Y-m-d H:i:s').' )');
    }
}
