<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Log;

use App\Models\Offer;

use Carbon\Carbon;

class OfferExpireCron extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature    = 'offerexpire:cron';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description  = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        Log::info('Cron Start : Offer expire ( '.Carbon::now()->format('Y-m-d H:i:s').' )');
        $offers = Offer::whereDate('created_at', Carbon::now()->subDays(14))->where('favorite', '!=', 'No')->get();
        if($offers->isNotEmpty()){
            Log::info('Total Offer expire : ( '.$offers->count().' )');
            foreach ($offers as $key => $offer) {
                $offers->status     = 4;
                $offers->status_at  = Carbon::now();
                $offers->save();
            }
        }else{
            Log::info('No record found : Offer expire');
        }
        Log::info('Cron End : Offer expire ( '.Carbon::now()->format('Y-m-d H:i:s').' )');
    }
}
