<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Log;

use App\Models\Load;
use App\Models\LoadDetail;

use App\Models\Driver;
use App\Models\CompanyAdmin;

use App\Mail\CompanyAdmin\NotificationMailToDispatcher;

use Mail;
use Carbon\Carbon;

class OnHoldSendNotification1Hours extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature    = 'onhold:1hours';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description  = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        Log::info('Cron start : On hold 1 hour mail notification ( '.Carbon::now()->format('Y-m-d H:i:s').' )');

        $getDispatc = getOnHoldDispatcher(1);
        foreach($getDispatc as $data){
            Mail::to($data['email'])->send(new NotificationMailToDispatcher($data));
        }

        if(count($getDispatc) > 0){
            Log::info('1 hour total email sent '.count($getDispatc));
        }else{
            Log::info('No record found.');
        }

        Log::info('Cron end : On hold 1 hour mail notification ( '.Carbon::now()->format('Y-m-d H:i:s').' )');
    }
}
