<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Admin\AdminController;
use Illuminate\Http\Request;

use App\Http\Requests\Admin\CompanyHosViolationCodeStoreRequest;
use App\Http\Requests\Admin\CompanyHosViolationCodeUpdateRequest;

use App\Models\CompanyHosViolationCode;

use DataTables;

class CompanyHosViolationCodeController extends AdminController{

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct(){
        parent::__construct();
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request){
        if ($request->ajax()) {
            $data = CompanyHosViolationCode::get();
            return Datatables::of($data)
                ->addIndexColumn()
                ->addColumn('action', function($row){
                    $btn = ' <a href="'.route('admin.company-hos-violation-code.edit', $row->id).'"><img src="'.asset('theme/img/edit-icon.png').'" class="mr-4" alt=""></a>';
                    $btn = $btn.' <a href="javascript:" class="destroy" data-action="'.route('admin.company-hos-violation-code.destroy',$row->id).'" data-id="'.$row->id.'"><img src="'.asset('theme/img/delete-icon.png').'" alt=""></a>';
                    return $btn;
                })
                ->rawColumns(['action'])
                ->make(true);
        }
        return view('admin.companyHosViolationCode.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(){
        return view('admin.companyHosViolationCode.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(CompanyHosViolationCodeStoreRequest $request){
        $input                      = $request->except(['_token']);
        $company_hos_violation_code = CompanyHosViolationCode::create($input);

        /*
        $get_company = \App\Models\Company::get();
        foreach($get_company as $company){
            $input['company_id'] = $company->id;
            \App\Models\DriverHosViolationCode::create($input);
        }
        */

        notification('success', $this->crudMessage('create', ''));

        return redirect()->route('admin.company-hos-violation-code.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show(){
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(CompanyHosViolationCode $companyHosViolationCode){
        return view('admin.companyHosViolationCode.edit', compact('companyHosViolationCode'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(CompanyHosViolationCodeUpdateRequest $request, CompanyHosViolationCode $companyHosViolationCode){
        $input = $request->except(['_token']);
        $companyHosViolationCode->update($input);

        notification('success', $this->crudMessage('update', ''));

        return redirect()->route('admin.company-hos-violation-code.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Request $request){
        $data = CompanyHosViolationCode::find($request->id);
        $data->delete();

        notification('success', $this->crudMessage('delete', ''));

        return redirect()->route('admin.company-hos-violation-code.index');
    }

}
