<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Admin\AdminController;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Cache;

use App\Models\Admin;
use App\Models\Timezone;

class SettingController extends AdminController{

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct(){
        parent::__construct();
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(){
        $timezones  = Cache::remember('timezones', 3600, function () {
            return Timezone::where('status', 1)->pluck('name','id')->toArray();
        });
        return view('admin.setting.index',compact('timezones'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id){
        $input          = $request->all();

        Admin::find($id)->update($input);

        notification('success', 'Settings updated successfully');
        return redirect()->back();
    }
}
