<?php

namespace App\Http\Controllers\Chat;

use App\Http\Controllers\Controller;

use Illuminate\Support\Str;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;

use GuzzleHttp\Client;
use GuzzleHttp\Exception\ClientException;
use GuzzleHttp\Exception\ServerException;

use App\Models\Driver;
use App\Models\CompanyAdmin;
use App\Models\ChatLoad;

use App\Models\ChatGroup;
use App\Models\IntegrationSetting;

use File;
use Validator;

class ChatController extends Controller
{
    public function getChatUsers(Request $request)
    {
        //$companyDrivers = Driver::get();
        if( auth()->guard('driver-admin')->check() ) {
            $driver_company_id = auth()->guard('driver-admin')->user()->company_id;

            $companyDispatchers = CompanyAdmin::select('id', 'first_name', 'last_name', 'profile_image', 'type', 'company_id')->where('company_id', $driver_company_id)->get();

            $data = array();

            foreach ($companyDispatchers as $companyDispatcher){
                $type = $companyDispatcher->type == 0 ? 'company_admin_' : ( $companyDispatcher->type == 1 ? 'manager_' : 'dispatcher_');
                $data[] = [
                    'uniqueID' => $type.$companyDispatcher->id,
                    'friendlyName' => $companyDispatcher->first_name.' '.$companyDispatcher->last_name,
                    'profilePic' => $companyDispatcher->profile_image
                ];
            }

            return $data;
        } elseif( auth()->guard('company-admin')->check() ) {
            // dd(auth()->guard('company-admin')->user());
            // if(auth()->guard('company-admin')->user() && auth()->guard('company-admin')->user()->role_id == 0){
            // **if(auth()->guard('company-admin')->user() && auth()->guard('company-admin')->user()->type == 0){
            // **if(auth()->guard('company-admin')->user()){
                // $companyDispatchers = CompanyAdmin::company()->dispatcher()->get();
                $companyDispatchers = CompanyAdmin::select('id', 'first_name', 'last_name', 'profile_image', 'type', 'company_id')->company()->where('id', '!=', auth()->guard('company-admin')->user()->id)->get();
                $companyDrivers = Driver::IsCompany()->get();

                $data = array();
                foreach ($companyDispatchers as $companyDispatcher){
                    // $data[] = [
                    //     'uniqueID' => 'dispatcher_'.$companyDispatcher->id,
                    $type = $companyDispatcher->type == 0 ? 'company_admin' : ( $companyDispatcher->type == 1 ? 'manager' : 'dispatcher');
                    $data[] = [
                        'uniqueID' => $type.'_'.$companyDispatcher->id,
                        'friendlyName' => $companyDispatcher->first_name.' '.$companyDispatcher->last_name,
                        'profilePic' => $companyDispatcher->profile_image,
                        'user_type' => $type
                        // 'user_type' => 'dispatcher'
                    ];
                }

                foreach( $companyDrivers as $driver ) {
                    $data[] = [
                        'uniqueID' => 'driver_'.$driver->id,
                        'friendlyName' => $driver->first_name.' '.$driver->last_name,
                        'profilePic' => $driver->profile_image != '' ? $driver->profile_image : '',
                        'eld_id' => $driver->samsara_id != '' ? $driver->samsara_id : '',
                        'user_type' => 'driver'
                    ];
                }
                return $data;

                // }else if(auth()->guard('company-admin')->user() && auth()->guard('company-admin')->user()->role_id == 2){
            // }else if(auth()->guard('company-admin')->user() && auth()->guard('company-admin')->user()->type == 2){
            //         // $companyDispatchers = CompanyAdmin::company()->dispatcher()->where('id', '!=', auth()->guard('company-admin')->user()->id)->get();
            //         $companyDispatchers = CompanyAdmin::select('id', 'first_name', 'last_name', 'profile_image', 'type', 'company_id')->company()->where('id', '!=', auth()->guard('company-admin')->user()->id)->get();
            //         $companyDrivers = Driver::IsCompany()->get();

            //         $data = array();
            //         foreach ($companyDispatchers as $companyDispatcher){
            //         //     $data[] = [
            //         //         'uniqueID' => 'dispatcher_'.$companyDispatcher->id,
            //             $type = $companyDispatcher->type == 0 ? 'company_admin_' : ( $companyDispatcher->type == 1 ? 'manager_' : 'dispatcher_');
            //             $data[] = [
            //                 'uniqueID' => $type.$companyDispatcher->id,
            //                 'friendlyName' => $companyDispatcher->first_name.' '.$companyDispatcher->last_name,
            //                 'profilePic' => $companyDispatcher->profile_image,
            //                 'user_type' => 'dispatcher'
            //             ];
            //         }
            //         dd(count($data));

            //     foreach( $companyDrivers as $driver ) {
            //         $data[] = [
            //             'uniqueID' => 'driver_'.$driver->id,
            //             'friendlyName' => $driver->first_name.' '.$driver->last_name,
            //             'profilePic' => $driver->profile_image != '' ? $driver->profile_image : '',
            //             'eld_id' => $driver->samsara_id != '' ? $driver->samsara_id : '',
            //             'user_type' => 'driver'
            //         ];
            //     }

            //     return $data;
            // }
        } else {
            return response()->json(["message" => "Unauthenticated."]);
        }
    }
    // public function getChatUsers(Request $request)
    // {
    //     if(auth()->guard('company-admin')->user() && auth()->guard('company-admin')->user()->role_id == 0){
    //         $companyDispatchers = CompanyAdmin::company()->dispatcher()->get();

    //         $data = array();
    //         foreach ($companyDispatchers as $companyDispatcher){
    //             $data[] = [
    //                 'uniqueID' => 'dispatcher_'.$companyDispatcher->id,
    //                 'friendlyName' => $companyDispatcher->first_name.' '.$companyDispatcher->last_name,
    //                 'profilePic' => $companyDispatcher->profile_image
    //             ];
    //         }

    //         return $data;
    //     }else if(auth()->guard('company-admin')->user() && auth()->guard('company-admin')->user()->role_id == 2){
    //         $companyDispatchers = CompanyAdmin::company()->dispatcher()->where('id', '!=', auth()->guard('company-admin')->user()->id)->get();

    //         $data = array();
    //         foreach ($companyDispatchers as $companyDispatcher){
    //             $data[] = [
    //                 'uniqueID' => 'dispatcher_'.$companyDispatcher->id,
    //                 'friendlyName' => $companyDispatcher->first_name.' '.$companyDispatcher->last_name,
    //                 'profilePic' => $companyDispatcher->profile_image
    //             ];
    //         }

    //         return $data;
    //     }else{
    //         return response()->json(["message" => "Unauthenticated."]);
    //     }
    // }

    public function createChatGroup(Request $request)
    {
        if( auth()->guard('driver-admin')->check() ) {
            if(auth()->guard('driver-admin')->user()) {
                $input = $request->input();
                $company_id = auth()->guard('driver-admin')->user()->company_id;

                if(trim($input['new_name']) == ""){
                    return response()->json(['status' => false, 'message' => 'The group name is required.']);
                }else{
                    $checkGroupIsExists = ChatGroup::where('company_id', $company_id)->whereRaw('LOWER(`group_name`) = "'.strtolower($input['new_name']).'"')->count();

                    if($checkGroupIsExists === 0){
                        if(is_null($input['old_name'])){
                            $createNewGroup = new ChatGroup();
                            $createNewGroup->company_id = $company_id;
                            $createNewGroup->group_name = $input['new_name'];
                            $createNewGroup->save();

                            if($createNewGroup){
                                return response()->json(['status' => true, 'message' => $createNewGroup->group_name.' group created successfully.']);
                            }else{
                                return response()->json(['status' => false, 'message' => 'Something went wrong in create group!']);
                            }
                        }else{
                            ChatGroup::where('company_id', $company_id)->whereRaw('LOWER(group_name) = "'.strtolower($input['old_name']).'"')->delete();

                            $createNewGroup = new ChatGroup();
                            $createNewGroup->company_id = $company_id;
                            $createNewGroup->group_name = $input['new_name'];
                            $createNewGroup->save();

                            if($createNewGroup){
                                return response()->json(['status' => true, 'message' => 'Group '.$input['old_name'].' to '.$input['new_name'].' updated successfully.']);
                            }else{
                                return response()->json(['status' => false, 'message' => 'Something went wrong in update group!']);
                            }
                        }
                    }else{
                        return response()->json(['status' => false, 'message' => 'The group name has already been taken.']);
                    }
                }
            }
        } else if( auth()->guard('company-admin')->check() ) {
            if(auth()->guard('company-admin')->user()){
                $input = $request->input();

                if(trim($input['new_name']) == ""){
                    return response()->json(['status' => false, 'message' => 'The group name is required.']);
                }else{
                    $checkGroupIsExists = ChatGroup::IsCompany()->whereRaw('LOWER(`group_name`) = "'.strtolower($input['new_name']).'"')->count();

                    if($checkGroupIsExists === 0){
                        if(is_null($input['old_name'])){
                            $createNewGroup = new ChatGroup();
                            $createNewGroup->company_id = auth()->guard('company-admin')->user()->company_id;
                            $createNewGroup->group_name = $input['new_name'];
                            $createNewGroup->save();

                            if($createNewGroup){
                                return response()->json(['status' => true, 'message' => $createNewGroup->group_name.' group created successfully.']);
                            }else{
                                return response()->json(['status' => false, 'message' => 'Something went wrong in create group!']);
                            }
                        }else{
                            ChatGroup::IsCompany()->whereRaw('LOWER(group_name) = "'.strtolower($input['old_name']).'"')->delete();

                            $createNewGroup = new ChatGroup();
                            $createNewGroup->company_id = auth()->guard('company-admin')->user()->company_id;
                            $createNewGroup->group_name = $input['new_name'];
                            $createNewGroup->save();

                            if($createNewGroup){
                                return response()->json(['status' => true, 'message' => 'Group '.$input['old_name'].' to '.$input['new_name'].' updated successfully.']);
                            }else{
                                return response()->json(['status' => false, 'message' => 'Something went wrong in update group!']);
                            }
                        }
                    }else{
                        return response()->json(['status' => false, 'message' => 'The group name has already been taken.']);
                    }
                }
            }else{
                return response()->json(['status' => false, 'message' => 'Unauthenticated.']);
            }
        } else {
            return response()->json(['status' => false, 'message' => 'Unauthenticated.']);
        }
    }

    public function checkChatGroupExists(Request $request)
    {
        if( auth()->guard('driver-admin')->check() ) {
            if( auth()->guard('driver-admin')->user() ) {
                $input = $request->input();

                if(trim($input['new_name']) == ""){
                    return response()->json(['status' => false, 'message' => 'The group name is required.']);
                }else{
                    $checkGroupIsExists = ChatGroup::where( 'company_id', auth()->guard('driver-admin')->user()->company_id )->whereRaw('LOWER(`group_name`) = "'.strtolower($input['new_name']).'"')->count();

                    if($checkGroupIsExists === 0){
                        return response()->json(['status' => true, 'message' => 'The group name is available.']);
                    }else{
                        return response()->json(['status' => false, 'message' => 'The group name has already been taken.']);
                    }
                }
            } else {
                return response()->json(['status' => false, 'message' => 'Unauthenticated.']);
            }
        } else if( auth()->guard('company-admin')->check() ) {
            if(auth()->guard('company-admin')->user()) {
                $input = $request->input();

                if(trim($input['new_name']) == ""){
                    return response()->json(['status' => false, 'message' => 'The group name is required.']);
                }else{
                    $checkGroupIsExists = ChatGroup::IsCompany()->whereRaw('LOWER(`group_name`) = "'.strtolower($input['new_name']).'"')->count();

                    if($checkGroupIsExists === 0){
                        return response()->json(['status' => true, 'message' => 'The group name is available.']);
                    }else{
                        return response()->json(['status' => false, 'message' => 'The group name has already been taken.']);
                    }
                }
            }else{
                return response()->json(['status' => false, 'message' => 'Unauthenticated.']);
            }
        } else {
            return response()->json(['status' => false, 'message' => 'Unauthenticated.']);
        }
    }

    public function tempDemo(Request $request)
    {
        if( auth()->guard('driver-admin')->check() ) {
            $input = $request->input();
            return response()->json(['status' => true, 'message' => 'this is just for temp demo.','data' => $input ]);
        } else if( auth()->guard('company-admin')->check() ) {
            if(auth()->guard('company-admin')->user()) {
                $input = $request->input();
                return response()->json(['status' => true, 'message' => 'this is just for temp demo.','data' => $input ]);

                // if(trim($input['new_name']) == ""){
                //     return response()->json(['status' => false, 'message' => 'The group name is required.']);
                // }else{
                //     $checkGroupIsExists = ChatGroup::IsCompany()->whereRaw('LOWER(`group_name`) = "'.strtolower($input['new_name']).'"')->count();

                //     if($checkGroupIsExists === 0){
                //         return response()->json(['status' => true, 'message' => 'The group name is available.']);
                //     }else{
                //         return response()->json(['status' => false, 'message' => 'The group name has already been taken.']);
                //     }
                // }
            }else{
                return response()->json(['status' => false, 'message' => 'Unauthenticated.']);
            }
        } else {
            return response()->json(['status' => false, 'message' => 'Unauthenticated.']);
        }
    }

    public function createLoadInternalGroup(Request $request)
    {
        if( auth()->guard('driver-admin')->check() ) {
            $input = $request->input();
            return response()->json(['status' => false, 'message' => 'Permition denied','data' => [] ]);
        } else if( auth()->guard('company-admin')->check() ) {
            if(auth()->guard('company-admin')->user()) {
                $input = $request->input();
                // dd($input);
                $details = chatLoadInternalCreate($input);
                // dd($details);
                if($details){
                    return response()->json(['status' => true, 'message' => 'Created chat internal group.','data' => $details ]);
                }
                else {
                    return response()->json(['status' => false, 'message' => 'Error while creating load internal group','data' => [] ]);
                }
            }else{
                return response()->json(['status' => false, 'message' => 'Unauthenticated.']);
            }
        } else {
            return response()->json(['status' => false, 'message' => 'Unauthenticated.']);
        }
    }

    public function updateLoadInternalGroupParticipants(Request $request)
    {
        if( auth()->guard('driver-admin')->check() ) {
            $input = $request->input();
            return response()->json(['status' => false, 'message' => 'Permition denied','data' => [] ]);
        } else if( auth()->guard('company-admin')->check() ) {
            if(auth()->guard('company-admin')->user()) {
                $input = $request->input();
                // dd($input);
                $details = chatLoadInternalParticipantsUpdate($input);
                // dd($details);
                // if($details){
                    return response()->json(['status' => true, 'message' => 'this is just for temp demo.','data' => $details ]);
                // }
                // else {
                    // return response()->json(['status' => false, 'message' => 'Error while creating load internal group','data' => [] ]);
                // }
            }else{
                return response()->json(['status' => false, 'message' => 'Unauthenticated.']);
            }
        } else {
            return response()->json(['status' => false, 'message' => 'Unauthenticated.']);
        }
    }

    public function getGeneralBoards(Request $request){
        if($request->sid==''){
            return response()->json(['status' => false, 'message' => 'The sid field is required.']);
        }
        $item       = \App\Models\ChatGeneralBoard::where('sid',$request->sid)->where('status','active')->first();
        if(!is_null($item)){
            $result = \App\Models\ChatGeneralBoard::where('company_id', $item->company_id)
                ->whereNotNull('sid')
                ->where('sid','!=', $request->sid)
                ->where('status','active')
                ->pluck('sid')->toArray();
            return response()->json(['status' => true, 'message' => 'General Boards retrieved successfully.', 'data' => $result]);
        }else{
            return response()->json(['status' => false, 'message' => 'General Boards retrieved unsuccessfully.']);
        }
    }

    public function getUserDetails(Request $request){
        if($request->unique_id==''){
            return response()->json(['status' => false, 'message' => 'The unique_id field is required.']);
        }
        $type       = Str::beforeLast($request->unique_id, '_');
        $id         = Str::afterLast($request->unique_id, '_');
        if(in_array($type, ['company_admin','manager','dispatcher'])){
            $user   = CompanyAdmin::where('id',$id)->first();
            if(!is_null($user)){
                if(isset($user->profile_image) && $user->profile_image!='' && File::exists(public_path('storage/companyAdmin/profile/'.$user->profile_image))){
                    $user->profile_image    = asset('storage/companyAdmin/profile').'/'.$user->profile_image;
                }
                return response()->json(['status' => true, 'message' => 'Detail retrieved successfully.', 'data' => [
                        'full_name'         => $user->full_name,
                        'email'             => $user->email ?? '',
                        'cell_phone'        => $user->cell_phone ?? '',
                        'profile_image'     => $user->profile_image ?? '',
                    ]
                ]);
            }
            return response()->json(['status' => false, 'message' => 'Detail retrieved unsuccessfully.']);
        }else if ($type=='driver') {
            $user   = Driver::where('id',$id)->first();
            if(!is_null($user)){
                if(isset($user->profile_image) && $user->profile_image!='' && File::exists(public_path('storage/companyAdmin/profile/'.$user->profile_image))){
                    $user->profile_image    = asset('storage/companyAdmin/profile').'/'.$user->profile_image;
                }
                return response()->json(['status' => true, 'message' => 'Detail retrieved successfully.', 'data' => [
                        'full_name'         => $user->full_name,
                        'email'             => $user->email ?? '',
                        'cell_phone'        => $user->cell_phone ?? '',
                        'profile_image'     => $user->profile_image ?? '',
                    ]
                ]);
            }
            return response()->json(['status' => false, 'message' => 'Detail retrieved unsuccessfully.']);
        }else{
            return response()->json(['status' => false, 'message' => 'Oops! Something went wrong..']);
        }
    }

    public function samsaraSendMessage(Request $request){
        $validator                  = Validator::make($request->all(), [
            'unique_id'             => 'required',
            'message'               => 'required',
        ], [
            'unique_id.required'    => 'The id field is required.',
            'message.required'      => 'The message field is required.'
        ]);
        if($validator->fails()){
            $response               = [
                'status'            => false,
                'message'           => 'Error validation',
                'data'              => $validator->errors()
            ];
            return response()->json($response, 400);
        }
        $driverIds                  = [];
        $uniqueIds                  = explode(',', $request->unique_id);
        if(!empty($uniqueIds)){
            foreach ($uniqueIds as $key => $uniqueId) {
                $driverIds[]        = Str::afterLast($uniqueId, '_');
            }
        }
        $drivers                    = Driver::whereIn('id', $driverIds)->whereNotNull('samsara_id')->pluck('company_id','samsara_id')->toArray();
        if(!empty($drivers)){
            $driverIds              = array_keys($drivers);
            $companyId              = array_unique(array_values($drivers))[0];
            $getAPIKey              = IntegrationSetting::where('company_id', $companyId)->where('app_center_id', config('settings.app_id.samsara'))->where('sync_drivers', '1')->whereNotNull('api_key')->first();
            if(!is_null($getAPIKey)){
                $array              = [];
                $array['driverIds'] = ['31004238']; // $driverIds;
                $array['text']      = $request->message;
                $jsonData           = json_encode($array);

                $url                = 'https://api.samsara.com/v1/fleet/messages';
                $client             = new Client();
                $response           = $client->request('POST', $url, [
                    'body'                  => $jsonData,
                    'headers'               => [
                        'Accept'            => 'application/json',
                        'Authorization'     => 'Bearer '.$getAPIKey->api_key,
                        'content-type'      => 'application/json'
                    ],
                ]);
                // Check if response status code is OK (200)
                if ($response->getStatusCode() == 200) {
                    $body           = json_decode($response->getBody());
                    if(isset($body)){
                        return response()->json(['status' => true, 'message' => 'Message sent successfully.', 'data' => $body->data]);
                    }
                }
            }
            return response()->json(['status' => false, 'message' => 'Oops! Something went wrong..']);
        }else{
            return response()->json(['status' => false, 'message' => 'Drivers retrieved unsuccessfully.']);
        }
    }

    public function getChatLoadByFriendlyName(Request $request)
    {
        $friendly_name = $request->name;
        $my_unique_id = $request->my_identity;

        if( auth()->guard('company-admin')->check() ) {
            $company_id = auth()->guard('company-admin')->user()->company_id;
            $getChats = ChatLoad::where('friendly_name', 'like', '%' . $friendly_name . '%')->where('company_id', $company_id)->get();
        } elseif( auth()->guard('driver-admin')->check() ) {
            $company_id = auth()->guard('driver-admin')->user()->company_id;
            $getChats = ChatLoad::with('participants')->whereHas('participants' ,function ($query) use ($my_unique_id) {
                $query->where('unique_id', $my_unique_id);
            })->where('friendly_name', 'like', '%' . $friendly_name . '%')->where('company_id', $company_id)->get();
        } else {
            return response()->json(["message" => "Unauthenticated."]);
        }

        // $getChats = ChatLoad::where('friendly_name', $friendly_name)->where('company_id', $company_id)->get();
        //** $getChats = ChatLoad::where('friendly_name', 'like', '%' . $friendly_name . '%')->where('company_id', $company_id)->get();
        // $getChats = ChatLoad::with('participants')->whereHas('participants' ,function ($query) use ($my_unique_id) {
        //     $query->where('unique_id', $my_unique_id);
        // })->where('friendly_name', 'like', '%' . $friendly_name . '%')->where('company_id', $company_id)->get();
        // dd($getChats);
        $data = array();

        if( $getChats ) {
            foreach ($getChats as $chat){
                $data[] = [
                    'id' => $chat->id,
                    'uniqueId' => $chat->unique_id,
                    'companyId' => $chat->company_id,
                    'friendlyName' => $chat->friendly_name,
                    'sid' => $chat->sid,
                    'ttl' => $chat->ttl,
                    'status' => $chat->status,
                    'createdAt' => $chat->created_at
                ];
            }
        }

        return $data;
    }

}
