<?php

namespace App\Http\Controllers\CompanyAdmin;

use App\Http\Controllers\CompanyAdmin\CompanyAdminController;
use Illuminate\Http\Request;

use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;
use Illuminate\Support\Arr;

use App\Models\Widget;

use App\Models\User;
use App\Models\Team;
use App\Models\CompanyAdmin;

use App\Models\Event;
use App\Models\Announcement;

use App\Models\Driver;
use App\Models\DriverFinancial;
use App\Models\DriverComplianceSafety;

use App\Models\Load;
use App\Models\LoadDetail;
use App\Models\LoadDriver;
use App\Models\LoadFileType;

use App\Models\Truck;
use App\Models\Trailer;

use App\Models\ScollableDiv;

use App\Models\ReportDriver;

use Carbon\CarbonPeriod;
use Carbon\CarbonInterval;
use Illuminate\Support\Carbon;

use DataTables;
use Auth;

use DateTime;
use Session;
use DatePeriod;
use DateInterval;

class HomeController extends CompanyAdminController
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */

    public $company_admin;
    public $timeZone;
    public $timeZoneId;
    //public $offset;

    public function __construct(){
        parent::__construct();

        $this->middleware(function ($request, $next) {
            $this->company_admin    = auth()->guard('company-admin')->user();
            $this->timeZone         = getTimeZone();
            $this->timeZoneId       = getTimeZoneId();
            //$this->offset         = getTimeZoneOffset();

            return $next($request);
        });

        ini_set('max_execution_time', 600);
    }

    /**
     * Show the company admin dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */

    function getWeek($week, $year) {
        $dto                    = new DateTime("now", new \DateTimeZone( $this->timeZone ) ); //new DateTime();
        $dto->setISODate($year, $week, $this->company_admin->weekly_strat_day ?? 1);
        $result['startDate']    = $dto->format('Y-m-d');
        $dto->modify('+6 days');
        $result['endDate']      = $dto->format('Y-m-d');
        return $result;
    }

    public function home(){
        //\App\Models\Widget::where('guard_name', 'web')->update(['guard_name' => 'company-admin']);
        //\App\Models\CompanyAdmin::where('type', 1)->update(['role_id' => 0]);
        //\App\Models\CompanyAdminRole::where('guard_name', 'manager')->delete();
        //\App\Models\CompanyAdmin::where('type', 1)->update(['role_id' => 0]);
        //\App\Models\Widget::query()->truncate();
        return view('companyAdmin.home');
    }

    public function getWidget($tab=null, $deviceType = 'desktop'){
        $user                   = $this->company_admin;

        $type                   = $user->type;
        if($type==2){
            if (!is_null($tab)) {
                $tab            = $tab;
            }else{
                $tab            = 1;
            }
        }else{
            $tab                = 0;
        }
        $tabname                = 'own';
        if ($type==2 && $tab==0) {
            $tabname            = 'company';
        }

        $param                  = [];
        $param['type']          = $type;
        $param['tab']           = $tab;
        $param['tabname']       = $tabname;
        $param['search']        = '';
        $param['column']        = 'id';

        $widgetData             = [];
        $widgetArray            = widgetArray($param);
        usort($widgetArray, function($a, $b) { return $a['display_no'] <=> $b['display_no'];});

        $unsetKey               = [];
        if(!hasPermission(config('settings.company_admin_modules.dispatch_hub'),config('settings.permissions.view'))){
            if (($dkey          = array_search("loads_in_transit", array_column($widgetArray, 'slug'))) !== false) {
                $unsetKey[]     = $dkey;
            }
        }
        if(!hasPermission(config('settings.company_admin_modules.compel_announcement'),config('settings.permissions.view'))){
            if (($dkey          = array_search("compel_announcements", array_column($widgetArray, 'slug'))) !== false) {
                $unsetKey[]     = $dkey;
            }
        }
        if(!hasPermission(config('settings.company_admin_modules.announcement'),config('settings.permissions.view'))){
            if (($dkey          = array_search("company_announcements", array_column($widgetArray, 'slug'))) !== false) {
                $unsetKey[]     = $dkey;
            }
        }
        // if($user->type==2){
        //     if (($dkey          = array_search("company_stats", array_column($widgetArray, 'slug'))) !== false) {
        //         $unsetKey[]     = $dkey;
        //     }
        //     if (($dkey          = array_search("driver_per_team", array_column($widgetArray, 'slug'))) !== false) {
        //         $unsetKey[]     = $dkey;
        //     }
        //     if (($dkey          = array_search("revenue_by_team", array_column($widgetArray, 'slug'))) !== false) {
        //         $unsetKey[]     = $dkey;
        //     }
        // }

        $widgetArray             = array_diff_key($widgetArray, array_flip($unsetKey));
        $widgetArray             = array_values(array_filter($widgetArray));
        if(!empty($widgetArray)){
            foreach ($widgetArray as $key => $widget) {
                $arry           = $widget;
                $getWidget      = Widget::isCompanyAdmin()
                    ->where('guard_name', 'company-admin')
                    ->where('widget_id', $widget['id'])
                    ->where('device_type',$deviceType)
                    ->where('tab', $tabname)
                    ->withTrashed()
                    ->first();
                if(!is_null($getWidget)){
                    //$arry['getWidget']                    = $getWidget->toArray();
                    if(!is_null($getWidget->properties)){
                        $arry['properties']                 = $getWidget->properties;
                    }
                    if(!is_null($getWidget->deleted_at)){ // Is delete
                        $arry['is_delete']                  = 1;
                    }
                }else{
                    $insertArry                             = [];
                    if($widget['slug']=='occupancy'){
                        $insertArry['range']                = 'y';
                    }elseif ($widget['slug']=='revenue') {
                        $insertArry['range']                = 'y';
                    }elseif ($widget['slug']=='cpm') {
                        $insertArry['range']                = 'y';
                    }elseif ($widget['slug']=='revenue_by_team') {
                        $insertArry['range']                = 'y';
                    }elseif ($widget['slug']=='revenue_by_trailer_type') {
                        $insertArry['range']                = 'y';
                    }
                    $insertArry['company_id']               = $user->company_id;
                    $insertArry['guard_name']               = 'company-admin';
                    $insertArry['company_admins_id']        = $user->id;
                    $insertArry['widget_id']                = $widget['id'];
                    $insertArry['device_type']              = $deviceType;
                    $insertArry['properties']               = $widget['properties'];
                    $insertArry['tab']                      = $tabname;
                    $insertArry['created_at']               = Carbon::now();
                    $getWidget                              = Widget::create($insertArry);
                    //$arry['getWidget']                    = $getWidget->toArray();
                }
                $widgetData[$widget['slug']]                = $arry;
            }
        }
        foreach ($widgetData as $key => &$widget) {
            if(!isset($widget['is_delete'])){
                $properties                                 = json_decode($widget['properties'],true);
                $content                                    = view('companyAdmin.home.ajax_contents',compact('widget','tab'))->render();
                $properties['content']                      = $content;
                $widget['properties']                       = json_encode($properties);
            }
        }
        return $widgetData;
    }

    public function getOccupancy($param=[]){
        $user                                   = isset($param['user'])?$param['user']:$this->company_admin;

        $range                                  = isset($param['range'])?$param['range']:'y';
        $type                                   = $user->type;
        $tab                                    = $param['tab'];

        if($range=='w'){
            $weekly_strat_day                   = $user->weekly_strat_day ?? 1;
            $getWeekDate                        = getWeekDate($weekly_strat_day);
            $startDate                          = $getWeekDate['startDate'];
            $endDate                            = $getWeekDate['endDate'];
        }elseif($range=='m') {
            $startDate                          = Carbon::now()->timezone($this->timeZone)->startOfMonth()->format('Y-m-d');
            $endDate                            = Carbon::now()->timezone($this->timeZone)->endOfMonth()->format('Y-m-d');
        }else{
            $startDate                          = Carbon::now()->timezone($this->timeZone)->startOfYear()->format('Y-m-d');
            $endDate                            = Carbon::now()->timezone($this->timeZone)->endOfYear()->format('Y-m-d');
        }

        $occupancyGoal                          = 0;
        $fleetOccupancy                         = 0;

        $activeDriverCount = Driver::whereIn('id', function($query)  use ($startDate, $endDate){
                                    $query->select('driver_id')
                                    ->from(with(new ReportDriver)->getTable())
                                    ->where('date', '>=' ,$startDate)
                                    ->where('date', '<=' ,$endDate)
                                    ->where('company_id', $this->company_admin->company_id);
                                })->where('company_id', $this->company_admin->company_id);

        $ReportDriver = ReportDriver::select('driver_id','date','target_occupancy','actual_daycount', 'actual_totaldays')
                        ->where('company_id', $this->company_admin->company_id)
                        ->where('date', '>=' ,$startDate)
                        ->where('date', '<=' ,$endDate);

        if ($type==2 && $tab==1) {
            $ReportDriver = $ReportDriver->where('manager_id', $user->id);
            $activeDriverCount = $activeDriverCount->where('manager_id', $user->id)->get()->count();
        }else{
            $activeDriverCount = $activeDriverCount->get()->count();
        }

        $ReportDriver = $ReportDriver->orderBy('driver_id')->get();

        $driver_data = [];
        $k = 0;
        foreach($ReportDriver as $drivd){
            $driver_data[$drivd['driver_id']][$k] = $drivd;
            $k++;
        }
        $getfleetOccupancy = 0;
        $getoccupancyGoal = 0;
        foreach($driver_data as $driverdata){

            $actual_daycount = 0;
            $actual_totaldays = 0;
            $target_occupancy = [];


            foreach($driverdata as $driverdata){
                $getQuarter = Carbon::parse($driverdata['date'])->quarter;
                $getYear = Carbon::parse($driverdata['date'])->year;

                $actual_daycount += $driverdata['actual_daycount'];
                $actual_totaldays += $driverdata['actual_totaldays'];


                $target_occupancy[$getQuarter.$getYear] = $driverdata['target_occupancy'];
            }

            $mapeval = 0;
            if($actual_daycount > 0){
                $mapeval = max(number_format(100 / $actual_daycount * $actual_totaldays, 2), 0);
            }


            $target_occupancy_tot = 0;
            if(count($target_occupancy) > 0 && isset($target_occupancy)){
                $quarterCount = count($target_occupancy);
                $target_occupancy_tot = array_sum($target_occupancy)/$quarterCount;
            }

            $getfleetOccupancy += $mapeval;
            $getoccupancyGoal += $target_occupancy_tot;
        }

        if($activeDriverCount > 0){
            $occupancyGoal = round($getoccupancyGoal / $activeDriverCount, 2);
            $fleetOccupancy = round($getfleetOccupancy / $activeDriverCount,2);
        }

        $arry                                   = [];
        $arry['startDate']                      = date('M d, Y', strtotime($startDate));
        $arry['endDate']                        = date('M d, Y', strtotime($endDate));
        $arry['occupancyGoal']                  = $occupancyGoal;
        $arry['fleetOccupancy']                 = $fleetOccupancy;

        return $arry;
    }

    public function getRevenue($param=[]){
        $user                                   = isset($param['user'])?$param['user']:$this->company_admin;

        $range                                  = isset($param['range'])?$param['range']:'y';
        $type                                   = $user->type;
        $tab                                    = $param['tab'];

        if($range=='w'){
            $weekly_strat_day                   = $user->weekly_strat_day ?? 1;
            $getWeekDate                        = getWeekDate($weekly_strat_day);
            $startDate                          = $getWeekDate['startDate'];
            $endDate                            = $getWeekDate['endDate'];
        }elseif($range=='m') {
            $startDate                          = Carbon::now()->timezone($this->timeZone)->startOfMonth()->format('Y-m-d');
            $endDate                            = Carbon::now()->timezone($this->timeZone)->endOfMonth()->format('Y-m-d');
        }else{
            $startDate                          = Carbon::now()->timezone($this->timeZone)->startOfYear()->format('Y-m-d');
            $endDate                            = Carbon::now()->timezone($this->timeZone)->endOfYear()->format('Y-m-d');
        }

        $ReportDriver = ReportDriver::select('SUM(target_revenue) as target_revenue', 'SUM(actual_revenue) as actual_revenue')
                        ->where('company_id', $this->company_admin->company_id)
                        ->where('date', '>=' ,$startDate)
                        ->where('date', '<=' ,$endDate);
        if ($type==2 && $tab==1) {
            $ReportDriver = $ReportDriver->where('manager_id', $user->id);
        }
        $ReportDriver = $ReportDriver->orderBy('driver_id');

        $getTargetRevenue = $ReportDriver->sum('target_revenue');
        //$target_revenue = 0;
        $getActualRevenue = $ReportDriver->sum('actual_revenue');

        $arry                                   = [];
        $arry['startDate']                      = date('M d, Y', strtotime($startDate));
        $arry['endDate']                        = date('M d, Y', strtotime($endDate));

        $arry['actualRevenue']                  = number_format((float)$getActualRevenue, 2, '.', '');
        $arry['targetRevenue']                  = number_format((float)$getTargetRevenue, 2, '.', '');

        return $arry;
    }

    public function getCpm($param=[]){

        $user                                   = isset($param['user'])?$param['user']:$this->company_admin;

        $range                                  = isset($param['range'])?$param['range']:'y';
        $type                                   = $user->type;
        $tab                                    = $param['tab'];

        if($range=='w'){
            $weekly_strat_day                   = $user->weekly_strat_day ?? 1;
            $getWeekDate                        = getWeekDate($weekly_strat_day);
            $startDate                          = $getWeekDate['startDate'];
            $endDate                            = $getWeekDate['endDate'];
        }elseif($range=='m') {
            $startDate                          = Carbon::now()->timezone($this->timeZone)->startOfMonth()->format('Y-m-d');
            $endDate                            = Carbon::now()->timezone($this->timeZone)->endOfMonth()->format('Y-m-d');
        }else{
            $startDate                          = Carbon::now()->timezone($this->timeZone)->startOfYear()->format('Y-m-d');
            $endDate                            = Carbon::now()->timezone($this->timeZone)->endOfYear()->format('Y-m-d');
        }

        $activeDriverCount = Driver::whereIn('id', function($query)  use ($startDate, $endDate){
                                    $query->select('driver_id')
                                    ->from(with(new ReportDriver)->getTable())
                                    ->where('date', '>=' ,$startDate)
                                    ->where('date', '<=' ,$endDate)
                                    ->where('company_id', $this->company_admin->company_id);
                                })->where('company_id', $this->company_admin->company_id);

        $ReportDriver = ReportDriver::select('driver_id','date','target_cpm','actual_revenue', 'actual_mileage')
                        ->where('company_id', $this->company_admin->company_id)
                        ->where('date', '>=' ,$startDate)
                        ->where('date', '<=' ,$endDate);

        if ($type==2 && $tab==1) {
            $ReportDriver = $ReportDriver->where('manager_id', $user->id);
            $activeDriverCount = $activeDriverCount->where('manager_id', $user->id)->get()->count();
        }else{
            $activeDriverCount = $activeDriverCount->get()->count();
        }

        $ReportDriver = $ReportDriver->orderBy('driver_id')->get();
        $driver_data = [];
        $k = 0;
        foreach($ReportDriver as $drivd){
            $driver_data[$drivd['driver_id']][$k] = $drivd;
            $k++;
        }

        $targetCPM = 0;
        $getLoadGrossRevenue = 0;
        $getLoadMileage = 0;
        foreach($driver_data as $driverdata){
            $target_cpm = [];
            foreach($driverdata as $driverdata){
                $getQuarter = Carbon::parse($driverdata['date'])->quarter;
                $getYear = Carbon::parse($driverdata['date'])->year;

                $getLoadGrossRevenue += $driverdata['actual_revenue'];
                $getLoadMileage += $driverdata['actual_mileage'];
                $target_cpm[$getQuarter.$getYear] = $driverdata['target_cpm'];

            }

            $target_cpm_tot = 0;
            if(count($target_cpm) > 0 && isset($target_cpm)){
                $quarterCount = count($target_cpm);
                $target_occupancy_tot = array_sum($target_cpm)/$quarterCount;
            }

            $targetCPM += $target_cpm_tot;
        }

        $actualCPM = 0;
        if($getLoadMileage > 0){
            $actualCPM = $getLoadGrossRevenue / $getLoadMileage;
        }

        $arry                                   = [];
        $arry['startDate']                      = date('M d, Y', strtotime($startDate));
        $arry['endDate']                        = date('M d, Y', strtotime($endDate));
        $arry['targetCPM']                      = number_format((float)$targetCPM, 2, '.', '');
        $arry['actualCPM']                      = number_format((float)$actualCPM, 2, '.', '');
        return $arry;
    }

    public function getTrailerType($param=[]){
        $user                                   = isset($param['user'])?$param['user']:$this->company_admin;

        $type                                   = $user->type;
        $tab                                    = $param['tab'];

        $arry                                   = [];
        $trailerTypeData                        = [];

        $trailerTypeQuery                       = Trailer::selectRaw('count(*) as total, (CASE WHEN type IS NULL THEN "Not specified" ELSE type END) AS type');
        if ($type==2 && $tab==1) {
            $driverQuery                        = Driver::with(['driver_information'])->has('team')->isCompany();
            $driverQuery->where('manager_id',$user->id);
            $driverQuery->whereHas('driver_information', function($q){
                $q->whereNotNull('trailer_number');
            });
            $trailer_ids                        = $driverQuery->get()->pluck('driver_information.trailer_number')->toArray();
            $trailerTypeQuery->whereIn('trailer_id', $trailer_ids);
        }else{
            $trailerTypeQuery->where('company_id', $user->company_id);
        }

        $getTrailerType                         = $trailerTypeQuery->groupBy('type')
            ->pluck('total', 'type')
            ->toArray();

        if(!empty($getTrailerType)){
            foreach ($getTrailerType as $gtype => $gtotal) {
                $gtypeLabel                     = 'Not specified';
                if (isset(getTrailerTypeList()[$gtype])) {
                    $gtypeLabel                 = isset(getTrailerTypeList()[$gtype]) ? getTrailerTypeList()[$gtype] : '';
                }
                $trailerTypeData[$gtypeLabel]   = $gtotal;
            }
        }

        $arry['trailerType']                    =  array_sum($trailerTypeData);
        $arry['trailerTypeData']                =  json_encode($trailerTypeData);
        return $arry;
    }

    public function getCompanyStats($param=[]){
        $user                                   = isset($param['user'])?$param['user']:$this->company_admin;

        $companyId                              = $user->company_id;

        $arry                                   = [];

        $arry['companyStatsDriver']             = Driver::whereNull('deleted_at')
            ->where('company_id', $companyId)
            ->count();
        $arry['companyStatsTeam']               = Team::where('company_id', $companyId)
            ->count();
        $arry['companyStatsTruck']              = Truck::where('company_id', '=', $companyId)
            ->count();
        $arry['companyStatsDispatcher']         = CompanyAdmin::where('company_id', $companyId)
            ->where('type', '=', 2)
            ->count();
        $arry['companyStatsTrailer']            = Trailer::where('company_id', $companyId)
            ->count();
        $arry['companyStatsManager']            = CompanyAdmin::where('company_id', $companyId)
            ->where('type', '=', 1)
            ->count();
        return $arry;
    }

    public function getDriverPerTeam($param=[]){

        $user                                   = isset($param['user'])?$param['user']:$this->company_admin;

        $drivers                                = Driver::selectRaw('count(id) as total, team_id, manager_id')
            ->has('team')
            ->isCompany()
            ->whereNotNull('manager_id')
            ->groupBy('team_id','manager_id')
            ->orderBy('team_id', 'ASC')
            ->where('drivers.status', '!=', '2')
            ->get();
        $driversArray                           = [];
        if($drivers->isNotEmpty()){
            foreach ($drivers as $key => $value) {
                $driversArray[$value->team_id.'_'.$value->manager_id] = $value->total;
            }
        }
        $getTeams                               = Team::Company()->get();
        $teamGetId                              = $getTeams->pluck('id');
        $teamGetName                            = $getTeams->pluck('name');
        $teamGetNameArray                       = implode(', ', array($teamGetName));
        $teamDataPoints                         = [];
        $dispatchers                            = CompanyAdmin::company()
            ->dispatcher();
        if($drivers->isNotEmpty()){
            $manager_ids                        = $drivers->pluck('manager_id')->toArray();
            if(!empty($manager_ids)){
                $dispatchers->whereIn('id', $manager_ids);
            }
        }
        $dispatchers                            = $dispatchers->get();
        foreach ($dispatchers as $key => $dispatcher) {
            $data                               = [];
            foreach ($teamGetId as $key => $teamId) {
                $data[]                         = isset($driversArray[$teamId.'_'.$dispatcher->id])?$driversArray[$teamId.'_'.$dispatcher->id]:0;
            }
            $teamDataPoints[]                   = array(
                "name" => $dispatcher->full_name,
                "data" => $data,
            );
        }
        $teamDataPoints                         = json_encode($teamDataPoints);

        $arry                                   = [];
        $arry['teamDataPoints']                 = $teamDataPoints;
        $arry['teamGetNameArray']               = $teamGetNameArray;

        return $arry;
    }

    public function getTargetRevenue($tab=null){
        $type                                   = $this->company_admin->type;
        if($type==2){
            if (!is_null($tab)) {
                $tab                            = $tab;
            }else{
                $tab                            = 1;
            }
        }else{
            $tab                                = 0;
        }

        $driverQuery                            = Driver::has('team')->isCompany();
        if ($type==2 && $tab==1) {
            $driverQuery->where('manager_id',auth()->guard('company-admin')->id());
        }
        $getDrivers = $driverQuery->get()->pluck('id');

        $data       = DriverFinancial::whereIn('driver_id', $getDrivers)
            ->orderBy('quarter', 'ASC')
            ->get();
        $array      = [];
        foreach ($data as $key => $item) {
            $to     = Carbon::createFromFormat('Y-m-d', $item->start_date);
            $from   = Carbon::createFromFormat('Y-m-d', $item->end_date);
            $quarterdays    = $to->diffInDays($from) + 1;
            $perdayRevenue  = $item->revenue_target / $quarterdays;
            $dateWiseArray  = [];
            for($i  = $to; $i <= $from; $i->modify('+1 day')){
                $dateWiseArray[strtotime($i->format("Y-m-d"))* 1000]    = $perdayRevenue;
            }
            $array[]        = $dateWiseArray;
        }
        ksort($array);

        $dataArray  = [];
        foreach ($array as $akey => $value) {
            foreach ($value as $vkey => $val) {
                if (!isset($dataArray[$vkey])) {
                    $dataArray[$vkey] = [$vkey, (float)$val];
                }
                else {
                    $dataArray[$vkey][1] += (float)$val;
                }
            }
        }
        $dataArray  = array_values($dataArray);
        return json_encode($dataArray);
    }

    public function getActualRevenue($tab=null){
        $type                                   = $this->company_admin->type;
        if($type==2){
            if (!is_null($tab)) {
                $tab                            = $tab;
            }else{
                $tab                            = 1;
            }
        }else{
            $tab                                = 0;
        }

        $revenueQuery = ReportDriver::selectRaw('SUM(actual_revenue) as total, DATE(date) as date')
                        ->where('company_id', $this->company_admin->company_id)
                        ->where('actual_revenue','!=',0);

        if ($type==2 && $tab==1) {
            $revenueQuery->where('manager_id',auth()->guard('company-admin')->id());
        }

        $revenues   = $revenueQuery->groupBy('date')
            ->orderBy('date','asc')
            ->pluck('total', 'date');
        $dataArray  = [];
        foreach ($revenues as $key => $item) {
            //$dateInMills  = strtotime(date('Y-m-d', strtotime($key))) * 1000;
            $dataArray[]    = [(Carbon::parse($key)->timestamp)*1000, (float)$item];
        }
        return json_encode($dataArray);
    }

    public function inTransitLoads(Request $request, $tab=null){
        $user                                   = $this->company_admin;
        $type                                   = $user->type;
        if($type==2){
            if (!is_null($tab)) {
                $tab                            = $tab;
            }else{
                $tab                            = 1;
            }
        }else{
            $tab                                = 0;
        }

        $inTransitLoadsQuery                    = LoadDetail::query()
            ->join("drivers","drivers.id","=","load_details.driver_id")
            ->leftjoin("teams","teams.id","=","drivers.team_id");
            if (!($type==2 && $tab==1)) {
                $inTransitLoadsQuery->filter($request->all());
            }
            $inTransitLoadsQuery->where("load_details.load_status",4)
                ->where(function($q) {
                    $q->whereNull('load_details.is_on_hold')->orWhere('load_details.is_on_hold', 0);
                })
                ->where(function($q) {
                    $q->whereNotNull('load_details.driver_id')->where('load_details.driver_id', '!=', 0);
                })
                ->whereHas('loads', function($q) use($user){
                    $q->where('company_id', $user->company_id);
                });
            if ($type==2 && $tab==1) {
                $inTransitLoadsQuery->where('drivers.manager_id', $user->id);
            }
            $data                               = $inTransitLoadsQuery->get();
            return Datatables::of($data)
                ->addIndexColumn()
                ->addColumn('load_number', function($row){
                    if ($row->is_disable == 0) {
                        if(in_array($row->load_type, ['0', '6'])) {
                            if ($row->load_type == 0) {
                                return '<a href="'.route('company.admin.loads.show', base64Encode($row->id)).'" class="mr-1 load-edit-link">'.$row->load_number.'</a>';
                            } else {
                                return '<a href="'.route('company.admin.loads.show', base64Encode($row->id)).'" class="mr-1 load-edit-link">'.getLoadTypeList()[$row->load_type].'</a>';
                            }
                        } else {
                            return '<a href="'.route('company.admin.loads.edit', base64Encode($row->load_id)).'" class="mr-1 load-edit-link">'.getLoadTypeList()[$row->load_type].'</a>';
                        }
                    } else {
                        if ($row->load_type == 0) {
                            return '<a href="'.route('company.admin.loads.show', base64Encode($row->id)).'" class="mr-1 load-edit-link">'.$row->load_number.'</a>';
                        } else {
                            return '<a href="'.route('company.admin.loads.show', base64Encode($row->id)).'" class="mr-1 load-edit-link">'.getLoadTypeList()[$row->load_type].'</a>';
                        }
                    }
                })
                ->addColumn('driver', function($row){
                    return isset($row->driver->full_name) ? $row->driver->full_name : '';
                })
                ->addColumn('full_name', function($row){
                    if(isset($row->driver->id)){
                        return '<span class="show-available-driver" data-driver-id="'.$row->driver->id.'" data-toggle="modal" data-target="#availableDriverModal">'.$row->driver->full_name.'</span>';
                    }else{
                        return '';
                    }
                })
                ->addColumn('phone_number', function($row){
                    return isset($row->driver->cell_phone) ? $row->driver->cell_phone : '';
                })
                ->addColumn('dispatcher', function($row){
                    return getLoadDispatcherName($row->booked_by);
                })
                ->addColumn('origin', function($row){
                    return getAddressCityState($row->shipper_city, $row->shipper_state);
                })
                ->addColumn('destination', function($row){
                    return getAddressCityState($row->delivery_city, $row->delivery_state);
                })
                ->addColumn('status', function($row){
                    return getLoadStatus($row->load_status,$row->is_on_hold);
                })
                ->addColumn('load_date', function($row){
                    return !is_null($row->actual_shipper_date) ? $row->actual_shipper_date." ".$row->shipper_timezone_abbr : '';
                })
                ->addColumn('delivery_date', function($row){
                    return !is_null($row->actual_delivery_date) ? $row->actual_delivery_date." ".$row->delivery_timezone_abbr : '';
                })
                ->addColumn('action', function($row){
                    $btn = '';
                    if($row->id){
                        $btn = '<a href="'.route('company.admin.trailers.show', base64Encode($row->id)).'" class="mr-4"><img src="'.asset('theme/img/eye.png').'" alt=""></a>';
                        $btn = $btn.' <a href="'.route('company.admin.trailers.edit', base64Encode($row->id)).'" class="mr-4"><img src="'.asset('theme/img/edit-icon.png').'" alt=""></a>';
                        $btn = $btn.' <a href="javascript:" class="destroy" data-action="'.route('company.admin.trailers.destroy',$row->id).'" data-id="'.$row->id.'"><img src="'.asset('theme/img/delete-icon.png').'" alt=""></a>';
                    }else{
                        $btn = '<a href="javascript:void(0);" class="mr-4"><img src="'.asset('theme/img/eye.png').'" alt=""></a>';
                        $btn = $btn.' <a href="javascript:void(0);" class="mr-4"><img src="'.asset('theme/img/edit-icon.png').'" alt=""></a>';
                        $btn = $btn.' <a href="javascript:void(0);" class="destroy" data-action="" data-id=""><img src="'.asset('theme/img/delete-icon.png').'" alt=""></a>';
                    }
                    return $btn;
                })
                ->rawColumns(['action','load_number','load_date','delivery_date','full_name'])
                ->make(true);
    }

    public function getRevenueByTeam($param=[]){
        $user                                   = isset($param['user'])?$param['user']:$this->company_admin;

        $companyId                              = $user->company_id;
        $range                                  = isset($param['range'])?$param['range']:'y';
        if($range=='w'){
            $weekly_strat_day                   = $user->weekly_strat_day ?? 1;
            $getWeekDate                        = getWeekDate($weekly_strat_day);
            $startDate                          = $getWeekDate['startDate'];
            $endDate                            = $getWeekDate['endDate'];
        }elseif($range=='m') {
            $startDate                          = Carbon::now()->timezone($this->timeZone)->startOfMonth()->format('Y-m-d');
            $endDate                            = Carbon::now()->timezone($this->timeZone)->endOfMonth()->format('Y-m-d');
        }else{
            $startDate                          = Carbon::now()->timezone($this->timeZone)->startOfYear()->format('Y-m-d');
            $endDate                            = Carbon::now()->timezone($this->timeZone)->endOfYear()->format('Y-m-d');
        }

        $arry                                   = [];
        $arry['startDate']                      = date('M d, Y', strtotime($startDate));
        $arry['endDate']                        = date('M d, Y', strtotime($endDate));


        $getLoadGrossRevenue = ReportDriver::selectRaw('SUM(report_drivers.actual_revenue) as total, teams.name as team_name')
                        ->join("teams", "teams.id", "=", "report_drivers.team_id")
                        ->where('report_drivers.company_id', $companyId)
                        ->where('report_drivers.date', '>=' ,$startDate)
                        ->where('report_drivers.date', '<=' ,$endDate)
                        ->orderBy('teams.id','ASC')
                        ->groupBy('teams.id')
                        ->pluck('total', 'team_name')->toArray();

        $revenueByTeam                          = array_sum($getLoadGrossRevenue);
        $revenueByTeamData                      = [];
        if(!empty($getLoadGrossRevenue)){
            foreach ($getLoadGrossRevenue as $key => $value) {
                $revenueByTeamData[$key]        = number_format((float)$value, 2, '.', '');
            }
        }
        $arry['revenueByTeam']                  = number_format((float)$revenueByTeam, 2, '.', '');
        $arry['revenueByTeamData']              = json_encode($revenueByTeamData);
        return $arry;
    }

    public function getRevenueByTrailerType_bk($param=[]){
        $user                                   = isset($param['user'])?$param['user']:$this->company_admin;

        $companyId                              = $user->company_id;
        $range                                  = isset($param['range'])?$param['range']:'y';
        $type                                   = $user->type;
        $tab                                    = $param['tab'];

        if($range=='w'){
            $weekly_strat_day                   = $user->weekly_strat_day ?? 1;
            $getWeekDate                        = getWeekDate($weekly_strat_day);
            $startDate                          = $getWeekDate['startDate'];
            $endDate                            = $getWeekDate['endDate'];
        }elseif($range=='m') {
            $startDate                          = Carbon::now()->timezone($this->timeZone)->startOfMonth()->format('Y-m-d');
            $endDate                            = Carbon::now()->timezone($this->timeZone)->endOfMonth()->format('Y-m-d');
        }else{
            $startDate                          = Carbon::now()->timezone($this->timeZone)->startOfYear()->format('Y-m-d');
            $endDate                            = Carbon::now()->timezone($this->timeZone)->endOfYear()->format('Y-m-d');
        }

        $arry                                   = [];
        $arry['startDate']                      = date('M d, Y', strtotime($startDate));
        $arry['endDate']                        = date('M d, Y', strtotime($endDate));

        $revenueByTrailerTypeData               = [];
        $revenueByTrailerTypeQuery              = LoadDetail::selectRaw('SUM(load_details.driver_revenue) as total,load_details.trailer_type')
            ->join("drivers", "drivers.id", "=", "load_details.driver_id")
            ->join("teams", "teams.id", "=", "drivers.team_id")
            ->whereBetween(DB::raw('DATE_FORMAT(load_details.actual_delivery_date, "%Y-%m-%d")'), [$startDate, $endDate])
            ->whereIn('load_details.is_disable', [0,1])
            ->where('load_details.load_status', '!=', 9)
            ->where(function($q) {
                $q->whereNull('load_details.is_on_hold')->orWhereIn('load_details.is_on_hold', [0,1]);
            })
            ->whereNotIn('load_details.load_type', [1, 2, 3, 5])
            ->whereNull('drivers.deleted_at')
            ->where('drivers.company_id', $companyId);
        if ($type==2 && $tab==1) {
            $revenueByTrailerTypeQuery->where('drivers.manager_id',$user->id);
        }
        $getTrailerLoadRevenue                  = $revenueByTrailerTypeQuery->groupBy('load_details.trailer_type')
            ->pluck('total','trailer_type')
            ->toArray();
        if(!empty($getTrailerLoadRevenue)){
            foreach ($getTrailerLoadRevenue as $gtype => $gtotal) {
                $gtypeLabel                     = 'Not specified';
                if (isset(getTrailerTypeList()[$gtype])) {
                    $gtypeLabel                 = isset(getTrailerTypeList()[$gtype]) ? getTrailerTypeList()[$gtype] : '';
                }
                $revenueByTrailerTypeData[$gtypeLabel] = number_format((float)$gtotal, 2, '.', '');
            }
        }
        $revenueByTrailerType                   = array_sum($revenueByTrailerTypeData);

        $arry['revenueByTrailerType']           = $revenueByTrailerType;
        $arry['revenueByTrailerTypeData']       = json_encode($revenueByTrailerTypeData);
        return $arry;
    }

    public function getRevenueByTrailerType($param=[]){
        $user                                   = isset($param['user'])?$param['user']:$this->company_admin;

        $companyId                              = $user->company_id;
        $range                                  = isset($param['range'])?$param['range']:'y';
        $type                                   = $user->type;
        $tab                                    = $param['tab'];

        if($range=='w'){
            $weekly_strat_day                   = $user->weekly_strat_day ?? 1;
            $getWeekDate                        = getWeekDate($weekly_strat_day);
            $startDate                          = $getWeekDate['startDate'];
            $endDate                            = $getWeekDate['endDate'];
        }elseif($range=='m') {
            $startDate                          = Carbon::now()->timezone($this->timeZone)->startOfMonth()->format('Y-m-d');
            $endDate                            = Carbon::now()->timezone($this->timeZone)->endOfMonth()->format('Y-m-d');
        }else{
            $startDate                          = Carbon::now()->timezone($this->timeZone)->startOfYear()->format('Y-m-d');
            $endDate                            = Carbon::now()->timezone($this->timeZone)->endOfYear()->format('Y-m-d');
        }

        $arry                                   = [];
        $arry['startDate']                      = date('M d, Y', strtotime($startDate));
        $arry['endDate']                        = date('M d, Y', strtotime($endDate));

        $revenueByTrailerTypeData               = [];
        /*
         $revenueByTrailerTypeQuery = LoadDetail::selectRaw('SUM(load_details.driver_revenue) as total,load_details.trailer_type')
            ->join("drivers", "drivers.id", "=", "load_details.driver_id")
            ->join("teams", "teams.id", "=", "drivers.team_id")
            ->whereBetween(DB::raw('DATE_FORMAT(load_details.actual_delivery_date, "%Y-%m-%d")'), [$startDate, $endDate])
            ->whereIn('load_details.is_disable', [0,1])
            ->where('load_details.load_status', '!=', 9)
            ->where(function($q) {
                $q->whereNull('load_details.is_on_hold')->orWhereIn('load_details.is_on_hold', [0,1]);
            })
            ->whereNotIn('load_details.load_type', [1, 2, 3, 5])
            ->whereNull('drivers.deleted_at')
            ->where('drivers.company_id', $companyId);
        if ($type==2 && $tab==1) {
            $revenueByTrailerTypeQuery->where('drivers.manager_id',$user->id);
        }
        $getTrailerLoadRevenue = $revenueByTrailerTypeQuery->groupBy('load_details.trailer_type')
            ->pluck('total','trailer_type')
            ->toArray();
        */
        //dd($getTrailerLoadRevenue);

        $revenueByTrailerTypeQuery = ReportDriver::selectRaw('SUM(report_drivers.actual_revenue) as total, report_drivers.trailer_type')
            ->join("teams", "teams.id", "=", "report_drivers.team_id")
            ->where('report_drivers.company_id', $companyId)
            ->whereBetween(DB::raw('DATE_FORMAT(report_drivers.date, "%Y-%m-%d")'), [$startDate, $endDate]);
        if ($type==2 && $tab==1) {
            $revenueByTrailerTypeQuery->where('manager_id', $user->id);
        }
        $getTrailerLoadRevenue = $revenueByTrailerTypeQuery->groupBy('report_drivers.trailer_type')
            ->pluck('total', 'trailer_type')
            ->toArray();

        if(!empty($getTrailerLoadRevenue)){
            foreach ($getTrailerLoadRevenue as $gtype => $gtotal) {
                $gtypeLabel                     = 'Not specified';
                if (isset(getTrailerTypeList()[$gtype])) {
                    $gtypeLabel                 = isset(getTrailerTypeList()[$gtype]) ? getTrailerTypeList()[$gtype] : '';
                }
                $revenueByTrailerTypeData[$gtypeLabel] = number_format((float)$gtotal, 2, '.', '');
            }
        }
        $revenueByTrailerType                   = array_sum($revenueByTrailerTypeData);

        $arry['revenueByTrailerType']           = $revenueByTrailerType;
        $arry['revenueByTrailerTypeData']       = json_encode($revenueByTrailerTypeData);
        return $arry;
    }

    public function getLoadsStats($param=[]){
        $user                                   = isset($param['user'])?$param['user']:$this->company_admin;

        $companyId                              = $user->company_id;
        $type                                   = $user->type;
        $tab                                    = $param['tab'];

        $arry                                   = [];

        $loadsStatsQuery                        = LoadDetail::query();
            if ($type==2 && $tab==1) {
                $loadsStatsQuery->join("drivers", "drivers.id", "=", "load_details.driver_id")
                ->whereNull('drivers.deleted_at')
                ->where('drivers.manager_id',$user->id);
            }
            $loadsStatsQuery->where('is_disable', 0)
            ->whereHas('loads', function($q) use ($companyId){
                $q->where('company_id',  '=', $companyId);
            });
        $arry['loadsStats']                     = $loadsStatsQuery->count();

        $loadsStatsOnHoldQuery                  = LoadDetail::query();
            if ($type==2 && $tab==1) {
                $loadsStatsOnHoldQuery->join("drivers", "drivers.id", "=", "load_details.driver_id")
                ->whereNull('drivers.deleted_at')
                ->where('drivers.manager_id',$user->id);
            }
            $loadsStatsOnHoldQuery->where(function($q) {
                $q->where('load_status', 7)->orWhere('is_on_hold', 1);
            })->where(function($q) {
                $q->whereNotNull('driver_id')->where('driver_id', '!=', 0);
            })
            //->where('is_disable', 0)
            ->whereHas('loads', function($q) use ($companyId){
                $q->where('company_id',  '=', $companyId);
            });
        $arry['loadsStatsOnHold']               = $loadsStatsOnHoldQuery->count();

        $loadsStatsPlannedQuery                 = LoadDetail::query();
            if ($type==2 && $tab==1) {
                $loadsStatsPlannedQuery->join("drivers", "drivers.id", "=", "load_details.driver_id")
                ->whereNull('drivers.deleted_at')
                ->where('drivers.manager_id',$user->id);
            }
            $loadsStatsPlannedQuery->whereIn("load_status",[0,2,11,3])
            ->where(function($q) {
                $q->whereNull('is_on_hold')->orWhereIn('is_on_hold', [0]);
            })->where(function($q) {
                $q->whereNotNull('driver_id')->where('driver_id', '!=', 0);
            })
            //->where('is_disable', 0)
            ->whereHas('loads', function($q) use ($companyId){
                $q->where('company_id',  '=', $companyId);
            });
        $arry['loadsStatsPlanned']              = $loadsStatsPlannedQuery->count();

        $loadsStatsInTransitQuery               = LoadDetail::query();
            if ($type==2 && $tab==1) {
                $loadsStatsInTransitQuery->join("drivers", "drivers.id", "=", "load_details.driver_id")
                ->whereNull('drivers.deleted_at')
                ->where('drivers.manager_id',$user->id);
            }
            $loadsStatsInTransitQuery->where("load_status",4)
            ->where(function($q) {
                $q->whereNull('is_on_hold')->orWhereIn('is_on_hold', [0]);
            })->where(function($q) {
                $q->whereNotNull('driver_id')->where('driver_id', '!=', 0);
            })
            //->where('is_disable', 0)
            ->whereHas('loads', function($q) use ($companyId){
                $q->where('company_id',  '=', $companyId);
            });
        $arry['loadsStatsInTransit']            = $loadsStatsInTransitQuery->count();

        if ($type==2 && $tab==1) {
            $loadsStatsAvailableQuery           = LoadDetail::where(function($q) {
                    $q->whereNull('driver_id')->orWhere('driver_id', 0);
                })
                ->where('self_dispatch', 0)
                ->where('booked_by', $user->id)
                ->whereHas('loads', function($q) use ($companyId){
                    $q->where('company_id',  '=', $companyId);
                });
        }else{
            $loadsStatsAvailableQuery           = LoadDetail::where(function($q) {
                $q->whereNull('driver_id')->orWhere('driver_id', 0);
            })->whereHas('loads', function($q) use ($companyId){
                $q->where('company_id',  '=', $companyId);
            });
        }
        $arry['loadsStatsAvailable']            = $loadsStatsAvailableQuery->count();
        return $arry;
    }

    public function getRevenueOccupancy_bk($param=[]){
        $user                                       = isset($param['user'])?$param['user']:$this->company_admin;

        $type                                       = $user->type;
        $tab                                        = $param['tab'];

        $driverQuery                                = Driver::has('team')->isCompany();
        if ($type==2 && $tab==1) {
            $driverQuery->where('manager_id',$user->id);
        }
        $driverIds                                  = $driverQuery->pluck('id')->toArray();

        $year                                       = date('Y');
        $currentweek                                = date("W");
        $totalweek                                  = date('W', strtotime($year.'-12-31'));

        $arry                                       = [];
        $actualRevenueArry                          = [];
        $targetRevenueArry                          = [];
        $occupancyGoalArry                          = [];
        $fleetOccupancyArry                         = [];

        $weeks                                      = [];
        for($i=1;$i<=$currentweek;$i++) {
            $result                                 = $this->getWeek($i,$year);

            $currentDate                            = date('Y-m-d');
            $startDate                              = $result['startDate'];
            $endDate                                = $result['endDate'];
            if(strtotime($currentDate) < strtotime($startDate)){
                break;
            }
            //echo "Week:".$i." Start date:".$result['start']." End date:".$result['end']."<br>";

            $week                                   = [];
            $week['startDate']                      = $startDate;
            $week['endDate']                        = $endDate;
            // if ($i == 1) {
            //     $week['startDate']               = "2022-01-01";
            // } else if ($i == 52) {
            //     $week['endDate']                 = "2022-12-31";
            // }
            $weeks["Week ".$i]                      = $week;

            // week calculation
            $occupancyGoal                          = 0;
            $fleetOccupancy                         = 0;

            $getActualRevenue                       = 0;
            $getTargetRevenue                       = 0;
            $getOccupancyGoal                       = 0;
            $getFleetOccupancy                      = 0;
            $getActiveDriverCount                   = 0;

            $getLoadDriverIds                       = LoadDetail::select('driver_id')
                ->whereIn('driver_id',$driverIds)
                ->whereBetween(DB::raw('DATE_FORMAT(load_details.actual_delivery_date, "%Y-%m-%d")'), [$startDate, $endDate])
                ->where('load_type','!=',5)
                ->groupBy('driver_id')
                ->pluck('driver_id')
                ->toArray();
            if(!empty($getLoadDriverIds)){
                $getData                            = $this->getLoadOccupancyCalendarMonth2($startDate, $endDate, $getLoadDriverIds);
                $getOccupancy                       = $getData['getOccupancy'];

                $getLoadGrossRevenue                = LoadDetail::select('driver_revenue')
                    ->whereHas('driver', function($q) use($getLoadDriverIds){
                        $q->whereIn('id', $getLoadDriverIds);
                    })
                    ->whereBetween(DB::raw('DATE_FORMAT(load_details.actual_delivery_date, "%Y-%m-%d")'), [$startDate, $endDate])
                    ->whereIn('load_details.is_disable', [0,1])
                    ->where('load_details.load_status', '!=', 9)
                    ->where(function($q) {
                        $q->whereNull('load_details.is_on_hold')->orWhereIn('load_details.is_on_hold', [0,1]);
                    })
                    ->whereNotIn('load_details.load_type', [1, 2, 3, 5]);
                $getActualRevenue                   = $getLoadGrossRevenue->sum('driver_revenue');

                $getTargetRevenueMiles              = $this->getTargetRevenueMilesByDate($startDate, $endDate, $getLoadDriverIds);
                $getTargetRevenue                   = $getTargetRevenueMiles['revenue'];
                $getOccupancyGoal                   = $getTargetRevenueMiles['occupancy'];

                $getFleetOccupancy                  = $getOccupancy;

                $getActiveDriverCount               = count($getLoadDriverIds);
                if($getActiveDriverCount > 0){
                    if ($getOccupancyGoal > 0) {
                        $occupancyGoal              = round($getOccupancyGoal / $getActiveDriverCount);
                    }
                    if ($getFleetOccupancy > 0) {
                        $fleetOccupancy             = round($getFleetOccupancy / $getActiveDriverCount);
                    }
                }
                $occupancyGoal                      = (int)min(100, $occupancyGoal);
                $fleetOccupancy                     = (int)min(100, $fleetOccupancy);
            }

            $actualRevenueArry[]                    = $getActualRevenue;
            $targetRevenueArry[]                    = $getTargetRevenue;
            $occupancyGoalArry[]                    = $occupancyGoal;
            $fleetOccupancyArry[]                   = $fleetOccupancy;
        }

        $arry['actualRevenue']                      = json_encode($actualRevenueArry);
        $arry['targetRevenue']                      = json_encode($targetRevenueArry);
        $arry['occupancyGoal']                      = json_encode($occupancyGoalArry);
        $arry['fleetOccupancy']                     = json_encode($fleetOccupancyArry);
        $arry['weeks']                              = json_encode(array_keys($weeks));
        return $arry;
    }

    public function getRevenueOccupancy($param=[]){
        $user                                       = isset($param['user'])?$param['user']:$this->company_admin;
        $type                                       = $user->type;
        $tab                                        = $param['tab'];
        $year                                       = date('Y');
        $currentweek                                = date("W");
        $arry                                       = [];
        $actualRevenueArry                          = [];
        $targetRevenueArry                          = [];
        $occupancyGoalArry                          = [];
        $fleetOccupancyArry                         = [];
        $weeks                                      = [];

        for($i = 1; $i <= $currentweek; $i++) {
            $result                                 = $this->getWeek($i, $year);
            $startDate                              = $result['startDate'];
            $endDate                                = $result['endDate'];
            $week                                   = [];
            $week['startDate']                      = $startDate;
            $week['endDate']                        = $endDate;
            $weeks["Week ".$i]                      = $week;

            $activeDriverCount = Driver::whereIn('id', function($query)  use ($startDate, $endDate){
                $query->select('driver_id')
                    ->from(with(new ReportDriver)->getTable())
                    ->where('date', '>=' ,$startDate)
                    ->where('date', '<=' ,$endDate)
                    ->where('company_id', $this->company_admin->company_id);
            })->where('company_id', $this->company_admin->company_id);

            $ReportDriver = ReportDriver::select('driver_id','date','actual_revenue','target_revenue','target_occupancy','actual_daycount','actual_totaldays')
                            ->where('company_id', $this->company_admin->company_id)
                            ->where('date', '>=' ,$startDate)
                            ->where('date', '<=' ,$endDate);

            if ($type==2 && $tab==1) {
                $ReportDriver = $ReportDriver->where('manager_id', $user->id);
                $activeDriverCount = $activeDriverCount->where('manager_id', $user->id)->get()->count();
            }else{
                $activeDriverCount = $activeDriverCount->get()->count();
            }

            $ReportDriver = $ReportDriver->orderBy('driver_id')->get();

            $driver_data = []; $k = 0;
            foreach($ReportDriver as $drivd){
                $driver_data[$drivd['driver_id']][$k] = $drivd;
                $k++;
            }

            $actual_revenue = 0;
            $target_revenue = 0;
            $getfleetOccupancy = 0;
            $getoccupancyGoal = 0;
            $occupancyGoal = 0;
            $fleetOccupancy = 0;

            foreach($driver_data as $driverdata){
                $actual_daycount = 0;
                $actual_totaldays = 0;
                $target_occupancy = [];

                foreach($driverdata as $driverdata){
                    $getQuarter = Carbon::parse($driverdata['date'])->quarter;
                    $getYear = Carbon::parse($driverdata['date'])->year;

                    $actual_daycount += $driverdata['actual_daycount'];
                    $actual_totaldays += $driverdata['actual_totaldays'];
                    $actual_revenue += $driverdata['actual_revenue'];
                    $target_revenue += $driverdata['target_revenue'];

                    $target_occupancy[$getQuarter.$getYear] = $driverdata['target_occupancy'];
                }

                $mapeval = 0;
                if($actual_daycount > 0){
                    $mapeval = max(number_format(100 / $actual_daycount * $actual_totaldays, 2), 0);
                }

                $target_occupancy_tot = 0;
                if(count($target_occupancy) > 0 && isset($target_occupancy)){
                    $quarterCount = count($target_occupancy);
                    $target_occupancy_tot = array_sum($target_occupancy) / $quarterCount;
                }

                $getfleetOccupancy += $mapeval;
                $getoccupancyGoal += $target_occupancy_tot;
            }

            if($activeDriverCount > 0){
                $occupancyGoal = round($getoccupancyGoal / $activeDriverCount, 2);
                $fleetOccupancy = round($getfleetOccupancy / $activeDriverCount,2);
            }

            $actualRevenueArry[] = $actual_revenue;
            $targetRevenueArry[] = $target_revenue;
            $occupancyGoalArry[] = $occupancyGoal;
            $fleetOccupancyArry[] = $fleetOccupancy;
        }

        $arry['actualRevenue']                      = json_encode($actualRevenueArry);
        $arry['targetRevenue']                      = json_encode($targetRevenueArry);
        $arry['occupancyGoal']                      = json_encode($occupancyGoalArry);
        $arry['fleetOccupancy']                     = json_encode($fleetOccupancyArry);
        $arry['weeks']                              = json_encode(array_keys($weeks));

        return $arry;
    }

    public function getRevenueActualVsGoal_bk($param=[]){
        $user                                       = isset($param['user'])?$param['user']:$this->company_admin;

        $type                                       = $user->type;
        $tab                                        = $param['tab'];

        $driverQuery                                = Driver::has('team')->isCompany();
        if ($type==2 && $tab==1) {
            $driverQuery->where('manager_id',$user->id);
        }
        $driverIds                                  = $driverQuery->pluck('id')->toArray();

        $year                                       = date('Y');
        $currentweek                                = date("W");
        $totalweek                                  = date('W', strtotime($year.'-12-31'));

        $arry                                       = [];
        $actualRevenueArry                          = [];
        $targetRevenueArry                          = [];

        $weeks                                      = [];
        for($i=1;$i<=$currentweek;$i++) {
            $result                                 = $this->getWeek($i,$year);

            $currentDate                            = date('Y-m-d');
            $startDate                              = $result['startDate'];
            $endDate                                = $result['endDate'];
            if(strtotime($currentDate) < strtotime($startDate)){
                break;
            }
            //echo "Week:".$i." Start date:".$result['start']." End date:".$result['end']."<br>";

            $week                                   = [];
            $week['startDate']                      = $startDate;
            $week['endDate']                        = $endDate;
            // if ($i == 1) {
            //     $week['startDate']               = "2022-01-01";
            // } else if ($i == 52) {
            //     $week['endDate']                 = "2022-12-31";
            // }
            $weeks["Week ".$i]                      = $week;

            // week calculation
            $getActualRevenue                       = 0;
            $getTargetRevenue                       = 0;
            $getActiveDriverCount                   = 0;

            $getLoadDriverIds                       = LoadDetail::select('driver_id')
                ->whereIn('driver_id',$driverIds)
                ->whereBetween(DB::raw('DATE_FORMAT(load_details.actual_delivery_date, "%Y-%m-%d")'), [$startDate, $endDate])
                ->where('load_type','!=',5)
                ->groupBy('driver_id')
                ->pluck('driver_id')
                ->toArray();
            if(!empty($getLoadDriverIds)){
                $getLoadGrossRevenue                = LoadDetail::select('driver_revenue')
                    ->whereHas('driver', function($q) use($getLoadDriverIds){
                        $q->whereIn('id', $getLoadDriverIds);
                    })
                    ->whereBetween(DB::raw('DATE_FORMAT(load_details.actual_delivery_date, "%Y-%m-%d")'), [$startDate, $endDate])
                    ->whereIn('load_details.is_disable', [0,1])
                    ->where('load_details.load_status', '!=', 9)
                    ->where(function($q) {
                        $q->whereNull('load_details.is_on_hold')->orWhereIn('load_details.is_on_hold', [0,1]);
                    })
                    ->whereNotIn('load_details.load_type', [1, 2, 3, 5]);
                $getActualRevenue                   = $getLoadGrossRevenue->sum('driver_revenue');

                $getTargetRevenueMiles              = $this->getTargetRevenueMilesByDate($startDate, $endDate, $getLoadDriverIds);
                $getTargetRevenue                   = $getTargetRevenueMiles['revenue'];

                $getActiveDriverCount               = count($getLoadDriverIds);
            }

            $actualRevenueArry[]                    = $getActualRevenue;
            $targetRevenueArry[]                    = $getTargetRevenue;
        }

        $arry['actualRevenue']                      = json_encode($actualRevenueArry);
        $arry['targetRevenue']                      = json_encode($targetRevenueArry);
        $arry['weeks']                              = json_encode(array_keys($weeks));
        return $arry;
    }

    public function getRevenueActualVsGoal($param=[]){
        $user                                       = isset($param['user'])?$param['user']:$this->company_admin;
        $type                                       = $user->type;
        $tab                                        = $param['tab'];
        $year                                       = date('Y');
        $currentweek                                = date("W");
        $arry                                       = [];
        $actualRevenueArry                          = [];
        $targetRevenueArry                          = [];
        $weeks                                      = [];

        for($i = 1; $i <= $currentweek; $i++) {
            $result                                 = $this->getWeek($i,$year);
            $currentDate                            = date('Y-m-d');
            $startDate                              = $result['startDate'];
            $endDate                                = $result['endDate'];

            if(strtotime($currentDate) < strtotime($startDate)){
                break;
            }

            $week                                   = [];
            $week['startDate']                      = $startDate;
            $week['endDate']                        = $endDate;
            $weeks["Week ".$i]                      = $week;

            $activeDriverCount = Driver::whereIn('id', function($query)  use ($startDate, $endDate){
                $query->select('driver_id')
                    ->from(with(new ReportDriver)->getTable())
                    ->where('date', '>=' ,$startDate)
                    ->where('date', '<=' ,$endDate)
                    ->where('company_id', $this->company_admin->company_id);
            })->where('company_id', $this->company_admin->company_id);

            $ReportDriver = ReportDriver::select('driver_id','date','actual_revenue','target_revenue','target_occupancy','actual_daycount','actual_totaldays')
                ->where('company_id', $this->company_admin->company_id)
                ->where('date', '>=' ,$startDate)
                ->where('date', '<=' ,$endDate);

            if ($type==2 && $tab==1) {
                $ReportDriver = $ReportDriver->where('manager_id', $user->id);
                $activeDriverCount = $activeDriverCount->where('manager_id', $user->id)->get()->count();
            }else{
                $activeDriverCount = $activeDriverCount->get()->count();
            }

            $ReportDriver = $ReportDriver->orderBy('driver_id')->get();

            $driver_data = []; $k = 0;
            foreach($ReportDriver as $drivd){
                $driver_data[$drivd['driver_id']][$k] = $drivd;
                $k++;
            }

            $actual_revenue = 0;
            $target_revenue = 0;

            foreach($driver_data as $driverdata){
                foreach($driverdata as $driverdata){
                    $actual_revenue += $driverdata['actual_revenue'];
                    $target_revenue += $driverdata['target_revenue'];
                }
            }

            $actualRevenueArry[] = $actual_revenue;
            $targetRevenueArry[] = $target_revenue;
        }

        $arry['actualRevenue']                      = json_encode($actualRevenueArry);
        $arry['targetRevenue']                      = json_encode($targetRevenueArry);
        $arry['weeks']                              = json_encode(array_keys($weeks));

        return $arry;
    }

    public function getRevenueOccupancyVsGoal_bk($param=[]){
        $user                                       = isset($param['user'])?$param['user']:$this->company_admin;

        $type                                       = $user->type;
        $tab                                        = $param['tab'];

        $driverQuery                                = Driver::has('team')->isCompany();
        if ($type==2 && $tab==1) {
            $driverQuery->where('manager_id',$user->id);
        }
        $driverIds                                  = $driverQuery->pluck('id')->toArray();

        $year                                       = date('Y');
        $currentweek                                = date("W");
        $totalweek                                  = date('W', strtotime($year.'-12-31'));

        $arry                                       = [];
        $occupancyGoalArry                          = [];
        $fleetOccupancyArry                         = [];

        $weeks                                      = [];
        for($i=1;$i<=$currentweek;$i++) {
            $result                                 = $this->getWeek($i,$year);

            $currentDate                            = date('Y-m-d');
            $startDate                              = $result['startDate'];
            $endDate                                = $result['endDate'];
            if(strtotime($currentDate) < strtotime($startDate)){
                break;
            }
            //echo "Week:".$i." Start date:".$result['start']." End date:".$result['end']."<br>";

            $week                                   = [];
            $week['startDate']                      = $startDate;
            $week['endDate']                        = $endDate;
            // if ($i == 1) {
            //     $week['startDate']               = "2022-01-01";
            // } else if ($i == 52) {
            //     $week['endDate']                 = "2022-12-31";
            // }
            $weeks["Week ".$i]                      = $week;

            // week calculation
            $occupancyGoal                          = 0;
            $fleetOccupancy                         = 0;

            $getOccupancyGoal                       = 0;
            $getFleetOccupancy                      = 0;
            $getActiveDriverCount                   = 0;

            $getLoadDriverIds                       = LoadDetail::select('driver_id')
                ->whereIn('driver_id',$driverIds)
                ->whereBetween(DB::raw('DATE_FORMAT(load_details.actual_delivery_date, "%Y-%m-%d")'), [$startDate, $endDate])
                ->where('load_type','!=',5)
                ->groupBy('driver_id')
                ->pluck('driver_id')
                ->toArray();
            if(!empty($getLoadDriverIds)){
                $getData                            = $this->getLoadOccupancyCalendarMonth2($startDate, $endDate, $getLoadDriverIds);
                $getOccupancy                       = $getData['getOccupancy'];

                $getTargetRevenueMiles              = $this->getTargetRevenueMilesByDate($startDate, $endDate, $getLoadDriverIds);
                $getOccupancyGoal                   = $getTargetRevenueMiles['occupancy'];

                $getFleetOccupancy                  = $getOccupancy;

                $getActiveDriverCount               = count($getLoadDriverIds);
                if($getActiveDriverCount > 0){
                    if ($getOccupancyGoal > 0) {
                        $occupancyGoal              = round($getOccupancyGoal / $getActiveDriverCount);
                    }
                    if ($getFleetOccupancy > 0) {
                        $fleetOccupancy             = round($getFleetOccupancy / $getActiveDriverCount);
                    }
                }
                $occupancyGoal                      = (int)min(100, $occupancyGoal);
                $fleetOccupancy                     = (int)min(100, $fleetOccupancy);
            }

            $occupancyGoalArry[]                    = $occupancyGoal;
            $fleetOccupancyArry[]                   = $fleetOccupancy;
        }

        $arry['occupancyGoal']                      = json_encode($occupancyGoalArry);
        $arry['fleetOccupancy']                     = json_encode($fleetOccupancyArry);
        $arry['weeks']                              = json_encode(array_keys($weeks));
        return $arry;
    }

    public function getRevenueOccupancyVsGoal($param=[]){
        $user                                       = isset($param['user'])?$param['user']:$this->company_admin;
        $type                                       = $user->type;
        $tab                                        = $param['tab'];
        $year                                       = date('Y');
        $currentweek                                = date("W");
        $totalweek                                  = date('W', strtotime($year.'-12-31'));
        $arry                                       = [];
        $occupancyGoalArry                          = [];
        $fleetOccupancyArry                         = [];
        $weeks                                      = [];

        for($i = 1; $i <= $currentweek; $i++) {
            $result                                 = $this->getWeek($i,$year);
            $currentDate                            = date('Y-m-d');
            $startDate                              = $result['startDate'];
            $endDate                                = $result['endDate'];
            if(strtotime($currentDate) < strtotime($startDate)){
                break;
            }
            $week                                   = [];
            $week['startDate']                      = $startDate;
            $week['endDate']                        = $endDate;
            $weeks["Week ".$i]                      = $week;

            // week calculation
            $occupancyGoal                          = 0;
            $fleetOccupancy                         = 0;

            $activeDriverCount = Driver::whereIn('id', function($query)  use ($startDate, $endDate){
                $query->select('driver_id')
                    ->from(with(new ReportDriver)->getTable())
                    ->where('date', '>=' ,$startDate)
                    ->where('date', '<=' ,$endDate)
                    ->where('company_id', $this->company_admin->company_id);
            })->where('company_id', $this->company_admin->company_id);

            $ReportDriver = ReportDriver::select('driver_id','date','target_occupancy','actual_daycount','actual_totaldays')
                ->where('company_id', $this->company_admin->company_id)
                ->where('date', '>=' ,$startDate)
                ->where('date', '<=' ,$endDate);

            if ($type==2 && $tab==1) {
                $ReportDriver = $ReportDriver->where('manager_id', $user->id);
                $activeDriverCount = $activeDriverCount->where('manager_id', $user->id)->get()->count();
            }else{
                $activeDriverCount = $activeDriverCount->get()->count();
            }

            $ReportDriver = $ReportDriver->orderBy('driver_id')->get();

            $driver_data = []; $k = 0;
            foreach($ReportDriver as $drivd){
                $driver_data[$drivd['driver_id']][$k] = $drivd;
                $k++;
            }

            $getfleetOccupancy = 0;
            $getoccupancyGoal = 0;

            foreach($driver_data as $driverdata){
                $actual_daycount = 0;
                $actual_totaldays = 0;
                $target_occupancy = [];

                foreach($driverdata as $driverdata){
                    $getQuarter = Carbon::parse($driverdata['date'])->quarter;
                    $getYear = Carbon::parse($driverdata['date'])->year;

                    $actual_daycount += $driverdata['actual_daycount'];
                    $actual_totaldays += $driverdata['actual_totaldays'];

                    $target_occupancy[$getQuarter.$getYear] = $driverdata['target_occupancy'];
                }

                $mapeval = 0;
                if($actual_daycount > 0){
                    $mapeval = max(number_format(100 / $actual_daycount * $actual_totaldays, 2), 0);
                }

                $target_occupancy_tot = 0;
                if(count($target_occupancy) > 0 && isset($target_occupancy)){
                    $quarterCount = count($target_occupancy);
                    $target_occupancy_tot = array_sum($target_occupancy) / $quarterCount;
                }

                $getfleetOccupancy += $mapeval;
                $getoccupancyGoal += $target_occupancy_tot;
            }

            if($activeDriverCount > 0){
                $occupancyGoal = round($getoccupancyGoal / $activeDriverCount, 2);
                $fleetOccupancy = round($getfleetOccupancy / $activeDriverCount,2);
            }

            $occupancyGoalArry[] = $occupancyGoal;
            $fleetOccupancyArry[] = $fleetOccupancy;
        }

        $arry['occupancyGoal']                      = json_encode($occupancyGoalArry);
        $arry['fleetOccupancy']                     = json_encode($fleetOccupancyArry);
        $arry['weeks']                              = json_encode(array_keys($weeks));
        return $arry;
    }

    public function getEvents($param=[]){
        $user                               = isset($param['user'])?$param['user']:$this->company_admin;
        $userId                             = $user->id;
        $companyId                          = $user->company_id;

        $type                               = $user->type;
        $tab                                = $param['tab'];

        $eventArry                          = [];

        $current                            = Carbon::now()->timezone($this->timeZone);
        $currentDate                        = $current->format('Y-m-d');

        $privateEventQuery                  = \App\Models\Event::where('company_admin_id', $userId)->where('share',0);

        $publicEventQuery                   = \App\Models\Event::where('share',1);

        $driverEventQuery                   = \App\Models\Event::isCompany()->where('share',2);
        if ($type==2 && $tab==1) {
            $driverIds                      = \App\Models\Driver::isCompany()->where('manager_id',$userId)->pluck('id')->toArray();
            $driverEventQuery->whereIn('driver_id', $driverIds);
        }

        $dispatcherEventQuery               = \App\Models\Event::isCompany()->where('share',3);
        if ($type==2 && $tab==1) {
            $dispatcherEventQuery->where('driver_id', $userId);
        }

        $getEvent                           = $privateEventQuery->union($publicEventQuery)->union($driverEventQuery)->union($dispatcherEventQuery)->get();
        if($getEvent->isNotEmpty()){
            foreach($getEvent as $event) {
                $Checktime                  = Carbon::parse($event->to_date)->format('H:i');
                if($Checktime == "00:00"){
                    $from_date              = Carbon::parse($event->from_date)->format('Y-m-d');
                    $to_date                = Carbon::parse($event->to_date)->format('Y-m-d');
                }else{
                    $from_date              = Carbon::parse($event->from_date)->format('Y-m-d H:i');
                    $to_date                = Carbon::parse($event->to_date)->format('Y-m-d H:i');
                }

                $eventArry[]                = [
                    'title'                 => $event->name,
                    'start'                 => $from_date,
                    'end'                   => $to_date,
                    'icon'                  => $event->fa_icon
                ];

                // Is repeat
                if(isset($event->is_repeat) && $event->is_repeat != 1){
                    //Weeks
                    if($event->is_repeat == 2){
                        for ($x = 1; $x <= 24; $x++) {
                            if($Checktime == "00:00"){
                                $from_date  = Carbon::parse($event->from_date)->addWeeks($x)->format('Y-m-d');
                                $to_date    = Carbon::parse($event->to_date)->addWeeks($x)->format('Y-m-d');
                            }else{
                                $from_date  = Carbon::parse($event->from_date)->addWeeks($x)->format('Y-m-d H:i');
                                $to_date    = Carbon::parse($event->to_date)->addWeeks($x)->format('Y-m-d H:i');
                            }
                            $eventArry[]    = [
                                'title'     => $event->name,
                                'start'     => $from_date,
                                'end'       => $to_date,
                                'icon'      => $event->fa_icon
                            ];
                        }
                    }
                    //Month
                    if($event->is_repeat == 3){
                        for ($x = 1; $x <= 24; $x++) {
                            if($Checktime == "00:00"){
                                $from_date  = Carbon::parse($event->from_date)->addMonths($x)->format('Y-m-d');
                                $to_date    = Carbon::parse($event->to_date)->addMonths($x)->format('Y-m-d');
                            }else{
                                $from_date  = Carbon::parse($event->from_date)->addMonths($x)->format('Y-m-d H:i');
                                $to_date    = Carbon::parse($event->to_date)->addMonths($x)->format('Y-m-d H:i');
                            }
                            $eventArry[]    = [
                                'title'     => $event->name,
                                'start'     => $from_date,
                                'end'       => $to_date,
                                'icon'      => $event->fa_icon
                            ];
                        }
                    }
                    //Six Month
                    if($event->is_repeat == 4){
                        $six = [6,12,18,24,30,36];
                        foreach($six as $sixa) {
                            if($Checktime == "00:00"){
                                $from_date  = Carbon::parse($event->from_date)->addMonths($sixa)->format('Y-m-d');
                                $to_date    = Carbon::parse($event->to_date)->addMonths($sixa)->format('Y-m-d');
                            }else{
                                $from_date  = Carbon::parse($event->from_date)->addMonths($sixa)->format('Y-m-d H:i');
                                $to_date    = Carbon::parse($event->to_date)->addMonths($sixa)->format('Y-m-d H:i');
                            }
                            $eventArry[]    = [
                                'title'     => $event->name,
                                'start'     => $from_date,
                                'end'       => $to_date,
                                'icon'      => $event->fa_icon
                            ];
                        }
                    }
                    //Years
                    if($event->is_repeat == 5){
                        for ($x = 1; $x <= 6; $x++) {
                            if($Checktime == "00:00"){
                                $from_date  = Carbon::parse($event->from_date)->addYear($x)->format('Y-m-d');
                                $to_date    = Carbon::parse($event->to_date)->addYear($x)->format('Y-m-d');
                            }else{
                                $from_date  = Carbon::parse($event->from_date)->addYear($x)->format('Y-m-d H:i');
                                $to_date    = Carbon::parse($event->to_date)->addYear($x)->format('Y-m-d H:i');
                            }
                            $eventArry[]    = [
                                'title'     => $event->name,
                                'start'     => $from_date,
                                'end'       => $to_date,
                                'icon'      => $event->fa_icon
                            ];
                        }
                    }
                }
            }
        }

        //myLeaves
        $myLeaves                           = \App\Models\Leave::query()
            ->where('company_admins_id', $userId)
            ->whereDate('from_date', '>', $currentDate)
            ->get();
        if($myLeaves->isNotEmpty()){
            foreach($myLeaves as $leave){
                $from_date                  = Carbon::parse($leave->from_date)->format('Y-m-d');
                $to_date                    = Carbon::parse($leave->to_date)->format('Y-m-d');
                $eventArry[]                = [
                    'title'                 => 'Leave - '.$leave->leave_type->name,
                    'start'                 => $from_date,
                    'end'                   => $to_date,
                    'icon'                  => 'fa fa-universal-access'
                ];
            }
        }

        //driverleaves
        $driverQuery                        = \App\Models\Driver::isCompany();
        if ($type==2 && $tab==1) {
            $driverQuery->where('manager_id',$userId);
        }
        $getDriverList                      = $driverQuery->get();
        if($getDriverList->isNotEmpty()){
            foreach($getDriverList as $getDriver){
                $getDriverLeave             = \App\Models\Leave::where('driver_id', $getDriver->id)
                    ->whereDate('from_date', '>', $currentDate)
                    ->get();
                if($getDriverLeave->isNotEmpty()){
                    foreach($getDriverLeave as $leave){
                        $from_date          = Carbon::parse($leave->from_date)->format('Y-m-d');
                        $to_date            = Carbon::parse($leave->to_date)->format('Y-m-d');
                        $eventArry[]        = [
                            'title'         => 'Leave - '.$getDriver->full_name.' - '.$leave->leave_type->name,
                            'start'         => $from_date,
                            'end'           => $to_date,
                            'icon'          => 'fa fa-universal-access'
                        ];
                    }
                }
            }
        }

        //dispatcherLeaves
        if (!($type==2 && $tab==1)) {
            $getDispatchers                 = \App\Models\CompanyAdmin::Company()->where('type',2)->get();
            if($getDispatchers->isNotEmpty()){
                foreach($getDispatchers as $dispatcher){
                    $getDispatchersLeave    = \App\Models\Leave::where('company_admins_id', $dispatcher->id)
                        ->whereDate('from_date', '>', $currentDate)
                        ->get();
                    if($getDispatchersLeave->isNotEmpty()){
                        foreach($getDispatchersLeave as $leave){
                            $from_date      = Carbon::parse($leave->from_date)->format('Y-m-d');
                            $to_date        = Carbon::parse($leave->to_date)->format('Y-m-d');
                            $eventArry[]    = [
                                'title'     => 'Leave - '.$dispatcher->full_name.' - '.$leave->leave_type->name,
                                'start'     => $from_date,
                                'end'       => $to_date,
                                'icon'      => 'fa fa-universal-access'
                            ];
                        }
                    }
                }
            }
        }

        //company event
        $getCompanyDriverQuery              = \App\Models\Driver::isCompany();
        if ($type==2 && $tab==1) {
            $getCompanyDriverQuery->where('manager_id',$userId);
        }
        $getCompanyDriverList               = $getCompanyDriverQuery->get();
        if($getCompanyDriverList->isNotEmpty()){
            foreach ($getCompanyDriverList as $key => $driver) {
                if(isset($driver->birthday) && $driver->birthday!=''){
                    $birthday               = $driver->birthday;
                    $age                    = Carbon::parse($birthday)->age + 1;
                    $from_date              = Carbon::parse($birthday)->addYear($age)->format('Y-m-d');
                    $to_date                = Carbon::parse($birthday)->addYear($age)->format('Y-m-d');
                    $eventArry[]            = [
                        'title'             => $driver->full_name,
                        'start'             => $from_date,
                        'end'               => $to_date,
                        'icon'              => 'fa fa-birthday-cake'
                    ];
                }
                if(isset($driver->start_date) && $driver->start_date!=''){
                    $start_date             = $driver->getRawOriginal('start_date');
                    $start_date             = Carbon::parse($start_date)->format('Y-m-d');
                    $age                    = Carbon::parse($start_date)->age + 1;
                    $from_date              = Carbon::parse($start_date)->addYear($age)->format('Y-m-d');
                    $to_date                = Carbon::parse($start_date)->addYear($age)->format('Y-m-d');
                    $eventArry[]            = [
                        'title'             => 'Work Anniversary: '.$driver->full_name,
                        'start'             => $from_date,
                        'end'               => $to_date,
                        'icon'              => 'fa fa-birthday-cake'
                    ];
                }
                if(isset($driver->driver_compliance_safety->license_exp) && $driver->driver_compliance_safety->license_exp!=''){
                    $from_date              = Carbon::parse($driver->driver_compliance_safety->license_exp)->format('Y-m-d');
                    $to_date                = Carbon::parse($driver->driver_compliance_safety->license_exp)->format('Y-m-d');
                    if($from_date > $currentDate){
                        $eventArry[]        = [
                            'title'         => 'Drivers License Exp: '.$driver->full_name,
                            'start'         => $from_date,
                            'end'           => $to_date,
                            'icon'          => 'fa fa-id-card'
                        ];
                    }
                }
                if(isset($driver->driver_compliance_safety->tag_exp) && $driver->driver_compliance_safety->tag_exp!=''){
                    $from_date              = Carbon::parse($driver->driver_compliance_safety->tag_exp)->format('Y-m-d');
                    $to_date                = Carbon::parse($driver->driver_compliance_safety->tag_exp)->format('Y-m-d');
                    if($from_date > $currentDate){
                        $eventArry[]        = [
                            'title'         => 'Tag Exp: '.$driver->full_name,
                            'start'         => $from_date,
                            'end'           => $to_date,
                            'icon'          => 'fa fa-tag'
                        ];
                    }
                }
                if(isset($driver->driver_compliance_safety->passport_expiration) && $driver->driver_compliance_safety->passport_expiration!=''){
                    $from_date              = Carbon::parse($driver->driver_compliance_safety->passport_expiration)->format('Y-m-d');
                    $to_date                = Carbon::parse($driver->driver_compliance_safety->passport_expiration)->format('Y-m-d');
                    if($from_date > $currentDate){
                        $eventArry[]        = [
                            'title'         => 'Passport Exp: '.$driver->full_name,
                            'start'         => $from_date,
                            'end'           => $to_date,
                            'icon'          => 'fa fa-id-card'
                        ];
                    }
                }
                $getDriverInformation       = \App\Models\DriverInformation::where('driver_id',$driver->id)->get();
                if(!is_null($getDriverInformation)){
                    foreach($getDriverInformation as $driverInformation){
                        $getTruck           = \App\Models\Truck::where('unit',$driverInformation->truck_number)->first();
                        if(!is_null($getTruck)){
                            $getTrucklog    = \App\Models\TruckMaintenanceLog::where('truck_id',$getTruck->id)->where('is_completed',0)->get();
                            if($getTrucklog->isNotEmpty()){
                                foreach($getTrucklog as $trucklog){
                                    if(isset($trucklog->due_dat) && $trucklog->due_dat!=''){
                                        $from_date      = Carbon::parse($trucklog->due_date)->format('Y-m-d');
                                        $to_date        = Carbon::parse($trucklog->due_date)->format('Y-m-d');
                                        $eventArry[]    = [
                                            'title'     => 'Truck Maintenance: '.$driverInformation->truck_number,
                                            'start'     => $from_date,
                                            'end'       => $to_date,
                                            'icon'      => 'fa fa-truck'
                                        ];
                                    }
                                }
                            }
                        }
                        $getTrailer         = \App\Models\Trailer::where('trailer_id',$driverInformation->trailer_number)->first();
                        if(!is_null($getTrailer)){
                            $getTrailerlog  = \App\Models\TrailerMaintenanceLog::where('trailer_id',$getTrailer->id)->where('is_completed',0)->get();
                            if($getTrailerlog->isNotEmpty()){
                                foreach($getTrailerlog as $trailerlog){
                                    if(isset($trailerlog->due_dat) && $trailerlog->due_dat!=''){
                                        $from_date      = Carbon::parse($trailerlog->due_date)->format('Y-m-d');
                                        $to_date        = Carbon::parse($trailerlog->due_date)->format('Y-m-d');
                                        $eventArry[]    = [
                                            'title'     => 'Trailer Maintenance: '.$driverInformation->trailer_number,
                                            'start'     => $from_date,
                                            'end'       => $to_date,
                                            'icon'      => 'fa fa-truck'
                                        ];
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }

        $eventArryFiltered                  = array_filter($eventArry, function ($v) use($currentDate){
            return $v['start'] > $currentDate;
        });
        array_multisort(array_column($eventArryFiltered, "start"), SORT_ASC, $eventArryFiltered);
        $eventArryFiltered                  = array_slice($eventArryFiltered, 0, 5, true);

        $arry                               = array();
        foreach ($eventArryFiltered as $value){
            $arry[date('Y-m-d', strtotime($value['start']))][] = $value;
            //$arry[date('F d, Y l', strtotime($value['start']))][] = $value;
        }
        return ['events' => $arry];
    }

    public function getCompelAnnouncements($param=[]){
        $user                           = isset($param['user'])?$param['user']:$this->company_admin;

        $type                           = $user->type;
        $tab                            = $param['tab'];

        $announcementArry               = [];
        if($type==0 || $type==1){
            $data                       = Announcement::where('module','Compel')
                ->where(function($query) use($user) {
                    $query->where(function($q) {
                        $q->whereNull('company_id')->whereRaw('FIND_IN_SET(1,show_up)');
                    })->orWhere(function($q) use($user){
                        $q->whereNotNUll('company_id')
                            ->whereRaw('FIND_IN_SET(1,show_up)')
                            ->whereRaw('FIND_IN_SET("'.$user->company_id.'",company_id)');
                    });
                });
        }elseif ($type==2) {
            if($tab==1){
                $data                   = Announcement::where('module','Compel')
                    ->where(function($query) use($user) {
                        $query->where(function($q) {
                            $q->whereNull('company_id')->whereRaw('FIND_IN_SET(2,show_up)');
                        })->orWhere(function($q) use($user) {
                            $q->whereNotNUll('company_id')
                                ->whereRaw('FIND_IN_SET(2,show_up)')
                                ->whereRaw('FIND_IN_SET("'.$user->company_id.'",company_id)');
                        });
                    });
            }else{
                $data                   = Announcement::where('module','Compel')
                    ->where(function($query) use($user) {
                        $query->where(function($q) {
                            $q->whereNull('company_id')->whereRaw('FIND_IN_SET(1,show_up)');
                        })->orWhere(function($q) use($user) {
                            $q->whereNotNUll('company_id')
                                ->whereRaw('FIND_IN_SET(1,show_up)')
                                ->whereRaw('FIND_IN_SET("'.$user->company_id.'",company_id)');
                        });
                    });
            }
        }else{
            $data                       = Announcement::where('module','Compel');
        }
        $getAnnouncements               = $data->orderBy('id', 'desc')->take(5)->get();
        if($getAnnouncements->isNotEmpty()){
            foreach($getAnnouncements as $announcement) {
                $announcementArry[]     = [
                    'id'                => $announcement->id,
                    'name'              => $announcement->name,
                    'description'       => $announcement->description,
                    'created_at'        => \Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $announcement->created_at)->setTimezone($this->timeZone)->format('Y-m-d H:i:s')
                ];
            }
        }
        array_multisort(array_column($announcementArry, "id"), SORT_ASC, $announcementArry);
        $arry                           = array();
        foreach ($announcementArry as $value){
            $arry[date('Y-m-d', strtotime($value['created_at']))][] = $value;
        }
        return ['announcements' => $arry];
    }

    public function getCompanyAnnouncements($param=[]){
        $user                           = isset($param['user'])?$param['user']:$this->company_admin;

        $type                           = $user->type;
        $tab                            = $param['tab'];

        $announcementArry               = [];
        if($type==0 || $type==1){
            $data                       = Announcement::where('module','Company')
                    ->where('company_id', $user->company_id);
        }elseif ($type==2) {
            if($tab==1){
                $data                   = Announcement::where('module','Company')
                ->where(function($query) use($user) {
                    $query->where(function($q) use($user) {
                        $q->whereRaw('FIND_IN_SET(2,show_up)')
                            ->whereRaw('FIND_IN_SET("'.$user->company_id.'",company_id)');
                    });
                });
            }else{
                $data                   = Announcement::where('module','Company')
                    ->where('company_id', $user->company_id);
            }
        }else{
            $data                       = Announcement::where('module','Company');
        }
        $getAnnouncements               = $data->orderBy('id', 'desc')->take(5)->get();
        if($getAnnouncements->isNotEmpty()){
            foreach($getAnnouncements as $announcement) {
                $announcementArry[]     = [
                    'id'                => $announcement->id,
                    'name'              => $announcement->name,
                    'description'       => $announcement->description,
                    'created_at'        => \Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $announcement->created_at)->setTimezone($this->timeZone)->format('Y-m-d H:i:s')
                ];
            }
        }
        array_multisort(array_column($announcementArry, "id"), SORT_ASC, $announcementArry);
        $arry                           = array();
        foreach ($announcementArry as $value){
            $arry[date('Y-m-d', strtotime($value['created_at']))][] = $value;
        }
        return ['announcements' => $arry];
    }

    public function chartData(Request $request){
        if($request->ajax()){
            try {
                $user                           = $this->company_admin;

                $type                           = $user->type;
                $companyId                      = $user->company_id;

                $formdata                       = $request->all();
                $data                           = [];
                foreach ($formdata['obj'] as $key => $value) {
                    $param                      = [];
                    $param['user']              = $user;

                    $tab                        = 0;
                    if($type==2){
                        if (isset($value['tab'])) {
                            $tab                = $value['tab'];
                        }else{
                            $tab                = 1;
                        }
                    }
                    $param['tab']               = $tab;

                    $tabname                    = 'own';
                    if ($type==2 && $tab==0) {
                        $tabname                = 'company';
                    }
                    $param['tabname']           = $tabname;

                    $widget                     = null;
                    $widgetId                   = $value['id'];
                    $widgetSlug                 = $value['slug'];

                    $data['id']                 = $widgetId;
                    $data['slug']               = $widgetSlug;
                    $data['tab']                = $tab;

                    //chartRange
                    $chartRange                 = isset($value['range'])?$value['range']:null;
                    if(isset($value['load']) && $value['load']==1){
                        $widget                 = Widget::isCompanyAdmin()
                            ->where('guard_name', 'company-admin')
                            ->where('widget_id',$widgetId)
                            ->where('device_type',$formdata['deviceType'])
                            ->where('tab', $tabname)
                            ->first();
                        if($widget){
                            $chartRange         = $widget->range;
                        }
                    }
                    Widget::isCompanyAdmin()
                        ->where('guard_name', 'company-admin')
                        ->where('widget_id', $widgetId)
                        ->where('device_type',$formdata['deviceType'])
                        ->where('tab', $tabname)
                        ->update(['range' => $chartRange,'updated_at' => Carbon::now()]);
                    if(in_array($widgetId, [1,2,3,9,10]) && is_null($chartRange)){
                        $chartRange             = 'y';
                        Widget::isCompanyAdmin()
                            ->where('guard_name', 'company-admin')
                            ->where('widget_id', $widgetId)
                            ->where('device_type',$formdata['deviceType'])
                            ->where('tab', $tabname)
                            ->update(['range' => $chartRange,'updated_at' => Carbon::now()]);
                    }
                    //chartRange

                    if($widgetSlug=='occupancy'){
                        $param['range']                         = $chartRange;
                        $data['chartData']                      = $this->getOccupancy($param);
                    }elseif($widgetSlug=='revenue'){
                        $param['range']                         = $chartRange;
                        $data['chartData']                      = $this->getRevenue($param);
                    }elseif($widgetSlug=='cpm'){
                        $param['range']                         = $chartRange;
                        $data['chartData']                      = $this->getCpm($param);
                    }elseif($widgetSlug=='trailer_type') {
                        $data['chartData']                      = $this->getTrailerType($param);
                    }elseif($widgetSlug=='company_stats'){
                        $getCompanyStats                        = $this->getCompanyStats($param);
                        $html                                   = view('companyAdmin.home.ajax_company_stats',compact('getCompanyStats'))->render();
                        $data['chartData']                      = $html;
                    }elseif($widgetSlug=='driver_per_team'){
                        $data['chartData']                      = $this->getDriverPerTeam($param);
                    }elseif($widgetSlug=='target_actual_revenue'){
                        $data['chartData']['isActiveTargetActualRevenue']  = 1;
                    }elseif($widgetSlug=='loads_in_transit'){
                        $totalInTransitLoadsQuery             = LoadDetail::query();
                        if ($param['user']->type==2 && $param['tab']==1) {
                            $totalInTransitLoadsQuery->join("drivers", "drivers.id", "=", "load_details.driver_id")
                                ->where('drivers.manager_id',$user->id);
                        }
                        $totalInTransitLoadsQuery->where('load_status', 4)
                            ->where(function($q) {
                                $q->whereNull('is_on_hold')->orWhereIn('is_on_hold', [0]);
                            })
                            ->where(function($q) {
                                $q->whereNotNull('driver_id')->where('driver_id', '!=', 0);
                            })
                            ->whereHas('loads', function ($q) {
                                $q->where('company_id', auth()->guard('company-admin')->user()->company_id);
                            });
                        $totalInTransitLoads                    = $totalInTransitLoadsQuery->count();
                        $html                                   = view('companyAdmin.home.ajax_loads_in_transit',compact('totalInTransitLoads','param'))->render();
                        $data['chartData']                      = $html;
                    }elseif($widgetSlug=='revenue_by_team'){
                        $param['range']                         = $chartRange;
                        $data['chartData']                      = $this->getRevenueByTeam($param);
                    }elseif($widgetSlug=='revenue_by_trailer_type') {
                        $param['range']                         = $chartRange;
                        $data['chartData']                      = $this->getRevenueByTrailerType($param);
                    }elseif($widgetSlug=='loads_stats'){
                        $getLoadsStats                          = $this->getLoadsStats($param);
                        $html                                   = view('companyAdmin.home.ajax_loads_stats',compact('getLoadsStats'))->render();
                        $data['chartData']                      = $html;
                    }elseif($widgetSlug=='revenue_occupancy') {
                        $data['chartData']                      = $this->getRevenueOccupancy($param);
                    }elseif($widgetSlug=='revenue_actual_vs_goal') {
                        $data['chartData']                      = $this->getRevenueActualVsGoal($param);
                    }elseif($widgetSlug=='revenue_occupancy_vs_goal') {
                        $data['chartData']                      = $this->getRevenueOccupancyVsGoal($param);
                    }elseif($widgetSlug=='events') {
                        $html                                   = '';
                        $getEventsData                          = $this->getEvents($param);
                        if(isset($getEventsData['events']) && !empty($getEventsData['events'])){
                            $events                             = $getEventsData['events'];
                            $getTimeZoneId                      = '';//$this->timeZoneId;
                            $html                               = view('companyAdmin.home.ajax_events',compact('events','getTimeZoneId'))->render();
                        }
                        $data['chartData']                      = $html;
                    }elseif($widgetSlug=='compel_announcements') {
                        $html                                   = '';
                        $getCompelAnnouncementsData             = $this->getCompelAnnouncements($param);
                        if(isset($getCompelAnnouncementsData['announcements']) && !empty($getCompelAnnouncementsData['announcements'])){
                            $announcements                      = $getCompelAnnouncementsData['announcements'];
                            $getTimeZoneId                      = $this->timeZoneId;
                            $html                               = view('companyAdmin.home.ajax_compel_announcements',compact('announcements','getTimeZoneId'))->render();
                        }
                        $data['chartData']                      = $html;
                    }elseif($widgetSlug=='company_announcements') {
                        $html                                   = '';
                        $getCompanyAnnouncementsData            = $this->getCompanyAnnouncements($param);
                        if(isset($getCompanyAnnouncementsData['announcements']) && !empty($getCompanyAnnouncementsData['announcements'])){
                            $announcements                      = $getCompanyAnnouncementsData['announcements'];
                            $getTimeZoneId                      = $this->timeZoneId;
                            $html                               = view('companyAdmin.home.ajax_company_announcements',compact('announcements','getTimeZoneId'))->render();
                        }
                        $data['chartData']                      = $html;
                    }elseif($widgetSlug=='notes') {
                        $html                                   = view('companyAdmin.home.ajax_notes',compact('widget','param'))->render();
                        $data['chartData']                      = $html;
                    }
                }
                if(!empty($data)){
                    $response['success']        = true;
                    $response['message']        = "Chart data retrieved successfully.";
                    $response['data']           = $data;
                }else{
                    $response['success']        = false;
                    $response['message']        = "Oops! Something went wrong..";
                }
            }catch (\Exception $e) {
                $response['success']            = false;
                $response['message']            = $e->getMessage();
            }
        }else{
            $response['success']                = false;
            $response['message']                = "Oops! Something went wrong..";
        }
        return response()->json($response);
    }

    public function widgetData(Request $request){
        if ($request->ajax()) {
            try {
                $widgetData                         = $this->getWidget($request->tab, $request->deviceType);

                $dataCol = array_column($widgetData, 'display_no');
                array_multisort($dataCol, SORT_ASC, $widgetData);

                if(!empty($widgetData)){
                    $response['widgetData']         = $widgetData;
                    $response['success']            = true;
                    $response['message']            = "Widget retrieved successfully.";
                }else{
                    $response['success']            = false;
                    $response['message']            = "Widget record not found.";
                }
            } catch (\Exception $e) {
                $response['success']                = false;
                $response['message']                = $e->getMessage();
            }
            return response()->json($response);
        }else{
            return abort(404);
        }
    }

    public function widgetDestroy(Request $request){
        if ($request->ajax()) {
            try {
                $type               = $this->company_admin->type;
                $tab                = 0;
                if($type==2){
                    if (isset($request->tab)) {
                        $tab        = $request->tab;
                    }else{
                        $tab        = 1;
                    }
                }
                $tabname            = 'own';
                if ($type==2 && $tab==0) {
                    $tabname        = 'company';
                }

                $widgetData         = [];
                foreach ($request->widgets as $key => $value) {
                    $getWidgets      = Widget::isCompanyAdmin()
                        ->where('guard_name', 'company-admin')
                        ->where('widget_id',$value['id'])
                        ->where('tab', $tabname)
                        ->get();
                    foreach($getWidgets as $getWidget){
                        if($getWidget->delete()){
                            $param                      = [];
                            $param['type']              = $type;
                            $param['tab']               = $tab;
                            $param['tabname']           = $tabname;
                            $param['search']            = $getWidget->widget_id;
                            $param['column']            = 'id';
                            $arry                       = widgetArray($param);
                            if(!is_null($getWidget->properties)){
                                $arry['properties']     = $getWidget->properties;
                            }
                            if(!is_null($getWidget->deleted_at)){ // Is delete
                                $arry['is_delete']      = 1;
                            }
                            $widgetData[$arry['slug']]   = $arry;
                        }
                    }
                }
                if(!empty($widgetData)){
                    $response['widgetData']         = $widgetData;
                    $response['success']            = true;
                    $response['message']            = "Widget deleted successfully.";
                }else{
                    $response['success']            = false;
                    $response['message']            = "Widget record not found.";
                }
            } catch (\Exception $e) {
                $response['success']                = false;
                $response['message']                = $e->getMessage();
            }
            return response()->json($response);
        }else{
            return abort(404);
        }
    }

    public function widgetRestore(Request $request){
        if ($request->ajax()) {
            try {
                $type           = $this->company_admin->type;
                $tab            = 0;
                if($type==2){
                    if (isset($request->tab)) {
                        $tab    = $request->tab;
                    }else{
                        $tab    = 1;
                    }
                }
                $tabname        = 'own';
                if ($type==2 && $tab==0) {
                    $tabname    = 'company';
                }

                $getWidgets      = Widget::isCompanyAdmin()
                    ->where('guard_name', 'company-admin')
                    ->where('widget_id',$request->id)
                    ->where('tab', $tabname)
                    ->withTrashed()
                    ->get();
                if(!empty($getWidgets)){
                    foreach($getWidgets as $getWidget){
                        if($getWidget->restore()){
                            if($request->deviceType == $getWidget->device_type){
                                $param                                                  = [];
                                $param['type']                                          = $type;
                                $param['tab']                                           = $tab;
                                $param['tabname']                                       = $tabname;
                                $param['search']                                        = $getWidget->widget_id;
                                $param['column']                                        = 'id';
                                $widget                                                 = widgetArray($param);
                                if(!is_null($getWidget->properties)){
                                    $widget['properties']                               = $getWidget->properties;
                                }
                                $properties                                             = json_decode($widget['properties'],true);
                                $content                                                = view('companyAdmin.home.ajax_contents',compact('widget','tab'))->render();
                                $properties['content']                                  = $content;
                                $widget['properties']                                   = json_encode($properties);
        
                                $response['success']                                    = true;
                                $response['message']                                    = "Widget restore successfully.";
                                $response['widget']                                     = $widget;
                            }
                        }else{
                            $response['success']                                    = false;
                            $response['message']                                    = "Widget restore unsuccessfully.";
                        }
                    }
                }else{
                    $response['success']                                        = false;
                    $response['message']                                        = "Widget record not found.";
                }
            } catch (\Exception $e) {
                $response['success']                                            = false;
                $response['message']                                            = $e->getMessage();
            }
            return response()->json($response);
        }else{
            return abort(404);
        }
    }

    public function widgetNotesStore(Request $request){
        $type           = $this->company_admin->type;
        $tab            = 0;
        if($type==2){
            if (isset($request->tab)) {
                $tab    = $request->tab;
            }else{
                $tab    = 1;
            }
        }
        $tabname        = 'own';
        if ($type==2 && $tab==0) {
            $tabname    = 'company';
        }

        Widget::isCompanyAdmin()
            ->where('guard_name', 'company-admin')
            ->where('widget_id', 16)
            ->where('device_type', $request->deviceType)
            ->where('tab', $tabname)
            ->update(['notes' => $request->notes,'updated_at' => Carbon::now()]);
        $response['success'] = true;
        $response['message'] = "Note store successfully.";
        return response()->json($response);
    }

    public function scrollDataInsert(Request $request){
        if ($request->ajax()) {
            try {
                $type               = $this->company_admin->type;
                $tab                = 0;
                if($type==2){
                    if (isset($request->tab)) {
                        $tab        = $request->tab;
                    }else{
                        $tab        = 1;
                    }
                }
                $tabname            = 'own';
                if ($type==2 && $tab==0) {
                    $tabname        = 'company';
                }

                foreach ($request->widgets as $key => $value) {
                    Widget::isCompanyAdmin()
                        ->where('guard_name', 'company-admin')
                        ->where('widget_id', $value['id'])
                        ->where('device_type', $request->deviceType)
                        ->where('tab', $tabname)
                        ->update(['properties' => json_encode(['x' => (int)$value['x'], 'y' => (int)$value['y'], 'w' => (int)$value['w'], 'h' => (int)$value['h']]),'updated_at' => Carbon::now()]);
                }
                $response['success']                = true;
                $response['message']                = "Widget updated successfully.";
            } catch (\Exception $e) {
                $response['success']                = false;
                $response['message']                = $e->getMessage();
            }
            return response()->json($response);
        }else{
            return abort(404);
        }
    }

    public function getLoadOccupancyCalendarMonth2($startDate, $endDate, $driverIds=[]){
        $loadDetails                            = LoadDetail::whereIn('driver_id', $driverIds)
            ->where(function ($query) use ($endDate, $startDate) {
                $query->where(DB::raw('DATE_FORMAT(load_details.actual_shipper_date, "%Y-%m-%d")'), '<=', $endDate)
                    ->whereBetween(DB::raw('DATE_FORMAT(load_details.actual_delivery_date, "%Y-%m-%d")'), [$startDate, $endDate]);
            })
            ->where('load_details.load_status', '!=', 9)
            ->where(function($q) {
                $q->whereNull('load_details.is_on_hold')->orWhereIn('load_details.is_on_hold', [0,1]);
            })
            ->orderBy('driver_id', 'ASC')
            ->get()->toArray();
        $arry                                   = [];
        if(!empty($loadDetails)){
            $driverWiseLoadDetails              = [];
            foreach ($loadDetails as $lkey => $value) {
                $driverWiseLoadDetails[$value['driver_id']][] = $value;
            }
            //
            foreach ($driverWiseLoadDetails as $dwldkey => $driverLoadDetails) {
                $daycount                       = 0;
                $totalDays                      = 0;

                $dateYMD                        = [];
                $OccupieddateYMD                = [];
                $UnOccupieddateYMD              = [];

                $bcoutn                         = 0;

                foreach ($driverLoadDetails as $dldkey => $load) {
                    $startDateLoad              = \Carbon\Carbon::createFromFormat(getTimeLayout(), $load['actual_shipper_date'])->format('Y-m-d');
                    $endDateLoad                = \Carbon\Carbon::createFromFormat(getTimeLayout(), $load['actual_delivery_date'])->format('Y-m-d');
                    if($startDateLoad <= $startDate){
                        $startDateLoad          = $startDate;
                    }
                    if($endDateLoad >= $endDate){
                        $endDateLoad            = $endDate;
                    }
                    $period                     = CarbonPeriod::create($startDateLoad, $endDateLoad);

                    $dateae                     = 0;
                    foreach ($period as $date) {
                        if($dateae == 0){
                            if($load['occupied_pickup_day'] == 1 || in_array($load['load_type'], [1, 2, 3, 5])){
                                if(!in_array($date->format('m/d/Y'), $dateYMD)){
                                    $dateYMD[]                  = $date->format('m/d/Y');
                                }
                            }
                        }else{
                            if(!in_array($date->format('m/d/Y'), $dateYMD)){
                                $dateYMD[]                      = $date->format('m/d/Y');
                            }
                        }
                        $dateae++;
                    }

                    $cheie                      = 0;
                    if (in_array($load['load_type'], [0, 4, 6])) {
                        foreach ($period as $date) {
                            if($cheie == 0){
                                if($load['occupied_pickup_day'] == 1){
                                    if(!in_array($date->format('m/d/Y'), $OccupieddateYMD)){
                                        $OccupieddateYMD[]      = $date->format('m/d/Y');
                                    }
                                }
                            }else{
                                if(!in_array($date->format('m/d/Y'), $OccupieddateYMD)){
                                    $OccupieddateYMD[]          = $date->format('m/d/Y');
                                }
                            }
                            $cheie++;
                        }
                    }

                    if (in_array($load['load_type'], [1, 2, 3, 5])) {
                        foreach ($period as $date) {
                            if(!in_array($date->format('m/d/Y'), $UnOccupieddateYMD)){
                                $UnOccupieddateYMD[]            = $date->format('m/d/Y');
                            }
                        }
                    }
                }

                foreach($UnOccupieddateYMD as $unOcuDate){
                    if(in_array($unOcuDate, $OccupieddateYMD)){
                        $bcoutn++;
                    }
                }

                $daycount                       = count($dateYMD);
                $totalDays                      = count($OccupieddateYMD);
                $totalDays                      = $totalDays - $bcoutn;

                $mapeval                        = 0;
                if($daycount > 0){
                    $mapeval                    = max(number_format(100 / $daycount * $totalDays, 2), 0);
                }
                $arry[$dwldkey]                 = ['getOccupancy' => $mapeval, 'getLoadGrossRevenue' => $mapeval];
            }
        }
        return [
            'getOccupancy'                      => array_sum(array_column($arry, 'getOccupancy')),
            'getLoadGrossRevenue'               => array_sum(array_column($arry, 'getLoadGrossRevenue'))
        ];
    }

    public function getTargetRevenueMilesByDate($startDate, $endDate, $driverIds=[]){
        $startQuarterDate                       = Carbon::parse($startDate)->startOfQuarter()->format('Y-m-d');
        $endQuarterDate                         = Carbon::parse($endDate)->endOfQuarter()->format('Y-m-d');
        $getDriverFinancials                    = DriverFinancial::select('id','driver_id','target_miles','revenue_target','cpm_target','occupancy','year','quarter','start_date','end_date')
            ->whereIn('driver_id', $driverIds)
            ->whereDate('start_date', '>=', $startQuarterDate)
            ->whereDate('end_date', '<=', $endQuarterDate)
            ->orderBy('year', 'ASC')
            ->orderBy('quarter', 'ASC')
            ->get()->toArray();
        $arry                                   = [];
        if(!empty($getDriverFinancials)){
            $driverWiseFinancials               = [];
            $loadDriverWiseFinancials           = [];
            foreach ($getDriverFinancials as $dfkey => $value) {
                $driverWiseFinancials[$value['driver_id']][] = $value;
            }

            //
            $to_d                               = Carbon::createFromFormat('Y-m-d', $startDate);
            $from_d                             = Carbon::createFromFormat('Y-m-d', $endDate);
            foreach ($driverWiseFinancials as $dwfdkey => $driverFinancials) {
                $loads                          = LoadDetail::selectRaw(
                        'YEAR(actual_shipper_date) AS actual_shipper_date_year,
                        QUARTER(DATE_FORMAT(actual_shipper_date, "%Y-%m-%d")) AS actual_shipper_date_quarter,
                        YEAR(actual_delivery_date) AS actual_delivery_date_year,
                        QUARTER(DATE_FORMAT(actual_delivery_date, "%Y-%m-%d")) AS actual_delivery_date_quarter
                        '
                    )
                    ->where('driver_id', $dwfdkey)
                    ->where(function ($query) use ($driverFinancials) {
                        foreach ($driverFinancials as $key => $value) {
                            if($key==0){
                                $query->where(function ($q) use ($value) {
                                    $q->where(DB::raw('YEAR(actual_shipper_date)'), $value['year'])
                                        ->where(DB::raw('QUARTER(DATE_FORMAT(actual_shipper_date, "%Y-%m-%d"))'), $value['quarter'])
                                        ->where(DB::raw('YEAR(actual_delivery_date)'), $value['year'])
                                        ->where(DB::raw('QUARTER(DATE_FORMAT(actual_delivery_date, "%Y-%m-%d"))'), $value['quarter']);
                                });
                            }else{
                                $query->orWhere(function ($q) use ($value) {
                                    $q->where(DB::raw('YEAR(actual_shipper_date)'), $value['year'])
                                        ->where(DB::raw('QUARTER(DATE_FORMAT(actual_shipper_date, "%Y-%m-%d"))'), $value['quarter'])
                                        ->where(DB::raw('YEAR(actual_delivery_date)'), $value['year'])
                                        ->where(DB::raw('QUARTER(DATE_FORMAT(actual_delivery_date, "%Y-%m-%d"))'), $value['quarter']);
                                });
                            }
                        }
                    })
                    ->where('load_details.load_status', '!=', 9)
                    ->where(function($q) {
                        $q->whereNull('load_details.is_on_hold')->orWhereIn('load_details.is_on_hold', [0,1]);
                    })
                    ->groupBy(['actual_shipper_date_year', 'actual_shipper_date_quarter'])
                    ->groupBy(['actual_delivery_date_year', 'actual_delivery_date_quarter'])
                    ->get()
                    ->toArray();
                $flattened                      = Arr::dot($loads);

                $trevemiles                     = [];
                $treverevenue                   = [];
                //$trevecpm                     = [];
                //$treveOccupancy               = [];
                foreach ($driverFinancials as $dfdkey => $driverFinancial) {
                    if(in_array($driverFinancial['year'], $flattened) && in_array($driverFinancial['quarter'], $flattened)){
                        $loadDriverWiseFinancials[$dwfdkey][] = $driverFinancial;
                    }

                    $to                         = Carbon::createFromFormat('Y-m-d', $driverFinancial['start_date']);
                    $from                       = Carbon::createFromFormat('Y-m-d', $driverFinancial['end_date']);
                    $quarterdays                = $to->diffInDays($from) + 1;

                    $perdayMiles                = $driverFinancial['target_miles'] / $quarterdays;
                    $perdayRevenue              = $driverFinancial['revenue_target'] / $quarterdays;
                    //$perdayCPM                = $driverFinancial['cpm_target'];
                    //$perdayOccupancy          = $driverFinancial['occupancy'];

                    $period                     = CarbonPeriod::create($driverFinancial['start_date'], $driverFinancial['end_date']);
                    $daycount                   = 1;
                    foreach ($period as $date) {
                        if ($date->between($to_d, $from_d)) {
                            $daycount++;
                        }
                    }

                    if ($daycount > 91) {
                        $daycount = 91;
                    }

                    if ($daycount > 0) {
                        $trevemiles[]           = $perdayMiles * $daycount;
                        $treverevenue[]         = $perdayRevenue * $daycount;
                        //$trevecpm[]           = $perdayCPM;
                        //$treveOccupancy[]     = $perdayOccupancy;
                    }
                }
                $gettotRevenue                  = round(array_sum($treverevenue));
                $gettotMiles                    = round(array_sum($trevemiles));
                //$gettotCPM                    = array_sum($trevecpm);
                //$gettotOccupancy              = array_sum($treveOccupancy);
                $arry[$dwfdkey]['revenue']      = $gettotRevenue;
                $arry[$dwfdkey]['miles']        = $gettotMiles;
                //$arry[$dwfdkey]['cpm']        = $gettotCPM;
                //$arry[$dwfdkey]['occupancy']  = $gettotOccupancy;
            }

            foreach ($loadDriverWiseFinancials as $ldwfdkey => $loadDriverFinancials) {
                $driverTotalQuarter             = count($loadDriverFinancials);
                $driverCpmTarget                = 0;
                $driverOccupancyTarget          = 0;
                foreach ($loadDriverFinancials as $dfdkey => $loadDriverFinancial) {
                    $driverCpmTarget            += $loadDriverFinancial['cpm_target'];
                    $driverOccupancyTarget      += $loadDriverFinancial['occupancy'];
                }
                $driverGoalCpmTarget            = $driverCpmTarget/$driverTotalQuarter;
                $driverGoalOccupancyTarget      = $driverOccupancyTarget/$driverTotalQuarter;

                $arry[$ldwfdkey]['cpm']         = $driverGoalCpmTarget;
                $arry[$ldwfdkey]['occupancy']   = $driverGoalOccupancyTarget;
            }
        }
        return [
            'drivers_wise_target'           => $arry,
            'revenue'                       => array_sum(array_column($arry, 'revenue')),
            'miles'                         => array_sum(array_column($arry, 'miles')),
            'cpm'                           => array_sum(array_column($arry, 'cpm')),
            'occupancy'                     => array_sum(array_column($arry, 'occupancy')),
        ];
    }

    public function previous_user_login(Request $request,$id,$user_type=NULL){
        Session::forget('impersonate_user');
        if($user_type == "admin"){

            \Auth::guard('company-admin')->logout();
            // auth()->guard('admin')->loginUsingId($id);

            return redirect()->route('admin.home');

        }else{
            \Auth::guard('company-admin')->logout();

            // auth()->guard('company-admin')->loginUsingId($id);
            return redirect()->route('admin.home');
            // return redirect()->route('company.admin.home');
        }
    }
}
