<?php

namespace App\Http\Controllers\CompanyAdmin;

use App\Http\Controllers\CompanyAdmin\CompanyAdminController;
use App\Models\Company;
use App\Models\IntegrationSetting;
use App\Models\AppCenter;
use Illuminate\Http\Request;
use File;

class IntegrationSettingsController extends CompanyAdminController
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $appCenter = AppCenter::where('status','1')->get();

        return view('companyAdmin.integrationSettings.index', compact('appCenter'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $input = $request->all();

        $company_admin = IntegrationSetting::find($id);

        $input['sync_drivers'] = isset($input['sync_drivers']) ? '1' : '0';
        $input['sync_vehicles'] = isset($input['sync_vehicles']) ? '1' : '0';
        $input['sync_trailers'] = isset($input['sync_trailers']) ? '1' : '0';

        $company_admin->update($input);

        notification('success', 'Integration Setting updated successfully');

        return redirect()->back();
    }

    public function save(Request $request)
    {
        $input = $request->all();

        //dd($input);

        if(isset($input['notification'])){
            $input['notification'] = 1;
        }else{
            $input['notification'] = 0;
        }
        $input['company_id'] = auth()->guard('company-admin')->user()->company_id;
        IntegrationSetting::create($input);

        notification('success', 'Integration Setting updated successfully');

        return redirect()->back();
    }

    public function ViewApp($appid)
    {
        $company_id = auth()->guard('company-admin')->user()->company_id;

        $app = AppCenter::find($appid);
        if(empty($app->id)){
            notification('error', 'App record dose not exist');
            return redirect()->back();
        }

        $integrationSettings = IntegrationSetting::where('app_center_id', $app->id)->where('company_id', $company_id)->where('carrier_id', '!=', 0)->get();
        $carrierSync = [];
        if(count($integrationSettings) > 0){
            foreach ($integrationSettings->pluck('api_key', 'carrier_id') as $key => $value){
                $carrierSync[getCarrierList()[$key]] = $value;
            }
        }

        $explode = explode('.',$app->template);
        $template = $explode[0];
        $view = 'companyAdmin.integrationSettings.'.$template;

        return view($view, compact('app','integrationSettings', 'carrierSync'));
    }

    public function destroy($id)
    {
        $integrationSetting = IntegrationSetting::find($id);
        $appId = $integrationSetting->app_center_id;


        $integrationSetting->delete();
        notification('success', $this->crudMessage('delete', 'App'));

        //return redirect()->route('company.admin.integration.index');
        return redirect()->route('company.admin.integration.view.app', ['appid' => $appId]);
    }
}
