<?php

namespace App\Http\Controllers\CompanyAdmin;

use App\Http\Controllers\CompanyAdmin\CompanyAdminController;
use Illuminate\Http\Request;

use App\Http\Requests\CompanyAdmin\LeaveTypeStoreRequest;
use App\Http\Requests\CompanyAdmin\LeaveTypeUpdateRequest;

use App\Models\Leave;
use App\Models\LeaveType;
use App\Models\LeaveUserType;

use App\Models\Driver;
use App\Models\CompanyAdmin;

use Hash;
use DataTables;
use Carbon\Carbon;
use Illuminate\Support\Str;

class LeaveUserTypesController extends CompanyAdminController{

    /**
     * Create a new controller instance.
     *
     * @return void
     */

    public function __construct(){
        parent::__construct();
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */

    public function addLeavesToUser(Request $request){
        $input              = $request->all();
        if(!empty($request->year) && $request->apply_to == 1){
            $year           = $request->year;
            $getLeaveType   = LeaveType::IsCompany()->get();
            $getDriver      = Driver::get();
            foreach($getDriver as $driver){
                foreach($getLeaveType as $leave_type){
                    $driver_leave_type                  = [];
                    $driver_leave_type['company_id']    = auth()->guard('company-admin')->user()->company_id;
                    $driver_leave_type['driver_id']     = $driver->id;
                    $driver_leave_type['leave_type_id'] = $leave_type->id;
                    $driver_leave_type['year']          = $year;
                    $driver_leave_type['days_per_year_for_driver'] = $leave_type->days_per_year_for_driver;

                    $is_check = LeaveUserType::where('year',$year)->where('driver_id', $driver->id)->where('leave_type_id', $leave_type->id)->first();
                    if(empty($is_check)){
                        LeaveUserType::create($driver_leave_type);
                    }else{
                        $is_check->update($driver_leave_type);
                    }
                }
            }
        }

        if(!empty($request->year) && $request->apply_to == 2){
            $year           = $request->year;
            $getLeaveType   = LeaveType::IsCompany()->get();
            $getCompanyAdmin = CompanyAdmin::where('type',2)->get();
            foreach($getCompanyAdmin as $company_admin){
                foreach($getLeaveType as $leave_type){
                    $driver_leave_type                      = [];
                    $driver_leave_type['company_id']        = auth()->guard('company-admin')->user()->company_id;
                    $driver_leave_type['company_admins_id'] = $company_admin->id;
                    $driver_leave_type['leave_type_id']     = $leave_type->id;
                    $driver_leave_type['year']              = $year;
                    $driver_leave_type['days_per_year_for_dispatcher'] = $leave_type->days_per_year_for_dispatcher;

                    $is_check = LeaveUserType::where('year',$year)->where('company_admins_id', $company_admin->id)->where('leave_type_id', $leave_type->id)->first();
                    if(empty($is_check)){
                        LeaveUserType::create($driver_leave_type);
                    }else{
                        $is_check->update($driver_leave_type);
                    }
                }
            }
        }

        if(!empty($request->year) && $request->apply_to == 3){
            $year           = $request->year;
            $getLeaveType   = LeaveType::IsCompany()->get();
            $getCompanyAdmin = CompanyAdmin::where('type',1)->get();
            foreach($getCompanyAdmin as $company_admin){
                foreach($getLeaveType as $leave_type){
                    $driver_leave_type                      = [];
                    $driver_leave_type['company_id']        = auth()->guard('company-admin')->user()->company_id;
                    $driver_leave_type['company_admins_id'] = $company_admin->id;
                    $driver_leave_type['leave_type_id']     = $leave_type->id;
                    $driver_leave_type['year']              = $year;
                    $driver_leave_type['days_per_year_for_manager'] = $leave_type->days_per_year_for_manager;

                    $is_check = LeaveUserType::where('year',$year)->where('company_admins_id', $company_admin->id)->where('leave_type_id', $leave_type->id)->first();
                    if(empty($is_check)){
                        LeaveUserType::create($driver_leave_type);
                    }else{
                        $is_check->update($driver_leave_type);
                    }
                }
            }
        }
        notification('success', 'Year leave added successfully');
        return redirect()->back();
    }

    public function getUserLeavesAllowance(Request $request){
        $input          = $request->all();

        if($request->type == 'driver'){
            $getdata    = LeaveUserType::IsCompany()->where('driver_id',$request->driver_id)->where('year',$request->year)->get();
            $view       = view('companyAdmin.driver.view.leavesAllowance', compact('getdata'))->render();
        }

        if($request->type == 'dispatchers'){
            $getdata    = LeaveUserType::where('company_admins_id',$request->company_admin_id)->where('year',$request->year)->get();
            $view       = view('companyAdmin.dispatcher.view.leavesAllowance', compact('getdata'))->render();
        }

        if($request->type == 'managers'){
            $getdata    = LeaveUserType::where('company_admins_id',$request->company_admin_id)->where('year',$request->year)->get();
            $view       = view('companyAdmin.manager.view.leavesAllowance', compact('getdata'))->render();
        }
        return response()->json(['view' => $view]);
    }

    public function editUserLeavesAllowanceView(Request $request){
        $input          = $request->all();
        $data           = LeaveUserType::findOrFail($request->data_id);
        $view           = view('companyAdmin.driver.view.editLeavesAllowanceForm', compact('data'))->render();
        return response()->json(['view' => $view]);
    }

    public function getUserLeavesTimeOff(Request $request){
        $input          = $request->all();
        $from_date      = Carbon::now()->format('Y-m-d');

        if($request->type == 'driver'){
            // $getdata = LeaveUserType::where('driver_id',$request->driver_id)->where('year',$request->year)->get();
            $getdata    = LeaveUserType::IsCompany()->where('driver_id',$request->driver_id)->where('year',$request->year)->get();
            $getdata2   = Leave::where('driver_id',$request->driver_id)->whereDate('from_date', '>=',$from_date)->get();
            $view       = view('companyAdmin.driver.view.leavesTimeOff', compact('getdata'))->render();
            $view2      = view('companyAdmin.driver.view.leavesTimeOff2', compact('getdata2'))->render();
        }

        if($request->type == 'dispatchers'){
            $getdata    = LeaveUserType::where('company_admins_id',$request->company_admin_id)->where('year',$request->year)->get();
            $getdata2   = Leave::where('company_admins_id',$request->company_admin_id)->whereDate('from_date', '>=',$from_date)->get();
            $view       = view('companyAdmin.dispatcher.view.leavesTimeOff', compact('getdata'))->render();
            $view2      = view('companyAdmin.dispatcher.view.leavesTimeOff2', compact('getdata2'))->render();
        }

        if($request->type == 'managers'){
            $getdata    = LeaveUserType::where('company_admins_id',$request->company_admin_id)->where('year',$request->year)->get();
            $getdata2   = Leave::where('company_admins_id',$request->company_admin_id)->whereDate('from_date', '>=',$from_date)->get();
            $view       = view('companyAdmin.manager.view.leavesTimeOff', compact('getdata'))->render();
            $view2      = view('companyAdmin.manager.view.leavesTimeOff2', compact('getdata2'))->render();
        }
        return response()->json(['view' => $view,'view2' => $view2]);
    }

    public function checkLeaveOption(Request $request){
        $getdata                = LeaveType::find($request->leave_type_id);
        $half_day_request       = $getdata->half_day_request;
        $register_in_the_past   = $getdata->register_in_the_past;
        $enforce_allowance      = $getdata->enforce_allowance;
        return response()->json(['half_day_request' => $half_day_request,'register_in_the_past' => $register_in_the_past,'enforce_allowance' => $enforce_allowance]);
    }

    public function update($id,Request $request){
        $input          = $request->all();
        $data           = LeaveUserType::findOrFail($id);

        $data_array     = [];

        if(isset($request->days_per_year_for_driver)){
            $data_array['days_per_year_for_driver']     = $request->days_per_year_for_driver;
        }
        if(isset($request->days_per_year_for_dispatcher)){
            $data_array['days_per_year_for_dispatcher'] = $request->days_per_year_for_dispatcher;
        }
        if(isset($request->days_per_year_for_manager)){
            $data_array['days_per_year_for_manager']    = $request->days_per_year_for_manager;
        }

        $data->update($data_array);
        return 1;
    }

    public function destroy(LeaveType $leaveType){
        $leaveType->delete();

        notification('success', $this->crudMessage('delete', 'Holiday'));

        return redirect()->route('company.admin.leave-type.index');
    }
}
