<?php

namespace App\Http\Controllers\CompanyAdmin;

use App\Http\Controllers\CompanyAdmin\CompanyAdminController;
use Illuminate\Http\Request;
use Illuminate\Support\Str;

use App\Models\Trailer;
use App\Models\TrailerStatusLog;

use App\Models\TrailerMaintenanceLog;
use App\Models\TrailerMaintenanceLogFile;

use App\Models\TrailerInsuranceProfileItem;
use App\Models\TrailerCompanyInsuranceProfile;

use App\Models\TrailerInsuranceAdditional;

use App\Models\TrailerPmServiceProfileItem;
use App\Models\TrailerCompanyPmServiceProfile;

use App\Models\TrailerPmServiceAdditional;

use App\Models\TrailerPmServiceWarrantyProfileItem;
use App\Models\TrailerCompanyPmServiceWarrantyProfile;

use App\Models\TrailerEquipmentProfileItem;
use App\Models\TrailerCompanyEquipmentProfile;

use App\Models\TrailerEquipmentAdditional;

use App\Models\TrailerDocumentProfileItem;
use App\Models\TrailerCompanyDocumentProfile;

use App\Models\TrailerDocumentAdditional;

use App\Models\Truck;

use App\Models\Driver;
use App\Models\DriverInformation;

use App\Models\Vendor;

use App\Models\Gallery;
use App\Models\Bookmark;
use App\Models\ListWidget;
use App\Models\FileUpload;
use App\Models\IntegrationSetting;

use App\Http\Requests\CompanyAdmin\TrailerStoreRequest;
use App\Http\Requests\CompanyAdmin\TrailerUpdateRequest;

use DB;
use File;
use DataTables;
use Carbon\Carbon;
use App\Helpers\Common;

class TrailerController extends CompanyAdminController
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct(){
        parent::__construct();
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index_backup(Request $request){
        $getCompanyAdmin            = auth()->guard('company-admin')->user();

        $getField                   = '';
        $isCheck                    = Bookmark::where('company_id',getUserCompnayId())->where('user_id',$getCompanyAdmin->id)->where('user_type',$getCompanyAdmin->type)->where('table_id','trailers')->first();
        if(!empty($isCheck->id)){
            //$getField               = unserialize($isCheck->config);
            $getField               = adjustTableColumnsSorting(unserialize($isCheck->config), config('settings.table_trailers_first'));
        }else{
            $getField               = config('settings.table_trailers_first');
        }

        if ($request->ajax()) {
            $data                   = Trailer::isCompany();

            // General filter code - start
            foreach( $getField as $key => $value ) {
                $conditionReq       = 'search_string_condition_'.$key;
                $sortReq            = 'search_string_sort_'.$key;

                if( isset( request()->$conditionReq ) ) {
                    $typeReq        = 'search_string_type_'.$key;
                    $type           = request()->$typeReq;

                    if( $type == 'string' ) {
                        Common::getStringFilterResult( $data, $key );
                    }

                    if( $type == 'date' ) {
                        Common::getDateFilterResult( $data, $key );
                    }
                }

                if( isset( request()->$sortReq ) ) {
                    $nameReq        = 'search_string_name_'.$key;
                    $sortReq        = 'search_string_sort_'.$key;
                    $typeReq        = 'search_string_type_'.$key;
                    $tableNameReq   = 'search_table_name_'.$key;
                    $colAliasReq    = 'search_string_col_alias_'.$key;

                    $origData       = request()->$nameReq;
                    $condition_sort = request()->$sortReq;
                    $type           = request()->$typeReq;
                    $tableName      = isset( request()->$tableNameReq ) ? request()->$tableNameReq : '';
                    $colAlias       = isset( request()->$colAliasReq ) ? request()->$colAliasReq : '';

                    if( $type == 'string' ) {
                        if( isset( $condition_sort ) ) {
                            if( $colAlias != '' ) {
                                $data->orderBy( $tableName.'.'.$colAlias, $condition_sort );
                            } else {
                                if( $tableName != '' ) {
                                    $data->orderBy( $tableName.'.'.$origData, $condition_sort );
                                } else {
                                    $data->orderBy( $origData, $condition_sort );
                                }
                            }
                        }
                    }
                }
            }
            $data->select('*');
            /// end
            return Datatables::of($data)
                ->addIndexColumn()
                ->addColumn('action', function($row){
                    $action = '<a href="'.route('company.admin.trailers.show', base64Encode($row->id)).'" class="btn btn-sm btn-outline-black-action"><i class="fa fa-eye" aria-hidden="true"></i></a>';
                    $action .= '<a href="'.route('company.admin.trailers.edit', base64Encode($row->id)).'" class="btn btn-sm btn-outline-black-action"><i class="fa fa-pencil" aria-hidden="true"></i></a>';
                    $action .= '<a href="javascript:void(0);" class="btn btn-sm btn-outline-black-trash destroy" data-action="'.route('company.admin.trailers.destroy',$row->id).'" data-id="'.$row->id.'"><i class="fa fa-trash" aria-hidden="true"></i></a>';

                    return $action;
                })
                ->rawColumns(['action'])
                ->make(true);
        }

        $tableName                  = 'settings.table_trailers';
        return view('companyAdmin.trailer.index_bk_21052024', compact('getField','tableName'));
    }

    public function index(Request $request){
        $getCompanyAdmin            = auth()->guard('company-admin')->user();

        $getField                   = '';
        $isCheck                    = Bookmark::where('company_id', $getCompanyAdmin->company_id)
            ->where('user_id', $getCompanyAdmin->id)
            ->where('user_type', $getCompanyAdmin->type)
            ->where('table_id', 'lists_trailers')
            ->first();
        if( !empty( $isCheck->id ) ) {
            $getField               = adjustTableColumnsSorting(unserialize($isCheck->config), config('settings.table_lists_trailers_first'));
        } else {
            $getField               = config('settings.table_lists_trailers_first');
        }

        $isMulitpleTable            = 1;

        $tables                     = array(
            array(
                'name'              => 'table1',
                'id'                => 'trailers-all-data-table',
                'class'             => 'trailers-all-data-table',
                'route'             => route('company.admin.lists.trailers.all')
            ),
            array(
                'name'              => 'table2',
                'id'                => 'trailers-company-data-table',
                'class'             => 'trailers-company-data-table',
                'route'             => route('company.admin.lists.trailers.all')
            ),
            array(
                'name'              => 'table3',
                'id'                => 'trailers-others-data-table',
                'class'             => 'trailers-others-data-table',
                'route'             => route('company.admin.lists.trailers.all')
            )
        );

        $tableName                  = 'settings.table_lists_trailers';

        // Widget
        $trailerWidgetActive        = "1";
        $trailerWidget              = ListWidget::IsCompanyAdmin()->where('tab', 'trailer')->latest()->first();
        if(!is_null($trailerWidget)){
            $trailerWidgetActive    = $trailerWidget->isActive;
        }

        // Trailer Count
        $totalTrailers              = Trailer::isCompany()->withTrashed()->count();
        $totalActiveTrailers        = Trailer::isCompany()->where(function($q) {
            $q->whereNull('status')->orWhere('status', 0);
        })->count();
        $totalInactiveTrailers      = Trailer::isCompany()->where(function($q) {
            $q->whereNotNull('deleted_at')->orWhere('status', 2);
        })
        ->withTrashed() // Include soft deleted records
        ->count();
        return view('companyAdmin.trailer.index', compact(
                'getField',
                'isMulitpleTable',
                'tables',
                'tableName',

                'trailerWidgetActive',
                
                'totalTrailers',
                'totalActiveTrailers',
                'totalInactiveTrailers'
            )
        );
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(){
        return view('companyAdmin.trailer.create-new');

        $data                           = [];
        $data['getDriverListByCompany'] = Driver::IsCompany()
            ->select(DB::raw("CONCAT(last_name,', ',first_name) AS name"), 'id')
            ->orderByRaw('drivers.last_name ASC, drivers.first_name ASC')
            ->get();
        return view('companyAdmin.trailer.create', $data);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(TrailerStoreRequest $request){
        $input                                          = $request->all();

        if(!is_null($input['current_assigned_driver'])){
            DriverInformation::where('driver_id', $input['current_assigned_driver'])->update(['trailer_number' => $input['trailer_id']]);
        }

        if(!is_null($input['current_assigned_truck'])){
            $truck                                      = Truck::where('id', $input['current_assigned_truck'])->first();
            if($truck->trailer != ""){
                $truckTrailers = array_filter(explode(',', $truck->trailer));
                $truckTrailers[] = $input['trailer_id'];
                $truck->trailer                         = (count($truckTrailers) > 1) ? implode(',', $truckTrailers) : $truckTrailers[0];
            }else{
                $truck->trailer                         = $input['trailer_id'];
            }
            $truck->save();
        }

        if($request->last_location_address_verified == 1){
            $timezone                                   = null;
            $timezone_offset                            = null;
            if(isset($input['last_location_timezone_abbr'])){
                $timezone                               = timezone_name_from_abbr($input['last_location_timezone_abbr']);
                $timezone_offset                        = Carbon::createFromTimestamp(time(), $timezone)->getOffsetString();
            }
            $input['last_location_timezone']            = $timezone;
            $input['last_location_timezone_offset']     = $timezone_offset;
        }

        $input['spread_axie']                           = $input['spread_axie'] ?? 0;
        $input['logistics_post']                        = $input['logistics_post'] ?? 0;
        $input['drop_trailer_pool']                     = $input['drop_trailer_pool'] ?? 0;
        $input['vented']                                = $input['vented'] ?? 0;
        $input['plated_interior']                       = $input['plated_interior'] ?? 0;
        $input['etrack']                                = $input['etrack'] ?? 0;
        $input['spare_tire_rank']                       = $input['spare_tire_rank'] ?? 0;

        if(!empty($request->onboard_equipment) && count($request->onboard_equipment) > 0){
            $input['onboard_equipment']                 = serialize($request->onboard_equipment);
        }else{
            $input['onboard_equipment']                 = null;
        }

        $input['company_id']                            = auth()->guard('company-admin')->user()->company_id;

        $trailer                                        = Trailer::create($input);

        $logdata = [];
        $logdata['company_id'] = auth()->guard('company-admin')->user()->company_id;
        $logdata['trailer_id'] = $trailer->id;
        $logdata['status_id'] = $request->status;
        TrailerStatusLog::create($logdata);

        if(!is_null($input['dummy_id']) && isset($input['dummy_id'])){
            $dummyloadid                                = $input['dummy_id'];
            Gallery::where('action_id', $dummyloadid)->update(['action_id' => $trailer->id]);
        }

        $company_id                                     = auth()->guard('company-admin')->user()->company_id;
        $getAPIKey                                      = IntegrationSetting::where('company_id', $company_id)->where('carrier_id', $trailer->carrier_id)->where('app_center_id', config('settings.app_id.samsara'))->where('sync_trailers', '1')->first();
        if(isset($getAPIKey->api_key) && !empty($getAPIKey->api_key)){
            $samsara_api_key                            = $getAPIKey->api_key;
            $endCursor                                  = 0;
            return redirect()->route('company.admin.trailer.sync.getsynctrailers', ['samsara_api_key' => $samsara_api_key, 'endCursor' => $endCursor]);
        }else{
            notification('success', $this->crudMessage('create', 'Trailer'));
            return redirect()->route('company.admin.trailers.index');
        }
    }

    /**
     * Display the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id){
        $trailer                                        = Trailer::find(base64Decode($id));
        return view('companyAdmin.trailer.show', compact('trailer'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id){
        $trailer                                        = Trailer::find(base64Decode($id));
        if(!is_null($trailer)){
            $currentLoad                                = $trailer->load_details()->latest('created_at')->first();
            $trailer->current_load                      = (!empty($currentLoad)) ? $currentLoad : null;
            return view('companyAdmin.trailer.create-new', compact('trailer'));
        }else{
            return abort(404);
        }

        $trailer                                        = Trailer::find(base64Decode($id));
        if($trailer){
            $currentLoad                                = $trailer->load_details()->latest('created_at')->first();
            $trailer->current_load                      = (!empty($currentLoad)) ? $currentLoad : null;
        }
        $getDriverListByCompany                         = Driver::IsCompany()
            ->select(DB::raw("CONCAT(last_name,', ',first_name) AS name"), 'id')
            ->orderByRaw('drivers.last_name ASC, drivers.first_name ASC')
            ->get();
        return view('companyAdmin.trailer.edit', compact('trailer', 'getDriverListByCompany'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(TrailerUpdateRequest $request, Trailer $trailer){
        $input                                          = $request->all();

        if(!is_null($input['current_assigned_driver'])){
            DriverInformation::where('driver_id', $input['current_assigned_driver'])->update(['trailer_number' => $input['trailer_id']]);
            DriverInformation::where('driver_id', '!=', $input['current_assigned_driver'])->where('trailer_number', $input['trailer_id'])->update(['trailer_number' => null]);
        }else{
            if(!is_null($trailer->current_assigned_driver)){
                DriverInformation::where('driver_id', $trailer->current_assigned_driver)->update(['trailer_number' => null]);
            }else{
                DriverInformation::where('trailer_number', $input['trailer_id'])->update(['trailer_number' => null]);
            }
        }

        if(!is_null($input['current_assigned_truck'])){
            $truck                                      = Truck::where('id', $input['current_assigned_truck'])->first();
            if($truck->trailer != ""){
                $truckTrailers = array_filter(explode(',', $truck->trailer));
                $truckTrailers[] = $input['trailer_id'];
                $truck->trailer                         = (count($truckTrailers) > 1) ? implode(',', $truckTrailers) : $truckTrailers[0];
            }else{
                $truck->trailer                         = $input['trailer_id'];
            }
            $truck->save();
        }else if(is_null($input['current_assigned_truck']) && !is_null($trailer->current_assigned_truck)){
            $truck                                      = Truck::where('id', $trailer->current_assigned_truck)->first();
            if($truck->trailer != ""){
                $truckTrailers = array_filter(explode(',', $truck->trailer));
                if (in_array($input['trailer_id'], $truckTrailers)) {
                    unset($truckTrailers[array_search($input['trailer_id'], $truckTrailers)]);
                }
                $truck->trailer                         = (count($truckTrailers) > 1) ? implode(',', $truckTrailers) : ((count($truckTrailers) > 0) ? $truckTrailers[0] : null);
            }
            $truck->save();
        }

        if($request->last_location_address_verified == 1){
            $timezone                                   = null;
            $timezone_offset                            = null;
            if(isset($input['last_location_timezone_abbr'])){
                $timezone                               = timezone_name_from_abbr($input['last_location_timezone_abbr']);
                $timezone_offset                        = Carbon::createFromTimestamp(time(), $timezone)->getOffsetString();
            }
            $input['last_location_timezone']            = $timezone;
            $input['last_location_timezone_offset']     = $timezone_offset;
        }else{
            $input['last_location_latitude']            = null;
            $input['last_location_longitude']           = null;
            $input['last_location_timezone']            = null;
            $input['last_location_timezone_offset']     = null;
            $input['last_location_timezone_abbr']       = null;
        }

        $input['spread_axie']                           = $input['spread_axie'] ?? 0;
        $input['logistics_post']                        = $input['logistics_post'] ?? 0;
        $input['drop_trailer_pool']                     = $input['drop_trailer_pool'] ?? 0;
        $input['vented']                                = $input['vented'] ?? 0;
        $input['plated_interior']                       = $input['plated_interior'] ?? 0;
        $input['etrack']                                = $input['etrack'] ?? 0;
        $input['spare_tire_rank']                       = $input['spare_tire_rank'] ?? 0;

        if(!empty($request->onboard_equipment) && count($request->onboard_equipment) > 0){
            $input['onboard_equipment']                 = serialize($request->onboard_equipment);
        }else{
            $input['onboard_equipment']                 = null;
        }
        $trailer->update($input);

        if($trailer->wasChanged()){
            if(isset($trailer->getChanges()['status'])){
                $logdata = [];
                $logdata['company_id'] = auth()->guard('company-admin')->user()->company_id;
                $logdata['trailer_id'] = $trailer->id;
                $logdata['status_id'] = $request->status;
                TrailerStatusLog::create($logdata);
            }
        }

        notification('success', $this->crudMessage('update', 'Trailer'));
        return redirect()->route('company.admin.trailers.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Trailer $trailer){
        $trailer->delete();

        notification('success', $this->crudMessage('delete', 'Trailer'));

        return redirect()->route('company.admin.trailers.index');
    }

    public function maintenanceSave(Request $request){
        $input                                          = $request->all();

        if(!empty($request->trailer_id)){
            if($request->due_on == 'date'){
                $input['due_date']                      = $request->due_date;
                $input['due_miles']                     = null;
            }else{
                $input['due_date']                      = null;
                $input['due_miles']                     = $request->due_miles;
            }
            if($request->waranty_on == 'date'){
                $input['waranty_date']                  = $request->waranty_date;
                $input['waranty_miles']                 = null;
            }else{
                $input['waranty_date']                  = null;
                $input['waranty_miles']                 = $request->waranty_miles;
            }

            $getdata                                    = TrailerMaintenanceLog::create($input);

            if (!empty($request->myfile) && isset($request->myfile) && $request->myfile != 'undefined') {
                $input_file                             = [];
                $input_file['trailer_maintenance_log_id'] = $getdata->id;
                $input_file['name']                     = $request->file_name;
                $input_file['file']                     = FileUpload::upload('companyAdmin/trailerfile', $request->myfile);
                TrailerMaintenanceLogFile::create($input_file);
            }
            if (!empty($request->myfile1) && isset($request->myfile1) && $request->myfile1 != 'undefined') {
                $input_file                             = [];
                $input_file['trailer_maintenance_log_id'] = $getdata->id;
                $input_file['name']                     = $request->file_name1;
                $input_file['file']                     = FileUpload::upload('companyAdmin/trailerfile', $request->myfile1);
                TrailerMaintenanceLogFile::create($input_file);
            }
            if (isset($request->myfile2) && !empty($request->myfile2) && $request->myfile2 != 'undefined') {
                $input_file                             = [];
                $input_file['trailer_maintenance_log_id'] = $getdata->id;
                $input_file['name']                     = $request->file_name2;
                $input_file['file']                     = FileUpload::upload('companyAdmin/trailerfile', $request->myfile2);
                TrailerMaintenanceLogFile::create($input_file);
            }
            if (isset($request->myfile3) && !empty($request->myfile3) && $request->myfile3 != 'undefined') {
                $input_file                             = [];
                $input_file['trailer_maintenance_log_id'] = $getdata->id;
                $input_file['name']                     = $request->file_name3;
                $input_file['file']                     = FileUpload::upload('companyAdmin/trailerfile', $request->myfile3);
                TrailerMaintenanceLogFile::create($input_file);
            }
            if (isset($request->myfile4) && !empty($request->myfile4) && $request->myfile4 != 'undefined') {
                $input_file                             = [];
                $input_file['trailer_maintenance_log_id'] = $getdata->id;
                $input_file['name']                     = $request->file_name4;
                $input_file['file']                     = FileUpload::upload('companyAdmin/trailerfile', $request->myfile4);
                TrailerMaintenanceLogFile::create($input_file);
            }
            if (isset($request->myfile5) && !empty($request->myfile5) && $request->myfile5 != 'undefined') {
                $input_file                             = [];
                $input_file['trailer_maintenance_log_id'] = $getdata->id;
                $input_file['name']                     = $request->file_name5;
                $input_file['file']                     = FileUpload::upload('companyAdmin/trailerfile', $request->myfile5);
                TrailerMaintenanceLogFile::create($input_file);
            }
            if (isset($request->myfile6) && !empty($request->myfile6) && $request->myfile6 != 'undefined') {
                $input_file                             = [];
                $input_file['trailer_maintenance_log_id'] = $getdata->id;
                $input_file['name']                     = $request->file_name6;
                $input_file['file']                     = FileUpload::upload('companyAdmin/trailerfile', $request->myfile6);
                TrailerMaintenanceLogFile::create($input_file);
            }
            if (isset($request->myfile7) && !empty($request->myfile7) && $request->myfile7 != 'undefined') {
                $input_file                             = [];
                $input_file['trailer_maintenance_log_id'] = $getdata->id;
                $input_file['name']                     = $request->file_name7;
                $input_file['file']                     = FileUpload::upload('companyAdmin/trailerfile', $request->myfile7);
                TrailerMaintenanceLogFile::create($input_file);
            }
            if (isset($request->myfile8) && !empty($request->myfile8) && $request->myfile8 != 'undefined') {
                $input_file                             = [];
                $input_file['trailer_maintenance_log_id'] = $getdata->id;
                $input_file['name']                     = $request->file_name8;
                $input_file['file']                     = FileUpload::upload('companyAdmin/trailerfile', $request->myfile8);
                TrailerMaintenanceLogFile::create($input_file);
            }
            if (isset($request->myfile9) && !empty($request->myfile9) && $request->myfile9 != 'undefined') {
                $input_file                             = [];
                $input_file['trailer_maintenance_log_id'] = $getdata->id;
                $input_file['name']                     = $request->file_name9;
                $input_file['file']                     = FileUpload::upload('companyAdmin/trailerfile', $request->myfile9);
                TrailerMaintenanceLogFile::create($input_file);
            }
            if (isset($request->myfile10) && !empty($request->myfile10) && $request->myfile10 != 'undefined') {
                $input_file                             = [];
                $input_file['trailer_maintenance_log_id'] = $getdata->id;
                $input_file['name']                     = $request->file_name10;
                $input_file['file']                     = FileUpload::upload('companyAdmin/trailerfile', $request->myfile10);
                TrailerMaintenanceLogFile::create($input_file);
            }
            return 1;
        }
        return 0;
    }

    public function maintenanceView(Request $request){
        $getLog                                         = TrailerMaintenanceLog::where('trailer_id',$request->id)->orderBy('id','desc')->get();
        $view                                           = view('companyAdmin.trailer.log.view', compact('getLog'))->render();
        return response()->json(['view' => $view]);
    }

    public function maintenanceIsCompleted($id){
        $getLog                                         = TrailerMaintenanceLog::find($id);
        $save_array                                     = [];
        if($getLog->is_completed == 0){
            $save_array['is_completed']                 = 1;
        }else{
            $save_array['is_completed']                 = 0;
        }
        $getLog->update($save_array);
        return 1;
    }

    public function destroyMaintenance($id){
        $getFile = TrailerMaintenanceLog::find($id);
        foreach($getFile->Uploadfile as $Uploadfile){
            File::delete('storage/companyAdmin/trailerfile/'.$Uploadfile->file);
        }
        $getFile->delete();
        return 1;
    }

    public function getSyncTrailers($samsara_api_key,$endCursor){
        $data                                           = '';
        $company_id                                     = auth()->guard('company-admin')->user()->company_id;

        if(!empty($samsara_api_key)){
            $client                                     = new \GuzzleHttp\Client();
            if(empty($endCursor)){
                $api_url                                = 'https://api.samsara.com/fleet/trailers?limit=100';
            }else{
                $api_url                                = 'https://api.samsara.com/fleet/trailers?limit=100&after='.$endCursor;
            }

            $response                                   = $client->request('GET', $api_url, [
                'headers'                               => [
                    'Accept'                            => 'application/json',
                    'Authorization'                     => 'Bearer '.$samsara_api_key,
                ],
            ]);
            $data                                       = json_decode($response->getBody());


            $endCursor                                  = $data->pagination->endCursor;
            $data                                       = $data->data;

            foreach($data as $trailer){
                if(isset($trailer->name)){
                    $getTrailer                         = Trailer::where('trailer_id', $trailer->name)->where('company_id',$company_id)->first();
                    if(!empty($getTrailer->id)){
                        $trailer_data                   = [];
                        $trailer_data['samsara_id']     = $trailer->id;
                        $getTrailer->update($trailer_data);
                    }
                }
            }

            if(!empty($endCursor)){
                return redirect()->route('company.admin.trailer.sync.getsynctrailers', ['samsara_api_key' => $samsara_api_key, 'endCursor' => $endCursor]);
            }else{
                notification('success', $this->crudMessage('create', 'Trailer'));
                return redirect()->route('company.admin.trailers.index');
            }
        }
    }

    public function getRequestDocuments(Request $request){
        if ($request->ajax()) {
            $data                                       = Gallery::isCompany()->where('source','trailers')->where('action_id',$request->id)->whereNotNull('requested_by')->orderBy('id', 'desc');
            return Datatables::of($data)
                ->editColumn('field_name', function($row){
                    return getRequestDocumentsList($row->field_name, 'field_name')['name'];
                })
                ->editColumn('approved_by', function($row){
                    return empty($row->approved_by) ? 'None' : getFullNameByid($row->approved_by, $row->approved_by_type) ;
                })
                ->editColumn('created_by', function($row){
                    return empty($row->created_by) ? 'None' : getFullNameByid($row->created_by, $row->created_by_type) ;
                })
                ->editColumn('access', function($row){
                    if($row->access == 1){
                        return 'Managers';
                    }
                    if($row->access == 3){
                        return 'Dispatchers';
                    }
                    if($row->access == 3){
                        return 'Drivers';
                    }
                    return 'All User';
                })
                ->editColumn('status', function($row){
                    if($row->status == 'pending'){
                        return '<span class="status-pending">Pending</span>';
                    }
                    if($row->status == 'approved'){
                        return '<span class="status-approved">Approved</span>';
                    }
                    if($row->status == 'review'){
                        return '<span class="status-review">Review</span>';
                    }

                })

                ->editColumn('requested_by', function($row){
                    return empty($row->requested_by) ? 'None' : getFullNameByid($row->requested_by, $row->requested_by_type) ;
                })
                ->addIndexColumn()
                ->addColumn('action', function($row){
                    $btn    = '<a href="javascript:void(0);" class="gallary-edit mr-2" 
                        data-id="'.$row->action_id.'" 
                        data-source="trailers" 
                        data-field="'.$row->field_name.'" 
                        data-toggle="modal" 
                        data-target="#galleryModal"><img src="'.asset('theme/img/eye.png').'" alt="'.($row->file_name ?? '').'"></a>';

                    // $btn = '<a href="'.route('company.admin.request-documents.show', $row->id).'" class="mr-2"><img src="'.asset('theme/img/eye.png').'" alt=""></a>';
                    // $btn = $btn.' <a href="'.route('company.admin.request-documents.edit', $row->id).'" class="mr-4"><img src="'.asset('theme/img/edit-icon.png').'" alt=""></a>';

                    $btn    = $btn.'<a href="'.route('company.admin.gallery.download.file',$row->id).'" class="mr-2"><img src="'.asset("theme/img/download-cloud.png").'" alt=""></a>';
                    $btn    = $btn.' <a href="javascript:void(0);" class="destroy" data-action="'.route('company.admin.request-documents.destroy',$row->id).'" data-id="'.$row->id.'"><img src="'.asset('theme/img/delete-icon.png').'" alt=""></a>';
                    return $btn;
                })
                ->rawColumns(['action','field_name','approved_by','created_by','requested_by','status','access'])
                ->make(true);
        }
    }

    public function getTrailerDetails(Request $request){
        $trailer                                        = Trailer::find($request->trailer_id);
        return response()->json($trailer);
    }

    public function checkUniqueUnit(Request $request){
        $rule               = 'required|unique:trailers,trailer_id,NULL,id,company_id,'.auth()->guard('company-admin')->user()->company_id.',deleted_at,NULL';
        if ($request->has('id') && $request->filled('id')) {
            $rule           = 'required|unique:trailers,trailer_id,'.$request->id.',id,company_id,'.auth()->guard('company-admin')->user()->company_id.',deleted_at,NULL';
        }
        $data               = [
            'trailer_id'    => $request->trailer_id,
        ];
        $validator          = \Validator::make($data, [
            'trailer_id'    => $rule,
        ]);
        if ($validator->fails()) {
            return response()->json(['message' => 'The Unit No has already been taken.'], 422);
        }else{
            return response()->json(['message' => 'Unit No is unique.'], 200);
        }
    }

    public function checkUniqueVin(Request $request){
        $rule               = 'nullable|unique:trailers,vin,NULL,id,company_id,'.auth()->guard('company-admin')->user()->company_id.',deleted_at,NULL';
        if ($request->has('id') && $request->filled('id')) {
            $rule           = 'nullable|unique:trailers,vin,'.$request->id.',id,company_id,'.auth()->guard('company-admin')->user()->company_id.',deleted_at,NULL';
        }
        $data               = [
            'vin'           => $request->vin,
        ];
        $validator          = \Validator::make($data, [
            'vin'           => $rule,
        ]);
        if ($validator->fails()) {
            return response()->json(['message' => 'The VIN has already been taken.'], 422);
        }else{
            return response()->json(['message' => 'VIN No is unique.'], 200);
        }
    }

    public function checkUniqueTagNumber(Request $request){
        $rule               = 'nullable|unique:trailers,tag_number,NULL,id,company_id,'.auth()->guard('company-admin')->user()->company_id.',deleted_at,NULL';
        if ($request->has('id') && $request->filled('id')) {
            $rule           = 'nullable|unique:trailers,tag_number,'.$request->id.',id,company_id,'.auth()->guard('company-admin')->user()->company_id.',deleted_at,NULL';
        }
        $data               = [
            'tag_number'    => $request->tag_number,
        ];
        $validator          = \Validator::make($data, [
            'tag_number'    => $rule,
        ]);
        if ($validator->fails()) {
            return response()->json(['message' => 'The Tag No has already been taken.'], 422);
        }else{
            return response()->json(['message' => 'Tag No is unique.'], 200);
        }
    }

    public function saveGeneralInfo(Request $request){
        $response['success']                                        = false;
        $response['message']                                        = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $formdata                                           = $request->all();
                if(isset($formdata['trailer_created_id']) && $formdata['trailer_created_id'] != ''){
                    $trailer                                        = Trailer::whereId($formdata['trailer_created_id'])->first();
                    if(!is_null($trailer)){
                        // General Info
                        $trailer->trailer_id                        = $formdata['trailer_id'];
                        $trailer->vin                               = $formdata['vin'];
                        $trailer->truck_type                        = $formdata['truck_type'];
                        $trailer->type                              = $formdata['type'];
                        $trailer->year                              = $formdata['year'];
                        $trailer->make                              = $formdata['make'];
                        $trailer->model                             = $formdata['model'];
                        $trailer->color                             = $formdata['color'];
                        $trailer->required_license                  = $formdata['required_license'];
                        // Truck & Customer Assignment
                        $trailer->current_assigned_truck            = $formdata['current_assigned_truck'];
                        $trailer->trailer_group                     = $formdata['trailer_group'];
                        $trailer->assigned_customer                 = $formdata['assigned_customer'];
                        // Trailer Options
                        $trailer->axles                             = $formdata['axles'];
                        $trailer->tire_size                         = $formdata['tire_size'];
                        $trailer->tire_qty                          = $formdata['tire_qty'];
                        $trailer->suspension_type                   = $formdata['suspension_type'];
                        $trailer->spare_tire_rank                   = $formdata['spare_tire_rank'];
                        $trailer->roof_type                         = $formdata['roof_type'];
                        $trailer->floor_type                        = $formdata['floor_type'];
                        $trailer->doors_type                        = $formdata['doors_type'];
                        $trailer->vented                            = $formdata['vented'];
                        $trailer->plated_trailer                    = $formdata['plated_trailer'];
                        $trailer->inside_width                      = $formdata['inside_width'];
                        $trailer->paper_spec                        = $formdata['paper_spec'];
                        $trailer->pallet_jack                       = $formdata['pallet_jack'];
                        $trailer->liftgate                          = $formdata['liftgate'];
                        $trailer->high_cube                         = $formdata['high_cube'];
                        $trailer->spread_axie                       = $formdata['spread_axie'];
                        $trailer->securement                        = $formdata['securement'];
                        $trailer->tire_auto_inflation               = $formdata['tire_auto_inflation'];
                        $trailer->hubometer                         = $formdata['hubometer'];

                        // $trailer->tracker_provider               = $formdata['tracker_provider'];
                        // $trailer->tracker_id                     = $formdata['tracker_id'];
                        // $trailer->air_scale_provider             = $formdata['air_scale_provider'];
                        // $trailer->air_scale_id                   = $formdata['air_scale_id'];
                        // $trailer->tire_sensor_provider           = $formdata['tire_sensor_provider'];
                        // $trailer->tire_sensor_id                 = $formdata['tire_sensor_id'];

                        // Trailer Details
                        $trailer->unladen_weight                    = $formdata['unladen_weight'];
                        $trailer->max_load_weight                   = $formdata['max_load_weight'];
                        $trailer->gross_weight                      = $formdata['gross_weight'];
                        $trailer->length                            = $formdata['length'];
                        $trailer->width                             = $formdata['width'];
                        $trailer->height                            = $formdata['height'];
                        // Last Location
                        $trailer->last_location_name                = $formdata['last_location_name'];
                        $trailer->last_location_load_status         = $formdata['last_location_load_status'];
                        $trailer->last_location_address             = $formdata['last_location_address'];
                        $trailer->last_location_address_2           = $formdata['last_location_address_2'];
                        $trailer->last_location_city                = $formdata['last_location_city'];
                        $trailer->last_location_state               = $formdata['last_location_state'];
                        $trailer->last_location_zip                 = $formdata['last_location_zip'];
                        $trailer->last_location_latitude            = $formdata['last_location_latitude'];
                        $trailer->last_location_longitude           = $formdata['last_location_longitude'];
                        if(isset($formdata['last_location_address_verified']) && $formdata['last_location_address_verified'] == 1){
                            $timezone                               = null;
                            $timezone_offset                        = null;
                            if(isset($formdata['last_location_timezone_abbr'])){
                                $timezone                           = timezone_name_from_abbr($formdata['last_location_timezone_abbr']);
                                $timezone_offset                    = Carbon::createFromTimestamp(time(), $timezone)->getOffsetString();
                            }
                            $trailer->last_location_timezone        = $timezone;
                            $trailer->last_location_timezone_offset = $timezone_offset;
                        }
                        $trailer->last_location_timezone_abbr       = $formdata['last_location_timezone_abbr'];
                        $trailer->last_location_address_verified    = isset($formdata['last_location_address_verified']) && $formdata['last_location_address_verified'] == 1 ? 1 : 0;
                        $trailer->last_location_notes               = $formdata['last_location_notes'];
                        // Status
                        $trailer->status                            = $formdata['status'];
                        $trailer->updated_at                        = date('Y-m-d H:i:s');
                        if(is_null($trailer->trailer_unique_id)){
                            $trailer->trailer_unique_id             = getCompIdentifier().$trailer->id;
                        }
                        if($trailer->save()){
                            // Record updated successfully

                            if(!is_null($formdata['current_assigned_truck'])){
                                $truck                              = Truck::where('id', $formdata['current_assigned_truck'])->first();
                                if(!is_null($truck)){
                                    if($truck->trailer != ""){
                                        $truckTrailers              = array_filter(explode(',', $truck->trailer));
                                        $truckTrailers[]            = $trailer->trailer_id; // Unit No
                                        // Remove duplicate elements
                                        $truckTrailers              = array_unique($truckTrailers);
                                        $truck->trailer             = (count($truckTrailers) > 1) ? implode(',', $truckTrailers) : $truckTrailers[0];
                                    }else{
                                        $truck->trailer             = $trailer->trailer_id; // Unit No
                                    }
                                    $truck->save();
                                }
                            }else if(is_null($formdata['current_assigned_truck']) && !is_null($trailer->current_assigned_truck)){
                                $truck                              = Truck::where('id', $trailer->current_assigned_truck)->first();
                                if(!is_null($truck)){
                                    if($truck->trailer != ""){
                                        $truckTrailers              = array_filter(explode(',', $truck->trailer));
                                        if (in_array($trailer->trailer_id, $truckTrailers)) {
                                            unset($truckTrailers[array_search($trailer->trailer_id, $truckTrailers)]);
                                        }
                                        // Remove duplicate elements
                                        $truckTrailers              = array_unique($truckTrailers);
                                        $truck->trailer             = (count($truckTrailers) > 1) ? implode(',', $truckTrailers) : ((count($truckTrailers) > 0) ? $truckTrailers[0] : null);
                                    }
                                    $truck->save();
                                }
                            }

                            // Retrieve the changes made to the model attributes after saving
                            $changes                                = $trailer->getChanges();
                            // Check if changes were made to a specific field
                            if (isset($changes['status'])) {
                                // Changes were made to the specific field
                                $logdata                            = [];
                                $logdata['company_id']              = auth()->guard('company-admin')->user()->company_id;
                                $logdata['trailer_id']              = $trailer->id;
                                $logdata['status_id']               = $trailer->status;
                                TrailerStatusLog::create($logdata);
                            }

                            $response['success']                    = true;
                            $response['message']                    = 'General Info saved successfully';
                            $response['trailer_created_id']         = $trailer->id;
                        }else{
                            // Record updatetion failed
                            $response['success']                    = false;
                            $response['message']                    = 'Oops! Something went wrong..';
                        }
                    }
                }else{
                    $input                                          = [];
                    $input['company_id']                            = auth()->guard('company-admin')->user()->company_id;
                    // General Info
                    $input['trailer_id']                            = $formdata['trailer_id'];
                    $input['vin']                                   = $formdata['vin'];
                    $input['truck_type']                            = $formdata['truck_type'];
                    $input['type']                                  = $formdata['type'];
                    $input['year']                                  = $formdata['year'];
                    $input['make']                                  = $formdata['make'];
                    $input['model']                                 = $formdata['model'];
                    $input['color']                                 = $formdata['color'];
                    $input['required_license']                      = $formdata['required_license'];
                    // Truck & Customer Assignment
                    $input['current_assigned_truck']                = $formdata['current_assigned_truck'];
                    $input['trailer_group']                         = $formdata['trailer_group'];
                    $input['assigned_customer']                     = $formdata['assigned_customer'];
                    // Trailer Options
                    $input['axles']                                 = $formdata['axles'];
                    $input['tire_size']                             = $formdata['tire_size'];
                    $input['tire_qty']                              = $formdata['tire_qty'];
                    $input['suspension_type']                       = $formdata['suspension_type'];
                    $input['spare_tire_rank']                       = $formdata['spare_tire_rank'];
                    $input['roof_type']                             = $formdata['roof_type'];
                    $input['floor_type']                            = $formdata['floor_type'];
                    $input['doors_type']                            = $formdata['doors_type'];
                    $input['vented']                                = $formdata['vented'];
                    $input['plated_trailer']                        = $formdata['plated_trailer'];
                    $input['inside_width']                          = $formdata['inside_width'];
                    $input['paper_spec']                            = $formdata['paper_spec'];
                    $input['pallet_jack']                           = $formdata['pallet_jack'];
                    $input['liftgate']                              = $formdata['liftgate'];
                    $input['high_cube']                             = $formdata['high_cube'];
                    $input['spread_axie']                           = $formdata['spread_axie'];
                    $input['securement']                            = $formdata['securement'];
                    $input['tire_auto_inflation']                   = $formdata['tire_auto_inflation'];
                    $input['hubometer']                             = $formdata['hubometer'];

                    // $input['tracker_provider']                   = $formdata['tracker_provider'];
                    // $input['tracker_id']                         = $formdata['tracker_id'];
                    // $input['air_scale_provider']                 = $formdata['air_scale_provider'];
                    // $input['air_scale_id']                       = $formdata['air_scale_id'];
                    // $input['tire_sensor_provider']               = $formdata['tire_sensor_provider'];
                    // $input['tire_sensor_id']                     = $formdata['tire_sensor_id'];

                    // Trailer Details
                    $input['unladen_weight']                        = $formdata['unladen_weight'];
                    $input['max_load_weight']                       = $formdata['max_load_weight'];
                    $input['gross_weight']                          = $formdata['gross_weight'];
                    $input['length']                                = $formdata['length'];
                    $input['width']                                 = $formdata['width'];
                    $input['height']                                = $formdata['height'];
                    // Last Location
                    $input['last_location_name']                    = $formdata['last_location_name'];
                    $input['last_location_load_status']             = $formdata['last_location_load_status'];
                    $input['last_location_address']                 = $formdata['last_location_address'];
                    $input['last_location_address_2']               = $formdata['last_location_address_2'];
                    $input['last_location_city']                    = $formdata['last_location_city'];
                    $input['last_location_state']                   = $formdata['last_location_state'];
                    $input['last_location_zip']                     = $formdata['last_location_zip'];
                    $input['last_location_latitude']                = $formdata['last_location_latitude'];
                    $input['last_location_longitude']               = $formdata['last_location_longitude'];
                    if(isset($formdata['last_location_address_verified']) && $formdata['last_location_address_verified'] == 1){
                        $timezone                                   = null;
                        $timezone_offset                            = null;
                        if(isset($formdata['last_location_timezone_abbr'])){
                            $timezone                               = timezone_name_from_abbr($formdata['last_location_timezone_abbr']);
                            $timezone_offset                        = Carbon::createFromTimestamp(time(), $timezone)->getOffsetString();
                        }
                        $input['last_location_timezone']            = $timezone;
                        $input['last_location_timezone_offset']     = $timezone_offset;
                    }
                    $input['last_location_timezone_abbr']           = $formdata['last_location_timezone_abbr'];
                    $input['last_location_address_verified']        = isset($formdata['last_location_address_verified']) && $formdata['last_location_address_verified'] == 1 ? 1 : 0;
                    $input['last_location_notes']                   = $formdata['last_location_notes'];
                    // Status
                    $input['status']                                = $formdata['status'];
                    $input['created_at']                            = date('Y-m-d H:i:s');
                    $trailer                                        = Trailer::create($input);
                    if($trailer){
                        // Record created successfully
                        $trailer->trailer_unique_id                 = getCompIdentifier().$trailer->id;
                        $trailer->save();

                        if(!is_null($trailer->current_assigned_truck)){
                            $truck                                  = Truck::where('id', $trailer->current_assigned_truck)->first();
                            if(!is_null($truck)){
                                if($truck->trailer != ""){
                                    $truckTrailers                  = array_filter(explode(',', $truck->trailer));
                                    $truckTrailers[]                = $trailer->trailer_id; // Unit No
                                    $truck->trailer                 = (count($truckTrailers) > 1) ? implode(',', $truckTrailers) : $truckTrailers[0];
                                }else{
                                    $truck->trailer                 = $trailer->trailer_id; // Unit No
                                }
                                $truck->save();
                            }
                        }

                        $logdata                                    = [];
                        $logdata['company_id']                      = auth()->guard('company-admin')->user()->company_id;
                        $logdata['trailer_id']                      = $trailer->id;
                        $logdata['status_id']                       = $trailer->status;
                        TrailerStatusLog::create($logdata);

                        $response['success']                        = true;
                        $response['message']                        = 'General Info saved successfully';
                        $response['trailer_created_id']             = $trailer->id;
                    }else{
                        // Record creation failed
                        $response['success']                        = false;
                        $response['message']                        = 'Oops! Something went wrong..';
                    }
                }
            }catch (\Exception $e) {
                $response['success']                                = false;
                $response['message']                                = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function saveOwnershipInfo(Request $request){
        $response['success']                                        = false;
        $response['message']                                        = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $formdata                                           = $request->all();
                if(isset($formdata['trailer_created_id']) && $formdata['trailer_created_id'] != ''){
                    $trailer                                        = Trailer::whereId($formdata['trailer_created_id'])->first();
                    if(!is_null($trailer)){
                        $trailer->carrier                           = $formdata['carrier'] ?? null;
                        $trailer->terminal                          = $formdata['terminal'] ?? null;
                        // Status
                        $trailer->status                            = $formdata['status'];
                        $trailer->updated_at                        = date('Y-m-d H:i:s');
                        if($trailer->save()){
                            // Retrieve the changes made to the model attributes after saving
                            $changes                                = $trailer->getChanges();
                            // Check if changes were made to a specific field
                            if (isset($changes['status'])) {
                                // Changes were made to the specific field
                                $logdata                            = [];
                                $logdata['company_id']              = auth()->guard('company-admin')->user()->company_id;
                                $logdata['trailer_id']              = $trailer->id;
                                $logdata['status_id']               = $trailer->status;
                                TrailerStatusLog::create($logdata);
                            }

                            $response['success']                    = true;
                            $response['message']                    = 'General Info saved successfully';
                            $response['trailer_created_id']         = $trailer->id;
                        }else{
                            // Record updatetion failed
                            $response['success']                    = false;
                            $response['message']                    = 'Oops! Something went wrong..';
                        }
                    }
                }
            }catch (\Exception $e) {
                $response['success']                                = false;
                $response['message']                                = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function saveInsuranceInfo(Request $request){
        $response['success']                                        = false;
        $response['message']                                        = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $formdata                                           = $request->all();

                // Initialize empty arrays for form1 and form2 data
                $formattedArray                                     = [];
                $form1                                              = [];
                $form2                                              = [];
                // Loop through the array
                foreach ($formdata as $key => $value) {
                    if (strpos($key, 'form1_') === 0) {
                        // Remove 'form1_' prefix and store in form1 array
                        $newKey                                     = substr($key, 6);
                        $form1[$newKey]                             = $value;
                    } elseif (strpos($key, 'form2_') === 0) {
                        // Remove 'form2_' prefix and store in form2 array
                        $newKey                                     = substr($key, 6);
                        $form2[$newKey]                             = $value;
                    } else {
                        // Keep other keys as it is
                        $formattedArray[$key]                       = $value;
                    }
                }
                // Store form1 and form2 arrays into the result
                $formattedArray['form1']                            = $form1;
                $formattedArray['form2']                            = $form2;

                $id                                                 = $formdata['form2_trailer_created_id'] ?? null;
                if(!is_null($id)){
                    $trailer                                        = Trailer::whereId($id)->first();
                    if(!is_null($trailer)){
                        if(!empty($form1)){
                            // Deleting all items related to this trailer
                            $trailer->insurance_profile_items()->delete();

                            $trailer_company_insurance_profile_id   = $form1['insurance_profile'] ?? null;
                            if(isset($form1['insurance_type']) && !empty($form1['insurance_type'])){
                                $insurance_types                    = $form1['insurance_type'] ?? [];
                                $insurance_vendors                  = $form1['insurance_vendor'] ?? [];
                                $policy_numbers                     = $form1['policy_number'] ?? [];
                                $values                             = $form1['value'] ?? [];
                                $date_added                         = $form1['date_added'] ?? [];
                                $expiration_dates                   = $form1['expiration_date'] ?? [];

                                foreach ($insurance_types as $key => $company_insurance_type_id){
                                    TrailerInsuranceProfileItem::create([
                                        'trailer_id'                => $trailer->id,
                                        'trailer_company_insurance_profile_id'  => $trailer_company_insurance_profile_id,
                                        'company_insurance_type_id' => $company_insurance_type_id,
                                        'vendor_id'                 => (isset($insurance_vendors[$key]) && $insurance_vendors[$key] != '') ? $insurance_vendors[$key] : null,
                                        'policy_number'             => (isset($policy_numbers[$key]) && $policy_numbers[$key] != '') ? $policy_numbers[$key] : null,
                                        'value'                     => (isset($values[$key]) && $values[$key] != '') ? $values[$key] : null,
                                        'date_added'                => (isset($date_added[$key]) && $date_added[$key] != '') ? $date_added[$key] : null,
                                        'expiration_date'           => (isset($expiration_dates[$key]) && $expiration_dates[$key] != '') ? $expiration_dates[$key] : null,
                                        'created_at'                => date('Y-m-d H:i:s')
                                    ]);
                                }

                                if(isset($form1['dummy_id']) && $form1['dummy_id'] != '' && $form1['dummy_id'] != $trailer->id){
                                    $dummy_id                       = $form1['dummy_id'];
                                    Gallery::where('action_id', $dummy_id)->update(['action_id' => $trailer->id]);
                                }
                            }
                        }

                        if(!empty($form2)){
                            // Deleting all items related to this trailer
                            $trailer->insurance_additionals()->delete();

                            if(isset($form2['insurance_type']) && !empty($form2['insurance_type'])){
                                $insurance_types                    = $form2['insurance_type'] ?? [];
                                $insurance_vendors                  = $form2['insurance_vendor'] ?? [];
                                $policy_numbers                     = $form2['policy_number'] ?? [];
                                $values                             = $form2['value'] ?? [];
                                $date_added                         = $form2['date_added'] ?? [];
                                $expiration_dates                   = $form2['expiration_date'] ?? [];

                                foreach ($insurance_types as $key => $company_insurance_type_id){
                                    TrailerInsuranceAdditional::create([
                                        'trailer_id'                => $trailer->id,
                                        'company_insurance_type_id' => $company_insurance_type_id,
                                        'vendor_id'                 => (isset($insurance_vendors[$key]) && $insurance_vendors[$key] != '') ? $insurance_vendors[$key] : null,
                                        'policy_number'             => (isset($policy_numbers[$key]) && $policy_numbers[$key] != '') ? $policy_numbers[$key] : null,
                                        'value'                     => (isset($values[$key]) && $values[$key] != '') ? $values[$key] : null,
                                        'date_added'                => (isset($date_added[$key]) && $date_added[$key] != '') ? $date_added[$key] : null,
                                        'expiration_date'           => (isset($expiration_dates[$key]) && $expiration_dates[$key] != '') ? $expiration_dates[$key] : null,
                                        'created_at'                => date('Y-m-d H:i:s')
                                    ]);
                                }

                                if(isset($form2['dummy_id']) && $form2['dummy_id'] != '' && $form2['dummy_id'] != $trailer->id){
                                    $dummy_id                       = $form2['dummy_id'];
                                    Gallery::where('action_id', $dummy_id)->update(['action_id' => $trailer->id]);
                                }
                            }
                        }

                        $trailer->status                            = $formattedArray['status'];
                        $trailer->updated_at                        = date('Y-m-d H:i:s');
                        if($trailer->save()){
                            // Record updated successfully

                            // Retrieve the changes made to the model attributes after saving
                            $changes                                = $trailer->getChanges();
                            // Check if changes were made to a specific field
                            if (isset($changes['status'])) {
                                // Changes were made to the specific field
                                $logdata                            = [];
                                $logdata['company_id']              = auth()->guard('company-admin')->user()->company_id;
                                $logdata['trailer_id']              = $trailer->id;
                                $logdata['status_id']               = $trailer->status;
                                TrailerStatusLog::create($logdata);
                            }

                            $response['success']                    = true;
                            $response['message']                    = 'Insurance Info saved successfully';
                            $response['trailer_created_id']         = $trailer->id;
                        }else{
                            // Record updatetion failed
                            $response['success']                    = false;
                            $response['message']                    = 'Oops! Something went wrong..';
                        }
                    }
                }
            }catch (\Exception $e) {
                $response['success']                                = false;
                $response['message']                                = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function saveCompliance(Request $request){
        $response['success']                                        = false;
        $response['message']                                        = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $formdata                                           = $request->all();

                $id                                                 = $formdata['trailer_created_id'] ?? null;
                if(!is_null($id)){
                    $trailer                                        = Trailer::whereId($id)->first();
                    if(!is_null($trailer)){
                        $trailer->carb_id                           = $formdata['carb_id'] ?? null;
                        $trailer->carb_expiration                   = $formdata['carb_expiration'] ?? null;
                        $trailer->carb_compliant                    = $formdata['carb_compliant'] ?? null;

                        $trailer->tag_state                         = $formdata['tag_state'] ?? null;
                        $trailer->tag_number                        = $formdata['tag_number'] ?? null;
                        $trailer->tag_expiration                    = $formdata['tag_expiration'] ?? null;

                        $trailer->status                            = $formdata['status'];
                        $trailer->updated_at                        = date('Y-m-d H:i:s');
                        if($trailer->save()){
                            // Record updated successfully

                            if(!is_null($formdata['dummy_id']) && isset($formdata['dummy_id']) && $formdata['dummy_id'] != $trailer->id){
                                $dummy_id                           = $formdata['dummy_id'];
                                Gallery::where('action_id', $dummy_id)->update(['action_id' => $trailer->id]);
                            }

                            // Retrieve the changes made to the model attributes after saving
                            $changes                                = $trailer->getChanges();
                            // Check if changes were made to a specific field
                            if (isset($changes['status'])) {
                                // Changes were made to the specific field
                                $logdata                            = [];
                                $logdata['company_id']              = auth()->guard('company-admin')->user()->company_id;
                                $logdata['trailer_id']              = $trailer->id;
                                $logdata['status_id']               = $trailer->status;
                                TrailerStatusLog::create($logdata);
                            }

                            $response['success']                    = true;
                            $response['message']                    = 'Compliance Info saved successfully';
                            $response['trailer_created_id']         = $trailer->id;
                        }else{
                            // Record updatetion failed
                            $response['success']                    = false;
                            $response['message']                    = 'Oops! Something went wrong..';
                        }
                    }
                }
            }catch (\Exception $e) {
                $response['success']                                = false;
                $response['message']                                = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function savePmMaintenanceService(Request $request){
        $response['success']                                        = false;
        $response['message']                                        = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $formdata                                           = $request->all();

                // Initialize empty arrays for form1 and form2 data
                $formattedArray                                     = [];
                $form1                                              = [];
                $form2                                              = [];
                $form3                                              = [];
                // Loop through the array
                foreach ($formdata as $key => $value) {
                    if (strpos($key, 'form1_') === 0) {
                        // Remove 'form1_' prefix and store in form1 array
                        $newKey                                     = substr($key, 6);
                        $form1[$newKey]                             = $value;
                    } elseif (strpos($key, 'form2_') === 0) {
                        // Remove 'form2_' prefix and store in form2 array
                        $newKey                                     = substr($key, 6);
                        $form2[$newKey]                             = $value;
                    } elseif (strpos($key, 'form3_') === 0) {
                        // Remove 'form2_' prefix and store in form3 array
                        $newKey                                     = substr($key, 6);
                        $form3[$newKey]                             = $value;
                    } else {
                        // Keep other keys as it is
                        $formattedArray[$key]                       = $value;
                    }
                }
                // Store form1 and form2 arrays into the result
                $formattedArray['form1']                            = $form1;
                $formattedArray['form2']                            = $form2;
                $formattedArray['form3']                            = $form3;

                $id                                                 = $formdata['form2_trailer_created_id'] ?? null;
                if(!is_null($id)){
                    $trailer                                        = Trailer::whereId($id)->first();
                    if(!is_null($trailer)){
                        if(!empty($form1)){
                            // Deleting all items related to this trailer
                            $trailer->pm_service_profile_items()->delete();

                            $trailer_company_pm_service_profile_id  = $form1['pm_service_profile'] ?? null;
                            if(isset($form1['types']) && !empty($form1['types'])){
                                $types                              = $form1['types'] ?? [];
                                $service_types                      = $form1['service_type'] ?? [];
                                $interval_types                     = $form1['interval_type'] ?? [];
                                $schedules                          = $form1['schedule'] ?? [];
                                $due_dates                          = $form1['due_date'] ?? [];
                                $last_performed                     = $form1['last_performed'] ?? [];

                                foreach ($types as $key => $company_pm_type_id){
                                    TrailerPmServiceProfileItem::create([
                                        'trailer_id'                => $trailer->id,
                                        'trailer_company_pm_service_profile_id'  => $trailer_company_pm_service_profile_id,
                                        'company_pm_type_id'        => $company_pm_type_id,
                                        'company_pm_service_type_id'=> (isset($service_types[$key]) && $service_types[$key] != '') ? $service_types[$key] : null,
                                        'interval_type'             => (isset($interval_types[$key]) && $interval_types[$key] != '') ? $interval_types[$key] : null,
                                        'schedule'                  => (isset($schedules[$key]) && $schedules[$key] != '') ? $schedules[$key] : null,
                                        'due_date'                  => (isset($due_dates[$key]) && $due_dates[$key] != '') ? $due_dates[$key] : null,
                                        'last_performed'            => (isset($last_performed[$key]) && $last_performed[$key] != '') ? $last_performed[$key] : null,
                                        'created_at'                => date('Y-m-d H:i:s')
                                    ]);
                                }
                            }
                        }

                        if(!empty($form2)){
                            // Deleting all items related to this trailer
                            $trailer->pm_service_additionals()->delete();

                            if(isset($form2['types']) && !empty($form2['types'])){
                                $types                              = $form2['types'] ?? [];
                                $service_types                      = $form2['service_type'] ?? [];
                                $interval_types                     = $form2['interval_type'] ?? [];
                                $schedules                          = $form2['schedule'] ?? [];
                                $due_dates                          = $form2['due_date'] ?? [];
                                $last_performed                     = $form2['last_performed'] ?? [];

                                foreach ($types as $key => $company_pm_type_id){
                                    TrailerPmServiceAdditional::create([
                                        'trailer_id'                => $trailer->id,
                                        'company_pm_type_id'        => $company_pm_type_id,
                                        'company_pm_service_type_id'=> (isset($service_types[$key]) && $service_types[$key] != '') ? $service_types[$key] : null,
                                        'interval_type'             => (isset($interval_types[$key]) && $interval_types[$key] != '') ? $interval_types[$key] : null,
                                        'schedule'                  => (isset($schedules[$key]) && $schedules[$key] != '') ? $schedules[$key] : null,
                                        'due_date'                  => (isset($due_dates[$key]) && $due_dates[$key] != '') ? $due_dates[$key] : null,
                                        'last_performed'            => (isset($last_performed[$key]) && $last_performed[$key] != '') ? $last_performed[$key] : null,
                                        'created_at'                => date('Y-m-d H:i:s')
                                    ]);
                                }
                            }
                        }

                        if(!empty($form3)){
                            // Deleting all items related to this trailer
                            $trailer->pm_service_warranty_profile_items()->delete();

                            $trailer_company_pm_service_warranty_profile_id                 = $form3['pm_service_warranty_profile'] ?? null;
                            if(isset($form3['warranty_provider']) && !empty($form3['warranty_provider'])){
                                $warranty_providers                 = $form3['warranty_provider'] ?? [];
                                $descriptions                       = $form3['description'] ?? [];
                                $types                              = $form3['type'] ?? []; // interval type
                                $terms                              = $form3['term'] ?? [];
                                $warranty_starts                    = $form3['warranty_start'] ?? [];
                                $warranty_exps                      = $form3['warranty_exp'] ?? [];

                                foreach ($warranty_providers as $key => $company_pm_warranty_provider_id){
                                    TrailerPmServiceWarrantyProfileItem::create([
                                        'trailer_id'                => $trailer->id,
                                        'trailer_company_pm_service_warranty_profile_id'    => $trailer_company_pm_service_warranty_profile_id,
                                        'company_pm_warranty_provider_id'                   => $company_pm_warranty_provider_id,
                                        'description'               => (isset($descriptions[$key]) && $descriptions[$key] != '') ? $descriptions[$key] : null,
                                        'interval_type'             => (isset($types[$key]) && $types[$key] != '') ? $types[$key] : null,
                                        'term'                      => (isset($terms[$key]) && $terms[$key] != '') ? $terms[$key] : null,
                                        'warranty_start'            => (isset($warranty_starts[$key]) && $warranty_starts[$key] != '') ? $warranty_starts[$key] : null,
                                        'warranty_exp'              => (isset($warranty_exps[$key]) && $warranty_exps[$key] != '') ? $warranty_exps[$key] : null,
                                        'created_at'                => date('Y-m-d H:i:s')
                                    ]);
                                }
                            }
                        }

                        $trailer->in_service_date                   = $formattedArray['in_service_date'];
                        $trailer->status                            = $formattedArray['status'];
                        $trailer->updated_at                        = date('Y-m-d H:i:s');
                        if($trailer->save()){
                            // Record updated successfully

                            // Retrieve the changes made to the model attributes after saving
                            $changes                                = $trailer->getChanges();
                            // Check if changes were made to a specific field
                            if (isset($changes['status'])) {
                                // Changes were made to the specific field
                                $logdata                            = [];
                                $logdata['company_id']              = auth()->guard('company-admin')->user()->company_id;
                                $logdata['trailer_id']              = $trailer->id;
                                $logdata['status_id']               = $trailer->status;
                                TrailerStatusLog::create($logdata);
                            }

                            $response['success']                    = true;
                            $response['message']                    = 'PM Maintenance & Service Info saved successfully';
                            $response['trailer_created_id']         = $trailer->id;
                        }else{
                            // Record updatetion failed
                            $response['success']                    = false;
                            $response['message']                    = 'Oops! Something went wrong..';
                        }
                    }
                }
            }catch (\Exception $e) {
                $response['success']                                = false;
                $response['message']                                = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function saveEquipment(Request $request){
        $response['success']                                        = false;
        $response['message']                                        = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $formdata                                           = $request->all();

                // Initialize empty arrays for form1 and form2 data
                $formattedArray                                     = [];
                $form1                                              = [];
                $form2                                              = [];
                // Loop through the array
                foreach ($formdata as $key => $value) {
                    if (strpos($key, 'form1_') === 0) {
                        // Remove 'form1_' prefix and store in form1 array
                        $newKey                                     = substr($key, 6);
                        $form1[$newKey]                             = $value;
                    } elseif (strpos($key, 'form2_') === 0) {
                        // Remove 'form2_' prefix and store in form2 array
                        $newKey                                     = substr($key, 6);
                        $form2[$newKey]                             = $value;
                    } else {
                        // Keep other keys as it is
                        $formattedArray[$key]                       = $value;
                    }
                }
                // Store form1 and form2 arrays into the result
                $formattedArray['form1']                            = $form1;
                $formattedArray['form2']                            = $form2;

                $id                                                 = $formdata['form2_trailer_created_id'] ?? null;
                if(!is_null($id)){
                    $trailer                                        = Trailer::whereId($id)->first();
                    if(!is_null($trailer)){
                        if(!empty($form1)){
                            // Deleting all items related to this trailer
                            $trailer->equipment_profile_items()->delete();

                            $trailer_company_equipment_profile_id   = $form1['equipment_profile'] ?? null;
                            if(isset($form1['titles']) && !empty($form1['titles'])){
                                $titles                             = $form1['titles'] ?? [];
                                $qty                                = $form1['qty'] ?? [];
                                $values                             = $form1['value'] ?? [];
                                $descriptions                       = $form1['description'] ?? [];
                                $entered_by                         = $form1['entered_by'] ?? [];
                                $date_entered                       = $form1['date_entered'] ?? [];

                                foreach ($titles as $key => $company_equipment_title_id){
                                    TrailerEquipmentProfileItem::create([
                                        'trailer_id'                => $trailer->id,
                                        'trailer_company_equipment_profile_id'  => $trailer_company_equipment_profile_id,
                                        'company_equipment_title_id'=> $company_equipment_title_id,
                                        'qty'                       => (isset($qty[$key]) && $qty[$key] != '') ? $qty[$key] : null,
                                        'value'                     => (isset($values[$key]) && $values[$key] != '') ? $values[$key] : null,
                                        'description'               => (isset($descriptions[$key]) && $descriptions[$key] != '') ? $descriptions[$key] : null,
                                        'entered_by'                => (isset($entered_by[$key]) && $entered_by[$key] != '') ? $entered_by[$key] : null,
                                        'date_entered'              => (isset($date_entered[$key]) && $date_entered[$key] != '') ? $date_entered[$key] : null,
                                        'created_at'                => date('Y-m-d H:i:s')
                                    ]);
                                }
                            }
                        }

                        if(!empty($form2)){
                            // Deleting all items related to this trailer
                            $trailer->equipment_additionals()->delete();

                            if(isset($form2['titles']) && !empty($form2['titles'])){
                                $titles                             = $form2['titles'] ?? [];
                                $qty                                = $form2['qty'] ?? [];
                                $values                             = $form2['value'] ?? [];
                                $descriptions                       = $form2['description'] ?? [];
                                $entered_by                         = $form2['entered_by'] ?? [];
                                $date_entered                       = $form2['date_entered'] ?? [];

                                foreach ($titles as $key => $company_equipment_title_id){
                                    TrailerEquipmentAdditional::create([
                                        'trailer_id'                => $trailer->id,
                                        'company_equipment_title_id'=> $company_equipment_title_id,
                                        'qty'                       => (isset($qty[$key]) && $qty[$key] != '') ? $qty[$key] : null,
                                        'value'                     => (isset($values[$key]) && $values[$key] != '') ? $values[$key] : null,
                                        'description'               => (isset($descriptions[$key]) && $descriptions[$key] != '') ? $descriptions[$key] : null,
                                        'entered_by'                => (isset($entered_by[$key]) && $entered_by[$key] != '') ? $entered_by[$key] : null,
                                        'date_entered'              => (isset($date_entered[$key]) && $date_entered[$key] != '') ? $date_entered[$key] : null,
                                        'created_at'                => date('Y-m-d H:i:s')
                                    ]);
                                }
                            }
                        }

                        $trailer->status                            = $formattedArray['status'];
                        $trailer->updated_at                        = date('Y-m-d H:i:s');
                        if($trailer->save()){
                            // Record updated successfully

                            // Retrieve the changes made to the model attributes after saving
                            $changes                                = $trailer->getChanges();
                            // Check if changes were made to a specific field
                            if (isset($changes['status'])) {
                                // Changes were made to the specific field
                                $logdata                            = [];
                                $logdata['company_id']              = auth()->guard('company-admin')->user()->company_id;
                                $logdata['trailer_id']              = $trailer->id;
                                $logdata['status_id']               = $trailer->status;
                                TrailerStatusLog::create($logdata);
                            }

                            $response['success']                    = true;
                            $response['message']                    = 'Equipment Info saved successfully';
                            $response['trailer_created_id']         = $trailer->id;
                        }else{
                            // Record updatetion failed
                            $response['success']                    = false;
                            $response['message']                    = 'Oops! Something went wrong..';
                        }
                    }
                }
            }catch (\Exception $e) {
                $response['success']                                = false;
                $response['message']                                = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function saveDocument(Request $request){
        $response['success']                                        = false;
        $response['message']                                        = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $formdata                                           = $request->all();

                // Initialize empty arrays for form1 and form2 data
                $formattedArray                                     = [];
                $form1                                              = [];
                $form2                                              = [];
                // Loop through the array
                foreach ($formdata as $key => $value) {
                    if (strpos($key, 'form1_') === 0) {
                        // Remove 'form1_' prefix and store in form1 array
                        $newKey                                     = substr($key, 6);
                        $form1[$newKey]                             = $value;
                    } elseif (strpos($key, 'form2_') === 0) {
                        // Remove 'form2_' prefix and store in form2 array
                        $newKey                                     = substr($key, 6);
                        $form2[$newKey]                             = $value;
                    } else {
                        // Keep other keys as it is
                        $formattedArray[$key]                       = $value;
                    }
                }
                // Store form1 and form2 arrays into the result
                $formattedArray['form1']                            = $form1;
                $formattedArray['form2']                            = $form2;

                $id                                                 = $formdata['form2_trailer_created_id'] ?? null;
                if(!is_null($id)){
                    $trailer                                        = Trailer::whereId($id)->first();
                    if(!is_null($trailer)){
                        if(!empty($form1)){
                            // Deleting all items related to this trailer
                            $trailer->document_profile_items()->delete();

                            $trailer_company_document_profile_id    = $form1['document_profile'] ?? null;
                            if(isset($form1['titles']) && !empty($form1['titles'])){
                                $titles                             = $form1['titles'] ?? [];
                                $dot_required                       = $form1['dot_required'] ?? [];
                                $exp_dates                          = $form1['exp_dates'] ?? [];
                                $doc_types                          = $form1['doc_types'] ?? [];

                                foreach ($titles as $key => $company_document_title_id){
                                    TrailerDocumentProfileItem::create([
                                        'trailer_id'                => $trailer->id,
                                        'trailer_company_document_profile_id'  => $trailer_company_document_profile_id,
                                        'company_document_title_id' => $company_document_title_id,
                                        'dot_required'              => (isset($dot_required[$key]) && $dot_required[$key] != '') ? $dot_required[$key] : null,
                                        'exp_date'                  => (isset($exp_dates[$key]) && $exp_dates[$key] != '') ? $exp_dates[$key] : null,
                                        'doc_type'                  => (isset($doc_types[$key]) && $doc_types[$key] != '') ? $doc_types[$key] : null,
                                        'created_at'                => date('Y-m-d H:i:s')
                                    ]);
                                }

                                if(isset($form1['dummy_id']) && $form1['dummy_id'] != '' && $form1['dummy_id'] != $trailer->id){
                                    $dummy_id                       = $form1['dummy_id'];
                                    Gallery::where('action_id', $dummy_id)->update(['action_id' => $trailer->id]);
                                }
                            }
                        }

                        if(!empty($form2)){
                            // Deleting all items related to this trailer
                            $trailer->document_additionals()->delete();

                            if(isset($form2['titles']) && !empty($form2['titles'])){
                                $titles                             = $form2['titles'] ?? [];
                                $dot_required                       = $form2['dot_required'] ?? [];
                                $exp_dates                          = $form2['exp_dates'] ?? [];
                                $doc_types                          = $form2['doc_types'] ?? [];

                                foreach ($titles as $key => $company_document_title_id){
                                    TrailerDocumentAdditional::create([
                                        'trailer_id'                => $trailer->id,
                                        'company_document_title_id' => $company_document_title_id,
                                        'dot_required'              => (isset($dot_required[$key]) && $dot_required[$key] != '') ? $dot_required[$key] : null,
                                        'exp_date'                  => (isset($exp_dates[$key]) && $exp_dates[$key] != '') ? $exp_dates[$key] : null,
                                        'doc_type'                  => (isset($doc_types[$key]) && $doc_types[$key] != '') ? $doc_types[$key] : null,
                                        'created_at'                => date('Y-m-d H:i:s')
                                    ]);
                                }

                                if(isset($form2['dummy_id']) && $form2['dummy_id'] != '' && $form2['dummy_id'] != $trailer->id){
                                    $dummy_id                       = $form2['dummy_id'];
                                    Gallery::where('action_id', $dummy_id)->update(['action_id' => $trailer->id]);
                                }
                            }
                        }

                        $trailer->status                            = $formattedArray['status'];
                        $trailer->updated_at                        = date('Y-m-d H:i:s');
                        if($trailer->save()){
                            // Record updated successfully

                            // Retrieve the changes made to the model attributes after saving
                            $changes                                = $trailer->getChanges();
                            // Check if changes were made to a specific field
                            if (isset($changes['status'])) {
                                // Changes were made to the specific field
                                $logdata                            = [];
                                $logdata['company_id']              = auth()->guard('company-admin')->user()->company_id;
                                $logdata['trailer_id']              = $trailer->id;
                                $logdata['status_id']               = $trailer->status;
                                TrailerStatusLog::create($logdata);
                            }

                            $response['success']                    = true;
                            $response['message']                    = 'Document Info saved successfully';
                            $response['trailer_created_id']         = $trailer->id;
                        }else{
                            // Record updatetion failed
                            $response['success']                    = false;
                            $response['message']                    = 'Oops! Something went wrong..';
                        }
                    }
                }
            }catch (\Exception $e) {
                $response['success']                                = false;
                $response['message']                                = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function addInsuranceProfile(Request $request){
        $response['success']                                        = false;
        $response['message']                                        = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $formdata                                           = $request->all();

                // Custom callback function to filter out null, blank, and empty values
                $filtered_insurance_types                           = array_filter($formdata['insurance_types'], function($value) {
                    // Filter out null, blank, and empty strings
                    return $value !== null && $value !== "" && !empty($value);
                });
                // Reset array keys if needed
                $filtered_insurance_types                           = array_values($filtered_insurance_types);

                $insuranceTypes                                     = (!empty($filtered_insurance_types)) ? implode(',', $filtered_insurance_types) : null;

                $createInsuranceProfile                             = TrailerCompanyInsuranceProfile::create([
                    'company_id'                                    => auth()->guard('company-admin')->user()->company_id,
                    'profile_name'                                  => $formdata['profile_name'],
                    'insurance_types'                               => $insuranceTypes
                ]);
                if($createInsuranceProfile){
                    $insuranceProfileHtml                           = '<option value="" data-insurance-types="">Select Insurance Profile</option>';
                    foreach(getTrailerCompanyInsuranceProfiles() as $insurance_profile){
                        $insuranceProfileHtml                       .= '<option value="'.$insurance_profile->id.'" data-insurance-types="'.$insurance_profile->insurance_types.'">'.$insurance_profile->profile_name.'</option>';
                    }

                    $response['success']                            = true;
                    $response['message']                            = 'Insurance profile saved successfully';
                    $response['insuranceProfileHtml']               = $insuranceProfileHtml;
                    $response['new_profile_id']                     = $createInsuranceProfile->id;
                }else{
                    $response['success']                            = false;
                    $response['message']                            = 'Error, on save Insurance Profile';
                }
            }catch (\Exception $e) {
                $response['success']                                = false;
                $response['message']                                = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function insuranceProfileView(Request $request){
        $response['success']                                        = false;
        $response['message']                                        = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $formdata                                           = $request->all();

                $profile                                            = TrailerCompanyInsuranceProfile::whereId($formdata['id'])->first();
                if(!is_null($profile)){
                    $vendors                                        = Vendor::IsCompany()->get();

                    $profile_name                                   = $profile->profile_name;
                    $insurance_types                                = array_filter(explode(',', $profile->insurance_types));

                    $i                                              = 0;
                    $time                                           = time();

                    $preViewHtml                                    = '';
                    $preViewHtml                                    .= '<input type="hidden" name="dummy_id" value="'.$time.'">';
                    $preViewHtml                                    .= '<div class="row pt-2">';
                    $preViewHtml                                    .= '<div class="col-md-12">';
                    $preViewHtml                                    .= '<div class="form-group">';
                    $preViewHtml                                    .= '<h6 class="section-heading">'.$profile_name.'</h6>';
                    $preViewHtml                                    .= '</div>';
                    $preViewHtml                                    .= '</div>';
                    $preViewHtml                                    .= '</div>';
                    foreach ($insurance_types as $insurance_type){
                        $preViewHtml                                .= '<div class="row pt-2" data-last-index="'.$i.'">';
                        $preViewHtml                                .= '<div class="col-md-3 ins-prev-custom-grid pr-1">';
                        $preViewHtml                                .= '<div class="form-group">';
                        $preViewHtml                                .= '<label for="insurance-types" class="mb-1">'.getCompanyInsuranceTypes()[$insurance_type].'</label>';
                        $preViewHtml                                .= '<select class="form-control select2" name="insurance_vendor[]">';
                        $preViewHtml                                .= '<option value="">Select Insurance Vendor</option>';
                        foreach ($vendors as $vendor){
                            $preViewHtml                            .= '<option value="'.$vendor->id.'">'.$vendor->name.'</option>';
                        }
                        $preViewHtml                                .= '</select>';
                        $preViewHtml                                .= '<input type="hidden" name="insurance_type[]" value="'.$insurance_type.'">';
                        $preViewHtml                                .= '</div>';
                        $preViewHtml                                .= '</div>';
                        $preViewHtml                                .= '<div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">';
                        $preViewHtml                                .= '<div class="form-group">';
                        $preViewHtml                                .= '<label for="policy-number" class="mb-1">Policy No.</label>';
                        $preViewHtml                                .= '<input type="text" class="form-control" name="policy_number[]" placeholder="Enter">';
                        $preViewHtml                                .= '</div>';
                        $preViewHtml                                .= '</div>';
                        $preViewHtml                                .= '<div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">';
                        $preViewHtml                                .= '<div class="form-group">';
                        $preViewHtml                                .= '<label for="value" class="mb-1">Value</label>';
                        $preViewHtml                                .= '<div class="input-group pre-append">';
                        $preViewHtml                                .= '<div class="input-group-prepend">';
                        $preViewHtml                                .= '<span class="input-group-text">$</span>';
                        $preViewHtml                                .= '</div>';
                        $preViewHtml                                .= '<input type="text" class="form-control border-radius-none integer-input comma-integer-input" name="value[]" placeholder="Enter">';
                        $preViewHtml                                .= '</div>';
                        $preViewHtml                                .= '</div>';
                        $preViewHtml                                .= '</div>';
                        $preViewHtml                                .= '<div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">';
                        $preViewHtml                                .= '<div class="form-group">';
                        $preViewHtml                                .= '<label for="date-added" class="mb-1">Date Added</label>';
                        $preViewHtml                                .= '<div class="input-group">';
                        $preViewHtml                                .= '<input type="text" class="form-control date" name="date_added[]" placeholder="Enter">';
                        $preViewHtml                                .= '<img src="'.asset('theme/images/date-calender.svg').'" alt="icon">';
                        $preViewHtml                                .= '</div>';
                        $preViewHtml                                .= '</div>';
                        $preViewHtml                                .= '</div>';
                        $preViewHtml                                .= '<div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">';
                        $preViewHtml                                .= '<div class="form-group">';
                        $preViewHtml                                .= '<label for="expiration-date" class="mb-1">Expiration Date</label>';
                        $preViewHtml                                .= '<div class="input-group">';
                        $preViewHtml                                .= '<input type="text" class="form-control date" name="expiration_date[]" placeholder="Enter">';
                        $preViewHtml                                .= '<img src="'.asset('theme/images/date-calender.svg').'" alt="icon">';
                        $preViewHtml                                .= '</div>';
                        $preViewHtml                                .= '</div>';
                        $preViewHtml                                .= '</div>';
                        $preViewHtml                                .= '<div class="pl-1 mt-4">';
                        $preViewHtml                                .= '<div class="form-group d-flex">';
                        $preViewHtml                                .= '<div>';
                        $preViewHtml                                .= '<a href="javascript:void(0);" class="insuranceFile">';
                        $preViewHtml                                .= '<i class="fa fa-picture-o profileInsuranceFile gallary-edit" aria-hidden="true" 
                            data-id="'.$time.'" 
                            data-source="trailers" 
                            data-field="profile_insurance_file_'.$i.'" 
                            data-toggle="modal" 
                            data-target="#galleryModal" 
                            title="Insurance File"></i>';
                        $preViewHtml                                .= '</a>';
                        $preViewHtml                                .= '</div>';
                        $preViewHtml                                .= '<div>';
                        $preViewHtml                                .= '<a href="javascript:void(0);" class="removeMoreProfileRows">';
                        $preViewHtml                                .= '<i class="fa fa-minus-square" aria-hidden="true"></i>';
                        $preViewHtml                                .= '</a>';
                        $preViewHtml                                .= '</div>';
                        $preViewHtml                                .= '</div>';
                        $preViewHtml                                .= '</div>';
                        $preViewHtml                                .= '</div>';

                        $i++;
                    }

                    $response['success']                            = true;
                    $response['message']                            = 'Insurance profile view successfully';
                    $response['preViewHtml']                        = $preViewHtml;
                }
            }catch (\Exception $e) {
                $response['success']                                = false;
                $response['message']                                = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function addPmServiceProfile(Request $request){
        $response['success']                                        = false;
        $response['message']                                        = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $formdata                                           = $request->all();

                $createPmServiceProfile                             = TrailerCompanyPmServiceProfile::create([
                    'company_id'                                    => auth()->guard('company-admin')->user()->company_id,
                    'profile_name'                                  => $formdata['profile_name'],
                    'types'                                         => serialize($formdata['types']),
                    'service_types'                                 => serialize($formdata['service_type']),
                    'interval_types'                                => serialize($formdata['interval_type']),
                    'schedules'                                     => serialize($formdata['schedule'])
                ]);
                if($createPmServiceProfile){
                    $pmServiceProfileHtml                           = '<option value="" data-pm-types="">Select PM/Service Profile</option>';
                    foreach(getTrailerCompanyPmServiceProfiles() as $pm_service_profile){
                        $pmServiceProfileHtml                      .= '<option value="'.$pm_service_profile->id.'" data-pm-types="'.base64_encode($pm_service_profile->types).'" data-pm-service-types="'.base64_encode($pm_service_profile->service_types).'" data-pm-interval-types="'.base64_encode($pm_service_profile->interval_types).'" data-pm-schedules="'.base64_encode($pm_service_profile->schedules).'">'.$pm_service_profile->profile_name.'</option>';
                    }

                    $response['success']                            = true;
                    $response['message']                            = 'PM Maintenance & Service Profile saved successfully';
                    $response['pmServiceProfileHtml']               = $pmServiceProfileHtml;
                    $response['new_profile_id']                     = $createPmServiceProfile->id;
                }else{
                    $response['success']                            = false;
                    $response['message']                            = 'Error, on save PM Maintenance & Service';
                }
            }catch (\Exception $e) {
                $response['success']                                = false;
                $response['message']                                = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function pmServiceProfile(Request $request){
        $response['success']                                        = false;
        $response['message']                                        = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $formdata                                           = $request->all();

                if(isset($formdata['id']) && $formdata['id'] != ''){
                    $profile                                        = TrailerCompanyPmServiceProfile::whereId($formdata['id'])->first();
                    if(!is_null($profile)){
                        $response['html']                           = view('companyAdmin.trailer.ajax-view.pm-service-profile', compact('profile'))->render();
                        $response['success']                        = true;
                        $response['message']                        = "View retrieved successfully.";
                    }
                }else{
                    $response['html']                               = view('companyAdmin.trailer.ajax-view.pm-service-profile')->render();
                    $response['success']                            = true;
                    $response['message']                            = "View retrieved successfully.";
                }
            }catch (\Exception $e) {
                $response['success']                                = false;
                $response['message']                                = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function pmServiceAdditional(Request $request){
        $response['success']                                        = false;
        $response['message']                                        = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $formdata                                           = $request->all();
                $rowIndex                                           = $formdata['rowIndex']; // check add more rowIndex & edit view

                $response['html']                                   = view('companyAdmin.trailer.ajax-view.additional-pm-service', compact('rowIndex'))->render();
                $response['success']                                = true;
                $response['message']                                = "View retrieved successfully.";
            }catch (\Exception $e) {
                $response['success']                                = false;
                $response['message']                                = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function addPmServiceWarrantyProfile(Request $request){
        $response['success']                                        = false;
        $response['message']                                        = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $formdata                                           = $request->all();

                $createPmServiceWarrantyProfile                     = TrailerCompanyPmServiceWarrantyProfile::create([
                    'company_id'                                    => auth()->guard('company-admin')->user()->company_id,
                    'profile_name'                                  => $formdata['warranty_profile_name'],
                    'warranty_providers'                            => serialize($formdata['warranty_provider'])
                ]);
                if($createPmServiceWarrantyProfile){
                    $pmServiceWarrantyProfileHtml                   = '<div class="col-md-3 warranty-pm-service-custom-grid">';
                    $pmServiceWarrantyProfileHtml                  .= '<div class="form-group mb-1">';
                    $pmServiceWarrantyProfileHtml                  .= '<div class="d-flex align-items-center">';
                    $pmServiceWarrantyProfileHtml                  .= '<div class="mr-auto">';
                    $pmServiceWarrantyProfileHtml                  .= '<label for="pm-service-profile">Warranty Profile</label>';
                    $pmServiceWarrantyProfileHtml                  .= '</div>';
                    $pmServiceWarrantyProfileHtml                  .= '<div class="d-flex">';
                    $pmServiceWarrantyProfileHtml                  .= '<a href="javascript:void(0);" class="custom-top-label addWarranty">Add +</a>';
                    $pmServiceWarrantyProfileHtml                  .= '</div>';
                    $pmServiceWarrantyProfileHtml                  .= '</div>';
                    $pmServiceWarrantyProfileHtml                  .= '<select class="form-control select2" id="pm-service-warranty-profile" name="pm_service_warranty_profile">';
                    $pmServiceWarrantyProfileHtml                  .= '<option value="" data-warranty-providers="">Select Warranty Profile</option>';
                    foreach(getTrailerCompanyPmServiceWarrantyProfiles() as $pm_service_warranty_profile){
                        $pmServiceWarrantyProfileHtml              .= '<option value="'.$pm_service_warranty_profile->id.'" data-warranty-providers="'.base64_encode($pm_service_warranty_profile->warranty_providers).'">'.$pm_service_warranty_profile->profile_name.'</option>';
                    }
                    $pmServiceWarrantyProfileHtml                  .= '</select>';
                    $pmServiceWarrantyProfileHtml                  .= '</div>';
                    $pmServiceWarrantyProfileHtml                  .= '</div>';

                    $response['success']                            = true;
                    $response['message']                            = 'Warranty Profile saved successfully';
                    $response['pmServiceWarrantyProfileHtml']       = $pmServiceWarrantyProfileHtml;
                    $response['new_profile_id']                     = $createPmServiceWarrantyProfile->id;
                }else{
                    $response['success']                            = false;
                    $response['message']                            = 'Error, on save Warranty Profile';
                }
            }catch (\Exception $e) {
                $response['success']                                = false;
                $response['message']                                = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function pmServiceWarranty(Request $request){
        $response['success']                                        = false;
        $response['message']                                        = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $formdata                                           = $request->all();

                if(isset($formdata['id']) && $formdata['id'] != ''){
                    $profile                                        = TrailerCompanyPmServiceWarrantyProfile::whereId($formdata['id'])->first();
                    if(!is_null($profile)){
                        $response['html']                           = view('companyAdmin.trailer.ajax-view.warranty-pm-service', compact('profile'))->render();
                        $response['success']                        = true;
                        $response['message']                        = "View retrieved successfully.";
                    }
                }else{
                    $response['html']                               = view('companyAdmin.trailer.ajax-view.warranty-pm-service')->render();
                    $response['success']                            = true;
                    $response['message']                            = "View retrieved successfully.";
                }
            }catch (\Exception $e) {
                $response['success']                                = false;
                $response['message']                                = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function addEquipmentProfile(Request $request){
        $response['success']                                        = false;
        $response['message']                                        = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $formdata                                           = $request->all();

                // Custom callback function to filter out null, blank, and empty values
                $filtered_titles                                    = array_filter($formdata['titles'], function($value) {
                    // Filter out null, blank, and empty strings
                    return $value !== null && $value !== "" && !empty($value);
                });
                // Reset array keys if needed
                $filtered_titles                                    = array_values($filtered_titles);

                $titles                                             = (!empty($filtered_titles)) ? implode(',', $filtered_titles) : null;

                $createEquipmentProfile                             = TrailerCompanyEquipmentProfile::create([
                    'company_id'                                    => auth()->guard('company-admin')->user()->company_id,
                    'profile_name'                                  => $formdata['profile_name'],
                    'titles'                                        => $titles
                ]);
                if($createEquipmentProfile){
                    $equipmentProfileHtml                           = '<option value="" data-equipment-titles="">Select Equipment Profile</option>';
                    foreach(getTrailerCompanyEquipmentProfiles() as $equipment_profile){
                        $equipmentProfileHtml                       .= '<option value="'.$equipment_profile->id.'" data-equipment-titles="'.$equipment_profile->titles.'">'.$equipment_profile->profile_name.'</option>';
                    }

                    $response['success']                            = true;
                    $response['message']                            = 'Equipment Profile saved successfully';
                    $response['equipmentProfileHtml']               = $equipmentProfileHtml;
                    $response['new_profile_id']                     = $createEquipmentProfile->id;
                }else{
                    $response['success']                            = false;
                    $response['message']                            = 'Error, on save Equipment Profile';
                }
            }catch (\Exception $e) {
                $response['success']                                = false;
                $response['message']                                = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function equipmentProfile(Request $request){
        $response['success']                                        = false;
        $response['message']                                        = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $formdata                                           = $request->all();

                if(isset($formdata['id']) && $formdata['id'] != ''){
                    $profile                                        = TrailerCompanyEquipmentProfile::whereId($formdata['id'])->first();
                    if(!is_null($profile)){
                        $response['html']                           = view('companyAdmin.trailer.ajax-view.equipment-profile', compact('profile'))->render();
                        $response['success']                        = true;
                        $response['message']                        = "View retrieved successfully.";
                    }
                }else{
                    $response['html']                               = view('companyAdmin.trailer.ajax-view.equipment-profile')->render();
                    $response['success']                            = true;
                    $response['message']                            = "View retrieved successfully.";
                }
            }catch (\Exception $e) {
                $response['success']                                = false;
                $response['message']                                = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function equipmentAdditional(Request $request){
        $response['success']                                        = false;
        $response['message']                                        = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $formdata                                           = $request->all();
                $rowIndex                                           = $formdata['rowIndex']; // check add more rowIndex & edit view

                $response['html']                                   = view('companyAdmin.trailer.ajax-view.additional-equipment', compact('rowIndex'))->render();
                $response['success']                                = true;
                $response['message']                                = "View retrieved successfully.";
            }catch (\Exception $e) {
                $response['success']                                = false;
                $response['message']                                = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function addDocumentProfile(Request $request){
        $response['success']                                        = false;
        $response['message']                                        = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $formdata                                           = $request->all();

                // Custom callback function to filter out null, blank, and empty values
                $filtered_titles                                    = array_filter($formdata['titles'], function($value) {
                    // Filter out null, blank, and empty strings
                    return $value !== null && $value !== "" && !empty($value);
                });
                // Reset array keys if needed
                $filtered_titles                                    = array_values($filtered_titles);

                $titles                                             = (!empty($filtered_titles)) ? implode(',', $filtered_titles) : null;

                $createDocumentProfile                              = TrailerCompanyDocumentProfile::create([
                    'company_id'                                    => auth()->guard('company-admin')->user()->company_id,
                    'profile_name'                                  => $formdata['profile_name'],
                    'titles'                                        => $titles
                ]);
                if($createDocumentProfile){
                    $documentProfileHtml                            = '<option value="" data-document-titles="">Select Document Profile</option>';
                    foreach(getTrailerCompanyDocumentProfiles() as $document_profile){
                        $documentProfileHtml                       .= '<option value="'.$document_profile->id.'" data-document-titles="'.$document_profile->titles.'">'.$document_profile->profile_name.'</option>';
                    }

                    $response['success']                            = true;
                    $response['message']                            = 'Document Profile saved successfully';
                    $response['documentProfileHtml']                = $documentProfileHtml;
                    $response['new_profile_id']                     = $createDocumentProfile->id;
                }else{
                    $response['success']                            = false;
                    $response['message']                            = 'Error, on save Document Profile';
                }
            }catch (\Exception $e) {
                $response['success']                                = false;
                $response['message']                                = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function documentProfile(Request $request){
        $response['success']                                        = false;
        $response['message']                                        = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $formdata                                           = $request->all();

                if(isset($formdata['id']) && $formdata['id'] != ''){
                    $profile                                        = TrailerCompanyDocumentProfile::whereId($formdata['id'])->first();
                    if(!is_null($profile)){
                        $response['html']                           = view('companyAdmin.trailer.ajax-view.document-profile', compact('profile'))->render();
                        $response['success']                        = true;
                        $response['message']                        = "View retrieved successfully.";
                    }
                }else{
                    $response['html']                               = view('companyAdmin.trailer.ajax-view.document-profile')->render();
                    $response['success']                            = true;
                    $response['message']                            = "View retrieved successfully.";
                }
            }catch (\Exception $e) {
                $response['success']                                = false;
                $response['message']                                = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function documentAdditional(Request $request){
        $response['success']                                        = false;
        $response['message']                                        = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $formdata                                           = $request->all();
                $rowIndex                                           = $formdata['rowIndex']; // check add more rowIndex & edit view
                $dummyId                                            = $formdata['dummyId'];

                $response['html']                                   = view('companyAdmin.trailer.ajax-view.additional-document', compact('rowIndex', 'dummyId'))->render();
                $response['success']                                = true;
                $response['message']                                = "View retrieved successfully.";
            }catch (\Exception $e) {
                $response['success']                                = false;
                $response['message']                                = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function getEldVinNumber(Request $request){
        $response['success']                                        = false;
        $response['message']                                        = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $trailer                                            = Trailer::whereId($request->trailerId)->first();
                if(!is_null($trailer)){
                    $response['vinNumber']                          = $trailer->vin ?? '';
                    $response['success']                            = true;
                    $response['message']                            = "Vin number retrieved successfully.";
                }
            }catch (\Exception $e) {
                $response['success']                                = false;
                $response['message']                                = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function eldConnect(Request $request){
        dd('eldConnect', $request->all());
        $response['success']                                        = false;
        $response['message']                                        = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $trailer                                            = Trailer::whereId($request->trailerId)->first();
                if(!is_null($trailer)){
                    $company_id                                     = $trailer->company_id;
                    $eldProvider                                    = $request->eldProvider;
                    $vinNumber                                      = $request->vinNumber;

                    $getAPIKey                                      = IntegrationSetting::where('company_id', $company_id)->where('carrier_id', $trailer->carrier)->where('app_center_id', config('settings.app_id.samsara'))->where('sync_trailers', '1')->first();
                    if(isset($getAPIKey->api_key) && !empty($getAPIKey->api_key)){
                        //
                    }

                    $eldId                                          = '';
                    $isConnected                                    = 0;
                    if($eldProvider == '3'){ // Samsara
                        $eldId                                      = $trailer->samsara_id ?? '';
                        if($eldId === ''){
                            //
                        }else{
                            $isConnected                            = '1';

                            $response['eldId']                      = $eldId;
                            $response['connected']                  = $isConnected;
                            $response['success']                    = true;
                            $response['message']                    = "Eld connect successfully.";;
                        }
                    }
                }else{
                    $response['success']                            = false;
                    $response['message']                            = "Trailer details doesn't found.";
                }
            }catch (\Exception $e) {
                $response['success']                                = false;
                $response['message']                                = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function integrationSave(Request $request){
        dd('integrationSave', $request->all());
        $response['success']                                        = false;
        $response['message']                                        = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                //
            }catch (\Exception $e) {
                $response['success']                                = false;
                $response['message']                                = $e->getMessage();
            }
        }
        return response()->json($response);
    }
}
