<?php

namespace App\Http\Controllers\DriverAdmin;

use App\Http\Controllers\DriverAdmin\DriverAdminController;
use Illuminate\Http\Request;

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Validator;

use App\Models\Driver;

use Hash;

class ProfileController extends DriverAdminController
{

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }
    
    public function changePassword(){
        return view('driverAdmin.profile.changePassword');
    }

    public function passwordValidator($request, $driver){
        return $this->validate($request, [
            'current_password'      => ['required','min:6', function ($attribute, $value, $fail) use ($driver) {
                if (!Hash::check($value, $driver->password)) {
                    return $fail( __('messages.invalidCurrentPassword'));
                }
            }],
            'password'              => 'required|min:6|confirmed|different:current_password',
            'password_confirmation' => 'required|min:6',
      ]);
    }

    public function updatePassword(Request $request){
        $driver                 = Driver::findOrFail(Auth::guard('driver-admin')->user()->id);
        if ($this->passwordValidator($request, $driver)) {
            $input['password']  = bcrypt($request->password);
            $driver->update($input);
            notification('success', $this->crudMessage('update', 'Password'));
            return redirect()->back();
        }
    }
}
