<?php

namespace App\Http\Controllers\DriverAdmin;

use App\Http\Controllers\DriverAdmin\DriverAdminController;
use App\Models\TwoFactorSetting;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;

class TwoFactorSettingController extends DriverAdminController
{
    public function index(){
        $twoFactorSettings          = TwoFactorSetting::IsDriverAdmin()->first();
        return view('driverAdmin.twoFactorSetting.view', compact('twoFactorSettings'));
    }

    public function updateSettings(Request $request){
        $user                       = auth()->guard('driver-admin')->user();
        if($request->enableEmailVerify == '1' && is_null($user->email)){
            return response()->json(['success' => false, 'msg' => 'Please update email id in your profile']);
        }
        if($request->enableSmsVerify == '1' && is_null($user->cell_phone)){
            return response()->json(['success' => false, 'msg' => 'Please update phone number in your profile']);
        }
        if($request->enableSmsVerify == '1' && $user->sms == '0'){
            return response()->json(['success' => false, 'msg' => 'Please ask your company admin to enable SMS option for your user']);
        }

        $updateSettings             = TwoFactorSetting::updateOrCreate([
            'company_id'            => $user->company_id,
            'user_id'               => $user->id,
            'user_type'             => '3'
        ], [
            'enable_two_factor'     => $request->enableTwoFactor,
            'enable_email_verify'   => $request->enableEmailVerify,
            'enable_sms_verify'     => $request->enableSmsVerify,
        ]);

        if($updateSettings){
            if($request->enableTwoFactor){
                Session::put('driverAdmin-2fa', $user->id);
            }else{
                Session::forget('driverAdmin-2fa');
            }
            return response()->json(['success' => true, 'msg' => 'Settings updated successfully']);
        }else{
            return response()->json(['success' => false, 'msg' => 'Something went wrong!']);
        }
    }
}
