<?php

namespace App\Http\Controllers;

use App\Models\LeftMenuByUser;
use Illuminate\Http\Request;

class LeftSideBarController extends Controller
{
    public function updateLeftSideBar(Request $request)
    {
        $response['success'] = false;
        $response['message'] = "Oops! Something went wrong..";

        if ($request->ajax()) {
            try {
                $leftSideBarArr = json_decode($request->leftSideBarArr, true);

                if (!empty($leftSideBarArr)) {
                    $userCompanyId = auth()->guard('company-admin')->user()->company_id;
                    $userId = auth()->guard('company-admin')->user()->id;
                    $userType = auth()->guard('company-admin')->user()->type;

                    $isExists = LeftMenuByUser::where('company_id', $userCompanyId)->where('user_id', $userId)->where('user_type', $userType);
                    if($isExists->count() > 0){
                        $isExists->delete();
                    }

                    foreach ($leftSideBarArr as $leftSideBar){
                        LeftMenuByUser::create([
                            'company_id' => $userCompanyId,
                            'user_id' => $userId,
                            'user_type' => $userType,
                            'menu_id' => base64Decode($leftSideBar['menu_id']),
                            'display_no' => $leftSideBar['display_no'],
                            'active_status' => $leftSideBar['active_status'],
                        ]);
                    }

                    $response['leftMenuView'] = view('companyAdminTheme.left-menu')->render() ?? '';
                    $response['success'] = true;
                    $response['message'] = "Menu updated successfully.";
                } else {
                    $response['success'] = false;
                    $response['message'] = "Oops! Something went wrong..";
                }
            } catch (\Exception $e) {
                $response['success'] = false;
                $response['message'] = $e->getMessage();
            }
        }

        return response()->json($response);
    }
}
