<?php

namespace App\Http\Middleware;

use App\Models\TwoFactorSetting;
use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;

class Check2FactorAuthentication
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        if(auth()->guard('admin')->check()) {
            $twoFactorSettings = TwoFactorSetting::IsAdmin()->first();
            if(!is_null($twoFactorSettings) && $twoFactorSettings->enable_two_factor == '1'){
                if (!Session::has('admin-2fa')) {
                    return redirect()->route('admin.two-factor-authentication.index');
                }
            }
        }else if(auth()->guard('company-admin')->check()) {
            $twoFactorSettings = TwoFactorSetting::IsCompanyAdmin()->first();
            if(!is_null($twoFactorSettings) && $twoFactorSettings->enable_two_factor == '1'){
                if (!Session::has('companyAdmin-2fa')) {
                    return redirect()->route('company.admin.two-factor-authentication.index');
                }
            }
        }else if(auth()->guard('driver-admin')->check()) {
            $twoFactorSettings = TwoFactorSetting::IsDriverAdmin()->first();
            if(!is_null($twoFactorSettings) && $twoFactorSettings->enable_two_factor == '1'){
                if (!Session::has('driverAdmin-2fa')) {
                    return redirect()->route('driver.admin.two-factor-authentication.index');
                }
            }
        }

        return $next($request);
    }
}
