<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Str;
use Illuminate\Http\Request;

class CheckCompanyAdminModuleAccess
{
    /***
    *
    *   Description: Allow user to access page only if his trial period is active or he has purchased authentic package
    ***/
    public function handle($request, Closure $next)
    {

        if(Auth::guard('company-admin')->user()->role_id != 0 && Auth::guard('company-admin')->check() && request()->route()->getPrefix() == config('settings.route_prefix.companyadmin')){
            $url                = $request->url();

            $dashboardRoute     = getDashboardLink();

            /*** Check role vise module access ***/
            if(Str::contains($url, 'dispatch-hub'))
            {
                $moduleId       = config('settings.company_admin_modules.dispatch_hub');
            }
            else if(Str::contains($url, 'loads'))
            {
                $moduleId       = config('settings.company_admin_modules.loads');
            }
            else if(Str::contains($url, 'teams'))
            {
                $moduleId       = config('settings.company_admin_modules.teams');
            }
            else if(Str::contains($url, 'weekly-fuel-surcharges'))
            {
                $moduleId       = config('settings.company_admin_modules.weekly_fuel_surcharges');
            }
            else if(Str::contains($url, 'brokers'))
            {
                $moduleId       = config('settings.company_admin_modules.brokers');
            }
            else if(Str::contains($url, 'managers'))
            {
                $moduleId       = config('settings.company_admin_modules.managers');
            }
            else if(Str::contains($url, 'dispatchers'))
            {
                $moduleId       = config('settings.company_admin_modules.dispatchers');
            }
            else if(Str::contains($url, 'drivers'))
            {
                $moduleId       = config('settings.company_admin_modules.drivers');
            }
            else if(Str::contains($url, 'roles'))
            {
                $moduleId       = config('settings.company_admin_modules.roles');
            }
            else if(Str::contains($url, 'customer') || Str::contains($url, 'shippers-and-consignees'))
            {
                $moduleId       = config('settings.company_admin_modules.customer');
            }
            else if(Str::contains($url, 'carriers'))
            {
                $moduleId       = config('settings.company_admin_modules.carriers');
            }
            else if(Str::contains($url, 'trailers'))
            {
                $moduleId       = config('settings.company_admin_modules.trailers');
            }
            else if(Str::contains($url, 'trucks'))
            {
                $moduleId       = config('settings.company_admin_modules.trucks');
            }
            else if(Str::contains($url, 'manage-type'))
            {
                $moduleId       = config('settings.company_admin_modules.manage_type');
            }
            else if(Str::contains($url, 'leave-type'))
            {
                $moduleId       = config('settings.company_admin_modules.leave_type');
            }
            else if(Str::contains($url, 'company-holiday'))
            {
                $moduleId       = config('settings.company_admin_modules.company_holiday');
            }
            else if(Str::contains($url, 'leaves'))
            {
                $moduleId       = config('settings.company_admin_modules.leaves');
            }
            else if(Str::contains($url, 'leaveusertypes'))
            {
                $moduleId       = config('settings.company_admin_modules.leaveusertypes');
            }
            else if(Str::contains($url, 'vendors'))
            {
                $moduleId       = config('settings.company_admin_modules.vendors');
            }
            else if(Str::contains($url, 'notifications-status'))
            {
                $moduleId       = config('settings.company_admin_modules.notifications_status');
            }
            else if(Str::contains($url, 'terminals'))
            {
                $moduleId       = config('settings.company_admin_modules.terminals');
            }
            else if(Str::contains($url, 'maintenances'))
            {
                $moduleId       = config('settings.company_admin_modules.maintenances');
            }
            else if(Str::contains($url, 'maintenance-ticket-types'))
            {
                $moduleId       = config('settings.company_admin_modules.maintenance_ticket_types');
            }
            else if(Str::contains($url, 'driver-quaterly-goal'))
            {
                $moduleId       = config('settings.company_admin_modules.driver_quarterly_goals');
            }
            else if(Str::contains($url, 'announcement'))
            {
                $moduleId       = config('settings.company_admin_modules.announcement');
            }
            else if(Str::contains($url, 'trailer-types'))
            {
                $moduleId       = config('settings.company_admin_modules.trailer_types');
            }
            else if(Str::contains($url, 'accessorial'))
            {
                $moduleId       = config('settings.company_admin_modules.accessorial');
            }
            else if(Str::contains($url, 'commodity'))
            {
                $moduleId       = config('settings.company_admin_modules.commodity');
            }
            else if(Str::contains($url, 'terms'))
            {
                $moduleId       = config('settings.company_admin_modules.terms');
            }
            else if(Str::contains($url, 'load-requirements-items'))
            {
                $moduleId       = config('settings.company_admin_modules.load_requirements_items');
            }
            else if(Str::contains($url, 'compliance'))
            {
                $moduleId       = config('settings.company_admin_modules.compliance');
            }
            else if(Str::contains($url, 'pro-routes'))
            {
                $moduleId       = config('settings.company_admin_modules.pro_routes');
            }
            else if(Str::contains($url, 'truck-owners'))
            {
                $moduleId       = config('settings.company_admin_modules.truck_owners');
            }
            else if(Str::contains($url, 'fuel-surcharges'))
            {
                $moduleId       = config('settings.company_admin_modules.fuel_surcharges');
            }
            else if(Str::contains($url, 'truck-types'))
            {
                $moduleId       = config('settings.company_admin_modules.truck_types');
            }
            else if(Str::contains($url, 'work-orders'))
            {
                $moduleId       = config('settings.company_admin_modules.work_orders');
            }
            else if(Str::contains($url, 'safety-compliance'))
            {
                $moduleId       = config('settings.company_admin_modules.safety_compliance');
            }
            else if(Str::contains($url, 'onboarding'))
            {
                $moduleId       = config('settings.company_admin_modules.onboarding');
            }
            else if(Str::contains($url, 'deduction-names')) 
            {
                $moduleId       = config('settings.company_admin_modules.deduction_names');
            }
            else if(Str::contains($url, 'load-document'))
            {
                $moduleId       = config('settings.company_admin_modules.load_document');
            }
            else if(Str::contains($url, 'recruiting-source'))
            {
                $moduleId       = config('settings.company_admin_modules.recruiting_source');
            }
            else if(Str::contains($url, 'insurance-types'))
            {
                $moduleId       = config('settings.company_admin_modules.insurance_types');
            }
            else if(Str::contains($url, 'truck-insurance-profiles'))
            {
                $moduleId       = config('settings.company_admin_modules.insurance_profiles');
            }
            else if(Str::contains($url, 'truck-pm-service-profiles'))
            {
                $moduleId       = config('settings.company_admin_modules.pm_service_profiles');
            }
            else if(Str::contains($url, 'truck-warranty-profiles'))
            {
                $moduleId       = config('settings.company_admin_modules.warranty_profiles');
            }
            else if(Str::contains($url, 'pm-types'))
            {
                $moduleId       = config('settings.company_admin_modules.pm_types');
            }
            else if(Str::contains($url, 'pm-service-types'))
            {
                $moduleId       = config('settings.company_admin_modules.pm_service_types');
            }
            else if(Str::contains($url, 'pm-warranty-providers'))
            {
                $moduleId       = config('settings.company_admin_modules.pm_warranty_providers');
            }
            else if(Str::contains($url, 'equipment-titles'))
            {
                $moduleId       = config('settings.company_admin_modules.equipment_titles');
            }
            else if(Str::contains($url, 'truck-equipment-profiles'))
            {
                $moduleId       = config('settings.company_admin_modules.equipment_profiles');
            }
            else if(Str::contains($url, 'document-titles'))
            {
                $moduleId       = config('settings.company_admin_modules.document_titles');
            }
            else if(Str::contains($url, 'truck-on-board-document-profiles'))
            {
                $moduleId       = config('settings.company_admin_modules.on_board_document_profiles');
            }
            else if(Str::contains($url, 'drop-locations'))
            {
                $moduleId       = config('settings.company_admin_modules.drop_locations');
            }
            else if(Str::contains($url, 'usage'))
            {
                $moduleId       = config('settings.company_admin_modules.usage');
            }
            else if(Str::contains($url, 'email-templates'))
            {
                $moduleId       = config('settings.company_admin_modules.email_templates');
            }
            else if(Str::contains($url, 'pdf-templates'))
            {
                $moduleId       = config('settings.company_admin_modules.pdf_templates');
            }
            else if(Str::contains($url, 'default-surcharges'))
            {
                $moduleId       = config('settings.company_admin_modules.default_fuel_surcharge');
            }
            else if(Str::contains($url, 'trailer-groups'))
            {
                $moduleId       = config('settings.company_admin_modules.trailer_groups');
            }
            else if(Str::contains($url, 'truck-groups'))
            {
                $moduleId       = config('settings.company_admin_modules.truck_groups');
            }
            else if(Str::contains($url, 'trailer-insurance-profiles'))
            {
                $moduleId       = config('settings.company_admin_modules.trailer_insurance_profiles');
            }
            else if(Str::contains($url, 'trailer-pm-service-profiles'))
            {
                $moduleId       = config('settings.company_admin_modules.trailer_pm_service_profiles');
            }
            else if(Str::contains($url, 'trailer-equipment-profiles'))
            {
                $moduleId       = config('settings.company_admin_modules.trailer_equipment_profiles');
            }
            else if(Str::contains($url, 'trailer-on-board-document-profiles'))
            {
                $moduleId       = config('settings.company_admin_modules.trailer_on_board_document_profiles');
            }
            else if(Str::contains($url, 'trailer-warranty-profiles'))
            {
                $moduleId       = config('settings.company_admin_modules.trailer_warranty_profiles');
            }
            else
            {
                return $next($request);
            }

            // 'Company Dashboard','Request Document','Violation Codes','Driver Quarterly Goals','Load Reservations','Detention Request','Occupancy Reports','Currently Onboarding','Dispatcher- Revenue Tracker','Chart Of Accounts','Drivers (Terminated)','Billing Dashboard',

            if(Str::contains($url, 'create') || Str::contains($url, 'save') || Str::contains($url, 'store'))
            {
                $permissionId   = config('settings.permissions.create');
            }
            else if(Str::contains($url, 'edit') || Str::contains($url, 'update') || Str::contains($url, 'active') || Str::contains($url, 'inactive')  || Str::contains($url, 'block'))
            {
                $permissionId   = config('settings.permissions.edit');
            }
            else if(Str::contains($url, 'delete') || Str::contains($url, 'destroy') || $request->isMethod('DELETE'))
            {
                $permissionId   = config('settings.permissions.delete');
            }
            else if(Str::contains($url, 'approve'))
            {
                $permissionId   = config('settings.permissions.approve');
            }
            else
            {
                $permissionId   = config('settings.permissions.view');
            }

            $accessible         = hasPermission($moduleId,$permissionId);

            if(!$accessible)
            {
                return redirect($dashboardRoute)->with('error', __('messages.nopermission'));
            }
        }
        return $next($request);
    }
}
