<?php

namespace App\Http\Middleware;

use App\Models\Load;
use App\Models\LoadLockByUser;
use Closure;
use Illuminate\Http\Request;

class CheckLoadLock
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        $load = Load::find($request->load->id ?? base64Decode($request->load));

        if($load){
            $loadDetail = $load->load_detail;
            if(in_array($loadDetail->load_type, ['1', '2', '3', '4', '5']) || (in_array($loadDetail->load_type, ['0', '6']) && !in_array($loadDetail->load_status, ['10', '8']))){
                if(empty($loadDetail->load_lock_by_users)){
                    LoadLockByUser::create([
                        'company_admin_id' => auth()->guard('company-admin')->user()->id,
                        'load_detail_id' => $loadDetail->id,
                    ]);
                }
            }else{
                LoadLockByUser::where('company_admin_id', auth()->guard('company-admin')->user()->id)->where('load_detail_id', $loadDetail->id)->delete();
            }
        }

        return $next($request);
    }
}
