<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;

class DriverAdminAuthenticate
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        if (!auth()->guard('driver-admin')->check()) {
            if(!Session::has('driver.url.intended')){
                Session::put('driver.url.intended', $request->fullUrl());
            }
            return redirect()->route('driver.admin.login');
        }
        return $next($request);
    }
}

