<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;

use Auth;

class ExtendSession
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        if(auth()->guard('company-admin')->check()) {
            $cuser          = auth()->guard('company-admin')->user()->getCompany;
            $lifetime       = env('SESSION_LIFETIME',120);
            if(isset($cuser->session_lifetime) && $cuser->session_lifetime=='Never'){
                config(['session.lifetime' => 525600]);
            }
            if(isset($cuser->session_lifetime) && $cuser->session_lifetime=='1 hour'){
                config(['session.lifetime' => 60]);
            }
            if(isset($cuser->session_lifetime) && $cuser->session_lifetime=='4 hours'){
                config(['session.lifetime' => 60*4]);
            }
            if(isset($cuser->session_lifetime) && $cuser->session_lifetime=='8 hours'){
                config(['session.lifetime' => 60*8]);
            }
        }
        return $next($request);
    }
}
