<?php

namespace App\Http\Requests\CompanyAdmin;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Request;
use App\Models\Customer;

class CustomerUpdateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules(Request $request)
    {

        return [
            'name'          => 'required',
            //'mc_number'   => 'required|unique:customers,mc_number,'.$request->customer->id,
            'mc_number'     => [
                'nullable',
                function ($attribute, $value, $fail) use ($request) {
                    $company_id = auth()->guard('company-admin')->user()->company_id;
                    $customer   = Customer::where('company_id', $company_id)
                        ->where('mc_number', $request->mc_number)
                        ->where('id', '!=', $request->customer->id)
                        ->count();
                    if ($customer > 0) {
                        $fail('The MC Number is already taken.');
                    }
                }
            ]
        ];
    }
}
