<?php

namespace App\Http\Requests\CompanyAdmin;

use Illuminate\Foundation\Http\FormRequest;

class SplitLoadStoreRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'driver_id'                             => 'required',
            'split_date'                            => 'required',
            'drivers.*.driver_id'                   => 'required',
            'drivers.*.pay_percentage'              => 'required',
            'drivers.*.mileage_percentage'          => 'required'
        ];
    }

    /**
     * Custom message for validation
     *
     * @return array
     */
    public function messages()
    {
        return [
            'driver_id.required'                    => 'The driver field is required.',
            'drivers.*.driver_id.required'          => 'The driver field is required.',
            'drivers.*.pay_percentage.required'     => 'The pay % field is required.',
            'drivers.*.mileage_percentage.required' => 'The mileage % field is required.',
        ];
    }
}
