<?php

namespace App\Http\Requests\CompanyAdmin;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Request;

class TrailerUpdateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules(Request $request)
    {
        return [
            'trailer_id' => 'required|unique:trailers,trailer_id,'.$request->segment(3).',id,company_id,'.auth()->guard('company-admin')->user()->company_id.',deleted_at,NULL',
            'vin' => 'nullable|unique:trailers,vin,'.$request->segment(3).',id,company_id,'.auth()->guard('company-admin')->user()->company_id.',deleted_at,NULL',
            'tag_number' => 'nullable|unique:trailers,tag_number,'.$request->segment(3).',id,company_id,'.auth()->guard('company-admin')->user()->company_id.',deleted_at,NULL',
        ];
    }

    /**
     * Custom message for validation
     *
     * @return array
     */
    public function messages()
    {
        return [
            'trailer_id.required' => 'The id field is required.',
        ];
    }
}
