<?php

namespace App\Mail;

use App\Models\CompanyEmailTemplate;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Log;

class AnnouncementEmail extends Mailable
{
    use Queueable, SerializesModels;

    public $data;
    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($data)
    {
        $this->data             = $data;
        $this->data['app_name'] = config('app.name');
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        /*
        return $this->subject('Announcement')->markdown('emails.announcement.index');
        */

        try {
            $getTemplate        = CompanyEmailTemplate::where('company_id', $this->data['company_id'])->where('title', 'Announcement Email')->first();

            if(!is_null($getTemplate)){
                $subject        = $getTemplate->subject;
                $emailTemplate  = getCompanyEmailTemplate($getTemplate);
                $emailTemplate  = str_replace(
                    [
                        '{%announcement_name%}',
                        '{%announcement_description%}',
                        '{%app_name%}'
                    ],
                    [
                        $this->data['announcement']['name'] ?? '',
                        $this->data['announcement']['description'] ?? '',
                        $this->data['app_name'] ?? ''
                    ],
                    $emailTemplate
                );

                return $this->subject($subject)->html($emailTemplate);
            }
        } catch (\Exception $e) {
            // Handle other exceptions
            Log::error($e->getMessage());

            return $e->getMessage();
        }
    }
}
