<?php

namespace App\Mail\CompanyAdmin;

use App\Models\CompanyEmailTemplate;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Log;

class LoadNoteCreate extends Mailable
{
    use Queueable, SerializesModels;

    public $data;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($data)
    {
       $this->data = $data;
       $this->data['app_name'] = config('app.name');
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        /*
        return $this->subject('Added Load Note')
                    ->markdown('emails.companyAdmin.loadNoteCreate')
                    ->with(
                        [
                           'data' => $this->data,
                        ]
                    );
        */

        try {
            $getTemplate = CompanyEmailTemplate::where('company_id', $this->data['company_id'])->where('title', 'Load Note Create')->first();

            if(!is_null($getTemplate)){
                $subject = $getTemplate->subject;
                $emailTemplate = getCompanyEmailTemplate($getTemplate);
                $emailTemplate = str_replace(
                    [
                        '{%hiname%}',
                        '{%type%}',
                        '{%request_type%}',
                        '{%note%}',
                        '{%load_url%}',
                        '{%load_no%}',
                        '{%app_name%}'
                    ],
                    [
                        $this->data['hiname'] ?? '',
                        $this->data['type'] ?? '',
                        $this->data['request_type'] ?? '',
                        $this->data['note'] ?? '',
                        $this->data['load_url'] ?? '',
                        $this->data['load_no'] ?? '',
                        $this->data['app_name'] ?? ''
                    ],
                    $emailTemplate
                );

                return $this->subject($subject)->html($emailTemplate);
            }
        } catch (\Exception $e) {
            // Handle other exceptions
            Log::error($e->getMessage());

            return $e->getMessage();
        }
    }
}
