<?php

namespace App\Mail\CompanyAdmin;

use App\Models\CompanyEmailTemplate;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Log;

class SendLoadBillingReminder extends Mailable
{
    use Queueable, SerializesModels;

    public $data;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($data)
    {
        $this->data = $data;
        $this->data['app_name'] = config('app.name');
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        try {
            $getTemplate = CompanyEmailTemplate::where('company_id', $this->data['company_id'])->where('title', 'Send Load Billing Reminder')->first();

            if(!is_null($getTemplate)){
                $subject = str_replace('{%load_number%}', $this->data['load_number'], $getTemplate->subject);
                $emailTemplate = getCompanyEmailTemplate($getTemplate);
                $emailTemplate = str_replace(
                    [
                        '{%name%}',
                        '{%instruction%}',
                        '{%app_name%}'
                    ],
                    [
                        $this->data['name'] ?? '',
                        $this->data['instruction'] ?? '',
                        $this->data['app_name'] ?? ''
                    ],
                    $emailTemplate
                );

                return $this->subject($subject)->html($emailTemplate);
            }
        } catch (\Exception $e) {
            // Handle other exceptions
            Log::error($e->getMessage());

            return $e->getMessage();
        }
    }
}
