<?php

namespace App\Mail;

use App\Models\CompanyEmailTemplate;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Log;

class DetentionRequestBroker extends Mailable
{
    use Queueable, SerializesModels;

    public $data;
    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($data)
    {
        $this->data             = $data;
        $this->data['app_name'] = config('app.name');
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        /*
        $id                     = base64Encode($this->details['detention']->id);
        return $this->subject('Please review this detention request')
            ->markdown('emails.detention.request_broker')
            ->with([
                'details'       => $this->details,
                'link'          => route('company.admin.detention.request.broker', $id)
            ]);
        */

        try {
            $link               = route('company.admin.detention.request.broker', base64Encode($this->data['detention']->id));

            $getTemplate        = CompanyEmailTemplate::where('company_id', $this->data['company_id'])->where('title', 'Detention Request Broker')->first();

            if(!is_null($getTemplate)){
                $subject        = $getTemplate->subject;
                $emailTemplate  = getCompanyEmailTemplate($getTemplate);
                $emailTemplate  = str_replace(
                    [
                        '{%name%}',
                        '{%link%}',
                        '{%app_name%}'
                    ],
                    [
                        $this->data['name'] ?? '',
                        $link ?? '',
                        $this->data['app_name'] ?? ''
                    ],
                    $emailTemplate
                );

                return $this->subject($subject)->html($emailTemplate);
            }
        } catch (\Exception $e) {
            // Handle other exceptions
            Log::error($e->getMessage());

            return $e->getMessage();
        }
    }
}
