<?php

namespace App\Mail\DriverAdmin;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class ForgotPassword extends Mailable
{
    use Queueable, SerializesModels;

    public $data;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($data)
    {
       $this->data = $data;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $resetLink = route('driver.admin.password.reset',$this->data['token']);

        return $this->subject('Reset Password Notification')
            ->markdown('emails.driverAdmin.forgotPassword')
            ->with(
                [
                   'reset_link' => $resetLink,
                ]
            );
    }
}
