<?php

namespace App\Mail\DropHook;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class TrailerRetrievalReminder extends Mailable
{
    use Queueable, SerializesModels;

    public $details;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($details)
    {
        $this->details      = $details;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->subject('Drop Trailer reminder notification')
            ->markdown('emails.dropHook.trailerRetrievalReminder')
            ->with([
                'details'   => $this->details
            ]);
    }
}
