<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\SoftDeletes;

class BrokerAccessorial extends Model
{
    use HasFactory, SoftDeletes;

    protected $table    = 'broker_accessorials';
    protected $fillable = [
        'broker_id',
        'company_accessorial_id',
        'rate',
        'note',
        'created_at',
        'updated_at',
        'deleted_at'
    ];

    protected $dates   	= ['deleted_at'];

    public function broker(){
        return $this->belongsTo(Broker::class)->withTrashed();
    }

    public function company_accessorial(){
        return $this->belongsTo(CompanyAccessorial::class);
    }
}
