<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BrokerAdditionalRequiredDocument extends Model
{
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'company_id', 'broker_id', 'documents', 'doc_types', 'include_w_billing', 'hide_from_driver'
    ];

    /*
     * Scopes
     */
    public function scopeIsCompany($query)
    {
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id);
    }

    public function setDocumentsAttribute($value): ?string{
        return $this->attributes['documents'] = is_array($value) ? serialize($value) : NULL;
    }

    public function getDocumentsAttribute($value): ?array{
        return !is_null($value) ? unserialize($value) : NULL;
    }

    public function setDocTypesAttribute($value): ?string{
        return $this->attributes['doc_types'] = is_array($value) ? serialize($value) : NULL;
    }

    public function getDocTypesAttribute($value): ?array{
        return !is_null($value) ? unserialize($value) : NULL;
    }

    public function setIncludeWBillingAttribute($value): ?string{
        return $this->attributes['include_w_billing'] = is_array($value) ? serialize($value) : NULL;
    }

    public function getIncludeWBillingAttribute($value): ?array{
        return !is_null($value) ? unserialize($value) : NULL;
    }

    public function setHideFromDriverAttribute($value): ?string{
        return $this->attributes['hide_from_driver'] = is_array($value) ? serialize($value) : NULL;
    }

    public function getHideFromDriverAttribute($value): ?array{
        return !is_null($value) ? unserialize($value) : NULL;
    }
}
