<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\SoftDeletes;

class BrokerOffice extends Model
{
    use HasFactory, SoftDeletes;

    protected $table    = 'broker_offices';
    protected $fillable = [
        'broker_id',
        'name',
        'address_one',
        'state',
        'city',
        'zip',
        'latitude',
        'longitude',
        'timezone',
        'timezone_offset',
        'timezone_abbr',
        'address_verified',
        'created_at',
        'updated_at',
        'deleted_at'
    ];

    protected $dates   	= ['deleted_at'];

    public function broker(){
        return $this->belongsTo(Broker::class)->withTrashed();
    }
}
