<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\SoftDeletes;

class CompanyInsuranceProfile extends Model
{
    use HasFactory, SoftDeletes;

    protected $table    = 'company_insurance_profiles';
    protected $fillable = [
        'company_id', 'profile_name', 'insurance_types', 'created_at', 'updated_at', 'deleted_at'
    ];
    // public $timestamps  = false;
    protected $dates    = ['deleted_at'];

    /*
     * Scopes
     */
    public function scopeIsCompany($query){
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id);
    }

    /*
     * Relationships
     */
    public function company(){
        return $this->belongsTo(Company::class);
    }
}
