<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\SoftDeletes;

class CompanyLoadDocument extends Model
{
    use HasFactory, SoftDeletes;

    protected $table    = 'company_load_documents';
    protected $fillable = [
        'company_id', 'name', 'include_w_billing', 'fixed', 'for_whom', 'status', 'created_at', 'updated_at', 'deleted_at'
    ];
    protected $dates   	= ['deleted_at'];

    /*
     * Scopes
     */
    public function scopeIsCompany($query)
    {
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id);
    }

    public function company()
    {
        return $this->belongsTo(Company::class);
    }
}
