<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\SoftDeletes;

class CompanyPdfTemplate extends Model
{
    use HasFactory, SoftDeletes;

    protected $table    = 'company_pdf_templates';
    protected $fillable = [
        'company_id', 'name', 'content', 'tags', 'created_at', 'updated_at', 'deleted_at'
    ];
    public $timestamps  = true;
    protected $dates    = ['deleted_at'];

    /*
     * Scopes
     */
    public function scopeIsCompany($query){
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id);
    }

    /*
     * Relationships
     */
    public function company(){
        return $this->belongsTo(Company::class,'company_id','id');
    }
}
