<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

//use Illuminate\Database\Eloquent\SoftDeletes;

use Carbon\Carbon;

class CompanySmsPurchaseLog extends Model
{
    use HasFactory;

    protected $table        = 'company_sms_purchase_logs';
    protected $fillable     = [
        'company_id',
        'sms_limit',
        'created_name',
    ];

    // public $timestamps   = false;

    /*
     * Scopes
     */
    public function company(){
        return $this->hasOne(Company::class,'id','company_id')->withTrashed();
    }

    public function getCreatedAtAttribute($value): ?string {
        return !is_null($value) ? Carbon::parse($value)->format(getTimeLayout()) : null;
    }


}