<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ComplianceWidget extends Model
{
    use HasFactory;

    protected $table    = 'compliance_widgets';
    protected $fillable = [
        'company_id', 'company_admins_id', 'widget_name', 'display_no', 'range', 'isActive', 'isDraggable', 'filters', 'tab', 'guard_name', 'created_at', 'updated_at'
    ];
    public $timestamps  = false;
    protected $dates   	= ['deleted_at'];

    public function scopeIsCompany($query)
    {
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id);
    }

    public function scopeIsCompanyAdmin($query)
    {
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id)->where('company_admins_id', auth()->guard('company-admin')->user()->id);
    }

    public function company()
    {
        return $this->belongsTo(Company::class);
    }

    public function companyAdmin()
    {
        return $this->belongsTo(CompanyAdmin::class,'company_admins_id','id')->withTrashed();
    }
}
