<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;

class DriverStatusLog extends Model
{

    protected $table    	= 'driver_status_logs';
    protected $fillable 	= [
        'company_id', 'driver_id', 'status_id'
    ];



    public function driver(){
        return $this->hasOne(Driver::class,'id','driver_id')->withTrashed();
    }

    public function getCreatedAtAttribute($value): ?string {
        return !is_null($value) ? Carbon::parse($value)->format(getTimeLayout()) : null;
    }
   
}
