<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class InternalNote extends Model
{
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'company_id', 'broker_id', 'add_to', 'notes'
    ];

    /*
     * Scopes
     */
    public function scopeIsCompany($query)
    {
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id);
    }

    public function setAddToAttribute($value): ?string {
        return $this->attributes['add_to'] = is_array($value) ? implode(',', $value) : NULL;
    }

    public function getAddToAttribute($value): ?array {
        return !is_null($value) ? explode(',', $value) : [];
    }
}
