<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;
use Illuminate\Database\Eloquent\SoftDeletes;

class LeaveUserType extends Model
{
    use HasFactory, SoftDeletes;

    protected $table = 'leave_user_types';
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'company_id', 'driver_id', 'company_admins_id', 'leave_type_id', 'year','days_per_year_for_driver','days_per_year_for_driver_used','days_per_year_for_dispatcher','days_per_year_for_dispatcher_used', 'days_per_year_for_manager', 'days_per_year_for_manager_used', 'edit_by_company_admins_id'
    ];

    public function scopeIsCompany($query)
    {
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id);
    }

    public function leave_type()
    {
        return $this->hasOne(LeaveType::class, 'id', 'leave_type_id')->withTrashed();
    }

}
