<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\SoftDeletes;

class ListWidget extends Model
{
    use HasFactory, SoftDeletes;

    protected $table    = 'list_widgets';
    protected $fillable = [
        'company_admins_id', 'tab', 'isActive', 'created_at', 'updated_at', 'deleted_at'
    ];
    public $timestamps  = true;
    protected $dates    = ['deleted_at'];

    /*
     * Scopes
     */
    public function scopeIsCompanyAdmin($query){
        return $query->where('company_admins_id', auth()->guard('company-admin')->user()->id);
    }

    /*
     * Relationships
     */
    public function companyAdmin(){
        return $this->belongsTo(CompanyAdmin::class,'company_admins_id','id')->withTrashed();
    }
}
