<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class LoadBillingActivity extends Model
{
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'load_id',
        'load_detail_id',

        'paperwork_received',
        'paperwork_received_date_time',

        'audit_complete',
        'audit_complete_date_time',
        'audit_complete_user_type',
        'audit_complete_user_by',

        'invoiced',
        'invoiced_date_time',
        'invoiced_user_type',
        'invoiced_user_by',

        'paid_invoice',
        'paid_invoice_date_time',
        'paid_invoice_user_type',
        'paid_invoice_user_by',
    ];

    /*
     * Scopes
     */
    public function scopeIsCompany($query)
    {
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id);
    }
}
