<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class LoadBillingCollectionsHistory extends Model
{
    use HasFactory;

    protected $appends  = ['last_contact'];

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'load_detail_id',
        'type',
        'time',
        'date',
        'contact',
        'description',
    ];

    public function setDateAttribute($value): ?string {
        return $this->attributes['date'] = !is_null($value) ? Carbon::createFromFormat(config('settings.date_format','m/d/Y'),$value)->format('Y-m-d') : NULL;
    }

    public function getDateAttribute($value): ?string{
        return !is_null($value) ? Carbon::parse($value)->timezone(getTimeZone())->format('m/d/Y') : NULL;
    }

    public function getLastContactAttribute($value): ?string {
        return ($this->attributes['date'] != '0000-00-00') ? Carbon::parse($this->attributes['date'])->diffInDays(Carbon::now()).' Days' : NULL;
    }
}
