<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class LoadBillingHistory extends Model
{
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'load_detail_id',
        'type',
        'date_time',
        'action_by',
        'extra_params',
    ];

    public function setDateTimeAttribute($value): ?string {
        return $this->attributes['date_time'] = !is_null($value) ? Carbon::createFromFormat('m/d/Y H:i:s',$value)->format('Y-m-d H:i:s') : NULL;
    }

    public function getDateTimeAttribute($value): ?string{
        return !is_null($value) ? Carbon::parse($value)->format('m/d/Y H:i:s A') : NULL;
    }

    public function setExtraParamsAttribute($value): ?string {
        return $this->attributes['extra_params'] = is_array($value) ? serialize($value) : NULL;
    }

    public function getExtraParamsAttribute($value): ?array{
        return !is_null($value) ? unserialize($value) : [];
    }
}
