<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class LoadBillingReminderHistory extends Model
{
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'load_detail_id',
        'date',
        'time',
        'repeat',
        'reminder_repeat_every',
        'next_reminder_repeat_at',
        'cc',
        'instruction',
        'history',
        'created_on',
        'created_by',
        'reminder_status',
    ];

    public function setCcAttribute($value): ?string {
        return $this->attributes['cc'] = is_array($value) ? serialize($value) : NULL;
    }

    public function getCcAttribute($value): ?array{
        return !is_null($value) ? unserialize($value) : [];
    }

    public function setHistoryAttribute($value): ?string {
        return $this->attributes['history'] = is_array($value) ? serialize($value) : NULL;
    }

    public function getHistoryAttribute($value): ?array{
        return !is_null($value) ? unserialize($value) : [];
    }

    public function setDateAttribute($value): ?string {
        return $this->attributes['date'] = !is_null($value) ? Carbon::createFromFormat(config('settings.date_format','m/d/Y'),$value)->format('Y-m-d') : NULL;
    }

    public function getDateAttribute($value): ?string{
        return !is_null($value) ? Carbon::parse($value)->timezone(getTimeZone())->format('m/d/Y') : NULL;
    }

    public function setCreatedOnAttribute($value): ?string {
        return $this->attributes['created_on'] = !is_null($value) ? Carbon::createFromFormat(config('settings.date_format','m/d/Y'),$value)->format('Y-m-d') : NULL;
    }

    public function getCreatedOnAttribute($value): ?string{
        return !is_null($value) ? Carbon::parse($value)->timezone(getTimeZone())->format('m/d/Y') : NULL;
    }
}
