<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\SoftDeletes;

use Carbon\Carbon;

class LoadDetail extends Model
{
    use HasFactory,SoftDeletes;

    protected $table        = 'load_details';
    protected $fillable     = [
        'load_id', 'load_number',
        'split_date', 'is_disable',

        'load_type',

        'preplaned_driver_acknowledgement',
        'sent_to_driver', 'send_notification', 'default_current_time',
        'preplaned_reason_rejected', 'preplaned_rejected_by',

        'confirmed_driver_acknowledgement',
        'confirmed_reason_rejected', 'confirmed_rejected_by',

        'intransit_driver_acknowledgement',
        'intransit_shipping_information', 'intransit_date_time',
        'in_transit_reason_rejected', 'in_transit_rejected_by',

        'delivered_driver_acknowledgement',
        'delivered_delivery_information', 'delivered_date_time',
        'delivered_reason_rejected', 'delivered_rejected_by',

        'is_on_hold', 'notification_reason', 'reason_on_hold', 'load_on_hold_datetime',
        'load_status', 'load_status_order',

        'start_date', 'end_date',

        'brokerage_firm', 'brokerage_mc', 'terms', 'rep', 'phone', 'ext', 'broker_email',
        'score_ratting', 'score_credit', 'score_updated_at',
        'is_cod',
        'up_front_amount', 'up_front_payment_type', 'up_front_ref_number', 'up_front_is_paid', 'up_front_file',
        'at_pickup_amount', 'at_pickup_payment_type', 'at_pickup_ref_number', 'at_pickup_is_paid', 'at_pickup_file',
        'at_delivery_amount', 'at_delivery_payment_type', 'at_delivery_ref_number', 'at_delivery_is_paid', 'at_delivery_file',

        'self_dispatch', 'booked_by',

        'co_driver_id', 'driver_id', 'driver_read_at', 'trucking_company', 'truck_number', 'trailer_number', 'trailer_type', 'carrier_id', 'terminal_id',

        'load_type_2', 'itemize',
        'temp_type', 'temp', 'temp_is_disable',
        'commodity', 'weight', 'load_value',
        'hazardous_load', 'hazardous_options', 'overdimensional',
        'broker_load_number', 'bol_number', 'pickup_number', 'delivery_number', 'po_Number', 'sku_number', 'other_number',

        'invoice_files', 'rate_confirmation_files',

        'deadhead_mileage_options',
        'occupied_pickup_day',
        'load_not_picked_up_on_time',
        'shipping_time_range', 'shipper_date_time', 'shipper_date_time_end', 'actual_shipper_date',
        'shipper_id', 'shipper_location', 'shipper_address_one', 'shipper_address_two', 'shipper_state', 'shipper_city', 'shipper_zip',
        'shipper_latitude','shipper_longitude','shipper_timezone','shipper_timezone_offset','shipper_timezone_abbr','shipper_address_verified',
        'shipper_note',
        'shipper_commodity','shipper_stop_value','shipper_stop_weight','shipper_reefer_mode','shipper_reefer_temp_type','shipper_reefer_temp','shipper_pickup_number','shipper_dimension',

        'shipper_drop_trailer_schedule',

        'shipper_drop_trailer_id',
        'shipper_verified_drop_trailer_id',
        'shipper_drop_trailer_match',
        'shipper_drop_trailer_reminder_on',
        'shipper_drop_trailer_reminder_date_time',
        'shipper_drop_trailer_reminder_status',
        'shipper_drop_trailer_files',
        'shipper_drop_trailer_confirm',
        'shipper_drop_trailer_confirm_at',

        'shipper_pickup_trailer_id',
        'shipper_verified_pickup_trailer_id',
        'shipper_pickup_trailer_match',
        'shipper_pickup_trailer_files',
        'shipper_pickup_trailer_confirm',
        'shipper_pickup_trailer_confirm_at',

        'shipper_files', 'shipper_files_upload',
        'shipper_is_arrived', 'shipper_arrived_at',
        'shipper_is_leaves', 'shipper_leaves_at',

        'load_not_delivered_on_time',
        'delivery_time_range', 'delivery_date_time', 'delivery_date_time_end', 'actual_delivery_date',
        'receiver_id', 'delivery_location', 'delivery_address_one', 'delivery_address_two', 'delivery_state', 'delivery_city', 'delivery_zip',
        'delivery_latitude','delivery_longitude','delivery_timezone','delivery_timezone_offset','delivery_timezone_abbr','delivery_address_verified',
        'delivery_note',
        'delivery_commodity','delivery_stop_value','delivery_stop_weight','delivery_reefer_mode','delivery_reefer_temp_type','delivery_reefer_temp','delivery_pickup_number','delivery_dimension',

        'delivery_drop_trailer_schedule',

        'delivery_drop_trailer_id',
        'delivery_verified_drop_trailer_id',
        'delivery_drop_trailer_match',
        'delivery_drop_trailer_reminder_on',
        'delivery_drop_trailer_reminder_date_time',
        'delivery_drop_trailer_reminder_status',
        'delivery_drop_trailer_files',
        'delivery_drop_trailer_confirm',
        'delivery_drop_trailer_confirm_at',

        'delivery_pickup_trailer_id',
        'delivery_verified_pickup_trailer_id',
        'delivery_pickup_trailer_match',
        'delivery_pickup_trailer_files',
        'delivery_pickup_trailer_confirm',
        'delivery_pickup_trailer_confirm_at',

        'consignee_files','consignee_files_upload',
        'delivery_is_arrived', 'delivery_arrived_at',
        'delivery_is_leaves', 'delivery_leaves_at',

        'map_toll_roads', 'map_max_elevation', 'map_close_borders',
        'load_trip_id', 'load_tms_trip_id',

        'empty_miles', 'loaded_miles', 'total_miles', 'agreed_upon_rate', 'fuel_surcharge_type', 'fuel_surcharge_rate_type', 'fuel_surcharge_cost_per_mile', 'fuel_surcharge', 'line_haul', 'detention', 'accessorial', 'lumper', 'mileage_rating_extra', 'total_bill', 'driver_revenue',

        'bill_of_lading', 'bill_of_lading_file', 'bill_of_lading_file_not_provided',
        'packing_slip', 'packing_slip_file', 'packing_slip_file_not_provided',
        'delivery_receipt', 'delivery_receipt_file', 'delivery_receipt_file_not_provided',
        'scale_ticket', 'scale_ticket_file', 'scale_ticket_file_not_provided',
        'purchase_order', 'purchase_order_file', 'purchase_order_file_not_provided',
        'lumper_receipts', 'lumper_receipts_file', 'lumper_receipts_file_not_provided',
        'other_files',

        'picture_to_drive', 'load_to_omni',
        'dispatched', 'dispatched_date_time',
        'loaded', 'delivered',

        'paid_by',
        'notes',

        'oos_pending',
        'submitted_by',

        'billing_load_is_audit',
        'billing_load_audit_by_id',
        'billing_load_audit_by_name',

        'created_at', 'updated_at', 'deleted_at'
    ];

    protected $dates        = ['deleted_at'];
    // public $timestamps   = false;

    public static function boot(){
        parent::boot();

        static::created(function($model){
            $attributes     = $model->getAttributes();
            $pickupDate     = Carbon::parse(date('Y-m-d', strtotime($attributes['actual_shipper_date'])));
            $fromDate       = Carbon::now()->format('Y-m-d');
            $fromDate       = Carbon::parse($fromDate);
            $toDate         = Carbon::now()->addDays(3)->format('Y-m-d');
            $toDate         = Carbon::parse($toDate);
            if (isset($attributes['load_number']) && $pickupDate->between($fromDate, $toDate)) {
                chatLoadCreate($model);
            }

            if($model->isDirty('shipper_files_upload') || $model->isDirty('consignee_files_upload')) {
                updateLoadBillingActivity($model->id);
            }

            // Check if load_status is '6' and insert a record into load_billing_activities
            if ($model->load_status == '6') {
                $model->load_billing_activities()->updateOrCreate(
                    ['load_detail_id'                   => $model->id], // Attributes to match for finding existing record
                    [
                        'load_id'                       => $model->load_id,
                        'load_detail_id'                => $model->id,
                        'paperwork_received'            => '1',
                        'paperwork_received_date_time'  => Carbon::now()->setTimezone(getTimeZone()),
                        'audit_complete'                => '1',
                        'audit_complete_date_time'      => Carbon::now()->setTimezone(getTimeZone()),
                        'audit_complete_user_type'      => auth()->guard('company-admin')->user()->type,
                        'audit_complete_user_by'        => auth()->guard('company-admin')->user()->id
                    ]
                );
            }
        });

        static::updated(function($model){
            $load_id        = $model->load_id;
            $load_status    = $model->load_status;

            if( $model->isDirty('load_status') && $load_status == '6' ) {
                chatLoadttlUpdate($load_id);
            }

            // DEVELOPED AT 05-04-2023
            if( $model->isDirty('load_number') ) {
                closeCurrentLoadForNewLoad($model);
            } else {
                if( $model->isDirty('driver_id') || $model->isDirty('co_driver_id') || $model->isDirty('booked_by') ) {
                    removeConversationParticipant($model);
                }
            }

            if($model->isDirty('shipper_files_upload') || $model->isDirty('consignee_files_upload')) {
                updateLoadBillingActivity($model->id);
            }

            // Check if load_status is '6' and insert or update a record in load_billing_activities
            if( $model->isDirty('load_status') && $load_status == '6' ) {
                // Find or create a record in load_billing_activities
                $model->load_billing_activities()->updateOrCreate(
                    ['load_detail_id'                   => $model->id], // Attributes to match for finding existing record
                    [
                        'load_id'                       => $model->load_id,
                        'load_detail_id'                => $model->id,
                        'paperwork_received'            => '1',
                        'paperwork_received_date_time'  => Carbon::now()->setTimezone(getTimeZone()),
                        'audit_complete'                => '1',
                        'audit_complete_date_time'      => Carbon::now()->setTimezone(getTimeZone()),
                        'audit_complete_user_type'      => auth()->guard('company-admin')->user()->type,
                        'audit_complete_user_by'        => auth()->guard('company-admin')->user()->id
                    ]
                );
            }
        });

        static::deleting(function($item) {
            $item->detentions()->delete();
            $item->load_accessorials()->delete();
            $item->load_appointments()->delete();
            $item->load_document_request_items()->delete();
        });
    }

    /*
     * Functions
     */
    public function nextTmsTripId(){
        $maxTmsTripId = LoadDetail::max('load_tms_trip_id');
        return (!is_null($maxTmsTripId)) ? ($maxTmsTripId + 1) : 1;
    }

    /*
     * Scopes
     */
    public function scopeIsCompany($query){
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id);
    }

    public function scopeFilter($query,$input){
        if (!is_null($input['team_id'])) {
            $query->where('teams.id',$input['team_id']);
        }

        if (!is_null($input['equipment'])) {
            $query->where(function ($query) use ($input) {
                $query->orWhere('load_details.trailer_number',$input['equipment'])
                    ->orWhere('load_details.truck_number',$input['equipment']);
            });
        }

        if (!is_null($input['dispatcher'])) {
            $query->where('load_details.booked_by',$input['dispatcher']);
        }

        return $query;
    }

    /*
     * Mutators
     */
    public function setDateSplitAttribute($value): ?string {
        return $this->attributes['split_date']              = !is_null($value) ? Carbon::createFromFormat('m/d/Y',$value)->format('Y-m-d H:i:s') : null;
    }

    public function setShipperDateTimeAttribute($value): ?string {
        return $this->attributes['shipper_date_time']       = !is_null($value) ? Carbon::createFromFormat(getTimeLayout(),$value)->format('Y-m-d H:i:s') : null;
    }

    public function setShipperDateTimeEndAttribute($value): ?string {
        return $this->attributes['shipper_date_time_end']   = !is_null($value) ? Carbon::createFromFormat(getTimeLayout(),$value)->format('Y-m-d H:i:s') : null;
    }

    public function setDeliveryDateTimeAttribute($value): ?string {
        return $this->attributes['delivery_date_time']      = !is_null($value) ? Carbon::createFromFormat(getTimeLayout(),$value)->format('Y-m-d H:i:s') : null;
    }

    public function setDeliveryDateTimeEndAttribute($value): ?string {
        return $this->attributes['delivery_date_time_end']  = !is_null($value) ? Carbon::createFromFormat(getTimeLayout(),$value)->format('Y-m-d H:i:s') : null;
    }

    public function setDefaultCurrentTimeAttribute($value): ?string {
        return $this->attributes['default_current_time']    = !is_null($value) ? Carbon::createFromFormat(getTimeLayout(),$value)->format('Y-m-d H:i:s') : null;
    }

    public function setDeliveredDateTimeAttribute($value): ?string {
        return $this->attributes['delivered_date_time']     = !is_null($value) ? Carbon::createFromFormat(getTimeLayout(),$value)->format('Y-m-d H:i:s') : null;
    }

    public function setIntransitDateTimeAttribute($value): ?string {
        return $this->attributes['intransit_date_time']     = !is_null($value) ? Carbon::createFromFormat(getTimeLayout(),$value)->format('Y-m-d H:i:s') : null;
    }

    private function removeCommasAndConvertToFloat($value){
        return is_null($value) ? null : (float) str_replace(',', '', $value);
    }

    public function setUpFrontAmountAttribute($value){
        $valueWithoutCommas                                 = $this->removeCommasAndConvertToFloat($value);
        $this->attributes['up_front_amount']                = $valueWithoutCommas;
    }

    public function setAtPickupAmountAttribute($value){
        $valueWithoutCommas                                 = $this->removeCommasAndConvertToFloat($value);
        $this->attributes['at_pickup_amount']               = $valueWithoutCommas;
    }

    public function setAtDeliveryAmountAttribute($value){
        $valueWithoutCommas                                 = $this->removeCommasAndConvertToFloat($value);
        $this->attributes['at_delivery_amount']             = $valueWithoutCommas;
    }

    public function setLoadValueAttribute($value){
        $valueWithoutCommas                                 = $this->removeCommasAndConvertToFloat($value);
        $this->attributes['load_value']                     = $valueWithoutCommas;
    }

    public function setWeightAttribute($value){
        $valueWithoutCommas                                 = $this->removeCommasAndConvertToFloat($value);
        $this->attributes['weight']                         = $valueWithoutCommas;
    }

    public function setShipperStopValueAttribute($value){
        $valueWithoutCommas                                 = $this->removeCommasAndConvertToFloat($value);
        $this->attributes['shipper_stop_value']             = $valueWithoutCommas;
    }

    public function setShipperStopWeightAttribute($value){
        $valueWithoutCommas                                 = $this->removeCommasAndConvertToFloat($value);
        $this->attributes['shipper_stop_weight']            = $valueWithoutCommas;
    }

    public function setDeliveryStopValueAttribute($value){
        $valueWithoutCommas                                 = $this->removeCommasAndConvertToFloat($value);
        $this->attributes['delivery_stop_value']            = $valueWithoutCommas;
    }

    public function setDeliveryStopWeightAttribute($value){
        $valueWithoutCommas                                 = $this->removeCommasAndConvertToFloat($value);
        $this->attributes['delivery_stop_weight']           = $valueWithoutCommas;
    }

    public function setEmptyMilesAttribute($value){
        $valueWithoutCommas                                 = $this->removeCommasAndConvertToFloat($value);
        $this->attributes['empty_miles']                    = $valueWithoutCommas;
    }

    public function setLoadedMilesAttribute($value){
        $valueWithoutCommas                                 = $this->removeCommasAndConvertToFloat($value);
        $this->attributes['loaded_miles']                   = $valueWithoutCommas;
    }

    public function setTotalMilesAttribute($value){
        $emptyMiles                                         = $this->removeCommasAndConvertToFloat($this->attributes['empty_miles']);
        $loadedMiles                                        = $this->removeCommasAndConvertToFloat($this->attributes['loaded_miles']);

        $totalMiles                                         = $emptyMiles + $loadedMiles;
        $this->attributes['total_miles']                    = $totalMiles;
    }

    public function setAgreedUponRateAttribute($value){
        $valueWithoutCommas                                 = $this->removeCommasAndConvertToFloat($value);
        $this->attributes['agreed_upon_rate']               = $valueWithoutCommas;
    }

    public function setFuelSurchargeCostPerMileAttribute($value){
        $valueWithoutCommas                                 = $this->removeCommasAndConvertToFloat($value);
        $this->attributes['fuel_surcharge_cost_per_mile']   = $valueWithoutCommas;
    }

    public function setFuelSurchargeAttribute($value){
        $valueWithoutCommas                                 = $this->removeCommasAndConvertToFloat($value);
        $this->attributes['fuel_surcharge']                 = $valueWithoutCommas;
    }

    public function setLineHaulAttribute($value){
        $valueWithoutCommas                                 = $this->removeCommasAndConvertToFloat($value);
        $this->attributes['line_haul']                      = $valueWithoutCommas;
    }

    public function setDetentionAttribute($value){
        $valueWithoutCommas                                 = $this->removeCommasAndConvertToFloat($value);
        $this->attributes['detention']                      = $valueWithoutCommas;
    }

    public function setTotalBillAttribute($value){
        $valueWithoutCommas                                 = $this->removeCommasAndConvertToFloat($value);
        $this->attributes['total_bill']                     = $valueWithoutCommas;
    }

    public function setDriverRevenueAttribute($value){
        $valueWithoutCommas                                 = $this->removeCommasAndConvertToFloat($value);
        $this->attributes['driver_revenue']                 = $valueWithoutCommas;
    }

    /*
     * Accessors
     */
    public function getDateSplitAttribute($value): ?string {
        return !is_null($value) ? Carbon::parse($value)->format('m/d/Y') : null;
    }

    public function getShipperDateTimeAttribute($value): ?string {
        return !is_null($value) ? Carbon::parse($value)->format(getTimeLayout()) : null;
    }

    public function getShipperDateTimeEndAttribute($value): ?string {
        return !is_null($value) ? Carbon::parse($value)->format(getTimeLayout()) : null;
    }

    public function getDeliveryDateTimeAttribute($value): ?string {
        return !is_null($value) ? Carbon::parse($value)->format(getTimeLayout()) : null;
    }

    public function getDeliveryDateTimeEndAttribute($value): ?string {
        return !is_null($value) ? Carbon::parse($value)->format(getTimeLayout()) : null;
    }

    public function getActualShipperDateEndAttribute($value): ?string {
        return !is_null($value) ? Carbon::parse($value)->format(getTimeLayout()) : null;
    }

    public function getActualShipperDateAttribute($value): ?string {
        return !is_null($value) ? Carbon::parse($value)->format(getTimeLayout()) : null;
    }

    public function getActualDeliveryDateAttribute($value): ?string {
        return !is_null($value) ? Carbon::parse($value)->format(getTimeLayout()) : null;
    }

    public function getDefaultCurrentTimeAttribute($value): ?string {
        return !is_null($value) ? Carbon::parse($value)->format(getTimeLayout()) : null;
    }

    public function getDeliveredDateTimeAttribute($value): ?string {
        return !is_null($value) ? Carbon::parse($value)->format(getTimeLayout()) : null;
    }

    public function getIntransitDateTimeAttribute($value): ?string {
        return !is_null($value) ? Carbon::parse($value)->format(getTimeLayout()) : null;
    }

    /*
     * Relationships
     */
    public function loads(){
        return $this->belongsTo(Load::class,'load_id','id')->withTrashed();
    }

    public function load_drivers(){
        return $this->hasMany(LoadDriver::class)->withTrashed();
    }

    public function load_truck_owners(){
        return $this->hasMany(LoadTruckOwner::class)->withTrashed();
    }

    public function company_admin(){
        return $this->hasOne(CompanyAdmin::class,'id','submitted_by')->withTrashed();
    }

    public function dispatcher(){
        return $this->hasOne(CompanyAdmin::class,'id','booked_by')->withTrashed();
    }

    public function broker(){
        return $this->hasOne(Broker::class,'id','brokerage_firm')->withTrashed();
    }

    public function driver(){
        return $this->hasOne(Driver::class,'id','driver_id')->withTrashed();
    }

    public function co_driver(){
        return $this->hasOne(Driver::class,'id','co_driver_id')->withTrashed();
    }

    public function truck(){
        return $this->hasOne(Truck::class,'unit','truck_number')->withTrashed();
    }

    public function trailer(){
        return $this->belongsTo(Trailer::class,'trailer_number')->withTrashed();
    }

    public function getTrailerType(){
        return $this->belongsTo(TrailerType::class,'trailer_type')->withTrashed();
    }

    public function carrier(){
        return $this->hasOne(Carrier::class, 'id', 'carrier_id')->withTrashed();
    }

    public function terminal(){
        return $this->hasOne(Terminal::class, 'id', 'terminal_id')->withTrashed();
    }

    public function shipper(){
        return $this->hasOne(Customer::class,'id','shipper_id')->withTrashed();
    }

    public function receiver(){
        return $this->hasOne(Customer::class,'id','receiver_id')->withTrashed();
    }

    public function load_commodity(){
        return $this->hasOne(CompanyCommodity::class,'id','commodity')->withTrashed();
    }

    public function load_shipper_commodity(){
        return $this->hasOne(CompanyCommodity::class,'id','shipper_commodity')->withTrashed();
    }

    public function load_receiver_commodity(){
        return $this->hasOne(CompanyCommodity::class,'id','delivery_commodity')->withTrashed();
    }

    public function load_appointments(){
        return $this->hasMany(LoadAppointment::class,'load_detail_id','id');
    }

    public function shipper_appointment(){
        return $this->hasOne(LoadAppointment::class,'load_detail_id','id')->where('type' , 1)->where('is_stop', 0);
    }

    public function receiver_appointment(){
        return $this->hasOne(LoadAppointment::class,'load_detail_id','id')->where('type' , 2)->where('is_stop', 0);
    }

    public function detentions(){
        return $this->hasMany(LoadDetention::class,'load_detail_id','id');
    }

    public function shipper_detention(){
        return $this->hasOne(LoadDetention::class,'load_detail_id','id')->where('type' , 1)->where('is_stop', 0);
    }

    public function receiver_detention(){
        return $this->hasOne(LoadDetention::class,'load_detail_id','id')->where('type' , 2)->where('is_stop', 0);
    }

    public function load_accessorials(){
        return $this->hasMany(LoadAccessorial::class,'load_detail_id','id');
    }

    public function shipper_accessorials(){
        return $this->hasMany(LoadAccessorial::class,'load_detail_id','id')->where('type' , 1)->where('is_stop', 0);
    }

    public function receiver_accessorials(){
        return $this->hasMany(LoadAccessorial::class,'load_detail_id','id')->where('type' , 2)->where('is_stop', 0);
    }

    public function billing_accessorials(){
        return $this->hasMany(LoadAccessorial::class,'load_detail_id','id')->where('type', 4)->where('is_stop', 0);
    }

    public function load_document_request(){
        return $this->hasOne(LoadDocumentRequest::class,'load_detail_id','id')->where('load_id', $this->load_id);
    }

    public function load_document_request_items(){
        return $this->hasManyThrough(
            LoadDocumentRequestItem::class,
            LoadDocumentRequest::class,
            'load_detail_id', // Foreign key on LoadDocumentRequest table
            'load_document_request_id', // Foreign key on LoadDocumentRequestItem table
            'id', // Local key on LoadDetail table
            'id' // Local key on LoadDocumentRequest table
        )
        ->where('load_document_requests.load_id', $this->load_id);
    }

    public function shipper_load_document_request_items(){
        return $this->load_document_request_items()->where('load_document_request_items.type', 1)->where('load_document_request_items.is_stop', 0);
    }

    public function receiver_load_document_request_items(){
        return $this->load_document_request_items()->where('load_document_request_items.type', 2)->where('load_document_request_items.is_stop', 0);
    }

    public function load_reviews(){
        return $this->hasMany(LoadStopReview::class,'load_detail_id','id');
    }

    public function shipper_review(){
        return $this->hasOne(LoadStopReview::class,'load_detail_id','id')->where('type' , 1)->where('is_stop', 0);
    }

    public function receiver_review(){
        return $this->hasOne(LoadStopReview::class,'load_detail_id','id')->where('type' , 2)->where('is_stop', 0);
    }

    public function load_billing_activities(){
        return $this->hasOne(LoadBillingActivity::class,'load_detail_id','id');
    }

    public function load_billing_invoice(){
        return $this->hasOne(LoadBillingInvoice::class,'load_detail_id','id');
    }

    public function load_billing_collections_histories(){
        return $this->hasMany(LoadBillingCollectionsHistory::class,'load_detail_id','id');
    }

    public function load_billing_reminder_histories(){
        return $this->hasMany(LoadBillingReminderHistory::class,'load_detail_id','id');
    }

    public function load_billing_payment_accounts(){
        return $this->hasMany(LoadBillingPaymentAccount::class,'load_detail_id','id');
    }

    public function load_billing_pay_invoices(){
        return $this->hasMany(LoadBillingPayInvoice::class,'load_detail_id','id');
    }

    public function load_billing_histories($type = null){
        if(!is_null($type)){
            return $this->hasMany(LoadBillingHistory::class,'load_detail_id','id')->where('type', $type);
        }
        return $this->hasMany(LoadBillingHistory::class,'load_detail_id','id')->orderBy('id', 'ASC');
    }

     public function load_lock_by_users(){
         return $this->hasOne(LoadLockByUser::class,'load_detail_id','id');
     }
}
