<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class LoadFile extends Model
{
    use HasFactory;

    protected $table        = 'load_files';
    protected $fillable     = [
        'load_id',
        'load_file_type_id',
        'filename',
        'document',
        'note',
        'include_w_billing',
        'hide_from_driver',
        'history',
        'upload_by',
        'upload_user_type'
    ];

    // public $timestamps   = false;

    // this is a recommended way to declare event handlers
    public static function boot() {
        parent::boot();

        static::created(function($model){
            updateLoadBillingActivity($model->loads->load_detail_id);
        });

        static::updated(function($model){
            updateLoadBillingActivity($model->loads->load_detail_id);
        });
    }

    /*
     * Relationships
     */
    public function company_load_document(){
        return $this->hasOne(CompanyLoadDocument::class,'id','load_file_type_id')->withTrashed();
    }

    public function company_admin(){
        return $this->hasOne(CompanyAdmin::class, 'id', 'upload_by');
    }

    public function loads(){
        return $this->hasOne(Load::class,'id','load_id')->withTrashed();
    }
}
