<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

//use Illuminate\Database\Eloquent\SoftDeletes;

use Carbon\Carbon;

class LoadLog extends Model
{
    use HasFactory;

    protected $table        = 'load_logs';
    protected $fillable     = [
        'company_id',
        'load_id',
        'load_type',
        'load_status',
        'load_stop_id',
        'description',
        'created_at',
        'updated_at'
    ];

    // public $timestamps   = false;

    /*
     * Scopes
     */
    public function scopeCompany($query){
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id);
    }

    public function load_detail(){
        return $this->hasOne(LoadDetail::class,'id','load_id')->withTrashed();
    }

    public function getCreatedAtAttribute($value): ?string {
        return !is_null($value) ? Carbon::parse($value)->format(getTimeLayout()) : null;
    }


}