<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class LoadNote extends Model
{
    use HasFactory;

    protected $table        = 'load_notes';
    protected $fillable     = [
        'load_id',
        'created_by_type',
        'created_by',
        'type',
        'request_type',
        'note',
        'notify_dispatcher',
        'notify_dirver',
        'notify_broker',
        'notify_my',
        'notify_private',
        'notify_private_driver_id',
        'notify_private_company_admin_id',
        'document',
        'is_dummy'
    ];

    // public $timestamps   = false;

    /*
     * Functions
     */
    public function notify_private_user_name($id){
        $getLoadNote            = LoadNote::find($id);
        $getIDs                 = explode(',', $getLoadNote->notify_private_company_admin_id);
        $array_name             = [];
        foreach($getIDs as $getid){
            $getCompanyAdmin    = CompanyAdmin::find($getid);
            $array_name[]       = $getCompanyAdmin->full_name;
        }

        return implode(', ',$array_name);
    }

    /*
     * Relationships
     */
    public function load_detail(){
        return $this->hasMany(LoadNoteFile::class, 'load_note_id', 'id')->latest();
    }

    public function createdBy(){
        return $this->hasOne(CompanyAdmin::class, 'id', 'created_by')->latest();
    }

    public function createdDriverBy(){
        return $this->hasOne(Driver::class, 'id', 'created_by')->latest();
    }
}