<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\SoftDeletes;

class LoadReject extends Model
{
    use HasFactory, SoftDeletes;

    protected $table        = 'load_rejects';
    protected $fillable     = [
        'load_id', 
        'driver_id', 
        'reason', 
        'date_time',
        'created_at', 
        'updated_at', 
        'deleted_at'
    ];

    protected $dates   	    = ['deleted_at'];
    // public $timestamps   = false;

    /*
     * Relationships
     */
    public function loads(){
        return $this->belongsTo(Load::class,'load_id','id');
    }

    public function driver(){
        return $this->belongsTo(Driver::class)->withTrashed();
    }
}
