<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;

class Notify extends Model
{
    use HasFactory;

    protected $table = 'notifies';
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'company_id', 'user_id', 'user_type', 'action_name_id', 'days_id', 'start_time', 'end_time', 'email', 'sms', 'unread_delay', 'send_anytime','is_unread_delay','is_resend_unread', 'resend_unread'
    ];

    public function scopeIsCompany($query)
    {
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id);
    }

    public function getNotificationDaytimes($user_id, $user_type)
    {
        return NotificationDaytime::where('user_id', $user_id)->where('user_type', $user_type)->get();
    }


}
