<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\SoftDeletes;

class OfferHistory extends Model
{
    use HasFactory, SoftDeletes;

    protected $table    = 'offer_histories';
    protected $fillable = [
        'offer_id', 'submitted_by', 'rate', 'type', 'created_at', 'updated_at', 'deleted_at', 'created_by', 'updated_by', 'deleted_by'
    ];
    public $timestamps  = false;
    protected $dates   	= ['deleted_at'];

    public function offer(){
        return $this->belongsTo(Offer::class,'offer_id','id');
    }

    public function company_admin(){
        return $this->hasOne(CompanyAdmin::class,'id','submitted_by')->withTrashed();
    }
}
