<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\SoftDeletes;

class OfferStop extends Model
{
    use HasFactory, SoftDeletes;

    protected $table    = 'offer_stops';
    protected $fillable = [
        'stop_no', 'offer_id', 'state', 'city', 'zip', 'latitude', 'longitude', 'timezone', 'timezone_offset', 'timezone_abbr', 'address_verified', 'created_at', 'updated_at', 'deleted_at', 'created_by', 'updated_by', 'deleted_by'
    ];
    public $timestamps  = false;
    protected $dates   	= ['deleted_at'];

    public function offer(){
        return $this->belongsTo(Offer::class,'offer_id','id');
    }
}
