<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Arr;

class PasswordReset extends Model
{
    use HasFactory;

    public $timestamps = false;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'email','token','created_at'
    ];

    public function store($input)
    {
        return static::create(Arr::only($input,$this->fillable));
    }

    public function getPasswordResetWithToken($token)
    {
        return static::where('token', $token)->first();
    }

    public function deleteUsingEmail($email)
    {
        return static::where('email', $email)->delete();
    }
}
