<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Carbon\Carbon;


class ReportDriver extends Model
{
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'company_id', 'team_id', 'driver_id', 'date', 'target_cpm', 'target_occupancy', 'target_revenue', 'target_miles', 'actual_revenue', 'actual_mileage', 'actual_daycount', 'actual_totaldays', 'manager_id', 'trailer_type'
    ];

    /*
     * Scopes
     */
    public function scopeIsCompany($query)
    {
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id);
    }

}
