<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\SoftDeletes;

class TrailerCompanyInsuranceProfile extends Model
{
    use HasFactory, SoftDeletes;

    protected $table    = 'trailer_company_insurance_profiles';
    protected $fillable = [
        'company_id', 'profile_name', 'insurance_types', 'created_at', 'updated_at', 'deleted_at'
    ];
    public $timestamps  = true;
    protected $dates    = ['deleted_at'];

    /*
     * Scopes
     */
    public function scopeIsCompany($query){
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id);
    }

    /*
     * Relationships
     */
    public function company(){
        return $this->belongsTo(Company::class,'company_id','id');
    }

    public function items(){
        return $this->hasMany(TrailerInsuranceProfileItem::class,'trailer_company_insurance_profile_id','id');
    }
}
