<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\SoftDeletes;

class TrailerPmServiceProfileItem extends Model
{
    use HasFactory, SoftDeletes;

    protected $table    = 'trailer_pm_service_profile_items';
    protected $fillable = [
        'trailer_id', 'trailer_company_pm_service_profile_id', 'company_pm_type_id', 'company_pm_service_type_id', 'interval_type', 'schedule', 'due_date', 'last_performed', 'created_at', 'updated_at', 'deleted_at'
    ];
    public $timestamps  = true;
    protected $dates    = ['deleted_at'];

    /*
     * Relationships
     */
    public function trailer(){
        return $this->belongsTo(Trailer::class,'trailer_id','id');
    }

    public function trailer_company_pm_service_profile(){
        return $this->belongsTo(TrailerCompanyPmServiceProfile::class, 'trailer_company_pm_service_profile_id', 'id');
    }

    public function company_pm_type(){
        return $this->hasOne(CompanyPmType::class,'id','company_pm_type_id')->withTrashed();
    }

    public function company_pm_service_type(){
        return $this->hasOne(CompanyPmServiceType::class,'id','company_pm_service_type_id')->withTrashed();
    }
}
