<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\SoftDeletes;

class TrailerPmServiceWarrantyProfileItem extends Model
{
    use HasFactory, SoftDeletes;

    protected $table    = 'trailer_pm_service_warranty_profile_items';
    protected $fillable = [
        'trailer_id', 'trailer_company_pm_service_warranty_profile_id', 'company_pm_warranty_provider_id', 'description', 'interval_type', 'term', 'warranty_start', 'warranty_exp', 'created_at', 'updated_at', 'deleted_at'
    ];
    public $timestamps  = true;
    protected $dates    = ['deleted_at'];

    /*
     * Relationships
     */
    public function trailer(){
        return $this->belongsTo(Trailer::class,'trailer_id','id');
    }

    public function trailer_company_pm_service_warranty_profile(){
        return $this->belongsTo(TrailerCompanyPmServiceWarrantyProfile::class, 'trailer_company_pm_service_warranty_profile_id', 'id');
    }

    public function company_pm_warranty_provider(){
        return $this->hasOne(CompanyPmWarrantyProvider::class,'id','company_pm_warranty_provider_id')->withTrashed();
    }
}
