<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class TruckIntegration extends Model
{
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'company_id', 'truck_id', 'integration_type', 'provider', 'provider_id', 'auto_populate', 'connected_status', 'extra_params'
    ];

    /*
     * Scopes
     */
    public function scopeIsCompany($query)
    {
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id);
    }

    public function setExtraParamsAttribute($value): ?string {
        return $this->attributes['extra_params'] = is_array($value) ? serialize($value) : NULL;
    }

    public function getExtraParamsAttribute($value): ?array{
        return !is_null($value) ? unserialize($value) : [];
    }
}
