<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;

class TruckStatusLog extends Model
{

    protected $table    	= 'truck_status_logs';
    protected $fillable 	= [
        'company_id', 'truck_id', 'status_id'
    ];



    public function truck(){
        return $this->hasOne(Truck::class,'id','truck_id')->withTrashed();
    }

    public function getCreatedAtAttribute($value): ?string {
        return !is_null($value) ? Carbon::parse($value)->format(getTimeLayout()) : null;
    }
   
}
