<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class TruckTransponderProviderHistory extends Model
{
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'truck_id', 'action', 'truck_number', 'provider', 'provider_id', 'action_date_time'
    ];

    public function getActionDateTimeAttribute($value): ?string{
        return !is_null($value) ? Carbon::parse($value)->format(getTimeLayout()) : NULL;
    }
}
