<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class TruckTransponderProviderRemoveAndReassign extends Model
{
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'truck_id', 'transponder_id', 'action_type', 'truck_number', 'provider', 'provider_id', 'action_date', 'action_time'
    ];

    public function setActionDateAttribute($value): ?string
    {
        return $this->attributes['action_date'] = !is_null($value) ? convertTimeToUTCzone(['str' => $value,'toFormat' => 'Y-m-d','fromFormat' => 'm/d/Y']) : NULL;
    }

    public function getActionDateAttribute($value): ?string{
        return !is_null($value) ? convertTimeToUSERzone(['str' => $value,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d']) : NULL;
    }

    public function setActionTimeAttribute($value): ?string
    {
        return $this->attributes['action_time'] = !is_null($value) ? convertTimeToUTCzone(['str' => $value, 'toFormat' => 'H:i','fromFormat' => getTimeLayout('0')]) : NULL;
    }

    public function getActionTimeAttribute($value): ?string{
        return !is_null($value) ? convertTimeToUSERzone(['str' => $value,'toFormat' => getTimeLayout('0'),'fromFormat' => 'H:i:s']) : NULL;
    }

    public function truck(){
        return $this->hasOne(Truck::class,'id','truck_id');
    }
}
