<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class TwoFactorSetting extends Model
{
    use HasFactory;

    protected $fillable = [
        'company_id', 'user_id', 'user_type', 'enable_two_factor', 'enable_email_verify', 'enable_sms_verify'
    ];

    public function scopeIsAdmin($query){
        return $query->whereNull('company_id')->where('user_id', auth()->guard('admin')->user()->id)->whereNull('user_type');
    }

    public function scopeIsCompanyAdmin($query){
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id)->where('user_id', auth()->guard('company-admin')->user()->id)->where('user_type', auth()->guard('company-admin')->user()->type);
    }

    public function scopeIsDriverAdmin($query){
        return $query->where('company_id', auth()->guard('driver-admin')->user()->company_id)->where('user_id', auth()->guard('driver-admin')->user()->id)->where('user_type', '3');
    }
}
