<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\SoftDeletes;

class VehicleHistoricalStats extends Model
{
    use HasFactory, SoftDeletes;

    protected $table    = 'vehicle_historical_stats';
    protected $fillable = [
    	'truck_id',
        'obd_odometer_meters',
        'obd_odometer_miles',
        'speed_mph',
        'latitude',
        'longitude',
        'location',
        'last_updated_at',
        'data',
        'created_at',
        'updated_at',
        'deleted_at'
    ];

    protected $dates   	= ['deleted_at'];

    // Accessor for 'name' attribute
    public function getDataAttribute($value){
        // Modify and return the attribute value
        return json_decode($value, true);
    }

    // Mutator for 'name' attribute
    public function setDataAttribute($value){
        // Modify and set the attribute value
        $this->attributes['data'] = json_encode($value);
    }

    public function truck(){
        return $this->belongsTo(Truck::class);
    }
}
