<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Vendor extends Model
{
    use HasFactory, SoftDeletes;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'company_id',
        'name',

        'address_search',
        'address',
        'address_2',
        'city',
        'state',
        'zip',
        'latitude',
        'longitude',
        'timezone',
        'timezone_offset',
        'timezone_abbr',
        'address_verified',

        'phone',
        'email',
        'fax',
        'account_number',
        'tax_id',
        'website',
        'logo',
        'description',

        'bill_to_name',
        'bill_address_search',
        'billing_address',
        'billing_address_2',
        'billing_city',
        'billing_state',
        'billing_zip',
        'billing_latitude',
        'billing_longitude',
        'billing_timezone',
        'billing_timezone_offset',
        'billing_timezone_abbr',
        'billing_address_verified',

        'billing_phone',
        'billing_extention',
        'billing_email',
        'billing_fax',
        'billing_method',

        'payment_terms'
    ];

    /*
     * Scopes
     */
    public function scopeIsCompany($query)
    {
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id);
    }

    public function brokerContact()
    {
        return $this->hasMany(BrokerContact::class, 'broker_id', 'id')->orderBy('id', 'asc');
    }
}
