<?php

namespace App\Traits;

use Illuminate\Support\Facades\Log;

trait SamsaraTrait {

    public function historicalStats($apiKey, $params, &$allData = []){
        try {
            $queryString                        = http_build_query($params);

            $url                                = 'https://api.samsara.com/fleet/vehicles/stats/history?' . $queryString;
            $client                             = new \GuzzleHttp\Client();
            $response                           = $client->request('GET', $url, [
                'headers'                       => [
                    'Accept'                    => 'application/json',
                    'Authorization'             => 'Bearer '.$apiKey,
                ],
            ]);
            // Check if response status code is OK (200)
            if ($response->getStatusCode() == 200) {
                $body                           = json_decode($response->getBody());
                // Do something with the response body
                if(isset($body)){
                    $data                       = isset($body->data[0])?$body->data[0]:null;
                    if(isset($data)){
                        if(isset($data->gps) && !empty($data->gps)){
                            /*
                            foreach ($data->gps as $key => $value) {
                                $arry           = [
                                    'time'      => $value->time,
                                    'Lat'       => $value->latitude,
                                    'Lng'       => $value->longitude,
                                    'address'   => $value->reverseGeo->formattedLocation

                                ];
                                Log::info(json_encode($arry));
                            }
                            */
                            $allData            = array_merge($allData, $data->gps);
                        }
                    }
                    if($body->pagination->hasNextPage){
                        $params['after']        = $body->pagination->endCursor;
                        $this->historicalStats($apiKey, $params, $allData);
                    }
                }
            }
        } catch (\GuzzleHttp\Exception\ClientException $e) {
            // Handle server-side errors (e.g. 5xx status codes)
            $response                           = $e->getResponse();
            if ($response) {
                $statusCode                     = $response->getStatusCode();
                $body                           = $response->getBody()->getContents();
                Log::error($body);
            } else {
                Log::error($e->getMessage());
            }
        } catch (\GuzzleHttp\Exception\ServerException $e) {
            // Handle server-side errors (e.g. 5xx status codes)
            $response                           = $e->getResponse();
            if ($response) {
                $statusCode                     = $response->getStatusCode();
                $body                           = $response->getBody()->getContents();
                Log::error($body);
            } else {
                Log::error($e->getMessage());
            }
        } catch (\Exception $e) {
            // Handle other exceptions
            Log::error($e->getMessage());
        }
        return $allData;
    }
}
