<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDriverInformationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('driver_informations', function (Blueprint $table) {
            $table->id();
            $table->integer('driver_id');
            $table->string('truck_number')->nullable();
            $table->integer('vehicle_type')->nullable();
            $table->integer('trailer_type')->nullable();
            $table->integer('joining_trailer_program')->nullable();
            $table->boolean('pets')->nullable();
            $table->string('weekly')->nullable();
            $table->boolean('passenger')->nullable();
            $table->boolean('smoke')->nullable();
            $table->boolean('twic')->nullable();
            $table->boolean('tanker')->nullable();
            $table->string('htc_seasonal')->nullable();
            $table->string('htc_average')->nullable();
            $table->string('wgrr_seasonal')->nullable();
            $table->string('wgrr_average')->nullable();
            $table->string('wgrr_slump')->nullable();
            $table->string('wgrr_goals')->nullable();
            $table->string('wmr_seasonal')->nullable();
            $table->string('wmr_average')->nullable();
            $table->string('wcpmr_low')->nullable();
            $table->string('wcpmr_high')->nullable();
            $table->string('dtmpr_low')->nullable();
            $table->string('dtmpr_high')->nullable();
            $table->string('dtmpr_maintenance')->nullable();
            $table->string('mw_full_tank')->nullable();
            $table->string('mw_half_tank')->nullable();
            $table->string('at_gross')->nullable();
            $table->string('at_mileage')->nullable();
            $table->string('at_cpm')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('driver_informations');
    }
}
