<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsInAdminsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('admins', function (Blueprint $table) {
            $table->renameColumn('name' , 'first_name');
            $table->string('last_name')->after('name')->nullable();
            $table->string('phone')->after('password')->nullable();
            $table->integer('type')->after('phone')->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('admins', function (Blueprint $table) {
            $table->renameColumn('first_name' , 'name');
            $table->dropColumn('last_name');
            $table->dropColumn('phone');
            $table->dropColumn('type');
        });
    }
}
