<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTrailersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('trailers', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->string('trailer_id');
            $table->integer('status')->nullable();
            $table->string('year')->nullable();
            $table->string('make')->nullable();
            $table->string('model')->nullable();
            $table->string('length')->nullable();
            $table->integer('type')->nullable();
            $table->string('vin')->nullable();
            $table->string('tag_state')->nullable();
            $table->string('tag_number')->nullable();
            $table->datetime('tag_expiration')->nullable();
            $table->string('terminal')->nullable();
            $table->datetime('next_service')->nullable();
            $table->datetime('last_inspection')->nullable();
            $table->datetime('next_inspection')->nullable();
            $table->datetime('maintenance_date')->nullable();
            $table->datetime('lease_exp_date')->nullable();
            $table->string('axles')->nullable();
            $table->string('insurance_carrier')->nullable();
            $table->string('insurance_exp')->nullable();
            $table->string('insurance_value')->nullable();
            $table->string('leasing_company')->nullable();
            $table->string('owner_id')->nullable();
            $table->string('owner_name')->nullable();
            $table->string('owner_address')->nullable();
            $table->boolean('sliding')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('trailers');
    }
}
