<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDriverComplianceSafetyTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('driver_compliance_safety', function (Blueprint $table) {
            $table->id();
            $table->integer('driver_id');
            $table->date('license_exp')->nullable();
            $table->string('license_exp_file')->nullable();
            $table->date('mvr_date')->nullable();
            $table->date('anniversary')->nullable();
            $table->date('medical_cert')->nullable();
            $table->date('schedule_orientation')->nullable();
            $table->date('birthday')->nullable();
            $table->date('drug_alcohol')->nullable();
            $table->date('home_time_in')->nullable();
            $table->date('home_time_out')->nullable();
            $table->date('next_review')->nullable();
            $table->date('truck_service_mileage')->nullable();
            $table->date('truck_service_date')->nullable();
            $table->date('fai_due_date')->nullable();
            $table->date('due')->nullable();
            $table->date('kyu_field')->nullable();
            $table->date('tag_exp')->nullable();
            $table->string('license_plate')->nullable();
            $table->string('license_plate_file')->nullable();
            $table->date('nyhut')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('driver_compliance_safety');
    }
}
