<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddDetailColumnInDriverOnboardingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('driver_onboardings', function (Blueprint $table) {
            $table->longText('detail')->after('days_to_onboard')->nullable();
            $table->dropColumn('application_submitted');
            $table->dropColumn('qualified_approved');
            $table->dropColumn('drug_screen_scheduled');
            $table->dropColumn('drug_screen_scheduled_date');
            $table->dropColumn('drug_screen_complete');
            $table->dropColumn('clearing_house_dropped');
            $table->dropColumn('panda_doc');
            $table->dropColumn('driver_file');
            $table->dropColumn('driver_file_image');
            $table->dropColumn('compel_data_entered');
            $table->dropColumn('driver_documents');
            $table->dropColumn('paper_logs');
            $table->dropColumn('fuel_cards');
            $table->dropColumn('tags');
            $table->dropColumn('compel_data_entered_one');
            $table->dropColumn('compel_data_entered_two');
            $table->dropColumn('compliance_verification');
            $table->dropColumn('kyu_schedule');
            $table->dropColumn('nyhut_schedule');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('driver_onboardings', function (Blueprint $table) {
            $table->dropColumn('detail');
            $table->boolean('application_submitted')->default(0);
            $table->boolean('qualified_approved')->default(0);
            $table->boolean('drug_screen_scheduled')->default(0);
            $table->date('drug_screen_scheduled_date')->nullable();
            $table->boolean('drug_screen_complete')->default(0);
            $table->boolean('clearing_house_dropped')->default(0);
            $table->boolean('panda_doc')->default(0);
            $table->boolean('driver_file')->default(0);
            $table->string('driver_file_image')->nullable();
            $table->boolean('compel_data_entered')->default(0);
            $table->boolean('driver_documents')->default(0);
            $table->boolean('paper_logs')->default(0);
            $table->boolean('fuel_cards')->default(0);
            $table->boolean('tags')->default(0);
            $table->boolean('compel_data_entered_one')->default(0);
            $table->boolean('compel_data_entered_two')->default(0);
            $table->boolean('compliance_verification')->default(0);
            $table->boolean('kyu_schedule')->default(0);
            $table->boolean('nyhut_schedule')->default(0);
        });
    }
}
