<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDriverOnboardingHistoriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('driver_onboarding_histories', function (Blueprint $table) {
            $table->id();
            $table->integer('driver_onboarding_id');
            $table->integer('driver_id');
            $table->integer('application_date')->nullable();
            $table->integer('start_date')->nullable();
            $table->integer('status')->nullable();
            $table->integer('days_to_onboard')->nullable();
            $table->longText('detail')->nullable();
            $table->longText('notes')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('driver_onboarding_histories');
    }
}
