<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColorOptionFieldToCompanyAdminsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('company_admins', function (Blueprint $table) {
            $table->enum('color_options', array('0','1','2'))->after('delivery_date_option')->default(2)->comment('1 - No color coding, Option 2 - Active and Complete, Option 3 - Full color code tracking');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('company_admins', function (Blueprint $table) {
            $table->dropColumn('color_options');
        });
    }
}
