<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddPassportFieldToDriverComplianceSafetyTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('driver_compliance_safety', function (Blueprint $table) {
            $table->string('passport_number')->after('nyhut')->nullable();
            $table->date('passport_expiration')->after('nyhut')->nullable();
            $table->date('date_of_birth')->after('nyhut')->nullable();
            $table->string('emergency_contact_name_and_phone_number')->after('nyhut')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('driver_compliance_safety', function (Blueprint $table) {
            $table->dropColumn('passport_number');
            $table->dropColumn('passport_expiration');
            $table->dropColumn('date_of_birth');
            $table->dropColumn('emergency_contact_name_and_phone_number');
        });
    }
}
