<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddAppCenterIdToAppCenterTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('integration_settings', function (Blueprint $table) {
            $table->renameColumn('samsara_api_key', 'api_key');
            $table->string('app_center_id')->after('company_id')->nullable();
            $table->enum('status',['0','1'])->default('0')->after('app_center_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('integration_settings', function (Blueprint $table) {
            $table->renameColumn('api_key', 'samsara_api_key');
            $table->dropColumn('app_center_id');
            $table->dropColumn('status');
        });
    }
}
