<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddDaysFieldToLeaveTypesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('leave_types', function (Blueprint $table) {
             $table->integer('days_per_year_for_manager')->after('name');
             $table->integer('days_per_year_for_dispatcher')->after('name');
             $table->integer('days_per_year_for_driver')->after('name');
             $table->dropColumn('days_per_year');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('leave_types', function (Blueprint $table) {
            $table->dropColumn('days_per_year_for_manager');
            $table->dropColumn('days_per_year_for_dispatcher');
            $table->dropColumn('days_per_year_for_driver');
            $table->integer('days_per_year')->after('name');
        });
    }
}
