<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateNotificationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('notifications', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->enum('type',['0','1','2'])->default('1')->comment('0:Error, 1:Success, 2:Warning');
            $table->integer('source')->comment('Helper::getNotiSourceList()');
            $table->integer('action_id');
            $table->string('name');
            $table->text('description');
            $table->integer('user_id');
            $table->integer('user_type')->comment('Helper::getNotiUserTypeList()');
            $table->timestamp('read_at')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('notifications');
    }
}
