<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddLoadNotPickedUpOnTimeToLoadDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->dateTime('load_not_picked_up_on_time')->nullable()->after('actual_shipper_date');
            $table->dateTime('load_not_delivered_on_time')->nullable()->after('actual_delivery_date');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->dropColumn('load_not_picked_up_on_time');
            $table->dropColumn('load_not_delivered_on_time');
        });
    }
}
