<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLoadStopsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('load_stops', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->integer('load_id');
            $table->integer('customer_id');
            $table->integer('customer_type')->comment('Shipper:1, Receiver:2');
            $table->string('location')->nullable();
            $table->string('address_one')->nullable();
            $table->string('address_two')->nullable();
            $table->string('state')->nullable();
            $table->string('city')->nullable();
            $table->string('zip')->nullable();
            $table->integer('date_time_range')->nullable();
            $table->datetime('date_time')->nullable();
            $table->datetime('date_time_end')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('load_stops');
    }
}
