<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddBillOfLadingFieldToLoadStopsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->string('bill_of_lading')->nullable()->after('in_transit_rejected_by');
            $table->string('bill_of_lading_file_not_provided')->nullable()->after('in_transit_rejected_by');
            $table->string('bill_of_lading_file')->nullable()->after('bill_of_lading_file_not_provided');
            $table->string('packing_slip')->nullable()->after('bill_of_lading_file');
            $table->string('packing_slip_file_not_provided')->nullable()->after('bill_of_lading_file');
            $table->string('packing_slip_file')->nullable()->after('packing_slip_file_not_provided');
            $table->string('delivery_receipt')->nullable()->after('packing_slip_file');
            $table->string('delivery_receipt_file_not_provided')->nullable()->after('packing_slip_file');
            $table->string('delivery_receipt_file')->nullable()->after('delivery_receipt_file_not_provided');
            $table->string('scale_ticket')->nullable()->after('delivery_receipt_file');
            $table->string('scale_ticket_file_not_provided')->nullable()->after('delivery_receipt_file');
            $table->string('scale_ticket_file')->nullable()->after('scale_ticket_file_not_provided');
            $table->string('purchase_order')->nullable()->after('scale_ticket_file');
            $table->string('purchase_order_file_not_provided')->nullable()->after('scale_ticket_file');
            $table->string('purchase_order_file')->nullable()->after('purchase_order_file_not_provided');
            $table->string('lumper_receipts')->nullable()->after('purchase_order_file');
            $table->string('lumper_receipts_file_not_provided')->nullable()->after('purchase_order_file');
            $table->string('lumper_receipts_file')->nullable()->after('lumper_receipts_file_not_provided');

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_details', function (Blueprint $table) {
            
            $table->dropColumn('bill_of_lading');
            $table->dropColumn('bill_of_lading_file_not_provided');
            $table->dropColumn('bill_of_lading_file');
            $table->dropColumn('packing_slip');
            $table->dropColumn('packing_slip_file_not_provided');
            $table->dropColumn('packing_slip_file');
            $table->dropColumn('delivery_receipt');
            $table->dropColumn('delivery_receipt_file_not_provided');
            $table->dropColumn('delivery_receipt_file');
            $table->dropColumn('scale_ticket');
            $table->dropColumn('scale_ticket_file_not_provided');
            $table->dropColumn('scale_ticket_file');
            $table->dropColumn('purchase_order');
            $table->dropColumn('purchase_order_file_not_provided');
            $table->dropColumn('purchase_order_file');
            $table->dropColumn('lumper_receipts');
            $table->dropColumn('lumper_receipts_file_not_provided');
            $table->dropColumn('lumper_receipts_file');
        });
    }
}
