<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddMoreFieldToTrucksTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('trucks', function (Blueprint $table) {
            $table->string('is_service_date')->nullable()->before('created_at');
            $table->string('color')->nullable()->before('created_at');
            $table->string('tag_state')->nullable()->before('created_at');
            $table->string('tag_number')->nullable()->before('created_at');
            $table->string('ez_pass_id')->nullable()->before('created_at');
            $table->string('prepass_id')->nullable()->before('created_at');
            $table->string('eorb_provider')->nullable()->before('created_at');
            $table->string('eorb_id')->nullable()->before('created_at');
            $table->string('camera_provider')->nullable()->before('created_at');
            $table->string('camera_id')->nullable()->before('created_at');
            $table->string('phys_dam_ins_carrier')->nullable()->before('created_at');
            $table->string('phys_dam_start_date')->nullable()->before('created_at');
            $table->string('phys_dam_exp_date')->nullable()->before('created_at');
            $table->string('phys_dam_insured_value')->nullable()->before('created_at');
            $table->string('bobtail_carrier')->nullable()->before('created_at');
            $table->string('bobtail_carrier_start_date')->nullable()->before('created_at');
            $table->string('bobtail_carrier_exp_date')->nullable()->before('created_at');
            $table->string('bobtail_carrier_insured_value')->nullable()->before('created_at');
            $table->string('terminal_id')->nullable()->before('created_at');
            $table->string('ownership')->nullable()->before('created_at');
            $table->string('leasing_co')->nullable()->before('created_at');
            $table->string('lease_expiration_date')->nullable()->before('created_at');
            $table->string('lease_agreement_title')->nullable()->before('created_at');
            $table->string('owner_name')->nullable()->before('created_at');
            $table->string('owner_purchase_price')->nullable()->before('created_at');
            $table->string('owner_purchase_date')->nullable()->before('created_at');
            $table->string('owner_agreement_title')->nullable()->before('created_at');
            $table->string('kyu_due_date')->nullable()->before('created_at');
            $table->string('2290_due_date')->nullable()->before('created_at');
            $table->string('carb_id')->nullable()->before('created_at');
            $table->string('carb_id_date')->nullable()->before('created_at');
            $table->string('weight')->nullable()->before('created_at');
            $table->string('max_load_weight')->nullable()->before('created_at');
            $table->string('fuel_capacity')->nullable()->before('created_at');
            $table->string('axles')->nullable()->before('created_at');
            $table->string('tire_size')->nullable()->before('created_at');
            $table->string('wheel_size')->nullable()->before('created_at');
            $table->string('fuel_type')->nullable()->before('created_at');
            $table->string('tuel_capacity')->nullable()->before('created_at');
            $table->string('odometer')->nullable()->before('created_at');
            $table->string('engine_hours')->nullable()->before('created_at');
            $table->string('status')->nullable()->before('created_at');
            $table->string('tag_photo')->nullable()->before('created_at');
            $table->string('phys_dam_file')->nullable()->before('created_at');
            $table->string('bobtail_carrier_file')->nullable()->before('created_at');
            $table->string('lease_documents')->nullable()->before('created_at');
            $table->string('owner_documents')->nullable()->before('created_at');
            $table->string('fai_file')->nullable()->before('created_at');
            $table->string('kyu_file')->nullable()->before('created_at');
            $table->string('2290_file')->nullable()->before('created_at');
            $table->string('nyhut_file')->nullable()->before('created_at');
            $table->string('carb_id_file')->nullable()->before('created_at');
            
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('trucks', function (Blueprint $table) {
            $table->dropColumn('is_service_date');
            $table->dropColumn('color');
            $table->dropColumn('tag_state');
            $table->dropColumn('tag_number');
            $table->dropColumn('ez_pass_id');
            $table->dropColumn('prepass_id');
            $table->dropColumn('eorb_provider');
            $table->dropColumn('eorb_id');
            $table->dropColumn('camera_provider');
            $table->dropColumn('camera_id');
            $table->dropColumn('phys_dam_ins_carrier');
            $table->dropColumn('phys_dam_start_date');
            $table->dropColumn('phys_dam_exp_date');
            $table->dropColumn('phys_dam_insured_value');
            $table->dropColumn('bobtail_carrier');
            $table->dropColumn('bobtail_carrier_start_date');
            $table->dropColumn('bobtail_carrier_exp_date');
            $table->dropColumn('bobtail_carrier_insured_value');
            $table->dropColumn('terminal_id');
            $table->dropColumn('ownership');
            $table->dropColumn('leasing_co');
            $table->dropColumn('lease_expiration_date');
            $table->dropColumn('lease_agreement_title');
            $table->dropColumn('owner_name');
            $table->dropColumn('owner_purchase_price');
            $table->dropColumn('owner_purchase_date');
            $table->dropColumn('owner_agreement_title');
            $table->dropColumn('kyu_due_date');
            $table->dropColumn('2290_due_date');
            $table->dropColumn('carb_id');
            $table->dropColumn('carb_id_date');
            $table->dropColumn('weight');
            $table->dropColumn('max_load_weight');
            $table->dropColumn('fuel_capacity');
            $table->dropColumn('axles');
            $table->dropColumn('tire_size');
            $table->dropColumn('wheel_size');
            $table->dropColumn('fuel_type');
            $table->dropColumn('tuel_capacity');
            $table->dropColumn('odometer');
            $table->dropColumn('engine_hours');
            $table->dropColumn('status');
            $table->dropColumn('tag_photo');
            $table->dropColumn('phys_dam_file');
            $table->dropColumn('bobtail_carrier_file');
            $table->dropColumn('lease_documents');
            $table->dropColumn('owner_documents');
            $table->dropColumn('fai_file');
            $table->dropColumn('kyu_file');
            $table->dropColumn('2290_file');
            $table->dropColumn('nyhut_file');
            $table->dropColumn('carb_id_file');

        });
    }
}
