<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateGalleryDocumentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('gallery_documents', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->integer('gallery_document_name_id');
            $table->integer('created_by');
            $table->integer('created_by_type');
            $table->integer('requested_by');
            $table->integer('requested_by_type');
            $table->integer('approved_by')->nullable();
            $table->integer('approved_by_type')->nullable();
            $table->string('file_name');
            $table->integer('file_type')->nullable();
            $table->string('document')->nullable();
            $table->enum('requires_approval', ['yes','no'])->default('no');
            $table->string('notes');
            $table->date('date');
            $table->integer('access');
            $table->enum('status', ['approved', 'pending', 'review'])->default('pending');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('gallery_documents');
    }
}
