<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddExtraBankFieldToTerminalsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('terminals', function (Blueprint $table) {
            $table->string('bank_contact')->nullable()->after('billing_cutoff');
            $table->string('bank_phone')->nullable()->after('billing_cutoff');
            $table->string('bext')->nullable()->after('billing_cutoff');
            $table->string('bank_email')->nullable()->after('billing_cutoff');
            $table->string('bank_contact_name')->nullable()->after('billing_cutoff');
            $table->string('bank_contact_email')->nullable()->after('billing_cutoff');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('terminals', function (Blueprint $table) {
            $table->dropColumn('bank_contact');
            $table->dropColumn('bank_phone');
            $table->dropColumn('bext');
            $table->dropColumn('bank_email');
            $table->dropColumn('bank_contact_name');
            $table->dropColumn('bank_contact_email');
        });
    }
}
