<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddStatusFieldToDriverHosViolationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('driver_hos_violations', function (Blueprint $table) {
            $table->enum('status',['incomplete', 'complete'])->after('inspection_level')->default('incomplete');
            $table->date('event_calendar_date')->after('date')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('driver_hos_violations', function (Blueprint $table) {
            $table->dropColumn('status');
            $table->dropColumn('event_calendar_date');
        });
    }
}
