<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

use App\Models\CompanyCitationsViolationCode;
use App\Models\DriverCitationsViolationCode;
use App\Models\Company;


class InsertHosDataFieldToCompanyHosViolationCodesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $company_hos_violation_codes = array(
          array('id' => '718','code' => '393.136','description' => 'No/improper securement of large boulders','created_at' => NULL,'updated_at' => NULL),
          array('id' => '719','code' => '393.136(b)','description' => 'Improper placement/positioning for boulder','created_at' => NULL,'updated_at' => NULL),
          array('id' => '717','code' => '393.134(b)(3)','description' => 'Rear of container not properly secured','created_at' => NULL,'updated_at' => NULL),
          array('id' => '716','code' => '393.134(b)(2)','description' => 'Container not secured to front of vehicle','created_at' => NULL,'updated_at' => NULL),
          array('id' => '715','code' => '393.134(b)(1)','description' => 'No blocking against forward movement','created_at' => NULL,'updated_at' => NULL),
          array('id' => '714','code' => '393.134','description' => 'No/improper securement of roll/hook container','created_at' => NULL,'updated_at' => NULL),
          array('id' => '713','code' => '393.132(c)(5)','description' => 'Insufficient means to retain loose parts or leaking liquids from crushed cars','created_at' => NULL,'updated_at' => NULL),
          array('id' => '712','code' => '393.132(c)','description' => 'Insufficient tiedowns per vehicle stack of crushed cars','created_at' => NULL,'updated_at' => NULL),
          array('id' => '711','code' => '393.132(b)','description' => 'Prohibited use of synthetic webbing.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '710','code' => '393.132','description' => 'No/improper securement of crushed vehicles','created_at' => NULL,'updated_at' => NULL),
          array('id' => '709','code' => '393.130(c)','description' => 'Improper restraint/securement of item','created_at' => NULL,'updated_at' => NULL),
          array('id' => '708','code' => '393.130(b)','description' => 'Item not properly prepared for transport','created_at' => NULL,'updated_at' => NULL),
          array('id' => '707','code' => '393.13','description' => 'No/improper heavy vehicle/machine securement','created_at' => NULL,'updated_at' => NULL),
          array('id' => '706','code' => '393.128(b)(3)','description' => 'Tiedown(s) not over/around wheels.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '705','code' => '393.128(b)(2)','description' => 'Tiedown(s) not affixed to mounting points.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '704','code' => '393.128(b)(1)','description' => 'Vehicle not secured, front and rear','created_at' => NULL,'updated_at' => NULL),
          array('id' => '703','code' => '393.128','description' => 'No/improper securement of vehicles','created_at' => NULL,'updated_at' => NULL),
          array('id' => '702','code' => '393.126(d)(4)','description' => 'Empty intermodal container not properly secured to prevent shifting when transported on vehicle other than container chassis vehicle','created_at' => NULL,'updated_at' => NULL),
          array('id' => '701','code' => '393.126(d)(2)','description' => 'Empty intermodal container with more than 5 ft overhang when transported on vehicle other than container chassis vehicle','created_at' => NULL,'updated_at' => NULL),
          array('id' => '700','code' => '393.126(d)(1)','description' => 'Empty intermodal container not properly positioned when transported on vehicle other than container chassis vehicle','created_at' => NULL,'updated_at' => NULL),
          array('id' => '699','code' => '393.126(c)(3)','description' => 'Front and rear of loaded intermodal container not secured independently when transported on vehicle other than container chassis','created_at' => NULL,'updated_at' => NULL),
          array('id' => '698','code' => '393.126(c)(2)','description' => 'All corners of loaded intermodal container not secured when transported on vehicle other than container chassis vehicle','created_at' => NULL,'updated_at' => NULL),
          array('id' => '697','code' => '393.126(c)(1)','description' => 'Lower corners of loaded intermodal container not resting on surface of transporting vehicle (non container chassis)','created_at' => NULL,'updated_at' => NULL),
          array('id' => '696','code' => '393.126(b)','description' => 'Damaged or Missing tiedown or securement device for intermodal containers transported on container chassis vehicle','created_at' => NULL,'updated_at' => NULL),
          array('id' => '695','code' => '393.126','description' => 'Failure to ensure intermodal container securement','created_at' => NULL,'updated_at' => NULL),
          array('id' => '694','code' => '393.124(f)','description' => 'Improper securement of concrete pipe with an inside diameter greater than 45 inches (1143 mm)','created_at' => NULL,'updated_at' => NULL),
          array('id' => '692','code' => '393.124(d)','description' => 'Improper arrangement of concrete pipe','created_at' => NULL,'updated_at' => NULL),
          array('id' => '693','code' => '393.124(e)','description' => 'Improper securement of concrete pipe with an inside diameter up to 45 inches (1143 mm)','created_at' => NULL,'updated_at' => NULL),
          array('id' => '691','code' => '393.124(c)','description' => 'Improper blocking of concrete pipe','created_at' => NULL,'updated_at' => NULL),
          array('id' => '689','code' => '393.124','description' => 'No or improper securement of concrete pipe','created_at' => NULL,'updated_at' => NULL),
          array('id' => '690','code' => '393.124(b)','description' => 'Insufficient working load limits for tiedowns on a group of concrete pipes','created_at' => NULL,'updated_at' => NULL),
          array('id' => '688','code' => '393.122(i)','description' => 'Improper securement of paper rolls transported on a flatbed vehicle or in a curtain-sided vehicle ','created_at' => NULL,'updated_at' => NULL),
          array('id' => '687','code' => '393.122(h)','description' => 'Rolls lengthwise/stacked - improper securement','created_at' => NULL,'updated_at' => NULL),
          array('id' => '685','code' => '393.122(f)','description' => 'Rolls crosswise/stacked load - improperly secured','created_at' => NULL,'updated_at' => NULL),
          array('id' => '686','code' => '393.122(g)','description' => 'Improper securement of paper rolls transported with the eyes lengthwise in a sided vehicle','created_at' => NULL,'updated_at' => NULL),
          array('id' => '684','code' => '393.122(e)','description' => 'Improper securement of paper rolls transported with the eyes crosswise in a sided vehicle','created_at' => NULL,'updated_at' => NULL),
          array('id' => '683','code' => '393.122(d)','description' => 'Improper securement of stacked loads of paper rolls transported with the eyes vertical in a sided vehicle','created_at' => NULL,'updated_at' => NULL),
          array('id' => '682','code' => '393.122(c)','description' => 'Improper securement of split loads of paper rolls transported with the eyes vertical in a sided vehicle','created_at' => NULL,'updated_at' => NULL),
          array('id' => '681','code' => '393.122(b)','description' => 'Improper securement of paper rolls transported with eyes vertical in a sided vehicle','created_at' => NULL,'updated_at' => NULL),
          array('id' => '680','code' => '393.122','description' => 'No/improper securement of paper rolls','created_at' => NULL,'updated_at' => NULL),
          array('id' => '679','code' => '393.120(e)','description' => 'No protection against shifting or tipping of metal coils transported in sided vehicle or intermodal container without anchor points','created_at' => NULL,'updated_at' => NULL),
          array('id' => '678','code' => '393.120(d)(4)','description' => 'Improper securement of metal coils transported in rows, eyes lengthwise to the vehicle','created_at' => NULL,'updated_at' => NULL),
          array('id' => '677','code' => '393.120(d)(1)','description' => 'Improper securement of metal coil transported with eye lengthwise','created_at' => NULL,'updated_at' => NULL),
          array('id' => '676','code' => '393.120(c)(2)','description' => 'Prohibited load securement - crossing tie-downs in a X pattern through the eye of a metal coil transported crosswise','created_at' => NULL,'updated_at' => NULL),
          array('id' => '675','code' => '393.120(c)(1)','description' => 'Improper securement of metal coils transported with eyes crosswise ','created_at' => NULL,'updated_at' => NULL),
          array('id' => '674','code' => '393.120(b)(2)','description' => 'Improper securement of metal coils transported in rows with the eyes vertical','created_at' => NULL,'updated_at' => NULL),
          array('id' => '673','code' => '393.120(b)(1)','description' => 'Improper securement of metal coils transported vertically','created_at' => NULL,'updated_at' => NULL),
          array('id' => '672','code' => '393.12','description' => 'No or improper securement of metal coils','created_at' => NULL,'updated_at' => NULL),
          array('id' => '671','code' => '393.118(d)(3)','description' => 'Insufficient or improper arrangement of tiedowns for lumber or building materials','created_at' => NULL,'updated_at' => NULL),
          array('id' => '670','code' => '393.118(d)','description' => 'Insufficient protection against lateral movement of lumber or building materials','created_at' => NULL,'updated_at' => NULL),
          array('id' => '669','code' => '393.118(b)','description' => 'Improper placement of bundles','created_at' => NULL,'updated_at' => NULL),
          array('id' => '668','code' => '393.118','description' => 'No/improper lumber/building materials securement','created_at' => NULL,'updated_at' => NULL),
          array('id' => '667','code' => '393.116(e)','description' => 'Improper Securement of shortwood logs loaded lengthwise','created_at' => NULL,'updated_at' => NULL),
          array('id' => '666','code' => '393.116(d)(4)','description' => 'No center stakes and/or high log not secured on shortwood vehicles more than 10m (33ft) long','created_at' => NULL,'updated_at' => NULL),
          array('id' => '665','code' => '393.116(d)(3)','description' => 'Tiedowns improperly positioned on load of shortwood','created_at' => NULL,'updated_at' => NULL),
          array('id' => '664','code' => '393.116(d)(2)','description' => 'Insufficient tiedowns for shortwood loaded crosswise','created_at' => NULL,'updated_at' => NULL),
          array('id' => '663','code' => '393.116(d)(1)','description' => 'Shortwood log extends more than 1/3 of logs total length beyond supporting structure of vehicle','created_at' => NULL,'updated_at' => NULL),
          array('id' => '662','code' => '393.116','description' => 'No/improper securement of logs','created_at' => NULL,'updated_at' => NULL),
          array('id' => '661','code' => '393.114(d)','description' => 'Front-end structure insufficient to prevent cargo to pass through it.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '660','code' => '393.114(b)(2)','description' => 'Insufficient width for front-end structure','created_at' => NULL,'updated_at' => NULL),
          array('id' => '659','code' => '393.114(b)(1)','description' => 'Insufficient height for front-end structure','created_at' => NULL,'updated_at' => NULL),
          array('id' => '658','code' => '393.114','description' => 'No/improper front end structure','created_at' => NULL,'updated_at' => NULL),
          array('id' => '657','code' => '393.112','description' => 'Tiedown not adjustable by driver','created_at' => NULL,'updated_at' => NULL),
          array('id' => '655','code' => '393.110(c)','description' => 'Insufficient tiedowns for an article blocked with a headerboard, bulkhead, or other cargo','created_at' => NULL,'updated_at' => NULL),
          array('id' => '656','code' => '393.110(d)','description' => 'Large or odd-shaped cargo not adequately secured','created_at' => NULL,'updated_at' => NULL),
          array('id' => '654','code' => '393.110(b)','description' => 'Insufficient tiedowns to prevent forward movement for load not blocked by headerboard, bulkhead, or other cargo.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '653','code' => '393.11','description' => 'Failing to meet minimum tiedown requirements','created_at' => NULL,'updated_at' => NULL),
          array('id' => '652','code' => '393.106(d)','description' => 'Insufficient aggregate working load limit','created_at' => NULL,'updated_at' => NULL),
          array('id' => '651','code' => '393.106(c)(2)','description' => 'Cargo without direct contact not prevented from shifting while in transit','created_at' => NULL,'updated_at' => NULL),
          array('id' => '650','code' => '393.106(c)(1)','description' => 'No means to prevent cargo from rolling','created_at' => NULL,'updated_at' => NULL),
          array('id' => '649','code' => '393.106(b)','description' => 'Cargo not immobilized or secured','created_at' => NULL,'updated_at' => NULL),
          array('id' => '648','code' => '393.106(a)','description' => 'No/improper front end structure/headerboard','created_at' => NULL,'updated_at' => NULL),
          array('id' => '647','code' => '393.104F4R','description' => 'No edge protection for tiedowns','created_at' => NULL,'updated_at' => NULL),
          array('id' => '646','code' => '393.104(f)(3)','description' => 'Loose or unfastened tiedown.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '645','code' => '393.104(f)(2)','description' => 'Use of tiedown with improper repair.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '644','code' => '393.104(f)(1)','description' => 'Knotted tiedown','created_at' => NULL,'updated_at' => NULL),
          array('id' => '643','code' => '393.104(d)','description' => 'Damaged dunnage, chocks, cradles, shoring bars, blocking and bracing','created_at' => NULL,'updated_at' => NULL),
          array('id' => '642','code' => '393.104(c)','description' => 'Damaged vehicle structures/anchor points','created_at' => NULL,'updated_at' => NULL),
          array('id' => '641','code' => '393.104(b)','description' => 'Damaged securement system/tiedowns','created_at' => NULL,'updated_at' => NULL),
          array('id' => '640','code' => '393.104(a)','description' => 'Inadequate/damaged securement device/system','created_at' => NULL,'updated_at' => NULL),
          array('id' => '639','code' => '393.102(c)','description' => 'Exceeding working load limit for tiedowns','created_at' => NULL,'updated_at' => NULL),
          array('id' => '638','code' => '393.102(b)','description' => 'Insufficient means to prevent vertical movement','created_at' => NULL,'updated_at' => NULL),
          array('id' => '637','code' => '393.102(a)(1)(iii)','description' => 'Insufficient means to prevent lateral movement','created_at' => NULL,'updated_at' => NULL),
          array('id' => '635','code' => '393.102(a)(1)(i)','description' => 'Insufficient means to prevent forward movement','created_at' => NULL,'updated_at' => NULL),
          array('id' => '636','code' => '393.102(a)(1)(ii)','description' => 'Insufficient means to prevent rearward movement','created_at' => NULL,'updated_at' => NULL),
          array('id' => '634','code' => '393.102(a)','description' => 'Improper securement system (tiedown assemblies)','created_at' => NULL,'updated_at' => NULL),
          array('id' => '633','code' => '393.100(c)','description' => 'Failure to prevent cargo shifting','created_at' => NULL,'updated_at' => NULL),
          array('id' => '632','code' => '393.100(b)','description' => 'Leaking/spilling/blowing/falling cargo','created_at' => NULL,'updated_at' => NULL),
          array('id' => '631','code' => '393.100(a)','description' => 'No or improper load securement','created_at' => NULL,'updated_at' => NULL),
          array('id' => '629','code' => '393.95(g)','description' => 'HM-restricted emergency warning device','created_at' => NULL,'updated_at' => NULL),
          array('id' => '630','code' => '393.1','description' => 'Failure to prevent cargo shifting ','created_at' => NULL,'updated_at' => NULL),
          array('id' => '627','code' => '393.95(b)','description' => 'No spare fuses as required','created_at' => NULL,'updated_at' => NULL),
          array('id' => '628','code' => '393.95(f)','description' => 'No / insufficient warning devices','created_at' => NULL,'updated_at' => NULL),
          array('id' => '626','code' => '393.95(a)(1)(i)','description' => 'Failure to equip hazardous material vehicle with a fire extinguisher with a minimum UL rating of 10 B:C','created_at' => NULL,'updated_at' => NULL),
          array('id' => '625','code' => '393.95(a)','description' => 'No/discharged/unsecured fire extinguisher','created_at' => NULL,'updated_at' => NULL),
          array('id' => '624','code' => '393.93B34','description' => 'Temporary Seating - Vehicle must conform to the requirements of Federal Motor Vehicle Safety Standard No. 2071 (','created_at' => NULL,'updated_at' => NULL),
          array('id' => '623','code' => '393.93(b)','description' => 'Failure to equip truck with seatbelts','created_at' => NULL,'updated_at' => NULL),
          array('id' => '622','code' => '393.93(a)(3)','description' => 'Seats not secured in conformance with FMVSS','created_at' => NULL,'updated_at' => NULL),
          array('id' => '621','code' => '393.93(a)','description' => 'Failure to equip bus with seat belts','created_at' => NULL,'updated_at' => NULL),
          array('id' => '620','code' => '393.91-SNS','description' => 'Motor Coach or other Passenger Carrying vehicle operating with seating, occupied or not, not secured in a workmanlike manner.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '619','code' => '393.91-FS','description' => 'Motor Coach or other Passenger carrying vehicle equipped with prohibited non-automatically folding seats in the aisle','created_at' => NULL,'updated_at' => NULL),
          array('id' => '618','code' => '393.91','description' => 'Bus - improper aisle seats','created_at' => NULL,'updated_at' => NULL),
          array('id' => '617','code' => '393.9','description' => 'Bus-no or obscure standee line','created_at' => NULL,'updated_at' => NULL),
          array('id' => '616','code' => '393.89','description' => 'Bus driveshaft not properly protected','created_at' => NULL,'updated_at' => NULL),
          array('id' => '615','code' => '393.88','description' => 'Improperly located tv receiver','created_at' => NULL,'updated_at' => NULL),
          array('id' => '614','code' => '393.87(b)','description' => 'Improper warning flag placement','created_at' => NULL,'updated_at' => NULL),
          array('id' => '613','code' => '393.87(a)','description' => 'Warning flag required on projecting load','created_at' => NULL,'updated_at' => NULL),
          array('id' => '612','code' => '393.86(b)(1)','description' => 'Rear Impact Guard Required - motor vehicle manufactured after 12/31/1952 (see exceptions)','created_at' => NULL,'updated_at' => NULL),
          array('id' => '611','code' => '393.86(a)(5)','description' => 'Rear Impact Guard Cross-section vertical height insufficient for trailer manufactured on or after January 26, 1998','created_at' => NULL,'updated_at' => NULL),
          array('id' => '610','code' => '393.86(a)(4)','description' => 'Rear Impact Guard not within 12 in of rear of vehicle at 22 in above the ground','created_at' => NULL,'updated_at' => NULL),
          array('id' => '609','code' => '393.86(a)(3)','description' => 'Rear Impact Guard having improper height - trailer manufactured on or after January 26, 1998','created_at' => NULL,'updated_at' => NULL),
          array('id' => '608','code' => '393.86(a)(2)','description' => 'Rear Impact Guard having improper width - trailer manufactured on or after January 26, 1998','created_at' => NULL,'updated_at' => NULL),
          array('id' => '607','code' => '393.86(a)(1)','description' => 'Rear Impact Guards Required - trailer manufactured on or after January 26, 1998','created_at' => NULL,'updated_at' => NULL),
          array('id' => '606','code' => '393.84','description' => 'Inadequate floor condition','created_at' => NULL,'updated_at' => NULL),
          array('id' => '605','code' => '393.83(h)','description' => 'Exhaust system not securely fastened','created_at' => NULL,'updated_at' => NULL),
          array('id' => '604','code' => '393.83(g)5','description' => 'Exhaust leak under driver and/or sleeper compartment','created_at' => NULL,'updated_at' => NULL),
          array('id' => '603','code' => '393.83(f)','description' => 'Improper exhaust system repair (patch/wrap)','created_at' => NULL,'updated_at' => NULL),
          array('id' => '601','code' => '393.83(d)5','description' => 'Improper exhaust - Bus (Powered by other than Gasoline)','created_at' => NULL,'updated_at' => NULL),
          array('id' => '602','code' => '393.83(e)','description' => 'Improper exhaust discharge (not rear of cab)','created_at' => NULL,'updated_at' => NULL),
          array('id' => '600','code' => '393.83(c)5','description' => 'Improper exhaust - Bus (Powered by gasoline)','created_at' => NULL,'updated_at' => NULL),
          array('id' => '597','code' => '393.82','description' => 'Speedometer inoperative / inadequate','created_at' => NULL,'updated_at' => NULL),
          array('id' => '598','code' => '393.83(a)','description' => 'Exhaust system location','created_at' => NULL,'updated_at' => NULL),
          array('id' => '599','code' => '393.83(b)','description' => 'Exhaust discharge fuel tank/filler tube','created_at' => NULL,'updated_at' => NULL),
          array('id' => '596','code' => '393.81','description' => 'Horn inoperative','created_at' => NULL,'updated_at' => NULL),
          array('id' => '595','code' => '393.8','description' => 'No or defective rear-vision mirror','created_at' => NULL,'updated_at' => NULL),
          array('id' => '594','code' => '393.79','description' => 'Defroster / Defogger inoperative','created_at' => NULL,'updated_at' => NULL),
          array('id' => '593','code' => '393.78','description' => 'Windshield wipers inoperative/defective','created_at' => NULL,'updated_at' => NULL),
          array('id' => '592','code' => '393.77(b)(5)','description' => 'Protection of operating controls from tampering','created_at' => NULL,'updated_at' => NULL),
          array('id' => '591','code' => '393.77(b)(11)','description' => 'Bus heater fuel tank location ','created_at' => NULL,'updated_at' => NULL),
          array('id' => '590','code' => '393.77','description' => 'Defective and/or prohibited heaters','created_at' => NULL,'updated_at' => NULL),
          array('id' => '589','code' => '393.76','description' => 'Sleeper berth requirement violations','created_at' => NULL,'updated_at' => NULL),
          array('id' => '588','code' => '393.75I1?','description' => 'Operating a CMV while weight carried exceeds tire rating due to under-inflation','created_at' => NULL,'updated_at' => NULL),
          array('id' => '587','code' => '393.75(h)','description' => 'Tire underinflated','created_at' => NULL,'updated_at' => NULL),
          array('id' => '586','code' => '393.75G-LOAD?','description' => 'Weight carried exceeds tire load limit','created_at' => NULL,'updated_at' => NULL),
          array('id' => '585','code' => '393.75(f)(2)','description' => 'Tire underinflated','created_at' => NULL,'updated_at' => NULL),
          array('id' => '584','code' => '393.75(f)(1)','description' => 'Weight carried exceeds tire load limit','created_at' => NULL,'updated_at' => NULL),
          array('id' => '583','code' => '393.75F-SPEED?','description' => 'Operating a CMV at speeds exceeding the speed-restriction label of the tire.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '582','code' => '393.75(f)','description' => 'Tire ','created_at' => NULL,'updated_at' => NULL),
          array('id' => '581','code' => '393.75(e)','description' => 'Regrooved Tire on front of truck or truck-tractor','created_at' => NULL,'updated_at' => NULL),
          array('id' => '580','code' => '393.75(d)','description' => 'Regrooved or recapped tire on front wheel of bus','created_at' => NULL,'updated_at' => NULL),
          array('id' => '579','code' => '393.75C-OOS?','description' => 'Tire-other tread depth less than 1/32 of inch measured in 2 adjacent major tread grooves 3 separate locations 8 inches apart','created_at' => NULL,'updated_at' => NULL),
          array('id' => '578','code' => '393.75(c)','description' => 'Tire-other tread depth less than 2/32 of inch measured in a major tread groove','created_at' => NULL,'updated_at' => NULL),
          array('id' => '577','code' => '393.75B-OOS?','description' => 'Tire-front tread depth less than 2/32 of inch on a major tread groove','created_at' => NULL,'updated_at' => NULL),
          array('id' => '576','code' => '393.75(b)','description' => 'Tire-front tread depth less than 4/32 of inch on a major tread groove','created_at' => NULL,'updated_at' => NULL),
          array('id' => '575','code' => '393.75(a)(4)','description' => 'Tire-cut exposing ply and/or belt material','created_at' => NULL,'updated_at' => NULL),
          array('id' => '574','code' => '393.75(a)(3)','description' => 'Tire-flat and/or audible air leak','created_at' => NULL,'updated_at' => NULL),
          array('id' => '573','code' => '393.75(a)(2)','description' => 'Tire-tread and/or sidewall separation','created_at' => NULL,'updated_at' => NULL),
          array('id' => '571','code' => '393.75(a)','description' => 'Flat tire or fabric exposed','created_at' => NULL,'updated_at' => NULL),
          array('id' => '572','code' => '393.75(a)(1)','description' => 'Tire-ply or belt material exposed','created_at' => NULL,'updated_at' => NULL),
          array('id' => '570','code' => '393.71K-SML4','description' => 'Lower Saddlemount - Missing Fasteners, loose, cracked, or excessive movement','created_at' => NULL,'updated_at' => NULL),
          array('id' => '569','code' => '393.71J-SMU4','description' => 'Upper Saddlemount - Missing Fasteners, loose, cracked, or excessive movement','created_at' => NULL,'updated_at' => NULL),
          array('id' => '568','code' => '393.71(h)(10)','description' => 'No or Improper safety chains for towbar','created_at' => NULL,'updated_at' => NULL),
          array('id' => '567','code' => '393.71(h)','description' => 'Towbar requirement violations','created_at' => NULL,'updated_at' => NULL),
          array('id' => '566','code' => '393.71(g)','description' => 'Prohibited towing connection / device','created_at' => NULL,'updated_at' => NULL),
          array('id' => '565','code' => '393.71B33','description' => 'Improper weight distribution drive-away/towaway','created_at' => NULL,'updated_at' => NULL),
          array('id' => '564','code' => '393.71','description' => 'Improper coupling driveaway/towaway operation','created_at' => NULL,'updated_at' => NULL),
          array('id' => '563','code' => '393.70(d)(8)','description' => 'Improper safety chain attachment','created_at' => NULL,'updated_at' => NULL),
          array('id' => '562','code' => '393.70(d)','description' => 'No or improper safety chains or cables for full trailer','created_at' => NULL,'updated_at' => NULL),
          array('id' => '561','code' => '393.70(c)','description' => 'Defective coupling devices for full trailer','created_at' => NULL,'updated_at' => NULL),
          array('id' => '560','code' => '393.70B2-ENGAGED4','description' => 'Kingpin not properly engaged','created_at' => NULL,'updated_at' => NULL),
          array('id' => '559','code' => '393.70(b)(2)','description' => 'Defective fifth wheel locking mechanism','created_at' => NULL,'updated_at' => NULL),
          array('id' => '558','code' => '393.70B1II-FWURWY','description' => 'Upper coupler assembly repair weld cracked.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '557','code' => '393.70B1II-FWUCWY','description' => 'Upper coupler assembly welds are crack on either side, front or back of the upper coupler, more than 20 percent of the total length of all original welds.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '556','code' => '393.70B1II-FWUCGY','description' => 'Upper coupler assembly crack or gap caused by corrosion more than 1/8 inch (3.2 mm) or more in width.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '555','code' => '393.70B1II-FWUCY','description' => 'Upper coupler assembly parent metal cracked, extending more than 20 percent of the distance across the metal in the direction of the crack.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '554','code' => '393.70B1II-FWCM4','description' => 'Fifth wheel - any movement between components','created_at' => NULL,'updated_at' => NULL),
          array('id' => '553','code' => '393.70B1II','description' => 'Defective / Improper fifth wheel assembly upper half','created_at' => NULL,'updated_at' => NULL),
          array('id' => '551','code' => '393.70B1I-SCY','description' => 'Slide curl broken, cracked or repaired by welding','created_at' => NULL,'updated_at' => NULL),
          array('id' => '552','code' => '393.70B1I-WY','description' => 'Fifth wheel more than 20 percent of the total length of all the original welds are cracked on either side of the vehicle.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '550','code' => '393.70B1I-RWY','description' => 'Fifth Wheel repair weld is cracked','created_at' => NULL,'updated_at' => NULL),
          array('id' => '549','code' => '393.70B1I-MPCY','description' => 'Crack in the mounting plate or pivot bracket (parent metal) extending more than 20 percent of the distance across the metal in the direction of the crack.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '548','code' => '393.70B1I-CY','description' => 'Fifth wheel cracked or a gap caused by corrosion 1/8 inch (3.2 mm) or more in width.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '547','code' => '393.70B1IY5','description' => 'Defective latching fasteners - Fasteners on either side of the vehicle are missing or ineffective','created_at' => NULL,'updated_at' => NULL),
          array('id' => '546','code' => '393.70(b)','description' => 'Defective/improper fifth wheel assemblies','created_at' => NULL,'updated_at' => NULL),
          array('id' => '545','code' => '393.70(a)','description' => 'Defective coupling device-improper tracking','created_at' => NULL,'updated_at' => NULL),
          array('id' => '544','code' => '393.7','description' => 'Fifth wheel','created_at' => NULL,'updated_at' => NULL),
          array('id' => '543','code' => '393.68','description' => 'CNG Fuel Container does not conform to regulations','created_at' => NULL,'updated_at' => NULL),
          array('id' => '542','code' => '393.67(c)(8)','description' => 'Improper fuel tank safety vent','created_at' => NULL,'updated_at' => NULL),
          array('id' => '541','code' => '393.67(c)(7)','description' => 'Fuel tank fill pipe cap missing','created_at' => NULL,'updated_at' => NULL),
          array('id' => '540','code' => '393.67','description' => 'Fuel tank requirement violations','created_at' => NULL,'updated_at' => NULL),
          array('id' => '539','code' => '393.65(f)','description' => 'Improper fuel line protection','created_at' => NULL,'updated_at' => NULL),
          array('id' => '538','code' => '393.65(c)','description' => 'Improper securement of fuel tank','created_at' => NULL,'updated_at' => NULL),
          array('id' => '537','code' => '393.65(b)','description' => 'Improper location of fuel system','created_at' => NULL,'updated_at' => NULL),
          array('id' => '536','code' => '393.65','description' => 'Fuel system requirements','created_at' => NULL,'updated_at' => NULL),
          array('id' => '535','code' => '393.62(e)','description' => 'No or inadequate bus emergency exit marking','created_at' => NULL,'updated_at' => NULL),
          array('id' => '534','code' => '393.62(d)','description' => 'No or Defective Safety glass and/or push-out window','created_at' => NULL,'updated_at' => NULL),
          array('id' => '533','code' => '393.62(c)','description' => 'No or Defective bus emergency exit windows','created_at' => NULL,'updated_at' => NULL),
          array('id' => '532','code' => '393.62(b)','description' => 'No or defective bus emergency exits, manufactured on or after 9/1/1973 but before 9/1/1994','created_at' => NULL,'updated_at' => NULL),
          array('id' => '531','code' => '393.62(a)','description' => 'No or Defective bus emergency exits','created_at' => NULL,'updated_at' => NULL),
          array('id' => '530','code' => '393.61','description' => 'Inadequate or missing truck side windows','created_at' => NULL,'updated_at' => NULL),
          array('id' => '529','code' => '393.60(d)','description' => 'Glazing permits < 70% of light','created_at' => NULL,'updated_at' => NULL),
          array('id' => '528','code' => '393.60(c)','description' => 'Damaged or discolored windshield','created_at' => NULL,'updated_at' => NULL),
          array('id' => '527','code' => '393.60(b)','description' => 'Each bus and truck shall be equipped with a windshield','created_at' => NULL,'updated_at' => NULL),
          array('id' => '526','code' => '393.60EWS','description' => 'Windshield - Obstructed','created_at' => NULL,'updated_at' => NULL),
          array('id' => '525','code' => '393.55(e)','description' => 'No or Defective ABS Malfunction Indicator Lamp for trailer manufactured after 03/01/1998','created_at' => NULL,'updated_at' => NULL),
          array('id' => '524','code' => '393.55(d)(3)','description' => 'No or Defective ABS Malfunction Indicator for towed vehicles on vehicles manufactured after February 2001','created_at' => NULL,'updated_at' => NULL),
          array('id' => '523','code' => '393.55(d)(2)','description' => 'CMV manufactured on/after 3/1/2001 not equipped with ABS malfunction circuit / lamp from towed vehicle in cab.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '522','code' => '393.55(d)(1)','description' => 'CMV not equipped with ABS malfunction circuit or signal (Truck-Tractor mfg on/after 3/1/1997; Straight Truck mfg on/after 3/1/1998)','created_at' => NULL,'updated_at' => NULL),
          array('id' => '521','code' => '393.55(c)(2)','description' => 'CMV other than truck-tractor manufactured on or after March 1, 1998 not equipped with an antilock brake system.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '520','code' => '393.55(c)(1)','description' => 'Truck Tractor manufactured on or after March 1, 1997 not equipped with an antilock brake system.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '519','code' => '393.55(b)','description' => 'ABS malfunction indicators for hydr brake sys','created_at' => NULL,'updated_at' => NULL),
          array('id' => '518','code' => '393.55(a)','description' => 'ABS required on all CMVs with hydraulic brakes manufactured after February 1999','created_at' => NULL,'updated_at' => NULL),
          array('id' => '517','code' => '393.53(c)','description' => 'No or Defective Brake Adjustment Indicator on Air Brake System for vehicle manufactured after 10/19/1994','created_at' => NULL,'updated_at' => NULL),
          array('id' => '516','code' => '393.53BMANY','description' => 'CMV manufactured after 10/20/1994 is not equipped with automatic air brake adjusters.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '515','code' => '393.53(b)','description' => 'CMV manufactured after 10/19/94 has an automatic airbrake adjustment system that fails to compensate for wear','created_at' => NULL,'updated_at' => NULL),
          array('id' => '514','code' => '393.53(a)','description' => 'No Automatic Brake Adjuster for Hydraulic Brake Systems for vehicle manufactured on or after 10/20/1993','created_at' => NULL,'updated_at' => NULL),
          array('id' => '513','code' => '393.52(a)(1)','description' => 'Insufficient Braking Force as a Percentage of Gross Vehicle Weight or Gross Combination Weight','created_at' => NULL,'updated_at' => NULL),
          array('id' => '511','code' => '393.50(d)','description' => 'No/Defective air reservoir drain valve','created_at' => NULL,'updated_at' => NULL),
          array('id' => '512','code' => '393.515','description' => 'No or defective brake warning device or pressure gauge','created_at' => NULL,'updated_at' => NULL),
          array('id' => '510','code' => '393.50(c)','description' => 'No means to ensure operable check valve','created_at' => NULL,'updated_at' => NULL),
          array('id' => '508','code' => '393.50(a)','description' => 'Failing to have sufficient air/vacuum reserve','created_at' => NULL,'updated_at' => NULL),
          array('id' => '509','code' => '393.50(b)','description' => 'Failing to equip vehicle air brake system with adequate reserve capacity or reservoir','created_at' => NULL,'updated_at' => NULL),
          array('id' => '507','code' => '393.5','description' => 'Inadequate reservoir for air/vacuum brakes','created_at' => NULL,'updated_at' => NULL),
          array('id' => '506','code' => '393.48(b)(1)','description' => 'Defective brake limiting device','created_at' => NULL,'updated_at' => NULL),
          array('id' => '504','code' => '393.48A-BS4','description' => 'Brake - Smoking','created_at' => NULL,'updated_at' => NULL),
          array('id' => '505','code' => '393.48A-BSRFS','description' => 'Brakes - Severe rusting of brake rotor (disc)','created_at' => NULL,'updated_at' => NULL),
          array('id' => '503','code' => '393.48A-BRMMC','description' => 'Brakes - Rotor (disc) metal-to-metal contact','created_at' => NULL,'updated_at' => NULL),
          array('id' => '502','code' => '393.48A-BMBC5','description' => 'All Brakes - Missing or Broken Components including Pad Retaining Components and loose or missing caliper mounting bolt(s)','created_at' => NULL,'updated_at' => NULL),
          array('id' => '500','code' => '393.48(a)','description' => 'Inoperative/defective brakes','created_at' => NULL,'updated_at' => NULL),
          array('id' => '501','code' => '393.48A-BCM','description' => 'Brakes - Hydraulic Brake Caliper movement exceeds 1/8" (0.125") (3.175 mm)','created_at' => NULL,'updated_at' => NULL),
          array('id' => '499','code' => '393.47(g)','description' => 'Insufficient Brake Drum or Rotor thickness','created_at' => NULL,'updated_at' => NULL),
          array('id' => '498','code' => '393.47(f)','description' => 'Wedge type brake(s) out-of-adjustment','created_at' => NULL,'updated_at' => NULL),
          array('id' => '497','code' => '393.47(e)','description' => 'Clamp or Roto type brake out-of-adjustment','created_at' => NULL,'updated_at' => NULL),
          array('id' => '496','code' => '393.47(d)5','description' => 'All Brakes - Insufficient brake lining thickness','created_at' => NULL,'updated_at' => NULL),
          array('id' => '495','code' => '393.47(c)','description' => 'Mis-matched slack adjuster effective length','created_at' => NULL,'updated_at' => NULL),
          array('id' => '494','code' => '393.47(b)','description' => 'Mis-matched brake chambers on same axle','created_at' => NULL,'updated_at' => NULL),
          array('id' => '493','code' => '393.47A-RW4','description' => 'Brake rotor worn to or through center vents','created_at' => NULL,'updated_at' => NULL),
          array('id' => '492','code' => '393.47A-RM4','description' => 'Brake rotor or drum - piece missing or in danger of falling away','created_at' => NULL,'updated_at' => NULL),
          array('id' => '491','code' => '393.47A-CR4','description' => 'Rotor (disc) cracked more than 75 percent of the friction surface completely through the rotor or completely through a solid rotor or completely through a structural support','created_at' => NULL,'updated_at' => NULL),
          array('id' => '490','code' => '393.47A-CD4','description' => 'Brake drum with external crack or crack that opens upon application','created_at' => NULL,'updated_at' => NULL),
          array('id' => '488','code' => '393.45DLUV','description' => 'Brake Connections with Leaks Under Vehicle','created_at' => NULL,'updated_at' => NULL),
          array('id' => '489','code' => '393.47(a)5','description' => 'Inadequate brakes for safe stopping - Brake Lining condition','created_at' => NULL,'updated_at' => NULL),
          array('id' => '487','code' => '393.45DLPC','description' => 'Brake Connections with Leaks - Connection to Power Unit','created_at' => NULL,'updated_at' => NULL),
          array('id' => '485','code' => '393.45DCPC','description' => 'Brake Connections with Constrictions - Connection to Power Unit','created_at' => NULL,'updated_at' => NULL),
          array('id' => '486','code' => '393.45DCUV','description' => 'Brake Connections with Constrictions Under Vehicle','created_at' => NULL,'updated_at' => NULL),
          array('id' => '484','code' => '393.45(d)','description' => 'Brake connections with leaks or constrictions','created_at' => NULL,'updated_at' => NULL),
          array('id' => '482','code' => '393.45B2UV','description' => 'Brake Hose or Tubing Chafing and/or Kinking Under Vehicle','created_at' => NULL,'updated_at' => NULL),
          array('id' => '483','code' => '393.45(b)(3)','description' => 'Brake hose or tubing contacting exhaust system','created_at' => NULL,'updated_at' => NULL),
          array('id' => '481','code' => '393.45B2PC','description' => 'Brake Hose or Tubing Chafing and/or Kinking - Connection to Power Unit','created_at' => NULL,'updated_at' => NULL),
          array('id' => '480','code' => '393.45(b)(2)','description' => 'Brake hose or tubing chafing and/or kinking','created_at' => NULL,'updated_at' => NULL),
          array('id' => '479','code' => '393.45UV','description' => 'Brake Tubing and Hose Adequacy Under Vehicle','created_at' => NULL,'updated_at' => NULL),
          array('id' => '478','code' => '393.45PC ','description' => 'Brake Tubing and Hose Adequacy - Connections to Power Unit','created_at' => NULL,'updated_at' => NULL),
          array('id' => '477','code' => '393.45A-HJSY','description' => 'Hydraulic Brake tubing improperly joined or spliced ','created_at' => NULL,'updated_at' => NULL),
          array('id' => '476','code' => '393.45A-HBL4','description' => 'Hydraulic Brake - leaking on application','created_at' => NULL,'updated_at' => NULL),
          array('id' => '474','code' => '393.45','description' => 'Brake tubing and hose adequacy','created_at' => NULL,'updated_at' => NULL),
          array('id' => '475','code' => '393.45A-AJS4','description' => 'Air Brake tubing improperly joined or spliced','created_at' => NULL,'updated_at' => NULL),
          array('id' => '473','code' => '393.44','description' => 'No or defective bus front brake line protection','created_at' => NULL,'updated_at' => NULL),
          array('id' => '472','code' => '393.43(d)','description' => 'No or defective automatic trailer brake','created_at' => NULL,'updated_at' => NULL),
          array('id' => '471','code' => '393.43(a)','description' => 'No/improper tractor protection valve','created_at' => NULL,'updated_at' => NULL),
          array('id' => '470','code' => '393.43','description' => 'No/improper breakaway or emergency braking','created_at' => NULL,'updated_at' => NULL),
          array('id' => '469','code' => '393.42A-BM-TSA','description' => 'Brake - Missing on a trailer steering axle.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '468','code' => '393.42A-BMAW','description' => 'Brake - All wheels not equipped with brakes as required.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '467','code' => '393.42A-BM','description' => 'Brake - Missing required brake.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '466','code' => '393.42','description' => 'No brakes as required - Explain: ','created_at' => NULL,'updated_at' => NULL),
          array('id' => '465','code' => '393.41','description' => 'No or defective parking brake system on CMV','created_at' => NULL,'updated_at' => NULL),
          array('id' => '464','code' => '393.40B4','description' => 'Brakes - no pedal reserve','created_at' => NULL,'updated_at' => NULL),
          array('id' => '462','code' => '393.3','description' => 'Improper battery installation','created_at' => NULL,'updated_at' => NULL),
          array('id' => '463','code' => '393.4','description' => 'Inadequate brake system on a CMV','created_at' => NULL,'updated_at' => NULL),
          array('id' => '461','code' => '393.28','description' => 'Improper or no wiring protection as required','created_at' => NULL,'updated_at' => NULL),
          array('id' => '460','code' => '393.26','description' => 'Requirements for reflectors','created_at' => NULL,'updated_at' => NULL),
          array('id' => '459','code' => '393.25(f)','description' => 'Stop lamp violations','created_at' => NULL,'updated_at' => NULL),
          array('id' => '458','code' => '393.25(e)','description' => 'Lamp not steady burning','created_at' => NULL,'updated_at' => NULL),
          array('id' => '457','code' => '393.25(b)','description' => 'Lamps are not visible as required','created_at' => NULL,'updated_at' => NULL),
          array('id' => '456','code' => '393.25(a)','description' => 'Improper Lamp Mounting','created_at' => NULL,'updated_at' => NULL),
          array('id' => '455','code' => '393.24(d)','description' => 'Improper Head / Auxiliary / Fog lamp aiming','created_at' => NULL,'updated_at' => NULL),
          array('id' => '454','code' => '393.24(c)','description' => 'Improper Headlamp mounting','created_at' => NULL,'updated_at' => NULL),
          array('id' => '453','code' => '393.24BR','description' => 'Non-compliant fog or driving lamps','created_at' => NULL,'updated_at' => NULL),
          array('id' => '452','code' => '393.24(b)','description' => 'Noncompliant fog/driving lamps','created_at' => NULL,'updated_at' => NULL),
          array('id' => '451','code' => '393.24(a)','description' => 'Non-compliance with headlamp requirements','created_at' => NULL,'updated_at' => NULL),
          array('id' => '450','code' => '393.23PT','description' => 'All required lamps on towed vehicle inoperative due to no electrical connection','created_at' => NULL,'updated_at' => NULL),
          array('id' => '449','code' => '393.23','description' => 'Required lamp not powered by vehicle electric','created_at' => NULL,'updated_at' => NULL),
          array('id' => '448','code' => '393.19','description' => 'Inoperative/Defective Hazard Warning Lamp','created_at' => NULL,'updated_at' => NULL),
          array('id' => '447','code' => '393.17(b)','description' => 'No/defective towaway lamps on rear unit','created_at' => NULL,'updated_at' => NULL),
          array('id' => '446','code' => '393.17(a)','description' => 'No/defective lamps-towing unit-towaway operation','created_at' => NULL,'updated_at' => NULL),
          array('id' => '445','code' => '393.17','description' => 'No/defective lamp/reflector-towaway operation','created_at' => NULL,'updated_at' => NULL),
          array('id' => '444','code' => '393.13(d)(3)','description' => 'Upper rear retroreflective sheeting or reflex reflective material as required for vehicles manufactured before December 1993','created_at' => NULL,'updated_at' => NULL),
          array('id' => '443','code' => '393.13(d)(2)','description' => 'Improper Lower Rear Placement of retroreflective sheeting or reflex reflective material requirements for vehicles manufactured before December 1993','created_at' => NULL,'updated_at' => NULL),
          array('id' => '442','code' => '393.13(d)(1)','description' => 'Improper Side Placement of retroreflective sheeting or reflex reflective material as required for vehicles manufactured before December 1993','created_at' => NULL,'updated_at' => NULL),
          array('id' => '441','code' => '393.13(c)(3)','description' => 'No Upper Rear retroreflective sheeting or reflex reflective material as required for vehicles manufactured before December 1993','created_at' => NULL,'updated_at' => NULL),
          array('id' => '440','code' => '393.13(c)(2)','description' => 'No Lower Rear retroreflective sheeting or reflex reflective material as required for vehicles manufactured before December 1993','created_at' => NULL,'updated_at' => NULL),
          array('id' => '439','code' => '393.13(c)(1)','description' => 'No Side retroreflective sheeting or reflex reflective material as required for vehicles manufactured before December 1993','created_at' => NULL,'updated_at' => NULL),
          array('id' => '438','code' => '393.13(b)','description' => 'No retroreflective sheeting or reflex reflective material as required for vehicles manufactured before December 1993','created_at' => NULL,'updated_at' => NULL),
          array('id' => '437','code' => '393.13(a)','description' => 'Retroreflective tape not affixed as required for Trailers manufactured prior to December 1993','created_at' => NULL,'updated_at' => NULL),
          array('id' => '436','code' => '393.11UR','description' => 'Upper Rear retroreflective sheeting or reflex reflecting material requirements for vehicles manufactured after December 1993','created_at' => NULL,'updated_at' => NULL),
          array('id' => '435','code' => '393.11TU','description' => 'Truck-Tractor upper body corner requirements for retroreflective sheeting or reflex reflective material for vehicles manufactured after July 1997','created_at' => NULL,'updated_at' => NULL),
          array('id' => '434','code' => '393.11TT','description' => 'Truck-Tractor with No retroreflective sheeting or reflex reflective material on vehicle manufactured after July 1997','created_at' => NULL,'updated_at' => NULL),
          array('id' => '433','code' => '393.11TL','description' => 'Truck-Tractor lower rear mud flaps retroreflective sheeting / reflex reflective material requirements for vehicles manufactured after July 1997','created_at' => NULL,'updated_at' => NULL),
          array('id' => '432','code' => '393.11S','description' => 'Side retroreflective sheeting or reflex reflector requirements for vehicles manufactured after December 1993','created_at' => NULL,'updated_at' => NULL),
          array('id' => '431','code' => '393.11RT','description' => 'Retroreflective material not affixed as required for trailers manufactured after December 1993','created_at' => NULL,'updated_at' => NULL),
          array('id' => '430','code' => '393.11N','description' => 'No retroreflective sheeting or reflex reflective materials as required for vehicles manufactured after December 1993','created_at' => NULL,'updated_at' => NULL),
          array('id' => '429','code' => '393.11LR','description' => 'No Lower rear retroreflective sheeting or reflex reflective materials as required for vehicles manufactured after December 1993','created_at' => NULL,'updated_at' => NULL),
          array('id' => '428','code' => '393.11','description' => 'No or defective lighting devices or reflective material as required','created_at' => NULL,'updated_at' => NULL),
          array('id' => '427','code' => '393.9TS','description' => 'Inoperative turn signal ','created_at' => NULL,'updated_at' => NULL),
          array('id' => '426','code' => '393.9T','description' => 'Inoperable tail lamp','created_at' => NULL,'updated_at' => NULL),
          array('id' => '425','code' => '393.9H','description' => 'Inoperable head lamps','created_at' => NULL,'updated_at' => NULL),
          array('id' => '424','code' => '393.9BRKLAMP3','description' => 'Inoperative Brake Lamps','created_at' => NULL,'updated_at' => NULL),
          array('id' => '423','code' => '393.9','description' => 'Inoperable Required Lamp','created_at' => NULL,'updated_at' => NULL),
          array('id' => '422','code' => '392.64','description' => 'Riding within the closed body of a commercial vehicle without exits','created_at' => NULL,'updated_at' => NULL),
          array('id' => '421','code' => '392.63','description' => 'Pushing/towing a loaded bus','created_at' => NULL,'updated_at' => NULL),
          array('id' => '420','code' => '392.62(c)(3)','description' => 'Passengers not protected from falling baggage','created_at' => NULL,'updated_at' => NULL),
          array('id' => '419','code' => '392.62(c)(2)','description' => 'Bus - Exit(s) obstructed by baggage/freight','created_at' => NULL,'updated_at' => NULL),
          array('id' => '418','code' => '392.62(c)(1)','description' => 'Bus - baggage/freight restricts driver oper','created_at' => NULL,'updated_at' => NULL),
          array('id' => '417','code' => '392.33','description' => 'Operating CMV with lamps/reflectors obscured','created_at' => NULL,'updated_at' => NULL),
          array('id' => '416','code' => '392.22(b)','description' => 'Failure to place or improper placement of warning devices on the road surface','created_at' => NULL,'updated_at' => NULL),
          array('id' => '415','code' => '392.9(a)(3)','description' => 'Drivers view and/or movement is obstructed','created_at' => NULL,'updated_at' => NULL),
          array('id' => '414','code' => '392.9(a)(2)','description' => 'Failing to secure vehicle equipment','created_at' => NULL,'updated_at' => NULL),
          array('id' => '413','code' => '392.9(a)(1)','description' => 'Failing to secure cargo as specified in 49 CFR 393.100 through 393.142','created_at' => NULL,'updated_at' => NULL),
          array('id' => '412','code' => '392.9(a)','description' => 'Failing to secure load','created_at' => NULL,'updated_at' => NULL),
          array('id' => '411','code' => '392.9','description' => 'Driver may not operate a CMV without proper load securement','created_at' => NULL,'updated_at' => NULL),
          array('id' => '410','code' => '392.8','description' => 'Failing to inspect/use emergency equipment','created_at' => NULL,'updated_at' => NULL),
          array('id' => '409','code' => '392.7(b)3','description' => 'Driver failing to conduct a pre-trip inspection of Intermodal Equipment','created_at' => NULL,'updated_at' => NULL),
          array('id' => '407','code' => '392.7','description' => 'No pre-trip inspection','created_at' => NULL,'updated_at' => NULL),
          array('id' => '408','code' => '392.7(a)','description' => 'Driver failing to conduct pre-trip inspection','created_at' => NULL,'updated_at' => NULL),
          array('id' => '406','code' => '392.2WC','description' => 'Wheel (Mud) Flaps missing or defective','created_at' => NULL,'updated_at' => NULL),
          array('id' => '405','code' => '385.103(c)','description' => 'Failure to display a current CVSA decal: Mexico-domiciled carrier with Provisional Operating Authority','created_at' => NULL,'updated_at' => NULL),
          array('id' => '720','code' => '393.136(c)(1)','description' => 'Use of synthetic webbing to secure boulder','created_at' => NULL,'updated_at' => NULL),
          array('id' => '721','code' => '393.136(d)','description' => 'Improper secure; cubic boulder','created_at' => NULL,'updated_at' => NULL),
          array('id' => '722','code' => '393.136(e)','description' => 'Improper secure; non-cubic boulder w/base','created_at' => NULL,'updated_at' => NULL),
          array('id' => '723','code' => '393.136(f)','description' => 'Improper secure; non-cubic boulder w/o base','created_at' => NULL,'updated_at' => NULL),
          array('id' => '724','code' => '393.201(a)','description' => 'Frame cracked / loose / sagging / broken','created_at' => NULL,'updated_at' => NULL),
          array('id' => '725','code' => '393.201(b)','description' => 'Bolts securing cab broken/loose/missing','created_at' => NULL,'updated_at' => NULL),
          array('id' => '726','code' => '393.201(c)','description' => 'Frame rail flange improperly bent/cut/notched other than by vehicle manufacturer','created_at' => NULL,'updated_at' => NULL),
          array('id' => '727','code' => '393.201(d)','description' => 'Frame accessories improperly attached','created_at' => NULL,'updated_at' => NULL),
          array('id' => '728','code' => '393.201(e)','description' => 'Prohibited holes drilled in frame rail flange','created_at' => NULL,'updated_at' => NULL),
          array('id' => '729','code' => '393.203','description' => 'Cab/body parts requirements violations','created_at' => NULL,'updated_at' => NULL),
          array('id' => '730','code' => '393.203(a)','description' => 'Cab door missing/broken','created_at' => NULL,'updated_at' => NULL),
          array('id' => '731','code' => '393.203(b)','description' => 'Cab/body improperly secured to frame','created_at' => NULL,'updated_at' => NULL),
          array('id' => '732','code' => '393.203(c)','description' => 'Hood not securely fastened','created_at' => NULL,'updated_at' => NULL),
          array('id' => '733','code' => '393.203(d)','description' => 'Cab seats not securely mounted','created_at' => NULL,'updated_at' => NULL),
          array('id' => '734','code' => '393.203(e)','description' => 'Cab front bumper missing/unsecured/protrude','created_at' => NULL,'updated_at' => NULL),
          array('id' => '735','code' => '393.205(a)','description' => 'Wheel/rim cracked or broken','created_at' => NULL,'updated_at' => NULL),
          array('id' => '736','code' => '393.205(b)','description' => 'Stud/bolt holes elongated on wheels','created_at' => NULL,'updated_at' => NULL),
          array('id' => '737','code' => '393.205(c)','description' => 'Wheel fasteners loose and/or missing','created_at' => NULL,'updated_at' => NULL),
          array('id' => '738','code' => '393.207(a)','description' => 'Axle positioning parts defective/missing','created_at' => NULL,'updated_at' => NULL),
          array('id' => '739','code' => '393.207(b)','description' => 'Adjustable axle locking pins missing or not engaged','created_at' => NULL,'updated_at' => NULL),
          array('id' => '740','code' => '393.207(c)','description' => 'Leaf spring assembly defective/missing','created_at' => NULL,'updated_at' => NULL),
          array('id' => '741','code' => '393.207(d)','description' => 'Coil spring cracked and/or broken','created_at' => NULL,'updated_at' => NULL),
          array('id' => '742','code' => '393.207(e)','description' => 'Torsion bar cracked and/or broken','created_at' => NULL,'updated_at' => NULL),
          array('id' => '743','code' => '393.207(f)','description' => 'Air suspension pressure loss','created_at' => NULL,'updated_at' => NULL),
          array('id' => '744','code' => '393.207(g)','description' => 'No / defective air suspension exhaust control','created_at' => NULL,'updated_at' => NULL),
          array('id' => '745','code' => '393.209(a)','description' => 'Steering wheel not secured/broken','created_at' => NULL,'updated_at' => NULL),
          array('id' => '746','code' => '393.209(b)','description' => 'Excessive steering wheel lash','created_at' => NULL,'updated_at' => NULL),
          array('id' => '747','code' => '393.209(c)','description' => 'Loose steering column','created_at' => NULL,'updated_at' => NULL),
          array('id' => '748','code' => '393.209(d)','description' => 'Steering system components worn, welded, or missing','created_at' => NULL,'updated_at' => NULL),
          array('id' => '749','code' => '393.209(e)','description' => 'Power steering violations','created_at' => NULL,'updated_at' => NULL),
          array('id' => '750','code' => '396.1','description' => 'Must have knowledge of and comply with the Federal Motor Carrier Safety Regulations','created_at' => NULL,'updated_at' => NULL),
          array('id' => '751','code' => '396.3(a)(1)5','description' => 'Inspection, repair and maintenance of  parts and accessories','created_at' => NULL,'updated_at' => NULL),
          array('id' => '752','code' => '396.3A1-AR4','description' => 'Brake - Defective Air Reservoir','created_at' => NULL,'updated_at' => NULL),
          array('id' => '753','code' => '396.3A1-AWW4','description' => 'Wheels - Welded Repair on wheel other than Disc-to-Rim attachment','created_at' => NULL,'updated_at' => NULL),
          array('id' => '754','code' => '396.3A1B','description' => 'Brakes (general) Explain: ','created_at' => NULL,'updated_at' => NULL),
          array('id' => '755','code' => '396.3A1BA','description' => 'Bolt-type or DD-3 -type Brake Out of Adjustment','created_at' => NULL,'updated_at' => NULL),
          array('id' => '756','code' => '396.3A1BC','description' => 'Brake-air compressor violation','created_at' => NULL,'updated_at' => NULL),
          array('id' => '757','code' => '396.3A1BD','description' => 'Brake-defective brake drum','created_at' => NULL,'updated_at' => NULL),
          array('id' => '758','code' => '396.3A1-BFL4','description' => 'Brakes - Hydraulic Brake Failure Light missing, inoperative, or stays activated','created_at' => NULL,'updated_at' => NULL),
          array('id' => '759','code' => '396.3A1BL','description' => 'Brake system pressure loss','created_at' => NULL,'updated_at' => NULL),
          array('id' => '760','code' => '396.3A1BOS*','description' => 'BRAKES OUT OF SERVICE: The number of defective brakes is equal to or greater than 20% of the service brakes on the vehicle or combination','created_at' => NULL,'updated_at' => NULL),
          array('id' => '761','code' => '396.3A1-BPA4','description' => 'Brakes - Hydraulic Brake Power Assist / Power Brake Unit / Brake Backup System Inoperative','created_at' => NULL,'updated_at' => NULL),
          array('id' => '762','code' => '396.3A1-CD4','description' => 'C-Dolly - Defective / Missing Locks - not centered','created_at' => NULL,'updated_at' => NULL),
          array('id' => '763','code' => '396.3A1-CDST4','description' => 'Defective coupling devices for semi-trailer.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '764','code' => '396.3A1-CH4','description' => 'Brake - Hole in Spring Brake Housing','created_at' => NULL,'updated_at' => NULL),
          array('id' => '765','code' => '396.3A1DSCB','description' => 'Center Bearing (Carrier Bearing) Cracked / Loose / Broken / Missing','created_at' => NULL,'updated_at' => NULL),
          array('id' => '766','code' => '396.3A1DSDT','description' => 'Drive Shaft Tube Cracked or Twisted','created_at' => NULL,'updated_at' => NULL),
          array('id' => '767','code' => '396.3A1DSUJ5','description' => 'Universal Joint with Loose, Broken, or Missing Component, or Bearing Strap','created_at' => NULL,'updated_at' => NULL),
          array('id' => '768','code' => '396.3A1DSYE','description' => 'Drive Shaft Yoke Ends Cracked / Loose / Broken / Missing','created_at' => NULL,'updated_at' => NULL),
          array('id' => '769','code' => '396.3A1-EC4','description' => 'Bus - Electrical Mountings broken or unsecured','created_at' => NULL,'updated_at' => NULL),
          array('id' => '770','code' => '396.3A1-FA4','description' => 'Front Axle and any other steering components cracked/repair welded','created_at' => NULL,'updated_at' => NULL),
          array('id' => '771','code' => '396.3A1-FWMOV4','description' => 'Fifth wheel- Movement exceeds 1/2 inch','created_at' => NULL,'updated_at' => NULL),
          array('id' => '772','code' => '396.3A1-FWPCY','description' => 'Crack in the fifth wheel plate (parent metal) extending more than 20 percent of the distance across the metal in the direction of the crack.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '773','code' => '396.3A1-FWPGY','description' => 'A crack or gap caused by corrosion that is 1/8 inch (3.2 mm) or more in width in fifth wheel plate.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '774','code' => '396.3A1-FWPRWY','description' => 'Repair weld cracked on fifth wheel plate','created_at' => NULL,'updated_at' => NULL),
          array('id' => '775','code' => '396.3A1-GDRVPY','description' => 'Vehicle with a dripping liquid that vaporizes in the air from a LNG fuel system.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '776','code' => '396.3A1-GLEAKY','description' => 'Vehicle with fuel leakage from a CNG, LNG or LPG system verified by bubble test or gas detection meter.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '777','code' => '396.3A1-GVAPORY','description' => 'Vehicle with a cloud of vapor from a LNG fuel system.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '778','code' => '396.3A1-HC4','description' => 'Hubs - Hub cap missing or broken','created_at' => NULL,'updated_at' => NULL),
          array('id' => '779','code' => '396.3A1-HS4','description' => 'Hub smoking','created_at' => NULL,'updated_at' => NULL),
          array('id' => '780','code' => '396.3A1-LC4','description' => 'Brake - Leak from air chamber','created_at' => NULL,'updated_at' => NULL),
          array('id' => '781','code' => '396.3A1-LLEAKY','description' => 'A liquid fuel system with a dripping leak at any point.','created_at' => NULL,'updated_at' => NULL),
          array('id' => '782','code' => '396.3A1-MCF4','description' => 'Brakes - Hydraulic Fluid level in Master Cylinder low','created_at' => NULL,'updated_at' => NULL),
          array('id' => '783','code' => '396.3A1-PAW4','description' => 'Pitman Arm - welded / missing nuts','created_at' => NULL,'updated_at' => NULL),
          array('id' => '784','code' => '396.3A1-SGB4','description' => 'Steering Gear Box - welded','created_at' => NULL,'updated_at' => NULL),
          array('id' => '785','code' => '396.3A1-SSF4','description' => 'Sliding subframe rail defective','created_at' => NULL,'updated_at' => NULL),
          array('id' => '786','code' => '396.3A1T','description' => 'Tires (general)','created_at' => NULL,'updated_at' => NULL),
          array('id' => '787','code' => '396.3A1-TC4','description' => 'Tire in contact with another part of the vehicle','created_at' => NULL,'updated_at' => NULL),
          array('id' => '788','code' => '396.3A1-TM4','description' => 'Tires - Not for Highway User used on Steering Axle','created_at' => NULL,'updated_at' => NULL),
          array('id' => '789','code' => '396.3A1-TP4','description' => 'Tires - Use of Tire Plug or Cord','created_at' => NULL,'updated_at' => NULL),
          array('id' => '790','code' => '396.3A1-TRDL4','description' => 'Tie Rods / Drag Links - Defective Clamps / Holes / Missing nuts','created_at' => NULL,'updated_at' => NULL),
          array('id' => '791','code' => '396.3A1-TS4','description' => 'Tilt or Telescopic Steering defective','created_at' => NULL,'updated_at' => NULL),
          array('id' => '792','code' => '396.5(a)','description' => 'Failing to ensure that vehicle is properly lubricated','created_at' => NULL,'updated_at' => NULL),
          array('id' => '793','code' => '396.5A-HNLIW','description' => 'Hubs - No visible or measurable lubricant showing in the hub - inner wheel','created_at' => NULL,'updated_at' => NULL),
          array('id' => '794','code' => '396.5A-HNLOW','description' => 'Hubs - No visible or measurable lubricant showing in the hub - outer wheel','created_at' => NULL,'updated_at' => NULL),
          array('id' => '795','code' => '396.5(b)','description' => 'Oil and/or grease leak','created_at' => NULL,'updated_at' => NULL),
          array('id' => '796','code' => '396.5B-HLIW','description' => 'Hubs - Oil and/or Grease Leaking from hub - inner wheel','created_at' => NULL,'updated_at' => NULL),
          array('id' => '797','code' => '396.5B-HLOW','description' => 'Hubs - oil and/or Grease Leaking from hub - outer wheel','created_at' => NULL,'updated_at' => NULL),
          array('id' => '798','code' => '396.5B-HWSLIW','description' => 'Hubs - Wheel seal leaking - inner wheel','created_at' => NULL,'updated_at' => NULL),
          array('id' => '799','code' => '396.5B-HWSLOW','description' => 'Hubs - Wheel seal leaking - outer wheel','created_at' => NULL,'updated_at' => NULL),
          array('id' => '800','code' => '396.7','description' => 'Unsafe operations forbidden','created_at' => NULL,'updated_at' => NULL),
          array('id' => '801','code' => '396.7A-LT4','description' => 'Solid item lodged between dual tires','created_at' => NULL,'updated_at' => NULL),
          array('id' => '802','code' => '396.9(c)(2)','description' => 'Operating an out-of-service vehicle','created_at' => NULL,'updated_at' => NULL),
          array('id' => '803','code' => '396.9(d)(2)','description' => 'Failure to correct defects noted on previous inspection report','created_at' => NULL,'updated_at' => NULL),
          array('id' => '804','code' => '396.11','description' => 'No or inadequate driver vehicle inspection report ','created_at' => NULL,'updated_at' => NULL),
          array('id' => '805','code' => '396.13(c)','description' => 'No reviewing driver signature on DVIR','created_at' => NULL,'updated_at' => NULL),
          array('id' => '806','code' => '396.17(c)','description' => 'Operating a CMV without proof of a periodic inspection','created_at' => NULL,'updated_at' => NULL),
          array('id' => '807','code' => '398.5','description' => 'Failure to maintain vehicle for safe operation - Transportation of Migrant Workers','created_at' => NULL,'updated_at' => NULL),
          array('id' => '808','code' => '398.7','description' => 'Inspection and Maintenance of motor vehicles used for Transportation of Migrant Workers','created_at' => NULL,'updated_at' => NULL),
          array('id' => '809','code' => '399.207','description' => 'Vehicle access requirements violations','created_at' => NULL,'updated_at' => NULL),
          array('id' => '810','code' => '399.211','description' => 'Inadequate maintenance of driver access','created_at' => NULL,'updated_at' => NULL)
        );

        DB::table('company_citations_violation_codes')->truncate();
        DB::table('company_citations_violation_codes')->insert($company_hos_violation_codes);


        $getCompany = Company::get();
        DriverCitationsViolationCode::truncate();
        foreach($getCompany as $company){
                $get_citations_code                 = CompanyCitationsViolationCode::get();
                foreach($get_citations_code as $citationscode){
                    $type_val                   = [];
                    $type_val['company_id']     = $company->id;
                    $type_val['code']    = $citationscode->code;
                    $type_val['description']           = $citationscode->description;
                    DriverCitationsViolationCode::create($type_val);
                }    
        }

        


    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        DB::table('company_citations_violation_codes')->truncate();
    }
}
