<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddIsArrivedToLoadStopsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_stops', function (Blueprint $table) {
            $table->tinyInteger('is_arrived')->default(0)->comment('0=No,1=Yes')->after('status_at');
            $table->datetime('arrived_at')->nullable()->after('is_arrived');
        });

        \DB::statement('ALTER TABLE `load_stops` CHANGE `status` `status` TINYINT(4) NOT NULL DEFAULT "0" COMMENT "0=Pending,1=Complete,2=Reject";');
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_stops', function (Blueprint $table) {
            $table->dropColumn('is_arrived');
            $table->dropColumn('arrived_at');
        });

        \DB::statement('ALTER TABLE `load_stops` CHANGE `status` `status` TINYINT(4) NOT NULL DEFAULT "0" COMMENT "0=Pending,1=Complete,2=Reject,3=Arrived";');
    }
}
