<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class RemoveDetentionStatusToLoadStopsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_stops', function (Blueprint $table) {
            $table->dropColumn(['detention_status', 'detention_start_time', 'detention_end_time']);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_stops', function (Blueprint $table) {
            $table->tinyInteger('detention_status')->default(0)->comment('0=Pending,1=Start,2=Stop and Submit,3=Submit for review')->after('arrived_at');
            $table->datetime('detention_start_time')->nullable()->after('detention_status');
            $table->datetime('detention_end_time')->nullable()->after('detention_start_time');
        });
    }
}
