<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddIsDenyToLoadDetentionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_detentions', function (Blueprint $table) {
            $table->string('free_time')->nullable()->after('detention_end_time');
            $table->string('billed_time')->nullable()->after('free_time');
            $table->float('rate')->nullable()->after('billed_time');
            $table->float('detention_due')->nullable()->after('rate');
            $table->tinyInteger('is_send_to_broker')->default(0)->comment('1=Yes,0=No')->after('detention_due');
            $table->longText('broker_emails')->nullable()->after('is_send_to_broker');
            $table->text('comment')->nullable()->after('broker_emails');

            $table->tinyInteger('is_acknowledge')->default(0)->comment('1=Yes,0=No')->after('comment');
            $table->datetime('acknowledged_at')->nullable()->after('is_acknowledge');
            $table->unsignedBigInteger('acknowledged_by')->nullable()->after('acknowledged_at');

            $table->tinyInteger('is_approve')->default(0)->comment('1=Yes,0=No')->after('acknowledged_by');
            $table->datetime('approved_at')->nullable()->after('is_approve');
            $table->unsignedBigInteger('approved_by')->nullable()->after('approved_at');

            $table->tinyInteger('is_deny')->default(0)->comment('1=Yes,0=No')->after('approved_by');
            $table->datetime('denied_at')->nullable()->after('is_deny');
            $table->unsignedBigInteger('denied_by')->nullable()->after('denied_at');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_detentions', function (Blueprint $table) {
            $table->dropColumn(['free_time','billed_time','rate','detention_due','is_send_to_broker','broker_emails','comment','is_acknowledge','acknowledged_at','acknowledged_by','is_approve','approved_at','approved_by','is_deny','denied_at','denied_by']);
        });
    }
}
