<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddReviewStatusToLoadDetentionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_detentions', function (Blueprint $table) {
            $table->enum('review_status', ['Pending', 'Acknowledge', 'Acknowledge and Send', 'Approve', 'Save and Send', 'Deny Detention Request'])->default('Pending')->after('comment');
            $table->datetime('review_at')->nullable()->after('review_status');
            $table->unsignedBigInteger('review_by')->nullable()->after('review_at');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_detentions', function (Blueprint $table) {
            $table->dropColumn(['review_status','review_at','review_by']);
        });
    }
}
