<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMaintenanceAppointmentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('maintenance_appointments', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->integer('customer_id')->default(0);
            $table->string('summary')->nullable();
            $table->string('description')->nullable();
            $table->integer('type')->nullable();
            $table->string('location')->nullable();
            $table->integer('reminders_schedule')->nullable();
            $table->integer('all_days')->nullable();
            $table->datetime('start_time')->nullable();
            $table->datetime('end_time')->nullable();
            $table->integer('owner')->nullable();
            $table->integer('attendees')->nullable();
            $table->integer('do_not_email_invitation')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('maintenance_appointments');
    }
}
