<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddSignatureToLoadDetentionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_detentions', function (Blueprint $table) {
            $table->string('adjusted_billed_time')->nullable()->after('billed_time');
            $table->float('adjusted_rate')->nullable()->after('rate');
            $table->string('signature')->nullable()->after('broker_view_ip');
            $table->string('signature_name')->nullable()->after('signature');
            $table->datetime('signature_datetime')->nullable()->after('signature_name');
            $table->tinyInteger('is_broker_review_status')->default(0)->comment('1=Yes,0=No')->after('signature_datetime');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_detentions', function (Blueprint $table) {
            $table->dropColumn(['adjusted_billed_time','adjusted_rate','signature','signature_name','signature_datetime','is_broker_review_status']);
        });
    }
}
