<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddReviewUserTypeToLoadDetentionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_detentions', function (Blueprint $table) {
            $table->enum('stopped_user_type', ['Company Admin', 'Driver'])->nullable()->after('broker_acknowledgement_ip');
            $table->enum('approved_user_type', ['Company Admin', 'Broker'])->nullable()->after('sent_to');
            $table->enum('denied_user_type', ['Company Admin', 'Broker'])->nullable()->after('approved_ip');
            $table->enum('review_user_type', ['Company Admin', 'Broker', 'Driver'])->nullable()->after('broker_review_status_ip');
            $table->dropColumn(['is_broker_review_status']);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_detentions', function (Blueprint $table) {
            $table->dropColumn(['stopped_user_type','approved_user_type','denied_user_type','review_user_type']);
            $table->tinyInteger('is_broker_review_status')->default(0)->comment('1=Yes,0=No')->after('signature_datetime');
        });
    }
}
