<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddIndexingToMoreTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->index('load_id');
            $table->index('driver_id');
            $table->index('submitted_by');
            $table->index('booked_by');
            
            $table->index(['load_id','driver_id']);
            $table->index(['load_id','submitted_by']);
            $table->index(['load_id','booked_by']);
            $table->index(['load_id','driver_id','submitted_by','booked_by']);
        });
        Schema::table('load_drivers', function (Blueprint $table) {
            $table->index('load_id');
            $table->index('load_detail_id');
            $table->index('driver_id');
        });
        Schema::table('drivers', function (Blueprint $table) {
            $table->index('team_id');
            $table->index('manager_id');
        });
        Schema::table('driver_financials', function (Blueprint $table) {
            $table->index('driver_id');
            $table->index('team_id');
        });

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {

        Schema::table('load_details', function (Blueprint $table) {
            $table->dropIndex(['load_id']);
            $table->dropIndex(['driver_id']);
            $table->dropIndex(['submitted_by']);
            $table->dropIndex(['booked_by']);

            $table->dropIndex(['load_id','driver_id']);
            $table->dropIndex(['load_id','submitted_by']);
            $table->dropIndex(['load_id','booked_by']);
            $table->dropIndex(['load_id','driver_id','submitted_by','booked_by']);
        });
        Schema::table('load_drivers', function (Blueprint $table) {
            $table->dropIndex(['load_id']);
            $table->dropIndex(['load_detail_id']);
            $table->dropIndex(['driver_id']);
        });
        Schema::table('drivers', function (Blueprint $table) {
            $table->dropIndex(['team_id']);
            $table->dropIndex(['manager_id']);
        });
        Schema::table('driver_financials', function (Blueprint $table) {
            $table->dropIndex(['driver_id']);
            $table->dropIndex(['team_id']);
        });

    }
}
