<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddBrokerDeniedAtToLoadDetentionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_detentions', function (Blueprint $table) {
            $table->datetime('broker_denied_at')->nullable()->after('amended_ip');
            $table->unsignedBigInteger('broker_denied_by')->nullable()->after('broker_denied_at');
            $table->string('broker_denied_ip', 64)->nullable()->after('broker_denied_by');
        });

        \DB::statement("ALTER TABLE `load_detentions` CHANGE `review_status` `review_status` ENUM('In Progress','In Progress - Acknowledged','In Progress - Acknowledged - Sent to broker','In Progress - Acknowledged - Seen by broker','Detention Stopped - Pending Approval','In Progress - Sent to broker','Pending Broker Review','Broker Amendment Request','Broker Denied Request','Denied','Completed') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'In Progress';");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_detentions', function (Blueprint $table) {
            $table->dropColumn(['broker_denied_at','broker_denied_by','broker_denied_ip']);
        });

        \DB::statement("ALTER TABLE `load_detentions` CHANGE `review_status` `review_status` ENUM('In Progress','In Progress - Acknowledged','In Progress - Acknowledged - Sent to broker','In Progress - Acknowledged - Seen by broker','Detention Stopped - Pending Approval','In Progress - Sent to broker','Pending Broker Review','Broker Amendment Request','Denied','Completed') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'In Progress';");
    }
}
