<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddIndexing2ToMoreTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->index(['occupied_pickup_day']);
            $table->index(['shipper_date_time']);
            $table->index(['shipper_date_time_end']);
            $table->index(['actual_shipper_date']);
            $table->index(['delivery_date_time']);
            $table->index(['delivery_date_time_end']);
            $table->index(['actual_delivery_date']);
            $table->index(['load_status']);
            $table->index(['load_type']);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->dropIndex(['occupied_pickup_day']);
            $table->dropIndex(['shipper_date_time']);
            $table->dropIndex(['shipper_date_time_end']);
            $table->dropIndex(['actual_shipper_date']);
            $table->dropIndex(['delivery_date_time']);
            $table->dropIndex(['delivery_date_time_end']);
            $table->dropIndex(['actual_delivery_date']);
            $table->dropIndex(['load_status']);
            $table->dropIndex(['load_type']);
        });
    }
}
