<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddIndexingToTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('drivers', function (Blueprint $table) {
            $table->index('company_id');
            $table->index('samsara_id');
            $table->index('first_name');
            $table->index('last_name');
        });
        Schema::table('driver_financials', function (Blueprint $table) {
            $table->index('occupancy');
        });
        Schema::table('driver_informations', function (Blueprint $table) {
            $table->index('driver_id');
        });
        Schema::table('teams', function (Blueprint $table) {
            $table->index('company_id');
        });
        Schema::table('load_details', function (Blueprint $table) {
            $table->index('trailer_type');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('drivers', function (Blueprint $table) {
            $table->dropIndex(['company_id']);
            $table->dropIndex(['samsara_id']);
            $table->dropIndex(['first_name']);
            $table->dropIndex(['last_name']);
        });
        Schema::table('driver_financials', function (Blueprint $table) {
            $table->dropIndex(['occupancy']);
        });
        Schema::table('driver_informations', function (Blueprint $table) {
            $table->dropIndex(['driver_id']);
        });
        Schema::table('teams', function (Blueprint $table) {
            $table->dropIndex(['company_id']);
        });
        Schema::table('load_details', function (Blueprint $table) {
            $table->dropIndex(['trailer_type']);
        });

    }
}
