<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddBillingAddressVerifiedToBrokersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('brokers', function (Blueprint $table) {
            $table->string('billing_latitude')->nullable()->after('billing_zip');
            $table->string('billing_longitude')->nullable()->after('billing_latitude');
            $table->string('billing_timezone')->nullable()->after('billing_longitude');
            $table->string('billing_timezone_offset')->nullable()->after('billing_timezone');
            $table->string('billing_timezone_abbr')->nullable()->after('billing_timezone_offset');
            $table->tinyInteger('billing_address_verified')->default(0)->comment('1=Yes,0=No')->after('billing_timezone_abbr');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('brokers', function (Blueprint $table) {
            $table->dropColumn(['billing_latitude','billing_longitude','billing_timezone','billing_timezone_offset','billing_timezone_abbr','billing_address_verified']);
        });
    }
}
