<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddManagerIdToReportDriversTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        DB::table('report_drivers')->truncate();
        DB::table('drivers')->update(['is_report_drivers' => 0]);

        Schema::table('report_drivers', function (Blueprint $table) {
            $table->integer('trailer_type')->index()->after('team_id')->default(0);
            $table->integer('manager_id')->index()->after('team_id')->default(0);
        });


    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('report_drivers', function (Blueprint $table) {
            $table->dropColumn('trailer_type');
            $table->dropColumn('manager_id');
        });
    }
}
