<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddNewColumnsTableTrailers extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('trailers', function (Blueprint $table) {
            $table->string('height')->nullable(true)->default(null)->after('width');
            $table->string('last_location_name', 255)->nullable(true)->default(null)->after('unladen_weight');
            $table->enum('last_location_load_status', ['0', '1'])->default(0)->comment('0: empty, 1: loaded')->after('last_location_name');
            $table->string('last_location_address', 255)->nullable(true)->default(null)->after('last_location_load_status');
            $table->text('last_location_notes')->nullable(true)->default(null)->after('last_location_address');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('trailers', function (Blueprint $table) {
            $table->dropColumn(['height', 'last_location_name', 'last_location_load_status', 'last_location_address', 'last_location_notes']);
        });
    }
}
