<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsAddress2CityZipStateTableTrailers extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('trailers', function (Blueprint $table) {
            $table->string('last_location_address_2', 100)->nullable()->after('last_location_address');
            $table->string('last_location_city', 100)->nullable()->after('last_location_address_2');
            $table->string('last_location_state', 100)->nullable()->after('last_location_city');
            $table->string('last_location_zip', 100)->nullable()->after('last_location_state');
            $table->string('last_location_latitude', 100)->nullable()->after('last_location_zip');
            $table->string('last_location_longitude', 100)->nullable()->after('last_location_latitude');
            $table->string('last_location_timezone', 100)->nullable()->after('last_location_longitude');
            $table->string('last_location_timezone_offset', 100)->nullable()->after('last_location_timezone');
            $table->string('last_location_timezone_abbr', 100)->nullable()->after('last_location_timezone_offset');
            $table->integer('last_location_address_verified')->comment('1: Yes, 0: No')->default(0)->after('last_location_timezone_abbr');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('trailers', function (Blueprint $table) {
            $table->dropColumn(['last_location_address_2', 'last_location_city', 'last_location_state', 'last_location_zip', 'last_location_latitude', 'last_location_longitude', 'last_location_timezone', 'last_location_timezone_offset', 'last_location_timezone_abbr', 'last_location_address_verified']);
        });
    }
}
