<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddNewColumnDesiredLoadNumberTableCarriers extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('carriers', function (Blueprint $table) {
            $table->enum('desired_option', ['0', '1'])->nullable()->comment('0: Continue from your existing load number, 1: Enter directly on the add load page')->after('identifier');
            $table->string('desired_load_number', 11)->nullable()->after('desired_option');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('carriers', function (Blueprint $table) {
            $table->dropColumn(['desired_option', 'desired_load_number']);
        });
    }
}
