<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Models\TrailerType;
use App\Models\AdminTrailerType;
use App\Models\Company;


class AddIsTempTequiredToAdminTrailerTypesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('admin_trailer_types', function (Blueprint $table) {
            $table->integer('is_temp_required')->default(0)->after('name');
        });
        Schema::table('trailer_types', function (Blueprint $table) {
            $table->integer('is_temp_required')->default(0)->after('name');
        });

        TrailerType::truncate();
        $getCompnay = Company::get();
        foreach ($getCompnay as $compnay){
            $accessorials = AdminTrailerType::get();
            foreach($accessorials as $accessorial) {
                TrailerType::create(['company_id' => $compnay->id, 'name' => $accessorial->name,'is_temp_required' => $accessorial->is_temp_required ]);
            }
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('admin_trailer_types', function (Blueprint $table) {
            $table->dropColumn('is_temp_required');
        });
        Schema::table('trailer_types', function (Blueprint $table) {
            $table->dropColumn('is_temp_required');
        });
    }
}
