<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsLoadDetailsTabel extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->integer('terms')->nullable()->after('brokerage_mc');
            $table->enum('load_type_2', ['0', '1'])->default(0)->after('commodity');
            $table->float('load_value', 10, 2)->nullable()->after('load_type_2');
            $table->enum('hazardous_load', ['0', '1'])->default(0)->after('load_value');
            $table->integer('hazardous_option')->nullable()->after('hazardous_load');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->dropColumn(['load_type_2', 'load_value', 'hazardous_load', 'hazardous_option']);
        });
    }
}
