<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddCodOptionsColumnsOnLoadDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->enum('is_cod', ['0', '1'])->default('0')->after('oos_pending');
            $table->float('up_front_amount', 10, 2)->nullable()->after('is_cod');
            $table->enum('up_front_payment_type', ['1', '2', '3', '4'])->nullable()->comment('1: Cash, 2: Cheque, 3: Certified Cheque, 4: Wire')->after('up_front_amount');
            $table->string('up_front_ref_number', 20)->nullable()->after('up_front_payment_type');;
            $table->enum('up_front_is_paid', ['0', '1'])->default('0')->after('up_front_ref_number');;
            $table->string('up_front_file', 50)->nullable()->after('up_front_is_paid');;

            $table->float('at_pickup_amount', 10, 2)->nullable()->after('up_front_file');
            $table->enum('at_pickup_payment_type', ['1', '2', '3', '4'])->nullable()->comment('1: Cash, 2: Cheque, 3: Certified Cheque, 4: Wire')->after('at_pickup_amount');
            $table->string('at_pickup_ref_number', 20)->nullable()->after('at_pickup_payment_type');;
            $table->enum('at_pickup_is_paid', ['0', '1'])->default('0')->after('at_pickup_ref_number');;
            $table->string('at_pickup_file', 50)->nullable()->after('at_pickup_is_paid');;

            $table->float('at_delivery_amount', 10, 2)->nullable()->after('at_pickup_file');
            $table->enum('at_delivery_payment_type', ['1', '2', '3', '4'])->nullable()->comment('1: Cash, 2: Cheque, 3: Certified Cheque, 4: Wire')->after('at_delivery_amount');
            $table->string('at_delivery_ref_number', 20)->nullable()->after('at_delivery_payment_type');;
            $table->enum('at_delivery_is_paid', ['0', '1'])->default('0')->after('at_delivery_ref_number');;
            $table->string('at_delivery_file', 50)->nullable()->after('at_delivery_is_paid');;
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->dropColumn(['is_cod', 'up_front_amount', 'up_front_payment_type', 'up_front_ref_number', 'up_front_is_paid', 'up_front_file', 'at_pickup_amount', 'at_pickup_payment_type', 'at_pickup_ref_number', 'at_pickup_is_paid', 'at_pickup_file', 'at_delivery_amount', 'at_delivery_payment_type', 'at_delivery_ref_number', 'at_delivery_is_paid', 'at_delivery_file']);
        });
    }
}
