<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsForMapOnLoadDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->enum('map_toll_roads', ['1', '2', '3'])->comment('1: ALWAYS_AVOID, 2: AVOID_IF_POSSIBLE, 3: USE')->nullable()->after('at_delivery_file');
            $table->integer('map_max_elevation')->nullable()->after('map_toll_roads');
            $table->enum('map_close_borders', ['0', '1'])->comment('0: No, 1: Yes')->nullable()->after('map_max_elevation');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->dropColumn(['map_toll_roads', 'map_max_elevation', 'map_close_borders']);
        });
    }
}
