<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLoadAccessorialsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('load_accessorials', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('load_id');
            $table->unsignedBigInteger('load_detail_id')->nullable();
            $table->unsignedBigInteger('load_stop_id')->nullable();
            $table->tinyInteger('type')->nullable()->comment('1=Pickup,2=Delivery');
            $table->tinyInteger('is_stop')->default(0)->comment('1=Yes,0=No');

            $table->unsignedBigInteger('company_accessorial_id');
            $table->tinyInteger('paid_by')->default(0)->comment('0=None, 1=Customer, 2=Carrier, 3=Driver');
            $table->tinyInteger('charge_deduct')->default(0)->comment('0=None, 1=Charge, 2=Deduct');
            $table->tinyInteger('paid_type')->default(0)->comment('0=Other, 1=Comdata, 2=EFS, 3=Check, 4=Cash');
            $table->string('reference')->nullable();

            $table->tinyInteger('driver_liable')->default(0)->comment('0=No, 1=Yes');
            $table->tinyInteger('doc_required')->default(0)->comment('0=No, 1=Yes, 2=Yes-Not Req by driver');
            $table->unsignedBigInteger('qty')->nullable();
            $table->float('rate', 10, 2)->nullable();
            $table->float('total', 10, 2)->nullable();

            $table->unsignedBigInteger('driver_id');
            $table->tinyInteger('pay_deduct')->default(0)->comment('0=None, 1=Pay, 2=Deduct');

            $table->unsignedBigInteger('driver_qty')->nullable();
            $table->float('driver_rate', 10, 2)->nullable();
            $table->float('driver_total', 10, 2)->nullable();

            $table->longText('notes')->nullable();
            $table->longText('files')->nullable();
            $table->tinyInteger('is_received')->default(0)->comment('Receipt received - 0=No, 1=Yes');
            $table->tinyInteger('is_deduction')->default(0)->comment('Remove driver deduction upon receipt received - 0=No, 1=Yes');
            $table->tinyInteger('status')->default(0)->comment('0=Pending,1=Completed,2-Driver Bypass');
            $table->timestamps();
            $table->softDeletes();
            $table->unsignedBigInteger('created_by')->nullable();
            $table->unsignedBigInteger('updated_by')->nullable();
            $table->unsignedBigInteger('deleted_by')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('load_accessorials');
    }
}
