<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddLastLocationNameToTrucksTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('trucks', function (Blueprint $table) {
            $table->string('last_location_name')->nullable()->after('height');
            $table->string('last_location_address')->nullable()->after('last_location_name');
            $table->string('last_location_address_2')->nullable()->after('last_location_address');
            $table->string('last_location_city')->nullable()->after('last_location_address_2');
            $table->string('last_location_state')->nullable()->after('last_location_city');
            $table->string('last_location_zip')->nullable()->after('last_location_state');
            $table->string('last_location_latitude')->nullable()->after('last_location_zip');
            $table->string('last_location_longitude')->nullable()->after('last_location_latitude');
            $table->string('last_location_timezone')->nullable()->after('last_location_longitude');
            $table->string('last_location_timezone_offset')->nullable()->after('last_location_timezone');
            $table->string('last_location_timezone_abbr')->nullable()->after('last_location_timezone_offset');
            $table->integer('last_location_address_verified')->comment('1: Yes, 0: No')->default(0)->after('last_location_timezone_abbr');
            $table->text('last_location_notes')->nullable()->after('last_location_address_verified');
            $table->enum('last_location_load_status', ['0', '1'])->default(0)->comment('0: empty, 1: loaded')->after('last_location_notes');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('trucks', function (Blueprint $table) {
            $table->dropColumn(['last_location_name','last_location_address','last_location_address_2','last_location_city','last_location_state','last_location_zip','last_location_latitude','last_location_longitude','last_location_timezone','last_location_timezone_offset','last_location_timezone_abbr','last_location_address_verified','last_location_notes','last_location_load_status']);
        });
    }
}
