<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateComplianceWidgetsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('compliance_widgets', function (Blueprint $table) {
            $table->id();
            $table->unsignedInteger('company_id');
            $table->unsignedInteger('company_admins_id')->nullable();
            $table->unsignedInteger('widget_id');
            $table->enum('range', ['pd', 'cw', 'nw', 'nm', 'n7d', 'n14d', 'n30d', 'cm', 'cq', 'cy'])->nullable()->comment('pd: Past Due, cw: Current Week, nw: Next Week, nm: Next Month, n7d: Next 7 days, n14d: Next 14 days, n30d: Next 30 days, cm: Current Month, cq: Current Quarter, cy:Current Year, Null: no condition');
            $table->enum('isActive', ['0', '1'])->default('0')->comment('0: Inactive, 1: Active');
            $table->json('properties')->nullable();
            $table->enum('tab', ['counter', 'list'])->default('counter');
            $table->enum('guard_name', ['web', 'company-admin'])->default('web');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('compliance_widgets');
    }
}
