<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsAndUpdateColumnsInComplianceWidgetsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('compliance_widgets', function (Blueprint $table) {
            $table->string('widget_name')->after('company_admins_id');
            $table->enum('isDraggable', ['0', '1'])->default('0')->after('isActive');
            $table->renameColumn('widget_id', 'display_no');
            $table->dropColumn('properties', 'deleted_at');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('compliance_widgets', function (Blueprint $table) {
            $table->dropColumn('widget_name', 'isDraggable');
            $table->renameColumn('display_no', 'widget_id');
            $table->json('properties')->nullable()->after('isActive');
            $table->softDeletes();
        });
    }
}
