<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDispatchHubWidgetsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('dispatch_hub_widgets', function (Blueprint $table) {
            $table->id();
            $table->unsignedInteger('company_id');
            $table->unsignedInteger('company_admins_id')->nullable();
            $table->unsignedInteger('display_no');
            $table->string('widget_name');
            $table->enum('isActive', ['0', '1'])->default('0')->comment('0: Inactive, 1: Active');
            $table->enum('tab', ['counter', 'list'])->default('counter');
            $table->string('guard_name')->default('web')->comment('Guard: web, company-admin');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('dispatch_hub_widgets');
    }
}
