<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddShipperOpenTimeToOffersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('offers', function (Blueprint $table) {
            $table->date('shipper_date')->nullable()->after('shipper_date_time_end');
            $table->time('shipper_open_time')->nullable()->after('shipper_date');
            $table->time('shipper_close_time')->nullable()->after('shipper_open_time');
            $table->date('delivery_date')->nullable()->after('delivery_date_time_end');
            $table->time('delivery_open_time')->nullable()->after('delivery_date');
            $table->time('delivery_close_time')->nullable()->after('delivery_open_time');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('offers', function (Blueprint $table) {
            $table->dropColumn(['shipper_date','shipper_open_time','shipper_close_time','delivery_date','delivery_open_time','delivery_close_time']);
        });
    }
}
