<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddTollsToOffersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('offers', function (Blueprint $table) {
            $table->float('tolls')->nullable()->after('total_miles');
            $table->float('rate_per_day')->nullable()->after('is_final_rate');
            $table->float('rate_per_hour')->nullable()->after('rate_per_day');
            $table->string('days')->nullable()->after('rate_per_hour');
            $table->string('hours')->nullable()->after('days');
            $table->string('minutes')->nullable()->after('hours');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('offers', function (Blueprint $table) {
            $table->dropColumn(['tolls','rate_per_day','rate_per_hour','days','hours','minutes']);
        });
    }
}
