<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateNewTableToStoreEmailAttachements extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('email_chat_attachements', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('chat_email_id');
            $table->text('file_path');
            $table->string('file_type')->nullable();
            $table->timestamps();

            $table->foreign('chat_email_id')->references('id')->on('email_chat_history')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('email_chat_attachements');
    }
}
