<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSmsHistoryTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sms_chat_history', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('company_id');
            $table->string('unique_id_sender')->comment('ex:driver-admin_1');
            $table->string('table_name')->nullable();
            $table->enum('type', ['sent','received']);
            $table->text('msg_id')->nullable();
            $table->string('from_number');
            $table->string('to_number');
            $table->longText('msg_body');
            $table->timestamp('sms_date');
            $table->integer('ttl')->nullable();
            $table->enum('status', ['active','inactive', 'closed'])->default('active');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('sms_chat_history');
    }
}
