<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddIncludeDepartmentAddressToBrokerContactsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('broker_contacts', function (Blueprint $table) {
            $table->tinyInteger('include_department_address')->default(0)->comment('1=Yes,0=No')->after('primary_contact_id');
            $table->tinyInteger('is_invite')->default(0)->comment('1=Yes,0=No')->after('include_department_address');
            $table->unsignedBigInteger('created_by')->nullable()->after('created_at');
            $table->unsignedBigInteger('updated_by')->nullable()->after('updated_at');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('broker_contacts', function (Blueprint $table) {
            $table->dropColumn(['include_department_address','is_invite','created_by','updated_by']);
        });
    }
}
