<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateChatLoadInternalTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('chat_load_internal', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('company_id');
            $table->string('unique_id')->comment('ex:load_1');
            $table->string('friendly_name')->comment('ex:load_number');
            $table->string('sid')->nullable();
            $table->unsignedInteger('ttl')->nullable();
            $table->enum('status', ['active','inactive','closed'])->default('active');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('chat_load_internal');
    }
}
