<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Models\FuelSurchargeRegion;

class UpdateValuesInTableFuelSurchargeRegions extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        FuelSurchargeRegion::truncate();
        FuelSurchargeRegion::insert([
            ['name' => 'U.S. Regular Gasoline Price', 'code' => 'EPD2D', 'parent' => null], //1
            ['name' => 'U.S. Region', 'code' => '', 'parent' => 1], //2
            ['name' => 'East Coast', 'code' => 'PADD 1', 'parent' => 2], //3
            ['name' => 'New England', 'code' => 'PADD 1A', 'parent' => 2], //4
            ['name' => 'Central Atlantic', 'code' => 'PADD 1B', 'parent' => 2], //5
            ['name' => 'Lower Atlantic', 'code' => 'PADD 1C', 'parent' => 2], //6
            ['name' => 'Midwest', 'code' => 'PADD 2', 'parent' => 2], //7
            ['name' => 'Gulf Coast', 'code' => 'PADD 3', 'parent' => 2], //8
            ['name' => 'Rocky Mountain', 'code' => 'PADD 4', 'parent' => 2], //9
            ['name' => 'West Coast', 'code' => 'PADD 5', 'parent' => 2], //10

            ['name' => 'U.S. States', 'code' => '', 'parent' => 1], //11
            ['name' => 'California', 'code' => '', 'parent' => 11], //12
            ['name' => 'Colorado', 'code' => '', 'parent' => 11], //13
            ['name' => 'Florida', 'code' => '', 'parent' => 11], //14
            ['name' => 'Massachusetts', 'code' => '', 'parent' => 11], //15
            ['name' => 'Minnesota', 'code' => '', 'parent' => 11], //16
            ['name' => 'New York', 'code' => '', 'parent' => 11], //17
            ['name' => 'Ohio', 'code' => '', 'parent' => 11], //18
            ['name' => 'Texas', 'code' => '', 'parent' => 11], //19
            ['name' => 'Washington', 'code' => '', 'parent' => 11], //20

            ['name' => 'U.S. Cities', 'code' => '', 'parent' => 1], //21
            ['name' => 'Boston', 'code' => '', 'parent' => 21], //22
            ['name' => 'Chicago', 'code' => '', 'parent' => 21], //23
            ['name' => 'Cleveland', 'code' => '', 'parent' => 21], //24
            ['name' => 'Denver', 'code' => '', 'parent' => 21], //25
            ['name' => 'Houston', 'code' => '', 'parent' => 21], //26
            ['name' => 'Los Angeles', 'code' => '', 'parent' => 21], //27
            ['name' => 'Miami', 'code' => '', 'parent' => 21], //28
            ['name' => 'New York City', 'code' => '', 'parent' => 21], //29
            ['name' => 'San Francisco', 'code' => '', 'parent' => 21], //30
            ['name' => 'Seattle', 'code' => '', 'parent' => 21], //31

            ['name' => 'U.S. On-Highway Diesel', 'code' => 'EPMR', 'parent' => null], //32
            ['name' => 'U.S. Region', 'code' => '', 'parent' => 32], //33
            ['name' => 'East Coast', 'code' => 'PADD 1', 'parent' => 33], //34
            ['name' => 'New England', 'code' => 'PADD 1A', 'parent' => 33], //35
            ['name' => 'Central Atlantic', 'code' => 'PADD 1B', 'parent' => 33], //36
            ['name' => 'Lower Atlantic', 'code' => 'PADD 1C', 'parent' => 33], //37
            ['name' => 'Midwest', 'code' => 'PADD 2', 'parent' => 33], //38
            ['name' => 'Gulf Coast', 'code' => 'PADD 3', 'parent' => 33], //39
            ['name' => 'Rocky Mountain', 'code' => 'PADD 4', 'parent' => 33], //40
            ['name' => 'West Coast', 'code' => 'PADD 5', 'parent' => 33], //41
        ]);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        FuelSurchargeRegion::truncate();
    }
}
