<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Models\FuelSurchargeRegion;
class AddValuesInTableFuelSurchargeRegions extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        FuelSurchargeRegion::truncate();
        FuelSurchargeRegion::insert([
            ['name' => 'U.S. Regular Gasoline Price', 'code' => 'EPD2D', 'parent' => null], //1
            ['name' => 'U.S. Region', 'code' => '', 'parent' => 1], //2
            ['name' => 'U.S. Average', 'code' => 'U.S.', 'parent' => 2], //3
            ['name' => 'East Coast', 'code' => 'PADD 1', 'parent' => 2], //4
            ['name' => 'New England', 'code' => 'PADD 1A', 'parent' => 2], //5
            ['name' => 'Central Atlantic', 'code' => 'PADD 1B', 'parent' => 2], //6
            ['name' => 'Lower Atlantic', 'code' => 'PADD 1C', 'parent' => 2], //7
            ['name' => 'Midwest', 'code' => 'PADD 2', 'parent' => 2], //8
            ['name' => 'Gulf Coast', 'code' => 'PADD 3', 'parent' => 2], //9
            ['name' => 'Rocky Mountain', 'code' => 'PADD 4', 'parent' => 2], //10
            ['name' => 'West Coast', 'code' => 'PADD 5', 'parent' => 2], //11

            ['name' => 'U.S. States', 'code' => '', 'parent' => 1], //12
            ['name' => 'California', 'code' => '', 'parent' => 12], //13
            ['name' => 'Colorado', 'code' => '', 'parent' => 12], //14
            ['name' => 'Florida', 'code' => '', 'parent' => 12], //15
            ['name' => 'Massachusetts', 'code' => '', 'parent' => 12], //16
            ['name' => 'Minnesota', 'code' => '', 'parent' => 12], //17
            ['name' => 'New York', 'code' => '', 'parent' => 12], //18
            ['name' => 'Ohio', 'code' => '', 'parent' => 12], //19
            ['name' => 'Texas', 'code' => '', 'parent' => 12], //20
            ['name' => 'Washington', 'code' => '', 'parent' => 12], //21

            ['name' => 'U.S. Cities', 'code' => '', 'parent' => 1], //22
            ['name' => 'Boston', 'code' => '', 'parent' => 22], //23
            ['name' => 'Chicago', 'code' => '', 'parent' => 22], //24
            ['name' => 'Cleveland', 'code' => '', 'parent' => 22], //25
            ['name' => 'Denver', 'code' => '', 'parent' => 22], //26
            ['name' => 'Houston', 'code' => '', 'parent' => 22], //27
            ['name' => 'Los Angeles', 'code' => '', 'parent' => 22], //28
            ['name' => 'Miami', 'code' => '', 'parent' => 22], //29
            ['name' => 'New York City', 'code' => '', 'parent' => 22], //30
            ['name' => 'San Francisco', 'code' => '', 'parent' => 22], //31
            ['name' => 'Seattle', 'code' => '', 'parent' => 22], //32

            ['name' => 'U.S. On-Highway Diesel', 'code' => 'EPMR', 'parent' => null], //33
            ['name' => 'U.S. Region', 'code' => '', 'parent' => 33], //34
            ['name' => 'U.S. Average', 'code' => 'U.S.', 'parent' => 34], //35
            ['name' => 'East Coast', 'code' => 'PADD 1', 'parent' => 34], //36
            ['name' => 'New England', 'code' => 'PADD 1A', 'parent' => 34], //37
            ['name' => 'Central Atlantic', 'code' => 'PADD 1B', 'parent' => 34], //38
            ['name' => 'Lower Atlantic', 'code' => 'PADD 1C', 'parent' => 34], //39
            ['name' => 'Midwest', 'code' => 'PADD 2', 'parent' => 34], //40
            ['name' => 'Gulf Coast', 'code' => 'PADD 3', 'parent' => 34], //41
            ['name' => 'Rocky Mountain', 'code' => 'PADD 4', 'parent' => 34], //42
            ['name' => 'West Coast', 'code' => 'PADD 5', 'parent' => 34], //43
        ]);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        FuelSurchargeRegion::truncate();
    }
}
