<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddDimensionToLoadStopsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_stops', function (Blueprint $table) {
            $table->unsignedBigInteger('commodity')->nullable()->after('address_verified');
            $table->float('stop_value', 8,2)->nullable()->after('commodity');
            $table->float('stop_weight', 8,2)->nullable()->after('stop_value');
            $table->tinyInteger('reefer_mode')->nullable()->comment('1=Continuous,2=Cycle')->after('stop_weight');
            $table->tinyInteger('reefer_temp_type')->default(0)->comment('1=°F,0=°C')->after('reefer_mode');
            $table->integer('reefer_temp')->nullable()->after('reefer_temp_type');
            $table->string('pickup_number')->nullable()->after('reefer_temp');
            $table->longText('dimension')->nullable()->after('pickup_number');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_stops', function (Blueprint $table) {
            $table->dropColumn([
                'commodity','stop_value','stop_weight','reefer_mode','reefer_temp_type','reefer_temp','pickup_number','dimension'
            ]);
        });
    }
}
