<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTwoFactorSettingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('two_factor_settings', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->integer('user_id');
            $table->tinyInteger('user_type')->comment('0: company-admin, 1: Manager, 2: Dispatcher, 3: Driver');
            $table->enum('enable_two_factor', ['0', '1'])->default('0')->comment('0: Disable, 1: Enable');
            $table->enum('enable_email_verify', ['0', '1'])->default('0')->comment('0: Disable, 1: Enable');
            $table->enum('enable_sms_verify', ['0', '1'])->default('0')->comment('0: Disable, 1: Enable');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('two_factor_settings');
    }
}
