<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddConfirmDateToLoadAppointmentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_appointments', function (Blueprint $table) {
            $table->date('confirm_date')->nullable()->after('request_time');
            $table->time('confirm_time')->nullable()->after('confirm_date');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_appointments', function (Blueprint $table) {
            $table->dropColumn(['confirm_date','confirm_time']);
        });
    }
}
