<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsForComplianceTabInDriversTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('drivers', function (Blueprint $table) {
            $table->enum('license_class', ['0', '1', '2', '3', '4'])->nullable()->comment('0: Class A, 1: Class B, 2: Class C, 3: Class D, 4: Class M')->after('mvr_date');
            $table->string('license_endorsements')->nullable()->after('license_exp');
            $table->enum('twic_certified', ['0', '1'])->nullable()->comment('0: No, 1: Yes')->after('license_endorsements');
            $table->date('twic_expiration_date')->nullable()->after('twic_certified');
            $table->enum('tsa_certified', ['0', '1'])->nullable()->comment('0: No, 1: Yes')->nullable()->after('twic_expiration_date');
            $table->date('tsa_expiration')->nullable()->after('tsa_certified');
            $table->enum('tanker_endorsement', ['0', '1'])->nullable()->comment('0: No, 1: Yes')->after('tsa_expiration');
            $table->enum('license_certifications', ['0', '1', '2'])->nullable()->comment('0: TSA (TSA Certification), 1: TWIC (Transportation Workers Identification Card), 2: Both')->after('tanker_endorsement');
            $table->enum('smoker', ['0', '1'])->nullable()->comment('0: No, 1: Yes')->after('license_certifications');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('drivers', function (Blueprint $table) {
            $table->dropColumn(['license_class', 'license_endorsements', 'twic_certified', 'twic_expiration_date', 'tas_certified', 'tas_expiration', 'tanker_endorsement', 'license_certifications', 'smoker']);
        });
    }
}
