<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateColumnMedicalConditionOnDriversTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('drivers', function (Blueprint $table) {
            $table->string('medical_condition')->nullable()->comment('0: Corrective Lenses, 1: Blood Pressure, 2: Diabetes, 3: Hearing Aid, 4: Sleep Apnea, 5: Short Physical')->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('drivers', function (Blueprint $table) {
            $table->enum('medical_condition', ['0', '1', '2', '3', '4', '5'])->nullable()->comment('0: Corrective Lenses, 1: Blood Pressure, 2: Diabetes, 3: Hearing Aid, 4: Sleep Apnea, 5: Short Physical')->change();
        });
    }
}
