<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddInsuranceTabColumnsInDriversTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('drivers', function (Blueprint $table) {
            $table->text('insurance_type')->nullable()->after('eobr_id');
            $table->text('insurance_provider')->nullable()->after('insurance_type');
            $table->text('policy_number')->nullable()->after('insurance_provider');
            $table->text('insurance_expiration')->nullable()->after('policy_number');
            $table->text('insurance_file')->nullable()->after('insurance_expiration');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('drivers', function (Blueprint $table) {
            $table->dropColumn(['insurance_type', 'insurance_provider', 'policy_number', 'insurance_expiration', 'insurance_file']);
        });
    }
}
