<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsForDeductionsOnDriversTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('drivers', function (Blueprint $table) {
            $table->text('deduction_name')->nullable()->after('status');
            $table->text('deduction_type')->nullable()->after('deduction_name');
            $table->text('deduction_amount')->nullable()->after('deduction_type');
            $table->text('deduction_unit')->nullable()->after('deduction_amount');
            $table->text('starting_or_cap_amount')->nullable()->after('deduction_unit');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('drivers', function (Blueprint $table) {
            $table->dropColumn(['deduction_name', 'deduction_type', 'deduction_amount', 'deduction_unit', 'starting_or_cap_amount']);
        });
    }
}
