<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsForDriverDocumentRequestInGalleriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('galleries', function (Blueprint $table) {
            $table->string('reminder_on')->nullable()->comment('1: Email, 2: SMS');
            $table->enum('reminder_type', ['4 Hours', '24 Hours', 'Custom'])->nullable();
            $table->tinyInteger('reminder_repeat')->default(0)->comment('1: On, 0: Off');
            $table->datetime('reminder_repeat_date_time')->nullable();
            $table->unsignedInteger('reminder_custom_hours')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('galleries', function (Blueprint $table) {
            $table->dropColumn(['reminder_on', 'reminder_type', 'reminder_repeat', 'reminder_repeat_date_time', 'reminder_custom_hours']);
        });
    }
}
