<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnApplyToProfileInDriverOnboardingSettingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('driver_onboarding_settings', function (Blueprint $table) {
            $table->enum('apply_to', ['0', '1'])->nullable()->comment('0: Apply to this profile only, 1: Apply to all profiles')->after('order');
            $table->enum('update_profile', ['0', '1'])->nullable()->comment('0: Do not mark complete for previously hired drivers, 1: Mark complete for currently previously drivers')->after('apply_to');
            $table->integer('apply_to_profile')->nullable()->comment('Driver_id: Display this stage specific driver only')->after('update_profile');
            $table->date('hired_before_stage_added_date')->nullable()->comment('Display this stage only if application_date before this date and who are in Hired status')->after('apply_to_profile');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('driver_onboarding_settings', function (Blueprint $table) {
            $table->dropColumn(['apply_to', 'update_profile', 'apply_to_profile', 'hired_before_stage_added_date']);
        });
    }
}
