<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

class AddAndUpdateColumnsInDropTrailersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('drop_trailers', function (Blueprint $table) {
            $table->string('latitude')->nullable()->after('zip');
            $table->string('longitude')->nullable()->after('latitude');
            $table->string('timezone')->nullable()->after('longitude');
            $table->string('timezone_offset')->nullable()->after('timezone');
            $table->string('timezone_abbr')->nullable()->after('timezone_offset');
            $table->tinyInteger('address_verified')->default(0)->comment('1: Yes, 0: No')->after('timezone_abbr');

            $table->string('loc')->nullable()->comment("IF drop_at_stop 0: added user_id, IF drop_at_stop 1: added stop_number, IF drop_at_stop 2: null (add custom loc)")->change();
            DB::statement("ALTER TABLE `drop_trailers` CHANGE `drop_at_stop` `drop_at_stop` ENUM('0', '1', '2') NULL DEFAULT NULL;");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('drop_trailers', function (Blueprint $table) {
            $table->dropColumn(['latitude', 'longitude', 'timezone', 'timezone_offset', 'timezone_abbr', 'address_verified']);

            $table->string('loc')->nullable()->comment("If drop_at_stop 0: added user_id else drop_at_stop 1: added stop_number")->change();
            DB::statement("ALTER TABLE `drop_trailers` CHANGE `drop_at_stop` `drop_at_stop` ENUM('0', '1') NULL DEFAULT NULL;");
        });
    }
}
