<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddFixedToLoadDocumentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_documents', function (Blueprint $table) {
            $table->enum('fixed', ['yes', 'no'])->default('no')->after('include_w_billing');
            $table->enum('for_whom', ['shipper', 'consignee', 'both'])->default('both')->after('fixed');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_documents', function (Blueprint $table) {
            $table->dropColumn(['fixed', 'for_whom']);
        });
    }
}
