<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsInTrucksTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('trucks', function (Blueprint $table) {
            $table->string('truck_unique_id', 50)->nullable()->after('id');
            $table->string('truck_type', 50)->nullable()->after('last_location_load_status');
            $table->string('required_license', 50)->nullable()->after('truck_type');
            $table->string('class', 50)->nullable()->after('required_license');
            $table->integer('driver')->nullable()->after('class');
            $table->integer('co_driver')->nullable()->after('driver');
            $table->string('trailer')->nullable()->after('co_driver');
            $table->string('tire_qty', 50)->nullable()->after('trailer');
            $table->string('gross_weight', 50)->nullable()->after('tire_qty');
            $table->string('engine', 50)->nullable()->after('gross_weight');
            $table->string('transmission', 50)->nullable()->after('engine');
            $table->enum('automatic_transmission', ['0', '1'])->nullable()->comment('0: No, 1: Yes')->after('transmission');
            $table->enum('high_cube', ['0', '1'])->nullable()->comment('0: No, 1: Yes')->after('automatic_transmission');
            $table->enum('liftgate', ['0', '1'])->nullable()->comment('0: No, 1: Yes')->after('vented');
            $table->enum('pallet_jack', ['0', '1'])->nullable()->comment('0: No, 1: Yes')->after('liftgate');
            $table->enum('reefer_equipped', ['0', '1'])->nullable()->comment('0: No, 1: Yes')->after('pallet_jack');
            $table->enum('apu_equipped', ['0', '1'])->nullable()->comment('0: No, 1: Yes')->after('reefer_equipped');
            $table->enum('truck_group', ['0', '1', '2', '3', '4'])->nullable()->comment('0: Dedicated, 1: DOD, 2: Government, 3: Oil & Energy, 4: Produce')->after('apu_equipped');
            $table->enum('assigned_customer', ['0', '1', '2'])->nullable()->comment('0: ABC wood company, 1: Dragon Plastics, 2: Georgia Pacific')->after('truck_group');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('trucks', function (Blueprint $table) {
            $table->dropColumn(['truck_unique_id', 'truck_type', 'required_license', 'class', 'driver', 'co_driver', 'trailer', 'tire_qty', 'gross_weight', 'engine', 'transmission', 'automatic_transmission', 'high_cube', 'liftgate', 'pallet_jack', 'reefer_equipped', 'apu_equipped', 'truck_group', 'assigned_customer']);
        });
    }
}
