<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddCreatedByToLoadDocumentRequestItemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_document_request_items', function (Blueprint $table) {
            $table->unsignedBigInteger('created_by')->nullable()->after('created_at');
            $table->unsignedInteger('created_by_type')->nullable()->comment('Helper::getNotiUserTypeList()')->after('created_by');
            $table->unsignedBigInteger('updated_by')->nullable()->after('updated_at');
            $table->unsignedInteger('updated_by_type')->nullable()->comment('Helper::getNotiUserTypeList()')->after('updated_by');
            $table->unsignedBigInteger('deleted_by')->nullable()->after('deleted_at');
            $table->unsignedInteger('deleted_by_type')->nullable()->comment('Helper::getNotiUserTypeList()')->after('deleted_by');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_document_request_items', function (Blueprint $table) {
            $table->dropColumn(['created_by', 'created_by_type', 'updated_by', 'updated_by_type', 'deleted_by', 'deleted_by_type']);
        });
    }
}
