<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Models\PmServiceType;
use App\Models\CompanyPmServiceType;
use App\Models\Company;

class InsertDefaultPmServiceTypes extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        PmServiceType::truncate();
        CompanyPmServiceType::truncate();

        PmServiceType::insert([
            ['name' => 'FAI', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'PM Service', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Mid Trip', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Visual Inspection', 'created_at' => now(), 'updated_at' => now()],
        ]);

        $getCompnay = Company::get();
        foreach ($getCompnay as $compnay){
            CompanyPmServiceType::insert([
                ['company_id' => $compnay->id, 'name' => 'FAI', 'created_at' => now(), 'updated_at' => now()],
                ['company_id' => $compnay->id, 'name' => 'PM Service', 'created_at' => now(), 'updated_at' => now()],
                ['company_id' => $compnay->id, 'name' => 'Mid Trip', 'created_at' => now(), 'updated_at' => now()],
                ['company_id' => $compnay->id, 'name' => 'Visual Inspection', 'created_at' => now(), 'updated_at' => now()],
            ]);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        PmServiceType::truncate();
        CompanyPmServiceType::truncate();
    }
}
