<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddCustomerIdToLoadAppointmentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_appointments', function (Blueprint $table) {
            $table->unsignedBigInteger('customer_id')->nullable()->comment('Shippers and Consignees')->after('broker_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_appointments', function (Blueprint $table) {
            $table->dropColumn('customer_id');
        });
    }
}
