<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsOnboardingOdometerAndCurrentOdometerOnTrucksTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('trucks', function (Blueprint $table) {
            $table->string('year', 5)->nullable()->change();
            $table->string('is_service_date', 20)->nullable()->change();
            $table->string('phys_dam_start_date', 20)->nullable()->change();
            $table->string('phys_dam_exp_date', 20)->nullable()->change();
            $table->string('ownership', 10)->nullable()->change();
            $table->string('lease_expiration_date', 20)->nullable()->change();
            $table->string('kyu_due_date', 20)->nullable()->change();
            $table->string('2290_due_date', 20)->nullable()->change();
            $table->string('carb_id_date', 20)->nullable()->change();
            $table->string('weight', 20)->nullable()->change();
            $table->string('max_load_weight', 20)->nullable()->change();
            $table->string('axles', 20)->nullable()->change();
            $table->string('tire_size', 20)->nullable()->change();
            $table->string('status', 20)->nullable()->change();

            $table->string('onboarding_odometer', 255)->nullable()->after('apu_equipped');
            $table->string('current_odometer', 255)->nullable()->after('onboarding_odometer');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('trucks', function (Blueprint $table) {
            $table->dropColumn(['onboarding_odometer', 'current_odometer']);
        });
    }
}
