<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTruckDiagnosticsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('truck_diagnostics', function (Blueprint $table) {
            $table->id();
            $table->unsignedInteger('company_id');
            $table->unsignedInteger('truck_id');
            $table->string('diagnostic_key');
            $table->string('diagnostic_name');
            $table->tinyInteger('display_no');
            $table->enum('is_active', ['0', '1'])->default('0')->comment('0: Inactive, 1: Active');
            $table->enum('is_disabled', ['0', '1'])->default('1')->comment('0: Disable, 1: Enable');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('truck_diagnostics');
    }
}
