<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Models\Diagnostics;

class InsertDefaultDiagnosticsTableValues extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Diagnostics::truncate();
        Diagnostics::insert([
            ['diagnostic_key' => 'speedMilesPerHour', 'diagnostic_name' => 'Vehicle Speed', 'is_disabled' => '0', 'created_at' => now()],
            ['diagnostic_key' => 'engineStates', 'diagnostic_name' => 'Engine Status', 'is_disabled' => '0', 'created_at' => now()],
            ['diagnostic_key' => 'fuelPercents', 'diagnostic_name' => 'Fuel', 'is_disabled' => '0', 'created_at' => now()],
            ['diagnostic_key' => 'defLevelMilliPercent', 'diagnostic_name' => 'DEF Level', 'is_disabled' => '0', 'created_at' => now()],
            ['diagnostic_key' => '', 'diagnostic_name' => 'Engine Check Light', 'is_disabled' => '1', 'created_at' => now()],
            ['diagnostic_key' => 'batteryMilliVolts', 'diagnostic_name' => 'Battery Voltage', 'is_disabled' => '0', 'created_at' => now()],
            ['diagnostic_key' => 'obdOdometerMeters', 'diagnostic_name' => 'Odometer', 'is_disabled' => '0', 'created_at' => now()],
            ['diagnostic_key' => 'obdEngineSeconds', 'diagnostic_name' => 'Engine Hours', 'is_disabled' => '0', 'created_at' => now()],
            ['diagnostic_key' => 'engineCoolantTemperatureMilliC', 'diagnostic_name' => 'Engine Coolant Temp', 'is_disabled' => '0', 'created_at' => now()],
            ['diagnostic_key' => 'engineOilPressureKPa', 'diagnostic_name' => 'Engine Oil Pressure', 'is_disabled' => '0', 'created_at' => now()],
            ['diagnostic_key' => 'ecuSpeedMph', 'diagnostic_name' => 'Engine Speed - RPM\'s', 'is_disabled' => '0', 'created_at' => now()],
            ['diagnostic_key' => 'engineLoadPercent', 'diagnostic_name' => 'Engine Percent Load', 'is_disabled' => '0', 'created_at' => now()],
            ['diagnostic_key' => 'barometricPressurePa', 'diagnostic_name' => 'Barometric Pressure', 'is_disabled' => '0', 'created_at' => now()],
            ['diagnostic_key' => 'seatbeltDriver', 'diagnostic_name' => 'Seatbelt (Driver)', 'is_disabled' => '0', 'created_at' => now()],
            ['diagnostic_key' => 'ambientAirTemperatureMilliC', 'diagnostic_name' => 'Air Inlet Temp (Ambient Air)', 'is_disabled' => '0', 'created_at' => now()],
            ['diagnostic_key' => '', 'diagnostic_name' => 'DPF Lamp Light', 'is_disabled' => '1', 'created_at' => now()],
            ['diagnostic_key' => '', 'diagnostic_name' => 'DPF Soot Load Percent', 'is_disabled' => '1', 'created_at' => now()],
            ['diagnostic_key' => '', 'diagnostic_name' => 'Over Accelerate %', 'is_disabled' => '1', 'created_at' => now()],
            ['diagnostic_key' => '', 'diagnostic_name' => 'Over Idle %', 'is_disabled' => '1', 'created_at' => now()],
            ['diagnostic_key' => 'intakeManifoldTemperatureMilliC', 'diagnostic_name' => 'Engine Intake Air Temperature', 'is_disabled' => '0', 'created_at' => now()],
            ['diagnostic_key' => 'engineImmobilizer', 'diagnostic_name' => 'Ignition', 'is_disabled' => '0', 'created_at' => now()]
        ]);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Diagnostics::truncate();
    }
}
