<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsInDropTrailersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('drop_trailers', function (Blueprint $table) {
            $table->enum('type', ['1', '2'])->nullable()->comment('1: Drop, 2: Hook')->after('stop_number');
            $table->enum('drop_or_keep_driver', ['1', '2'])->nullable()->comment('1: Drop Driver, 2: Keep Driver')->after('notes');
            $table->enum('retrieval_notification', ['0', '1'])->default('0')->comment('0: off, 1: On')->after('drop_or_keep_driver');
            $table->dateTime('notify_date')->nullable()->after('retrieval_notification');
            $table->string('notify_users')->nullable()->after('notify_date');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('drop_trailers', function (Blueprint $table) {
            $table->dropColumn(['type', 'drop_or_keep_driver', 'retrieval_notification', 'notify_date', 'notify_users']);
        });
    }
}
