<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEmailLogsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('email_logs', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id')->unsigned()->nullable();
            $table->integer('user_id')->unsigned()->nullable();
            $table->string('from', 50)->nullable();
            $table->string('to', 50)->nullable();
            $table->string('subject', 100)->nullable();
            $table->string('type', 50)->nullable();
            $table->text('content')->nullable();
            $table->dateTime('sent_date')->nullable();
            $table->enum('status', ['0', '1'])->default('0')->comment('0: Failed, 1: Sent');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('email_logs');
    }
}
