<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddShipperVerifiedDropTrailerIdToLoadDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->string('shipper_verified_drop_trailer_id', 50)->nullable()->comment('Driver Verified')->after('shipper_drop_trailer_id');
            $table->tinyInteger('shipper_drop_trailer_match')->nullable()->comment('1=Yes,0=No')->after('shipper_verified_drop_trailer_id');
            $table->string('shipper_drop_trailer_reminder_on', 50)->nullable()->comment('1=Email,2=SMS')->after('shipper_drop_trailer_match');
            $table->datetime('shipper_drop_trailer_reminder_date_time')->nullable()->after('shipper_drop_trailer_reminder_on');
            $table->tinyInteger('shipper_drop_trailer_reminder_status')->default(0)->comment('1=On,0=Off')->after('shipper_drop_trailer_reminder_date_time');
            $table->longText('shipper_drop_trailer_files')->nullable()->after('shipper_drop_trailer_reminder_status');
            $table->tinyInteger('shipper_drop_trailer_confirm')->default(0)->comment('0=No,1=Yes')->after('shipper_drop_trailer_files');
            $table->datetime('shipper_drop_trailer_confirm_at')->nullable()->after('shipper_drop_trailer_confirm');

            $table->string('shipper_verified_pickup_trailer_id', 50)->nullable()->comment('Driver Verified')->after('shipper_pickup_trailer_id');
            $table->tinyInteger('shipper_pickup_trailer_match')->nullable()->comment('1=Yes,0=No')->after('shipper_verified_pickup_trailer_id');
            $table->longText('shipper_pickup_trailer_files')->nullable()->after('shipper_pickup_trailer_match');
            $table->tinyInteger('shipper_pickup_trailer_confirm')->default(0)->comment('0=No,1=Yes')->after('shipper_pickup_trailer_files');
            $table->datetime('shipper_pickup_trailer_confirm_at')->nullable()->after('shipper_pickup_trailer_confirm');

            $table->string('delivery_verified_drop_trailer_id', 50)->nullable()->comment('Driver Verified')->after('delivery_drop_trailer_id');
            $table->tinyInteger('delivery_drop_trailer_match')->nullable()->comment('1=Yes,0=No')->after('delivery_verified_drop_trailer_id');
            $table->string('delivery_drop_trailer_reminder_on', 50)->nullable()->comment('1=Email,2=SMS')->after('delivery_drop_trailer_match');
            $table->datetime('delivery_drop_trailer_reminder_date_time')->nullable()->after('delivery_drop_trailer_reminder_on');
            $table->tinyInteger('delivery_drop_trailer_reminder_status')->default(0)->comment('1=On,0=Off')->after('delivery_drop_trailer_reminder_date_time');
            $table->longText('delivery_drop_trailer_files')->nullable()->after('delivery_drop_trailer_reminder_status');
            $table->tinyInteger('delivery_drop_trailer_confirm')->default(0)->comment('0=No,1=Yes')->after('delivery_drop_trailer_files');
            $table->datetime('delivery_drop_trailer_confirm_at')->nullable()->after('delivery_drop_trailer_confirm');

            $table->string('delivery_verified_pickup_trailer_id', 50)->nullable()->comment('Driver Verified')->after('delivery_pickup_trailer_id');
            $table->tinyInteger('delivery_pickup_trailer_match')->nullable()->comment('1=Yes,0=No')->after('delivery_verified_pickup_trailer_id');
            $table->longText('delivery_pickup_trailer_files')->nullable()->after('delivery_pickup_trailer_match');
            $table->tinyInteger('delivery_pickup_trailer_confirm')->default(0)->comment('0=No,1=Yes')->after('delivery_pickup_trailer_files');
            $table->datetime('delivery_pickup_trailer_confirm_at')->nullable()->after('delivery_pickup_trailer_confirm');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->dropColumn([
                'shipper_verified_drop_trailer_id',
                'shipper_drop_trailer_match',
                'shipper_drop_trailer_reminder_on',
                'shipper_drop_trailer_reminder_date_time',
                'shipper_drop_trailer_reminder_status',
                'shipper_drop_trailer_files',
                'shipper_drop_trailer_confirm',
                'shipper_drop_trailer_confirm_at',

                'shipper_verified_pickup_trailer_id',
                'shipper_pickup_trailer_match',
                'shipper_pickup_trailer_files',
                'shipper_pickup_trailer_confirm',
                'shipper_pickup_trailer_confirm_at',

                'delivery_verified_drop_trailer_id',
                'delivery_drop_trailer_match',
                'delivery_drop_trailer_reminder_on',
                'delivery_drop_trailer_reminder_date_time',
                'delivery_drop_trailer_reminder_status',
                'delivery_drop_trailer_files',
                'delivery_drop_trailer_confirm',
                'delivery_drop_trailer_confirm_at',

                'delivery_verified_pickup_trailer_id',
                'delivery_pickup_trailer_match',
                'delivery_pickup_trailer_files',
                'delivery_pickup_trailer_confirm',
                'delivery_pickup_trailer_confirm_at'
            ]);
        });
    }
}
