<?php

use App\Models\EmailTemplate;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Models\CompanyEmailTemplate;
use App\Models\Company;

class InsertDefaultCompanyEmailTemplates extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        CompanyEmailTemplate::truncate();

        $getCompanies = Company::pluck('id');

        foreach ($getCompanies as $companyId) {
            $emailTemplates = EmailTemplate::get(['title', 'subject', 'content', 'tags', 'description'])->toArray();

            foreach ($emailTemplates as $emailTemplate){
                $emailTemplate = array_merge(array('company_id' => $companyId), $emailTemplate);
                CompanyEmailTemplate::create($emailTemplate);
            }
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        CompanyEmailTemplate::truncate();
    }
}
