<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

class UpdateColumnsOnFuelSurchargeTemplatesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('fuel_surcharge_templates', function (Blueprint $table) {
            $table->string('customer', 10)->comment('broker_id OR default fuel surcharge type')->change();

            DB::statement('ALTER TABLE fuel_surcharge_templates MODIFY COLUMN base_percentage double(10,2) NULL');
            DB::statement('ALTER TABLE fuel_surcharge_templates MODIFY COLUMN percentage_change double(10,2) NULL');
            DB::statement('ALTER TABLE fuel_surcharge_templates MODIFY COLUMN per_mile_start double(10,2) NULL');
            DB::statement('ALTER TABLE fuel_surcharge_templates MODIFY COLUMN per_mile_change double(10,2) NULL');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('fuel_surcharge_templates', function (Blueprint $table) {
            $table->integer('customer')->comment('broker_id')->change();

            DB::statement('ALTER TABLE fuel_surcharge_templates MODIFY COLUMN base_percentage double(10,2) NOT NULL');
            DB::statement('ALTER TABLE fuel_surcharge_templates MODIFY COLUMN percentage_change double(10,2) NOT NULL');
            DB::statement('ALTER TABLE fuel_surcharge_templates MODIFY COLUMN per_mile_start double(10,2) NOT NULL');
            DB::statement('ALTER TABLE fuel_surcharge_templates MODIFY COLUMN per_mile_change double(10,2) NOT NULL');
        });
    }
}
