<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLoadStopReviewsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('load_stop_reviews', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('customer_id')->nullable()->comment('Shippers and Consignees');
            $table->unsignedBigInteger('load_detail_id')->nullable();
            $table->unsignedBigInteger('load_stop_id')->nullable();
            $table->tinyInteger('type')->nullable()->comment('1=Pickup,2=Delivery');
            $table->tinyInteger('is_stop')->default(0)->comment('1=Yes,0=No');
            $table->unsignedInteger('rating')->default(0);
            $table->text('review')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('load_stop_reviews');
    }
}
