<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsForGeneralInfoAt18122023OnBrokersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('brokers', function (Blueprint $table) {
            $table->string('customer_unique_id')->nullable()->after('id');
            $table->enum('customer_type', ['1', '2', '3', '4', '5'])->comment('1: 3PL, 2: 4PL, 3: Broker, 4: Direct Customer, 5: Freight Forwarder')->nullable()->after('company_id');
            $table->string('customer_dba', 50)->nullable()->after('name');
            $table->string('afterhours', 50)->nullable()->after('email');
            $table->enum('office_type', ['1', '2'])->comment('1: Headquarters, 2: Satellite Office')->nullable()->after('afterhours');
            $table->integer('parent_company')->unsigned()->nullable()->after('office_type');
            $table->string('duns_number', 50)->nullable()->after('scac');
            $table->date('duns_expiration_date')->nullable()->after('duns_number');
            $table->string('c_tpat_certified', 50)->nullable()->after('duns_expiration_date');
            $table->string('c_tpat_svi_number', 50)->nullable()->after('c_tpat_certified');
            $table->enum('broker_loads', ['0', '1'])->comment('0: No, 1: Yes')->nullable()->after('c_tpat_svi_number');
            $table->enum('sourcing', ['1', '2', '3'])->comment('1: Internal Sourcing, 2: External Load Boarde, 3: Both')->nullable()->after('broker_loads');
            $table->string('performance_review_frequency','20')->nullable()->after('sourcing');
            $table->string('website')->nullable()->after('performance_review_frequency');
            $table->enum('status', ['1', '2', '3', '4'])->comment('1: Active, 2: Inactive, 3: Credit Hold, 4: Compliance Hold')->nullable()->after('ap_contact_contact_ext');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('brokers', function (Blueprint $table) {
            $table->dropColumn(['customer_unique_id', 'status', 'customer_type', 'customer_dba', 'afterhours', 'office_type', 'parent_company', 'duns_number', 'duns_expiration_date', 'c_tpat_certified', 'c_tpat_svi_number', 'broker_loads', 'sourcing', 'performance_review_frequency', 'website']);
        });
    }
}
