<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsForGeneralInfoAt19122023OnBrokersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('brokers', function (Blueprint $table) {
            $table->enum('fuel_surcharge_diesel', ['0', '1'])->comment('0: Default Fuel Surcharge, 1: Custom Fuel Surcharge')->nullable()->after('status');
            $table->integer('fuel_surcharge_diesel_file')->unsigned()->comment('IF fuel_surcharge_diesel=1 then fuel_surcharge_templates id added ELSE null')->nullable()->after('fuel_surcharge_diesel');
            $table->enum('fuel_surcharge_gasoline', ['0', '1'])->comment('0: Default Fuel Surcharge, 1: Custom Fuel Surcharge')->nullable()->after('fuel_surcharge_diesel_file');
            $table->integer('fuel_surcharge_gasoline_file')->unsigned()->comment('IF fuel_surcharge_gasoline=1 then fuel_surcharge_templates id added ELSE null')->nullable()->after('fuel_surcharge_gasoline');

            $table->string('ho_sun_open', 10)->nullable()->after('fuel_surcharge_gasoline_file');
            $table->string('ho_sun_close', 10)->nullable()->after('ho_sun_open');
            $table->string('ho_mon_open', 10)->nullable()->after('ho_sun_close');
            $table->string('ho_mon_close', 10)->nullable()->after('ho_mon_open');
            $table->string('ho_tue_open', 10)->nullable()->after('ho_mon_close');
            $table->string('ho_tue_close', 10)->nullable()->after('ho_tue_open');
            $table->string('ho_wed_open', 10)->nullable()->after('ho_tue_close');
            $table->string('ho_wed_close', 10)->nullable()->after('ho_wed_open');
            $table->string('ho_thu_open', 10)->nullable()->after('ho_wed_close');
            $table->string('ho_thu_close', 10)->nullable()->after('ho_thu_open');
            $table->string('ho_fri_open', 10)->nullable()->after('ho_thu_close');
            $table->string('ho_fri_close', 10)->nullable()->after('ho_fri_open');
            $table->string('ho_sat_open', 10)->nullable()->after('ho_fri_close');
            $table->string('ho_sat_close', 10)->nullable()->after('ho_sat_open');

            $table->integer('fmcsa_unsafe')->unsigned()->nullable()->after('ho_sat_close');
            $table->integer('fmcsa_crash')->unsigned()->nullable()->after('fmcsa_unsafe');
            $table->integer('fmcsa_hos')->unsigned()->nullable()->after('fmcsa_crash');
            $table->integer('fmcsa_maintenance')->unsigned()->nullable()->after('fmcsa_hos');
            $table->integer('fmcsa_substances')->unsigned()->nullable()->after('fmcsa_maintenance');
            $table->integer('fmcsa_hazardous')->unsigned()->nullable()->after('fmcsa_substances');
            $table->integer('fmcsa_driver_fitness')->unsigned()->nullable()->after('fmcsa_hazardous');
            $table->integer('fmcsa_insurance')->unsigned()->nullable()->after('fmcsa_driver_fitness');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('brokers', function (Blueprint $table) {
            $table->dropColumn(['fuel_surcharge_diesel', 'fuel_surcharge_diesel_file', 'fuel_surcharge_gasoline', 'fuel_surcharge_gasoline_file', 'ho_sun_open', 'ho_sun_close', 'ho_mon_open', 'ho_mon_close', 'ho_tue_open', 'ho_tue_close', 'ho_wed_open', 'ho_wed_close', 'ho_thu_open', 'ho_thu_close', 'ho_fri_open', 'ho_fri_close', 'ho_sat_open', 'ho_sat_close', 'fmcsa_unsafe', 'fmcsa_crash', 'fmcsa_hos', 'fmcsa_maintenance', 'fmcsa_substances', 'fmcsa_hazardous', 'fmcsa_driver_fitness', 'fmcsa_insurance']);
        });
    }
}
