<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBrokerRequiredDocumentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('broker_required_documents', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id')->unsigned();
            $table->integer('broker_id')->unsigned();
            $table->integer('required_document_profile')->unsigned();
            $table->text('shipper_documents')->nullable();
            $table->text('shipper_doc_types')->nullable();
            $table->text('shipper_include_w_billing')->nullable();
            $table->text('shipper_hide_from_driver')->nullable();
            $table->text('receiver_documents')->nullable();
            $table->text('receiver_doc_types')->nullable();
            $table->text('receiver_include_w_billing')->nullable();
            $table->text('receiver_hide_from_driver')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('broker_required_documents');
    }
}
