<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddAndUpdateColumnsForContactsAt28122023OnBrokerContactsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('broker_contacts', function (Blueprint $table) {
            $table->string('middle_name', 50)->nullable()->after('first_name');
            $table->string('fax', 20)->nullable()->after('ext');
            $table->string('preferred_connections')->nullable()->comment('1: Cell Phone, 2: Email, 3: Office Phone, 4: ProChat, 5: SMS')->change();
            $table->date('date_of_birth')->nullable()->after('preferred_connections');
            $table->date('start_date_work_anniversary')->nullable()->after('date_of_birth');
            $table->enum('gender', ['1', '2'])->nullable()->comment('1: Male, 2: Female')->after('start_date_work_anniversary');
            $table->enum('suffix', ['1', '2', '3', '4', '5'])->nullable()->comment('1: Mr., 2: Mrs., 3: Ms., 4: Miss, 5: Dr.')->after('gender');
            $table->string('pro_chat_id', 50)->nullable()->after('is_invite');
            $table->enum('contact_status', ['1', '2'])->nullable()->comment('1: Active, 2: Inactive')->after('pro_chat_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('broker_contacts', function (Blueprint $table) {
            $table->string('preferred_connections')->nullable()->comment('1 - Message, 2 - Email, 3 - Phone, 4 - Telephone')->change();
            $table->dropColumn(['middle_name', 'fax', 'date_of_birth', 'start_date_work_anniversary', 'gender', 'suffix', 'pro_chat_id', 'contact_status']);
        });
    }
}
