<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddAllowSeeInvoicesToDriversTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('drivers', function (Blueprint $table) {
            $table->boolean('allow_see_invoices')->default(0)->after('next_doctor_visit');
            $table->boolean('allow_see_rate_confirmations')->default(0)->after('allow_see_invoices');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('drivers', function (Blueprint $table) {
            $table->dropColumn(['allow_see_invoices', 'allow_see_rate_confirmations']);
        });
    }
}
