<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsForNotificationCenterAt20122023OnBrokersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('brokers', function (Blueprint $table) {
            $table->text('standard_notification')->nullable()->after('required_loads_per_month');
            $table->text('geofense_notification')->nullable()->after('standard_notification');
            $table->text('edi_notification')->nullable()->after('geofense_notification');
            $table->text('integration_notification')->nullable()->after('edi_notification');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('brokers', function (Blueprint $table) {
            $table->dropColumn(['standard_notification', 'geofense_notification', 'edi_notification', 'integration_notification']);
        });
    }
}
