<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddAcknowledgedUserTypeToLoadDetentionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_detentions', function (Blueprint $table) {
            $table->enum('acknowledged_user_type', ['Company Admin', 'Driver'])->nullable()->after('acknowledgement_emails');
            $table->enum('submitted_user_type', ['Company Admin', 'Driver'])->nullable()->after('stopped_by');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_detentions', function (Blueprint $table) {
            $table->dropColumn(['acknowledged_user_type', 'submitted_user_type']);
        });
    }
}
