<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBrokerContractsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('broker_contracts', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id')->unsigned();
            $table->integer('broker_id')->unsigned();
            $table->string('name')->nullable();
            $table->enum('status', ['1', '2', '3'])->nullable()->comment('1: Active, 2: Inactive, 3: Pending');
            $table->date('start_date')->nullable();
            $table->date('end_date')->nullable();
            $table->integer('submitted_to')->unsigned()->nullable();
            $table->date('submission_date')->nullable();
            $table->string('submitted_by')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('broker_contracts');
    }
}
