<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCustomerFilesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::dropIfExists('broker_contracts');
        Schema::dropIfExists('broker_pricings');

        Schema::create('customer_files', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id')->unsigned();
            $table->integer('broker_id')->unsigned();
            $table->enum('section', ['1', '2', '3', '4', '5', '6'])->comment('1: Contracts, 2: Pricing, 3: Fuel Tables, 4: Quick Quotes, 5: Performance Reviews, 6: Insurance Requirements')->nullable();
            $table->string('name')->nullable();
            $table->enum('status', ['1', '2', '3'])->nullable()->comment('1: Active, 2: Inactive, 3: Pending');
            $table->date('start_date')->nullable();
            $table->date('end_date')->nullable();
            $table->string('submitted_to')->nullable();
            $table->date('submission_date')->nullable();
            $table->string('submitted_by')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('customer_files');
    }
}
