<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsForGeofence20240105OnBrokersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('brokers', function (Blueprint $table) {
            $table->enum('geofence_status', ['0', '1'])->default('0')->after('integration_notification');
            $table->text('geofence_trimble_place_id')->nullable()->after('geofence_status');
            $table->date('geofence_updated_at')->nullable()->after('geofence_trimble_place_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('brokers', function (Blueprint $table) {
            $table->dropColumn(['geofence_status', 'geofence_trimble_place_id', 'geofence_updated_at']);
        });
    }
}
