<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnForBrokerContactInBrokerContactsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('broker_contacts', function (Blueprint $table) {
            $table->string('representative_profile_img')->nullable()->after('contact_status');
            $table->enum('is_representative', ['0', '1'])->default('0')->after('representative_profile_img');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('broker_contacts', function (Blueprint $table) {
            $table->dropColumn(['representative_profile_img', 'is_representative']);
        });
    }
}
