<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsForFuelSurchargeInFuelSurchargeTemplates extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('fuel_surcharge_templates', function (Blueprint $table) {
            $table->date('start_date')->nullable()->after('per_mile_change');
            $table->date('end_date')->nullable()->after('start_date');
            $table->enum('set_as_active', ['0', '1'])->default('0')->after('end_date');
            $table->string('created_by', '50')->nullable()->after('set_as_active');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('fuel_surcharge_templates', function (Blueprint $table) {
            $table->dropColumn(['start_date', 'end_date', 'set_as_active', 'created_by']);
        });
    }
}
