<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnForBillingInLoadDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->enum('billing_load_is_audit', ['0', '1'])->default('0')->after('overdimensional');
            $table->integer('billing_load_audit_by_id')->unsigned()->nullable()->after('billing_load_is_audit');
            $table->string('billing_load_audit_by_name', '30')->nullable()->after('billing_load_audit_by_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->dropColumn(['billing_load_is_audit', 'billing_load_audit_by_id', 'billing_load_audit_by_name']);
        });
    }
}
