<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLoadBillingActivitiesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('load_billing_activities', function (Blueprint $table) {
            $table->id();
            $table->integer('load_id')->unsigned();
            $table->integer('load_detail_id')->unsigned();

            $table->enum('paperwork_received', ['0', '1'])->default(0)->comment('0: No, 1: Yes');
            $table->dateTime('paperwork_received_date_time')->nullable();

            $table->enum('audit_complete', ['0', '1'])->default(0)->comment('0: No, 1: Yes');
            $table->dateTime('audit_complete_date_time')->nullable();
            $table->tinyInteger('audit_complete_user_type')->nullable();
            $table->integer('audit_complete_user_by')->unsigned()->nullable();

            $table->enum('invoiced', ['0', '1'])->default(0)->comment('0: No, 1: Yes');
            $table->dateTime('invoiced_date_time')->nullable();
            $table->tinyInteger('invoiced_user_type')->nullable();
            $table->integer('invoiced_user_by')->unsigned()->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('load_billing_activities');
    }
}
