<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddFuelSurchargeTypeToLoadDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->tinyInteger('fuel_surcharge_type')->default(0)->comment('0=Manual, 1=Automatic')->after('agreed_upon_rate');
            $table->tinyInteger('fuel_surcharge_rate_type')->default(0)->comment('0=Per Mile, 1=Percentage')->after('fuel_surcharge_type');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->dropColumn(['fuel_surcharge_type', 'fuel_surcharge_rate_type']);
        });
    }
}
