<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnFileVerifyInLoadFilesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_files', function (Blueprint $table) {
            $table->tinyInteger('file_verify')->default(0)->after('history')->comment('0: Pending, 1: Approved, 2: Rejected');
            $table->tinyInteger('file_verify_user_type')->nullable()->after('file_verify');
            $table->integer('file_verify_by')->nullable()->unsigned()->after('file_verify_user_type');
            $table->dateTime('file_verified_at')->nullable()->after('file_verify_by');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_files', function (Blueprint $table) {
            $table->dropColumn(['file_verify', 'file_verify_user_type', 'file_verify_by', 'file_verified_at']);
        });
    }
}
