<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLoadBillingReminderHistoriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('load_billing_reminder_histories', function (Blueprint $table) {
            $table->id();
            $table->integer('load_detail_id')->unsigned();
            $table->date('date');
            $table->string('time');
            $table->string('cc')->nullable();
            $table->enum('repeat', ['0', '1'])->default('0')->comment('0: Off, 1: On');
            $table->string('reminder_repeat_every')->nullable();
            $table->dateTime('next_reminder_repeat_at')->nullable();
            $table->text('instruction');
            $table->text('history')->nullable();
            $table->date('created_on');
            $table->integer('created_by')->unsigned();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('load_billing_reminder_histories');
    }
}
