<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLoadBillingPaymentAccountsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('load_billing_payment_accounts', function (Blueprint $table) {
            $table->id();
            $table->integer('load_detail_id')->unsigned();
            $table->string('account_name');
            $table->enum('account_payment_type', ['1', '2', '3', '4', '5'])->comment('1: ACH/Wire, 2: Cash, 3: Certified Check, 4: Credit/Debit Card, 5: Standard Check');
            $table->string('account_expiration', 10);
            $table->integer('account_number')->unsigned();
            $table->enum('account_status', ['0', '1'])->default('0');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('load_billing_payment_accounts');
    }
}
