<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLoadBillingPayInvoicesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('load_billing_pay_invoices', function (Blueprint $table) {
            $table->id();
            $table->integer('load_detail_id')->unsigned();
            $table->date('payment_date');
            $table->tinyInteger('paid_by');
            $table->tinyInteger('factor')->default(0)->comment('0: No, 1: Yes');
            $table->tinyInteger('payment_type')->comment('1: ACH/Wire, 2: Cash, 3: Certified Check, 4: Credit/Debit Card, 5: Standard Check');
            $table->string('additional_info')->nullable();
            $table->string('check_number')->nullable();
            $table->integer('account_number')->unsigned();
            $table->double('total_payment', 10, 2);
            $table->double('load_pay', 10, 2);
            $table->integer('load_gl_account')->unsigned();
            $table->double('factor_fee', 10, 2);
            $table->integer('factor_gl_account')->unsigned();
            $table->tinyInteger('chargeback')->default(0)->comment('0: No, 1: Yes');
            $table->text('chargeback_type')->nullable();
            $table->text('chargeback_user')->nullable();
            $table->text('chargeback_amount')->nullable();
            $table->text('chargeback_against_balance')->nullable();
            $table->text('notes')->nullable();
            $table->double('total_balance', 10, 2);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('load_billing_pay_invoices');
    }
}
