<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnForBilingPaidInvoiceActivityInLoadBillingActivitiesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_billing_activities', function (Blueprint $table) {
            $table->enum('paid_invoice', ['0', '1'])->default(0)->comment('0: No, 1: Yes')->after('invoiced_user_by');
            $table->dateTime('paid_invoice_date_time')->nullable()->after('paid_invoice');
            $table->tinyInteger('paid_invoice_user_type')->nullable()->after('paid_invoice_date_time');
            $table->integer('paid_invoice_user_by')->unsigned()->nullable()->after('paid_invoice_user_type');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_billing_activities', function (Blueprint $table) {
            $table->dropColumn(['paid_invoice', 'paid_invoice_date_time', 'paid_invoice_user_type', 'paid_invoice_user_by']);
        });
    }
}
