<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTrailerInsuranceProfileItemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('trailer_insurance_profile_items', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('trailer_id');
            $table->unsignedBigInteger('trailer_company_insurance_profile_id');
            $table->unsignedBigInteger('company_insurance_type_id');
            $table->unsignedBigInteger('vendor_id')->nullable();
            $table->string('policy_number')->nullable();
            $table->string('value')->nullable();
            $table->date('date_added')->nullable();
            $table->date('expiration_date')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('trailer_insurance_profile_items');
    }
}
