<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTrailerCompanyPmServiceProfilesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('trailer_company_pm_service_profiles', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('company_id');
            $table->string('profile_name');
            $table->longText('types')->nullable()->comment('company_pm_types');
            $table->longText('service_types')->nullable()->comment('company_pm_service_types');
            $table->longText('interval_types')->nullable()->comment('1=Mileage, 2=Hours, 3=Date');
            $table->longText('schedules')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('trailer_company_pm_service_profiles');
    }
}
