<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTrailerPmServiceWarrantyProfileItemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('trailer_pm_service_warranty_profile_items', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('trailer_id');
            $table->unsignedBigInteger('trailer_company_pm_service_warranty_profile_id');
            $table->unsignedBigInteger('company_pm_warranty_provider_id')->nullable();
            $table->text('description')->nullable();
            $table->tinyInteger('interval_type')->nullable()->comment('1=Mileage, 2=Hours, 3=Date');
            $table->string('term')->nullable();
            $table->string('warranty_start')->nullable();
            $table->string('warranty_exp')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('trailer_pm_service_warranty_profile_items');
    }
}
