<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Models\Company;
use App\Models\Driver;

class UpdateTeamIdValuesBaseOnManagerIdInDriversTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $getCompany = Company::get();
        foreach($getCompany as $company){
            $dispatchers = getDispatcherListByCompanyWithTeam($company->id)->makeHidden('full_name')->pluck('team_id', 'id')->toArray();

            $drivers = Driver::where('company_id', $company->id)->withTrashed()->get(['id', 'manager_id', 'team_id']);
            foreach ($drivers as $driver){
                if(isset($dispatchers[$driver->manager_id]) && !is_null($dispatchers[$driver->manager_id])){
                    if(is_null($driver->team_id) || $driver->team_id != $dispatchers[$driver->manager_id]){
                        $driver->team_id = $dispatchers[$driver->manager_id];
                        $driver->save();
                    }
                }else{
                    $driver->manager_id = null;
                    $driver->team_id = null;
                    $driver->save();
                }
            }
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
