<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTrailerDocumentProfileItemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('trailer_document_profile_items', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('trailer_id');
            $table->unsignedBigInteger('trailer_company_document_profile_id');
            $table->unsignedBigInteger('company_document_title_id')->nullable();
            $table->enum('dot_required', ['0', '1'])->comment('0: No, 1: Yes')->nullable();
            $table->date('exp_date')->nullable();
            $table->enum('doc_type', ['1', '2'])->comment('1: Copy, 2: Original')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('trailer_document_profile_items');
    }
}
