<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ChangeColumnLengthInTrailersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('trailers', function (Blueprint $table) {
            $table->string('year', 5)->change();
            $table->string('make', 100)->change();
            $table->string('model', 100)->change();
            $table->string('length', 100)->change();
            $table->string('tag_state', 100)->change();
            $table->string('tag_number', 100)->change();
            $table->string('terminal', 100)->change();
            $table->string('axles', 100)->change();
            $table->string('insurance_carrier', 100)->change();
            $table->string('insurance_exp', 100)->change();
            $table->string('insurance_value', 100)->change();
            $table->string('leasing_company', 100)->change();
            $table->string('owner_id', 100)->change();
            $table->string('owner_name', 100)->change();
            $table->string('in_service_date', 100)->change();
            $table->string('reefer_model_number', 100)->change();
            $table->string('reefer_service_interval_hours', 100)->change();
            $table->string('reefer_next_pm_service', 100)->change();
            $table->string('reefer_last_pm_service', 100)->change();
            $table->string('reefer_service_due', 100)->change();
            $table->string('reefer_current_hours', 100)->change();
            $table->string('next_service_date', 100)->change();
            $table->string('last_server_date', 100)->change();
            $table->string('federal_inspection_interval', 100)->change();
            $table->string('federal_inspection_type', 100)->change();
            $table->string('current_assigned_driver', 100)->change();
            $table->string('current_assigned_truck', 100)->change();
            $table->string('depreciated_value', 100)->change();
            $table->string('trailer_interchange', 100)->change();
            $table->string('fai_due_date', 100)->change();
            $table->string('lease_agreement_title', 100)->change();
            $table->string('leasing_co', 100)->change();
            $table->string('purchased_new', 100)->change();
            $table->string('owner_purchase_price', 100)->change();
            $table->string('ownership', 100)->change();
            $table->string('carrier', 100)->change();
            $table->string('onboard_equipment', 100)->change();
            $table->string('spare_tire_rank', 100)->change();
            $table->string('etrack', 100)->change();
            $table->string('plated_interior', 100)->change();
            $table->string('vented', 100)->change();
            $table->string('drop_trailer_pool', 100)->change();
            $table->string('logistics_post', 100)->change();
            $table->string('spread_axie', 100)->change();
            $table->string('suspension_type', 100)->change();
            $table->string('floor_type', 100)->change();
            $table->string('roof_type', 100)->change();
            $table->string('insured_value', 100)->change();
            $table->string('phys_dam_ins_carrier', 100)->change();
            $table->string('tracker_id', 100)->change();
            $table->string('tracker_provider', 100)->change();
            $table->string('carb_id', 100)->change();
            $table->string('deck_height', 100)->change();
            $table->string('width', 100)->change();
            $table->string('height', 100)->change();
            $table->string('color', 100)->change();
            $table->string('tire_size', 100)->change();
            $table->string('hubometer', 100)->change();
            $table->string('unladen_weight', 100)->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('trailers', function (Blueprint $table) {
            $table->string('year', 255)->change();
            $table->string('make', 255)->change();
            $table->string('model', 255)->change();
            $table->string('length', 255)->change();
            $table->string('tag_state', 255)->change();
            $table->string('tag_number', 255)->change();
            $table->string('terminal', 255)->change();
            $table->string('axles', 255)->change();
            $table->string('insurance_carrier', 255)->change();
            $table->string('insurance_exp', 255)->change();
            $table->string('insurance_value', 255)->change();
            $table->string('leasing_company', 255)->change();
            $table->string('owner_id', 255)->change();
            $table->string('owner_name', 255)->change();
            $table->string('in_service_date')->change();
            $table->string('reefer_model_number')->change();
            $table->string('reefer_service_interval_hours')->change();
            $table->string('reefer_next_pm_service')->change();
            $table->string('reefer_last_pm_service')->change();
            $table->string('reefer_service_due')->change();
            $table->string('reefer_current_hours')->change();
            $table->string('next_service_date')->change();
            $table->string('last_server_date')->change();
            $table->string('federal_inspection_interval')->change();
            $table->string('federal_inspection_type')->change();
            $table->string('current_assigned_driver')->change();
            $table->string('current_assigned_truck')->change();
            $table->string('depreciated_value')->change();
            $table->string('trailer_interchange')->change();
            $table->string('fai_due_date')->change();
            $table->string('lease_agreement_title')->change();
            $table->string('leasing_co')->change();
            $table->string('purchased_new')->change();
            $table->string('owner_purchase_price')->change();
            $table->string('ownership')->change();
            $table->string('carrier')->change();
            $table->string('onboard_equipment')->change();
            $table->string('spare_tire_rank')->change();
            $table->string('etrack')->change();
            $table->string('plated_interior')->change();
            $table->string('vented')->change();
            $table->string('drop_trailer_pool')->change();
            $table->string('logistics_post')->change();
            $table->string('spread_axie')->change();
            $table->string('suspension_type')->change();
            $table->string('floor_type')->change();
            $table->string('roof_type')->change();
            $table->string('insured_value')->change();
            $table->string('phys_dam_ins_carrier')->change();
            $table->string('tracker_id')->change();
            $table->string('tracker_provider')->change();
            $table->string('carb_id')->change();
            $table->string('deck_height')->change();
            $table->string('width')->change();
            $table->string('height')->change();
            $table->string('color')->change();
            $table->string('tire_size')->change();
            $table->string('hubometer')->change();
            $table->string('unladen_weight')->change();
        });
    }
}
