<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ChangeTruckGroupColumnTypeInTrucks extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('trucks', function ($table) {
            $table->unsignedBigInteger('new_truck_group')->nullable()->comment('company_truck_groups')->after('current_odometer');
        });

        Schema::table('trucks', function ($table) {
            $table->dropColumn('truck_group');
        });

        Schema::table('trucks', function ($table) {
            $table->renameColumn('new_truck_group', 'truck_group');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('trucks', function ($table) {
            $table->renameColumn('truck_group', 'new_truck_group');
        });

        Schema::table('trucks', function ($table) {
            $table->dropColumn('new_truck_group');
        });

        Schema::table('trucks', function ($table) {
            $table->enum('truck_group', ['0', '1', '2', '3', '4'])->nullable()->comment('0: Dedicated, 1: DOD, 2: Government, 3: Oil & Energy, 4: Produce')->after('current_odometer');
        });
    }
}
