<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ChangeAssignedCustomerColumnTypeInTrailersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('trailers', function ($table) {
            $table->unsignedBigInteger('new_assigned_customer')->nullable()->comment('brokers')->after('trailer_group');
        });

        Schema::table('trailers', function ($table) {
            $table->dropColumn('assigned_customer');
        });

        Schema::table('trailers', function ($table) {
            $table->renameColumn('new_assigned_customer', 'assigned_customer');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('trailers', function ($table) {
            $table->renameColumn('assigned_customer', 'new_assigned_customer');
        });

        Schema::table('trailers', function ($table) {
            $table->dropColumn('new_assigned_customer');
        });

        Schema::table('trailers', function ($table) {
            $table->enum('assigned_customer', ['0', '1', '2'])->nullable()->comment('0: ABC wood company, 1: Dragon Plastics, 2: Georgia Pacific')->after('trailer_group');
        });
    }
}
