<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ChangeColumnForTruckIntegrationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('truck_integrations', function (Blueprint $table) {
            $table->dropColumn(['eld_provider', 'vin_number_auto_populate', 'vin_number', 'eld_id']);

            $table->string('integration_type')->comment('')->after('truck_id')->change();
            $table->string('provider')->nullable()->after('integration_type');
            $table->text('provider_id')->nullable()->after('provider');
            $table->smallInteger('auto_populate')->default(0)->comment('0: No, 1: Yes')->after('provider_id');
            $table->smallInteger('connected_status')->default(0)->comment('0: No, 1: Yes')->after('auto_populate')->change();
            $table->text('extra_params')->nullable()->after('connected_status');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('truck_integrations', function (Blueprint $table) {
            //
        });
    }
}
