<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsInLoadBillingInvoiceTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_billing_invoice', function (Blueprint $table) {
            $table->dropColumn('bill_to');
            $table->string('billing_address')->nullable()->after('bill_to_name');
            $table->string('billing_address_2')->nullable()->after('billing_address');
            $table->string('billing_city')->nullable()->after('billing_address_2');
            $table->string('billing_state')->nullable()->after('billing_city');
            $table->string('billing_zip')->nullable()->after('billing_state');
            $table->string('truck')->nullable()->change();
            $table->string('trailer')->nullable()->change();
            $table->text('notes')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_billing_invoice', function (Blueprint $table) {
            $table->dropColumn(['billing_address', 'billing_address_2', 'billing_city', 'billing_state', 'billing_zip']);
            $table->string('bill_to')->nullable()->after('bill_to_name');
        });
    }
}
