<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsForLoadUnlockReqInLoadLockByUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_lock_by_users', function (Blueprint $table) {
            $table->tinyInteger('unlock_request_status')->default(0)->comment('0: Not Requested, 1: Requested, 2: Rejected')->after('load_detail_id');
            $table->tinyInteger('unlock_requested_by')->nullable()->after('unlock_request_status');
            $table->dateTime('unlock_requested_at')->nullable()->after('unlock_requested_by');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_lock_by_users', function (Blueprint $table) {
            $table->dropColumn(['unlock_request_status', 'unlock_requested_by', 'unlock_requested_at']);
        });
    }
}
