<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateListWidgetsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('list_widgets', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('company_admins_id');
            $table->enum('tab', ['driver', 'truck', 'trailer'])->nullable();
            $table->enum('isActive', ['0', '1'])->default('0')->comment('0: Inactive, 1: Active');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('list_widgets');
    }
}
