<?php

namespace Database\Seeders;

use App\Models\LeftMenu;
use App\Models\LeftMenuByUser;
use Illuminate\Database\Seeder;

class LeftMenuSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        LeftMenu::truncate();
        LeftMenuByUser::truncate();

        $leftMenus = [
            ['name' => 'List', 'icon' => 'list.svg', 'url' => 'company.admin.lists.index'],
            ['name' => 'Compliance', 'icon' => 'user-card.svg', 'url' => 'company.admin.compliance.index'],
            ['name' => 'Maintenance', 'icon' => 'maintenance.svg', 'url' => 'company.admin.maintenances.index'],
            ['name' => 'Payroll', 'icon' => 'payroll.svg', 'url' => ''],
            ['name' => 'Fuel & Tolls', 'icon' => 'fual.svg', 'url' => ''],
            ['name' => 'IFTA', 'icon' => 'road.svg', 'url' => ''],
            ['name' => 'Safety', 'icon' => 'safty.svg', 'url' => ''],
            ['name' => 'FMCSA', 'icon' => 'fmcsa.svg', 'url' => ''],
            ['name' => 'Reports', 'icon' => 'reports.svg', 'url' => ''],
            ['name' => 'Calender', 'icon' => 'calender-blue.svg', 'url' => ''],
            ['name' => 'Messenger', 'icon' => 'chat-msg.svg', 'url' => ''],
            ['name' => 'ProRouter', 'icon' => 'prorouter.svg', 'url' => 'company.admin.book.offer'],
            ['name' => 'Weekly View', 'icon' => 'week-view.svg', 'url' => 'company.admin.loads.by.week.index'],
            ['name' => 'Loads', 'icon' => 'loads.svg', 'url' => 'company.admin.loads.index'],
        ];

        foreach ($leftMenus as $leftMenu) {
            LeftMenu::create($leftMenu);
        }
    }
}
