<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;

use App\Models\Company;

use App\Models\PdfTemplate;
use App\Models\CompanyPdfTemplate;

class PdfTemplateSeeder extends Seeder
{
    /**
     * Run the database seeds.
     * Command Line
     * php artisan db:seed --class=PdfTemplateSeeder
     * @return void
     */
    public function run()
    {
        PdfTemplate::truncate();
        CompanyPdfTemplate::truncate();

        $pdf_templates          = array(
            array(
                'name'          => 'Load Invoice',
                'content'       => '<div style="border:1px solid #d8d8dd; padding:0px; page-break-inside:avoid">
                    <table cellspacing="0" id="main-table" style="border-collapse:collapse; border-spacing:0; display:table; font-size:16px; line-height:1.2; margin:0; padding:0px; width:100%; word-break:break-all">
                        <tbody>
                            <tr>
                                <td style="vertical-align:top">
                                    <table cellspacing="0" id="address-table" style="border-collapse:collapse; border-spacing:0; display:table; margin:0; padding:0; text-align:left; vertical-align:middle; width:80%">
                                        <tbody>
                                            <tr>
                                                <td colspan="2" style="text-align:left">
                                                    <div>
                                                        <strong>{%company_name%}</strong>
                                                    </div>
                                                    {%company_street%}<br />
                                                    {%company_city%},{%company_state%} {%company_zip%}
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="2" style="text-align:left">Phone: {%company_phone%}</td>
                                            </tr>
                                            <tr>
                                                <td colspan="2" style="text-align:left">Fax: {%company_fax%}</td>
                                            </tr>
                                            <tr>
                                                <td style="text-align:left; width:50%">
                                                    <div>
                                                        <div>
                                                            <strong>Bill To:</strong>
                                                        </div>
                                                        {%customer_name%}<br />
                                                        {%customer_address%}<br />
                                                        {%customer_city%},{%customer_state%} {%customer_zip%}
                                                    </div>
                                                </td>
                                                <td>{%customer_logo%}</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </td>
                                <td style="text-align:right; vertical-align:top; width:180px">
                                    <table cellspacing="0" id="invoice-no" style="border-collapse:collapse; border-spacing:0; display:table; justify-content:end; margin-left:auto; margin:0; padding:0; vertical-align:middle; width:100%">
                                        <tbody>
                                            <tr>
                                                <td style="text-align:right">
                                                    <div style="margin-right:auto; text-align:center">
                                                        <div>
                                                            <span style="font-size:16px">
                                                                <strong>Invoice Number:</strong>
                                                            </span>
                                                        </div>
                                                        <div style="margin-bottom:8px; margin-top:4px">
                                                            <span style="font-size:24px">
                                                                <strong>{%invoice_number%}</strong>
                                                            </span>
                                                        </div>
                                                        {%qr_code%}
                                                    </div>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2" style="border-bottom:1px solid #d8d8dd; border-top:1px solid #d8d8dd; vertical-align:middle">
                                    <table cellspacing="0" style="border-collapse:collapse; border-spacing:0; display:table; font-size:16px; margin:0; vertical-align:middle; width:100%">
                                        <tbody>
                                            <tr>
                                                <td style="vertical-align:middle; width:23.33%">
                                                    <div><strong>Origin:</strong></div>
                                                    {%origin%}<br />
                                                    {%origin_date%}
                                                </td>
                                                <td style="vertical-align:middle; width:23.33%">
                                                    <div><strong>Destination:</strong></div>
                                                    {%destination%}<br />
                                                    {%destination_date%}
                                                </td>
                                                <td style="vertical-align:middle; width:23.33%">
                                                    <div><strong>Commodity:</strong></div>
                                                    {%commodity_name%}
                                                </td>
                                                <td style="vertical-align:middle; width:15%">
                                                    <div><strong>Weight:</strong></div>
                                                    {%weight%}
                                                </td>
                                                <td style="vertical-align:middle; width:15%">
                                                    <div><strong>Load Type:</strong></div>
                                                    {%load_type%}
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2" style="border-bottom:1px solid #d8d8dd; vertical-align:top">
                                    <table cellspacing="0" id="item-table" style="border-collapse:collapse; border-spacing:0; display:table; font-size:18px; line-height:1.8; margin:0px; width:100%">
                                        <thead>
                                            <tr>
                                                <th scope="col" style="text-align:left; vertical-align:top; width:40%">DESCRIPTION</th>
                                                <th scope="col" style="text-align:left; vertical-align:top; width:120px">QUANTITY</th>
                                                <th scope="col" style="text-align:left; vertical-align:top; width:120px">RATE</th>
                                                <th scope="col" style="text-align:left; vertical-align:top; width:130px">AMOUNT</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td style="vertical-align:top; width:40%">&nbsp;</td>
                                                <td style="vertical-align:top; width:120px">&nbsp;</td>
                                                <td style="vertical-align:top; width:120px">&nbsp;</td>
                                                <td style="vertical-align:top; width:130px">&nbsp;</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <table cellspacing="0" id="notes-table" style="border-collapse:collapse; border-spacing:0; display:table; font-size:16px; line-height:1.6; margin:0; padding:0; vertical-align:top; width: 100%">
                                        <tbody>
                                            <tr>
                                                <td style="vertical-align:top; width:64%">
                                                    <div>
                                                        <strong>NOTES:</strong>
                                                    </div>
                                                    <div style="margin-top:8px">
                                                        <span style="font-size:16px">{%notes%}</span>
                                                    </div>
                                                </td>
                                                <td style="vertical-align:top; width:36%">
                                                    <table cellspacing="0" id="invoice-total-table" style="border-collapse:collapse; border-spacing:0; font-size:18px; line-height:1.6; margin:0; width:100%">
                                                        <tbody>
                                                            <tr>
                                                                <td style="width:115px"><strong>Linehaul</strong></td>
                                                                <td style="width:125px"><strong>{%linehaul_amount%}</strong></td>
                                                            </tr>
                                                            <tr>
                                                                <td style="width:115px"><strong>Fuel</strong></td>
                                                                <td style="width:125px"><strong>{%fuel_surcharge%}</strong></td>
                                                            </tr>
                                                            <tr>
                                                                <td style="width:115px"><strong>Accessorials</strong></td>
                                                                <td style="width:125px"><strong>{%accessorial_amount%}</strong></td>
                                                            </tr>
                                                            <tr>
                                                                <td style="width:115px"><strong>Detention</strong></td>
                                                                <td style="width:125px"><strong>{%detention_amount%}</strong></td>
                                                            </tr>
                                                            <tr>
                                                                <td style="border-top:1px solid #d8d8dd; width:115px"><strong>Invoice Total</strong></td>
                                                                <td style="border-top:1px solid #d8d8dd; width:125px"><strong>{%invoice_total%}</strong></td>
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2" style="border-bottom:1px solid #d8d8dd; vertical-align:bottom">
                                    <table cellspacing="0" style="border-collapse:collapse; border-spacing:0; margin:0px; width:100%">
                                        <tbody>
                                            <tr>
                                                <td style="vertical-align:bottom; width:39%">
                                                    <div>
                                                        <span style="font-size:18px">
                                                            <strong>Remit Payment To:</strong>
                                                        </span>
                                                    </div>
                                                    <div style="margin-top:8px">
                                                        <span style="font-size:16px">
                                                            {%factor_invoices%}
                                                        </span>
                                                    </div>
                                                </td>
                                                <td style="vertical-align:bottom">
                                                    <span style="font-size:16px">Thank you for your business!</span>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2" style="border-bottom:1px solid #d8d8dd">
                                    <table style="border-spacing:0; line-height:1.6; padding:0; width:100%">
                                        <tbody>
                                            <tr>
                                                <td style="text-align:left">
                                                    <div>
                                                        <span style="font-size:18px">
                                                            <strong>TERMS</strong>
                                                        </span>
                                                    </div>
                                                    <span style="font-size:20px">
                                                        <strong>{%terms%}</strong>
                                                    </span>
                                                </td>
                                                <td style="text-align:left">
                                                    <div>
                                                        <span style="font-size:18px">
                                                            <strong>INVOICE DATE</strong>
                                                        </span>
                                                    </div>
                                                    <span style="font-size:20px">
                                                        <strong>{%invoice_date%}</strong>
                                                    </span>
                                                </td>
                                                <td style="text-align:left">
                                                    <div>
                                                        <span style="font-size:18px">
                                                            <strong>DUE DATE </strong>
                                                        </span>
                                                    </div>
                                                    <span style="font-size:20px">
                                                        <strong>{%due_date%}</strong>
                                                    </span>
                                                </td>
                                                <td style="background-color:#e8effd; text-align:right">
                                                    <div>
                                                        <span style="font-size:18px">
                                                            <strong>BALANCE DUE </strong>
                                                        </span>
                                                    </div>
                                                    <span style="font-size:20px">
                                                        <strong>{%balance_due%}</strong>
                                                    </span>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2" style="text-align:center">
                                    <div style="margin-bottom:4px">
                                        <strong>This invoice was created by DispatchPro Inc. Powered by the pro&#39;s at {%company_logo%}</strong>
                                    </div>
                                    <div>
                                        <strong>Pay this invoice at </strong><a href="https://www.dispatchpro.com/payments" style="color: #305F9C;text-decoration: none;">www.dispatchpro.com/payments</a>
                                    </div>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>',
                'tags'          => '{%company_logo%},{%company_name%},{%company_street%},{%company_city%},{%company_state%},{%company_zip%},{%company_phone%},{%company_fax%},{%customer_logo%},{%customer_name%},{%customer_address%},{%customer_city%},{%customer_state%},{%customer_zip%},{%invoice_number%},{%qr_code%},{%origin%},{%origin_date%},{%destination%},{%destination_date%},{%commodity_name%},{%weight%},{%load_type%},{%notes%},{%linehaul_amount%},{%fuel_surcharge%},{%accessorial_amount%},{%detention_amount%},{%invoice_total%},{%factor_invoices%},{%terms%},{%invoice_date%},{%due_date%},{%balance_due%}'
            )
        );

        foreach ($pdf_templates as $template) {
            PdfTemplate::create($template);
        }

        $getCompany             = Company::get();
        foreach($getCompany as $company){
            $pdfTemplates       = PdfTemplate::get(['name', 'content', 'tags'])->toArray();
            foreach ($pdfTemplates as $pdfTemplate){
                $pdfTemplate    = array_merge(array('company_id' => $company->id), $pdfTemplate);
                CompanyPdfTemplate::create($pdfTemplate);
            }
        }
    }
}
