<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\State;

class StateSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $states = [
            [ 'name' => 'Wisconsin', 'code' => 'WI' , 'latitude' => '44.500000' , 'longitude' => '-89.500000' ],
            [ 'name' => 'West Virginia', 'code' => 'WV' , 'latitude' => '39.000000' , 'longitude' => '-80.500000' ],
            [ 'name' => 'Vermont', 'code' => 'VT'  , 'latitude' => '44.000000'  ,  'longitude' => '-72.699997' ],
            [ 'name' => 'Texas', 'code' => 'TX' , 'latitude' => '31.000000' , 'longitude' => '-100.000000' ],
            [ 'name' => 'South Dakota', 'code' => 'SD' , 'latitude' => '44.500000' , 'longitude' => '-100.000000' ],
            [ 'name' => 'Rhode Island', 'code' => 'RI'  , 'latitude' => '41.700001' , 'longitude' => '-71.500000' ],
            [ 'name' => 'Oregon', 'code' => 'OR'  ,'latitude' => '44.000000'  ,  'longitude' => '-120.500000' ],
            [ 'name' => 'New York', 'code' => 'NY' , 'latitude' => '43.000000' , 'longitude' => '-75.000000' ],
            [ 'name' => 'New Hampshire', 'code' => 'NH' , 'latitude' => '44.000000' , 'longitude' => '-71.500000' ],
            [ 'name' => 'Nebraska', 'code' => 'NE' , 'latitude' => '41.500000' , 'longitude' => '-100.000000' ],
            [ 'name' => 'Kansas', 'code' => 'KS' , 'latitude' => '38.500000' , 'longitude' => '-98.000000' ],
            [ 'name' => 'Mississippi', 'code' => 'MS' , 'latitude' => '33.000000' , 'longitude' => '-90.000000' ],
            [ 'name' => 'Illinois', 'code' => 'IL' , 'latitude' => '40.000000' , 'longitude' => '-89.000000' ],
            [ 'name' => 'Delaware', 'code' => 'DE' , 'latitude' => '39.000000' , 'longitude' => '-75.500000' ],
            [ 'name' => 'Connecticut', 'code' => 'CT' , 'latitude' => '41.599998' , 'longitude' => '-72.699997' ],
            [ 'name' => 'Arkansas', 'code' => 'AR'  ,'latitude' => '34.799999'  ,  'longitude' => '-92.199997' ],
            [ 'name' => 'Indiana', 'code' => 'IN'  , 'latitude' => '40.273502'  ,  'longitude' => '-86.126976' ],
            [ 'name' => 'Missouri', 'code' => 'MO'  , 'latitude' => '38.573936'  ,  'longitude' => '-92.603760' ],
            [ 'name' => 'Florida', 'code' => 'FL'  , 'latitude' => '27.994402'  ,  'longitude' => '-81.760254' ],
            [ 'name' => 'Nevada', 'code' => 'NV'  , 'latitude' => '39.876019'  ,  'longitude' => '-117.224121' ],
            [ 'name' => 'Maine', 'code' => 'ME'  , 'latitude' => '45.367584'  ,  'longitude' => '-68.972168' ],
            [ 'name' => 'Michigan', 'code' => 'MI'  , 'latitude' => '44.182205'  ,  'longitude' => '-84.506836' ],
            [ 'name' => 'Georgia', 'code' => 'GA'  , 'latitude' => '33.247875'  ,  'longitude' => '-83.441162' ],
            [ 'name' => 'Hawaii', 'code' => 'HI'  , 'latitude' => '19.741755'  ,  'longitude' => '-155.844437' ],
            [ 'name' => 'Alaska', 'code' => 'AK'  , 'latitude' => '66.160507'  ,  'longitude' => '-153.369141' ],
            [ 'name' => 'Tennessee', 'code' => 'TN'  ,'latitude' => '35.860119'  ,  'longitude' => '-86.660156' ],
            [ 'name' => 'Virginia', 'code' => 'VA'  ,'latitude' => '37.926868'  ,  'longitude' => '-78.024902' ],
            [ 'name' => 'New Jersey', 'code' => 'NJ'  ,'latitude' => '39.833851'  ,  'longitude' => '-74.871826' ],
            [ 'name' => 'Kentucky', 'code' => 'KY'  ,'latitude' => '37.839333'  ,  'longitude' => '-84.270020' ],
            [ 'name' => 'North Dakota', 'code' => 'ND'  ,'latitude' => '47.650589'  ,  'longitude' => '-100.437012' ],
            [ 'name' => 'Minnesota', 'code' => 'MN'  ,'latitude' => '46.392410'  ,  'longitude' => '-94.636230' ],
            [ 'name' => 'Oklahoma', 'code' => 'OK'  ,'latitude' => '36.084621'  ,  'longitude' => '-96.921387' ],
            [ 'name' => 'Montana', 'code' => 'MT'  ,'latitude' => '46.965260'  ,  'longitude' => '-109.533691' ],
            [ 'name' => 'Washington', 'code' => 'WA'  ,'latitude' => '47.751076'  ,  'longitude' => '-120.740135' ],
            [ 'name' => 'Utah', 'code' => 'UT'  ,'latitude' => '39.419220'  ,  'longitude' => '-111.950684' ],
            [ 'name' => 'Colorado', 'code' => 'CO'  ,'latitude' => '39.113014'  ,  'longitude' => '-105.358887' ],
            [ 'name' => 'Ohio', 'code' => 'OH'  ,'latitude' => '40.367474'  ,  'longitude' => '-82.996216' ],
            [ 'name' => 'Alabama', 'code' => 'AL'  ,'latitude' => '32.318230'  ,  'longitude' => '-86.902298' ],
            [ 'name' => 'Iowa', 'code' => 'IA' ,'latitude' => '42.032974'  ,  'longitude' => '-93.581543' ],
            [ 'name' => 'New Mexico', 'code' => 'NM'  ,'latitude' => '34.307144'  ,  'longitude' => '-106.018066' ],
            [ 'name' => 'South Carolina', 'code' => 'SC'  ,'latitude' => '33.836082'  ,  'longitude' => '-81.163727' ],
            [ 'name' => 'Pennsylvania', 'code' => 'PA'  ,'latitude' => '41.203323'  ,  'longitude' => '-77.194527' ],
            [ 'name' => 'Arizona', 'code' => 'AZ'  ,'latitude' => '34.048927'  ,  'longitude' => '-111.093735' ],
            [ 'name' => 'Maryland', 'code' => 'MD'  ,'latitude' => '39.045753'  ,  'longitude' => '-76.641273' ],
            [ 'name' => 'Massachusetts', 'code' => 'MA'  ,'latitude' => '42.407211'  ,  'longitude' => '-71.382439' ],
            [ 'name' => 'California', 'code' => 'CA'  ,'latitude' => '36.778259'  ,  'longitude' => '-119.417931' ],
            [ 'name' => 'Idaho', 'code' => 'ID'  ,'latitude' => '44.068203'  ,  'longitude' => '-114.742043' ],
            [ 'name' => 'Wyoming', 'code' => 'WY'  ,'latitude' => '43.075970'  ,  'longitude' => '-107.290283' ],
            [ 'name' => 'North Carolina', 'code' => 'NC'  ,'latitude' => '35.782169'  ,  'longitude' => '-80.793457' ],
            [ 'name' => 'Louisiana', 'code' => 'LA'  ,'latitude' => '30.391830'  ,  'longitude' => '-92.329102' ],
        ];

        foreach ($states as $state) {
            State::firstOrCreate($state);
        }
    }
}
