@extends($adminTheme)

@section('title')
    Accounts
@endsection

@section('content')
<div class="table-control">                
    <a href="{{ route('admin.accounts.create') }}" class="btn green-btn green-link-btn">Add New</a>
</div>

<div class="row">
    <div class="col-md-3 col-sm-6">
        <div class="white-box mb-4">
            <div class="box-padding employee-box">
                <span class="big-ttl">Total Admins</span>
                <h5 class="centr">{{ $totalAdmins }}</h5>
            </div>
        </div>
    </div>
    <div class="col-md-3 col-sm-6">
        <div class="white-box mb-4">
            <div class="box-padding employee-box">
                <span class="big-ttl">Total Sub Admins</span>
                <h5 class="centr">{{ $totalSubAdmins }}</h5>
            </div>
        </div>
    </div>
    <div class="col-md-3 col-sm-6">
        <div class="white-box mb-4">
            <div class="box-padding employee-box">
                <span class="big-ttl">Total Supports</span>
                <h5 class="centr">{{ $totalSupports }}</h5>
            </div>
        </div>
    </div>
</div>

<div class="white-box table-view">
    <h3 class="table-title">Accounts</h3>
    <div class="add-responsive">
      <table class="table data-table">
        <thead>
          <tr>
            <th>#</th>
            <th>First Name</th>
            <th>Last Name</th>
            <th>Email</th>
            <th>Type</th>
            <th style="display: none;">Created At</th>
            <th style="width: 70px;">Action</th>
          </tr>
        </thead>
        <tbody>
        </tbody>
      </table>
    </div>
</div>
@endsection

@section('script')
<script type="text/javascript">
var table = $('.data-table').DataTable({
    stateSave: true,
    language: {
        search: "",
        searchPlaceholder: "Search...",
    },
    processing: true,
    serverSide: true,
    bJQueryUI: true, 
    // pageLength: 1, 
    order: [[5, "desc"]],
    ajax: "{{ route('admin.accounts.index') }}",
    columns: [
        { data: 'DT_RowIndex', name: 'DT_RowIndex', orderable: false, searchable: false },
        { data: 'first_name', name: 'first_name' },
        { data: 'last_name', name: 'last_name' },
        { data: 'email', name: 'email' },
        { data: 'type', name: 'type' },
        { data: 'created_at', name: 'created_at', visible: false, searchable: false },
        { data: 'action', name: 'action', orderable: false, searchable: false }
    ]
});
</script>
@endsection