@extends($adminTheme)

@section('title')
    App Center
@endsection

@section('header-title')
    New App Center
@endsection

@section('style')

<link rel="stylesheet" type="text/css" href="{{ asset('theme/css/datepicker3.min.css') }}">
<link rel="stylesheet" href="{{ asset('theme/css/bootstrap-datetimepicker.min.css') }}">

@endsection

@section('content')
{!! Form::open(array('route' => 'admin.app-center.store','method'=>'POST','files'=>'true')) !!}
    
<div class="row">
    <div class="col-lg-12">
        <div class="white-box mb-4 generalAccount">
            <h4 class="box-title">App Center</h4>
            <div class="box-padding">
                <div class="row">

                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Name<span>*</span></label>
                            {!! Form::text('name', old('name'), array('class' => 'form-control', 'autocomplete' => 'new','required' => 'required')) !!}
                            @error('name')
                                <span class="text-danger" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>
                    <div class="col-md-6"></div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Short Description<span>*</span></label>
                            {!! Form::textarea('short_description', old('short_description'), array('class' => 'form-control', 'rows' => '4')) !!}
                            @error('short_description')
                                <span class="text-danger" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Description<span>*</span></label>
                            {!! Form::textarea('description', old('description'), array('class' => 'form-control', 'rows' => '4')) !!}
                            @error('description')
                                <span class="text-danger" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Template<span>*</span></label>
                            <select name="template" class="form-control" required>
                                <option value="">Select Template</option>
                                @foreach(getAppTemplates() as $value)
                                <option value="{{ $value }}">{{ $value }}</option>
                                @endforeach
                            </select>
                            
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Status</label>
                            <div class="custom-control custom-switch pl-0">
                                {!! Form::checkbox('status', 1, true, array('class' => 'custom-control-input self-dispatch', 'id' => 'status')) !!}
                                <label class="custom-control-label" for="status"></label>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6 mb-3">
                        <div class="form-group">
                            <label>URL 1</label>
                            {!! Form::text('url_name_1', old('url_name_1'), array('class' => 'form-control', 'autocomplete' => 'new', 'placeholder' => 'Name')) !!}<br/>
                            {!! Form::text('url_1', old('url_1'), array('class' => 'form-control', 'autocomplete' => 'new', 'placeholder' => 'URL')) !!}
                        </div>
                    </div>
                    <div class="col-md-6 mb-3">
                        <div class="form-group">
                            <label>URL 2</label>
                            {!! Form::text('url_name_2', old('url_name_2'), array('class' => 'form-control', 'autocomplete' => 'new', 'placeholder' => 'Name')) !!}<br/>
                            {!! Form::text('url_2', old('url_2'), array('class' => 'form-control', 'autocomplete' => 'new', 'placeholder' => 'URL')) !!}
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="white-box mb-4">
                            <h4 class="box-title">App Logo</h4>
                            <div class="box-padding row">
                                <div class="col-lg-12 col-md-12">
                                    <div class="form-group">
                                        <div class="file-upload">
                                          <div class="file-select">
                                            <input type="file" name="profile_picture" id="profile_picture">
                                          </div>
                                        </div>
                                    </div>
                                    <input type="hidden" id="profilePicturePath" name="profilePicturePath" value="{{ asset('storage/companyAdmin/app_logo'); }}/">
                                    <input type="hidden" name="profile_picture_hidden" id="profile_picture_hidden" >
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
</div>
<div class="button-bottom">
    <a href="{{ route('admin.app-center.index') }}" class="cancel-btn">Cancel</a>
    <button class="submit-btn">Submit</button>
</div>

<div id="uploadimageModal" class="modal" role="dialog">
  <div class="modal-dialog">
    <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Crop Image</h4>
          </div>
          <div class="modal-body">
            <div class="row">
            <div class="col-md-12 text-center">
              <div id="profile_picture_preview"></div>
            </div>
        </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-primary crop-picture custom-btn" data-dismiss="modal">Crop</button>
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
          </div>
      </div>
    </div>
</div>
    
{!! Form::close() !!}
@endsection

@section('script')
<script src="{{ asset('theme/js/moment.min.js') }}"></script>
<script src="{{ asset('theme/js/bootstrap-datetimepicker.min.js') }}"></script>

<script type="text/javascript">

$('.store-form').parsley();
$(document).ready(function(){

    if($("#profilePicturePreview").attr("src")==""){
        $("#profilePicturePreview").hide();
    }

    $image_crop = $('#profile_picture_preview').croppie({
      enableOrientation: true,
      viewport: {
        width:180,
        height:110,
        type:'square' //square
      },
      boundary:{
        width:300,
        height:150
      }
    });


    $('#profile_picture').on('change', function(){
      var reader = new FileReader();
      reader.onload = function (event) {
        $image_crop.croppie('bind', {
          url: event.target.result
        }).then(function(){
          console.log('jQuery bind complete');
        });
      }
      reader.readAsDataURL(this.files[0]);
      $('#uploadimageModal').modal('show');
    });


    $('.crop-picture').click(function(event){
      $image_crop.croppie('result', {
        type: 'canvas',
        size: 'viewport'
      }).then(function(response){
        $.ajax({
          url:"{{url('admin/app-center/crop-picture')}}",
          type: "POST",
          data:{"image": response, "_token" : "{{ csrf_token() }}"},
          success:function(data)
          {
            $('#uploadimageModal').modal('hide');
            $("#profilePicturePreview").show();
            $('#profilePicturePreview').attr("src",$("#profilePicturePath").val()+data);
            $('#profile_picture_hidden').val(data);
          }
        });
      })
    });
});
</script>
@endsection
