@extends($adminTheme)

@section('title')
    Email Templates
@endsection

@section('content')
<div class="table-control">
    <a href="{{ route('admin.email-templates.create') }}" class="btn green-btn green-link-btn">Add New Template</a>
</div>

<div class="white-box table-view">
    <h3 class="table-title">Email Templates</h3>
    <div class="add-responsive">
      <table class="table data-table">
        <thead>
          <tr>
            <th>Name</th>
            <th>Description</th>
            <th style="width: 70px;">Action</th>
          </tr>
        </thead>
        <tbody>
        </tbody>
      </table>
    </div>
</div>
@endsection

@section('script')
<script type="text/javascript">
    var table = $('.data-table').DataTable({
        stateSave: true,
        language: {
            search: "",
            searchPlaceholder: "Search...",
        },
        processing: true,
        serverSide: true,
        bJQueryUI: true,
        order: [[1, "asc"]],
        ajax: "{{ route('admin.email-templates.index') }}",
        columns: [
            { data: 'title', name: 'title' },
            { data: 'description', name: 'description' },
            { data: 'action', name: 'action', orderable: false, searchable: false }
        ]
    });
</script>
@endsection
