@extends($adminTheme)

@section('title')
    Holidays
@endsection

@section('content')
<div class="table-control">                
    <a href="{{ route('admin.holidays.create') }}" class="btn green-btn green-link-btn">Add New</a>
</div>

<div class="white-box table-view">
    <h3 class="table-title">Holidays</h3>
    <div class="add-responsive">
      <table class="table data-table">
        <thead>
          <tr>
            <th>Name</th>
            <th>From</th>
            <th>To</th>
            <th style="width: 70px;">Action</th>
          </tr>
        </thead>
        <tbody>
        </tbody>
      </table>
    </div>
</div>
@endsection

@section('script')
<script type="text/javascript">
var table = $('.data-table').DataTable({
    stateSave: true,
    language: {
        search: "",
        searchPlaceholder: "Search...",
    },
    processing: true,
    serverSide: true,
    bJQueryUI: true, 
    // pageLength: 1, 
    order: [[1, "asc"]],
    ajax: "{{ route('admin.holidays.index') }}",
    columns: [
        { data: 'name', name: 'name' },
        { data: 'from_date', name: 'from_date' },
        { data: 'to_date', name: 'to_date' },
        { data: 'action', name: 'action', orderable: false, searchable: false }
    ]
});
</script>
@endsection