@extends($adminTheme)

@section('title')
    Load Document
@endsection

@section('content')
    <div class="table-control">
        <button class="green-btn create-btn" data-toggle="modal" data-target="#createModal">Add New</button>
    </div>
    <div class="white-box table-view">
        <h3 class="table-title">Load Document</h3>
        <div class="add-responsive">
            <table class="table data-table">
                <thead>
                <tr>
                    <th width="5%">Id</th>
                    <th width="30%">Name</th>
                    <th width="20%">Include With Billing</th>
                    <th width="15%">Default</th>
                    <th width="15%">For</th>
                    <th width="15%">Action</th>
                </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>
    <!-- Modal -->
    <div class="modal fade" id="createModal" tabindex="-1" aria-labelledby="createModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="createModalLabel">Add Load Document</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                {!! Form::open(array(
                        'route'         => 'admin.load-document.store',
                        'method'        => 'POST',
                        'files'         => 'true',
                        'class'         => 'storeForm',
                        'autocomplete'  => 'off'
                    )
                ) !!}
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Name<span>*</span></label>
                                {!! Form::text('name', old('name'), array('class' => 'form-control', 'autocomplete' => 'new','required' => 'required')) !!}
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="cld_include_w_billing">Include With Billing</label>
                                <div class="custom-control custom-switch pl-0">
                                    {!! Form::checkbox('include_w_billing', 'yes', false, array('class' => 'custom-control-input', 'id' => 'cld_include_w_billing')) !!}
                                    <label class="custom-control-label" for="cld_include_w_billing"></label>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="cld_fixed">Default</label>
                                <div class="custom-control custom-switch pl-0">
                                    {!! Form::checkbox('fixed', 'yes', false, array('class' => 'custom-control-input', 'id' => 'cld_fixed')) !!}
                                    <label class="custom-control-label" for="cld_fixed"></label>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>For</label>
                                <div class="row">
                                    <div class="col-auto">
                                        <div class="custom-control custom-radio">
                                            {!! Form::radio('for_whom', 'shipper', false, array('class' => 'custom-control-input', 'id' => 'cld_for_whom_shipper')) !!}
                                            <label class="custom-control-label" for="cld_for_whom_shipper">Shipper</label>
                                        </div>
                                    </div>
                                    <div class="col-auto">
                                        <div class="custom-control custom-radio">
                                            {!! Form::radio('for_whom', 'consignee', false, array('class' => 'custom-control-input', 'id' => 'cld_for_whom_consignee')) !!}
                                            <label class="custom-control-label" for="cld_for_whom_consignee">Consignee</label>
                                        </div>
                                    </div>
                                    <div class="col-auto">
                                        <div class="custom-control custom-radio">
                                            {!! Form::radio('for_whom', 'both', true, array('class' => 'custom-control-input', 'id' => 'cld_for_whom_both')) !!}
                                            <label class="custom-control-label" for="cld_for_whom_both">Both</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn cancel-btn" data-dismiss="modal">Cancel</button>
                    <button class="btn blue-btn">Add New</button>
                </div>
                {!! Form::close() !!}
            </div>
        </div>
    </div>
    <div class="modal fade" id="editModal" tabindex="-1" aria-labelledby="editModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="editModalLabel">Edit Load Document</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="append-form">
                </div>
            </div>
        </div>
    </div>
    <!-- Modal -->
@endsection

@section('script')
    <script type="text/javascript">
        var table;
        $(document).ready(function() {
            $('.storeForm').parsley();

            table       = $('.data-table').DataTable({
                stateSave: true,
                language: {
                    search: "",
                    searchPlaceholder: "Search...",
                },
                processing: true,
                serverSide: true,
                bJQueryUI: true,
                order: [],
                ajax: "{{ route('admin.load-document.index') }}",
                columns: [
                    {data: 'id', name:'name'},
                    { data: 'name', name: 'name' },
                    { data: 'include_w_billing', name: 'include_w_billing' },
                    { data: 'fixed', name: 'fixed' },
                    { data: 'for_whom', name: 'for_whom' },
                    { data: 'action', name: 'action', orderable: false, searchable: false }
                ]
            });
        });

        $(document).on('click', '.edit-btn', function () {
            var token   = "{{ csrf_token() }}";
            var id      = $(this).data('id');
            $.ajax({
                url: "/admin/load-document/edit/form/view",
                method: "POST",
                data: { _token : token , id : id },
                success: function(response) {
                    $('#editModal').find('.append-form').html(response.view);

                    $('.updateForm').parsley();
                    $('.updateForm').ajaxForm({
                        complete: function (response) {
                            if (response.responseJSON.success) {
                                window.location.href = window.location.href;
                            } else {
                                $('.error').text('');
                                $.each( response.responseJSON.errors, function( key, value ) {
                                    var key = key.replace(/\./g, '_');
                                    $.each( value , function( skey, svalue ) {
                                        $('.'+key+'_error').text(svalue);
                                    });
                                });
                            }
                        }
                    });
                }
            });
        });

        $('.storeForm').ajaxForm({
            complete: function (response) {
                if (response.responseJSON.success) {
                    window.location.href = window.location.href;
                } else {
                    $('.error').text('');
                    $.each( response.responseJSON.errors, function( key, value ) {
                        var key = key.replace(/\./g, '_');
                        $.each( value , function( skey, svalue ) {
                            $('.'+key+'_error').text(svalue);
                        });
                    });
                }
            }
        });
    </script>
@endsection
