@extends($adminTheme)

@section('title')
    Type Create
@endsection

@section('header-title')
    Manage Type
@endsection

@section('content')
    {!! Form::open(array('route' => 'admin.manage-type.store','method'=>'POST','files'=>'true','class'=>'post-form')) !!}
        <div class="row">
            <div class="col-lg-12">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">Type Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Category<span>*</span></label>
                                    {!! Form::select('category_id', ['' => 'Select Category']+getManageTypeCategory(), null, ['class' => 'custom-select bookedby-select2 form-control booked-by','required' => 'required','data-parsley-errors-container'=>'#booked_by_erri']) !!}
                                    <div id="booked_by_erri"></div>
                                    @error('category_id')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Type Name<span>*</span></label>
                                    {!! Form::text('name', old('name'), array('class' => 'form-control', 'id' => 'name-autocomplete', 'placeholder' => '', 'autocomplete' => 'new_address','required' => 'required')) !!}
                                </div>
                                @error('name')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="button-bottom">
            <a href="{{ route('admin.companies.index') }}" class="cancel-btn">Cancel</a>
            <button class="submit-btn">Submit</button>
        </div>
    {!! Form::close() !!}
@endsection

@section('script')
    <script type="text/javascript">
        $('.post-form').parsley();
    </script>
@endsection