@extends($adminTheme)

@section('title')
    Pdf Template
@endsection

@section('content')
    <div class="table-control">
        <a href="{{ route('admin.pdf-templates.create') }}" class="btn green-btn green-link-btn">Add New Template</a>
    </div>
    <div class="white-box table-view">
        <h3 class="table-title">Pdf Template</h3>
        <div class="add-responsive">
            <table class="table data-table">
                <thead>
                <tr>
                    <th width="10%">#</th>
                    <th style="display: none;">Id</th>
                    <th>Name</th>
                    <th width="20%">Action</th>
                </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>
@endsection

@section('script')
    <script type="text/javascript">
        var table;
        $(document).ready(function() {
            table       = $('.data-table').DataTable({
                stateSave: true,
                language: {
                    search: "",
                    searchPlaceholder: "Search...",
                },
                processing: true,
                serverSide: true,
                bJQueryUI: true,
                order: [[1, "desc"]],
                ajax: "{{ route('admin.pdf-templates.index') }}",
                columns: [
                    { data: 'DT_RowIndex', name: 'DT_RowIndex', orderable: false, searchable: false },
                    { data: 'id', name: 'id', visible: false, searchable: false },
                    { data: 'name', name: 'name' },
                    { data: 'action', name: 'action', orderable: false, searchable: false }
                ]
            });
        });
    </script>
@endsection
