@extends($adminTheme)

@section('title')
    Trailer Group
@endsection

@section('content')
    <div class="table-control">
        <button class="green-btn create-btn" data-toggle="modal" data-target="#createModal">Add New</button>
    </div>
    <div class="white-box table-view">
        <h3 class="table-title">Trailer Group</h3>
        <div class="add-responsive">
            <table class="table data-table">
                <thead>
                <tr>
                    <th width="10%">Id</th>
                    <th width="65%">Name</th>
                    <th width="25%">Action</th>
                </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>
    <!-- Modal -->
    <div class="modal fade" id="createModal" tabindex="-1" aria-labelledby="createModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="createModalLabel">Add Trailer Group</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                {!! Form::open(array(
                        'route'         => 'admin.trailer-groups.store',
                        'method'        => 'POST',
                        'files'         => 'true',
                        'class'         => 'storeForm',
                        'autocomplete'  => 'off'
                    )
                ) !!}
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Name<span>*</span></label>
                                {!! Form::text('name', old('name'), array('class' => 'form-control', 'autocomplete' => 'new','required' => 'required')) !!}
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn cancel-btn" data-dismiss="modal">Cancel</button>
                    <button class="btn blue-btn">Add New</button>
                </div>
                {!! Form::close() !!}
            </div>
        </div>
    </div>
    <div class="modal fade" id="editModal" tabindex="-1" aria-labelledby="editModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="editModalLabel">Edit Trailer Group</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="append-form">
                </div>
            </div>
        </div>
    </div>
    <!-- Modal -->
@endsection

@section('script')
    <script type="text/javascript">
        var table;
        $(document).ready(function() {
            $('.storeForm').parsley();

            table       = $('.data-table').DataTable({
                stateSave: true,
                language: {
                    search: "",
                    searchPlaceholder: "Search...",
                },
                processing: true,
                serverSide: true,
                bJQueryUI: true,
                order: [],
                ajax: "{{ route('admin.trailer-groups.index') }}",
                columns: [
                    {data: 'id', name:'id'},
                    { data: 'name', name: 'name' },
                    { data: 'action', name: 'action', orderable: false, searchable: false }
                ]
            });
        });

        $(document).on('click', '.edit-btn', function () {
            var token   = "{{ csrf_token() }}";
            var id      = $(this).data('id');
            $.ajax({
                url: "/admin/trailer-groups/edit/form/view",
                method: "POST",
                data: { _token : token , id : id },
                success: function(response) {
                    $('#editModal').find('.append-form').html(response.view);

                    $('.updateForm').parsley();
                    $('.updateForm').ajaxForm({
                        complete: function (response) {
                            if (response.responseJSON.success) {
                                window.location.href = window.location.href;
                            } else {
                                $('.error').text('');
                                $.each( response.responseJSON.errors, function( key, value ) {
                                    var key = key.replace(/\./g, '_');
                                    $.each( value , function( skey, svalue ) {
                                        $('.'+key+'_error').text(svalue);
                                    });
                                });
                            }
                        }
                    });
                }
            });
        });

        $('.storeForm').ajaxForm({
            complete: function (response) {
                if (response.responseJSON.success) {
                    window.location.href = window.location.href;
                } else {
                    $('.error').text('');
                    $.each( response.responseJSON.errors, function( key, value ) {
                        var key = key.replace(/\./g, '_');
                        $.each( value , function( skey, svalue ) {
                            $('.'+key+'_error').text(svalue);
                        });
                    });
                }
            }
        });
    </script>
@endsection
