<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="{{ asset('theme/css/bootstrap.min.css') }}">
    <!-- custom CSS -->
    <link rel="stylesheet" href="{{ asset('theme/css/font-awesome.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/default.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/media.css') }}">
    <title>Trucking Company</title>
</head>

<body>

    <section class="login-wrapper">
        <div class="black-wrapper"></div>
        <div class="login-box">
            <img src="{{ asset('theme/img/logo.png') }}" alt="">
            <h2>Forgot Password</h2>

            @if (session('success'))
                <div class="alert alert-success" role="alert">
                    {{ session('success') }}
                </div>
            @endif

            @if (session('forget_password_error_message'))
                <div class="alert alert-danger" role="alert">
                    {{ session('forget_password_error_message') }}
                </div>
            @endif

            <form method="POST" action="{{ route('company.admin.password.email') }}">
                @csrf

                <div class="form-group">
                    <label>Email</label>
                    <input id="email" type="email" class="form-control" name="email" value="{{ old('email') }}" placeholder="Email" autocomplete="email" autofocus>
                    @error('email')
                        <span class="text-danger" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>

                <button class="btn blue-btn mt-3">Send Password Reset Link</button>
            </form>
        </div>
    </section>

    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="{{ asset('theme/js/jquery-3.2.1.slim.min.js') }}"></script>
    <script src="{{ asset('theme/js/jquery.min.js') }}"></script>
    <script src="{{ asset('theme/js/popper.min.js') }}"></script>
    <script src="{{ asset('theme/js/bootstrap.min.js') }}"></script>
</body>

</html>