@extends($companyAdminTheme)

@section('title')
    Add Portals
@endsection

@section('style')
    <style type="text/css">
        #add-portals .btn,
        #add-portals .btn-group .btn {
            border-radius: 10px;
        }
        #add-portals > .card {
            background-color: transparent;
            border: 0;
            border-radius: 0;
            overflow: visible;
        }
        #add-portals > .card .card-header {
            padding: 0;
            margin-bottom: 0;
            background-color: transparent;
            border-bottom: none;
        }
        #add-portals > .card .card-header button {
            padding: 0 19px;
            background: #305f9c;
            height: 40px;
            font-size: 16px;
            color: white;
            font-weight: bold;
            text-decoration: none;
        }
        #add-portals > .card .card-header button.collapsed i {
            transform: rotate(-90deg);
        }
        #add-portals > .card .card-header button i {
            right: 0;
            font-size: 22px;
            top: 0;
            margin-left: auto;
            text-align: right;
            float: right;
            position: relative;
            transform: rotate(0deg);
            transition: all 0.3s ease-in-out;
        }
        #add-portals #add-portal-collapse .card-body .card {
            height: 250px;
            border-radius: 10px;
            border: 1px solid #305f9c;
            color: #305f9c;
        }
        #add-portals #add-portal-collapse .card-body .card:hover {
            background-color: #305f9c;
            color: #FFFFFF;
        }
        #add-portals #add-portal-collapse .card-body .card .img-box{
            margin: auto;
            width: 75px;
            height: 75px;
            border-radius: 100%;
            padding: 8px;
            background-color: white;
            border: 3px solid #305f9c;
        }
        #add-portals #add-portal-collapse .card-body .card img {
            width: 100%;
            height: 100%;
        }
        #add-portals #add-portal-collapse .card-body .card h5 {
            font-weight: 700;
            margin-bottom: 2px;
        }
        #add-portals #add-portal-collapse .card-body .card p {
            font-weight: 600;
        }
        .fil-disabled {
            opacity: 0.5;
        }
    </style>
@endsection

@section('content')
    <div class="row">
        <div class="col-12">
            <div class="accordion mb-0" id="add-portals">
                <div class="card">
                    <div class="card-header">
                        <h2 class="mb-0">
                            <button type="button" class="btn btn-link btn-block text-left" data-toggle="collapse" data-target="#add-portal-collapse" aria-expanded="true" aria-controls="add-portal-collapse">
                                Add Portals<i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
                            </button>
                        </h2>
                    </div>
                    <div class="collapse show" id="add-portal-collapse" aria-labelledby="headingAddPortal">
                        <div class="card-body py-3">
                            <div class="row d-flex align-items-center">
                                <div class="col-12 col-sm-6 col-md-6 col-xl-3 pl-0 pr-2 mb-3">
                                    <a href="{{ route('company.admin.trucks.create') }}" target="_blank" class="{{ (!hasPermission(config('settings.company_admin_modules.trucks'),config('settings.permissions.create'))) ? 'fil-disabled' : '' }}">
                                        <div class="card text-center">
                                            <div class="card-body d-flex align-items-center justify-content-center">
                                                <div>
                                                    <div class="img-box">
                                                        <img src="{{ asset('theme/images/add-portals/add-truck.svg') }}" alt="icon" class="img-fluid">
                                                    </div>
                                                    <h5 class="card-title mt-3 mb-1">Add Truck</h5>
                                                    <p class="card-text">In Progress(0)</p>
                                                </div>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                                <div class="col-12 col-sm-6 col-md-6 col-xl-3 pl-2 pr-2 mb-3">
                                    <a href="{{ route('company.admin.trailers.create') }}" target="_blank" class="{{ (!hasPermission(config('settings.company_admin_modules.trailers'),config('settings.permissions.create'))) ? 'fil-disabled' : '' }}">
                                        <div class="card text-center">
                                            <div class="card-body d-flex align-items-center justify-content-center">
                                                <div>
                                                    <div class="img-box">
                                                        <img src="{{ asset('theme/images/add-portals/add-trailer.svg') }}" alt="icon" class="img-fluid">
                                                    </div>
                                                    <h5 class="card-title mt-3 mb-1">Add Trailer</h5>
                                                    <p class="card-text">In Progress(0)</p>
                                                </div>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                                <div class="col-12 col-sm-6 col-md-6 col-xl-3 pl-2 pr-2 mb-3">
                                    <a href="{{ route('company.admin.teams.index', ['create' => 'new']) }}" target="_blank" class="{{ (!hasPermission(config('settings.company_admin_modules.teams'),config('settings.permissions.create'))) ? 'fil-disabled' : '' }}">
                                        <div class="card text-center">
                                            <div class="card-body d-flex align-items-center justify-content-center">
                                                <div>
                                                    <div class="img-box">
                                                        <img src="{{ asset('theme/images/add-portals/add-team.svg') }}" alt="icon" class="img-fluid">
                                                    </div>
                                                    <h5 class="card-title mt-3 mb-1">Add Team</h5>
                                                    <p class="card-text">In Progress(0)</p>
                                                </div>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                                <div class="col-12 col-sm-6 col-md-6 col-xl-3 pl-2 pr-0 mb-3">
                                    <a href="{{ route('company.admin.drivers.create') }}" target="_blank" class="{{ (!hasPermission(config('settings.company_admin_modules.drivers'),config('settings.permissions.create'))) ? 'fil-disabled' : '' }}">
                                        <div class="card text-center">
                                            <div class="card-body d-flex align-items-center justify-content-center">
                                                <div>
                                                    <div class="img-box">
                                                        <img src="{{ asset('theme/images/add-portals/add-driver.svg') }}" alt="icon" class="img-fluid">
                                                    </div>
                                                    <h5 class="card-title mt-3 mb-1">Add Driver</h5>
                                                    <p class="card-text">In Progress(0)</p>
                                                </div>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                            </div>
                            <div class="row d-flex align-items-center">
                                <div class="col-12 col-sm-6 col-md-6 col-xl-3 pl-0 pr-2 mb-3">
                                    <a href="{{ route('company.admin.terminals.create') }}" target="_blank" class="{{ (!hasPermission(config('settings.company_admin_modules.terminals'),config('settings.permissions.create'))) ? 'fil-disabled' : '' }}">
                                        <div class="card text-center">
                                            <div class="card-body d-flex align-items-center justify-content-center">
                                                <div>
                                                    <div class="img-box">
                                                        <img src="{{ asset('theme/images/add-portals/add-terminal.svg') }}" alt="icon" class="img-fluid">
                                                    </div>
                                                    <h5 class="card-title mt-3 mb-1">Add Terminal</h5>
                                                    <p class="card-text">In Progress(0)</p>
                                                </div>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                                <div class="col-12 col-sm-6 col-md-6 col-xl-3 pl-2 pr-2 mb-3">
                                    <a href="javascript:void(0);">
                                        <div class="card text-center">
                                            <div class="card-body d-flex align-items-center justify-content-center">
                                                <div>
                                                    <div class="img-box">
                                                        <img src="{{ asset('theme/images/add-portals/add-company.svg') }}" alt="icon" class="img-fluid">
                                                    </div>
                                                    <h5 class="card-title mt-3 mb-1">Add Company</h5>
                                                    <p class="card-text">In Progress(0)</p>
                                                </div>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                                <div class="col-12 col-sm-6 col-md-6 col-xl-3 pl-2 pr-2 mb-3">
                                    <a href="{{ route('company.admin.carriers.create') }}" target="_blank" class="{{ (!hasPermission(config('settings.company_admin_modules.carriers'),config('settings.permissions.create'))) ? 'fil-disabled' : '' }}">
                                        <div class="card text-center">
                                            <div class="card-body d-flex align-items-center justify-content-center">
                                                <div>
                                                    <div class="img-box">
                                                        <img src="{{ asset('theme/images/add-portals/add-carrier.svg') }}" alt="icon" class="img-fluid">
                                                    </div>
                                                    <h5 class="card-title mt-3 mb-1">Add Carrier</h5>
                                                    <p class="card-text">In Progress(0)</p>
                                                </div>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                                <div class="col-12 col-sm-6 col-md-6 col-xl-3 pl-2 pr-0 mb-3">
                                    <a href="javascript:void(0);">
                                        <div class="card text-center">
                                            <div class="card-body d-flex align-items-center justify-content-center">
                                                <div>
                                                    <div class="img-box">
                                                        <img src="{{ asset('theme/images/add-portals/add-yard.svg') }}" alt="icon" class="img-fluid">
                                                    </div>
                                                    <h5 class="card-title mt-3 mb-1">Add Yard</h5>
                                                    <p class="card-text">In Progress(0)</p>
                                                </div>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                            </div>
                            <div class="row d-flex align-items-center">
                                <div class="col-12 col-sm-6 col-md-6 col-xl-3 pl-0 pr-2 mb-3">
                                    <a href="{{ route('company.admin.customer.create') }}" target="_blank" class="{{ (!hasPermission(config('settings.company_admin_modules.customer'),config('settings.permissions.create'))) ? 'fil-disabled' : '' }}">
                                        <div class="card text-center">
                                            <div class="card-body d-flex align-items-center justify-content-center">
                                                <div>
                                                    <div class="img-box">
                                                        <img src="{{ asset('theme/images/add-portals/add-shipper.svg') }}" alt="icon" class="img-fluid">
                                                    </div>
                                                    <h5 class="card-title mt-3 mb-1">Add Shipper</h5>
                                                    <p class="card-text">In Progress(0)</p>
                                                </div>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                                <div class="col-12 col-sm-6 col-md-6 col-xl-3 pl-2 pr-2 mb-3">
                                    <a href="{{ route('company.admin.customer.create') }}" target="_blank" class="{{ (!hasPermission(config('settings.company_admin_modules.customer'),config('settings.permissions.create'))) ? 'fil-disabled' : '' }}">
                                        <div class="card text-center">
                                            <div class="card-body d-flex align-items-center justify-content-center">
                                                <div>
                                                    <div class="img-box">
                                                        <img src="{{ asset('theme/images/add-portals/add-consignee.svg') }}" alt="icon" class="img-fluid">
                                                    </div>
                                                    <h5 class="card-title mt-3 mb-1">Add Consignee</h5>
                                                    <p class="card-text">In Progress(0)</p>
                                                </div>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                                <div class="col-12 col-sm-6 col-md-6 col-xl-3 pl-2 pr-2 mb-3">
                                    <a href="{{ route('company.admin.vendors.create') }}" target="_blank" class="{{ (!hasPermission(config('settings.company_admin_modules.vendors'),config('settings.permissions.create'))) ? 'fil-disabled' : '' }}">
                                        <div class="card text-center">
                                            <div class="card-body d-flex align-items-center justify-content-center">
                                                <div>
                                                    <div class="img-box">
                                                        <img src="{{ asset('theme/images/add-portals/add-vendor.svg') }}" alt="icon" class="img-fluid">
                                                    </div>
                                                    <h5 class="card-title mt-3 mb-1">Add Vendor</h5>
                                                    <p class="card-text">In Progress(0)</p>
                                                </div>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                                <div class="col-12 col-sm-6 col-md-6 col-xl-3 pl-2 pr-0 mb-3 ">
                                    <a href="{{ route('company.admin.brokers.create') }}" target="_blank" class="{{ (!hasPermission(config('settings.company_admin_modules.brokers'),config('settings.permissions.create'))) ? 'fil-disabled' : '' }}">
                                        <div class="card text-center">
                                            <div class="card-body d-flex align-items-center justify-content-center">
                                                <div>
                                                    <div class="img-box">
                                                        <img src="{{ asset('theme/images/add-portals/add-customer.svg') }}" alt="icon" class="img-fluid">
                                                    </div>
                                                    <h5 class="card-title mt-3 mb-1">Add Customer</h5>
                                                    <p class="card-text">In Progress(0)</p>
                                                </div>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script type="text/javascript">
        $(function (){

        });
    </script>
@endsection
