@extends($companyAdminTheme)

@section('title')
    Dispatch Pro Announcement
@endsection

@section('style')
    <style type="text/css">
        .table-view .dataTable thead tr th {
            background-color: #305f9c;
        }
        .table-view .dataTables_scrollBody table.dataTable > thead tr th {
            padding: 0 15px !important;
        }
        .table-view .DTFC_RightBodyLiner table.dataTable > thead tr th {
            height: 0;
            padding: 0 15px !important;
            opacity: 0;
        }
    </style>
@endsection

@section('content')
    <div class="white-box table-view">
        <h3 class="table-title">Dispatch Pro Announcement</h3>
        <div class="table-responsive">
            <table class="table data-table">
                <thead>
                    <tr>
                        <th>#</th>
                        <th style="display: none;">Id</th>
                        <th>Name</th>
                        <th>Description</th>
                        <th>Created At</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>
@endsection

@section('script')
    <script type="text/javascript">
        var table = $('.data-table').DataTable({
    stateSave: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            scrollX: true,
            scrollCollapse: true,
            fixedHeader: true,
            fixedColumns: {
                leftColumns: 0, // Number of columns to be fixed on the left
                rightColumns: 1, // Number of columns to be fixed on the right
                // heightMatch: "auto"
            },
            processing: true,
            serverSide: true,
            bJQueryUI: true,
            ordering: false,
            order: [[1, "desc"]],
            ajax: "{{ route('company.admin.compel.announcement.index') }}",
            columns: [
                { data: 'DT_RowIndex', name: 'DT_RowIndex', orderable: false, searchable: false },
                { data: 'id', name: 'id', visible: false, searchable: false },
                { data: 'name', name: 'name' },
                { data: 'description', name: 'description' },
                { data: 'created_at', name: 'created_at' },
                { data: 'action', name: 'action', orderable: false, searchable: false }
            ]
        });
    </script>
@endsection
