<div class="modal-body p-0">
    <div class="modal-padding">
        <form id="addDocFrm" name="addDocFrm" autocomplete="off">
            <div class="mb-3">
                <input type="hidden" name="params" value="{{ json_encode($params) }}">
                <div class="mb-2">
                    <div class="row g-20">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Stop No.</label>
                                <select class="form-control select2-selectModal" name="doc_req_stop_no" data-parsley-errors-container="#rtbdrm_doc_req_stop_no-error" required>
                                    <option value="">Select</option>
                                    @if(isset($params['load_stops_array']) && !empty($params['load_stops_array']))
                                        @foreach ($params['load_stops_array'] as $key => $node)
                                            @php
                                                $name                   =  ($node['type'] == '1') ? 'Pickup Stop - '.$node['stop_no'] : 'Delivery Stop - '.$node['stop_no'];

                                                $addresses              = [];
                                                if(isset($node['address_one']) && $node['address_one']!==''){
                                                    $addresses[]        = $node['address_one'];
                                                }
                                                if(isset($node['city']) && $node['city']!==''){
                                                    $addresses[]        = $node['city'];
                                                }
                                                if(isset($node['state']) && $node['state']!==''){
                                                    $addresses[]        = $node['state'];
                                                }
                                                if(isset($node['zip']) && $node['zip']!==''){
                                                    $addresses[]        = $node['zip'];
                                                }
                                                $addresses              = implode(', ', $addresses);

                                                $detail                 = [];
                                                if(isset($node['customer_name']) && $node['customer_name'] != ''){
                                                    $detail[]           = $node['customer_name'];
                                                }
                                                if(isset($addresses) && $addresses != ''){
                                                    $detail[]           = $addresses;
                                                }
                                                $detail                 = implode(' ', $detail);
                                            @endphp
                                            <option value="{{ $node['stop_no'] }}" data-name="{{ $name }}" data-customer_name="{{ $node['customer_name'] ?? '' }}" data-addresses="{{ $addresses }}">{{ $name.': '.$detail }}</option>
                                        @endforeach
                                    @endif
                                </select>
                                <div id="rtbdrm_doc_req_stop_no-error"></div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <p class="address mb-0"></p>
                        </div>
                    </div>
                </div>
                <div class="row g-20">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Document Name</label>
                            <select class="form-control select2-selectModal" name="doc_req_name_id" data-parsley-errors-container="#rtbdrm_doc_req_name_id-error" required>
                                <option value="">Select</option>
                                @if(isset($load_documents) && $load_documents->isNotEmpty())
                                    @foreach ($load_documents as $key => $node)
                                        <option value="{{ $node->id }}" data-include_w_billing="{{ $node->include_w_billing }}">{{ $node->name }}</option>
                                    @endforeach
                                @endif
                                <option value="0">Other</option>
                            </select>
                            <div id="rtbdrm_doc_req_name_id-error"></div>
                            <input type="hidden" class="form-control mt-1" name="doc_req_name" id="rtbdrm_doc_req_name" value="">
                        </div>
                        <div class="form-group">
                            <label>Document Type</label>
                            <select class="form-control select2-selectModal" name="doc_req_type" data-parsley-errors-container="#rtbdrm_doc_req_type-error" required>
                                <option value="">Select</option>
                                <option value="1">Copy</option>
                                <option value="2">Original</option>
                            </select>
                            <div id="rtbdrm_doc_req_type-error"></div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Driver</label>
                            <select class="form-control select2-selectModal" name="doc_req_driver_id" data-parsley-errors-container="#rtbdrm_doc_req_driver_id-error" required>
                                <option value="">Select</option>
                                @if(isset($load_drivers_array) && !empty($load_drivers_array))
                                    @foreach ($load_drivers_array as $key => $node)
                                        <option value="{{ $key }}" data-email="{{ $node['email'] }}" data-cell_phone="{{ $node['cell_phone'] }}">{{ $node['name'] }}</option>
                                    @endforeach
                                @endif
                            </select>
                            <div id="rtbdrm_doc_req_driver_id-error"></div>
                        </div>
                        <div class="form-group">
                            <label>Request Via:</label>
                            <div class="row">
                                <div class="col-auto">
                                    <div class="custom-control custom-checkbox">
                                        <input type="checkbox" class="custom-control-input" name="doc_req_email" id="rtbdrm_doc_req_email">
                                        <label class="custom-control-label" for="rtbdrm_doc_req_email"><span>Email</span></label>
                                    </div>
                                </div>
                                @php
                                    $getCompanyTwilioData = getCompanyTwilioData();
                                @endphp
                                @if(isset($getCompanyTwilioData['active']) && $getCompanyTwilioData['active'] == 'yes')
                                    <div class="col-auto">
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" class="custom-control-input" name="doc_req_sms" id="rtbdrm_doc_req_sms">
                                            <label class="custom-control-label" for="rtbdrm_doc_req_sms"><span>SMS (Fees May Apply)</span></label>
                                        </div>
                                    </div>
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
                <div class="doc_req_send_contacts"></div>
            </div>
        </form>
    </div>
</div>
<div class="modal-footer d-block">
    <div class="row g-20 align-items-center">
        <div class="col-sm-4 col-lg-2">
            <div class="custom-control custom-checkbox">
                <input type="checkbox" class="custom-control-input" name="doc_req_include_w_billing" id="rtbdrm_doc_req_include_w_billing" value="yes">
                <label class="custom-control-label" for="rtbdrm_doc_req_include_w_billing">Include w/Billing</label>
            </div>
        </div>
        <div class="col-auto ml-auto">
            <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
        </div>
        <div class="col-auto">
            <button type="button" class="btn btn-bluefill addDoc-save-btn">Add</button>
        </div>
    </div>
</div>
