<script type="text/javascript">
    function loader(){
        Swal.fire({
            title: '<h5 class="font-weight-bold">Please wait...</h5>',
            allowEscapeKey: false,
            allowOutsideClick: false,
            didOpen: () => {
                Swal.showLoading()
            }
        });
    }

    function loadsChildRows(rowData) {
        // Close Audit Slider
        $('.audit-close').trigger('click');
        // Close Audit Slider

        var data = $.parseJSON(rowData.child_content);
        data['rowIndex'] = rowData.DT_RowIndex;

        let div = $('<div/>').addClass('mt-5').addClass('mb-5').html('<p class="text-center">Please wait loading...</p>');
        $.ajax({
            url: '{!! route("company.admin.billing.load.child") !!}',
            data: {
                rowData: JSON.stringify(data),
            },
            dataType: "json",
            success: function(response) {
                if(response.success && response.childHtml !== ''){
                    div.after($.parseHTML(response.childHtml));
                    div.remove();
                }else{
                    div.html('<p class="text-center">No data found</p>');
                }
            },
            error: function () {
                div.html('<p class="text-center">Something went wrong!</p>');
            }
        });

        return div;
    }

    function auditLoadUnlock(){
        $.ajax({
            url: '{!! route("company.admin.billing.audit.load.unlock") !!}',
            method: "GET",
            success: function(response) {
                //console.log(response);
            },
            error: function () {
                toastr.error('Oops! Something went wrong..', 'Error Alert', { timeOut: 5000 });
            }
        });
    }

    function auditSliderHideShowOption(){
        var documentDetails = $('.billingNew-slider .slick-list').find('.slick-current').find('.load-document-details').val();

        if(typeof documentDetails != 'undefined'){
            documentDetails = JSON.parse(documentDetails);

            if(documentDetails.status == 'Pending'){
                $('#markAsReceivedDoc').addClass('d-none');
                $('#requestDoc').removeClass('d-none');
                $('#uploadDoc').addClass('d-none');
                $('#printDoc').addClass('d-none');
                $('#saveDoc').addClass('d-none');
                $('#revertApproval').addClass('d-none');
                $('#revertRejection').addClass('d-none');
                $('#rejectDoc').addClass('disabled');
                $('#approveDoc').addClass('disabled');

                if(documentDetails.type == '1') {
                    $('#uploadDoc').removeClass('d-none');
                }else if(documentDetails.type == '2'){
                    $('#markAsReceivedDoc').removeClass('d-none');
                }
            }else if(documentDetails.status == 'Complete'){
                $('#markAsReceivedDoc').addClass('d-none');
                $('#requestDoc').addClass('d-none');
                $('#uploadDoc').addClass('d-none');
                $('#printDoc').addClass('d-none');
                $('#saveDoc').addClass('d-none');
                $('#revertApproval').addClass('d-none');
                $('#revertRejection').addClass('d-none');
                $('#rejectDoc').addClass('disabled');
                $('#approveDoc').addClass('disabled');

                if(documentDetails.type == '1') {
                    if(documentDetails.file_verify == '0'){
                        $('#printDoc').removeClass('d-none');
                        $('#saveDoc').removeClass('d-none');
                        $('#rejectDoc').removeClass('disabled');
                        $('#approveDoc').removeClass('disabled');
                    }else if(documentDetails.file_verify == '1'){
                        $('#printDoc').removeClass('d-none');
                        $('#saveDoc').removeClass('d-none');
                        $('#revertApproval').removeClass('d-none');
                    }else if(documentDetails.file_verify == '2'){
                        $('#requestDoc').removeClass('d-none');
                        $('#uploadDoc').removeClass('d-none');
                        $('#revertRejection').removeClass('d-none');

                        if(documentDetails.history.length > 0){
                            var lastEle = documentDetails.history[documentDetails.history.length - 1];
                            if(typeof lastEle !== 'undefined'){
                                if(typeof lastEle.uploaded_at !== 'undefined'){
                                    $('#printDoc').removeClass('d-none');
                                    $('#saveDoc').removeClass('d-none');
                                    $('#rejectDoc').removeClass('disabled');
                                    $('#approveDoc').removeClass('disabled');
                                }else if(typeof lastEle.requested_at !== 'undefined'){
                                    $('#revertRejection').addClass('d-none');
                                }
                            }
                        }
                    }
                }else if(documentDetails.type == '2'){
                    if(documentDetails.file_verify == '0'){
                        $('#rejectDoc').removeClass('disabled');
                        $('#approveDoc').removeClass('disabled');
                    }else if(documentDetails.file_verify == '1'){
                        $('#revertApproval').removeClass('d-none');
                    }else if(documentDetails.file_verify == '2'){
                        $('#markAsReceivedDoc').removeClass('d-none');
                        $('#requestDoc').removeClass('d-none');
                        $('#revertRejection').removeClass('d-none');

                        if(documentDetails.history.length > 0){
                            var lastEle = documentDetails.history[documentDetails.history.length - 1];
                            if(typeof lastEle !== 'undefined'){
                                if(typeof lastEle.uploaded_at !== 'undefined'){
                                    $('#rejectDoc').removeClass('disabled');
                                    $('#approveDoc').removeClass('disabled');
                                }else if(typeof lastEle.requested_at !== 'undefined'){
                                    $('#revertRejection').addClass('d-none');
                                }
                            }
                        }
                    }
                }
            }
        }else{
            if($('.billingNew-slider').find('.slick-list .slick-track .slick-current').hasClass('load-invoiced')){
                $('#rejectDoc').addClass('d-none');
                $('#approveDoc').addClass('d-none');
                $('#revertApproval').addClass('d-none');
                $('#revertInvoicing').removeClass('d-none');
                $('#invoicedText').removeClass('d-none');
                $('#generateInvoice').addClass('d-none disabled');
                $('#auditActionMenu').removeClass('disabled');
            }else{
                $('#markAsReceivedDoc').addClass('d-none');
                $('#uploadDoc').addClass('d-none');
                $('#requestDoc').addClass('d-none');
                $('#printDoc').addClass('d-none');
                $('#saveDoc').addClass('d-none');
                $('#rejectDoc').addClass('disabled');
                $('#approveDoc').addClass('disabled');
            }
        }
    }

    function doc_req_email_sms_contact(){
        var email                           = $('#addDocumentation input[name="doc_req_email"]').is(':checked') ? true : false;
        var sms                             = $('#addDocumentation input[name="doc_req_sms"]').is(':checked') ? true : false;
        if(email === true || sms ===  true){
            var optionSelected              = $('#addDocumentation select[name="doc_req_driver_id"] option:selected');
            var selectedValue               = optionSelected.val();
            var selectedText                = optionSelected.text();

            var emailAttributeValue         = optionSelected.attr('data-email');
            if(typeof emailAttributeValue === "undefined" || emailAttributeValue === ""){
                emailAttributeValue         = '';
            }
            var cellPhoneAttributeValue     = optionSelected.attr('data-cell_phone');
            if(typeof cellPhoneAttributeValue === "undefined" || cellPhoneAttributeValue === ""){
                cellPhoneAttributeValue     = '';
            }

            var myObject                    = {};
            if(selectedValue){
                myObject                    = {
                    id: selectedValue,
                    name: selectedText,
                    email: emailAttributeValue,
                    phone: cellPhoneAttributeValue
                };
            }

            if($.isEmptyObject(myObject)){
                $('#addDocumentation .doc_req_send_contacts').html('');
            }else{
                var addedObject                 = {};
                var addedHtml                   = $('#addDocumentation .doc_req_send_contacts');
                addedHtml.find("tbody tr").each(function(index) {
                    var that                    = $(this);
                    addedObject['id']           = that.find('.send-driver_id').val();
                    if(typeof that.find('.send-email').val() !== 'undefined'){
                        addedObject['email']    = that.find('.send-email').val();
                    }
                    if(typeof that.find('.send-phone').val() !== 'undefined'){
                        addedObject['phone']    = that.find('.send-phone').val();
                    }
                });

                var driverId                    = myObject.id;
                var driverName                  = myObject.name;
                var emailval                    = myObject.email;
                var phoneval                    = myObject.phone;
                if ('id' in addedObject && addedObject.id === driverId) {
                    if(addedObject.hasOwnProperty('email') && addedObject.email !== undefined){
                        emailval                = addedObject.email;
                    }
                    if(addedObject.hasOwnProperty('phone') && addedObject.phone !== undefined){
                        phoneval                = addedObject.phone;
                    }
                }

                var html                        = '';

                // Table thead
                var thead                       = `<tr>
                        <th>#</th>
                        <th>Name</th>
                    `;
                if(email === true && sms === true){
                    thead                       += `<th>Email</th><th>SMS</th>`;
                } else if (email === true && sms === false) {
                    thead                       += `<th>Email</th>`;
                } else {
                    thead                       += `<th>SMS</th>`;
                }
                thead                           += `</tr>`;

                // Table tbody
                var tbody                       = '';
                var tr                          = `<tr>
                            <td>
                                <input type="hidden" class="send-driver_id" name="doc_req_send_driver_id" value="`+driverId+`">
                                1
                            </td>
                            <td>`+driverName+`</td>
                    `;
                if(email === true && sms === true){
                    tr                          += `
                            <td>
                                <input type="email" class="form-control send-email" name="doc_req_send_email" value="`+emailval+`" required>
                            </td>
                            <td>
                                <input type="text" class="form-control send-phone phone" name="doc_req_send_phone" value="`+phoneval+`" required>
                            </td>`;
                } else if (email === true && sms === false) {
                    tr                          += `
                            <td>
                                <input type="email" class="form-control send-email" name="doc_req_send_email" value="`+emailval+`" required>
                            </td>`;
                } else {
                    tr                          += `
                            <td>
                                <input type="text" class="form-control send-phone phone" name="doc_req_send_phone" value="`+phoneval+`" required>
                            </td>`;
                }
                tr                              += `</tr>`;
                tbody                           += tr;

                // Div
                html                            += `<div class="row">
                        <div class="col-12">
                            <div class="table-responsive">
                                <table class="table">
                                    <thead>
                                        `+thead+`
                                    </thead>
                                    <tbody>
                                        `+tbody+`
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>`;

                $('#addDocumentation .doc_req_send_contacts').html(html);
            }
        }else{
            $('#addDocumentation .doc_req_send_contacts').html('');
        }
    }

    function clcChargeback() {
        var currentBalance = parseFloat($('#receivePayment #invoice-balance').val()) || 0.00;
        var totalPayment = parseFloat($('#receivePayment #total-payment').val()) || 0.00;

        var chargebackAmount = 0.00;
        $('#receivePayment #chargebackDiv .chargeback-row').each(function (){
            if($(this).find('.chargeback-against-balance option:selected').val() === '1'){
                chargebackAmount = parseFloat(chargebackAmount) + parseFloat($(this).find('.chargeback-amount').val());
            }
        });
        chargebackAmount = parseFloat(chargebackAmount) || 0.00;

        var totalBalance = parseFloat(currentBalance) - parseFloat(totalPayment + chargebackAmount);

        if(totalBalance >= 0){
            var paymentAmount = parseFloat($('#receivePayment #payment-amount').val()) || 0.00;
            var factorFee = parseFloat($('#receivePayment #factor-fee').val()) || 0.00;
            if(paymentAmount != '' && factorFee != ''){
                $('#apply-pay-invoice').removeClass('disabled');
            }
            $('#total-balance').val(parseFloat(totalBalance).toFixed(2));
        }else{
            $('#apply-pay-invoice').addClass('disabled');
            $('#total-balance').val(parseFloat(currentBalance - totalPayment).toFixed(2));
            toastr.error('Chargeback Amount cannot be greater than Balance.', 'Error Alert', { timeOut: 2000 });
        }
        return false;
    }
</script>
<script type="text/javascript">
    $(function() {
        auditLoadUnlock();

        $('.datePicker').datetimepicker({ format: dateLayout, useCurrent: true, maxDate : 'now'});

        $('.timePicker').datetimepicker({ format: timeLayout, useCurrent: true });

        $("#sortable1, #sortable2").sortable();

        $('.select2AccountPaymentType').select2({
            width : '100%',
            placeholder: 'Select',
            minimumResultsForSearch: -1,
            templateResult: function(el){
                if (!el.id) { return el.text; }
                var $el = $('<span class="d-flex flex-row"><img src="' + $(el.element).data('icon') + '" class="img-icon pr-2" />' + el.text + '</span>');
                return $el;
            },
            templateSelection: function(el){
                if (!el.id) { return el.text; }
                var $el = $('<span class="d-flex flex-row"><img src="' + $(el.element).data('icon') + '" class="img-icon pr-2" />' + el.text + '</span>');
                return $el;
            }
        });

        $(document).on("click", ".history-button", function() {
            if($(this).hasClass('payment-history-button')){
                $(this).parent().parent().siblings(".table-responsive").slideToggle("slow");
            }else{
                $(this).siblings(".table-responsive").slideToggle("slow");
            }
            $(this).toggleClass("active");
        });

        $(document).on('afterChange', '.billingNew-slider', function(event, slick, currentSlide, nextSlide){
            if($(this).find('.slick-list .slick-track .slick-current').hasClass('load-invoiced')){
                $('#rejectDoc').addClass('d-none');
                $('#approveDoc').addClass('d-none');
                $('#revertApproval').addClass('d-none');
                $('#revertInvoicing').removeClass('d-none');
                $('#invoicedText').removeClass('d-none');
                $('#generateInvoice').addClass('d-none disabled');
                $('#auditActionMenu').removeClass('disabled');
            }else if($(this).find('.slick-list .slick-track .slick-current').hasClass('load-invoice')){
                $('#rejectDoc').addClass('d-none');
                $('#approveDoc').addClass('d-none');
                $('#revertInvoicing').addClass('d-none');
                $('#invoicedText').addClass('d-none');
                $('#generateInvoice').removeClass('d-none').removeClass('disabled');
                $('#auditActionMenu').addClass('disabled');
            }else if($(this).find('.slick-list .slick-track .slick-current').hasClass('add-Document')){
                $('#rejectDoc').addClass('d-none');
                $('#approveDoc').addClass('d-none');
                $('#revertInvoicing').addClass('d-none');
                $('#invoicedText').addClass('d-none');
                $('#generateInvoice').removeClass('d-none').addClass('disabled');
                $('.load-invoice-warning').addClass('d-none');
                $('#auditActionMenu').addClass('disabled');
            }else{
                $('#rejectDoc').removeClass('d-none');
                $('#approveDoc').removeClass('d-none');
                $('#revertInvoicing').addClass('d-none');
                $('#invoicedText').addClass('d-none');
                $('#generateInvoice').addClass('d-none');
                $('.load-invoice-warning').addClass('d-none');
                $('#auditActionMenu').removeClass('disabled');
            }

            auditSliderHideShowOption();
        });

        $(document).on('click', '#markAsReceivedDoc', function(e) {
            e.preventDefault();

            var activeSlick = $('.billingNew-slider .slick-list').find('.slick-current');
            var activeSlickIndex = activeSlick.attr('data-slick-index');
            var jsonData = activeSlick.find('.load-document-details').val();
            var loadId = activeSlick.find('.load-id').val();
            var loadDetailsId = activeSlick.find('.load-details-id').val();
            var encryptId = activeSlick.find('.encrypt-id').val();

            if(typeof jsonData != 'undefined'){
                $.ajax({
                    url: '{!! route('company.admin.billing.audit.load.documents.data.update') !!}',
                    type: 'POST',
                    data: {
                        is_received: true,
                        loadId: loadId,
                        loadDetailsId: loadDetailsId,
                        jsonData: jsonData, // Load Document Data
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        loader();
                    },
                    success: function(response) {
                        if(response.success){
                            if(response.auditLoadView != ''){
                                reloadAuditSlider(response.auditLoadView, activeSlickIndex);
                            }
                            toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                        }else{
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        updateLoadStatus(encryptId);
                        Swal.close();
                    },
                    error: function(jqXHR, status, exception) {
                        var error = 'Failed to load data';
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
            return false;
        });

        $(document).on('change', '#uploadBillingDocument .file-input', function() {
            var filesCount = $(this)[0].files.length;
            var textbox = $(this).parent().find('.file-message');
            if (filesCount === 1) {
                var fileName = $(this).val().split('\\').pop();
                textbox.text(fileName);
            } else {
                if(filesCount === 0){
                    textbox.text('Upload Documents');
                }else{
                    textbox.text(filesCount + ' files selected');
                }
            }
        });

        $(document).on('click', '#uploadDoc', function() {
            var activeSlick = $('.billingNew-slider .slick-list').find('.slick-current');
            var jsonData = activeSlick.find('.load-document-details').val();
            var loadId = activeSlick.find('.load-id').val();
            var loadDetailsId = activeSlick.find('.load-details-id').val();
            var encryptId = activeSlick.find('.encrypt-id').val();

            if(typeof jsonData != 'undefined'){
                $('#uploadBillingDocument').find('#load-id').val(loadId);
                $('#uploadBillingDocument').find('#load-details-id').val(loadDetailsId);
                $('#uploadBillingDocument').find('#encrypt-id').val(encryptId);
                $('#uploadBillingDocument').find('#load-document-details').val(jsonData);
                $('#uploadBillingDocument').find('#is-child-row').val('false');

                jsonData = JSON.parse(jsonData);

                $('#uploadBillingDocument').find('.document-Name').val(jsonData.filename);
                if(typeof jsonData.stop['name'] != 'undefined' && typeof jsonData.stop['addresses'] != 'undefined'){
                    $('#uploadBillingDocument').find('.stop-number').html('<option value="'+ jsonData.stop['name'] + ': ' + jsonData.stop['addresses'] +'">'+ jsonData.stop['name'] + ': ' + jsonData.stop['addresses'] +'</option>');
                }else{
                    $('#uploadBillingDocument').find('.stop-number').html('<option value="'+ jsonData.stop['name'] +'">'+ jsonData.stop['name'] +'</option>');
                }

                if(jsonData.include_w_billing == 'yes'){
                    $('#uploadBillingDocument #include-with-billing').prop('checked', true);
                }else{
                    $('#uploadBillingDocument #include-with-billing').prop('checked', false);
                }

                $('#uploadBillingDocument').modal('show');
            }
        });

        $('#uploadBillingDocument').on('hidden.bs.modal', function () {
            $('#uploadBillingDocument').find('#load-id').val('');
            $('#uploadBillingDocument').find('#load-details-id').val('');
            $('#uploadBillingDocument').find('#encrypt-id').val('');
            $('#uploadBillingDocument').find('#load-document-details').val('');
            $('#uploadBillingDocument').find('#parent-row-index').val('');
            $('#uploadBillingDocument').find('#is-child-row').val('');
            $('#uploadBillingDocument').find('.document-Name').val('');
            $('#uploadBillingDocument').find('.stop-number').html('');
            $("#uploadBillingDocument .file-input").val('').trigger('change');
            $('#uploadBillingDocument #include-with-billing').prop('checked', false);

            $('.updateChildHtmlOnDocUpload').each(function (){
                $(this).removeClass('updateChildHtmlOnDocUpload');
            });
        });

        $(document).on('click', '#uploadBillingDocument .upload-document', function(e) {
            e.preventDefault();

            var activeSlick = $('.billingNew-slider .slick-list').find('.slick-current');
            var activeSlickIndex = activeSlick.attr('data-slick-index');

            var loadId = $('#uploadBillingDocument #load-id').val();
            var loadDetailsId = $('#uploadBillingDocument #load-details-id').val();
            var encryptId = $('#uploadBillingDocument #encrypt-id').val();

            var jsonData = $('#uploadBillingDocument #load-document-details').val();
            var isChildRow = $('#uploadBillingDocument #is-child-row').val();
            var parentRowIndex = $('#uploadBillingDocument #parent-row-index').val();
            var includeWithBilling = ($('#uploadBillingDocument #include-with-billing').is(':checked')) ? 'yes' : 'no';

            if(typeof jsonData != 'undefined'){
                var filesCount = $('#uploadBillingDocument .file-input')[0].files.length;
                if(filesCount === 0){
                    toastr.error('Please select one document.', 'Error Alert', { timeOut: 5000 });
                }else{
                    let formData = new FormData();
                    formData.append('loadId', loadId);
                    formData.append('loadDetailsId', loadDetailsId);
                    formData.append('jsonData', jsonData);
                    formData.append('include_w_billing', includeWithBilling);
                    formData.append('is_child_row', isChildRow);
                    formData.append('parentRowIndex', parentRowIndex);
                    $.each($('#uploadBillingDocument .file-input')[0].files, function (key, file) {
                        formData.append('files[]', file);
                    });

                    $.ajax({
                        url: '{!! route('company.admin.billing.audit.load.documents.data.update') !!}',
                        method: 'POST',
                        data: formData,
                        dataType: 'json',
                        cache : false,
                        processData: false,
                        contentType: false,
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        beforeSend: function() {
                            loader();
                        },
                        success: function(response) {
                            if(response.success){
                                if(isChildRow == 'true'){
                                    if(response.rowChildView != ''){
                                        $('.updateChildHtmlOnDocUpload').html(response.rowChildView);
                                    }
                                }else{
                                    if(response.auditLoadView != ''){
                                        reloadAuditSlider(response.auditLoadView, activeSlickIndex);
                                    }
                                }
                                toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                            }else{
                                toastr.error(response.message, 'Error Alert', {
                                    timeOut: 5000
                                });
                            }
                        },
                        complete: function() {
                            $('#uploadBillingDocument').modal('hide');
                            updateLoadStatus(encryptId);
                            Swal.close();
                        },
                        error: function(jqXHR, status, exception) {
                            var error = 'Failed to load data';
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            }
            return false;
        });

        $(document).on('click', '.printOrSaveDoc', function(e) {
            e.preventDefault();

            var type = $(this).attr('data-type');

            if(typeof $(this).attr('data-child') != 'undefined'){
                var tr = $(this).closest('tr');
                var jsonData = tr.attr('data-load-document-details');
            }else{
                var activeSlick = $('.billingNew-slider .slick-list').find('.slick-current');
                var jsonData = activeSlick.find('.load-document-details').val();
            }

            if(typeof jsonData !== 'undefined'){
                jsonData = JSON.parse(jsonData);

                var url = '';
                if($.inArray(jsonData.source, ['load_details', 'load_stops', 'load_document_request_items']) !== -1){
                    if(typeof jsonData.file[0] !== 'undefined'){
                        url = '{{ asset('storage/companyAdmin/load_detail_document') }}/' + jsonData.file[0];
                    }
                }else if($.inArray(jsonData.source, ['load_accessorials']) !== -1){
                    if(typeof jsonData.file !== 'undefined'){
                        url = '{{ asset('storage/companyAdmin/gallery') }}/' + jsonData.file;
                    }
                }else if($.inArray(jsonData.source, ['load_files']) !== -1){
                    if(typeof jsonData.file[0] !== 'undefined'){
                        url = '{{ asset('storage/companyAdmin/loadfile') }}/' + jsonData.file[0];
                    }
                }

                if(typeof url !== 'undefined' && url !== ''){
                    if(type === 'print'){
                        var thePopup = window.open(url);
                        thePopup.print();
                    }else if(type === 'save'){
                        var link = document.createElement('a');
                        document.body.appendChild(link);
                        link.setAttribute('download', '');
                        link.href = url;
                        link.click();
                        link.remove();
                    }
                }
            }
            return false;
        });

        $(document).on('click', '#approveDoc, #rejectDoc', function(e) {
            e.preventDefault();

            var file_verify = $(this).attr('data-file-verify');
            var activeSlick = $('.billingNew-slider .slick-list').find('.slick-current');
            var activeSlickIndex = activeSlick.attr('data-slick-index');
            var loadId = activeSlick.find('.load-id').val();
            var loadDetailsId = activeSlick.find('.load-details-id').val();
            var encryptId = activeSlick.find('.encrypt-id').val();
            var jsonData = activeSlick.find('.load-document-details').val();

            if(typeof jsonData != 'undefined'){
                $.ajax({
                    url: '{!! route('company.admin.billing.audit.load.documents.data.update') !!}',
                    type: 'POST',
                    data: {
                        file_verify: file_verify,
                        loadId: loadId,
                        loadDetailsId: loadDetailsId,
                        jsonData: jsonData, // Load Document Data
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        loader();
                    },
                    success: function(response) {
                        if(response.success){
                            if(response.auditLoadView != ''){
                                reloadAuditSlider(response.auditLoadView, activeSlickIndex);

                                if(file_verify == '2'){
                                    $('#requestDoc').trigger('click');
                                }
                            }
                            toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                        }else{
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        updateLoadStatus(encryptId);
                        Swal.close();
                    },
                    error: function(jqXHR, status, exception) {
                        var error = 'Failed to load data';
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
            return false;
        });

        $(document).on('click', '#generateInvoice', function (){
            var receivedProgressBar = $('.received-progress-bar').attr('aria-valuenow');
            var auditProgressBar = $('.audit-progress-bar').attr('aria-valuenow');

            if(receivedProgressBar == '100' && auditProgressBar == '100'){
                $('.load-invoice-warning').addClass('d-none');
            }else{
                $('.load-invoice-warning').removeClass('d-none');
            }
        });

        $(document).on('click', '#requestDoc', function (e){
            e.preventDefault();

            var activeSlick = $('.billingNew-slider .slick-list').find('.slick-current');
            var loadId = activeSlick.find('.load-id').val();
            var loadDetailsId = activeSlick.find('.load-details-id').val();
            var loadNumber = activeSlick.find('.load-number').text();
            var jsonData = activeSlick.find('.load-document-details').val();

            if(typeof jsonData != 'undefined'){
                $.ajax({
                    url: '{{ route('company.admin.billing.audit.load.request.documents') }}',
                    type: 'POST',
                    data: {
                        loadId: loadId,
                        loadDetailsId: loadDetailsId,
                        jsonData: jsonData, // Load Document Data
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        $('#requestDocument').modal('show');
                        $('#requestDocument .modal-header label').text(loadNumber);
                        $('#requestDocument').find('.append-view').html(`<div class="loadingdiv"><img src="`+loadimg+`"></div>`);
                    },
                    success: function(response) {
                        var html    = response.html;
                        if(typeof html !== "undefined"){
                            $('#requestDocument').find('.append-view').html(html);
                            setTimeout(function() {
                                var modalForm   = $('#requestDocument #ṛeqDocFrm');
                                if(modalForm.length > 0){
                                    modalForm.find('.select2-selectModal').each(function() {
                                        var $this = $(this);
                                        var placeholderText = $this.find('option:first').text();
                                        $this.select2({
                                            allowClear: true,
                                            dropdownParent: $('#requestDocument'),
                                            width : '100%',
                                            placeholder: placeholderText
                                        });
                                        $this.find('option:first').hide();
                                    });
                                    modalForm.find('.docReqHistory-button').trigger('click');
                                }
                            }, 250);
                        }else{
                            toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        // console.log('complete');
                    },
                    error: function(jqXHR, status, exception) {
                        var error = 'Failed to load data';
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
            return false;
        });

        $('#requestDocument').on('hidden.bs.modal', function () {
            $('.updateChildHtmlOnDocReq').each(function (){
                $(this).removeClass('updateChildHtmlOnDocReq');
            });
        });

        $(document).on('click', '.reqDoc-save-btn', function(e) {
            e.preventDefault();

            var activeSlick = $('.billingNew-slider .slick-list').find('.slick-current');
            var activeSlickIndex = activeSlick.attr('data-slick-index');

            var that                            = $(this);
            var btnTxt                          = that.text();

            var form                            = $('#requestDocument #ṛeqDocFrm');
            var parsley                         = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            parsley.validate();
            if (parsley.isValid()){
                var paramsObject                = JSON.parse(form.find('input[name="params"]').val());
                var isChildRow                 = form.find('input[name="is_child_row"]').val();
                // Get the checkbox value using jQuery
                var checkboxValue       = $('#requestDocument #rtbdrm_include_w_billing').prop('checked');
                // Determine the value to pass based on checkbox state
                var valueToPass         = checkboxValue ? 'yes' : 'no';

                var formData            = new FormData(form[0]);
                formData.append('include_w_billing', valueToPass);

                $.ajax({
                    type: 'POST',
                    url: '{{ route('company.admin.billing.audit.load.request.documents.save') }}',
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                    success: function(response) {
                        if(response.success){
                            if(isChildRow == 'true'){
                                if(response.rowChildView != ''){
                                    $('.updateChildHtmlOnDocReq').html(response.rowChildView);
                                }
                            }else{
                                if(response.auditLoadView != ''){
                                    reloadAuditSlider(response.auditLoadView, activeSlickIndex);
                                }
                            }
                        }else{
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        $('#requestDocument').modal('hide');
                        that.prop('disabled', false).html(btnTxt);
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
            return false;
        });

        $(document).on('click', '.docReqHistory-button', function(e) {
            e.preventDefault();
            var that                            = $(this);
            var existingDiv                     = that.next('.table-responsive');
            var myTbody                         = existingDiv.find('tbody');
            // Checking content length
            var tbodyContentLength              = myTbody.children().length;

            if (tbodyContentLength === 0) {
                var form                        = $('#requestDocument #ṛeqDocFrm');
                var paramsObject                = JSON.parse(form.find('input[name="params"]').val());

                // Make an AJAX request to get the detailed information
                $.ajax({
                    url: '{{ route('company.admin.billing.audit.load.request.documents.history') }}',
                    type: 'POST',
                    data: {
                        jsonData: paramsObject.jsonData // Load Document Data
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function () {
                        that.removeClass('active');
                        that.next('.table-responsive').removeClass('d-none');

                        myTbody.html(`<tr><td colspan="7">Please wait loading...</td></tr>`);
                    },
                    success: function(response) {
                        var html    = response.html;
                        if(typeof html !== "undefined"){
                            myTbody.html(html);
                        }else{
                            myTbody.html(`<tr><td colspan="7">No data available in table</td></tr>`);
                        }
                    },
                    complete: function() {
                        // console.log('complete');
                    },
                    error: function(jqXHR, status, exception) {
                        myTbody.html(`<tr><td colspan="7">Oops! Something went wrong..</td></tr>`);
                    }
                });
                return false;
            } else {
                if(that.hasClass('active')){
                    that.removeClass('active');
                    that.next('.table-responsive').removeClass('d-none');
                }else{
                    that.addClass('active');
                    that.next('.table-responsive').addClass('d-none');
                }
            }
        });

        $(document).on('click', '.revertApprovalOrRejection', function (e){
            e.preventDefault();

            var activeSlick = $('.billingNew-slider .slick-list').find('.slick-current');
            var activeSlickIndex = activeSlick.attr('data-slick-index');
            var loadId = activeSlick.find('.load-id').val();
            var loadDetailsId = activeSlick.find('.load-details-id').val();
            var encryptId = activeSlick.find('.encrypt-id').val();
            var jsonData = activeSlick.find('.load-document-details').val();

            if(typeof jsonData != 'undefined'){
                $.ajax({
                    url: '{!! route('company.admin.billing.audit.load.documents.data.update') !!}',
                    type: 'POST',
                    data: {
                        revert_approval_or_rejection: true,
                        loadId: loadId,
                        loadDetailsId: loadDetailsId,
                        jsonData: jsonData, // Load Document Data
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        loader();
                    },
                    success: function(response) {
                        if(response.success){
                            if(response.auditLoadView != ''){
                                reloadAuditSlider(response.auditLoadView, activeSlickIndex);
                            }
                            toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                        }else{
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        updateLoadStatus(encryptId);
                        Swal.close();
                    },
                    error: function(jqXHR, status, exception) {
                        var error = 'Failed to load data';
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
            return false;
        });

        $(document).on('click', '.add-documentation', function (e) {
            e.preventDefault();

            var activeSlick = $('.billingNew-slider .slick-list').find('.slick-current');
            var loadId = activeSlick.find('.load-id').val();
            var loadDetailsId = activeSlick.find('.load-details-id').val();
            var loadNumber = activeSlick.find('.load-number').text();
            var loadDetailsBrokerageFirm = activeSlick.find('.load-details-brokerage-firm').val();

            if(loadId !== 'undefined' && loadDetailsId !== 'undefined'){
                if(loadDetailsBrokerageFirm == ''){
                    toastr.error('Please select broker.', 'Error Alert', {
                        timeOut: 5000
                    });
                    return false;
                }

                $.ajax({
                    url: '{{ route('company.admin.billing.audit.load.add.documentation') }}',
                    type: 'POST',
                    data: {
                        loadId: loadId,
                        loadDetailsId: loadDetailsId,
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function () {
                        $('#addDocumentation').modal('show');
                        $('#addDocumentation .modal-header label').text(loadNumber);
                        $('#addDocumentation').find('.append-view').html(`<div class="loadingdiv"><img src="`+loadimg+`"></div>`);
                    },
                    success: function(response) {
                        var html    = response.html;
                        if(typeof html !== "undefined"){
                            $('#addDocumentation').find('.append-view').html(html);
                            setTimeout(function() {
                                var modalForm   = $('#addDocumentation #addDocFrm');
                                if(modalForm.length > 0){
                                    modalForm.find('.select2-selectModal').each(function() {
                                        var $this = $(this);
                                        var placeholderText = $this.find('option:first').text();
                                        $this.select2({
                                            allowClear: true,
                                            dropdownParent: $('#addDocumentation'),
                                            width : '100%',
                                            placeholder: placeholderText
                                        });
                                        $this.find('option:first').hide();
                                    });
                                }
                            }, 250);
                        }else{
                            toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        // console.log('complete');
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
                return false;
            }
        });

        $(document).on('change', '#addDocumentation select[name="doc_req_stop_no"]', function() {
            var optionSelected                  = $("option:selected", this);
            var selectedValue                   = optionSelected.val();
            if(selectedValue != ''){
                var myArray                     = [];
                var name                        = optionSelected.attr('data-name');
                if (typeof name !== 'undefined' && name !== null && name.trim() !== '') {
                    myArray.push(name);
                }
                var customer_name               = optionSelected.attr('data-customer_name');
                if (typeof customer_name !== 'undefined' && customer_name !== null && customer_name.trim() !== '') {
                    myArray.push(customer_name);
                }
                var addresses                   = optionSelected.attr('data-addresses');
                if (typeof addresses !== 'undefined' && addresses !== null && addresses.trim() !== '') {
                    myArray.push(addresses);
                }
                var result                      = myArray.join('<br>');
                $('.modal-addDocumentation p.address').html(result)
            }else{
                $('.modal-addDocumentation p.address').html('')
            }
        });

        $(document).on('change', '#addDocumentation select[name="doc_req_name_id"]', function() {
            var that                            = $(this);

            var optionSelected                  = $("option:selected", this);
            var selectedValue                   = optionSelected.val();
            var selectedText                    = '';
            if(selectedValue && selectedValue!='0'){
                selectedText                    = optionSelected.text();
            }

            if(selectedValue=='0'){
                that.closest('.form-group').find('#rtbdrm_doc_req_name').attr('type', 'text');
                that.closest('.form-group').find('#rtbdrm_doc_req_name').prop('required', true);
            }else{
                that.closest('.form-group').find('#rtbdrm_doc_req_name').attr('type', 'hidden');
                that.closest('.form-group').find('#rtbdrm_doc_req_name').prop('required', false);
            }
            that.closest('.form-group').find('#rtbdrm_doc_req_name').val(selectedText);

            if(optionSelected.attr('data-include_w_billing') == 'yes'){
                that.closest('.append-view').find('#rtbdrm_doc_req_include_w_billing').prop('checked', true);
            }else{
                that.closest('.append-view').find('#rtbdrm_doc_req_include_w_billing').prop('checked', false);
            }
        });

        $(document).on('change', '#addDocumentation select[name="doc_req_driver_id"]', function() {
            doc_req_email_sms_contact();
        });

        $(document).on('change', '#addDocumentation input[name="doc_req_email"], #addDocumentation input[name="doc_req_sms"]', function() {
            doc_req_email_sms_contact();
        });

        $(document).on('click', '.addDoc-save-btn', function(e) {
            e.preventDefault();

            var slickLastIndex = $('.billingNew-slider .slick-list .slick-track .slick-slide').length;

            var that                            = $(this);
            var btnTxt                          = that.text();

            var form                            = $('#addDocumentation #addDocFrm');
            var parsley                         = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            parsley.validate();
            if (parsley.isValid()){
                var paramsObject                = JSON.parse(form.find('input[name="params"]').val());
                var id                          = paramsObject.load_detail_id;
                if (typeof id === 'undefined') {
                    toastr.error('Oops! Something went wrong..', 'Error Alert', {
                        timeOut: 5000
                    });
                    return false;
                }

                // Get the checkbox value using jQuery
                var checkboxValue               = $('#addDocumentation #rtbdrm_doc_req_include_w_billing').prop('checked');
                // Determine the value to pass based on checkbox state
                var valueToPass                 = checkboxValue ? 'yes' : 'no';

                var formData                    = new FormData(form[0]);
                formData.append('doc_req_include_w_billing', valueToPass);

                $.ajax({
                    type: 'POST',
                    url: '{{ route('company.admin.billing.audit.load.add.documentation.save') }}',
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                    success: function(response) {
                        if (response.success) {
                            var txt             = btnTxt;
                            txt                 = txt.charAt(0).toUpperCase() + txt.slice(1).toLowerCase()
                            toastr.success(
                                txt+' successfully',
                                'Success Alert', {
                                    timeOut: 1000,
                                    fadeOut: 1000,
                                    onHidden: function () {
                                        /*
                                        var row = $('.completed-load-data-table').find('tbody tr.shown[data-id="'+id+'"]');
                                        if(row.length > 0){
                                            row.find('td .details-control').trigger('click').delay(100).trigger('click');
                                            updateBillingStatus(row);
                                        }
                                         */

                                        if(response.auditLoadView != ''){
                                            reloadAuditSlider(response.auditLoadView, (slickLastIndex + 1));

                                            $('#requestDocument').modal('hide');
                                        }

                                        $('#addDocumentation').modal('hide');
                                    }
                                }
                            );
                        } else {
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        that.prop('disabled', false).html(btnTxt);
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
        });

        $(document).on('click', '#revertInvoicing', function (e){
            e.preventDefault();

            var activeSlick = $('.billingNew-slider .slick-list').find('.slick-current');
            var loadId = activeSlick.find('.load-id').val();
            var loadDetailsId = activeSlick.find('.load-details-id').val();
            var encryptId = activeSlick.find('.encrypt-id').val();

            $.ajax({
                url: '{!! route('company.admin.billing.audit.load.documents.data.update') !!}',
                type: 'POST',
                data: {
                    revert_invoicing: true,
                    loadId: loadId,
                    loadDetailsId: loadDetailsId,
                },
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                beforeSend: function() {
                    loader();
                },
                success: function(response) {
                    if(response.success){
                        if(response.auditLoadView != ''){
                            reloadAuditSlider(response.auditLoadView, '');
                        }
                        toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                    }else{
                        toastr.error(response.message, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                },
                complete: function(){
                    updateLoadStatus(encryptId);
                    Swal.close();
                },
                error: function(jqXHR, status, exception) {
                    var error = 'Failed to load data';
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, 'Error Alert', {
                        timeOut: 5000
                    });
                }
            });
            return false;
        });

        $(document).on('click', '.addNote', function() {
            var load_detail = $(this).attr('data-load-detail');
            $('#addNote #load-detail-id').val(load_detail);
            $('#addNote').modal('show');
        });

        $(document).on('click', '#save-note', function (e){
            e.preventDefault();

            var form = $('#addNote #add-note-form');
            var parsley = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });

            parsley.validate();

            if (parsley.isValid()){
                $.ajax({
                    type: 'POST',
                    url: '{{ route('company.admin.billing.load.note.save') }}',
                    data: form.serializeArray(),
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        loader();
                    },
                    success: function(response) {
                        if (response.success) {
                            $('#addNote').modal('hide');

                            if(response.tableHtml != ''){
                                $('#collections-history-body').html(response.tableHtml);
                            }
                            toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                        } else {
                            toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                        }
                    },
                    complete: function() {
                        Swal.close();
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
        });

        $('#addNote').on('hide.bs.modal', function () {
            $('#addNote #load-detail-id').val('');
            $('#addNote #type').val('').trigger('change');
            $('#addNote #time').val('');
            $('#addNote #date').val('');
            $('#addNote #contact').val('');
            $('#addNote #description').val('');
        });

        $(document).on('click', '#addReminderModal', function (){
            var loadNumber =$(this).attr('data-load-number');
            var loadDetailId =$(this).attr('data-load-detail');

            if(loadNumber != '' && loadDetailId != ''){
                $.ajax({
                    type: 'POST',
                    url: '{{ route('company.admin.billing.load.reminder.view') }}',
                    data: {
                        viewType: 'create',
                        loadDetailId: loadDetailId
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        $('#addReminder').modal('show');
                        $('#addReminder #load-number').text(loadNumber);
                        $('#addReminder').find('.append-view').html(`<div class="loadingdiv"><img src="`+loadimg+`"></div>`);
                    },
                    success: function(response) {
                        var html    = response.html;
                        if(typeof html !== "undefined"){
                            $('#addReminder').find('.append-view').html(html);
                            setTimeout(function() {
                                var modalForm   = $('#addReminder #add-reminder-form');
                                if(modalForm.length > 0){
                                    modalForm.find('.select2').each(function() {
                                        var $this = $(this);
                                        var placeholderText = $this.find('option:first').text();
                                        $this.select2({
                                            allowClear: true,
                                            dropdownParent: $('#addReminder'),
                                            width : '100%',
                                            placeholder: placeholderText
                                        });
                                        $this.find('option:first').hide();
                                    });
                                    modalForm.find('.select2Multiple').select2({
                                        dropdownParent: $('#addReminder'),
                                        closeOnSelect: false,
                                        placeholder: "Select",
                                        allowHtml: true,
                                        allowClear: false,
                                        tags: false,
                                        dropdownCssClass: "multiple-select",
                                        width: '100%',
                                        templateSelection: function(el) {
                                            return (el.text).split(' - ')[0] || el.text;
                                        },
                                    });
                                    modalForm.find('#reminder-date').datetimepicker({ format: dateLayout, useCurrent: false, minDate : 'now'});
                                    modalForm.find('#reminder-time').datetimepicker({ format: timeLayout, useCurrent: true });
                                }
                            }, 250);
                        }else{
                            toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        Swal.close();
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
        });

        $(document).on('click', '.reminderRepeatFrequency', function (){
            var repeat = $(this).attr('data-repeat');

            $('.reminderRepeatFrequency').each(function (){
                if($(this).hasClass('btn-blue')){
                    $(this).removeClass('btn-blue').addClass('btn-blueBr');
                }
            });
            $(this).removeClass('btn-blueBr').addClass('btn-blue');

            $('#reminder-repeat-frequency').val(repeat);
            if(repeat == 'custom'){
                $('#reminderRepeatCustomDiv').removeClass('d-none');
            }else{
                $('#reminderRepeatCustomDiv').addClass('d-none');
            }
        });

        $(document).on('change', '#reminder-repeat', function (){
            if($(this).is(':checked')){
                $('#reminder-repeat-frequency').val('1_day');
                $('.reminderRepeatFrequency').each(function (){
                    if($(this).attr('data-repeat') == '1_day'){
                        $(this).removeClass('btn-blueBr').addClass('btn-blue');
                    }else{
                        $(this).removeClass('btn-blue').addClass('btn-blueBr');
                    }
                });

                $('#reminderRepeatDiv').removeClass('d-none');
            }else{
                $('#reminder-repeat-frequency').val('');
                $('.reminderRepeatFrequency').each(function (){
                    if($(this).hasClass('btn-blue')){
                        $(this).removeClass('btn-blue').addClass('btn-blueBr');
                    }
                });
                $('#reminderRepeatCustomDiv').addClass('d-none');

                $('#reminderRepeatDiv').addClass('d-none');
            }
        });

        $(document).on('click', '.view-reminder', function (e){
            e.preventDefault();

            var reminder = $(this).attr('data-reminder');
            var loadNumber =$(this).attr('data-load-number');
            var loadDetailId =$(this).attr('data-load-detail');

            if(reminder != ''){
                $.ajax({
                    type: 'POST',
                    url: '{{ route('company.admin.billing.load.reminder.view') }}',
                    data: {
                        viewType: 'view',
                        reminder: reminder,
                        loadDetailId: loadDetailId
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        $('#addReminder').modal('show');
                        $('#addReminder #load-number').text(loadNumber);
                        $('#addReminder').find('.append-view').html(`<div class="loadingdiv"><img src="`+loadimg+`"></div>`);
                    },
                    success: function(response) {
                        var html    = response.html;
                        if(typeof html !== "undefined"){
                            $('#addReminder').find('.append-view').html(html);
                            setTimeout(function() {
                                var modalForm   = $('#addReminder #view-reminder-form');
                                if(modalForm.length > 0){
                                    modalForm.find('.select2').each(function() {
                                        var $this = $(this);
                                        var placeholderText = $this.find('option:first').text();
                                        $this.select2({
                                            allowClear: true,
                                            dropdownParent: $('#addReminder'),
                                            width : '100%',
                                            placeholder: placeholderText
                                        });
                                        $this.find('option:first').hide();
                                    });
                                    modalForm.find('.select2Multiple').select2({
                                        dropdownParent: $('#addReminder'),
                                        closeOnSelect: false,
                                        placeholder: "Select",
                                        allowHtml: true,
                                        allowClear: false,
                                        tags: false,
                                        dropdownCssClass: "multiple-select",
                                        width: '100%',
                                        templateSelection: function(el) {
                                            return (el.text).split(' - ')[0] || el.text;
                                        },
                                    });
                                    modalForm.find('#reminder-date').datetimepicker({ format: dateLayout, useCurrent: false});
                                    modalForm.find('#reminder-time').datetimepicker({ format: timeLayout, useCurrent: true });
                                }
                            }, 250);
                        }else{
                            toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        //Swal.close();
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
        });

        $(document).on('click', '.editReminderModal', function (e){
            e.preventDefault();

            var reminder = $(this).attr('data-reminder');
            var loadNumber =$(this).attr('data-load-number');
            var loadDetailId =$(this).attr('data-load-detail');

            if(reminder != '' && loadNumber != '' && loadDetailId != ''){
                $.ajax({
                    type: 'POST',
                    url: '{{ route('company.admin.billing.load.reminder.view') }}',
                    data: {
                        viewType: 'edit',
                        reminder: reminder,
                        loadDetailId: loadDetailId
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        $('#addReminder').modal('show');
                        $('#addReminder #load-number').text(loadNumber);
                        $('#addReminder').find('.append-view').html(`<div class="loadingdiv"><img src="`+loadimg+`"></div>`);
                    },
                    success: function(response) {
                        var html    = response.html;
                        if(typeof html !== "undefined"){
                            $('#addReminder').find('.append-view').html(html);
                            setTimeout(function() {
                                var modalForm   = $('#addReminder #add-reminder-form');
                                if(modalForm.length > 0){
                                    modalForm.find('.select2').each(function() {
                                        var $this = $(this);
                                        var placeholderText = $this.find('option:first').text();
                                        $this.select2({
                                            allowClear: true,
                                            dropdownParent: $('#addReminder'),
                                            width : '100%',
                                            placeholder: placeholderText
                                        });
                                        $this.find('option:first').hide();
                                    });
                                    modalForm.find('.select2Multiple').select2({
                                        dropdownParent: $('#addReminder'),
                                        closeOnSelect: false,
                                        placeholder: "Select",
                                        allowHtml: true,
                                        allowClear: false,
                                        tags: false,
                                        dropdownCssClass: "multiple-select",
                                        width: '100%',
                                        templateSelection: function(el) {
                                            return (el.text).split(' - ')[0] || el.text;
                                        },
                                    });
                                    modalForm.find('#reminder-date').datetimepicker({ format: dateLayout, useCurrent: false });
                                    modalForm.find('#reminder-time').datetimepicker({ format: timeLayout, useCurrent: true });
                                }
                            }, 250);
                        }else{
                            toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        Swal.close();
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
        });

        $(document).on('click', '.deleteReminder', function (e){
            e.preventDefault();

            var reminder = $(this).attr('data-reminder');
            var loadDetailId =$(this).attr('data-load-detail');

            if(reminder != '' && loadDetailId != ''){
                Swal.fire({
                    title: "Are you sure?",
                    text: "You won't be able to revert this!",
                    icon: "warning",
                    showCancelButton: true,
                    confirmButtonColor: "#3085d6",
                    cancelButtonColor: "#d33",
                    confirmButtonText: "Yes, delete it!",
                }).then((result) => {
                    if (result.value) {
                        $.ajax({
                            type: 'POST',
                            url: '{{ route('company.admin.billing.load.reminder.delete') }}',
                            data: {
                                reminder: reminder,
                                loadDetailId: loadDetailId
                            },
                            dataType: 'json',
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            beforeSend: function() {
                                loader();
                            },
                            success: function(response) {
                                if (response.success) {
                                    if(response.tableHtml != ''){
                                        $('#reminder-history-body').html(response.tableHtml);
                                    }
                                    toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                                }else{
                                    toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                        timeOut: 5000
                                    });
                                }
                            },
                            complete: function() {
                                Swal.close();
                            },
                            error: function(jqXHR, status, exception) {
                                if (jqXHR.status === 0) {
                                    error = 'Not connected.\nPlease verify your network connection.';
                                } else if (jqXHR.status == 404) {
                                    error = 'The requested page not found. [404]';
                                } else if (jqXHR.status == 500) {
                                    error = 'Internal Server Error [500].';
                                } else if (exception === 'parsererror') {
                                    error = 'Requested JSON parse failed.';
                                } else if (exception === 'timeout') {
                                    error = 'Time out error.';
                                } else if (exception === 'abort') {
                                    error = 'Ajax request aborted.';
                                } else {
                                    error = 'Uncaught Error.\n' + jqXHR.responseText;
                                }
                                toastr.error(error, 'Error Alert', {
                                    timeOut: 5000
                                });
                            }
                        });
                    }
                });
            }
        });

        $(document).on('click', '#save-reminder', function (e){
            e.preventDefault();

            var form = $('#addReminder #add-reminder-form');
            var parsley = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });

            parsley.validate();

            if (parsley.isValid()){
                $.ajax({
                    type: 'POST',
                    url: '{{ route('company.admin.billing.load.reminder.save') }}',
                    data: form.serializeArray(),
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        loader();
                    },
                    success: function(response) {
                        if (response.success) {
                            $('#addReminder').modal('hide');

                            if(response.tableHtml != ''){
                                $('#reminder-history-body').html(response.tableHtml);
                            }
                            toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                        } else {
                            toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                        }
                    },
                    complete: function() {
                        Swal.close();
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
        });

        $(document).on('click', '#childRequestDoc', function (e){
            e.preventDefault();

            var tr = $(this).closest('tr');

            tr.closest('tbody').closest('table').closest('.row').parent().addClass('updateChildHtmlOnDocReq');

            var loadId = tr.attr('data-load-id');
            var loadDetailsId = tr.attr('data-load-details-id');
            var loadNumber = tr.attr('data-load-number');
            var jsonData = tr.attr('data-load-document-details');
            var parentRowIndex = tr.attr('data-parent-row-index');

            if(typeof jsonData != 'undefined'){
                $.ajax({
                    url: '{{ route('company.admin.billing.audit.load.request.documents') }}',
                    type: 'POST',
                    data: {
                        is_child_row: true,
                        parentRowIndex: parentRowIndex,
                        loadId: loadId,
                        loadDetailsId: loadDetailsId,
                        jsonData: jsonData, // Load Document Data
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        $('#requestDocument').modal('show');
                        $('#requestDocument .modal-header label').text('Load No.' + loadNumber);
                        $('#requestDocument').find('.append-view').html(`<div class="loadingdiv"><img src="`+loadimg+`"></div>`);
                    },
                    success: function(response) {
                        var html    = response.html;
                        if(typeof html !== "undefined"){
                            $('#requestDocument').find('.append-view').html(html);
                            setTimeout(function() {
                                var modalForm   = $('#requestDocument #ṛeqDocFrm');
                                if(modalForm.length > 0){
                                    modalForm.find('.select2-selectModal').each(function() {
                                        var $this = $(this);
                                        var placeholderText = $this.find('option:first').text();
                                        $this.select2({
                                            allowClear: true,
                                            dropdownParent: $('#requestDocument'),
                                            width : '100%',
                                            placeholder: placeholderText
                                        });
                                        $this.find('option:first').hide();
                                    });
                                    modalForm.find('.docReqHistory-button').trigger('click');
                                }
                            }, 250);
                        }else{
                            toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        // console.log('complete');
                    },
                    error: function(jqXHR, status, exception) {
                        var error = 'Failed to load data';
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
            return false;
        });

        $(document).on('click', '.childMarkAsReceived', function(e) {
            e.preventDefault();

            var tr = $(this).closest('tr');

            var jsonData = tr.attr('data-load-document-details');
            var loadId = tr.attr('data-load-id');
            var loadDetailsId = tr.attr('data-load-details-id');
            var encryptId = tr.attr('data-encrypt-id');
            var parentRowIndex = tr.attr('data-parent-row-index');
            var isReceivedAction = $(this).attr('data-action');

            if(typeof jsonData != 'undefined'){
                $.ajax({
                    url: '{!! route('company.admin.billing.audit.load.documents.data.update') !!}',
                    type: 'POST',
                    data: {
                        is_child_row: true,
                        is_received: isReceivedAction,
                        loadId: loadId,
                        loadDetailsId: loadDetailsId,
                        parentRowIndex: parentRowIndex,
                        jsonData: jsonData, // Load Document Data
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        loader();
                    },
                    success: function(response) {
                        if(response.success){
                            if(response.rowChildView != ''){
                                tr.closest('tbody').closest('table').closest('.row').parent().html(response.rowChildView);
                            }
                            toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                        }else{
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        updateLoadStatus(encryptId);
                        Swal.close();
                    },
                    error: function(jqXHR, status, exception) {
                        var error = 'Failed to load data';
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
            return false;
        });

        $(document).on('click', '#childUploadDoc', function(e) {
            e.preventDefault();

            var tr = $(this).closest('tr');

            tr.closest('tbody').closest('table').closest('.row').parent().addClass('updateChildHtmlOnDocUpload');

            var jsonData = tr.attr('data-load-document-details');
            var loadId = tr.attr('data-load-id');
            var loadDetailsId = tr.attr('data-load-details-id');
            var encryptId = tr.attr('data-encrypt-id');
            var parentRowIndex = tr.attr('data-parent-row-index');

            if(typeof jsonData != 'undefined'){
                $('#uploadBillingDocument').find('#load-id').val(loadId);
                $('#uploadBillingDocument').find('#load-details-id').val(loadDetailsId);
                $('#uploadBillingDocument').find('#encrypt-id').val(encryptId);
                $('#uploadBillingDocument').find('#load-document-details').val(jsonData);
                $('#uploadBillingDocument').find('#parent-row-index').val(parentRowIndex);
                $('#uploadBillingDocument').find('#is-child-row').val('true');

                jsonData = JSON.parse(jsonData);

                $('#uploadBillingDocument').find('.document-Name').val(jsonData.filename);
                if(typeof jsonData.stop['name'] != 'undefined' && typeof jsonData.stop['addresses'] != 'undefined'){
                    $('#uploadBillingDocument').find('.stop-number').html('<option value="'+ jsonData.stop['name'] + ': ' + jsonData.stop['addresses'] +'">'+ jsonData.stop['name'] + ': ' + jsonData.stop['addresses'] +'</option>');
                }else{
                    $('#uploadBillingDocument').find('.stop-number').html('<option value="'+ jsonData.stop['name'] +'">'+ jsonData.stop['name'] +'</option>');
                }

                if(jsonData.include_w_billing == 'yes'){
                    $('#uploadBillingDocument #include-with-billing').prop('checked', true);
                }else{
                    $('#uploadBillingDocument #include-with-billing').prop('checked', false);
                }

                $('#uploadBillingDocument').modal('show');
            }
        });

        $(document).on('click', '.childRevertApprovalOrRejection', function (e){
            e.preventDefault();

            var tr = $(this).closest('tr');

            var loadId = tr.attr('data-load-id');
            var loadDetailsId = tr.attr('data-load-details-id');
            var encryptId = tr.attr('data-encrypt-id');
            var jsonData = tr.attr('data-load-document-details');
            var parentRowIndex = tr.attr('data-parent-row-index');

            if(typeof jsonData != 'undefined'){
                $.ajax({
                    url: '{!! route('company.admin.billing.audit.load.documents.data.update') !!}',
                    type: 'POST',
                    data: {
                        is_child_row: true,
                        revert_approval_or_rejection: true,
                        loadId: loadId,
                        loadDetailsId: loadDetailsId,
                        jsonData: jsonData,
                        parentRowIndex: parentRowIndex,
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        loader();
                    },
                    success: function(response) {
                        if(response.success){
                            if(response.billStatus == ''){
                                var parenTr = tr.closest('tbody').closest('table').closest('.row').parent().parent().prev('tr');
                                parenTr.each(function (){
                                    $(this).find('.td-document').html('<i class="fa fa-file-text-o document-in-review document-icon" aria-hidden="true"></i>');
                                    $(this).find('.td-review').text('In Review');
                                    $(this).find('.td-invoice-now').html('<a href="javascript:void(0);" class="btn btn-liteGray">Invoice Now</a>');
                                });
                            }

                            if(response.rowChildView != ''){
                                tr.closest('tbody').closest('table').closest('.row').parent().html(response.rowChildView);
                            }
                            toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                        }else{
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        updateLoadStatus(encryptId);
                        Swal.close();
                    },
                    error: function(jqXHR, status, exception) {
                        var error = 'Failed to load data';
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
            return false;
        });

        $(document).on('click', '.showReceivePaymentModal', function (e){
            e.preventDefault();

            $(this).closest('td').addClass('active-pay-invoice-row');

            var parentRowIndex = $(this).attr('data-parent-row-index');
            var loadDetailId = $(this).attr('data-id');
            var loadNumber = $(this).attr('data-number');

            if(typeof loadDetailId != 'undefined'){
                $.ajax({
                    url: '{{ route('company.admin.billing.pay.invoice.view') }}',
                    type: 'POST',
                    data: {
                        parentRowIndex: parentRowIndex,
                        loadDetailId: loadDetailId,
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        $('#receivePayment').modal('show');
                        $('#receivePayment .modal-header label').text('Load Number ' + loadNumber);
                        $('#receivePayment').find('.append-view').html(`<div class="loadingdiv"><img src="`+loadimg+`"></div>`);
                    },
                    success: function(response) {
                        var html = response.html;
                        if(typeof html !== "undefined"){
                            $('#receivePayment').find('.append-view').html(html);
                            setTimeout(function() {
                                var modalForm   = $('#receivePayment #receive-payment-form');
                                if(modalForm.length > 0){
                                    modalForm.find('.select2').each(function() {
                                        var $this = $(this);
                                        var placeholderText = $this.find('option:first').text();
                                        $this.select2({
                                            allowClear: true,
                                            dropdownParent: $('#receivePayment'),
                                            width : '100%',
                                            placeholder: placeholderText
                                        });
                                        $this.find('option:first').hide();
                                    });

                                    modalForm.find('.select2PaymentType').select2({
                                        width : '100%',
                                        placeholder: 'Select',
                                        minimumResultsForSearch: -1,
                                        templateResult: function(el){
                                            if (!el.id) { return el.text; }
                                            var $el = $('<span class="d-flex flex-row"><img src="' + $(el.element).data('icon') + '" class="img-icon pr-2" />' + el.text + '</span>');
                                            return $el;
                                        },
                                        templateSelection: function(el){
                                            if (!el.id) { return el.text; }
                                            var $el = $('<span class="d-flex flex-row"><img src="' + $(el.element).data('icon') + '" class="img-icon pr-2" />' + el.text + '</span>');
                                            return $el;
                                        }
                                    });
                                    modalForm.find('#payment-date').datetimepicker({ format: dateLayout, useCurrent: true, defaultDate: 'now'});
                                    modalForm.find('.history-button').click();
                                }
                            }, 250);
                        }else{
                            toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        // console.log('complete');
                    },
                    error: function(jqXHR, status, exception) {
                        var error = 'Failed to load data';
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
            return false;
        });

        $('#receivePayment').on('hidden.bs.modal', function () {
            $('.active-pay-invoice-row').each(function (){
                $(this).removeClass('active-pay-invoice-row');
            });
        });

        $(document).on('change', '#payment-type', function () {
            var paymentType = $(this).val();

            if(paymentType == '3' || paymentType == '5'){
                $('#additionalInfoDiv').addClass('d-none');
                $('#additionalInfoDiv #additional-info').val('');

                $('#checkDiv').removeClass('d-none');
                $('#checkDiv #check-number').val('');
            }else{
                $('#additionalInfoDiv').removeClass('d-none');
                $('#additionalInfoDiv #additional-info').val('');

                $('#checkDiv').addClass('d-none');
                $('#checkDiv #check-number').val('');
            }

            if(paymentType == '3' || paymentType == '5'){
                $('#achWirePayment').addClass('d-none');
                $('#cashPayment').addClass('d-none');
                $('#cardPayment').addClass('d-none');
                $('#checkPayment').removeClass('d-none');
            }else{
                if(paymentType == '1'){
                    $('#achWirePayment').removeClass('d-none');
                    $('#cashPayment').addClass('d-none');
                    $('#cardPayment').addClass('d-none');
                    $('#checkPayment').addClass('d-none');
                }else if(paymentType == '2'){
                    $('#achWirePayment').addClass('d-none');
                    $('#cashPayment').removeClass('d-none');
                    $('#cardPayment').addClass('d-none');
                    $('#checkPayment').addClass('d-none');
                }else{
                    $('#achWirePayment').addClass('d-none');
                    $('#cashPayment').addClass('d-none');
                    $('#cardPayment').removeClass('d-none');
                    $('#checkPayment').addClass('d-none');
                }
            }

            var totalPayment = ($('#receive-payment-form #total-payment').val() != '') ? $('#receive-payment-form #total-payment').val() : 0;
            if(paymentType == '2'){
                $('#receive-payment-form #account-number').removeAttr('required');
                $('#receive-payment-form #account-number').val('').trigger('change').addClass('fil-disabled');
                $('#receive-payment-form #addEditAccount').addClass('fil-disabled');
                $('#cash-payment-text').text('Cash: '+ parseFloat(totalPayment).toFixed(2));
            }else{
                $('#receive-payment-form #account-number').attr('required', 'required');
                $('#receive-payment-form #account-number').removeClass('fil-disabled');
                $('#receive-payment-form #addEditAccount').removeClass('fil-disabled');
                $('#cash-payment-text').text('Cash: '+ parseFloat(totalPayment).toFixed(2));
            }
        });

        $(document).on('change', '#chargeback', function () {
            if($(this).is(':checked')){
                $('#receive-payment-form .checkBox-block').removeClass('d-none');
            }else{
                $('#receive-payment-form .checkBox-block').addClass('d-none');
            }

            $('#receive-payment-form #chargebackDiv').find('.select2').val('').trigger('change');
            $('#receive-payment-form #chargebackDiv').find('.chargeback-amount').val('');
            $('#receive-payment-form #chargebackDiv').find('.chargeback-row:gt(0)').remove();
            clcChargeback();
        });

        $(document).on('click', '.remove-more-chargeback-btn', function () {
            $(this).closest('.row').parent().parent().closest('.row').remove();
            clcChargeback();
        });

        $(document).on('click', '#add-more-chargeback-btn', function () {
            var chargebackRow = '';
            chargebackRow += '<div class="row mb-1 chargeback-row">';
            chargebackRow += '<div class="col-lg-3 col-sm-6">';
            chargebackRow += '<div class="form-group">';
            chargebackRow += '{!! Form::select('chargeback_type[]', ['' => 'Select'] + getChargebackType(), null, ['class' => 'form-control select2 chargeback-type']) !!}';
            chargebackRow += '</div>';
            chargebackRow += '</div>';
            chargebackRow += '<div class="col-lg-3 col-sm-6">';
            chargebackRow += '<div class="form-group">';
            chargebackRow += '{!! Form::select('chargeback_user[]', ['' => 'Select'], null, ['class' => 'form-control select2 chargeback']) !!}';
            chargebackRow += '</div>';
            chargebackRow += '</div>';
            chargebackRow += '<div class="col-lg-3 col-sm-6">';
            chargebackRow += '<div class="form-group">';
            chargebackRow += '<div class="input-group ">';
            chargebackRow += '<div class="input-group-prepend">';
            chargebackRow += '<span class="input-group-text">$</span>';
            chargebackRow += '</div>';
            chargebackRow += '{!! Form::number('chargeback_amount[]', null, array('class' => 'form-control number chargeback-amount', 'min' => 0, 'step' => .01, 'placeholder' => '0.00')) !!}';
            chargebackRow += '</div>';
            chargebackRow += '</div>';
            chargebackRow += '</div>';
            chargebackRow += '<div class="col-lg-3 col-sm-6">';
            chargebackRow += '<div class="form-group">';
            chargebackRow += '<div class="row g-8">';
            chargebackRow += '<div class="col">';
            chargebackRow += '{!! Form::select('chargeback_against_balance[]', ['' => 'Select Yes/No', '0' => 'No', '1' => 'Yes'], null, ['class' => 'form-control select2 chargeback-against-balance']) !!}';
            chargebackRow += '</div>';
            chargebackRow += '<div class="col-auto pl-0">';
            chargebackRow += '<button type="button" class="btn btn-danger btn-minus remove-more-chargeback-btn">-</button>';
            chargebackRow += '</div>';
            chargebackRow += '</div>';
            chargebackRow += '</div>';
            chargebackRow += '</div>';
            chargebackRow += '</div>';

            $('#chargebackDiv').append(chargebackRow);
            $('#chargebackDiv .select2').each(function() {
                var $this = $(this);
                var placeholderText = $this.find('option:first').text();
                $this.select2({
                    allowClear: true,
                    width : '100%',
                    placeholder: placeholderText
                });
                $this.find('option:first').hide();
            });
        });

        $(document).on('click', '#addEditAccount', function (e) {
            e.preventDefault();

            var loadDetailId = $(this).attr('data-id');

            if(typeof loadDetailId != 'undefined'){
                $.ajax({
                    url: '{{ route('company.admin.billing.payment.accounts.view') }}',
                    type: 'POST',
                    data: {
                        loadDetailId: loadDetailId,
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        $('#addEdit').modal('show');
                        $('#addEdit').find('.append-view').html(`<div class="loadingdiv"><img src="`+loadimg+`"></div>`);
                    },
                    success: function(response) {
                        var html = response.html;
                        if(typeof html !== "undefined"){
                            $('#addEdit').find('.append-view').html(html);
                        }else{
                            toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        // console.log('complete');
                    },
                    error: function(jqXHR, status, exception) {
                        var error = 'Failed to load data';
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
            return false;
        });

        $(document).on('click', '#createPaymentAccount', function () {
            var loadDetailId = $(this).attr('data-id');

            if(typeof loadDetailId != 'undefined'){
                $('#createAccount #load-detail-id').val(loadDetailId);
                $('#createAccount').modal('show');
            }
            return false;
        });

        $('#createAccount').on('hide.bs.modal', function () {
            $('#createAccount #load-detail-id').val('');
            $('#createAccount #account-name').val('');
            $('#createAccount #account-payment-type').val('').trigger('change');
            $('#createAccount #account-expiration').val('');
            $('#createAccount #account-number').val('');
            $('#createAccount #set-active').prop('checked', false);
            $('#createAccount #remove-account').prop('checked', false);
        });

        $(document).on('click', '#createLoadPaymentAccount', function (e){
            e.preventDefault();

            var form = $('#createAccount #create-payment-account-form');
            var parsley = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });

            parsley.validate();

            if (parsley.isValid()){
                $.ajax({
                    type: 'POST',
                    url: '{{ route('company.admin.billing.payment.accounts.save') }}',
                    data: form.serializeArray(),
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        loader();
                    },
                    success: function(response) {
                        if (response.success) {
                            $('#createAccount').modal('hide');
                            toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                        } else {
                            toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                        }
                    },
                    complete: function() {
                        Swal.close();
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
        });

        $(document).on('click', '#editPaymentAccount', function () {
            var paymentAccountId = $(this).attr('data-id');

            if(typeof paymentAccountId != 'undefined'){
                $('#editAccount #payment-account-id').val(paymentAccountId);
                $('#editAccount #edit-account-name').val($(this).attr('data-name'));
                $('#editAccount #edit-account-payment-type').val($(this).attr('data-type')).trigger('change');
                $('#editAccount #edit-account-number').val($(this).attr('data-number'));
                $('#editAccount #edit-account-expiration').val($(this).attr('data-exp'));
                $('#editAccount #edit-set-active').prop('checked', ($(this).attr('data-status') === '1'));

                $('#editAccount').modal('show');
            }
            return false;
        });

        $('#editAccount').on('hide.bs.modal', function () {
            $('#editAccount #payment-account-id').val('');
            $('#editAccount #edit-account-name').val('');
            $('#editAccount #edit-account-payment-type').val('').trigger('change');
            $('#editAccount #edit-account-expiration').val('');
            $('#editAccount #edit-account-number').val('');
            $('#editAccount #edit-set-active').prop('checked', false);
            $('#editAccount #edit-remove-account').prop('checked', false);
        });

        $(document).on('click', '#saveLoadPaymentAccount', function (e){
            e.preventDefault();

            var form = $('#editAccount #edit-payment-account-form');
            var parsley = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });

            parsley.validate();

            if (parsley.isValid()){
                if($('#editAccount #edit-payment-account-form #edit-remove-account').is(':checked')){
                    Swal.fire({
                        title: "Are you sure?",
                        text: "You won't be able to revert this!",
                        icon: "warning",
                        showCancelButton: true,
                        confirmButtonColor: "#3085d6",
                        cancelButtonColor: "#d33",
                        confirmButtonText: "Yes, delete it!",
                    }).then((result) => {
                        if (result.value) {
                            $.ajax({
                                type: 'POST',
                                url: '{{ route('company.admin.billing.payment.accounts.save') }}',
                                data: form.serializeArray(),
                                dataType: 'json',
                                headers: {
                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                },
                                beforeSend: function() {
                                    loader();
                                },
                                success: function(response) {
                                    if (response.success) {
                                        $('#editAccount').modal('hide');
                                        toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                                    } else {
                                        toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                                    }
                                },
                                complete: function() {
                                    Swal.close();
                                },
                                error: function(jqXHR, status, exception) {
                                    if (jqXHR.status === 0) {
                                        error = 'Not connected.\nPlease verify your network connection.';
                                    } else if (jqXHR.status == 404) {
                                        error = 'The requested page not found. [404]';
                                    } else if (jqXHR.status == 500) {
                                        error = 'Internal Server Error [500].';
                                    } else if (exception === 'parsererror') {
                                        error = 'Requested JSON parse failed.';
                                    } else if (exception === 'timeout') {
                                        error = 'Time out error.';
                                    } else if (exception === 'abort') {
                                        error = 'Ajax request aborted.';
                                    } else {
                                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                                    }
                                    toastr.error(error, 'Error Alert', {
                                        timeOut: 5000
                                    });
                                }
                            });
                        }
                    });
                }else{
                    $.ajax({
                        type: 'POST',
                        url: '{{ route('company.admin.billing.payment.accounts.save') }}',
                        data: form.serializeArray(),
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        beforeSend: function() {
                            loader();
                        },
                        success: function(response) {
                            if (response.success) {
                                $('#editAccount').modal('hide');
                                toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                            } else {
                                toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        complete: function() {
                            Swal.close();
                        },
                        error: function(jqXHR, status, exception) {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            }
        });

        $(document).on('click', '[id^="account-status-"]', function (){
            var thisId = $(this).attr('id');
            var rowId = $(this).attr('data-id');

            $('[id^="account-status-"]').each(function (){
                if(thisId !== $(this).attr('id')){
                    $(this).prop('checked', false);
                }
            });

            if(rowId !== ''){
                $.ajax({
                    type: 'POST',
                    url: '{{ route('company.admin.billing.payment.accounts.save') }}',
                    data: {
                        set_as_default: true,
                        set_active: '1',
                        payment_account_id: rowId,
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        loader();
                    },
                    success: function(response) {
                        if (response.success) {
                            var html = response.html;
                            if(typeof html !== "undefined"){
                                $('#addEdit #paymentAccountListBody').html(html);
                            }
                            toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                        } else {
                            toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                        }
                    },
                    complete: function() {
                        Swal.close();
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
        });

        $(document).on('click', '#deletePaymentAccount', function (e){
            var rowId = $(this).attr('data-id');

            if(rowId !== ''){
                Swal.fire({
                    title: "Are you sure?",
                    text: "You won't be able to revert this!",
                    icon: "warning",
                    showCancelButton: true,
                    confirmButtonColor: "#3085d6",
                    cancelButtonColor: "#d33",
                    confirmButtonText: "Yes, delete it!",
                }).then((result) => {
                    if (result.value) {
                        var url = '{{ route('company.admin.billing.payment.accounts.delete', ['id' => ':id']) }}';
                        url = url.replace(':id', rowId)

                        $.ajax({
                            type: 'DELETE',
                            url: url,
                            dataType: 'json',
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            beforeSend: function() {
                                loader();
                            },
                            success: function(response) {
                                if (response.success) {
                                    var html = response.html;
                                    if(typeof html !== "undefined"){
                                        $('#addEdit #paymentAccountListBody').html(html);
                                    }
                                    toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                                } else {
                                    toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                                }
                            },
                            complete: function() {
                                Swal.close();
                            },
                            error: function(jqXHR, status, exception) {
                                if (jqXHR.status === 0) {
                                    error = 'Not connected.\nPlease verify your network connection.';
                                } else if (jqXHR.status == 404) {
                                    error = 'The requested page not found. [404]';
                                } else if (jqXHR.status == 500) {
                                    error = 'Internal Server Error [500].';
                                } else if (exception === 'parsererror') {
                                    error = 'Requested JSON parse failed.';
                                } else if (exception === 'timeout') {
                                    error = 'Time out error.';
                                } else if (exception === 'abort') {
                                    error = 'Ajax request aborted.';
                                } else {
                                    error = 'Uncaught Error.\n' + jqXHR.responseText;
                                }
                                toastr.error(error, 'Error Alert', {
                                    timeOut: 5000
                                });
                            }
                        });
                    }
                });
            }
        });

        $(document).on('keyup past', '#receivePayment #total-payment', function (){
            var totalPayment = parseFloat($(this).val()) || 0.00;
            var currentBalance = parseFloat($('#receivePayment #invoice-balance').val()) || 0.00;

            if(totalPayment != ''){
                if($('#payment-type').val() == 2){
                    $('#cash-payment-text').text('Cash: '+ parseFloat(totalPayment).toFixed(2));
                }
                if($('#receivePayment #chargeback').is(':checked')){
                    var chargebackAmount = 0.00;
                    $('#receivePayment #chargebackDiv .chargeback-row').each(function (){
                        if($(this).find('.chargeback-against-balance option:selected').val() === '1'){
                            chargebackAmount = parseFloat(chargebackAmount) + parseFloat($(this).find('.chargeback-amount').val());
                        }
                    });
                    chargebackAmount = parseFloat(chargebackAmount) || 0.00;

                    var totalBalance = parseFloat(currentBalance) - parseFloat(totalPayment + chargebackAmount);
                }else{
                    var totalBalance = parseFloat(currentBalance - totalPayment);
                }

                if(totalBalance >= 0){
                    var paymentAmount = parseFloat($('#receivePayment #payment-amount').val()) || 0.00;
                    var factorFee = parseFloat($('#receivePayment #factor-fee').val()) || 0.00;
                    if(paymentAmount != '' && factorFee != ''){
                        $('#apply-pay-invoice').removeClass('disabled');
                    }

                    $('#total-balance').val(parseFloat(totalBalance).toFixed(2));
                }else{
                    $('#apply-pay-invoice').addClass('disabled');
                    if($('#receivePayment #chargeback').is(':checked')){
                        $('#total-balance').val(parseFloat(currentBalance - chargebackAmount).toFixed(2));
                    }else{
                        $('#total-balance').val(parseFloat(currentBalance).toFixed(2));
                    }
                    toastr.error('Total Payment cannot be greater than Balance.', 'Error Alert', { timeOut: 5000 });
                }
            }else{
                if($('#payment-type').val() == 2){
                    $('#cash-payment-text').text('Cash: '+ parseFloat(0).toFixed(2));
                }
                $('#total-balance').val(parseFloat(currentBalance).toFixed(2));
                $('#apply-pay-invoice').addClass('disabled');
            }
            return false;
        });

        $(document).on('keyup past', '#receivePayment .chargeback-amount', function (){
            clcChargeback();
            return false;
        });

        $(document).on('change', '#receivePayment .chargeback-against-balance', function (){
            clcChargeback();
            return false;
        });

        $(document).on('blur past', '#receivePayment #payment-amount, #receivePayment #factor-fee', function (){
            var totalPayment = parseFloat($('#receivePayment #total-payment').val()) || 0.00;

            if(totalPayment != ''){
                var paymentAmount = parseFloat($('#receivePayment #payment-amount').val()) || 0.00;
                var factorFee = parseFloat($('#receivePayment #factor-fee').val()) || 0.00;

                if(paymentAmount != '' && factorFee != ''){
                    var totalAmount = parseFloat(paymentAmount + factorFee);

                    if(parseFloat(totalPayment) == parseFloat(totalAmount)){
                        $('#apply-pay-invoice').removeClass('disabled');
                        $('#total-payment-text').text('Balanced');
                    }else{
                        toastr.error('Load Pay & Factor Fee total equal to Total Payment.', 'Error Alert', { timeOut: 5000 });
                        $('#apply-pay-invoice').addClass('disabled');
                        $('#total-payment-text').text('Out of Balance');
                    }
                }
            }else{
                $('#apply-pay-invoice').addClass('disabled');
            }
            return false;
        });

        $(document).on('change', '.chargeback-type', function (){
            var chargebackType = $(this).val();

            if(chargebackType != ''){
                if(chargebackType == '1'){
                    var brokers = '<option value="">Select</option>';
                    var selectedBroker = $('#receivePayment #broker').val();

                    @foreach(getBrokerList() as $brokerId => $brokerName)
                    if(selectedBroker === '{!! $brokerId !!}'){
                        brokers += '<option value="{{ $brokerId }}" selected>{{ $brokerName }}</option>';
                    }else{
                        brokers += '<option value="{{ $brokerId }}">{{ $brokerName }}</option>';
                    }
                    @endforeach

                    $(this).closest('.chargeback-row').find('.chargeback').html(brokers);
                }else if(chargebackType == '2'){
                    var drivers = '<option value="">Select</option>';
                    var selectedDriver = $('#receivePayment #driver').val();

                    @foreach(getDriverListByCompany() as $driverId => $driverName)
                    if(selectedDriver === '{!! $driverId !!}'){
                        drivers += '<option value="{{ $driverId }}" selected>{{ $driverName }}</option>';
                    }else{
                        drivers += '<option value="{{ $driverId }}">{{ $driverName }}</option>';
                    }
                    @endforeach

                    $(this).closest('.chargeback-row').find('.chargeback').html(drivers);
                }else if(chargebackType == '3'){
                    var truckOwner = '<option value="">Select</option>';
                    var selectedTruckOwner = $('#receivePayment #truck-owner').val();

                    @foreach(getTruckOwnerList() as $truckOwnerId => $truckOwnerName)
                    if(selectedTruckOwner === '{!! $truckOwnerId !!}'){
                        truckOwner += '<option value="{{ $truckOwnerId }}" selected>{{ $truckOwnerName }}</option>';
                    }else{
                        truckOwner += '<option value="{{ $truckOwnerId }}">{{ $truckOwnerName }}</option>';
                    }
                    @endforeach

                    $(this).closest('.chargeback-row').find('.chargeback').html(truckOwner);
                }
            }else{
                $(this).closest('.chargeback-row').find('.chargeback').html('<option value="" selected="selected">Select</option>');
            }
        });

        $(document).on('click', '#apply-pay-invoice', function (e){
            e.preventDefault();

            var form = $('#receivePayment #receive-payment-form');
            var parsley = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });

            parsley.validate();

            if (parsley.isValid()){
                $.ajax({
                    type: 'POST',
                    url: '{{ route('company.admin.billing.load.pay.invoice') }}',
                    data: form.serializeArray(),
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        loader();
                    },
                    success: function(response) {
                        if (response.success) {
                            if(response.billStatus == 'paid-invoice'){
                                var parenTr = $('.active-pay-invoice-row').parent().prev('tr');
                                parenTr.each(function (){
                                    $(this).find('.td-invoice-now').html('<span class="text-green">Paid</span>');
                                });
                            }

                            if(response.rowChildView != ''){
                                $('.active-pay-invoice-row').html(response.rowChildView);
                            }
                            $('#receivePayment').modal('hide');

                            toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                        } else {
                            toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                        }
                    },
                    complete: function() {
                        Swal.close();
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
        });

        $(document).on('keypress', '#account-expiration', function (e){
            var key = e.charCode || e.keyCode || 0;
            var expirationDate = $(this);
            if (expirationDate.val().length === 0) {
                expirationDate.val('');
            }
            if (key !== 8 && key !== 9) {
                if (expirationDate.val().length === 2) {
                    expirationDate.val(expirationDate.val() + '/');
                }
                if (expirationDate.val().length >= 7) {
                    expirationDate.val(expirationDate.val().slice(0, 6));
                }
            }
            return (key === 8 || key === 9 || key === 46 || (key >= 48 && key <= 57));
        });
    });
</script>
