@extends($companyAdminTheme)

@section('title')
    Edit Invoice
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style>
        body, .ngd-menu .left-menus {
            background: #F1F3F6
        }
        ::-webkit-scrollbar-thumb {
            background: #305F9C;
            border-radius: 10px;
        }

        .invoice-header .card {
            border-radius: 10px;
        }
        .invoice-header .card .card-header {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border-radius: 10px;
        }
        .invoice-header .card .card-header h6 {
            font: normal normal bold 16px/20px Inter;
            letter-spacing: 0px;
            color: #FFFFFF;
        }
        .invoice-header .card .card-header .btn-blueBr:hover {
            border: 1px solid #F1F3F6;
            background-color: #305F9C;
            color: #F1F3F6;
        }
        .form-group .input-group img {
            width: 15px;
            position: absolute;
            right: 10px;
            bottom: 12px;
        }
        .form-group .custom-top-label {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C !important;
        }

        .ngd-new .custom-control-input:checked~.custom-control-label::before {
            border: 2px solid #305F9C !important;
        }
        .custom-control-input:checked~.custom-control-label::before {
            background-color: #305F9C !important;
        }
        .custom-control-input~.custom-control-label::before,
        .custom-control-input~.custom-control-label::before,
        .custom-control-input:checked~.custom-control-label::before {
            border: 2px solid #305F9C !important;
            border-radius: 4px;
        }
        .custom-checkbox .custom-control-label::before {
            border-radius: 4px !important;
        }
        .custom-checkbox .custom-control-input:checked~.custom-control-label::after {
            color: #fff !important;
        }

        .ngd-new .billingPaid-main .btn-blue {
            border-radius: 10px;
        }
        .ngd-new .billingPaid-main .btn-blueBr {
            border-radius: 10px;
            line-height: 18px;
            text-align: center;
            padding: 12.5px 0.75rem;
        }
    </style>
@endsection

@section('content')
    <div class="billingPaid-main">
        <div class="alert alert-danger alert-dismissible fade show d-none" role="alert" id="customer-email-error">
            Customer Email Address is required.
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>

        <div class="invoice-header">
            <div class="card mb-2">
                <div class="card-header">
                    <div class="row align-items-center">
                        <div class="col-6">
                            <h6 class="text-capitalize">Invoice {{ substr($loadInvoice->invoice_number, 4) ?? ''}} ({{ $loadDetail->load_number ?? '' }})</h6>
                        </div>
                        <div class="col-6 pr-0 text-right">
                            <a href="{{ route('company.admin.billing.invoice.show', base64Encode($loadInvoice->id)) }}"><button type="button" class="btn btn-blueBr px-4" style="line-height: 10px;">Back</button></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        {!! Form::model($loadInvoice, array('route' => ['company.admin.billing.invoice.update', base64Encode($loadInvoice->id)], 'method'=>'PATCH','files'=>'true', 'autocomplete'  => 'off', 'name' => 'invoice-update-form', 'id' => 'invoice-update-form')) !!}
        <div class="row g-16">
            <div class="col-xl-4">
                <div class="bg-white custom-scrollbar">
                    <div class="form-group">
                        <label>Invoice No.</label>
                        {!! Form::text('invoice_number', $invoiceData['invoice_number'], array('class' => 'form-control invoice-no', 'id' => 'invoice-number', 'placeholder' => '', 'readonly' => 'readonly')) !!}
                    </div>
                    <div class="form-group mb-md-4 mb-4">
                        <label>Payments Terms</label>
                        <div class="row g-16">
                            <div class="col-6">
                                {!! Form::select('payments_terms_date', ['1' => 'Invoice Date', '2' => 'Delivery Date'], $invoiceData['payments_terms_date'], ['class' => 'form-control select2', 'id' => 'payments-terms-date', 'data-no-search' => 'true']) !!}
                            </div>
                            <div class="col-6">
                                {!! Form::select('payments_terms_days', ['10_days' => '10 Days', '30_days' => '30 Days', '60_days' => '60 Days', '90_days' => '90 Days'], $invoiceData['payments_terms_days'], ['class' => 'form-control select2', 'id' => 'payments-terms-days', 'data-no-search' => 'true']) !!}
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Invoice Template</label>
                        {!! Form::select('invoice_template', brokerFreightBillFormat(), $invoiceData['invoice_template'], ['class' => 'form-control select2', 'id' => 'invoice-template', 'data-no-search' => 'true']) !!}
                    </div>
                    <div class="mb-4 mb-md-4">
                        <div class="row g-16">
                            <div class="col-6">
                                <div class="form-group">
                                    <label>Invoice Date</label>
                                    <div class="input-group">
                                        {!! Form::text('invoice_date', $invoiceData['invoice_date'], array('class' => 'form-control datePicker', 'id' => 'invoice-date', 'placeholder' => 'MM/DD/YYY', 'readonly' => 'readonly')) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-6">
                                <div class="form-group">
                                    <label>Due Date</label>
                                    <div class="input-group">
                                        {!! Form::text('due_date', $invoiceData['due_date'], array('class' => 'form-control datePicker', 'id' => 'due-date', 'placeholder' => 'MM/DD/YYY', 'readonly' => 'readonly')) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-6">
                                <div class="form-group">
                                    <label>Date Paid</label>
                                    <div class="input-group">
                                        {!! Form::text('paid_date', $invoiceData['paid_date'], array('class' => 'form-control datePicker', 'id' => 'paid-date', 'placeholder' => 'MM/DD/YYY', 'readonly' => 'readonly')) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Preferred Billing Method</label>
                        {!! Form::select('billing_method', brokerBillingMethod(), $invoiceData['billing_method'], ['class' => 'form-control select2', 'id' => 'billing-method', 'data-no-search' => 'true']) !!}
                    </div>
                    <div class="form-group mb-4 mb-md-4">
                        <div class="row g-16 align-items-end">
                            <div class="col">
                                <div class="d-flex align-items-center">
                                    <div class="mr-auto">
                                        <label class="mb-0">Email Address</label>
                                    </div>
                                    <div class="d-flex">
                                        <a href="javascript:void(0);" class="custom-top-label mr-1 edit-box">Edit</a>
                                    </div>
                                </div>
                                @if($invoiceData['billing_method'] == '3')
                                    {!! Form::text('invoice_email', $invoiceData['invoice_email'], array('class' => 'form-control', 'id' => 'invoice-email', 'placeholder' => 'Email Address')) !!}
                                @else
                                    {!! Form::text('invoice_email', $invoiceData['invoice_email'], array('class' => 'form-control', 'id' => 'invoice-email', 'placeholder' => 'Email Address', 'readonly' => 'readonly', 'required' => 'required', 'data-parsley-type' => 'email', 'data-parsley-required-message' => 'Customer Email Address is required.', 'data-parsley-errors-container' => '#invoice_email-errors')) !!}
                                @endif
                            </div>
                            <div class="col-auto">
                                <a href="javascript:void(0);" class="btn {{ (!empty($invoiceData['invoice_email_cc'])) ? 'btn-blue' : 'btn-blueBr' }} invoice-email-cc">CC</a>
                            </div>
                            <div class="col-auto" style="padding-left:0 !important">
                                <a href="javascript:void(0);" class="btn {{ (!empty($invoiceData['invoice_email_bcc'])) ? 'btn-blue' : 'btn-blueBr' }} invoice-email-bcc">BCC</a>
                            </div>
                            <div class="col-12" style="padding: 0px 8px !important;">
                                <div id="invoice_email-errors"></div>
                            </div>
                        </div>
                        @if(isset($invoiceData['invoice_email_cc']) && $invoiceData['invoice_email_cc'] != '')
                            <div class="row g-16" id="emailCCDiv">
                                <div class="col">
                                    {!! Form::text('invoice_email_cc', $invoiceData['invoice_email_cc'], array('class' => 'form-control', 'id' => 'invoice-email-cc', 'placeholder' => 'Email CC')) !!}
                                </div>
                            </div>
                        @else
                            <div class="row g-16 d-none" id="emailCCDiv">
                                <div class="col">
                                    {!! Form::text('invoice_email_cc', null, array('class' => 'form-control', 'id' => 'invoice-email-cc', 'placeholder' => 'Email CC')) !!}
                                </div>
                            </div>
                        @endif
                        @if(isset($invoiceData['invoice_email_bcc']) && $invoiceData['invoice_email_bcc'] != '')
                            <div class="row g-16" id="emailBCCDiv">
                                <div class="col">
                                    {!! Form::text('invoice_email_bcc', $invoiceData['invoice_email_bcc'], array('class' => 'form-control', 'id' => 'invoice-email-bcc', 'placeholder' => 'Email BCC')) !!}
                                </div>
                            </div>
                        @else
                            <div class="row g-16 d-none" id="emailBCCDiv">
                                <div class="col">
                                    {!! Form::text('invoice_email_bcc', null, array('class' => 'form-control', 'id' => 'invoice-email-bcc', 'placeholder' => 'Email BCC')) !!}
                                </div>
                            </div>
                        @endif
                    </div>
                    <div class="form-group">
                        <div class="d-flex align-items-center">
                            <div class="mr-auto">
                                <label class="mb-0">Customer</label>
                            </div>
                            <div class="d-flex">
                                <a href="javascript:void(0);" class="custom-top-label mr-1 edit-box">Edit</a>
                            </div>
                        </div>
                        {!! Form::text('bill_to_name', $invoiceData['bill_to_name'], array('class' => 'form-control', 'id' => 'bill-to-name', 'placeholder' => 'Customer', 'readonly' => 'readonly')) !!}
                    </div>
                    <div class="form-group">
                        <div class="d-flex align-items-center">
                            <div class="mr-auto">
                                <label class="mb-0">Billing Address</label>
                            </div>
                            <div class="d-flex">
                                <a href="javascript:void(0);" class="custom-top-label mr-3">Split Bill+</a>
                                <a href="javascript:void(0);" class="custom-top-label mr-1 edit-box">Edit</a>
                            </div>
                        </div>
                        {!! Form::text('billing_address', $invoiceData['billing_address'], array('id' => 'bill-address', 'class' => 'form-control', 'placeholder' => 'Billing Address', 'readonly' => 'readonly')) !!}
                    </div>
                    <div class="form-group">
                        <div class="d-flex align-items-center">
                            <div class="mr-auto">
                                <label class="mb-0">Billing Address 2</label>
                            </div>
                            <div class="d-flex">
                                <a href="javascript:void(0);" class="custom-top-label mr-1 edit-box">Edit</a>
                            </div>
                        </div>
                        {!! Form::text('billing_address_2', $invoiceData['billing_address_2'], array('id' => 'billing-address-2', 'class' => 'form-control', 'placeholder' => 'Billing Address 2', 'readonly' => 'readonly')) !!}
                    </div>
                    <div class="mb-4 mb-md-4">
                        <div class="row g-16">
                            <div class="col-4">
                                <div class="form-group">
                                    <div class="d-flex align-items-center">
                                        <div class="mr-auto">
                                            <label class="mb-0">Billing City</label>
                                        </div>
                                        <div class="d-flex">
                                            <a href="javascript:void(0);" class="custom-top-label mr-1 edit-box">Edit</a>
                                        </div>
                                    </div>
                                    {!! Form::text('billing_city', $invoiceData['billing_city'], array('id' => 'billing-city','class' => 'form-control', 'placeholder' => 'Billing City', 'readonly' => 'readonly')) !!}
                                </div>
                            </div>
                            <div class="col-4">
                                <div class="form-group">
                                    <div class="d-flex align-items-center">
                                        <div class="mr-auto">
                                            <label class="mb-0">Billing State</label>
                                        </div>
                                        <div class="d-flex">
                                            <a href="javascript:void(0);" class="custom-top-label mr-1 edit-box">Edit</a>
                                        </div>
                                    </div>
                                    {!! Form::text('billing_state', $invoiceData['billing_state'], array('id' => 'billing-state','class' => 'form-control', 'placeholder' => 'Billing State', 'readonly' => 'readonly')) !!}
                                </div>
                            </div>
                            <div class="col-4">
                                <div class="form-group">
                                    <div class="d-flex align-items-center">
                                        <div class="mr-auto">
                                            <label class="mb-0">Billing Zip</label>
                                        </div>
                                        <div class="d-flex">
                                            <a href="javascript:void(0);" class="custom-top-label mr-1 edit-box">Edit</a>
                                        </div>
                                    </div>
                                    {!! Form::text('billing_zip', $invoiceData['billing_zip'], array('id' => 'billing-zip','class' => 'form-control', 'placeholder' => 'Billing Zip', 'readonly' => 'readonly')) !!}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="d-flex align-items-center">
                            <div class="mr-auto">
                                <label class="mb-0">PO No.</label>
                            </div>
                            <div class="d-flex">
                                <a href="javascript:void(0);" class="custom-top-label edit-box">Edit</a>
                            </div>
                        </div>
                        {!! Form::text('po_number', $invoiceData['po_number'], array('class' => 'form-control', 'id' => 'po-number', 'placeholder' => 'PO No.', 'readonly' => 'readonly')) !!}
                    </div>
                    <div class="form-group">
                        <div class="d-flex align-items-center">
                            <div class="mr-auto">
                                <label class="mb-0">BOL No.</label>
                            </div>
                            <div class="d-flex">
                                <a href="javascript:void(0);" class="custom-top-label mr-1 edit-box">Edit</a>
                            </div>
                        </div>
                        {!! Form::text('bol_number',  $invoiceData['bol_number'], array('class' => 'form-control', 'id' => 'bol-number', 'placeholder' => 'BOL No.', 'readonly' => 'readonly')) !!}
                    </div>
                    <div class="form-group">
                        <div class="d-flex align-items-center">
                            <div class="mr-auto">
                                <label class="mb-0">Pickup No.</label>
                            </div>
                            <div class="d-flex">
                                <a href="javascript:void(0);" class="custom-top-label mr-1 edit-box">Edit</a>
                            </div>
                        </div>
                        {!! Form::text('pickup_number', $invoiceData['pickup_number'], array('class' => 'form-control', 'id' => 'pickup-number', 'placeholder' => 'Pickup No.', 'readonly' => 'readonly')) !!}
                    </div>
                    <div class="form-group">
                        <div class="d-flex align-items-center">
                            <div class="mr-auto">
                                <label class="mb-0">Delivery No.</label>
                            </div>
                            <div class="d-flex">
                                <a href="javascript:void(0);" class="custom-top-label mr-1 edit-box">Edit</a>
                            </div>
                        </div>
                        {!! Form::text('delivery_number', $invoiceData['delivery_number'], array('class' => 'form-control', 'id' => 'delivery-number', 'placeholder' => 'Delivery No.', 'readonly' => 'readonly')) !!}
                    </div>
                    <div class="form-group mb-md-4 mb-4">
                        <div class="d-flex align-items-center">
                            <div class="mr-auto">
                                <label class="mb-0">Notes</label>
                            </div>
                            <div class="d-flex">
                                <a href="javascript:void(0);" class="custom-top-label mr-1 edit-box">Edit</a>
                            </div>
                        </div>
                        {!! Form::textarea('notes', $invoiceData['notes'], array('id' => 'notes', 'class' => 'form-control', 'rows' => '3', 'placeholder' => 'Notes', 'readonly' => 'readonly')) !!}
                    </div>
                    <div class="form-group  mb-md-4 mb-4">
                        <label>Invoice Options</label>
                        <div class="row g-16 align-items-center">
                            <div class="col-auto">
                                <div class="custom-control custom-checkbox">
                                    {!! Form::checkbox('add_qr_code', 1, $invoiceData['add_qr_code'], array('class' => 'custom-control-input', 'id' => 'add-qr-code')) !!}
                                    <label class="custom-control-label" for="add-qr-code">Add QR Code</label>
                                </div>
                            </div>
                            <div class="col-auto">
                                <div class="custom-control custom-checkbox">
                                    {!! Form::checkbox('send_payment_reminder', 1, $invoiceData['send_payment_reminder'], array('class' => 'custom-control-input', 'id' => 'send-payment-reminder')) !!}
                                    <label class="custom-control-label" for="send-payment-reminder">Send Payment Reminder</label>
                                </div>
                            </div>
                            @if(isset($invoiceData['send_payment_reminder']) && $invoiceData['send_payment_reminder'] == '1')
                                <div class="col-auto in-option" id="reminderDaysDiv">
                                    {!! Form::select('payment_reminder_days', ['3_days' => '3 Days', '7_days' => '7 Days', '14_days' => '14 Days', '30_days' => '30 Days', '45_days' => '45 Days'], $invoiceData['payment_reminder_days'], ['class' => 'form-control custom-select2 select2', 'id' => 'payment-reminder-days']) !!}
                                </div>
                            @else
                                <div class="col-auto in-option d-none" id="reminderDaysDiv">
                                    {!! Form::select('payment_reminder_days', ['3_days' => '3 Days', '7_days' => '7 Days', '14_days' => '14 Days', '30_days' => '30 Days', '45_days' => '45 Days'], null, ['class' => 'form-control custom-select2 select2', 'id' => 'payment-reminder-days']) !!}
                                </div>
                            @endif
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Salesman</label>
                        {!! Form::select('salesman', ['' => 'Select'], $invoiceData['salesman'], ['class' => 'form-control select2 fil-disabled', 'id' => 'salesman']) !!}
                    </div>
                    <div class="form-group">
                        <label>Carrier</label>
                        {!! Form::select('carrier', ['' => 'Select'] + getCarrierList(), $invoiceData['carrier'], ['class' => 'form-control select2 fil-disabled', 'id' => 'carrier']) !!}
                    </div>
                    <div class="form-group">
                        <label>Dispatcher</label>
                        {!! Form::select('dispatcher', ['' => 'Select'] + getCompanyAdminListByCompany(), $invoiceData['dispatcher'], ['class' => 'form-control select2 fil-disabled', 'id' => 'dispatcher']) !!}
                    </div>
                    <div class="form-group">
                        <label>Truck</label>
                        {!! Form::select('truck', ['' => 'Select'] + getTruckNumberList(), $invoiceData['truck'], ['class' => 'form-control select2 fil-disabled', 'id' => 'truck']) !!}
                    </div>
                    <div class="form-group">
                        <label>Trailer</label>
                        {!! Form::select('trailer', ['' => 'Select'] + getTrailerNumberListByCompany(), $invoiceData['trailer'], ['class' => 'form-control select2 fil-disabled', 'id' => 'trailer']) !!}
                    </div>
                    <div class="form-group">
                        <label>Driver</label>
                        {!! Form::select('driver', ['' => 'Select'] + getDriverListByCompany(), $invoiceData['driver'], ['class' => 'form-control select2 fil-disabled', 'id' => 'driver']) !!}
                    </div>
                </div>
            </div>
            <div class="col-xl-8">
                <div class="bg-white right">
                    <div class="row g-16">
                        <div class="col-xxl-9 col-lg-8">
                            <div class="billingPaid-box text-center">
                                @foreach($invoiceTopNotes as $invoiceTopNote)
                                    @if(!empty($invoiceTopNote))
                                        <div class="alert alert-warning text-left mb-2">
                                            <p class="font-weight-bold d-inline"><i class="fa fa-exclamation-circle mt-1" aria-hidden="true"></i> File Note:</p>
                                            {!! str_replace('<p>', '<p class="d-inline">', $invoiceTopNote) ?? '' !!}
                                        </div>
                                    @endif
                                @endforeach
                                <div class="img invoice-section">
                                    <div class="table-responsive">
                                        <table>
                                            <tr>
                                                <td>
                                                    <table style="border: 1px solid #D8D8DD; ">
                                                        <tr>
                                                            <td colspan="6">
                                                                <table>
                                                                    <tr>
                                                                        <td style="padding: 10px 10px 5px 10px">
                                                                            <span style="font-weight: 600;">{!! $invoiceData['company_name'] !!}</span><br>
                                                                            {!!  $invoiceData['company_address'] ?? '' !!} {!!  $invoiceData['company_address_2'] ?? '' !!}<br>
                                                                            {!!  $invoiceData['company_city'] ?? '' !!}, {!!  $invoiceData['company_state'] ?? '' !!}, {!!  $invoiceData['company_zip'] ?? '' !!}<br>
                                                                            <b>Phone:</b> {!! $invoiceData['company_phone'] ?? '' !!}
                                                                        </td>
                                                                        <td style="padding: 10px;border-bottom: 1px solid #D8D8DD;width: 150px;text-align: center;" rowspan="2">
                                                                            <table>
                                                                                <tr>
                                                                                    <td style="text-align: right;font-weight: bold;padding-right: 10px;">Invoice Number</td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td style="font-size: 12px;font-weight: bold;text-align: right;padding-right: 30px;">
                                                                                        {!! $invoiceData['invoice_number'] !!}
                                                                                    </td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td class="{{ ($loadInvoice->add_qr_code == '0') ? 'd-none' : '' }}" style="padding-top: 10px;text-align: right;" id="QrDiv">
                                                                                        @if(!empty($invoiceData['company_logo']))
                                                                                            <img src="data:image/png;base64, {{ base64_encode(QrCode::format('png')->style('dot')->eye('square')->size(300)->merge($invoiceData['company_logo'], 0.90, true)->errorCorrection('H')->generate(route('company.admin.broker.invoice.view', ['type' => 3, 'id' => base64Encode($loadInvoice->id), 'format' => 0]))) }}" alt="QrCode" />
                                                                                        @else
                                                                                            <img src="data:image/png;base64, {{ base64_encode(QrCode::format('png')->style('dot')->eye('square')->size(300)->errorCorrection('H')->generate(route('company.admin.broker.invoice.view', ['type' => 3, 'id' => base64Encode($loadInvoice->id), 'format' => 0]))) }}" alt="QrCode" />
                                                                                        @endif
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td style="padding:  5px 10px 10px  10px;border-bottom: 1px solid #D8D8DD;">
                                                                            <table>
                                                                                <tr>
                                                                                    <td style="width: 160px;"> <b>Bill To:</b> <br>
                                                                                        <span id="bill-to-name-text">{!! $invoiceData['bill_to_name'] !!} </span> <br/>
                                                                                        <span id="billing-address-text">{!! $invoiceData['billing_address'] ?? '' !!} </span><span id="billing-address2-text">{!! $invoiceData['billing_address_2'] ?? '' !!}</span> <br/>
                                                                                        <span id="billing-city-text">{!! $invoiceData['billing_city'] ?? '' !!}</span>, <span id="billing-state-text">{!! $invoiceData['billing_state'] ?? '' !!}</span>, <span id="billing-zip-text">{!! $invoiceData['billing_zip'] ?? '' !!}</span><br/>
                                                                                    </td>
                                                                                    <td style="padding-left: 10px;">
                                                                                        <span style="width: 45px;height: 45px;background: #FF6D10;border-radius: 50%;overflow: hidden;display: flex;align-items: center;justify-content: center;">
                                                                                            {!! $invoiceData['customer_logo'] !!}
                                                                                        </span>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="6" style="border-bottom: 1px solid #D8D8DD;">
                                                                <table>
                                                                    <tr>
                                                                        <td style="padding: 10px;">
                                                                            <span style="font-weight: bold;">Origin:</span> <br>
                                                                            {!! $invoiceData['origin'] ?? '' !!}
                                                                        </td>
                                                                        <td style="padding: 10px;">
                                                                            <span style="font-weight: bold;">Destination:</span> <br>
                                                                            {!! $invoiceData['origin'] ?? '' !!}
                                                                        </td>
                                                                        <td style="padding: 10px;">
                                                                            <span style="font-weight: bold;">Commodity:</span> <br>
                                                                            {!! $invoiceData['commodity'] ?? '' !!}
                                                                        </td>
                                                                        <td style="padding: 10px;">
                                                                            <span style="font-weight: bold;">Weight:</span> <br>
                                                                            {!! $invoiceData['weight'] ?? '' !!} lbs
                                                                        </td>
                                                                        <td style="padding: 10px;">
                                                                            <span style="font-weight: bold;">Load Type:</span> <br>
                                                                            {!! $invoiceData['load_type'] ?? '' !!}
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td width="50%" style="font-weight: bold;padding: 15px 2px 2px 15px;" colspan="2">DESCRIPTION</td>
                                                            <td width="15%" style="font-weight: bold;padding: 15px 2px 2px 2px;text-align: center;">QUANTITY</td>
                                                            <td width="15%" style="font-weight: bold;padding: 15px 2px 2px 2px;text-align: right;">RATE</td>
                                                            <td width="20%" style="font-weight: bold;padding: 15px 15px 2px 2px;text-align: right;" colspan="2">AMOUNT</td>
                                                        </tr>
                                                        <tr>
                                                            <td style="padding: 2px 2px 2px 15px" colspan="2">Linehaul</td>
                                                            <td style="padding: 2px 2px 2px 2px;text-align: center;">1</td>
                                                            <td style="padding: 2px 2px 2px 2px;text-align: right;">{!! $invoiceData['line_haul_formatted'] !!}</td>
                                                            <td style="padding: 2px 15px 2px 2px; text-align: right;" colspan="2">{!! $invoiceData['line_haul_formatted'] !!}</td>
                                                        </tr>
                                                        <tr>
                                                            <td style=" padding: 2px 2px 2px 15px" colspan="2">Fuel Surcharge</td>
                                                            @if($invoiceData['fuel_surcharge_rate_type'] == 1)
                                                                <td style="padding: 2px 2px 2px 2px;text-align: center;">{!! $invoiceData['agreed_upon_rate_formatted'] !!}</td>
                                                                <td style="padding: 2px 2px 2px 2px;text-align: right;">{!! $invoiceData['fuel_surcharge_cost_per_mile'] !!}</td>
                                                                <td style="padding: 2px 15px 2px 2px; text-align: right;" colspan="2">{!! $invoiceData['fuel_surcharge_formatted'] !!}</td>
                                                            @else
                                                                <td style="padding: 2px 2px 2px 2px;text-align: center;">{!! $invoiceData['loaded_miles_formatted'] !!}</td>
                                                                <td style="padding: 2px 2px 2px 2px;text-align: right;">{!! $invoiceData['fuel_surcharge_cost_per_mile'] !!}</td>
                                                                <td style="padding: 2px 15px 2px 2px; text-align: right;" colspan="2">{!! $invoiceData['fuel_surcharge_formatted'] !!}</td>
                                                            @endif
                                                        </tr>
                                                        @foreach($invoiceData['accessorial_and_detention'] as $accessorialAndDetention)
                                                            {!! $accessorialAndDetention !!}
                                                        @endforeach
                                                        <tr>
                                                            <td colspan="6" style="padding: 0;border-bottom: 1px solid #D8D8DD;">&nbsp;</td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="3" style="padding: 10px;">
                                                                <table>
                                                                    <tr>
                                                                        <td style="font-weight: bold;padding: 1px 0;">NOTES:</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td style="font-weight: 600;padding: 1px 2px 2px 2px">
                                                                            <span id="notes-text">{!! $invoiceData['invoice_notes'] !!}</span>
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td style="font-weight: 500;padding: 2px;">&nbsp;</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td style="font-weight: 500;padding: 2px;">&nbsp;</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                            <td colspan="3" style="padding: 10px;vertical-align: top;">
                                                                <table>
                                                                    <tr>
                                                                        <td style="font-weight: bold;padding: 2px;">
                                                                            Linehaul
                                                                        </td>
                                                                        <td style="font-weight: bold;padding: 2px;text-align: right;">
                                                                            {!! $invoiceData['line_haul_formatted'] !!}
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td style="font-weight: bold;padding: 2px;">
                                                                            Fuel
                                                                        </td>
                                                                        <td style="font-weight: bold;padding: 2px;text-align: right;">
                                                                            {!! $invoiceData['fuel_surcharge_formatted'] !!}
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td style="font-weight: bold;padding: 2px 2px 5px 2px;">
                                                                            Accessorials
                                                                        </td>
                                                                        <td style="font-weight: bold;padding: 2px 2px 5px 2px;text-align: right;">
                                                                            {!! $invoiceData['accessorial_amount_formatted'] !!}
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td style="font-weight: bold;padding: 2px 2px 5px 2px;border-bottom: 1px solid #D8D8DD;">
                                                                            Detention
                                                                        </td>
                                                                        <td style="font-weight: bold;padding: 2px 2px 5px 2px;border-bottom: 1px solid #D8D8DD;text-align: right;">
                                                                            {!! $invoiceData['detention_amount_formatted'] !!}
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td style="font-weight: bold;padding: 5px 2px 2px 2px;">
                                                                            Invoice Total
                                                                        </td>
                                                                        <td style="font-weight: bold;padding: 5px 2px 2px 2px;text-align: right;">
                                                                            {!! $invoiceData['invoice_total_formatted'] !!}
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="2" style="font-weight: bold;padding:2px 2px 2px 15px ;">
                                                                Remit Payment To:
                                                            </td>
                                                            <td colspan="2" rowspan="2" style="padding:10px;text-align: center;border-bottom: 1px solid #D8D8DD;">
                                                                Thank
                                                                you for your business!
                                                            </td>
                                                            <td colspan="2" rowspan="2" style="padding:10px;border-bottom: 1px solid #D8D8DD;">
                                                                &nbsp;
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="2" style="padding: 0 2px 10px 15px ;border-bottom: 1px solid #D8D8DD;">
                                                                {!! $invoiceData['factor_invoices'] !!}
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="6" style="border-bottom: 1px solid #D8D8DD;">
                                                                <table>
                                                                    <tr>
                                                                        <td style="font-size: 12px;padding: 10px 2px 1px 15px;font-weight: bold;">
                                                                            TERMS
                                                                        </td>
                                                                        <td style="font-size: 12px;padding: 10px 2px 1px 2px;font-weight: bold;">
                                                                            INVOICE DATE
                                                                        </td>
                                                                        <td style="font-size: 12px;padding: 10px 2px 1px 2px;font-weight: bold;">
                                                                            DUE DATE
                                                                        </td>
                                                                        <td style="font-size: 12px;padding: 10px 15px 1px 2px;font-weight: bold;background: #e8effd;text-align: right;">
                                                                            BALANCE DUE
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td style="padding: 1px 4px 4px 15px;font-weight: bold;font-size: 16px;white-space:nowrap" id="pdf-payments-terms-days">Net 30 Days</td>
                                                                        <td style="padding: 1px 4px 4px 2px;font-weight: bold;font-size: 16px;white-space:nowrap" id="pdf-invoice-date"></td>
                                                                        <td style="padding: 1px 4px 4px 2px;font-weight: bold;font-size: 16px;white-space:nowrap" id="pdf-due-date"></td>
                                                                        <td style="padding: 1px 15px 4px 2px;font-weight: bold;font-size: 16px;background: #e8effd;text-align: right;white-space:nowrap">{!! $invoiceData['balance_due_formatted'] !!}</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="6" style="text-align: center ;font-size: 10px;padding: 10px 0px 8px 0px;font-weight: 600;">
                                                                This invoice was created by DispatchPro Inc. Powered by the pro's at &nbsp;&nbsp;<img src="{{ asset('theme/img/DispatchPro-Logo.svg') }}" style="width:75px" alt="Logo"> <br>
                                                                Pay this invoice at <a href="javascript:void(0);" style="color: #305F9C;text-decoration: none; text-transform: lowercase;">www.dispatchpro.com/payments</a>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-xxl-3 col-lg-4">
                            <div class="billingPaid-box balance-block">
                                <div class="form-group mb-2">
                                    <input type="hidden" name="invoice_amount" value="{{ $invoiceData['invoice_total'] }}">
                                    <label>Balance Due</label>
                                    <h2>{!! $invoiceData['balance_due_formatted'] !!}</h2>
                                </div>
                                <div class="mb-2">
                                    <div class="row g-16">
                                        <div class="col">
                                            <button type="submit" class="btn btn-block btn-blue" id="invoice-save">Update Invoice</button>
                                        </div>
                                    </div>
                                </div>
                                <div class="accordion mb-2" id="billing_accrordion">
                                    <div class="card">
                                        <div class="card-header d-none" id="accordion1">
                                            <h2 class="mb-0">
                                                <button class="btn btn-link btn-block text-left" type="button" data-toggle="collapse" data-target="#accordion1-collapse" aria-expanded="true" aria-controls="accordion1-collapse">
                                                    Preview Billing Documents<i class="fa fa-angle-down" aria-hidden="true"></i>
                                                </button>
                                            </h2>
                                        </div>
                                        <div class="collapse" id="accordion1-collapse" aria-labelledby="accordion1" data-parent="#billing_accrordion">
                                            <div class="card-body">
                                                Preview Billing Documents
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card">
                                        <div class="card-header" id="accordion2">
                                            <h2 class="mb-0">
                                                <button class="btn btn-link btn-block text-left" type="button" data-toggle="collapse" data-target="#accordion2-collapse" aria-expanded="true" aria-controls="accordion2-collapse">
                                                    Billing & Payment History <i class="fa fa-angle-down" aria-hidden="true"></i>
                                                </button>
                                            </h2>
                                        </div>
                                        <div class="collapse" id="accordion2-collapse" aria-labelledby="accordion2" data-parent="#billing_accrordion">
                                            <div class="card-body">
                                                <div class="billingPaymentHistory-timeline custom-scrollbar">
                                                    @include('companyAdmin.billing.billing-payment-history', $loadDetail)
                                                    {{--
                                                    <div class="block red-block">
                                                        <div class="dot"></div>
                                                        <div>
                                                            <div class="click-text">
                                                                <p>Collection Note <i class="fa fa-angle-down"
                                                                                      aria-hidden="true"></i></p>
                                                                <span>12/12/2023 02:44:39 AM</span>
                                                            </div>
                                                            <div class="hide">
                                                                <span>Entered By: Christian Snead <br>Type: SMS
                                                                    <br>Note:</span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="block red-block">
                                                        <div class="dot"></div>
                                                        <div>
                                                            <div class="click-text">
                                                                <p>Payment <i class="fa fa-angle-down"
                                                                              aria-hidden="true"></i></p>
                                                                <span>12/20/2023 04:55:58 PM</span>
                                                            </div>
                                                            <div class="hide">
                                                                <span>Entered By: Christian Snead <br>Payment Type: Standard
                                                                    Check <br>Account: <br>Amount: <br>Balance:
                                                                    <br>Note:</span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="block red-block">
                                                        <div class="dot"></div>
                                                        <div>
                                                            <div class="click-text">
                                                                <p>Payment <i class="fa fa-angle-down"
                                                                              aria-hidden="true"></i></p>
                                                                <span>12/20/2023 04:55:58 PM</span>
                                                            </div>
                                                            <div class="hide">
                                                                <span>Payment Type: Standard Check<br>Account: <br>Amount:
                                                                    <br>Balance: <br>Note:</span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="block green-block">
                                                        <div class="dot"></div>
                                                        <div>
                                                            <div class="click-text">
                                                                <p>Paid <i class="fa fa-angle-down" aria-hidden="true"></i>
                                                                </p>
                                                                <span>12/21/2023 09:15:31 AM</span>
                                                            </div>
                                                            <div class="hide">
                                                                <span>Entered By: Christian Snead <br>Amount Due: $ 1,400.00
                                                                    <br>Amount Paid: $ 1,400.00 <br>Balance: $ 400.00
                                                                    <br>Term: 30 <br>Days To Pay: 32</span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    --}}
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                @if(!empty($loadDetail->load_billing_histories))
                                    @php
                                        $invoicedDetail = $loadDetail->load_billing_histories('invoiced')->first()
                                    @endphp
                                    <div class="created-block">
                                        <p>Created By <b>{!! $invoicedDetail->action_by ?? '' !!}</b></p>
                                        <p>Created On <b>{!! $invoicedDetail->date_time ?? '' !!}</b></p>
                                    </div>
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        {!! Form::close() !!}
    </div>
@endsection

@section('modal')
    <div class="modal  fade" id="invoiceBillingPaid" tabindex="-1" role="dialog" aria-labelledby="invoiceBillingPaidModalLabel" aria-hidden="true">
        <div class="modal-dialog   modal-blue modal-billingNew modal-invoiceBillingPaid" role="document">
            <div class="modal-content">
                <div class="modal-body text-center p-0">
                    <div class="pdng">
                        <h5><i class="fa fa-envelope mr-3"></i>Success!</h5>

                        <p>Invoice successfully emailed to <a href="javascript:void(0);" class="btn-link">accounting@pepsicola.com</a></p>
                        <div class="text-right">
                            <a href="javascript:void(0);" class="otherMail-click">+2 others <i class="fa fa-caret-down"></i></a>
                        </div>
                    </div>
                    <div class="pdng">
                        <p class="mb-0"><a href="javascript:void(0);" class="btn-link">accounting@kitkatusa.com</a></p>
                        <p><a href="javascript:void(0);" class="btn-link">accounting@appleusa.com</a></p>
                    </div>
                </div>

            </div>
        </div>
    </div>
@endsection

@section('script')
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script type="text/javascript">
        function loader(){
            Swal.fire({
                title: '<h5 class="font-weight-bold">Please wait...</h5>',
                allowEscapeKey: false,
                allowOutsideClick: false,
                didOpen: () => {
                    Swal.showLoading()
                }
            });
        }

        $(function (){
            $(".pdfPreview-btn").click(function() {
                $(this).parent(".pdfPreview-sidebar").toggleClass("active");
            });
            $(".click-text").click(function() {
                $(this).toggleClass("active");
                $(this).siblings(".hide").slideToggle("fast");
            });
            $(".otherMail-click").click(function() {
                $(this).toggleClass("active");
                $(this).parents(".pdng").siblings(".pdng").slideToggle("fast");
            });

            $('.datePicker').datetimepicker({ format: dateLayout, useCurrent: false });

            $('#invoice-date').val(moment().format('MM/DD/YYYY'));
            $('#due-date').val(moment().add(29, 'days').format('MM/DD/YYYY'));

            $('#pdf-payments-terms-days').text('Net ' + $('#payments-terms-days option:selected').text());
            $('#pdf-invoice-date').text(moment().format('MM/DD/YYYY'));
            $('#pdf-due-date').text(moment().add(29, 'days').format('MM/DD/YYYY'));

            $(document).on('click', '.invoice-email-cc', function (){
                if($(this).hasClass('btn-blueBr')){
                    $(this).addClass('btn-blue');
                    $(this).removeClass('btn-blueBr');
                    $('#emailCCDiv').removeClass('d-none');
                }else{
                    $(this).removeClass('btn-blue');
                    $(this).addClass('btn-blueBr');
                    $('#emailCCDiv').addClass('d-none');
                    $('#invoice-email-cc').val('');
                }
            });

            $(document).on('click', '.edit-box', function (){
                if($(this).text() === 'Edit'){
                    $(this).text('Close');
                    $(this).parent().parent().parent().find('input').removeAttr('readonly');
                    $(this).parent().parent().parent().find('textarea').removeAttr('readonly');

                    if($(this).parent().parent().parent().find('input').attr('id') === 'invoice-email' && $(this).parent().parent().parent().find('input').val() === ''){
                        $(this).closest('.row').find('.invoice-email-cc').removeClass('disabled');
                        $(this).closest('.row').find('.invoice-email-bcc').removeClass('disabled');
                    }
                }else{
                    $(this).text('Edit');
                    $(this).parent().parent().parent().find('input').attr('readonly', 'readonly');
                    $(this).parent().parent().parent().find('textarea').attr('readonly', 'readonly');

                    if($(this).parent().parent().parent().find('input').attr('id') === 'invoice-email' && $(this).parent().parent().parent().find('input').val() === ''){
                        $(this).closest('.row').find('.invoice-email-cc').addClass('disabled');
                        $(this).closest('.row').find('.invoice-email-bcc').addClass('disabled');

                        $('#invoice-email-cc').val('').closest('.row').addClass('d-none');
                        $('#invoice-email-bcc').val('').closest('.row').addClass('d-none');
                        $('.invoice-email-cc').removeClass('btn-blue').addClass('btn-blueBr');
                        $('.invoice-email-bcc').removeClass('btn-blue').addClass('btn-blueBr');
                    }
                }
            });

            $(document).on('click', '.invoice-email-bcc', function (){
                if($(this).hasClass('btn-blueBr')){
                    $(this).addClass('btn-blue');
                    $(this).removeClass('btn-blueBr');
                    $('#emailBCCDiv').removeClass('d-none');
                }else{
                    $(this).removeClass('btn-blue');
                    $(this).addClass('btn-blueBr');
                    $('#emailBCCDiv').addClass('d-none');
                    $('#invoice-email-bcc').val('');
                }
            });

            $(document).on('change', '#send-payment-reminder', function (){
                if($(this).is(':checked')){
                    $('#reminderDaysDiv').removeClass('d-none');
                }else{
                    $('#reminderDaysDiv').addClass('d-none');
                }
            });

            $(document).on('change', '#payments-terms-date', function (){
                if($(this).val() == '2'){
                    $('#invoice-date').val(moment('{{ $loadDetail->delivery_date_time ?? '' }}').format('MM/DD/YYYY'));
                    $('#pdf-invoice-date').text(moment('{{ $loadDetail->delivery_date_time ?? '' }}').format('MM/DD/YYYY'));
                }else{
                    $('#invoice-date').val(moment().format('MM/DD/YYYY'));
                    $('#pdf-invoice-date').text(moment().format('MM/DD/YYYY'));
                }
                $('#payments-terms-days').trigger('change');
            });

            $(document).on('change', '#payments-terms-days', function (){
                $('#pdf-payments-terms-days').text('Net ' + $(this).find('option:selected').text());

                var invoice_date = moment($('#invoice-date').val());
                if($(this).val() == '10_days'){
                    $('#due-date').val(invoice_date.add(9, 'days').format('MM/DD/YYYY'));
                    $('#pdf-due-date').text(invoice_date.add(9, 'days').format('MM/DD/YYYY'));
                }else if($(this).val() == '30_days'){
                    $('#due-date').val(invoice_date.add(29, 'days').format('MM/DD/YYYY'));
                    $('#pdf-due-date').text(invoice_date.add(29, 'days').format('MM/DD/YYYY'));
                }else if($(this).val() == '60_days'){
                    $('#due-date').val(invoice_date.add(59, 'days').format('MM/DD/YYYY'));
                    $('#pdf-due-date').text(invoice_date.add(59, 'days').format('MM/DD/YYYY'));
                }else if($(this).val() == '90_days'){
                    $('#due-date').val(invoice_date.add(89, 'days').format('MM/DD/YYYY'));
                    $('#pdf-due-date').text(invoice_date.add(89, 'days').format('MM/DD/YYYY'));
                }
            });

            $(document).on('click', '#invoice-save', function (e){
                e.preventDefault();

                let form = $('#invoice-update-form');
                let parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });

                parsley.validate();

                if (parsley.isValid()){
                    $('#customer-email-error').addClass('d-none');
                    form.submit();
                }else{
                    $('#customer-email-error').removeClass('d-none');
                }
            });

            $(document).on('click', '#add-qr-code', function (e){
                if($(this).is(':checked')){
                    $('#QrDiv').removeClass('d-none');
                }else{
                    $('#QrDiv').addClass('d-none');
                }
            });

            $(document).on('keyup past', '[name="bill_to_name"]', function (){
                if($(this).val() !== ''){
                    $('#bill-to-name-text').text($(this).val());
                }else{
                    $('#bill-to-name-text').text('{!! $invoiceData['bill_to_name'] !!}');
                }
            });

            $(document).on('keyup past', '[name="billing_address"]', function (){
                if($(this).val() !== ''){
                    $('#billing-address-text').text($(this).val());
                }else{
                    $('#billing-address-text').text('{!! $invoiceData['billing_address'] !!}');
                }
            });

            $(document).on('keyup past', '[name="billing_address_2"]', function (){
                if($(this).val() !== ''){
                    $('#billing-address2-text').text($(this).val());
                }else{
                    $('#billing-address2-text').text('{!! $invoiceData['billing_address_2'] !!}');
                }
            });

            $(document).on('keyup past', '[name="billing_city"]', function (){
                if($(this).val() !== ''){
                    $('#billing-city-text').text($(this).val());
                }else{
                    $('#billing-city-text').text('{!! $invoiceData['billing_city'] !!}');
                }
            });

            $(document).on('keyup past', '[name="billing_state"]', function (){
                if($(this).val() !== ''){
                    $('#billing-state-text').text($(this).val());
                }else{
                    $('#billing-state-text').text('{!! $invoiceData['billing_state'] !!}');
                }
            });

            $(document).on('keyup past', '[name="billing_zip"]', function (){
                if($(this).val() !== ''){
                    $('#billing-zip-text').text($(this).val());
                }else{
                    $('#billing-zip-text').text('{!! $invoiceData['billing_zip'] !!}');
                }
            });

            $(document).on('keyup past', '[name="notes"]', function (){
                if($(this).val() !== ''){
                    $('#notes-text').text($(this).val());
                }else{
                    $('#notes-text').text('{!! $invoiceData['invoice_notes'] !!}');
                }
            });

            $(document).on('change', '#billing-method', function (){
                if($(this).val() == '3'){
                    $('#invoice-email').removeAttr('required');
                }else{
                    $('#invoice-email').attr('required', 'required');
                }
            });
        });
    </script>
@endsection
