@extends($companyAdminTheme)

@section('title')
    Billing Dashboard
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/slick.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
        ::-webkit-scrollbar-thumb {
            background: #305F9C;
            border-radius: 10px;
        }
        .slick-dots {
            position: absolute;
            bottom: -20px;
            display: block;
            width: 100%;
            padding: 0;
            margin: 0;
            list-style: none;
            text-align: center;
        }
        .slick-dots li {
            position: relative;
            display: inline-block;
            width: 20px;
            height: 20px;
            margin: 0 0;
            padding: 0;
            cursor: pointer;
        }
        .slick-dots li button {
            font-size: 0;
            line-height: 0;
            display: block;
            width: 20px;
            height: 20px;
            padding: 5px;
            cursor: pointer;
            color: transparent;
            border: 0;
            outline: none;
            background: transparent;
        }
        .slick-dots li.slick-active button:before {
            opacity: 1;
            color: #305F9C;
        }
        .slick-dots li button:before {
            font-family: 'slick';
            font-size: 30px;
            line-height: 20px;
            position: absolute;
            top: 0;
            left: 0;
            width: 20px;
            height: 20px;
            content: '•';
            text-align: center;
            opacity: .25;
            color: black;
            -webkit-font-smoothing: antialiased;
            -moz-osx-font-smoothing: grayscale;
        }

        .modal-content .disabled {
            pointer-events: none !important;
        }
        .child-receive-button {
            line-height: 1.5;
            padding: 3.5px 0.75rem;
        }
        .billing-child-dropdown .dropdown-toggle::after {
            border-top: 7px solid #305F9C;
            border-right: 7px solid transparent;
            border-left: 7px solid transparent;
        }
        .fill-readonly {
            pointer-events: none;
            opacity: 0.8;
            background-color: #ededed;
        }
        .modal-dishpatch label {
            font-size: 13px;
            line-height: 18px;
            letter-spacing: -0.31px;
            color: #342828;
            font-weight: bold;
            margin-bottom: 0px;
            margin-top: 2px;
            padding-left: 5px;
        }
        #uploadBillingDocument .btn {
            border-radius: 10px;
            width: 94px;
            height: 39px;
        }
        #uploadBillingDocument .form-check {
            padding-left: inherit;
        }
        #uploadBillingDocument .form-check input {
            opacity: 0;
        }
        #uploadBillingDocument .form-check label::before {
            content: '';
            position: absolute;
            width: 16px;
            height: 16px;
            left: 5px;
            border: 2px solid #305F9C;
            border-radius: 4px;
            top: -1px;
        }
        #uploadBillingDocument .form-check label::after {
            content: "\f00c";
            font: normal normal normal 14px/1 FontAwesome;
            color: white;
            left: 8px;
            position: absolute;
            top: 1.5px;
            font-size: 10px;
            opacity: 0;
        }
        #uploadBillingDocument .form-check-input {
            /*position: inherit;*/
            margin-top: inherit;
            margin-left: inherit;
        }
        #uploadBillingDocument .form-check input[type="checkbox"]:checked~label::before {
            background-color: #305F9C;
        }
        #uploadBillingDocument .form-check input[type="checkbox"]:checked~label::after {
            opacity: 1;
        }
        .billingNew-block .btn.btn-success:hover {
            background: #FF6D10 !important;
            border-color: #FF6D10 !important;
        }
        .progress-bar-100 {
            background-color: #19C936;
        }
        /* History table start */
        .table-docReqModal {
            border: 1px solid #CCCCCC;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
        }
        .table-docReqModal table {
            margin-top: 0 !important;
            width: 100%;
        }
        .table-docReqModal th,
        .table-docReqModal td {
            padding: 8px 7px;
            border-bottom: 1px solid #CCCCCC;
        }
        .table-docReqModal tr:last-child td {
            border-bottom: 0;
        }
        .table-docReqModal th {
            color: #000000;
            font-size: 12px;
            font-weight: 600;
        }
        .table-docReqModal td {
            color: #616376;
            font-size: 10px;
            font-weight: 500;
        }
        /* History table end */
        /* History button start */
        .docReqHistory-button {
            color: #305F9C;
            font-size: 14px;
            font-weight: 600;
            padding: 0;
            border: 0;
            background: transparent;
        }
        .docReqHistory-button i {
            transition: all .5s;
        }
        .docReqHistory-button+.table-responsive {
            margin-top: 9px;
        }
        .docReqHistory-button.active i {
            transform: rotate(180deg);
        }
        /* History button end */
        .modal-docReq .custom-control-input:checked~.custom-control-label::before,
        .modal-addDocumentation .custom-control-input:checked~.custom-control-label::before {
            background-color: #305F9C !important;
        }
        .modal-docReq .custom-control-input~.custom-control-label::before,
        .modal-docReq .custom-control-input~.custom-control-label::before,
        .modal-docReq .custom-control-input:checked~.custom-control-label::before,
        .modal-addDocumentation .custom-control-input~.custom-control-label::before,
        .modal-addDocumentation .custom-control-input~.custom-control-label::before,
        .modal-addDocumentation .custom-control-input:checked~.custom-control-label::before {
            border: 2px solid #305F9C !important;
            border-radius: 4px;
        }
        #addDocumentation .table thead {
            background: transparent;
        }
        #addDocumentation .table thead th {
            padding: 8px 12px !important;
            color: #222b45;
            font-weight: 600;
            border-bottom: 1px solid #ccc;
        }

        #addReminder .custom-switch-blue .custom-control-label {
            width: 42px;
            height: 28px;
            margin-bottom: 0;
        }
        #addReminder .custom-switch-blue .custom-control-input:checked~.custom-control-label::before {
            background-color: #305F9C;
            border-color: #305F9C !important;
        }
        #addReminder .custom-switch-blue .custom-control-label::before {
            width: 100%;
            height: 100%;
            top: 0;
            left: 0;
            border-radius: 30px;
            border: 1px solid #305F9C;
        }
        #addReminder .custom-switch-blue .custom-control-input:checked~.custom-control-label::after {
            transform: translateX(16px);
            background: #fff;
        }
        #addReminder .custom-switch-blue .custom-control-label::after {
            width: 18px;
            height: 18px;
            left: 4px;
            background: #305F9C;
            top: 5px;
            border-radius: 100%;
            transition: transform .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out, -webkit-transform .15s ease-in-out;
        }
        #addReminder .custom-switch-blue .custom-control-input:checked~.custom-control-label::before {
            background-color: #305F9C;
            border-color: #305F9C !important;
        }
        #addReminder .custom-switch-blue .custom-control-label::before {
            width: 100%;
            height: 100%;
            top: 0;
            left: 0;
            border-radius: 30px;
        }
        #removeMoreReminderCc {
            font-size: 25px;
            padding: 5px 16px;
            font-weight: bold;
            height: auto;
            border-radius: 4px;
            box-shadow: 0 3px 6px rgb(0 0 0 / 16%);
        }

        /* Select 2 Multiple */
        .select2-container .select2-selection--multiple {
            height: auto !important;
            min-height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .select2-container--default .select2-selection--multiple {
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--multiple .select2-selection__rendered {
            line-height: 10px !important;
        }
        .select2-container--default .select2-selection--multiple .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        .select2-container .select2-selection--multiple .select2-selection__rendered {
            font-weight: 400;
            color: #616376 !important;
        }
        .select2-container--default .select2-selection--multiple .select2-selection__rendered li {
            padding: 5px 5px;
        }
        .multiple-select .select2-results__option {
            padding-right: 20px;
            vertical-align: middle;
        }
        .multiple-select .select2-results__option:before {
            content: "";
            display: inline-block;
            position: relative;
            height: 16px;
            width: 16px;
            border: 2px solid #305F9C;
            border-radius: 4px;
            background-color: #fff;
            margin-right: 8px;
            vertical-align: middle;
        }
        .multiple-select .select2-results__option[aria-selected=true]:before {
            font-family: fontAwesome;
            content: "\f00c";
            color: #fff;
            background-color: #305F9C;
            border: 0;
            display: inline-block;
            padding-left: 2px;
        }
        .multiple-select .select2-container--default .select2-results__option[aria-selected=true] {
            background-color: #fff;
        }
        .multiple-select .select2-container--default .select2-results__option--highlighted[aria-selected] {
            color: #616376;
        }
        .multiple-select .select2-container--default .select2-selection--multiple {
            margin-bottom: 10px;
        }
        .multiple-select .select2-container--default.select2-container--open.select2-container--below .select2-selection--multiple {
            border-radius: 4px;
        }
        .multiple-select .select2-container--default.select2-container--focus .select2-selection--multiple {
            border-color: #f77750;
            border-width: 2px;
        }
        .multiple-select .select2-container--default .select2-selection--multiple {
            border-width: 2px;
        }
        .multiple-select .select2-container--open .select2-dropdown--below {
            border-radius: 6px;
            box-shadow: 0 0 10px rgba(0,0,0,0.5);
        }
        .multiple-select .select2-selection .select2-selection--multiple:after {
            content: 'hhghgh';
        }
        .multiple-select .select-icon .select2-selection__placeholder .badge {
            display: none;
        }
        .multiple-select .select-icon .placeholder {
            display: none;
        }
        .multiple-select .select-icon .select2-results__option:before,
        .multiple-select .select-icon .select2-results__option[aria-selected=true]:before {
            display: none !important;
        }
        .multiple-select .select-icon  .select2-search--dropdown {
            display: none;
        }
        .multiple-select ul li {
            padding: 5px 8px !important;
        }
        .select2-selection--multiple {
            overflow: hidden !important;
            height: auto !important;
        }
        .select2-container .select2-selection--multiple {
            width: 100%;
            display: table;
        }
        .select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
            color: #fff !important;
        }
        .select2-container--default .select2-selection--multiple .select2-selection__choice {
            background-color: #305F9C !important;
            border: 1px solid #305F9C !important;
            color: #fff;
        }
        .select2-container--default .select2-search--inline .select2-search__field {
            max-width: 373px !important;
        }
        .modal-billingNew .select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
            font-size: 12px !important;
        }
        .select2-container .select2-search--inline .select2-search__field {
            margin-top: 15px !important;
        }
        /* Select 2 Multiple */

        #receive-payment-form .form-check,
        #addEdit .form-check,
        #editAccount .form-check,
        #create-payment-account-form .form-check {
            padding-left: 0px !important;
        }
        #receive-payment-form .form-check input,
        #addEdit .form-check input,
        #editAccount .form-check input,
        #create-payment-account-form .form-check input {
            opacity: 0;
        }
        #receive-payment-form .form-check label::before,
        #addEdit .form-check label::before,
        #editAccount .form-check label::before,
        #create-payment-account-form .form-check label::before {
            content: '';
            position: absolute;
            width: 16px;
            height: 16px;
            left: 0;
            border: 2px solid #305F9C;
            border-radius: 4px;
            top: 3px;
        }
        #receive-payment-form .form-check label::after,
        #addEdit .form-check label::after,
        #editAccount .form-check label::after,
        #create-payment-account-form .form-check label::after {
            content: "\f00c";
            font: normal normal normal 14px/1 FontAwesome;
            color: white;
            left: 3px;
            position: absolute;
            top: 6px;
            font-size: 10px;
            opacity: 0;
        }
        #receive-payment-form .form-check-input,
        #addEdit .form-check-input,
        #editAccount .form-check-input,
        #create-payment-account-form .form-check-input {
            position: inherit;
            margin-top: inherit;
            margin-left: inherit;
        }
        #receive-payment-form .form-check input[type="checkbox"]:checked~label::before,
        #addEdit .form-check input[type="checkbox"]:checked~label::before,
        #editAccount .form-check input[type="checkbox"]:checked~label::before,
        #create-payment-account-form .form-check input[type="checkbox"]:checked~label::before {
            background-color: #305F9C;
        }
        #receive-payment-form .form-check input[type="checkbox"]:checked~label::after,
        #addEdit .form-check input[type="checkbox"]:checked~label::after,
        #editAccount .form-check input[type="checkbox"]:checked~label::after,
        #create-payment-account-form .form-check input[type="checkbox"]:checked~label::after {
            opacity: 1;
        }
        #receive-payment-form .remove-more-chargeback-btn {
            font-size: 25px;
            padding: 5px 16px;
            font-weight: bold;
            height: auto;
            border-radius: 4px;
            box-shadow: 0 3px 6px rgb(0 0 0 / 16%);
    </style>
@endsection

@section('content')
    <div class="billing-content ff-Inter">
        <div class="timestats-box">
            <div class="row g-2">
                <div class="col-xl-custom-20p col-md-4 col-sm-6">
                    <div class="card h-100">
                        <div class="d-flex align-items-center justify-content-between mb-1">
                            <div class="">
                                <h3>{{ sprintf("%02d", billingTotalReadyToBillLoads()) ?? '00'}}</h3>
                                <strong class="fs-18 text-ganache">Ready To Bill</strong>
                            </div>
                            <div class="">
                                <img src="{{ asset('theme/img/ready-to-bill-icon.png') }}" alt="icon" class="img-fluid">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xl-custom-20p col-md-4 col-sm-6">
                    <div class="card h-100">
                        <div class="d-flex align-items-center justify-content-between mb-1">
                            <div class="">
                                <h3>{{ sprintf("%02d", billingTotalOnHoldLoads()) ?? '00'}}</h3>
                                <strong class="fs-18 text-ganache">On Hold</strong>
                            </div>
                            <div class="">
                                <img src="{{ asset('theme/img/on-hold-icon.png') }}" alt="icon" class="img-fluid">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xl-custom-20p col-md-4 col-sm-6">
                    <div class="card h-100">
                        <div class="d-flex align-items-center justify-content-between mb-1">
                            <div class="">
                                <h3>{{ sprintf("%02d", billingTotalMissingDocumentLoads()) ?? '00'}}</h3>
                                <strong class="fs-18 text-ganache">Missing Documents</strong>
                            </div>
                            <div class="">
                                <img src="{{ asset('theme/img/missing-documents-icon.png') }}" alt="icon" class="img-fluid">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xl-custom-20p col-md-4 col-sm-6">
                    <div class="card h-100">
                        <div class="d-flex align-items-center justify-content-between mb-1">
                            <div class="">
                                <h3>{{ sprintf("%02d", billingTotalUnbilledLoads()) ?? '00'}}</h3>
                                <strong class="fs-18 text-ganache">Unbilled</strong>
                            </div>
                            <div class="">
                                <img src="{{ asset('theme/img/unbilled-icon.png') }}" alt="icon" class="img-fluid">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xl-custom-20p col-md-4 col-sm-6">
                    <div class="card h-100">
                        <div class="d-flex align-items-center justify-content-between mb-1">
                            <div class="">
                                <h3>{{ sprintf("%02d", billingTotalInvoicedLoads()) ?? '00'}}</h3>
                                <strong class="fs-18 text-ganache">Billed</strong>
                            </div>
                            <div class="">
                                <img src="{{ asset('theme/img/billed-icon.png') }}" alt="icon" class="img-fluid">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="mt-xl-5 mt-3">
            <input type="hidden" id="getTableName" value="{{str_replace('settings.','',$tableName)}}">
            <input type="hidden" id="lastActiveTable" value="tableActive">
            <input type="hidden" name="previous_tab" id="previous_tab">

            <nav class="inner-navtabs pb-0">
                <ul class="nav nav-pills" id="myTab" role="tablist">
                    <li class="nav-item" role="presentation">
                        <a data-table="table1" class="changeLoadTab active" id="all-tab" data-toggle="pill" href="#all-loads-tab" role="tab" aria-controls="all-loads-tab" aria-selected="false">All Loads</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a data-table="table2" class="changeLoadTab" id="ready-to-bill-tab" data-toggle="pill" href="#ready-to-bill-loads-tab" role="tab" aria-controls="ready-to-bill-loads-tab" aria-selected="false">Ready to Bill</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a data-table="table3" class="changeLoadTab" id="missing-docs-tab" data-toggle="pill" href="#missing-docs-loads-tab" role="tab" aria-controls="missing-docs-loads-tab" aria-selected="false">Missing Docs</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a data-table="table4" class="changeLoadTab" id="on-hold-tab" data-toggle="pill" href="#on-hold-loads-tab" role="tab" aria-controls="on-hold-loads-tab" aria-selected="false">On Hold</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a data-table="table5" class="changeLoadTab" id="invoiced-tab" data-toggle="pill" href="#invoiced-loads-tab" role="tab" aria-controls="invoiced-loads-tab" aria-selected="false">Invoiced</a>
                    </li>
                </ul>
            </nav>
            <div class="tab-content" id="myTabContent">
                @foreach( $tables as $k => $v )
                    <div class="tab-pane fade @if($v['name'] == 'table1') show active @endif" id="{{$v['tab-id']}}" role="tabpanel" aria-labelledby="{{$v['tab-id']}}">
                        <div class="pt-4">
                            <div class="billing-slider-div"></div>

                            <div class="white-box table-view">
                                <h3 class="table-title">Billing</h3>
                                <div class="table-responsive">
                                    <table class="table {{$v['class']}}" id="{{$v['table-id']}}">
                                        <thead>
                                        <tr>
                                            @foreach($getField as $key => $filed)
                                                @if(!in_array($v['name'], ['table1', 'table5']) && $key == 'invoice_number') @continue @endif
                                                @if($filed == 1 && isset(config('settings.table_billing_loads')[$key]['name']))
                                                    @if(isset(config('settings.table_billing_loads')[$key]['searchBuilderType']))
                                                        @if(config('settings.table_billing_loads')[$key]['col_search'] == 0)
                                                            @if( config('settings.table_billing_loads')[$key]['searchBuilderType'] == 'string' )
                                                                <th class="{{ config("settings.table_billing_loads")[$key]["class"] }} notsech">{{ config('settings.table_billing_loads')[$key]['name'] }} <i class="fa fa-filter table_billing_loads_{{$key}}_string columnFilter" data-modal="SearchByStringModal{{ $key }}{{$v['name']}}"></i></th>
                                                            @elseif( config('settings.table_billing_loads')[$key]['searchBuilderType'] == 'date' )
                                                                <th class="{{ config("settings.table_billing_loads")[$key]["class"] }} notsech">{{ config('settings.table_billing_loads')[$key]['name'] }} <i class="fa fa-filter table_billing_loads_{{$key}}_date columnFilter" data-modal="SearchByDateModal{{ $key }}{{$v['name']}}"></i></th>
                                                            @elseif( config('settings.table_billing_loads')[$key]['searchBuilderType'] == 'status' )
                                                                <th class="{{ config("settings.table_billing_loads")[$key]["class"] }} notsech">{{ config('settings.table_billing_loads')[$key]['name'] }} <i class="fa fa-filter table_billing_loads_{{$key}}_status columnFilter" data-modal="SearchByStatusModal{{ $key }}{{$v['name']}}"></i></th>
                                                            @endif
                                                        @else
                                                            @if( config('settings.table_billing_loads')[$key]['searchBuilderType'] == 'string' )
                                                                <th class="{{ config("settings.table_billing_loads")[$key]["class"] }}">{{ config('settings.table_billing_loads')[$key]['name'] }} <i class="fa fa-filter table_billing_loads_{{$key}}_string columnFilter" data-modal="SearchByStringModal{{ $key }}{{$v['name']}}"></i></th>
                                                            @elseif( config('settings.table_billing_loads')[$key]['searchBuilderType'] == 'date' )
                                                                <th class="{{ config("settings.table_billing_loads")[$key]["class"] }}">{{ config('settings.table_billing_loads')[$key]['name'] }} <i class="fa fa-filter table_billing_loads_{{$key}}_date columnFilter" data-modal="SearchByDateModal{{ $key }}{{$v['name']}}"></i></th>
                                                            @elseif( config('settings.table_billing_loads')[$key]['searchBuilderType'] == 'status' )
                                                                <th class="{{ config("settings.table_billing_loads")[$key]["class"] }}">{{ config('settings.table_billing_loads')[$key]['name'] }} <i class="fa fa-filter table_billing_loads_{{$key}}_status columnFilter" data-modal="SearchByStatusModal{{ $key }}{{$v['name']}}"></i></th>
                                                            @endif
                                                        @endif
                                                    @else
                                                        @if(config('settings.table_billing_loads')[$key]['col_search'] == 0)
                                                            <th class="{{ config("settings.table_billing_loads")[$key]["class"] }} notsech">{{ config('settings.table_billing_loads')[$key]['name'] }}</th>
                                                        @else
                                                            <th class="{{ config("settings.table_billing_loads")[$key]["class"] }}">{{ config('settings.table_billing_loads')[$key]['name'] }}</th>
                                                        @endif
                                                    @endif
                                                @endif
                                            @endforeach
                                        </tr>
                                        </thead>
                                        <tbody class="billingLoadTableBody"></tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                @endforeach
            </div>
        </div>
    </div>
@endsection

@section('modal')
    {{-- Column Update - START --}}
    <div class="modal fade columReorderModal" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dishpatch" role="document">
            {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
            <input type="hidden" name="table_id" value="billing_loads">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Adjust Table Columns</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                        @foreach($getField as $key => $filed)
                            @if(isset(config('settings.table_billing_loads')[$key]['name']) && config('settings.table_billing_loads')[$key]['name'] != '')
                                <li class="ui-state-default {{ ($key == 'invoice_number') ? 'invoice-column' : '' }}">
                                    <div class="d-flex justify-content-between">
                                        <div class="form-check">
                                            <input type='hidden' value='0' name='field[{{ $key }}]'>
                                            <input class="form-check-input" type="checkbox" id="Check{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                            <label class="form-check-label" for="Check{{ $key }}">{{ config('settings.table_billing_loads')[$key]['name'] }}</label>
                                        </div>
                                        <i class="fa fa-align-justify drag-icon pt-1"></i>
                                    </div>
                                    {{--
                                    <div class="custom-control custom-checkbox">
                                        <input type='hidden' value='0' name='field[{{ $key }}]'>
                                        <input type="checkbox" class="custom-control-input" id="Check01{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                        <label class="custom-control-label" for="Check01{{ $key }}">{{ config('settings.table_billing_loads')[$key]['name'] }}</label>
                                    </div>
                                    <i class="fa fa-align-justify drag-icon"></i>
                                    --}}
                                </li>
                            @endif
                        @endforeach
                    </ul>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                    <button type="submit" class="btn btn-blue">Save</button>
                </div>
            </div>
            {!! Form::close() !!}
        </div>
    </div>
    {{-- Column Update - END --}}

    @include('companyAdmin.billing.common-modal')
@endsection

@section('script')
    <script src="{{ asset('theme/js/slick.min.js') }}"></script>
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script type="text/javascript">
        function reloadAuditSlider(slickHtml, activeSlickIndex){
            $('#myTabContent .tab-pane.active').find('.billing-slider-div').html(slickHtml);

            const slider = $(".billingNew-slider");

            slider.slick({
                dots: true,
                infinite: false,
                arrows: true,
                slidesToShow: 1,
                slidesToScroll: 1,
                variableWidth: true,
                centerMode: true,
            });

            if(activeSlickIndex != ''){
                slider.slick('slickGoTo', activeSlickIndex);
            }
        }

        function updateLoadStatus(loadDetailId = ''){
            var receivedProgressBar = $('.received-progress-bar').attr('aria-valuenow');
            var auditProgressBar = $('.audit-progress-bar').attr('aria-valuenow');
            var documentCount = $('.progress-bar').attr('data-doc');

            $('#myTabContent .tab-pane.active').find('.billingLoadTableBody tr').each(function (){
                if($(this).hasClass('current-user-audit-lock')){
                    if(documentCount == '0'){
                        $(this).find('.td-document').html('<i class="fa fa-file-text-o document-in-review document-icon" aria-hidden="true"></i>');
                        $(this).find('.td-review').text('In Review');
                        if(loadDetailId != ''){
                            var url = '{{ route('company.admin.billing.invoice.create', ['id' => ':id']) }}'
                            url = url.replace(':id', loadDetailId);
                            $(this).find('.td-invoice-now').html('<a href="'+ url +'" class="btn btn-success">Invoice Now</a>');
                        }else{
                            $(this).find('.td-invoice-now').html('<a href="javascript:void(0);" class="btn btn-success">Invoice Now</a>');
                        }
                    }else{
                        if(receivedProgressBar == '100' && auditProgressBar == '100'){
                            $(this).find('.td-document').html('<i class="fa fa-file-text-o document-complete document-icon" aria-hidden="true"></i>');
                            $(this).find('.td-review').text('Complete');
                            if(loadDetailId != ''){
                                var url = '{{ route('company.admin.billing.invoice.create', ['id' => ':id']) }}'
                                url = url.replace(':id', loadDetailId);
                                $(this).find('.td-invoice-now').html('<a href="'+ url +'" class="btn btn-success">Invoice Now</a>');
                            }else{
                                $(this).find('.td-invoice-now').html('<a href="javascript:void(0);" class="btn btn-success">Invoice Now</a>');
                            }
                        }else if(receivedProgressBar == '100' && auditProgressBar != '100'){
                            $(this).find('.td-document').html('<i class="fa fa-file-text-o document-complete document-icon" aria-hidden="true"></i>');
                            $(this).find('.td-review').text('In Review');
                            $(this).find('.td-invoice-now').html('<a href="javascript:void(0);" class="btn btn-liteGray">Invoice Now</a>');
                        }else if(receivedProgressBar != '100' && auditProgressBar != '100'){
                            $(this).find('.td-document').html('<i class="fa fa-file-text-o document-in-review document-icon" aria-hidden="true"></i>');
                            $(this).find('.td-review').text('In Review');
                            $(this).find('.td-invoice-now').html('<a href="javascript:void(0);" class="btn btn-liteGray">Invoice Now</a>');
                        }
                    }
                }
            });
        }
    </script>
    <script type="text/javascript">
        // All Loads - START
        var table1 = $('#all-loads-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv mb-0'<'col-sm-5 col-md-6 cusotdiv2'fl>><'row mt-3'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            ordering: false,
            pageLength: "{{ perPageView() }}",
            ajax: {
                url: "{{ route('company.admin.billing.all.loads.index') }}",
                type:'POST',
                dataType: "json",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_{{$key}}              = $('#search_string_{{$key}}_table1').val();
                        d.search_string_name_{{$key}}               = $('#stringKey{{$key}}_table1').val();
                        d.search_string_type_{{$key}}               = $('#stringType{{$key}}_table1').val();
                        d.search_table_name_{{$key}}                = $('#stringTableType{{$key}}_table1').val();
                        d.search_string_condition_{{$key}}          = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                        d.search_string_sort_{{$key}}               = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();

                        d.search_string_relation_table_{{$key}}     = $('#stringRelationTable{{$key}}_table1').val();
                        d.search_string_col_name1_{{$key}}          = $('#stringColName1{{$key}}_table1').val();
                        d.search_string_col_name2_{{$key}}          = $('#stringColName2{{$key}}_table1').val();
                        d.search_string_static_{{$key}}             = $('#stringStatic{{$key}}_table1').val();

                        d.search_string_having_{{$key}}             = $('#stringHaving{{$key}}_table1').val();

                        d.search_string_col_alias1_name_{{$key}}    = $('#stringColAl1{{$key}}_table1').val();
                        d.search_string_col_alias2_name_{{$key}}    = $('#stringColAl2{{$key}}_table1').val();
                        d.search_string_col_alias3_name_{{$key}}    = $('#stringColAl3{{$key}}_table1').val();
                        d.search_string_col_alias4_name_{{$key}}    = $('#stringColAl4{{$key}}_table1').val();
                        d.search_string_col_alias5_name_{{$key}}    = $('#stringColAl5{{$key}}_table1').val();
                        d.search_string_col_alias6_name_{{$key}}    = $('#stringColAl6{{$key}}_table1').val();

                        d.search_date_from_value_{{$key}}           = $('#search_date_{{$key}}_table1').val();
                        d.search_date_to_value_{{$key}}             = $('#search_date_end_{{$key}}_table1').val();
                        d.search_date_name_{{$key}}                 = $('#dateKey{{$key}}_table1').val();
                        d.search_date_type_{{$key}}                 = $('#dateType{{$key}}_table1').val();
                        d.search_date_table_name_{{$key}}           = $('#dateTableType{{$key}}_table1').val();
                        d.search_date_condition_{{$key}}            = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                        d.search_date_sort_{{$key}}                 = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_{{$key}}_{{$ke}}  = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_{{$key}}          = $('#is_status_condition_applied{{$key}}').val();
                        d.search_status_name_{{$key}}               = $('#statusOrgColName{{$key}}').val();
                        d.search_status_table_name_{{$key}}         = $('#statusTableType{{$key}}').val();
                        d.search_status_sort_{{$key}}               = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                        d.search_status_sort_column_{{$key}}        = $("#statusOrderColName{{$key}}").val();
                    <?php endforeach; ?>
                },
                beforeSend: function () {
                    if (typeof table1 != 'undefined' && table1.hasOwnProperty('settings')) {
                        table1.settings()[0].jqXHR.abort();
                    }
                }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_billing_loads')[$key]['name'])): ?>
                            <?php if(config("settings.table_billing_loads")[$key]["orderable"] == 1 && config("settings.table_billing_loads")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true, className: '{{ config("settings.table_billing_loads")[$key]["class"] }}' },
                            <?php elseif(config("settings.table_billing_loads")[$key]["orderable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false, className: '{{ config("settings.table_billing_loads")[$key]["class"] }}' },
                            <?php elseif(config("settings.table_billing_loads")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true, className: '{{ config("settings.table_billing_loads")[$key]["class"] }}' },
                            <?php else: ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false, className: '{{ config("settings.table_billing_loads")[$key]["class"] }}' },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ],
            fnDrawCallback: function( oSettings ) {
                $('.audit-close').trigger('click');
            }
        });

        $('#all-loads-data-table tbody').on('click', '.details-control', function () {
            var tr = $(this).closest('tr');
            var row = table1.row(tr);

            if (row.child.isShown()) {
                row.child.hide();
                tr.removeClass('shown');
                tr.children('td:eq(1)').find('.fa-caret-down').removeClass('fa-caret-up');
            } else {
                row.child(loadsChildRows(row.data())).show();
                tr.addClass('shown');
                tr.next('tr').children('td').addClass('p-0');
                tr.children('td:eq(1)').find('.fa-caret-down').addClass('fa-caret-up');
            }
        });
        // All Loads - END

        // Ready to Bill Loads - START
        var table2 = $('#ready-to-bill-loads-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv mb-0'<'col-sm-5 col-md-6 cusotdiv2'fl>><'row mt-3'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            ordering: false,
            pageLength: "{{ perPageView() }}",
            ajax: {
                url: "{{ route('company.admin.billing.ready.to.bill.loads.index') }}",
                type:'POST',
                dataType: "json",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_{{$key}}              = $('#search_string_{{$key}}_table2').val();
                        d.search_string_name_{{$key}}               = $('#stringKey{{$key}}_table2').val();
                        d.search_string_type_{{$key}}               = $('#stringType{{$key}}_table2').val();
                        d.search_table_name_{{$key}}                = $('#stringTableType{{$key}}_table2').val();
                        d.search_string_condition_{{$key}}          = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                        d.search_string_sort_{{$key}}               = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();

                        d.search_string_relation_table_{{$key}}     = $('#stringRelationTable{{$key}}_table2').val();
                        d.search_string_col_name1_{{$key}}          = $('#stringColName1{{$key}}_table2').val();
                        d.search_string_col_name2_{{$key}}          = $('#stringColName2{{$key}}_table2').val();
                        d.search_string_static_{{$key}}             = $('#stringStatic{{$key}}_table2').val();

                        d.search_string_having_{{$key}}             = $('#stringHaving{{$key}}_table2').val();

                        d.search_string_col_alias1_name_{{$key}}    = $('#stringColAl1{{$key}}_table2').val();
                        d.search_string_col_alias2_name_{{$key}}    = $('#stringColAl2{{$key}}_table2').val();
                        d.search_string_col_alias3_name_{{$key}}    = $('#stringColAl3{{$key}}_table2').val();
                        d.search_string_col_alias4_name_{{$key}}    = $('#stringColAl4{{$key}}_table2').val();
                        d.search_string_col_alias5_name_{{$key}}    = $('#stringColAl5{{$key}}_table2').val();
                        d.search_string_col_alias6_name_{{$key}}    = $('#stringColAl6{{$key}}_table2').val();

                        d.search_date_from_value_{{$key}}           = $('#search_date_{{$key}}_table2').val();
                        d.search_date_to_value_{{$key}}             = $('#search_date_end_{{$key}}_table2').val();
                        d.search_date_name_{{$key}}                 = $('#dateKey{{$key}}_table2').val();
                        d.search_date_type_{{$key}}                 = $('#dateType{{$key}}_table2').val();
                        d.search_date_table_name_{{$key}}           = $('#dateTableType{{$key}}_table2').val();
                        d.search_date_condition_{{$key}}            = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                        d.search_date_sort_{{$key}}                 = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_{{$key}}_{{$ke}}  = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_{{$key}}          = $('#is_status_condition_applied{{$key}}').val();
                        d.search_status_name_{{$key}}               = $('#statusOrgColName{{$key}}').val();
                        d.search_status_table_name_{{$key}}         = $('#statusTableType{{$key}}').val();
                        d.search_status_sort_{{$key}}               = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                        d.search_status_sort_column_{{$key}}        = $("#statusOrderColName{{$key}}").val();
                    <?php endforeach; ?>
                },
                beforeSend: function () {
                    if (typeof table2 != 'undefined' && table2.hasOwnProperty('settings')) {
                        table2.settings()[0].jqXHR.abort();
                    }
                }
            },
            columns: [
                    <?php foreach($getField as $key => $filed): ?>
                        <?php if($key == 'invoice_number') continue;  ?>
                        <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_billing_loads')[$key]['name'])): ?>
                        <?php if(config("settings.table_billing_loads")[$key]["orderable"] == 1 && config("settings.table_billing_loads")[$key]["searchable"] == 1): ?>
                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true, className: '{{ config("settings.table_billing_loads")[$key]["class"] }}' },
                    <?php elseif(config("settings.table_billing_loads")[$key]["orderable"] == 1): ?>
                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false, className: '{{ config("settings.table_billing_loads")[$key]["class"] }}' },
                    <?php elseif(config("settings.table_billing_loads")[$key]["searchable"] == 1): ?>
                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true, className: '{{ config("settings.table_billing_loads")[$key]["class"] }}' },
                    <?php else: ?>
                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false, className: '{{ config("settings.table_billing_loads")[$key]["class"] }}' },
                <?php endif; ?>
                <?php endif; ?>
                <?php endif; ?>
                <?php endforeach; ?>
            ],
            fnDrawCallback: function( oSettings ) {
                $('.audit-close').trigger('click');
            }
        });

        $('#ready-to-bill-loads-data-table tbody').on('click', '.details-control', function () {
            var tr = $(this).closest('tr');
            var row = table2.row(tr);

            if (row.child.isShown()) {
                row.child.hide();
                tr.removeClass('shown');
                tr.children('td:eq(1)').find('.fa-caret-down').removeClass('fa-caret-up');
            } else {
                row.child(loadsChildRows(row.data())).show();
                tr.addClass('shown');
                tr.next('tr').children('td').addClass('p-0');
                tr.children('td:eq(1)').find('.fa-caret-down').addClass('fa-caret-up');
            }
        });
        // Ready to Bill Loads - END

        // Missing Docs Loads - START
        var table3 = $('#missing-docs-loads-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv mb-0'<'col-sm-5 col-md-6 cusotdiv2'fl>><'row mt-3'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            ordering: false,
            pageLength: "{{ perPageView() }}",
            ajax: {
                url: "{{ route('company.admin.billing.missing.docs.loads.index') }}",
                type:'POST',
                dataType: "json",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_{{$key}}              = $('#search_string_{{$key}}_table2').val();
                        d.search_string_name_{{$key}}               = $('#stringKey{{$key}}_table2').val();
                        d.search_string_type_{{$key}}               = $('#stringType{{$key}}_table2').val();
                        d.search_table_name_{{$key}}                = $('#stringTableType{{$key}}_table2').val();
                        d.search_string_condition_{{$key}}          = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                        d.search_string_sort_{{$key}}               = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();

                        d.search_string_relation_table_{{$key}}     = $('#stringRelationTable{{$key}}_table2').val();
                        d.search_string_col_name1_{{$key}}          = $('#stringColName1{{$key}}_table2').val();
                        d.search_string_col_name2_{{$key}}          = $('#stringColName2{{$key}}_table2').val();
                        d.search_string_static_{{$key}}             = $('#stringStatic{{$key}}_table2').val();

                        d.search_string_having_{{$key}}             = $('#stringHaving{{$key}}_table2').val();

                        d.search_string_col_alias1_name_{{$key}}    = $('#stringColAl1{{$key}}_table2').val();
                        d.search_string_col_alias2_name_{{$key}}    = $('#stringColAl2{{$key}}_table2').val();
                        d.search_string_col_alias3_name_{{$key}}    = $('#stringColAl3{{$key}}_table2').val();
                        d.search_string_col_alias4_name_{{$key}}    = $('#stringColAl4{{$key}}_table2').val();
                        d.search_string_col_alias5_name_{{$key}}    = $('#stringColAl5{{$key}}_table2').val();
                        d.search_string_col_alias6_name_{{$key}}    = $('#stringColAl6{{$key}}_table2').val();

                        d.search_date_from_value_{{$key}}           = $('#search_date_{{$key}}_table2').val();
                        d.search_date_to_value_{{$key}}             = $('#search_date_end_{{$key}}_table2').val();
                        d.search_date_name_{{$key}}                 = $('#dateKey{{$key}}_table2').val();
                        d.search_date_type_{{$key}}                 = $('#dateType{{$key}}_table2').val();
                        d.search_date_table_name_{{$key}}           = $('#dateTableType{{$key}}_table2').val();
                        d.search_date_condition_{{$key}}            = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                        d.search_date_sort_{{$key}}                 = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_{{$key}}_{{$ke}}  = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_{{$key}}          = $('#is_status_condition_applied{{$key}}').val();
                        d.search_status_name_{{$key}}               = $('#statusOrgColName{{$key}}').val();
                        d.search_status_table_name_{{$key}}         = $('#statusTableType{{$key}}').val();
                        d.search_status_sort_{{$key}}               = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                        d.search_status_sort_column_{{$key}}        = $("#statusOrderColName{{$key}}").val();
                    <?php endforeach; ?>
                },
                beforeSend: function () {
                    if (typeof table3 != 'undefined' && table3.hasOwnProperty('settings')) {
                        table3.settings()[0].jqXHR.abort();
                    }
                }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($key == 'invoice_number') continue;  ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_billing_loads')[$key]['name'])): ?>
                            <?php if(config("settings.table_billing_loads")[$key]["orderable"] == 1 && config("settings.table_billing_loads")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true, className: '{{ config("settings.table_billing_loads")[$key]["class"] }}' },
                            <?php elseif(config("settings.table_billing_loads")[$key]["orderable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false, className: '{{ config("settings.table_billing_loads")[$key]["class"] }}' },
                            <?php elseif(config("settings.table_billing_loads")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true, className: '{{ config("settings.table_billing_loads")[$key]["class"] }}' },
                            <?php else: ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false, className: '{{ config("settings.table_billing_loads")[$key]["class"] }}' },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ],
            fnDrawCallback: function( oSettings ) {
                $('.audit-close').trigger('click');
            }
        });

        $('#missing-docs-loads-data-table tbody').on('click', '.details-control', function () {
            var tr = $(this).closest('tr');
            var row = table3.row(tr);

            if (row.child.isShown()) {
                row.child.hide();
                tr.removeClass('shown');
                tr.children('td:eq(1)').find('.fa-caret-down').removeClass('fa-caret-up');
            } else {
                row.child(loadsChildRows(row.data())).show();
                tr.addClass('shown');
                tr.next('tr').children('td').addClass('p-0');
                tr.children('td:eq(1)').find('.fa-caret-down').addClass('fa-caret-up');
            }
        });
        // Missing Docs Loads - END

        // On Hold Loads - START
        var table4 = $('#on-hold-loads-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv mb-0'<'col-sm-5 col-md-6 cusotdiv2'fl>><'row mt-3'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            ordering: false,
            pageLength: "{{ perPageView() }}",
            ajax: {
                url: "{{ route('company.admin.billing.on.hold.loads.index') }}",
                type:'POST',
                dataType: "json",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_{{$key}}              = $('#search_string_{{$key}}_table4').val();
                        d.search_string_name_{{$key}}               = $('#stringKey{{$key}}_table4').val();
                        d.search_string_type_{{$key}}               = $('#stringType{{$key}}_table4').val();
                        d.search_table_name_{{$key}}                = $('#stringTableType{{$key}}_table4').val();
                        d.search_string_condition_{{$key}}          = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                        d.search_string_sort_{{$key}}               = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();

                        d.search_string_relation_table_{{$key}}     = $('#stringRelationTable{{$key}}_table4').val();
                        d.search_string_col_name1_{{$key}}          = $('#stringColName1{{$key}}_table4').val();
                        d.search_string_col_name2_{{$key}}          = $('#stringColName2{{$key}}_table4').val();
                        d.search_string_static_{{$key}}             = $('#stringStatic{{$key}}_table4').val();

                        d.search_string_having_{{$key}}             = $('#stringHaving{{$key}}_table4').val();

                        d.search_string_col_alias1_name_{{$key}}    = $('#stringColAl1{{$key}}_table4').val();
                        d.search_string_col_alias2_name_{{$key}}    = $('#stringColAl2{{$key}}_table4').val();
                        d.search_string_col_alias3_name_{{$key}}    = $('#stringColAl3{{$key}}_table4').val();
                        d.search_string_col_alias4_name_{{$key}}    = $('#stringColAl4{{$key}}_table4').val();
                        d.search_string_col_alias5_name_{{$key}}    = $('#stringColAl5{{$key}}_table4').val();
                        d.search_string_col_alias6_name_{{$key}}    = $('#stringColAl6{{$key}}_table4').val();

                        d.search_date_from_value_{{$key}}           = $('#search_date_{{$key}}_table4').val();
                        d.search_date_to_value_{{$key}}             = $('#search_date_end_{{$key}}_table4').val();
                        d.search_date_name_{{$key}}                 = $('#dateKey{{$key}}_table4').val();
                        d.search_date_type_{{$key}}                 = $('#dateType{{$key}}_table4').val();
                        d.search_date_table_name_{{$key}}           = $('#dateTableType{{$key}}_table4').val();
                        d.search_date_condition_{{$key}}            = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                        d.search_date_sort_{{$key}}                 = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_{{$key}}_{{$ke}}  = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                        <?php endforeach; ?>

                            d.search_status_condition_{{$key}}          = $('#is_status_condition_applied{{$key}}').val();
                        d.search_status_name_{{$key}}               = $('#statusOrgColName{{$key}}').val();
                        d.search_status_table_name_{{$key}}         = $('#statusTableType{{$key}}').val();
                        d.search_status_sort_{{$key}}               = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                        d.search_status_sort_column_{{$key}}        = $("#statusOrderColName{{$key}}").val();
                    <?php endforeach; ?>
                },
                beforeSend: function () {
                    if (typeof table4 != 'undefined' && table4.hasOwnProperty('settings')) {
                        table4.settings()[0].jqXHR.abort();
                    }
                }
            },
            columns: [
                    <?php foreach($getField as $key => $filed): ?>
                        <?php if($key == 'invoice_number') continue;  ?>
                        <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_billing_loads')[$key]['name'])): ?>
                        <?php if(config("settings.table_billing_loads")[$key]["orderable"] == 1 && config("settings.table_billing_loads")[$key]["searchable"] == 1): ?>
                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true, className: '{{ config("settings.table_billing_loads")[$key]["class"] }}' },
                    <?php elseif(config("settings.table_billing_loads")[$key]["orderable"] == 1): ?>
                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false, className: '{{ config("settings.table_billing_loads")[$key]["class"] }}' },
                    <?php elseif(config("settings.table_billing_loads")[$key]["searchable"] == 1): ?>
                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true, className: '{{ config("settings.table_billing_loads")[$key]["class"] }}' },
                    <?php else: ?>
                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false, className: '{{ config("settings.table_billing_loads")[$key]["class"] }}' },
                <?php endif; ?>
                <?php endif; ?>
                <?php endif; ?>
                <?php endforeach; ?>
            ],
            fnDrawCallback: function( oSettings ) {
                $('.audit-close').trigger('click');
            }
        });

        $('#on-hold-loads-data-table tbody').on('click', '.details-control', function () {
            var tr = $(this).closest('tr');
            var row = table4.row(tr);

            if (row.child.isShown()) {
                row.child.hide();
                tr.removeClass('shown');
                tr.children('td:eq(1)').find('.fa-caret-down').removeClass('fa-caret-up');
            } else {
                row.child(loadsChildRows(row.data())).show();
                tr.addClass('shown');
                tr.next('tr').children('td').addClass('p-0');
                tr.children('td:eq(1)').find('.fa-caret-down').addClass('fa-caret-up');
            }
        });
        // On Hold Loads - END

        // Invoiced Loads - START
        var table5 = $('#invoiced-loads-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv mb-0'<'col-sm-5 col-md-6 cusotdiv2'fl>><'row mt-3'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            ordering: false,
            pageLength: "{{ perPageView() }}",
            ajax: {
                url: "{{ route('company.admin.billing.invoiced.loads.index') }}",
                type:'POST',
                dataType: "json",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_{{$key}}              = $('#search_string_{{$key}}_table4').val();
                        d.search_string_name_{{$key}}               = $('#stringKey{{$key}}_table4').val();
                        d.search_string_type_{{$key}}               = $('#stringType{{$key}}_table4').val();
                        d.search_table_name_{{$key}}                = $('#stringTableType{{$key}}_table4').val();
                        d.search_string_condition_{{$key}}          = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                        d.search_string_sort_{{$key}}               = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                        
                        d.search_string_relation_table_{{$key}}     = $('#stringRelationTable{{$key}}_table4').val();
                        d.search_string_col_name1_{{$key}}          = $('#stringColName1{{$key}}_table4').val();
                        d.search_string_col_name2_{{$key}}          = $('#stringColName2{{$key}}_table4').val();
                        d.search_string_static_{{$key}}             = $('#stringStatic{{$key}}_table4').val();

                        d.search_string_having_{{$key}}             = $('#stringHaving{{$key}}_table4').val();

                        d.search_string_col_alias1_name_{{$key}}    = $('#stringColAl1{{$key}}_table4').val();
                        d.search_string_col_alias2_name_{{$key}}    = $('#stringColAl2{{$key}}_table4').val();
                        d.search_string_col_alias3_name_{{$key}}    = $('#stringColAl3{{$key}}_table4').val();
                        d.search_string_col_alias4_name_{{$key}}    = $('#stringColAl4{{$key}}_table4').val();
                        d.search_string_col_alias5_name_{{$key}}    = $('#stringColAl5{{$key}}_table4').val();
                        d.search_string_col_alias6_name_{{$key}}    = $('#stringColAl6{{$key}}_table4').val();

                        d.search_date_from_value_{{$key}}           = $('#search_date_{{$key}}_table4').val();
                        d.search_date_to_value_{{$key}}             = $('#search_date_end_{{$key}}_table4').val();
                        d.search_date_name_{{$key}}                 = $('#dateKey{{$key}}_table4').val();
                        d.search_date_type_{{$key}}                 = $('#dateType{{$key}}_table4').val();
                        d.search_date_table_name_{{$key}}           = $('#dateTableType{{$key}}_table4').val();
                        d.search_date_condition_{{$key}}            = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                        d.search_date_sort_{{$key}}                 = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_{{$key}}_{{$ke}}  = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_{{$key}}          = $('#is_status_condition_applied{{$key}}').val();
                        d.search_status_name_{{$key}}               = $('#statusOrgColName{{$key}}').val();
                        d.search_status_table_name_{{$key}}         = $('#statusTableType{{$key}}').val();
                        d.search_status_sort_{{$key}}               = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                        d.search_status_sort_column_{{$key}}        = $("#statusOrderColName{{$key}}").val();
                    <?php endforeach; ?>
                },
                beforeSend: function () {
                    if (typeof table5 != 'undefined' && table5.hasOwnProperty('settings')) {
                        table5.settings()[0].jqXHR.abort();
                    }
                }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_billing_loads')[$key]['name'])): ?>
                            <?php if(config("settings.table_billing_loads")[$key]["orderable"] == 1 && config("settings.table_billing_loads")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true, className: '{{ config("settings.table_billing_loads")[$key]["class"] }}' },
                            <?php elseif(config("settings.table_billing_loads")[$key]["orderable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false, className: '{{ config("settings.table_billing_loads")[$key]["class"] }}' },
                            <?php elseif(config("settings.table_billing_loads")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true, className: '{{ config("settings.table_billing_loads")[$key]["class"] }}' },
                            <?php else: ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false, className: '{{ config("settings.table_billing_loads")[$key]["class"] }}' },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ],
            fnDrawCallback: function( oSettings ) {
                $('.audit-close').trigger('click');
            }
        });

        $('#invoiced-loads-data-table tbody').on('click', '.details-control', function () {
            var tr = $(this).closest('tr');
            var row = table5.row(tr);

            if (row.child.isShown()) {
                row.child.hide();
                tr.removeClass('shown');
                tr.children('td:eq(1)').find('.fa-caret-down').removeClass('fa-caret-up');
            } else {
                row.child(loadsChildRows(row.data())).show();
                tr.addClass('shown');
                tr.next('tr').children('td').addClass('p-0');
                tr.children('td:eq(1)').find('.fa-caret-down').addClass('fa-caret-up');
            }
        });
        // Invoiced Loads - END

        $('<a type="button" class="btn btn-primary refreshAll ml-3"><i class="fa fa-refresh"></i> Refresh</a>').prependTo(".dataTables_filter");
        $('<a type="button" id="clearAll{{ str_replace("settings.", "", $tableName) }}" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tableName) }} {{ str_replace("settings.", "", $tableName) }} ml-3 d-none">Clear filters</a>').prependTo(".dataTables_filter");
        $('<button type="button" class="btn btn-primary btn-columns" data-toggle="modal" data-target="#exampleModal">Columns</button>').appendTo(".cusotdiv");
    </script>
    <script type="text/javascript">
        $(function() {
            $(document).ready(function (){
                //$('#exampleModal .sortableList li.invoice-column').attr('style', 'display: none !important');
            });

            $(document).on('click', '.changeLoadTab', function(e) {
                e.preventDefault();

                var getTableName        = $("#getTableName").val();
                var getLastActiveTable  = $("#lastActiveTable").val();
                var getTableVar         = $(this).data('table');

                if(getTableVar == 'table1' || getTableVar == 'table5'){
                    $('#exampleModal .sortableList li.invoice-column').attr('style', 'display: block !important');
                }else{
                    $('#exampleModal .sortableList li.invoice-column').attr('style', 'display: none !important');
                }

                $('.filter_'+getTableName).addClass("d-none");
                $('.columnFilter').removeClass("filter_icon_orange");

                $('.generalModel input[type=checkbox]').prop('checked', false);
                $('.generalModel input[type=radio]').prop('checked', false);
                $('.searchStringClass').val('');
                $('.filterfromdate').val('');
                $('.filtertodate').val('');

                $("#search_string_section").addClass('d-none');
                $("#search_date_section").addClass('d-none');
                $("#search_date_end_section").addClass('d-none');
            });

            $(document).on('click', '.audit-close', function() {
                var activeTab = $('#myTabContent .tab-pane.active');

                activeTab.find('.billing-slider-div').html('');
                activeTab.find('.billingLoadTableBody tr').each(function (){
                    if($(this).hasClass('current-user-audit-lock')){
                        $(this).removeClass('current-user-audit-lock');
                        $(this).find('.audit-lock').addClass('d-none');
                        $(this).find('.audit-load').removeClass('d-none');
                    }
                });

                auditLoadUnlock();
            });

            $(document).on('click', '.audit-load', function() {
                var thisEle = $(this);
                var activeTab = $('#myTabContent .tab-pane');

                // Close All Child Row
                $(this).closest('tbody').find('tr').each(function (){
                    $(this).find('td').each(function (){
                        if($(this).find('.fa-caret-up').length > 0){
                            $(this).find('.fa-caret-up').parent().click();
                        }
                    });
                });
                // Close All Child Row

                $.ajax({
                    url: '{!! route("company.admin.billing.audit.load.view") !!}',
                    method: "POST",
                    data: {
                        load: $(this).attr('data-load'),
                        load_details: $(this).attr('data-load-details'),
                    },
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    dataType: "json",
                    beforeSend: function() {
                        loader();

                        //For Active Tab
                        $('#myTabContent .tab-pane.active').find('.billingLoadTableBody tr').each(function (){
                            if($(this).hasClass('current-user-audit-lock')){
                                $(this).removeClass('current-user-audit-lock');
                                $(this).find('.audit-lock').addClass('d-none');
                                $(this).find('.audit-load').removeClass('d-none');
                            }
                        });

                        //For Not Active Tab
                        activeTab.not('.active').each(function (){
                            $(this).find('.billing-slider-div').html('');
                            $(this).find('.billingLoadTableBody tr').each(function (){
                                if($(this).hasClass('current-user-audit-lock')){
                                    $(this).removeClass('current-user-audit-lock');
                                    $(this).find('.audit-lock').addClass('d-none');
                                    $(this).find('.audit-load').removeClass('d-none');
                                }
                            });
                        });
                    },
                    success: function(response) {
                        if(response.success && response.auditLoadView !== ''){
                            thisEle.addClass('d-none');
                            thisEle.closest('tr').addClass('current-user-audit-lock').find('.audit-lock').removeClass('d-none');

                            $('#myTabContent .tab-pane.active').find('.billing-slider-div').html(response.auditLoadView);

                            $(".billingNew-slider").slick({
                                dots: true,
                                infinite: false,
                                arrows: true,
                                slidesToShow: 1,
                                slidesToScroll: 1,
                                variableWidth: true,
                                centerMode: true,
                            });

                            auditSliderHideShowOption();
                        }else{
                            if(typeof response.reload !== 'undefined'){
                                var tbName = $('#myTab li>.active').attr('data-table');
                                window[tbName].ajax.reload(null, false);
                            }
                            toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                        }
                    },
                    complete: function() {
                        Swal.close();
                    },
                    error: function () {
                        toastr.error('Oops! Something went wrong..', 'Error Alert', { timeOut: 5000 });
                    }
                });
            });
        });
    </script>

    @include('companyAdmin.billing.common-script')
@endsection
