{!! Form::open(['files' => 'true', 'autocomplete'  => 'off', 'name' => 'receive-payment-form', 'id' => 'receive-payment-form']) !!}
    <input type="hidden" id="invoice-balance" value="{{ $invoiceAmount ?? 0.00 }}">
    <input type="hidden" name="load_id" value="{{ $loadDetail->load_id ?? '' }}">
    <input type="hidden" name="load_detail_id" value="{{ $loadDetail->id ?? '' }}">
    <input type="hidden" name="parent_row_index" value="{{ $parentRowIndex ?? '' }}">
    <input type="hidden" id="broker" value="{{ $loadDetail->brokerage_firm ?? '' }}">
    <input type="hidden" id="driver" value="{{ $loadDetail->driver_id ?? 0.00 }}">
    <input type="hidden" id="truck-owner" value="">
    <div class="modal-body p-0">
        <div class="modal-padding">
            <div class="mb-2">
                <div class="row g-16">
                    <div class="col-lg-3 col-sm-6">
                        <div class="form-group">
                            <label>Payment Date</label>
                            <div class="position-relative">
                                {!! Form::text('payment_date', null, array('class' => 'form-control', 'id' => 'payment-date', 'placeholder' => 'MM/DD/YYYY', 'required' => 'required')) !!}
                                <img src=" {{ asset('theme/img/calendar-blue.png') }}" alt="icon">
                            </div>
                        </div>
                    </div>
                    <div class=" col-xl-2 col-lg-3 col-sm-6">
                        <div class="form-group">
                            <div class="row">
                                <div class="col-auto"> <label>Paid By</label></div>
                                <div class="col-auto ml-auto">
                                    <div class="form-check">
                                        {!! Form::checkbox('factor', 1, $loadDetail->broker->factor_invoices ?? null, array('class' => 'form-check-input', 'id' => 'factor')) !!}
                                        <label class="form-check-label pl-1" for="factor">Factor</label>
                                    </div>
                                </div>
                            </div>
                            {!! Form::select('paid_by', ['' => 'Select'] + getPayInvoicePaidBy(), null, ['class' => 'form-control select2', 'id' => 'paid-by', 'required' => 'required', 'data-parsley-errors-container' => '#paid-by-errors']) !!}
                            <div id="paid-by-errors"></div>
                        </div>
                    </div>
                    <div class=" col-xl-2 col-lg-3 col-sm-6">
                        <div class="form-group">
                            <label>Payment Type</label>
                            <div class="position-relative">
                                <select id="payment-type" name="payment_type" class="form-control select2PaymentType" data-parsley-errors-container="#payment-type-errors" required>
                                    <option value="">Select</option>
                                    @foreach (brokerPaymentMethod() as $id => $paymentType)
                                        <option value="{{ $id }}" data-icon="{{ $paymentType['icon'] }}" {{ ($id == 4) ? 'selected' : '' }}>{{ $paymentType['text'] }}</option>
                                    @endforeach
                                </select>
                                {{-- {!! Form::select('payment_type', ['' => 'Select'] + getPaymentTypes(), 4, ['class' => 'form-control select2', 'id' => 'payment-type', 'required' => 'required', 'data-parsley-errors-container' => '#payment-type-errors']) !!} --}}
                                <div id="payment-type-errors"></div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-2 col-lg-3 col-sm-6" id="additionalInfoDiv">
                        <div class="form-group">
                            <label>Additional Info</label>
                            {!! Form::text('additional_info', null, array('class' => 'form-control', 'id' => 'additional-info', 'placeholder' => 'Enter Additional Info')) !!}
                        </div>
                    </div>
                    <div class="col-xl-2 col-lg-3 col-sm-6 d-none" id="checkDiv">
                        <div class="form-group">
                            <label>Check #</label>
                            {!! Form::text('check_number', null, array('class' => 'form-control', 'id' => 'check-number', 'placeholder' => 'Enter Check #')) !!}
                        </div>
                    </div>
                    <div class=" col-xl-3 col-md-6">
                        <div class="form-group">
                            <div class="row">
                                <div class="col-auto"><label>Account Number</label></div>
                                <div class="col-auto ml-auto">
                                    <a href="javascript:void(0);" class="btn-link" data-id="{{ base64Encode($loadDetail->id) ?? '' }}" id="addEditAccount" data-dismiss="modal">Add/Edit</a>
                                </div>
                            </div>
                            @php
                                if(isset($loadDetail->load_billing_payment_accounts)){
                                    $activeAccount = $loadDetail->load_billing_payment_accounts->where('account_status', '1')->first();
                                    $hasActiveAccount = ($activeAccount != '') ? $activeAccount->id : null;
                                }else{
                                    $hasActiveAccount = null;
                                }
                            @endphp
                            {!! Form::select('account_number', ['' => 'Select'] + getPaymentAccount($loadDetail->id), $hasActiveAccount ?? null, ['class' => 'form-control select2', 'id' => 'account-number', 'required' => 'required', 'data-parsley-errors-container' => '#account-number-errors']) !!}
                            <div id="account-number-errors"></div>
                        </div>
                    </div>
                    <div class="col-xl-3 col-md-6">
                        <div class="form-group mb-0">
                            <label>Total Payment Received</label>
                        </div>
                        <div class="bg-gray">
                            <div class="form-group">
                                <div class="row g-8New mb-1">
                                    <div class="col-auto"><label class="mb-0">Total Payment</label>
                                    </div>
                                    <div class=" col-auto ml-auto">
                                        <div class="dropdown">
                                            <button class="dropdown-text dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                USD
                                            </button>
                                            {{--
                                            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuButton">
                                                <a class="dropdown-item" href="javascript:void(0);">Action</a>
                                                <a class="dropdown-item" href="javascript:void(0);">Another action</a>
                                                <a class="dropdown-item" href="javascript:void(0);">Something else here</a>
                                            </div>
                                            --}}
                                        </div>
                                    </div>
                                </div>
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text">$</span>
                                    </div>
                                    {!! Form::number('total_payment', null, array('class' => 'form-control number', 'min' => 0, 'step' => .01, 'placeholder' => '0.00', 'id' => 'total-payment', 'required' => 'required', 'data-parsley-errors-container' => '#total-payment-errors')) !!}
                                </div>
                                <div class="row">
                                    <div class="col-7">
                                        <div id="total-payment-errors"></div>
                                    </div>
                                    <div class="col-5">
                                        <div class="text-right text-out mr-2" id="total-payment-text">Out of Balance</div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl col-lg-6">
                        <div class="form-group mb-0">
                            <label>Load Pay</label>
                        </div>
                        <div class="bg-gray">
                            <div class="row g-8New">
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <div class="row g-8New mb-1">
                                            <div class="col-auto"><label class="mb-0">Payment Amount</label>
                                            </div>
                                            <div class="col-auto ml-auto">
                                                <div class="dropdown">
                                                    <button class="dropdown-text dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                        USD
                                                    </button>
                                                    {{--
                                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuButton">
                                                        <a class="dropdown-item" href="javascript:void(0);">Action</a>
                                                        <a class="dropdown-item" href="javascript:void(0);">Another action</a>
                                                        <a class="dropdown-item" href="javascript:void(0);">Something else here</a>
                                                    </div>
                                                    --}}
                                                </div>
                                            </div>
                                        </div>

                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text">$</span>
                                            </div>
                                            {!! Form::number('load_pay', null, array('class' => 'form-control number', 'min' => 0, 'step' => .01, 'placeholder' => '0.00', 'id' => 'payment-amount', 'required' => 'required', 'data-parsley-errors-container' => '#payment-amount-errors')) !!}
                                        </div>
                                        <div id="payment-amount-errors"></div>
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label class="mb-2">Apply to GL Account</label>
                                        {!! Form::select('load_gl_account', ['' => 'Select'] + getGlAccounts(), null, ['class' => 'form-control select2', 'id' => 'load-gl-account', 'required' => 'required', 'data-parsley-errors-container' => '#load-gl-account-errors']) !!}
                                        <div id="load-gl-account-errors"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="op-0 text-out text-right">Out of Balance</div>
                        </div>
                    </div>
                    <div class="col-xl col-lg-6">
                        <div class="form-group mb-0">
                            <label>Factor Fee</label>
                        </div>
                        <div class="bg-gray">
                            <div class="row g-8New">
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <div class="row g-8New mb-1">
                                            <div class="col-auto"><label class="mb-0">Factor Fee</label>
                                            </div>
                                            <div class="col-auto ml-auto">
                                                <div class="dropdown">
                                                    <button class="dropdown-text dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                        USD
                                                    </button>
                                                    {{--
                                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuButton">
                                                        <a class="dropdown-item" href="javascript:void(0);">Action</a>
                                                        <a class="dropdown-item" href="javascript:void(0);">Another action</a>
                                                        <a class="dropdown-item" href="javascript:void(0);">Something else here</a>
                                                    </div>
                                                    --}}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text">$</span>
                                            </div>
                                            {!! Form::number('factor_fee', null, array('class' => 'form-control number', 'min' => 0, 'step' => .01, 'placeholder' => '0.00', 'id' => 'factor-fee', 'required' => 'required', 'data-parsley-errors-container' => '#factor-fee-errors')) !!}
                                        </div>
                                        <div id="factor-fee-errors"></div>
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label class="mb-2">Apply to GL Account</label>
                                        {!! Form::select('factor_gl_account', ['' => 'Select'] + getGlAccounts(), null, ['class' => 'form-control select2', 'id' => 'factor-gl-account', 'required' => 'required', 'data-parsley-errors-container' => '#factor-gl-account-errors']) !!}
                                        <div id="factor-gl-account-errors"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="op-0 text-out text-right">Out of Balance</div>
                        </div>
                    </div>
                    <div class="col-12">
                        <div class="form-group mb-0">
                            <div class="form-check">
                                {!! Form::checkbox('chargeback', 1, null, array('class' => 'form-check-input', 'id' => 'chargeback')) !!}
                                <label class="form-check-label pl-1" for="chargeback">Chargeback</label>
                            </div>
                        </div>
                        <div class="row g-16 checkBox-block d-none">
                            <div class="col-12" id="chargebackDiv">
                                <div class="row mb-2 chargeback-row">
                                    <div class="col-lg-3 col-sm-6">
                                        <div class="form-group">
                                            <label>Chargeback Type</label>
                                            {!! Form::select('chargeback_type[]', ['' => 'Select'] + getChargebackType(), null, ['class' => 'form-control select2 chargeback-type']) !!}
                                        </div>
                                    </div>
                                    <div class="col-lg-3 col-sm-6">
                                        <div class="form-group">
                                            <label>Select Chargeback</label>
                                            {!! Form::select('chargeback_user[]', ['' => 'Select'], null, ['class' => 'form-control select2 chargeback']) !!}
                                        </div>
                                    </div>
                                    <div class="col-lg-3 col-sm-6">
                                        <div class="form-group">
                                            <label>Chargeback Amount</label>
                                            <div class="input-group ">
                                                <div class="input-group-prepend">
                                                    <span class="input-group-text">$</span>
                                                </div>
                                                {!! Form::number('chargeback_amount[]', null, array('class' => 'form-control number chargeback-amount', 'min' => 0, 'step' => .01, 'placeholder' => '0.00')) !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-3 col-sm-6">
                                        <div class="form-group">
                                            <label>Chargeback Against Balance</label>
                                            <div class="row g-8">
                                                <div class="col">
                                                    {!! Form::select('chargeback_against_balance[]', ['' => 'Select Yes/No', '0' => 'No', '1' => 'Yes'], null, ['class' => 'form-control select2 chargeback-against-balance']) !!}
                                                </div>
                                                <div class="col-auto pl-0">
                                                    <button type="button" class="btn btn-blue btn-plus" id="add-more-chargeback-btn">+</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-3 col-md-4 col-sm-5">
                        <img src=" {{ asset('theme/img/credit-card.png') }}" alt="" class="cardPayment-block h-100" id="cardPayment">
                        <div class="achWirePayment-block h-100 d-none" id="achWirePayment">
                            <div class="d-flex">
                                <img src="{{ asset('theme/img/achWire-icon.png') }}" alt="icon">
                                <div>
                                    <h3>ACH/WIRE</h3>
                                    <span>Automated Clearing House / Bank Wire</span>
                                    <p>Account Number: xxxxxxx9087</p>
                                </div>
                            </div>
                        </div>
                        <div class="cashPayment-block h-100 d-none" id="cashPayment">
                            <div class="d-flex">
                                <img src="{{ asset('theme/img/cashPayment-icon.png') }}" alt="icon">
                                <div>
                                    <h3 id="cash-payment-text">Cash: 0.00</h3>
                                </div>
                            </div>
                        </div>
                        <div class="memo-responsive h-100 d-none" id="checkPayment">
                            <div>
                                <img src="{{ asset('theme/img/memo-icon.png') }}" alt="icon">
                                <div class="d-flex align-items-start">
                                    <img src="{{ asset('theme/img/memo-icon.png') }}" width="37" class="mr-2" alt="icon">
                                    <span>Inc. <br> ISOO Fßhion Boulevard Suite 103 <br> San Mateo. CA 94402</span>
                                    <div class="ml-auto text-right">
                                        <p>010203</p>
                                        <p>10/15/23</p>
                                        <p>AMOUNT: $100.00</p>
                                    </div>
                                </div>
                                <div class="d-flex align-items-end">
                                    <div>
                                        <p>Two Thousand Two Hundred Fifty </p>
                                        <p>PAY TO THE ORDER OF: Dawson Truck Lines</p>
                                        <p>MEMO: Sample</p>
                                    </div>
                                    <div class="ml-auto"> <img src=" {{ asset('theme/img/sign.png') }}" width="106" alt="icon"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-9 col-md-8 col-sm-7">
                        <div class="form-group">
                            <label class="mb-0">Notes</label>
                            {!! Form::textarea('notes', null, array('class' => 'form-control', 'rows' => '6', 'placeholder' => 'Enter Notes')) !!}
                        </div>
                    </div>
                    <div class=" col-12">
                        <div class="row align-items-end mb-2">
                            <div class="col-auto">
                                <button type="button" class="history-button payment-history-button active">Payment History <i class="fa fa-caret-down"></i></button>
                            </div>
                            <div class="col-lg-3 col-sm-6 ml-auto">
                                <div class="form-group">
                                    <label>Balance</label>
                                    <div class="input-group ">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text">$</span>
                                        </div>
                                        {!! Form::number('total_balance', number_format($invoiceAmount, 2, '.', '') ?? null, array('class' => 'form-control number', 'min' => 0, 'step' => .01, 'placeholder' => '0.00', 'readonly' => 'readonly', 'id' => 'total-balance')) !!}
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="table-responsive table-billingModal" style="display: none;">
                            <table>
                                <thead>
                                    <tr>
                                        <th>No.</th>
                                        <th>Paid Date</th>
                                        <th>Paid By</th>
                                        <th>Type</th>
                                        <th>Account</th>
                                        <th>Check #</th>
                                        <th>Load Pay</th>
                                        <th>Factor Pay</th>
                                        <th>Total Paid</th>
                                        <th>Chargeback Type</th>
                                        <th>Chargeback</th>
                                        <th>Amount</th>
                                        <th>Chargeback</th>
                                        <th>Balance</th>
                                        <th>Notes</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @forelse($loadDetail->load_billing_pay_invoices()->orderBy('id', 'DESC')->get() as $loadBillingPaidInvoice)
                                        <tr>
                                            <td>{!! $loop->iteration !!}</td>
                                            <td>{!! $loadBillingPaidInvoice->payment_date ?? '' !!}</td>
                                            <td>{!! getPayInvoicePaidBy()[$loadBillingPaidInvoice->paid_by] ?? '' !!}</td>
                                            <td>{!! getPaymentTypes()[$loadBillingPaidInvoice->payment_type] ?? '' !!}</td>
                                            <td>XXXX{!! getPaymentAccountNumber($loadBillingPaidInvoice->load_detail_id)[$loadBillingPaidInvoice->account_number] ?? '' !!}</td>
                                            <td>{!! $loadBillingPaidInvoice->check_number ?? '' !!}</td>
                                            <td>$ {!! number_format($loadBillingPaidInvoice->load_pay, 2) ?? '' !!}</td>
                                            <td>$ {!! number_format($loadBillingPaidInvoice->factor_fee, 2) ?? '' !!}</td>
                                            <td>$ {!! number_format($loadBillingPaidInvoice->total_payment, 2) ?? '' !!}</td>
                                            @if($loadBillingPaidInvoice->chargeback == 1)
                                                <td>
                                                    @foreach($loadBillingPaidInvoice->chargeback_type as $chargebackType)
                                                        {!! getChargebackType()[$chargebackType] ?? '' !!} <br>
                                                    @endforeach
                                                </td>
                                                <td>
                                                    @foreach($loadBillingPaidInvoice->chargeback_type as $chargebackType)
                                                        @if($chargebackType == '1')
                                                            {!! getBrokerList()[$loadBillingPaidInvoice->chargeback_user[$loop->index]] ?? '' !!} <br>
                                                        @elseif($chargebackType == '2')
                                                            {!! getDriverListByCompany()[$loadBillingPaidInvoice->chargeback_user[$loop->index]] ?? '' !!} <br>
                                                        @elseif($chargebackType == '3')
                                                            {!! getTruckOwnerList()[$loadBillingPaidInvoice->chargeback_user[$loop->index]] ?? '' !!} <br>
                                                        @endif
                                                    @endforeach
                                                </td>
                                                <td>
                                                    @foreach($loadBillingPaidInvoice->chargeback_amount as $chargebackAmount)
                                                        {!! number_format($chargebackAmount, 2) ?? '' !!} <br>
                                                    @endforeach
                                                </td>
                                                <td>
                                                    @foreach($loadBillingPaidInvoice->chargeback_against_balance as $chargebackAgainstBalance)
                                                        {!! ($chargebackAgainstBalance == 1) ? 'Yes' : 'No' !!} <br>
                                                    @endforeach
                                                </td>
                                            @else
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                            @endif
                                            <td>{!! number_format($loadBillingPaidInvoice->total_balance, 2) ?? '' !!}</td>
                                            <td>{!! $loadBillingPaidInvoice->notes ?? '' !!}</td>
                                        </tr>
                                    @empty
                                        <tr>
                                            <td colspan="15" class="text-center">No record found</td>
                                        </tr>
                                    @endforelse
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
        <button type="button" class="btn btn-bluefill disabled" id="apply-pay-invoice">Apply</button>
    </div>
{!! Form::close() !!}
