@if($viewType == 'create')
    {!! Form::open(['autocomplete'  => 'off', 'name' => 'add-reminder-form', 'id' => 'add-reminder-form']) !!}
    <input type="hidden" id="load-detail-id" name="load_detail_id" value="{{ $loadDetail->id ?? '' }}">
    <div class="modal-body p-3">
        <div class="mb-2">
            <div class="row g-8New">
                <div class="col-xl-2 col-lg-3 col-md-4 col-sm-5 col-6">
                    <div class="form-group">
                        <label>Reminder Date</label>
                        <div class="position-relative">
                            {!! Form::text('reminder_date', null, array('class' => 'form-control', 'id' => 'reminder-date', 'placeholder' => 'Enter Date', 'required' => 'required')) !!}
                            <img src=" {{ asset('theme/img/calendar-blue.png') }}" alt="icon">
                        </div>
                    </div>
                </div>
                <div class="col-xl-2 col-lg-3 col-md-4 col-sm-5 col-6">
                    <div class="form-group">
                        <label>Reminder Time</label>
                        <div class="position-relative">
                            {!! Form::text('reminder_time', null, array('class' => 'form-control timePicker', 'id' => 'reminder-time', 'placeholder' => 'Enter Time', 'required' => 'required')) !!}
                            <img src=" {{ asset('theme/img/time-blue.png') }}" alt="icon">
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="mb-3">
            <div class="row g-16">
                <div class="col-xl-7 col-lg-6">
                    <div class="form-group">
                        <label>CC</label>
                        {!! Form::select('reminder_cc[]', getCompanyAdminListByCompanyWithNameEmail(), null, ['class' => 'form-control select2Multiple', 'multiple' => 'multiple']) !!}
                    </div>
                </div>
                <div class="col-auto">
                    <div class="form-group">
                        <label>Repeat</label>
                        <div class="custom-control custom-switch-blue custom-switch-small d-block pl-0">
                            <input type="checkbox" class="custom-control-input self-dispatch" name="reminder_repeat" id="reminder-repeat" value="1">
                            <label class="custom-control-label mb-0" for="reminder-repeat"></label>
                        </div>
                        <label class="switch-text mb-0 Self-Dispatch-lable d-block text-blue">OFF/ON</label>
                    </div>
                </div>
                <div class="col-sm d-none" id="reminderRepeatDiv">
                    <div class="form-group mb-0">
                        <label class="mb-0">Reminder Repeat</label>
                    </div>
                    <div class="btn-group d-flex">
                        <input type="hidden" id="reminder-repeat-frequency" name="reminder_repeat_every" value="1_day">
                        <a href="javascript:void(0);" class="btn btn-blue reminderRepeatFrequency" data-repeat="1_day">
                            1 Day <img class="ml-1" src=" {{ asset('theme/img/timer-blue.svg') }}" alt="icon">
                        </a>
                        <a href="javascript:void(0);" class="btn btn-blueBr reminderRepeatFrequency" data-repeat="1_week">
                            1 Week <img class="ml-1" src=" {{ asset('theme/img/timer-blue.svg') }}" alt="icon">
                        </a>
                        <a href="javascript:void(0);" class="btn btn-blueBr reminderRepeatFrequency" data-repeat="custom">
                            Custom <img class="ml-1" src=" {{ asset('theme/img/timer-blue.svg') }}" alt="icon">
                        </a>
                    </div>
                </div>
                <div class="col-12">
                    <div class="row">
                        <div class="col-10" style="max-width: 82.5%;"></div>
                        <div class="col-2 pr-0 d-none" id="reminderRepeatCustomDiv">
                            <div class="form-group">
                                {!! Form::select('reminder_repeat_custom', ['15_day' => '15 Day', '1_month' => '1 Month', '2_month' => '2 Month', '3_month' => '3 Month', '4_month' => '4 Month', '5_month' => '5 Month', '6_month' => '6 Month'], null, ['class' => 'form-control select2', 'id' => 'reminder-repeat-custom']) !!}
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-12">
                    <div class="form-group">
                        <label>Instructions</label>
                        {!! Form::textarea('reminder_instructions', null, array('class' => 'form-control', 'rows' => '7', 'id' => 'reminder-instructions', 'placeholder' => 'Enter Notes', 'required' => 'required')) !!}
                    </div>
                </div>
            </div>
        </div>
        <button type="button" class="history-button">History <i class="fa fa-caret-down"></i></button>
        <div class="table-responsive table-billingModal">
            <table>
                <thead>
                <tr>
                    <th colspan="8" class="border-0">Reminder History</th>
                </tr>
                <tr>
                    <th>No.</th>
                    <th>Reminder Date</th>
                    <th>Reminder Time</th>
                    <th>Created By</th>
                    <th>Reminder</th>
                    <th>Repeat</th>
                    <th>CC</th>
                    <th>Instructions</th>
                </tr>
                </thead>
                <tbody>
                    <tr>
                        <td class="text-center text-danger font-weight-bold" colspan="8">No Record Found</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
    <div class="modal-footer d-block">
        <div class="row g-20 align-items-center">
            <div class="col-sm-4 col-lg">
                <label>Created By:</label>
            </div>
            <div class="col-sm-4  col-lg">
                <label>Created At:</label>
            </div>
            <div class="col-auto ml-auto"><button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button></div>
            <div class="col-auto"><button type="button" class="btn btn-bluefill"  id="save-reminder">Save</button></div>
        </div>
    </div>
    {!! Form::close() !!}
@elseif($viewType == 'view')
    {!! Form::open(['autocomplete'  => 'off', 'class' => 'fill-readonly', 'name' => 'view-reminder-form', 'id' => 'view-reminder-form']) !!}
    <div class="modal-body p-3">
        <div class="mb-2">
            <div class="row g-8New">
                <div class="col-xl-2 col-lg-3 col-md-4 col-sm-5 col-6">
                    <div class="form-group">
                        <label>Reminder Date</label>
                        <div class="position-relative">
                            {!! Form::text('reminder_date',$reminderDetails->date ?? null, array('class' => 'form-control', 'id' => 'reminder-date', 'placeholder' => 'Enter Date')) !!}
                            <img src=" {{ asset('theme/img/calendar-blue.png') }}" alt="icon">
                        </div>
                    </div>
                </div>
                <div class="col-xl-2 col-lg-3 col-md-4 col-sm-5 col-6">
                    <div class="form-group">
                        <label>Reminder Time</label>
                        <div class="position-relative">
                            {!! Form::text('reminder_time', $reminderDetails->time ?? null, array('class' => 'form-control timePicker', 'id' => 'reminder-time', 'placeholder' => 'Enter Time')) !!}
                            <img src=" {{ asset('theme/img/time-blue.png') }}" alt="icon">
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="mb-3">
            <div class="row g-16">
                <div class="col-xl-7 col-lg-6">
                    <div class="form-group">
                        <label>CC</label>
                        {!! Form::select('reminder_cc[]', getCompanyAdminListByCompanyWithNameEmail(), $reminderDetails->cc ?? '', ['class' => 'form-control select2Multiple', 'multiple' => 'multiple']) !!}
                    </div>
                </div>
                <div class="col-auto">
                    <div class="form-group">
                        <label>Repeat</label>
                        <div class="custom-control custom-switch-blue custom-switch-small d-block pl-0">
                            <input type="checkbox" class="custom-control-input self-dispatch" name="reminder_repeat" id="reminder-repeat" value="1" {{ ($reminderDetails->repeat == '1') ? 'checked' : '' }}>
                            <label class="custom-control-label mb-0" for="reminder-repeat"></label>
                        </div>
                        <label class="switch-text mb-0 Self-Dispatch-lable d-block text-blue">OFF/ON</label>
                    </div>
                </div>
                <div class="col-sm {{ ($reminderDetails->repeat == '0') ? 'd-none' : '' }}" id="reminderRepeatDiv">
                    <div class="form-group mb-0">
                        <label class="mb-0">Reminder Repeat</label>
                    </div>
                    <div class="btn-group d-flex">
                        <a href="javascript:void(0);" class="btn {{ ($reminderDetails->repeat == '1' && $reminderDetails->reminder_repeat_every == '1_day') ? 'btn-blue' : 'btn-blueBr' }} reminderRepeatFrequency" data-repeat="1_day">
                            1 Day <img class="ml-1" src=" {{ asset('theme/img/timer-blue.svg') }}" alt="icon">
                        </a>
                        <a href="javascript:void(0);" class="btn {{ ($reminderDetails->repeat == '1' && $reminderDetails->reminder_repeat_every == '1_week') ? 'btn-blue' : 'btn-blueBr' }} reminderRepeatFrequency" data-repeat="1_week">
                            1 Week <img class="ml-1" src=" {{ asset('theme/img/timer-blue.svg') }}" alt="icon">
                        </a>
                        <a href="javascript:void(0);" class="btn {{ ($reminderDetails->repeat == '1' && in_array($reminderDetails->reminder_repeat_every, ['15_day', '1_month', '2_month', '3_month', '4_month', '5_month', '6_month'])) ? 'btn-blue' : 'btn-blueBr' }} reminderRepeatFrequency" data-repeat="custom">
                            Custom <img class="ml-1" src=" {{ asset('theme/img/timer-blue.svg') }}" alt="icon">
                        </a>
                    </div>
                </div>
                <div class="col-12">
                    <div class="row">
                        <div class="col-10" style="max-width: 82.5%;"></div>
                        <div class="col-2 pr-0 {{ (!in_array($reminderDetails->reminder_repeat_every, ['15_day', '1_month', '2_month', '3_month', '4_month', '5_month', '6_month'])) ? 'd-none' : '' }}" id="reminderRepeatCustomDiv">
                            <div class="form-group">
                                {!! Form::select('reminder_repeat_custom', ['15_day' => '15 Day', '1_month' => '1 Month', '2_month' => '2 Month', '3_month' => '3 Month', '4_month' => '4 Month', '5_month' => '5 Month', '6_month' => '6 Month'], $reminderDetails->reminder_repeat_every ?? '', ['class' => 'form-control select2', 'id' => 'reminder-repeat-custom']) !!}
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-12">
                    <div class="form-group">
                        <label>Instructions</label>
                        {!! Form::textarea('reminder_instructions', $reminderDetails->instruction ?? '', array('class' => 'form-control', 'rows' => '7', 'id' => 'reminder-instructions', 'placeholder' => 'Enter Notes')) !!}
                    </div>
                </div>
            </div>
        </div>
        <button type="button" class="history-button">History <i class="fa fa-caret-down"></i></button>
        <div class="table-responsive table-billingModal">
            <table>
                <thead>
                <tr>
                    <th colspan="8" class="border-0">Reminder History</th>
                </tr>
                <tr>
                    <th>No.</th>
                    <th>Reminder Date</th>
                    <th>Reminder Time</th>
                    <th>Created By</th>
                    <th>Reminder</th>
                    <th>Repeat</th>
                    <th>CC</th>
                    <th>Instructions</th>
                </tr>
                </thead>
                <tbody>
                    @if(!empty($reminderDetails->history))
                        @foreach($reminderDetails->history as $history)
                            <tr>
                                <td>{{ $loop->iteration ?? '' }}</td>
                                <td>{{ $history['date'] ?? '' }}</td>
                                <td>{{ $history['time'] ?? '' }}</td>
                                <td>{{ getCompanyAdminNameById($history['created_by']) ?? '' }}</td>
                                <td>
                                    @if($history['repeat'] == '1')
                                        <img src=" {{ asset('theme/img/repeat-blue.png') }}" alt="icon" width="14">
                                    @endif
                                </td>
                                <td>{{ $history['reminder'] ?? '' }}</td>
                                <td>
                                    @foreach($history['cc'] as $cc)
                                        @if($cc != '')
                                            <span class="textBdadge">
                                                {{ $cc ?? '' }} <button type="button" class="close" aria-label="Close"><i class="fa fa-close"></i></button>
                                            </span>
                                        @endif
                                    @endforeach
                                </td>
                                <td>{{ $history['instruction'] ?? '' }}</td>
                            </tr>
                        @endforeach
                    @else
                        <tr>
                            <td class="text-center text-danger font-weight-bold" colspan="8">No Record Found</td>
                        </tr>
                    @endif
                </tbody>
            </table>
        </div>
    </div>
    {!! Form::close() !!}
    <div class="modal-footer d-block">
        <div class="row g-20 align-items-center">
            <div class="col-sm-4 col-lg">
                <label>Created By: {{ getCompanyAdminListByCompany()[$reminderDetails->created_by] ?? null }}</label>
            </div>
            <div class="col-sm-4  col-lg">
                <label>Created At: {{ $reminderDetails->created_on ?? null }}</label>
            </div>
            <div class="col-auto ml-auto"><button type="button" class="btn btn-bluefill" data-dismiss="modal">Close</button></div>
        </div>
    </div>
@elseif($viewType == 'edit')
    {!! Form::open(['autocomplete'  => 'off', 'name' => 'add-reminder-form', 'id' => 'add-reminder-form']) !!}
    <input type="hidden" id="reminder-id" name="reminder_id" value="{{ $reminderDetails->id ?? '' }}">
    <input type="hidden" id="load-detail-id" name="load_detail_id" value="{{ $loadDetail->id ?? '' }}">
    <div class="modal-body p-3">
        <div class="mb-2">
            <div class="row g-8New">
                <div class="col-xl-2 col-lg-3 col-md-4 col-sm-5 col-6">
                    <div class="form-group">
                        <label>Reminder Date</label>
                        <div class="position-relative">
                            {!! Form::text('reminder_date',$reminderDetails->date ?? null, array('class' => 'form-control', 'id' => 'reminder-date', 'placeholder' => 'Enter Date')) !!}
                            <img src=" {{ asset('theme/img/calendar-blue.png') }}" alt="icon">
                        </div>
                    </div>
                </div>
                <div class="col-xl-2 col-lg-3 col-md-4 col-sm-5 col-6">
                    <div class="form-group">
                        <label>Reminder Time</label>
                        <div class="position-relative">
                            {!! Form::text('reminder_time', $reminderDetails->time ?? null, array('class' => 'form-control timePicker', 'id' => 'reminder-time', 'placeholder' => 'Enter Time')) !!}
                            <img src=" {{ asset('theme/img/time-blue.png') }}" alt="icon">
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="mb-3">
            <div class="row g-16">
                <div class="col-xl-7 col-lg-6">
                    <div class="form-group">
                        <label>CC</label>
                        {!! Form::select('reminder_cc[]', getCompanyAdminListByCompanyWithNameEmail(), $reminderDetails->cc ?? '', ['class' => 'form-control select2Multiple', 'multiple' => 'multiple']) !!}
                    </div>
                </div>
                <div class="col-auto">
                    <div class="form-group">
                        <label>Repeat</label>
                        <div class="custom-control custom-switch-blue custom-switch-small d-block pl-0">
                            <input type="checkbox" class="custom-control-input self-dispatch" name="reminder_repeat" id="reminder-repeat" value="1" {{ ($reminderDetails->repeat == '1') ? 'checked' : '' }}>
                            <label class="custom-control-label mb-0" for="reminder-repeat"></label>
                        </div>
                        <label class="switch-text mb-0 Self-Dispatch-lable d-block text-blue">OFF/ON</label>
                    </div>
                </div>
                <div class="col-sm {{ ($reminderDetails->repeat == '0') ? 'd-none' : '' }}" id="reminderRepeatDiv">
                    <div class="form-group mb-0">
                        <label class="mb-0">Reminder Repeat</label>
                    </div>
                    <div class="btn-group d-flex">
                        @if($reminderDetails->repeat == '1' && $reminderDetails->reminder_repeat_every == '1_day')
                            <input type="hidden" id="reminder-repeat-frequency" name="reminder_repeat_every" value="1_day">
                        @elseif($reminderDetails->repeat == '1' && $reminderDetails->reminder_repeat_every == '1_week')
                            <input type="hidden" id="reminder-repeat-frequency" name="reminder_repeat_every" value="1_week">
                        @elseif($reminderDetails->repeat == '1' && in_array($reminderDetails->reminder_repeat_every, ['15_day', '1_month', '2_month', '3_month', '4_month', '5_month', '6_month']))
                            <input type="hidden" id="reminder-repeat-frequency" name="reminder_repeat_every" value="custom">
                        @else
                            <input type="hidden" id="reminder-repeat-frequency" name="reminder_repeat_every" value="">
                        @endif
                        <a href="javascript:void(0);" class="btn {{ ($reminderDetails->repeat == '1' && $reminderDetails->reminder_repeat_every == '1_day') ? 'btn-blue' : 'btn-blueBr' }} reminderRepeatFrequency" data-repeat="1_day">
                            1 Day <img class="ml-1" src=" {{ asset('theme/img/timer-blue.svg') }}" alt="icon">
                        </a>
                        <a href="javascript:void(0);" class="btn {{ ($reminderDetails->repeat == '1' && $reminderDetails->reminder_repeat_every == '1_week') ? 'btn-blue' : 'btn-blueBr' }} reminderRepeatFrequency" data-repeat="1_week">
                            1 Week <img class="ml-1" src=" {{ asset('theme/img/timer-blue.svg') }}" alt="icon">
                        </a>
                        <a href="javascript:void(0);" class="btn {{ ($reminderDetails->repeat == '1' && in_array($reminderDetails->reminder_repeat_every, ['15_day', '1_month', '2_month', '3_month', '4_month', '5_month', '6_month'])) ? 'btn-blue' : 'btn-blueBr' }} reminderRepeatFrequency" data-repeat="custom">
                            Custom <img class="ml-1" src=" {{ asset('theme/img/timer-blue.svg') }}" alt="icon">
                        </a>
                    </div>
                </div>
                <div class="col-12">
                    <div class="row">
                        <div class="col-10" style="max-width: 82.5%;"></div>
                        <div class="col-2 pr-0 {{ (!in_array($reminderDetails->reminder_repeat_every, ['15_day', '1_month', '2_month', '3_month', '4_month', '5_month', '6_month'])) ? 'd-none' : '' }}" id="reminderRepeatCustomDiv">
                            <div class="form-group">
                                {!! Form::select('reminder_repeat_custom', ['15_day' => '15 Day', '1_month' => '1 Month', '2_month' => '2 Month', '3_month' => '3 Month', '4_month' => '4 Month', '5_month' => '5 Month', '6_month' => '6 Month'], $reminderDetails->reminder_repeat_every ?? '', ['class' => 'form-control select2', 'id' => 'reminder-repeat-custom']) !!}
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-12">
                    <div class="form-group">
                        <label>Instructions</label>
                        {!! Form::textarea('reminder_instructions', $reminderDetails->instruction ?? '', array('class' => 'form-control', 'rows' => '7', 'id' => 'reminder-instructions', 'placeholder' => 'Enter Notes')) !!}
                    </div>
                </div>
            </div>
        </div>
        <button type="button" class="history-button">History <i class="fa fa-caret-down"></i></button>
        <div class="table-responsive table-billingModal">
            <table>
                <thead>
                    <tr>
                        <th colspan="8" class="border-0">Reminder History</th>
                    </tr>
                    <tr>
                        <th>No.</th>
                        <th>Reminder Date</th>
                        <th>Reminder Time</th>
                        <th>Created By</th>
                        <th>Repeat</th>
                        <th>Reminder</th>
                        <th>CC</th>
                        <th>Instructions</th>
                    </tr>
                </thead>
                <tbody>
                    @if(!empty($reminderDetails->history))
                        @foreach($reminderDetails->history as $history)
                            <tr>
                                <td>{{ $loop->iteration ?? '' }}</td>
                                <td>{{ $history['date'] ?? '' }}</td>
                                <td>{{ $history['time'] ?? '' }}</td>
                                <td>{{ getCompanyAdminNameById($history['created_by']) ?? '' }}</td>
                                <td>
                                    @if($history['repeat'] == '1')
                                        <img src=" {{ asset('theme/img/repeat-blue.png') }}" alt="icon" width="14">
                                    @endif
                                </td>
                                <td>{{ $history['reminder'] ?? '' }}</td>
                                <td>
                                    @foreach($history['cc'] as $cc)
                                        @if($cc != '')
                                            <span class="textBdadge">
                                                {{ $cc ?? '' }} <button type="button" class="close" aria-label="Close"><i class="fa fa-close"></i></button>
                                            </span>
                                        @endif
                                    @endforeach
                                </td>
                                <td>{{ $history['instruction'] ?? '' }}</td>
                            </tr>
                        @endforeach
                    @else
                        <tr>
                            <td class="text-center text-danger font-weight-bold" colspan="8">No Record Found</td>
                        </tr>
                    @endif
                </tbody>
            </table>
        </div>
    </div>
    <div class="modal-footer d-block">
        <div class="row g-20 align-items-center">
            <div class="col-sm-4 col-lg">
                <label>Created By: {{ getCompanyAdminListByCompany()[$reminderDetails->created_by] ?? null }}</label>
            </div>
            <div class="col-sm-4  col-lg">
                <label>Created At: {{ $reminderDetails->created_on ?? null }}</label>
            </div>
            <div class="col-auto ml-auto"><button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button></div>
            <div class="col-auto"><button type="button" class="btn btn-bluefill"  id="save-reminder">Save</button></div>
        </div>
    </div>
    {!! Form::close() !!}
@endif
