@extends($companyAdminTheme)

@section('title')
    Review Load Documents
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/dataTables.bootstrap4.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
        .main-wrapper.ngd-wrapper {
            margin-top: 75px;
            margin-bottom: 0;
            margin-right: 0;
        }
        .container-fluid {
            padding: 0 !important;
        }
        .left-menu-open.ngd-menu {
            display: none;
        }
        @media (max-width:1199px) {
            .main-wrapper.ngd-wrapper {
                margin-left: 50px;
            }
        }
        .pdf-img {
            min-height: 265px;
        }
        .pdf-img .pdf {
            content: '';
            position: absolute;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            background: #616376;
            pointer-events: none;
        }
        #load-documents-list .pdfPreview-sidebarPdng .received img {
            height: 77px;
            margin: 0 auto 6px;
        }
        #load-documents-list .pdfPreview-sidebarPdng .received p {
            color: #19C936;
            font-size: 14px;
            font-weight: 600;
            margin-bottom: 6px;
        }
        #load-documents-list .pdfPreview-sidebarPdng .received span {
            display: block;
            font-size: 8px;
            line-height: 1.3;
            font-weight: 500;
        }
        #pdf-preview .img {
            background: #F1F3F6;
            box-shadow: 0px 4px 19px #00000029;
        }
        #pdf-preview .img-original {
            width: 616px;
            height: 100%;
            max-width: 100%;
            margin: 0 auto;
            padding: 10px;
            text-align: center;
            background: #F1F3F6;
            box-shadow: 0px 4px 19px #00000029;
        }
        #pdf-preview .img-original .received img {
            width: 175px;
        }
        #pdf-preview .img-original .received p {
            color: #19C936;
            font-size: 28px;
            font-weight: 600 !important;
            margin-bottom: 6px !important;
        }
        #pdf-preview .img-original .received span {
            display: block;
            font-size: 16px;
            line-height: 1.3;
            font-weight: 500;
        }
        .btn.disabled {
            pointer-events: none;
        }
        .btn-blueBr:hover {
            color: #305F9C;
            background-color: #F1F3F6;
            border: 1px solid #305F9C;
        }
        .btn-blue:hover {
            border: 1px solid #305F9C;
            color: #F1F3F6;
            background-color: #305F9C;
        }
    </style>
@endsection

@section('content')
    <div class="pdfPreview-main lite-grey">
        <div class="row h-100">
            <div class="col-auto">
                <div class="pdfPreview-sidebar left">
                    <div class="pdfPreview-sidebarPdng">
                        <a href="{{ url()->previous() }}" class="btn-link mb-3"><i class="fa fa-chevron-left mr-2 "></i>Back</a>
                        <div class="form-group">
                            <label>Load Number</label>
                            {!! Form::select('load_number', ['' => 'Select Load'] + getDeliveredLoads(), null, ['class' => 'form-control select2', 'id' => 'load-number']) !!}
                        </div>
                    </div>
                    <hr class="my-0">
                    <div class="pdfPreview-sidebarPdng custom-scrollbar d-none" id="load-billing-activity">
                        <h6>Billing Activity</h6>
                        <div class="timeline-main"></div>
                    </div>
                    <div class="pdfPreview-btn"><i class="fa fa-caret-right"></i></div>
                </div>
            </div>
            <div class="col position-relative">
                <div class="pdfPreview-pdf" id="pdf-preview"></div>
                <div class="pdf-status d-none" id="review-document">
                    <input type="hidden" id="load-document-details" value="">
                    <div class="row g-8New">
                        <div class="col-sm">
                            <p class="document-status"></p>
                            <div class="form-check">
                                <input type="checkbox" class="form-check-input" id="approve-verified" value="1">
                                <label class="form-check-label" for="approve-verified">By checking this box you agree this document is approved to bill.</label>
                            </div>
                        </div>
                        <div class="col-auto">
                            <button type="button" class="btn btn-blueBr" data-file-verify="2" id="rejectDoc">Reject</button>
                            <button type="button" class="btn btn-blue disabled" data-file-verify="1" id="approveDoc">Approve</button>
                        </div>
                    </div>
                </div>
                <div class="pdf-status pdf-statusReject d-none" id="request-document">
                    <input type="hidden" id="load-document-details" value="">
                    <p>Document Request</p>
                    <span id="req-driver-text">Request a copy of this document from driver James Harding?</span>
                    <div class="form-group">
                        <label>Notes</label>
                        <textarea class="form-control" rows="5" name="notes" id="notes" placeholder="Enter Notes"></textarea>
                    </div>
                    <div class="text-right">
                        <button type="button" class="btn btn-blueBr" id="cancel-request-document">Cancel</button>
                        <button type="button" class="btn btn-blue" id="send-document-request">Send Request</button>
                    </div>
                </div>
            </div>
            <div class="col-md-auto">
                <div class="pdfPreview-sidebar right d-none" id="load-documents-list"></div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script type="text/javascript">
        function loader(){
            Swal.fire({
                title: '<h5 class="font-weight-bold">Please wait...</h5>',
                allowEscapeKey: false,
                allowOutsideClick: false,
                didOpen: () => {
                    Swal.showLoading()
                }
            });
        }

        function loadPdfContent() {
            $('#active-page-count').text('');
            $('#pdf-preview').html('');
            $('#review-document').addClass('d-none');

            if($('#load-documents-list .custom-scrollbar .pdfPreview-sidebarPdng').length > 0){
                $('#load-documents-list .custom-scrollbar .pdfPreview-sidebarPdng .pdf-img').each(function (){
                    if($(this).hasClass('active')){
                        var jsonData = $(this).parent().find('#load-document').val();

                        if(typeof jsonData != 'undefined'){
                            $('#review-document').removeClass('d-none');
                            $('#review-document #load-document-details').val(jsonData);

                            jsonData = JSON.parse(jsonData);

                            if(jsonData.file_verify == '0'){
                                $('#approve-verified').prop('checked', false).removeAttr('disabled');
                                $('#rejectDoc').removeClass('disabled');
                                $('#approveDoc').addClass('disabled');

                                $('.document-status').html('Status: <span class="text-danger">Pending</span>');
                            }else if(jsonData.file_verify == '1'){
                                $('#approve-verified').prop('checked', true).attr('disabled', 'disabled');
                                $('#rejectDoc').addClass('disabled');
                                $('#approveDoc').addClass('disabled');

                                $('.document-status').html('Status: <span class="text-success">Approved</span>');
                            }else if(jsonData.file_verify == '2'){
                                if(jsonData.history.length > 0){
                                    var lastEle = jsonData.history[jsonData.history.length - 1];
                                    if(typeof lastEle !== 'undefined'){
                                        if(typeof lastEle.uploaded_at !== 'undefined'){
                                            $('#approve-verified').prop('checked', false).removeAttr('disabled');
                                            $('#rejectDoc').removeClass('disabled');
                                            $('#approveDoc').addClass('disabled');

                                            $('.document-status').html('Status: <span class="text-danger">Rejected</span>');
                                        }else if(typeof lastEle.requested_at !== 'undefined'){
                                            $('#approve-verified').prop('checked', false).attr('disabled', 'disabled');
                                            $('#rejectDoc').addClass('disabled');
                                            $('#approveDoc').addClass('disabled');

                                            $('.document-status').html('Status: <span class="text-danger">Rejected</span>');
                                        }
                                    }
                                }else{
                                    $('#approve-verified').prop('checked', false).removeAttr('disabled');
                                    $('#rejectDoc').addClass('disabled');
                                    $('#approveDoc').addClass('disabled');

                                    $('.document-status').html('Status: <span class="text-danger">Rejected</span>');
                                }
                            }
                        }else{
                            $('#review-document').addClass('d-none');
                            $('#review-document #load-document-details').val('');
                        }

                        if(typeof $(this).next('h6').attr('data-page-count') != 'undefined'){
                            $('#active-page-count').text(' ('+ $(this).next('h6').attr('data-page-count') +' Pages)');
                            $('#pdf-preview').html('<div class="img" >'+ $(this).find('.pdf').html() +'</div>');
                        }else{
                            $('#active-page-count').text('');
                            $('#pdf-preview').html('<div class="img-original d-flex align-items-center justify-content-center"><div class="received">'+ $(this).find('.received').html() +'</div></div>');
                        }
                    }
                });
            }else{
                $('#pdf-preview').html('<div class="alert alert-danger" role="alert"><h6 class="text-center">Paperwork Not Received</h6></div>');
            }
        }

        $(function (){
            $(".pdfPreview-btn").click(function() {
                $(this).parent(".pdfPreview-sidebar").toggleClass("active");
            });

            $(document).on("click", ".pdf-img", function (){
               $('#load-documents-list .custom-scrollbar .pdfPreview-sidebarPdng .pdf-img').each(function (){
                   $(this).removeClass('active');
               });
               $(this).addClass('active');

                loadPdfContent();
            });

            $(document).on('change', '#load-number', function (e){
                e.preventDefault();

                var loadDetailId = $(this).val();

                if(loadDetailId !== ''){
                    $.ajax({
                        url: '{!! route('company.admin.billing.review.load.documents.view') !!}',
                        type: 'POST',
                        data: {
                            loadDetailId: loadDetailId,
                        },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        beforeSend: function() {
                            loader();
                        },
                        success: function(response) {
                            if(response.success){
                                if(response.billingActivityView != ''){
                                    $('#load-billing-activity').removeClass('d-none');
                                    $('#load-billing-activity .timeline-main').html(response.billingActivityView);
                                }else{
                                    $('#load-billing-activity').addClass('d-none');
                                    $('#load-billing-activity .timeline-main').html('');
                                }

                                if(response.loadDocumentsView != ''){
                                    $('#load-documents-list').removeClass('d-none').html(response.loadDocumentsView);
                                }else{
                                    $('#load-documents-list').addClass('d-none').html('');
                                }

                                loadPdfContent();
                            }else{
                                toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        complete: function() {
                            Swal.close();
                        },
                        error: function(jqXHR, status, exception) {
                            var error = 'Failed to load data';
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
                return false;
            });

            $(document).on('change', '#approve-verified', function (){
                if($(this).is(':checked')){
                    $('#approveDoc').removeClass('disabled');
                }else{
                    $('#approveDoc').addClass('disabled');
                }
            });

            $(document).on('click', '#approveDoc, #rejectDoc', function(e) {
                e.preventDefault();

                var file_verify = $(this).attr('data-file-verify');
                var loadDetailsId = $("select[name=load_number]").find("option:selected").val();
                var jsonData = $('#review-document #load-document-details').val();

                if(typeof jsonData != 'undefined'){
                    $.ajax({
                        url: '{!! route('company.admin.billing.audit.load.documents.data.update') !!}',
                        type: 'POST',
                        data: {
                            is_from_review: true,
                            file_verify: file_verify,
                            loadDetailsId: loadDetailsId,
                            jsonData: jsonData, // Load Document Data
                        },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        beforeSend: function() {
                            loader();
                        },
                        success: function(response) {
                            if(response.success){
                                if(response.billingActivityView != ''){
                                    $('#load-billing-activity').removeClass('d-none');
                                    $('#load-billing-activity .timeline-main').html(response.billingActivityView);
                                }else{
                                    $('#load-billing-activity').addClass('d-none');
                                    $('#load-billing-activity .timeline-main').html('');
                                }

                                if(response.loadDocumentsView != ''){
                                    $('#load-documents-list').removeClass('d-none').html(response.loadDocumentsView);
                                }else{
                                    $('#load-documents-list').addClass('d-none').html('');
                                }

                                loadPdfContent();

                                if(file_verify == '2'){
                                    documentData = JSON.parse(jsonData);
                                    var reqString = '';
                                    if(typeof documentData.stop.driver_full_name != 'undefined'){
                                        reqString = 'Request a copy of this document from driver '+ documentData.stop.driver_full_name +'?';
                                    }
                                    $('#request-document #req-driver-text').text(reqString);
                                    $('#request-document #load-document-details').val(jsonData);
                                    $('#request-document').removeClass('d-none');
                                }

                                toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                            }else{
                                toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        complete: function() {
                            Swal.close();
                        },
                        error: function(jqXHR, status, exception) {
                            var error = 'Failed to load data';
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
                return false;
            });

            $(document).on('click', '#cancel-request-document', function (){
                $('#request-document #req-driver-text').text('');
                $('#request-document #load-document-details').val('');
                $('#request-document #notes').val('');
                $('#request-document').addClass('d-none');
            });

            $(document).on('click', '#send-document-request', function (){
                var loadDetailsId = $("select[name=load_number]").find("option:selected").val();
                var notes = $('#request-document #notes').val();
                var jsonData = $('#request-document #load-document-details').val();

                if(typeof jsonData !='undefined'){
                    $.ajax({
                        url: '{!! route('company.admin.billing.audit.load.request.documents.save') !!}',
                        type: 'POST',
                        data: {
                            is_from_review: true,
                            loadDetailsId: loadDetailsId,
                            jsonData: jsonData, // Load Document Data
                            notes: notes,
                        },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        beforeSend: function() {
                            loader();
                        },
                        success: function(response) {
                            if(response.success){
                                if(response.billingActivityView != ''){
                                    $('#load-billing-activity').removeClass('d-none');
                                    $('#load-billing-activity .timeline-main').html(response.billingActivityView);
                                }else{
                                    $('#load-billing-activity').addClass('d-none');
                                    $('#load-billing-activity .timeline-main').html('');
                                }

                                if(response.loadDocumentsView != ''){
                                    $('#load-documents-list').removeClass('d-none').html(response.loadDocumentsView);
                                }else{
                                    $('#load-documents-list').addClass('d-none').html('');
                                }

                                loadPdfContent();

                                $('#cancel-request-document').trigger('click');

                                toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                            }else{
                                toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        complete: function() {
                            Swal.close();
                        },
                        error: function(jqXHR, status, exception) {
                            var error = 'Failed to load data';
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });

            @if(isset(request()->id) && request()->id != '')
                $('#load-number').val('{!! base64Decode(request()->id) !!}').trigger('change');
            @endif
        });
    </script>
@endsection
