@extends($companyAdminTheme)

@section('title')
    View Invoice
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style>
        .modal-content .disabled {
            pointer-events: none !important;
        }
        body, .ngd-menu .left-menus {
            background: #F1F3F6
        }
        ::-webkit-scrollbar-thumb {
            background: #305F9C;
            border-radius: 10px;
        }

        .invoice-header .card {
            border-radius: 10px;
        }
        .invoice-header .card .card-header {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border-radius: 10px;
        }
        .invoice-header .card .card-header h6 {
            font: normal normal bold 16px/20px Inter;
            letter-spacing: 0px;
            color: #FFFFFF;
        }
        .invoice-header .card .card-header .btn-blueBr:hover {
            border: 1px solid #F1F3F6;
            background-color: #305F9C;
            color: #F1F3F6;
        }
        .form-group .input-group img {
            width: 15px;
            position: absolute;
            right: 10px;
            bottom: 12px;
        }
        .form-group .custom-top-label {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C !important;
        }

        .ngd-new .custom-control-input:checked~.custom-control-label::before {
            border: 2px solid #305F9C !important;
        }
        .custom-control-input:checked~.custom-control-label::before {
            background-color: #305F9C !important;
        }
        .custom-control-input~.custom-control-label::before,
        .custom-control-input~.custom-control-label::before,
        .custom-control-input:checked~.custom-control-label::before {
            border: 2px solid #305F9C !important;
            border-radius: 4px;
        }
        .custom-checkbox .custom-control-label::before {
            border-radius: 4px !important;
        }
        .custom-checkbox .custom-control-input:checked~.custom-control-label::after {
            color: #fff !important;
        }

        .ngd-new .billingPaid-main .btn-blue {
            border-radius: 10px;
        }
        .ngd-new .billingPaid-main .btn-blueBr {
            border-radius: 10px;
            line-height: 18px;
            text-align: center;
            padding: 12.5px 0.75rem;
        }

        #receive-payment-form .form-check,
        #addEdit .form-check,
        #editAccount .form-check,
        #create-payment-account-form .form-check {
            padding-left: 0px !important;
        }
        #receive-payment-form .form-check input,
        #addEdit .form-check input,
        #editAccount .form-check input,
        #create-payment-account-form .form-check input {
            opacity: 0;
        }
        #receive-payment-form .form-check label::before,
        #addEdit .form-check label::before,
        #editAccount .form-check label::before,
        #create-payment-account-form .form-check label::before {
            content: '';
            position: absolute;
            width: 16px;
            height: 16px;
            left: 0;
            border: 2px solid #305F9C;
            border-radius: 4px;
            top: 3px;
        }
        #receive-payment-form .form-check label::after,
        #addEdit .form-check label::after,
        #editAccount .form-check label::after,
        #create-payment-account-form .form-check label::after {
            content: "\f00c";
            font: normal normal normal 14px/1 FontAwesome;
            color: white;
            left: 3px;
            position: absolute;
            top: 6px;
            font-size: 10px;
            opacity: 0;
        }
        #receive-payment-form .form-check-input,
        #addEdit .form-check-input,
        #editAccount .form-check-input,
        #create-payment-account-form .form-check-input {
            position: inherit;
            margin-top: inherit;
            margin-left: inherit;
        }
        #receive-payment-form .form-check input[type="checkbox"]:checked~label::before,
        #addEdit .form-check input[type="checkbox"]:checked~label::before,
        #editAccount .form-check input[type="checkbox"]:checked~label::before,
        #create-payment-account-form .form-check input[type="checkbox"]:checked~label::before {
            background-color: #305F9C;
        }
        #receive-payment-form .form-check input[type="checkbox"]:checked~label::after,
        #addEdit .form-check input[type="checkbox"]:checked~label::after,
        #editAccount .form-check input[type="checkbox"]:checked~label::after,
        #create-payment-account-form .form-check input[type="checkbox"]:checked~label::after {
            opacity: 1;
        }
        #receive-payment-form .remove-more-chargeback-btn {
            font-size: 25px;
            padding: 5px 16px;
            font-weight: bold;
            height: auto;
            border-radius: 4px;
            box-shadow: 0 3px 6px rgb(0 0 0 / 16%);
        }
        .modal-billingNew .form-group #select2-payment-type-container img,
        .modal-billingNew .form-group #select2-account-payment-type-container img,
        .modal-billingNew .form-group #select2-edit-account-payment-type-container img {
            max-width: inherit;
            max-height: inherit;
            top: inherit;
            transform: inherit;
        }
        .form-group #select2-payment-type-container img,
        .form-group #select2-account-payment-type-container img,
        .form-group #select2-edit-account-payment-type-container img {
            position: inherit;
            right: inherit;
            bottom: inherit;
        }
        #select2-payment-type-results .select2-results__option--highlighted[aria-selected] .img-icon,
        #select2-account-payment-type-results .select2-results__option--highlighted[aria-selected] .img-icon,
        #select2-edit-account-payment-type-results .select2-results__option--highlighted[aria-selected] .img-icon {
            filter: brightness(0) saturate(100%) invert(100%) sepia(10%) saturate(7459%) hue-rotate(286deg) brightness(118%) contrast(108%);
        }
    </style>
@endsection

@section('content')
    <div class="billingPaid-main">
        <div class="invoice-header">
            <div class="card mb-2">
                <div class="card-header">
                    <div class="row align-items-center">
                        <div class="col-6">
                            <h6 class="text-capitalize">Invoice {{ substr($loadInvoice->invoice_number, 4) ?? ''}} ({{ $loadDetail->load_number ?? '' }})</h6>
                        </div>
                        <div class="col-6 pr-0 text-right">
                            <a href="{{ route('company.admin.billing.index') }}"><button type="button" class="btn btn-blueBr px-4" style="line-height: 10px;">Back</button></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        {!! Form::open(['files' => 'true', 'autocomplete'  => 'off', 'name' => 'invoice-form', 'id' => 'invoice-form']) !!}
        <input type="hidden" name="load_id" value="{{ $loadDetail->load_id ?? '' }}">
        <input type="hidden" name="load_detail_id" value="{{ $loadDetail->id ?? '' }}">
        <input type="hidden" name="customer" value="{{ $loadDetail->broker->id ?? '' }}">
        <div class="row g-16">
            <div class="col-xl-4">
                <div class="bg-white custom-scrollbar">
                    <div class="form-group">
                        <label>Invoice No.</label>
                        {!! Form::text('invoice_number', $invoiceData['invoice_number'], array('class' => 'form-control invoice-no', 'id' => 'invoice-number', 'placeholder' => '', 'readonly' => 'readonly')) !!}
                    </div>
                    <div class="form-group mb-md-4 mb-4">
                        <label>Payments Terms</label>
                        <div class="row g-16">
                            <div class="col-6">
                                {!! Form::select('payments_terms_date', ['1' => 'Invoice Date', '2' => 'Delivery Date'], $invoiceData['payments_terms_date'], ['class' => 'form-control select2 fil-disabled', 'id' => 'payments-terms-date']) !!}
                            </div>
                            <div class="col-6">
                                {!! Form::select('payments_terms_days', getPaymentsTermsDays(), $invoiceData['payments_terms_days'], ['class' => 'form-control select2 fil-disabled', 'id' => 'payments-terms-days']) !!}
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Invoice Template</label>
                        {!! Form::select('invoice_template', brokerFreightBillFormat(), $invoiceData['invoice_template'], ['class' => 'form-control select2 fil-disabled', 'id' => 'invoice-template']) !!}
                    </div>
                    <div class="mb-4 mb-md-4">
                        <div class="row g-16">
                            <div class="col-6">
                                <div class="form-group">
                                    <label>Invoice Date</label>
                                    <div class="input-group">
                                        {!! Form::text('invoice_date', $invoiceData['invoice_date'], array('class' => 'form-control datePicker', 'id' => 'invoice-date', 'placeholder' => 'MM/DD/YYY', 'readonly' => 'readonly')) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-6">
                                <div class="form-group">
                                    <label>Due Date</label>
                                    <div class="input-group">
                                        {!! Form::text('due_date', $invoiceData['due_date'], array('class' => 'form-control datePicker', 'id' => 'due-date', 'placeholder' => 'MM/DD/YYY', 'readonly' => 'readonly')) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-6">
                                <div class="form-group">
                                    <label>Date Paid</label>
                                    <div class="input-group">
                                        {!! Form::text('paid_date', $invoiceData['paid_date'], array('class' => 'form-control datePicker', 'id' => 'paid-date', 'placeholder' => 'MM/DD/YYY', 'readonly' => 'readonly')) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Preferred Billing Method</label>
                        {!! Form::select('billing_method', brokerBillingMethod(), $invoiceData['billing_method'], ['class' => 'form-control select2 fil-disabled', 'id' => 'billing-method']) !!}
                    </div>
                    <div class="form-group mb-4 mb-md-4">
                        <label>Email Address</label>
                        <div class="row g-16">
                            <div class="col">
                                {!! Form::text('invoice_email', $invoiceData['invoice_email'], array('class' => 'form-control', 'id' => 'invoice-email', 'placeholder' => 'Email Address', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        @if(isset($invoiceData['invoice_email_cc']) && $invoiceData['invoice_email_cc'] != '')
                            <div class="row g-16" id="emailCCDiv">
                                <div class="col">
                                    {!! Form::text('invoice_email_cc', $invoiceData['invoice_email_cc'], array('class' => 'form-control', 'id' => 'invoice-email-cc', 'placeholder' => 'Email CC', 'readonly' => 'readonly')) !!}
                                </div>
                            </div>
                        @endif
                        @if(isset($invoiceData['invoice_email_bcc']) && $invoiceData['invoice_email_bcc'] != '')
                            <div class="row g-16" id="emailBCCDiv">
                                <div class="col">
                                    {!! Form::text('invoice_email_bcc', $invoiceData['invoice_email_bcc'], array('class' => 'form-control', 'id' => 'invoice-email-bcc', 'placeholder' => 'Email BCC', 'readonly' => 'readonly')) !!}
                                </div>
                            </div>
                        @endif
                    </div>
                    <div class="form-group">
                        <label>Customer</label>
                        {!! Form::text('bill_to_name', $invoiceData['bill_to_name'], array('class' => 'form-control', 'id' => 'bill-to-name', 'placeholder' => 'Customer', 'readonly' => 'readonly')) !!}
                    </div>
                    <div class="form-group">
                        <label class="mb-0">Billing Address</label>
                        {!! Form::text('billing_address', $invoiceData['billing_address'], array('id' => 'bill-address', 'class' => 'form-control', 'placeholder' => 'Billing Address', 'readonly' => 'readonly')) !!}
                    </div>
                    <div class="form-group">
                        <label class="mb-0">Billing Address 2</label>
                        {!! Form::text('billing_address_2', $invoiceData['billing_address_2'], array('id' => 'billing-address-2', 'class' => 'form-control', 'placeholder' => 'Billing Address 2', 'readonly' => 'readonly')) !!}
                    </div>
                    <div class="mb-4 mb-md-4">
                        <div class="row g-16">
                            <div class="col-4">
                                <div class="form-group">
                                    <label class="mb-0">Billing City</label>
                                    {!! Form::text('billing_city', $invoiceData['billing_city'], array('id' => 'billing-city','class' => 'form-control', 'placeholder' => 'Billing City', 'readonly' => 'readonly')) !!}
                                </div>
                            </div>
                            <div class="col-4">
                                <div class="form-group">
                                    <label class="mb-0">Billing State</label>
                                    {!! Form::text('billing_state', $invoiceData['billing_state'], array('id' => 'billing-state','class' => 'form-control', 'placeholder' => 'Billing State', 'readonly' => 'readonly')) !!}
                                </div>
                            </div>
                            <div class="col-4">
                                <div class="form-group">
                                    <label class="mb-0">Billing Zip</label>
                                    {!! Form::text('billing_zip', $invoiceData['billing_zip'], array('id' => 'billing-zip','class' => 'form-control', 'placeholder' => 'Billing Zip', 'readonly' => 'readonly')) !!}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="d-flex align-items-center">
                            <div class="mr-auto">
                                <label class="mb-0">PO No.</label>
                            </div>
                        </div>
                        {!! Form::text('po_number', $invoiceData['po_number'], array('class' => 'form-control', 'id' => 'po-number', 'placeholder' => 'PO No.', 'readonly' => 'readonly')) !!}
                    </div>
                    <div class="form-group">
                        <div class="d-flex align-items-center">
                            <div class="mr-auto">
                                <label class="mb-0">BOL No.</label>
                            </div>
                        </div>
                        {!! Form::text('bol_number', $invoiceData['bol_number'], array('class' => 'form-control', 'id' => 'bol-number', 'placeholder' => 'BOL No.', 'readonly' => 'readonly')) !!}
                    </div>
                    <div class="form-group">
                        <div class="d-flex align-items-center">
                            <div class="mr-auto">
                                <label class="mb-0">Pickup No.</label>
                            </div>
                        </div>
                        {!! Form::text('pickup_number', $invoiceData['pickup_number'], array('class' => 'form-control', 'id' => 'pickup-number', 'placeholder' => 'Pickup No.', 'readonly' => 'readonly')) !!}
                    </div>
                    <div class="form-group">
                        <div class="d-flex align-items-center">
                            <div class="mr-auto">
                                <label class="mb-0">Delivery No.</label>
                            </div>
                        </div>
                        {!! Form::text('delivery_number', $invoiceData['delivery_number'], array('class' => 'form-control', 'id' => 'delivery-number', 'placeholder' => 'Delivery No.', 'readonly' => 'readonly')) !!}
                    </div>
                    <div class="form-group mb-md-4 mb-4">
                        <div class="d-flex align-items-center">
                            <div class="mr-auto">
                                <label class="mb-0">Notes</label>
                            </div>
                        </div>
                        {!! Form::textarea('notes', $invoiceData['notes'], array('id' => 'notes', 'class' => 'form-control', 'rows' => '3', 'placeholder' => 'Notes', 'readonly' => 'readonly')) !!}
                    </div>
                    <div class="form-group  mb-md-4 mb-4">
                        <label>Invoice Options</label>
                        <div class="row g-16 align-items-center">
                            <div class="col-auto">
                                <div class="custom-control custom-checkbox">
                                    {!! Form::checkbox('add_qr_code', 1, $invoiceData['add_qr_code'], array('class' => 'custom-control-input', 'id' => 'add-qr-code')) !!}
                                    <label class="custom-control-label fil-disabled" for="add-qr-code">Add QR Code</label>
                                </div>
                            </div>
                            <div class="col-auto">
                                <div class="custom-control custom-checkbox">
                                    {!! Form::checkbox('send_payment_reminder', 1, $invoiceData['send_payment_reminder'], array('class' => 'custom-control-input', 'id' => 'send-payment-reminder')) !!}
                                    <label class="custom-control-label fil-disabled" for="send-payment-reminder">Send Payment Reminder</label>
                                </div>
                            </div>
                            @if(isset($invoiceData['send_payment_reminder']) && $invoiceData['send_payment_reminder'] == '1')
                                <div class="col-auto in-option" id="reminderDaysDiv">
                                    {!! Form::select('payment_reminder_days', ['3_days' => '3 Days', '7_days' => '7 Days', '14_days' => '14 Days', '30_days' => '30 Days', '45_days' => '45 Days'], $invoiceData['payment_reminder_days'], ['class' => 'form-control custom-select2 select2 fil-disabled', 'id' => 'payment-reminder-days']) !!}
                                </div>
                            @endif
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Salesman</label>
                        {!! Form::select('salesman', ['' => 'Select'], $invoiceData['salesman'], ['class' => 'form-control select2 fil-disabled', 'id' => 'salesman']) !!}
                    </div>
                    <div class="form-group">
                        <label>Carrier</label>
                        {!! Form::select('carrier', ['' => 'Select'] + getCarrierList(), $invoiceData['carrier'], ['class' => 'form-control select2 fil-disabled', 'id' => 'carrier']) !!}
                    </div>
                    <div class="form-group">
                        <label>Dispatcher</label>
                        {!! Form::select('dispatcher', ['' => 'Select'] + getCompanyAdminListByCompany(), $invoiceData['dispatcher'], ['class' => 'form-control select2 fil-disabled', 'id' => 'dispatcher']) !!}
                    </div>
                    <div class="form-group">
                        <label>Truck</label>
                        {!! Form::select('truck', ['' => 'Select'] + getTruckNumberList(), $invoiceData['truck'], ['class' => 'form-control select2 fil-disabled', 'id' => 'truck']) !!}
                    </div>
                    <div class="form-group">
                        <label>Trailer</label>
                        {!! Form::select('trailer', ['' => 'Select'] + getTrailerNumberListByCompany(), $invoiceData['trailer'], ['class' => 'form-control select2 fil-disabled', 'id' => 'trailer']) !!}
                    </div>
                    <div class="form-group">
                        <label>Driver</label>
                        {!! Form::select('driver', ['' => 'Select'] + getDriverListByCompany(), $invoiceData['driver'], ['class' => 'form-control select2 fil-disabled', 'id' => 'driver']) !!}
                    </div>
                </div>
            </div>
            <div class="col-xl-8">
                <div class="bg-white right">
                    <div class="row g-16">
                        <div class="col-xxl-9 col-lg-8">
                            <div class="billingPaid-box text-center">
                                @foreach($invoiceTopNotes as $invoiceTopNote)
                                    @if(!empty($invoiceTopNote))
                                        <div class="alert alert-warning text-left mb-2">
                                            <p class="font-weight-bold d-inline"><i class="fa fa-exclamation-circle mt-1" aria-hidden="true"></i> File Note:</p>
                                            {!! str_replace('<p>', '<p class="d-inline">', $invoiceTopNote) ?? '' !!}
                                        </div>
                                    @endif
                                @endforeach
                                <div class="img invoice-section">
                                    <div class="table-responsive">
                                        <table>
                                            <tr>
                                                <td>
                                                    <table style="border: 1px solid #D8D8DD; ">
                                                        <tr>
                                                            <td colspan="6">
                                                                <table>
                                                                    <tr>
                                                                        <td style="padding: 10px 10px 5px 10px">
                                                                            <span style="font-weight: 600;">{!! $invoiceData['company_name'] !!}</span><br>
                                                                            {!!  $invoiceData['company_address'] ?? '' !!} {!!  $invoiceData['company_address_2'] ?? '' !!}<br>
                                                                            {!!  $invoiceData['company_city'] ?? '' !!}, {!!  $invoiceData['company_state'] ?? '' !!}, {!!  $invoiceData['company_zip'] ?? '' !!}<br>
                                                                            <b>Phone:</b> {!! $invoiceData['company_phone'] ?? '' !!}
                                                                        </td>
                                                                        <td style="padding: 10px;border-bottom: 1px solid #D8D8DD;width: 150px;text-align: center;" rowspan="2">
                                                                            <table>
                                                                                <tr>
                                                                                    <td style="text-align: right;font-weight: bold;padding-right: 10px;">Invoice Number</td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td style="font-size: 12px;font-weight: bold;text-align: right;padding-right: 30px;">
                                                                                        {!! $invoiceData['invoice_number'] !!}
                                                                                    </td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td class="{{ ($loadInvoice->add_qr_code == '0') ? 'd-none' : '' }}" style="padding-top: 10px;text-align: right;">
                                                                                        @if(!empty($invoiceData['company_logo']))
                                                                                            <img src="data:image/png;base64, {{ base64_encode(QrCode::format('png')->style('dot')->eye('square')->size(300)->merge($invoiceData['company_logo'], 0.90, true)->errorCorrection('H')->generate(route('company.admin.broker.invoice.view', ['type' => 3, 'id' => base64Encode($loadInvoice->id), 'format' => 0]))) }}" alt="QrCode" />
                                                                                        @else
                                                                                            <img src="data:image/png;base64, {{ base64_encode(QrCode::format('png')->style('dot')->eye('square')->size(300)->errorCorrection('H')->generate(route('company.admin.broker.invoice.view', ['type' => 3, 'id' => base64Encode($loadInvoice->id), 'format' => 0]))) }}" alt="QrCode" />
                                                                                        @endif
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td style="padding:  5px 10px 10px  10px;border-bottom: 1px solid #D8D8DD;">
                                                                            <table>
                                                                                <tr>
                                                                                    <td style="width: 160px;"> <b>Bill To:</b> <br>
                                                                                        {!! $invoiceData['bill_to_name'] !!} <br/>
                                                                                        <span id="billing-address-text">{!! $invoiceData['billing_address'] ?? '' !!} </span><span id="billing-address2-text">{!! $invoiceData['billing_address_2'] ?? '' !!}</span> <br/>
                                                                                        <span id="billing-city-text">{!! $invoiceData['billing_city'] ?? '' !!}</span>, <span id="billing-state-text">{!! $invoiceData['billing_state'] ?? '' !!}</span>, <span id="billing-zip-text">{!! $invoiceData['billing_zip'] ?? '' !!}</span><br/>
                                                                                    </td>
                                                                                    <td style="padding-left: 10px;">
                                                                                        <span style="width: 45px;height: 45px;background: #FF6D10;border-radius: 50%;overflow: hidden;display: flex;align-items: center;justify-content: center;">
                                                                                            {!! $invoiceData['customer_logo'] !!}
                                                                                        </span>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="6" style="border-bottom: 1px solid #D8D8DD;">
                                                                <table>
                                                                    <tr>
                                                                        <td style="padding: 10px;">
                                                                            <span style="font-weight: bold;">Origin:</span> <br>
                                                                            {!! $invoiceData['origin'] ?? '' !!}
                                                                        </td>
                                                                        <td style="padding: 10px;">
                                                                            <span style="font-weight: bold;">Destination:</span> <br>
                                                                            {!! $invoiceData['origin'] ?? '' !!}
                                                                        </td>
                                                                        <td style="padding: 10px;">
                                                                            <span style="font-weight: bold;">Commodity:</span> <br>
                                                                            {!! $invoiceData['commodity'] ?? '' !!}
                                                                        </td>
                                                                        <td style="padding: 10px;">
                                                                            <span style="font-weight: bold;">Weight:</span> <br>
                                                                            {!! $invoiceData['weight'] ?? '' !!} lbs
                                                                        </td>
                                                                        <td style="padding: 10px;">
                                                                            <span style="font-weight: bold;">Load Type:</span> <br>
                                                                            {!! $invoiceData['load_type'] ?? '' !!}
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td width="50%" style="font-weight: bold;padding: 15px 2px 2px 15px;" colspan="2">DESCRIPTION</td>
                                                            <td width="15%" style="font-weight: bold;padding: 15px 2px 2px 2px;text-align: center;">QUANTITY</td>
                                                            <td width="15%" style="font-weight: bold;padding: 15px 2px 2px 2px;text-align: right;">RATE</td>
                                                            <td width="20%" style="font-weight: bold;padding: 15px 15px 2px 2px;text-align: right;" colspan="2">AMOUNT</td>
                                                        </tr>
                                                        <tr>
                                                            <td style="padding: 2px 2px 2px 15px" colspan="2">Linehaul</td>
                                                            <td style="padding: 2px 2px 2px 2px;text-align: center;">1</td>
                                                            <td style="padding: 2px 2px 2px 2px;text-align: right;">{!! $invoiceData['line_haul_formatted'] !!}</td>
                                                            <td style="padding: 2px 15px 2px 2px; text-align: right;" colspan="2">{!! $invoiceData['line_haul_formatted'] !!}</td>
                                                        </tr>
                                                        <tr>
                                                            <td style=" padding: 2px 2px 2px 15px" colspan="2">Fuel Surcharge</td>
                                                            @if($invoiceData['fuel_surcharge_rate_type'] == 1)
                                                                <td style="padding: 2px 2px 2px 2px;text-align: center;">{!! $invoiceData['agreed_upon_rate_formatted'] !!}</td>
                                                                <td style="padding: 2px 2px 2px 2px;text-align: right;">{!! $invoiceData['fuel_surcharge_cost_per_mile'] !!}</td>
                                                                <td style="padding: 2px 15px 2px 2px; text-align: right;" colspan="2">{!! $invoiceData['fuel_surcharge_formatted'] !!}</td>
                                                            @else
                                                                <td style="padding: 2px 2px 2px 2px;text-align: center;">{!! $invoiceData['loaded_miles_formatted'] !!}</td>
                                                                <td style="padding: 2px 2px 2px 2px;text-align: right;">{!! $invoiceData['fuel_surcharge_cost_per_mile'] !!}</td>
                                                                <td style="padding: 2px 15px 2px 2px; text-align: right;" colspan="2">{!! $invoiceData['fuel_surcharge_formatted'] !!}</td>
                                                            @endif
                                                        </tr>
                                                        @foreach($invoiceData['accessorial_and_detention'] as $accessorialAndDetention)
                                                            {!! $accessorialAndDetention !!}
                                                        @endforeach
                                                        <tr>
                                                            <td colspan="6" style="padding: 0;border-bottom: 1px solid #D8D8DD;">&nbsp;</td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="3" style="padding: 10px;">
                                                                <table>
                                                                    <tr>
                                                                        <td style="font-weight: bold;padding: 1px 0;">NOTES:</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td style="font-weight: 600;padding: 1px 2px 2px 2px">
                                                                            {!! $invoiceData['invoice_notes'] !!}
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td style="font-weight: 500;padding: 2px;">&nbsp;</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td style="font-weight: 500;padding: 2px;">&nbsp;</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                            <td colspan="3" style="padding: 10px;vertical-align: top;">
                                                                <table>
                                                                    <tr>
                                                                        <td style="font-weight: bold;padding: 2px;">
                                                                            Linehaul
                                                                        </td>
                                                                        <td style="font-weight: bold;padding: 2px;text-align: right;">
                                                                            {!! $invoiceData['line_haul_formatted'] !!}
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td style="font-weight: bold;padding: 2px;">
                                                                            Fuel
                                                                        </td>
                                                                        <td style="font-weight: bold;padding: 2px;text-align: right;">
                                                                            {!! $invoiceData['fuel_surcharge_formatted'] !!}
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td style="font-weight: bold;padding: 2px 2px 5px 2px;">
                                                                            Accessorials
                                                                        </td>
                                                                        <td style="font-weight: bold;padding: 2px 2px 5px 2px;text-align: right;">
                                                                            {!! $invoiceData['accessorial_amount_formatted'] !!}
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td style="font-weight: bold;padding: 2px 2px 5px 2px;border-bottom: 1px solid #D8D8DD;">
                                                                            Detention
                                                                        </td>
                                                                        <td style="font-weight: bold;padding: 2px 2px 5px 2px;border-bottom: 1px solid #D8D8DD;text-align: right;">
                                                                            {!! $invoiceData['detention_amount_formatted'] !!}
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td style="font-weight: bold;padding: 5px 2px 2px 2px;">
                                                                            Invoice Total
                                                                        </td>
                                                                        <td style="font-weight: bold;padding: 5px 2px 2px 2px;text-align: right;">
                                                                            {!! $invoiceData['invoice_total_formatted'] !!}
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="2" style="font-weight: bold;padding:2px 2px 2px 15px ;">
                                                                Remit Payment To:
                                                            </td>
                                                            <td colspan="2" rowspan="2" style="padding:10px;text-align: center;border-bottom: 1px solid #D8D8DD;">
                                                                Thank
                                                                you for your business!
                                                            </td>
                                                            <td colspan="2" rowspan="2" style="padding:10px;border-bottom: 1px solid #D8D8DD;">
                                                                &nbsp;
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="2" style="padding: 0 2px 10px 15px ;border-bottom: 1px solid #D8D8DD;">
                                                                {!! $invoiceData['factor_invoices'] !!}
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="6" style="border-bottom: 1px solid #D8D8DD;">
                                                                <table>
                                                                    <tr>
                                                                        <td style="font-size: 12px;padding: 10px 2px 1px 15px;font-weight: bold;">
                                                                            TERMS
                                                                        </td>
                                                                        <td style="font-size: 12px;padding: 10px 2px 1px 2px;font-weight: bold;">
                                                                            INVOICE DATE
                                                                        </td>
                                                                        <td style="font-size: 12px;padding: 10px 2px 1px 2px;font-weight: bold;">
                                                                            DUE DATE
                                                                        </td>
                                                                        <td style="font-size: 12px;padding: 10px 15px 1px 2px;font-weight: bold;background: #e8effd;text-align: right;">
                                                                            BALANCE DUE
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td style="padding: 1px 4px 4px 15px;font-weight: bold;font-size: 16px;white-space:nowrap" id="pdf-payments-terms-days">Net 30 Days</td>
                                                                        <td style="padding: 1px 4px 4px 2px;font-weight: bold;font-size: 16px;white-space:nowrap" id="pdf-invoice-date"></td>
                                                                        <td style="padding: 1px 4px 4px 2px;font-weight: bold;font-size: 16px;white-space:nowrap" id="pdf-due-date"></td>
                                                                        <td style="padding: 1px 15px 4px 2px;font-weight: bold;font-size: 16px;background: #e8effd;text-align: right;white-space:nowrap">{!! $invoiceData['balance_due_formatted'] !!}</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="6" style="text-align: center ;font-size: 10px;padding: 10px 0px 8px 0px;font-weight: 600;">
                                                                This invoice was created by DispatchPro Inc. Powered by the pro's at &nbsp;&nbsp;<img src="{{ asset('theme/img/DispatchPro-Logo.svg') }}" style="width:75px" alt="Logo"> <br>
                                                                Pay this invoice at <a href="javascript:void(0);" style="color: #305F9C;text-decoration: none; text-transform: lowercase;">www.dispatchpro.com/payments</a>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-xxl-3 col-lg-4">
                            <div class="billingPaid-box balance-block">
                                <div class="form-group mb-2">
                                    <input type="hidden" name="invoice_amount" value="{{ $invoiceData['invoice_total'] }}">
                                    <label>Balance Due</label>
                                    <h2>{!! $invoiceData['balance_due_formatted'] !!}</h2>
                                </div>
                                <div class="mb-2">
                                    <div class="row g-16">
                                        <div class="col">
                                            @if(isset($loadDetail->load_billing_activities) && $loadDetail->load_billing_activities->paid_invoice == '1')
                                                <button type="button" class="btn btn-block btn-successBr">Paid</button>
                                            @else
                                                <button type="button" class="btn btn-block btn-blue showReceivePaymentModal" data-id="{{ base64Encode($loadDetail->id) }}" data-number="{{ $loadDetail->load_number }}">Receive Payment</button>
                                            @endif
                                        </div>
                                        <div class="col-auto">
                                            <div class="dropdown">
                                                <button class="btn btn-blueBr dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"></button>
                                                <div class="dropdown-menu dropdown-menu-right"
                                                     aria-labelledby="dropdownMenuButton">
                                                    <a class="dropdown-item" href="{{ route('company.admin.broker.invoice.view', [
                                                            'type'  => 0,
                                                            'id'    => base64Encode($loadInvoice->id),
                                                            'format'=> 0
                                                        ]
                                                    ) }}" target="_blank">Print</a>
                                                    <a class="dropdown-item" href="{{ route('company.admin.broker.invoice.view', [
                                                            'type'  => '0',
                                                            'id'    => base64Encode($loadInvoice->id),
                                                            'format'=> 1
                                                        ]
                                                    ) }}">Save</a>
                                                    @if(isset($loadDetail->load_billing_activities) && $loadDetail->load_billing_activities->paid_invoice == '0')
                                                        @if($loadInvoice->billing_method != '3')
                                                            <a class="dropdown-item" href="javascript:void(0);" data-invoice="{{ base64Encode($loadInvoice->id) }}" data-send-by="0" id="resendInvoice">Resend</a>
                                                            <a class="dropdown-item" href="javascript:void(0);" data-toggle="modal" data-target="#sendInvoiceByEmailModal">Send via Email</a>
                                                            @if (isset(getCompanyTwilioData()['active']) && getCompanyTwilioData()['active'] == 'yes')
                                                                <a class="dropdown-item" href="javascript:void(0);" data-toggle="modal" data-target="#sendInvoiceBySmsModal">Send via SMS</a>
                                                            @endif
                                                        @endif
                                                        <a class="dropdown-item" href="{{ route('company.admin.billing.invoice.edit', base64Encode($loadInvoice->id)) }}" id="editInvoice">Edit Invoice</a>
                                                        <a class="dropdown-item" href="javascript:void(0);" id="create-link">Create Link</a>
                                                        <a class="dropdown-item" href="javascript:void(0);">Cancel Load/Void</a>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="accordion mb-2" id="billing_accrordion">
                                    <div class="card">
                                        <div class="card-header d-none" id="accordion1">
                                            <h2 class="mb-0">
                                                <button class="btn btn-link btn-block text-left" type="button" data-toggle="collapse" data-target="#accordion1-collapse" aria-expanded="true" aria-controls="accordion1-collapse">
                                                    Preview Billing Documents<i class="fa fa-angle-down" aria-hidden="true"></i>
                                                </button>
                                            </h2>
                                        </div>
                                        <div class="collapse" id="accordion1-collapse" aria-labelledby="accordion1" data-parent="#billing_accrordion">
                                            <div class="card-body">
                                                Preview Billing Documents
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card">
                                        <div class="card-header" id="accordion2">
                                            <h2 class="mb-0">
                                                <button class="btn btn-link btn-block text-left" type="button" data-toggle="collapse" data-target="#accordion2-collapse" aria-expanded="true" aria-controls="accordion2-collapse">
                                                    Billing & Payment History <i class="fa fa-angle-down" aria-hidden="true"></i>
                                                </button>
                                            </h2>
                                        </div>
                                        <div class="collapse" id="accordion2-collapse" aria-labelledby="accordion2" data-parent="#billing_accrordion">
                                            <div class="card-body">
                                                <div class="billingPaymentHistory-timeline custom-scrollbar">
                                                    @include('companyAdmin.billing.billing-payment-history', $loadDetail)
                                                    {{--
                                                    <div class="block red-block">
                                                        <div class="dot"></div>
                                                        <div>
                                                            <div class="click-text">
                                                                <p>Collection Note <i class="fa fa-angle-down" aria-hidden="true"></i></p>
                                                                <span>12/12/2023 02:44:39 AM</span>
                                                            </div>
                                                            <div class="hide">
                                                                <span>Entered By: Christian Snead <br>Type: SMS
                                                                    <br>Note:</span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="block red-block">
                                                        <div class="dot"></div>
                                                        <div>
                                                            <div class="click-text">
                                                                <p>Payment <i class="fa fa-angle-down" aria-hidden="true"></i></p>
                                                                <span>12/20/2023 04:55:58 PM</span>
                                                            </div>
                                                            <div class="hide">
                                                                <span>Entered By: Christian Snead <br>Payment Type: Standard
                                                                    Check <br>Account: <br>Amount: <br>Balance:
                                                                    <br>Note:</span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="block red-block">
                                                        <div class="dot"></div>
                                                        <div>
                                                            <div class="click-text">
                                                                <p>Payment <i class="fa fa-angle-down" aria-hidden="true"></i></p>
                                                                <span>12/20/2023 04:55:58 PM</span>
                                                            </div>
                                                            <div class="hide">
                                                                <span>Payment Type: Standard Check<br>Account: <br>Amount:
                                                                 <br>Balance: <br>Note:</span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="block green-block">
                                                        <div class="dot"></div>
                                                        <div>
                                                            <div class="click-text">
                                                                <p>Paid <i class="fa fa-angle-down" aria-hidden="true"></i>
                                                                </p>
                                                                <span>12/21/2023 09:15:31 AM</span>
                                                            </div>
                                                            <div class="hide">
                                                                <span>Entered By: Christian Snead <br>Amount Due: $ 1,400.00
                                                                    <br>Amount Paid: $ 1,400.00 <br>Balance: $ 400.00
                                                                    <br>Term: 30 <br>Days To Pay: 32</span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    --}}
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                @if(!empty($loadDetail->load_billing_activities) && $loadDetail->load_billing_activities->invoiced == '1')
                                    @php
                                        $invoicedActionBy = (!empty($loadDetail->load_billing_activities->invoiced_user_by)) ? getCompanyAdminNameById($loadDetail->load_billing_activities->invoiced_user_by) : '';
                                        $invoicedDateTime = (!empty($loadDetail->load_billing_activities->invoiced_date_time)) ? \Illuminate\Support\Carbon::parse($loadDetail->load_billing_activities->invoiced_date_time)->format('m/d/Y H:i:s A') : '';
                                    @endphp
                                    <div class="created-block">
                                        <p>Created By <b>{!! $invoicedActionBy ?? '' !!}</b></p>
                                        <p>Created On <b>{!! $invoicedDateTime ?? '' !!}</b></p>
                                    </div>
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        {!! Form::close() !!}
    </div>
@endsection

@section('modal')
    <div class="modal fade" id="invoiceBillingPaid" tabindex="-1" role="dialog" aria-labelledby="invoiceBillingPaidModalLabel" aria-hidden="true">
        <div class="modal-dialog   modal-blue modal-billingNew modal-invoiceBillingPaid" role="document">
            <div class="modal-content">
                <div class="modal-body text-center p-0">
                    <div class="pdng">
                        <h5><i class="fa fa-envelope mr-3"></i>Success!</h5>

                        <p>Invoice successfully emailed to <a href="javascript:void(0);" class="btn-link">accounting@pepsicola.com</a></p>
                        <div class="text-right">
                            <a href="javascript:void(0);" class="otherMail-click">+2 others <i class="fa fa-caret-down"></i></a>
                        </div>
                    </div>
                    <div class="pdng">
                        <p class="mb-0"><a href="javascript:void(0);" class="btn-link">accounting@kitkatusa.com</a></p>
                        <p><a href="javascript:void(0);" class="btn-link">accounting@appleusa.com</a></p>
                    </div>
                </div>

            </div>
        </div>
    </div>

    {{-- Receive Payment - START --}}
    <div class="modal fade" id="receivePayment" tabindex="-1" role="dialog" aria-labelledby="receivePaymentModalLabel" aria-hidden="true" data-backdrop="static">
        <div class="modal-dialog modal-dialog-centered modal-blue modal-billingNew modal-receivePayment" role="document">
            <div class="modal-content">
                <div class="modal-header d-block">
                    <div class="row justify-content-between">
                        <div class="col-auto">
                            <h5 class="modal-title" id="receivePaymentModalLabel">Pay Invoice</h5>
                        </div>
                        <div class="col-auto">
                            <div class="d-flex align-items-center">
                                <label class="text-white mb-0">Load Number DTL-9827</label>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="append-view"></div>
            </div>
        </div>
    </div>
    {{-- Receive Payment - END --}}

    {{-- Add / Edit Payment Account - START --}}
    <div class="modal fade" id="addEdit" tabindex="-1" role="dialog" aria-labelledby="addEditModalLabel" aria-hidden="true">
        <div class="modal-dialog   modal-dialog-centered modal-blue modal-billingNew modal-addEdit" role="document">
            <div class="modal-content">
                <div class="modal-header d-block">
                    <h5 class="modal-title" id="addEditModalLabel">Add / Edit Account</h5>
                </div>
                <div class="append-view"></div>
            </div>
        </div>
    </div>
    {{-- Add / Edit Payment Account - START --}}

    {{-- Create Payment Account - START --}}
    <div class="modal fade" id="createAccount" tabindex="-1" role="dialog" aria-labelledby="createAccountModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-blue modal-billingNew modal-createAccount" role="document">
            <div class="modal-content">
                <div class="modal-header d-block">
                    <h5 class="modal-title" id="createAccountModalLabel">Create Account</h5>
                </div>
                {!! Form::open(['files' => 'true', 'autocomplete'  => 'off', 'name' => 'create-payment-account-form', 'id' => 'create-payment-account-form']) !!}
                <input type="hidden" id="load-detail-id" name="load_detail_id" value="">
                <div class="modal-body p-3">
                    <div class="form-group">
                        <label>Name</label>
                        {!! Form::text('account_name', null, array('class' => 'form-control', 'id' => 'account-name', 'placeholder' => 'Enter Account Name', 'required' => 'required')) !!}
                    </div>
                    <div class="form-group">
                        <label>Payment Type</label>
                        <select id="account-payment-type" name="account_payment_type" class="form-control select2AccountPaymentType" data-parsley-errors-container="#account-payment-type-errors" required>
                            <option value="">Select</option>
                            @foreach (brokerPaymentMethod() as $id => $paymentType)
                                <option value="{{ $id }}" data-icon="{{ $paymentType['icon'] }}">{{ $paymentType['text'] }}</option>
                            @endforeach
                        </select>
                        {{-- {!! Form::select('account_payment_type', ['' => 'Select'] + getPaymentTypes(), null, ['class' => 'form-control select2', 'id' => 'account-payment-type', 'data-parsley-errors-container' => '#account-payment-type-errors', 'required' => 'required']) !!} --}}
                        <div id="account-payment-type-errors"></div>
                    </div>
                    <div class="form-group">
                        <label>Expiration</label>
                        <div class="position-relative">
                            {!! Form::text('account_expiration', null, array('class' => 'form-control', 'id' => 'account-expiration', 'placeholder' => 'MM/YYYY', 'maxlength' => '7', 'required' => 'required')) !!}
                            {{--<img src=" http://127.0.0.1:8001/theme/img/calendar-blue.png" alt="icon">--}}
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Account Number</label>
                        {!! Form::text('account_number', null, array('class' => 'form-control integer-input', 'id' => 'account-number', 'placeholder' => 'Enter Last 4 Digits', 'maxlength' => '4', 'required' => 'required')) !!}
                    </div>
                    <div class="form-check mb-2">
                        {!! Form::checkbox('set_active', 1, null, array('class' => 'form-check-input', 'id' => 'set-active')) !!}
                        <label class="form-check-label pl-1" for="set-active">Set as Active</label>
                    </div>
                    {{--
                    <div class="form-check mb-2">
                        {!! Form::checkbox('remove_account', 1, null, array('class' => 'form-check-input', 'id' => 'remove-account')) !!}
                        <label class="form-check-label pl-1" for="remove-account">Remove Account</label>
                    </div>
                    --}}
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                    <button type="button" class="btn btn-bluefill" id="createLoadPaymentAccount">Create</button>
                </div>
                {!! Form::close() !!}
            </div>
        </div>
    </div>
    {{-- Create Payment Account - END --}}

    {{-- Edit Payment Account - START --}}
    <div class="modal fade" id="editAccount" tabindex="-1" role="dialog" aria-labelledby="editAccountModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-blue modal-billingNew modal-editAccount" role="document">
            <div class="modal-content">
                <div class="modal-header d-block">
                    <h5 class="modal-title" id="editAccountModalLabel">Edit Account</h5>
                </div>
                {!! Form::open(['files' => 'true', 'autocomplete'  => 'off', 'name' => 'edit-payment-account-form', 'id' => 'edit-payment-account-form']) !!}
                <input type="hidden" id="payment-account-id" name="payment_account_id" value="">
                <div class="modal-body p-3">
                    <div class="form-group">
                        <label>Name</label>
                        {!! Form::text('account_name', null, array('class' => 'form-control', 'id' => 'edit-account-name', 'placeholder' => 'Enter Account Name', 'required' => 'required')) !!}
                    </div>
                    <div class="form-group">
                        <label>Payment Type</label>
                        <select id="edit-account-payment-type" name="account_payment_type" class="form-control select2AccountPaymentType" data-parsley-errors-container="#account-payment-type-errors" required>
                            <option value="">Select</option>
                            @foreach (brokerPaymentMethod() as $id => $paymentType)
                                <option value="{{ $id }}" data-icon="{{ $paymentType['icon'] }}">{{ $paymentType['text'] }}</option>
                            @endforeach
                        </select>
                        {{-- {!! Form::select('account_payment_type', ['' => 'Select'] + getPaymentTypes(), null, ['class' => 'form-control select2', 'id' => 'edit-account-payment-type', 'data-parsley-errors-container' => '#account-payment-type-errors', 'required' => 'required']) !!} --}}
                        <div id="account-payment-type-errors"></div>
                    </div>
                    <div class="form-group">
                        <label>Expiration</label>
                        <div class="position-relative">
                            {!! Form::text('account_expiration', null, array('class' => 'form-control', 'id' => 'edit-account-expiration', 'placeholder' => 'MM/YYYY', 'maxlength' => '7', 'required' => 'required')) !!}
                            {{--<img src=" http://127.0.0.1:8001/theme/img/calendar-blue.png" alt="icon">--}}
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Account Number</label>
                        {!! Form::text('account_number', null, array('class' => 'form-control integer-input', 'id' => 'edit-account-number', 'placeholder' => 'Enter Last 4 Digits', 'maxlength' => '4', 'required' => 'required')) !!}
                    </div>
                    <div class="form-check mb-2">
                        {!! Form::checkbox('set_active', 1, null, array('class' => 'form-check-input', 'id' => 'edit-set-active')) !!}
                        <label class="form-check-label pl-1" for="edit-set-active">Set as Active</label>
                    </div>
                    <div class="form-check mb-2">
                        {!! Form::checkbox('remove_account', 1, null, array('class' => 'form-check-input', 'id' => 'edit-remove-account')) !!}
                        <label class="form-check-label pl-1" for="edit-remove-account">Remove Account</label>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                    <button type="button" class="btn btn-bluefill" id="saveLoadPaymentAccount">Save</button>
                </div>
                {!! Form::close() !!}
            </div>
        </div>
    </div>
    {{-- Edit Payment Account - END --}}

    {{-- Create Link - START --}}
    <div class="modal fade" id="createLink" tabindex="-1" role="dialog" aria-labelledby="createLinkModalLabel" aria-hidden="true" data-backdrop="static">
        <div class="modal-dialog modal-dialog-centered modal-blue modal-billingNew modal-createLink" role="document" style="max-width: 700px;">
            <div class="modal-content">
                <div class="modal-header d-block">
                    <div class="row justify-content-between">
                        <h5 class="modal-title" id="createLinkModalLabel">Invoice Link</h5>
                    </div>
                </div>
                <div class="modal-body p-3">
                    <div class="clipboard"></div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
    {{-- Create Link - END --}}

    {{-- Send via Email - START --}}
    <div class="modal  fade" id="sendInvoiceByEmailModal" tabindex="-1" role="dialog" aria-labelledby="sendInvoiceByEmailModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-blue modal-billingNew modal-SendEmail" role="document">
            <div class="modal-content">
                {!! Form::open(['files' => 'false', 'autocomplete'  => 'off', 'name' => 'send-invoice-by-email-form', 'id' => 'send-invoice-by-email-form']) !!}
                <input type="hidden" name="invoice" value="{{ base64Encode($loadInvoice->id) }}">
                <input type="hidden" name="send_by" value="1">
                <div class="modal-body p-3">
                    <p class="modal-bodyTitle">Send via Email</p>
                    <div class="mb-3">
                        <div class="form-group">
                            <label>Email</label>
                            {!! Form::text('billing_email', $loadDetail->broker->billing_email ?? null, array('class' => 'form-control', 'id' => 'billing-email', 'placeholder' => 'Enter Billing Email', 'required' => 'required')) !!}
                        </div>
                    </div>
                    <div class="row g-4 align-items-center">
                        <div class="col-auto ml-auto">
                            <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                        </div>
                        <div class="col-auto">
                            <button type="button" class="btn btn-bluefill" id="sendInvoiceByEmail">Send</button>
                        </div>
                    </div>
                </div>
                {!! Form::close() !!}
            </div>
        </div>
    </div>
    {{-- Send via Email - END --}}

    @if (isset(getCompanyTwilioData()['active']) && getCompanyTwilioData()['active'] == 'yes')
        {{-- Send via SMS - START --}}
        <div class="modal  fade" id="sendInvoiceBySmsModal" tabindex="-1" role="dialog" aria-labelledby="sendInvoiceBySmsModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-blue modal-billingNew modal-SendSMS" role="document">
                <div class="modal-content">
                    {!! Form::open(['files' => 'false', 'autocomplete'  => 'off', 'name' => 'send-invoice-by-sms-form', 'id' => 'send-invoice-by-sms-form']) !!}
                    <input type="hidden" name="invoice" value="{{ base64Encode($loadInvoice->id) }}">
                    <input type="hidden" name="send_by" value="2">
                    <div class="modal-body p-3">
                        <p class="modal-bodyTitle">Send via SMS</p>
                        <div class="mb-3">
                            <div class="form-group">
                                <label>Phone Number</label>
                                {!! Form::text('billing_phone', $loadDetail->broker->billing_phone ?? null, array('class' => 'form-control phone', 'id' => 'billing-phone', 'placeholder' => 'Enter Phone Number', 'required' => 'required')) !!}
                            </div>
                        </div>
                        <div class="row g-4 align-items-center">
                            <div class="col-auto ml-auto">
                                <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                            </div>
                            <div class="col-auto">
                                <button type="button" class="btn btn-bluefill" id="sendInvoiceBySms">Send</button>
                            </div>
                        </div>
                    </div>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
        {{-- Send via SMS - END --}}
    @endif
@endsection

@section('script')
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script type="text/javascript">
        function loader(){
            Swal.fire({
                title: '<h5 class="font-weight-bold">Please wait...</h5>',
                allowEscapeKey: false,
                allowOutsideClick: false,
                didOpen: () => {
                    Swal.showLoading()
                }
            });
        }

        function clcChargeback() {
            var currentBalance = parseFloat($('#receivePayment #invoice-balance').val()) || 0.00;
            var totalPayment = parseFloat($('#receivePayment #total-payment').val()) || 0.00;

            var chargebackAmount = 0.00;
            $('#receivePayment #chargebackDiv .chargeback-row').each(function (){
                if($(this).find('.chargeback-against-balance option:selected').val() === '1'){
                    chargebackAmount = parseFloat(chargebackAmount) + parseFloat($(this).find('.chargeback-amount').val());
                }
            });
            chargebackAmount = parseFloat(chargebackAmount) || 0.00;

            var totalBalance = parseFloat(currentBalance) - parseFloat(totalPayment + chargebackAmount);

            if(totalBalance >= 0){
                var paymentAmount = parseFloat($('#receivePayment #payment-amount').val()) || 0.00;
                var factorFee = parseFloat($('#receivePayment #factor-fee').val()) || 0.00;
                if(paymentAmount != '' && factorFee != ''){
                    $('#apply-pay-invoice').removeClass('disabled');
                }
                $('#total-balance').val(parseFloat(totalBalance).toFixed(2));
            }else{
                $('#apply-pay-invoice').addClass('disabled');
                $('#total-balance').val(parseFloat(currentBalance - totalPayment).toFixed(2));
                toastr.error('Chargeback Amount cannot be greater than Balance.', 'Error Alert', { timeOut: 2000 });
            }
            return false;
        }

        $(function (){
            $(".pdfPreview-btn").click(function() {
                $(this).parent(".pdfPreview-sidebar").toggleClass("active");
            });
            $(".click-text").click(function() {
                $(this).toggleClass("active");
                $(this).siblings(".hide").slideToggle("fast");
            });
            $(".otherMail-click").click(function() {
                $(this).toggleClass("active");
                $(this).parents(".pdng").siblings(".pdng").slideToggle("fast");
            });

            $('.datePicker').datetimepicker({ format: dateLayout, useCurrent: false });

            $('#invoice-date').val(moment().format('MM/DD/YYYY'));
            $('#due-date').val(moment().add(29, 'days').format('MM/DD/YYYY'));

            $('#pdf-payments-terms-days').text('Net ' + $('#payments-terms-days option:selected').text());
            $('#pdf-invoice-date').text(moment().format('MM/DD/YYYY'));
            $('#pdf-due-date').text(moment().add(29, 'days').format('MM/DD/YYYY'));

            $('.select2AccountPaymentType').select2({
                width : '100%',
                placeholder: 'Select',
                minimumResultsForSearch: -1,
                templateResult: function(el){
                    if (!el.id) { return el.text; }
                    var $el = $('<span class="d-flex flex-row"><img src="' + $(el.element).data('icon') + '" class="img-icon pr-2" />' + el.text + '</span>');
                    return $el;
                },
                templateSelection: function(el){
                    if (!el.id) { return el.text; }
                    var $el = $('<span class="d-flex flex-row"><img src="' + $(el.element).data('icon') + '" class="img-icon pr-2" />' + el.text + '</span>');
                    return $el;
                }
            });

            $(document).on('click', '.invoice-email-cc', function (){
                if($(this).hasClass('btn-blueBr')){
                    $(this).addClass('btn-blue');
                    $(this).removeClass('btn-blueBr');
                    $('#emailCCDiv').removeClass('d-none');
                }else{
                    $(this).removeClass('btn-blue');
                    $(this).addClass('btn-blueBr');
                    $('#emailCCDiv').addClass('d-none');
                    $('#invoice-email-cc').val('');
                }
            });

            $(document).on('click', '.edit-box', function (){
                if($(this).text() === 'Edit'){
                    $(this).text('Close');
                    $(this).parent().parent().parent().find('input').removeAttr('readonly');
                    $(this).parent().parent().parent().find('textarea').removeAttr('readonly')
                }else{
                    $(this).text('Edit');
                    $(this).parent().parent().parent().find('input').attr('readonly', 'readonly');
                    $(this).parent().parent().parent().find('textarea').attr('readonly', 'readonly')
                }
            });

            $(document).on('click', '.invoice-email-bcc', function (){
                if($(this).hasClass('btn-blueBr')){
                    $(this).addClass('btn-blue');
                    $(this).removeClass('btn-blueBr');
                    $('#emailBCCDiv').removeClass('d-none');
                }else{
                    $(this).removeClass('btn-blue');
                    $(this).addClass('btn-blueBr');
                    $('#emailBCCDiv').addClass('d-none');
                    $('#invoice-email-bcc').val('');
                }
            });

            $(document).on('change', '#send-payment-reminder', function (){
                if($(this).is(':checked')){
                    $('#reminderDaysDiv').removeClass('d-none');
                }else{
                    $('#reminderDaysDiv').addClass('d-none');
                }
            });

            $(document).on('change', '#payments-terms-date', function (){
                if($(this).val() == '2'){
                    $('#invoice-date').val(moment('{{ $loadDetail->delivery_date_time ?? '' }}').format('MM/DD/YYYY'));
                    $('#pdf-invoice-date').text(moment('{{ $loadDetail->delivery_date_time ?? '' }}').format('MM/DD/YYYY'));
                }else{
                    $('#invoice-date').val(moment().format('MM/DD/YYYY'));
                    $('#pdf-invoice-date').text(moment().format('MM/DD/YYYY'));
                }
                $('#payments-terms-days').trigger('change');
            });

            $(document).on('change', '#payments-terms-days', function (){
                $('#pdf-payments-terms-days').text('Net ' + $(this).find('option:selected').text());

                var invoice_date = moment($('#invoice-date').val());
                if($(this).val() == '10_days'){
                    $('#due-date').val(invoice_date.add(9, 'days').format('MM/DD/YYYY'));
                    $('#pdf-due-date').text(invoice_date.add(9, 'days').format('MM/DD/YYYY'));
                }else if($(this).val() == '30_days'){
                    $('#due-date').val(invoice_date.add(29, 'days').format('MM/DD/YYYY'));
                    $('#pdf-due-date').text(invoice_date.add(29, 'days').format('MM/DD/YYYY'));
                }else if($(this).val() == '60_days'){
                    $('#due-date').val(invoice_date.add(59, 'days').format('MM/DD/YYYY'));
                    $('#pdf-due-date').text(invoice_date.add(59, 'days').format('MM/DD/YYYY'));
                }else if($(this).val() == '90_days'){
                    $('#due-date').val(invoice_date.add(89, 'days').format('MM/DD/YYYY'));
                    $('#pdf-due-date').text(invoice_date.add(89, 'days').format('MM/DD/YYYY'));
                }
            });

            $(document).on('click', '#invoice-save1', function (e){
                e.preventDefault();

                let form = $('#invoice-create-form');
                let parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });

                parsley.validate();

                if (parsley.isValid()){
                    form = form.serializeArray();

                    let formData = new FormData();
                    $.each(form, function (key, input) {
                        formData.append(input.name, input.value);
                    });
                    formData.append('invoice', $('.invoice-section').html());

                    $.ajax({
                        url: "{!! route('company.admin.billing.invoice.save') !!}",
                        method: "POST",
                        data: formData,
                        dataType: 'json',
                        cache : false,
                        processData: false,
                        contentType: false,
                        beforeSend: function() {
                            loader();
                        },
                        success: function(response) {
                            if(response.success){
                                toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                            }else{
                                toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        complete: function() {
                            Swal.close();
                        },
                        error: function(jqXHR, status, exception) {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });

            $(document).on('click', '#resendInvoice', function (e){
                e.preventDefault();

                var send_by = $(this).attr('data-send-by');
                var invoice = $(this).attr('data-invoice');

                $.ajax({
                    url: "{!! route('company.admin.billing.invoice.resend') !!}",
                    method: "POST",
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: {
                        send_by: send_by,
                        invoice: invoice,
                    },
                    dataType: 'json',
                    beforeSend: function() {
                        loader();
                    },
                    success: function(response) {
                        if(response.success){
                            if(response.billingPaymentHistory != ''){
                                $('.billingPaymentHistory-timeline').html(response.billingPaymentHistory);
                                $(".click-text").click(function() {
                                    $(this).toggleClass("active");
                                    $(this).siblings(".hide").slideToggle("fast");
                                });
                            }
                            toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                        }else{
                            toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                        }
                    },
                    complete: function() {
                        Swal.close();
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            });

            $(document).on('click', '.showReceivePaymentModal', function (e){
                e.preventDefault();

                var loadDetailId = $(this).attr('data-id');
                var loadNumber = $(this).attr('data-number');

                if(typeof loadDetailId != 'undefined'){
                    $.ajax({
                        url: '{{ route('company.admin.billing.pay.invoice.view') }}',
                        type: 'POST',
                        data: {
                            loadDetailId: loadDetailId,
                        },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        beforeSend: function() {
                            $('#receivePayment').modal('show');
                            $('#receivePayment .modal-header label').text('Load Number ' + loadNumber);
                            $('#receivePayment').find('.append-view').html(`<div class="loadingdiv"><img src="`+loadimg+`"></div>`);
                        },
                        success: function(response) {
                            var html = response.html;
                            if(typeof html !== "undefined"){
                                $('#receivePayment').find('.append-view').html(html);
                                setTimeout(function() {
                                    var modalForm   = $('#receivePayment #receive-payment-form');
                                    if(modalForm.length > 0){
                                        modalForm.find('.select2').each(function() {
                                            var $this = $(this);
                                            var placeholderText = $this.find('option:first').text();
                                            $this.select2({
                                                allowClear: true,
                                                dropdownParent: $('#receivePayment'),
                                                width : '100%',
                                                placeholder: placeholderText
                                            });
                                            $this.find('option:first').hide();
                                        });
                                        modalForm.find('.select2PaymentType').select2({
                                            width : '100%',
                                            placeholder: 'Select',
                                            minimumResultsForSearch: -1,
                                            templateResult: function(el){
                                                if (!el.id) { return el.text; }
                                                var $el = $('<span class="d-flex flex-row"><img src="' + $(el.element).data('icon') + '" class="img-icon pr-2" />' + el.text + '</span>');
                                                return $el;
                                            },
                                            templateSelection: function(el){
                                                if (!el.id) { return el.text; }
                                                var $el = $('<span class="d-flex flex-row"><img src="' + $(el.element).data('icon') + '" class="img-icon pr-2" />' + el.text + '</span>');
                                                return $el;
                                            }
                                        });
                                        modalForm.find('#payment-date').datetimepicker({ format: dateLayout, useCurrent: true, defaultDate: 'now'});
                                        modalForm.find('.history-button').click();
                                    }
                                }, 250);
                            }else{
                                toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                    timeOut: 5000
                                });
                            }
                        },
                        complete: function() {
                            // console.log('complete');
                        },
                        error: function(jqXHR, status, exception) {
                            var error = 'Failed to load data';
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
                return false;
            });

            $(document).on('change', '#payment-type', function () {
                var paymentType = $(this).val();

                if(paymentType == '3' || paymentType == '5'){
                    $('#additionalInfoDiv').addClass('d-none');
                    $('#additionalInfoDiv #additional-info').val('');

                    $('#checkDiv').removeClass('d-none');
                    $('#checkDiv #check-number').val('');
                }else{
                    $('#additionalInfoDiv').removeClass('d-none');
                    $('#additionalInfoDiv #additional-info').val('');

                    $('#checkDiv').addClass('d-none');
                    $('#checkDiv #check-number').val('');
                }

                if(paymentType == '3' || paymentType == '5'){
                    $('#achWirePayment').addClass('d-none');
                    $('#cashPayment').addClass('d-none');
                    $('#cardPayment').addClass('d-none');
                    $('#checkPayment').removeClass('d-none');
                }else{
                    if(paymentType == '1'){
                        $('#achWirePayment').removeClass('d-none');
                        $('#cashPayment').addClass('d-none');
                        $('#cardPayment').addClass('d-none');
                        $('#checkPayment').addClass('d-none');
                    }else if(paymentType == '2'){
                        $('#achWirePayment').addClass('d-none');
                        $('#cashPayment').removeClass('d-none');
                        $('#cardPayment').addClass('d-none');
                        $('#checkPayment').addClass('d-none');
                    }else{
                        $('#achWirePayment').addClass('d-none');
                        $('#cashPayment').addClass('d-none');
                        $('#cardPayment').removeClass('d-none');
                        $('#checkPayment').addClass('d-none');
                    }
                }

                var totalPayment = ($('#receive-payment-form #total-payment').val() != '') ? $('#receive-payment-form #total-payment').val() : 0;
                if(paymentType == '2'){
                    $('#receive-payment-form #account-number').removeAttr('required');
                    $('#receive-payment-form #account-number').val('').trigger('change').addClass('fil-disabled');
                    $('#receive-payment-form #addEditAccount').addClass('fil-disabled');
                    $('#cash-payment-text').text('Cash: '+ parseFloat(totalPayment).toFixed(2));
                }else{
                    $('#receive-payment-form #account-number').attr('required', 'required');
                    $('#receive-payment-form #account-number').removeClass('fil-disabled');
                    $('#receive-payment-form #addEditAccount').removeClass('fil-disabled');
                    $('#cash-payment-text').text('Cash: '+ parseFloat(totalPayment).toFixed(2));
                }
            });

            $(document).on('change', '#chargeback', function () {
                if($(this).is(':checked')){
                    $('#receive-payment-form .checkBox-block').removeClass('d-none');
                }else{
                    $('#receive-payment-form .checkBox-block').addClass('d-none');
                }

                $('#receive-payment-form #chargebackDiv').find('.select2').val('').trigger('change');
                $('#receive-payment-form #chargebackDiv').find('.chargeback-amount').val('');
                $('#receive-payment-form #chargebackDiv').find('.chargeback-row:gt(0)').remove();
                clcChargeback();
            });

            $(document).on('click', '.remove-more-chargeback-btn', function () {
                $(this).closest('.row').parent().parent().closest('.row').remove();
                clcChargeback();
            });

            $(document).on('click', '#add-more-chargeback-btn', function () {
                var chargebackRow = '';
                chargebackRow += '<div class="row mb-1 chargeback-row">';
                chargebackRow += '<div class="col-lg-3 col-sm-6">';
                chargebackRow += '<div class="form-group">';
                chargebackRow += '{!! Form::select('chargeback_type[]', ['' => 'Select'] + getChargebackType(), null, ['class' => 'form-control select2 chargeback-type']) !!}';
                chargebackRow += '</div>';
                chargebackRow += '</div>';
                chargebackRow += '<div class="col-lg-3 col-sm-6">';
                chargebackRow += '<div class="form-group">';
                chargebackRow += '{!! Form::select('chargeback_user[]', ['' => 'Select'], null, ['class' => 'form-control select2 chargeback']) !!}';
                chargebackRow += '</div>';
                chargebackRow += '</div>';
                chargebackRow += '<div class="col-lg-3 col-sm-6">';
                chargebackRow += '<div class="form-group">';
                chargebackRow += '<div class="input-group ">';
                chargebackRow += '<div class="input-group-prepend">';
                chargebackRow += '<span class="input-group-text">$</span>';
                chargebackRow += '</div>';
                chargebackRow += '{!! Form::number('chargeback_amount[]', null, array('class' => 'form-control number chargeback-amount', 'min' => 0, 'step' => .01, 'placeholder' => '0.00')) !!}';
                chargebackRow += '</div>';
                chargebackRow += '</div>';
                chargebackRow += '</div>';
                chargebackRow += '<div class="col-lg-3 col-sm-6">';
                chargebackRow += '<div class="form-group">';
                chargebackRow += '<div class="row g-8">';
                chargebackRow += '<div class="col">';
                chargebackRow += '{!! Form::select('chargeback_against_balance[]', ['' => 'Select Yes/No', '0' => 'No', '1' => 'Yes'], null, ['class' => 'form-control select2 chargeback-against-balance']) !!}';
                chargebackRow += '</div>';
                chargebackRow += '<div class="col-auto pl-0">';
                chargebackRow += '<button type="button" class="btn btn-danger btn-minus remove-more-chargeback-btn">-</button>';
                chargebackRow += '</div>';
                chargebackRow += '</div>';
                chargebackRow += '</div>';
                chargebackRow += '</div>';
                chargebackRow += '</div>';

                $('#chargebackDiv').append(chargebackRow);
                $('#chargebackDiv .select2').each(function() {
                    var $this = $(this);
                    var placeholderText = $this.find('option:first').text();
                    $this.select2({
                        allowClear: true,
                        width : '100%',
                        placeholder: placeholderText
                    });
                    $this.find('option:first').hide();
                });
            });

            $(document).on('click', '#addEditAccount', function (e) {
                e.preventDefault();

                var loadDetailId = $(this).attr('data-id');

                if(typeof loadDetailId != 'undefined'){
                    $.ajax({
                        url: '{{ route('company.admin.billing.payment.accounts.view') }}',
                        type: 'POST',
                        data: {
                            loadDetailId: loadDetailId,
                        },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        beforeSend: function() {
                            $('#addEdit').modal('show');
                            $('#addEdit').find('.append-view').html(`<div class="loadingdiv"><img src="`+loadimg+`"></div>`);
                        },
                        success: function(response) {
                            var html = response.html;
                            if(typeof html !== "undefined"){
                                $('#addEdit').find('.append-view').html(html);
                            }else{
                                toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                    timeOut: 5000
                                });
                            }
                        },
                        complete: function() {
                            // console.log('complete');
                        },
                        error: function(jqXHR, status, exception) {
                            var error = 'Failed to load data';
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
                return false;
            });

            $(document).on('click', '#createPaymentAccount', function () {
                var loadDetailId = $(this).attr('data-id');

                if(typeof loadDetailId != 'undefined'){
                    $('#createAccount #load-detail-id').val(loadDetailId);
                    $('#createAccount').modal('show');
                }
                return false;
            });

            $('#createAccount').on('hide.bs.modal', function () {
                $('#createAccount #load-detail-id').val('');
                $('#createAccount #account-name').val('');
                $('#createAccount #account-payment-type').val('').trigger('change');
                $('#createAccount #account-expiration').val('');
                $('#createAccount #account-number').val('');
                $('#createAccount #set-active').prop('checked', false);
                $('#createAccount #remove-account').prop('checked', false);
            });

            $(document).on('click', '#createLoadPaymentAccount', function (e){
                e.preventDefault();

                var form = $('#createAccount #create-payment-account-form');
                var parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });

                parsley.validate();

                if (parsley.isValid()){
                    $.ajax({
                        type: 'POST',
                        url: '{{ route('company.admin.billing.payment.accounts.save') }}',
                        data: form.serializeArray(),
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        beforeSend: function() {
                            loader();
                        },
                        success: function(response) {
                            if (response.success) {
                                $('#createAccount').modal('hide');
                                toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                            } else {
                                toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        complete: function() {
                            Swal.close();
                        },
                        error: function(jqXHR, status, exception) {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });

            $(document).on('click', '#editPaymentAccount', function () {
                var paymentAccountId = $(this).attr('data-id');

                if(typeof paymentAccountId != 'undefined'){
                    $('#editAccount #payment-account-id').val(paymentAccountId);
                    $('#editAccount #edit-account-name').val($(this).attr('data-name'));
                    $('#editAccount #edit-account-payment-type').val($(this).attr('data-type')).trigger('change');
                    $('#editAccount #edit-account-number').val($(this).attr('data-number'));
                    $('#editAccount #edit-account-expiration').val($(this).attr('data-exp'));
                    $('#editAccount #edit-set-active').prop('checked', ($(this).attr('data-status') === '1'));

                    $('#editAccount').modal('show');
                }
                return false;
            });

            $('#editAccount').on('hide.bs.modal', function () {
                $('#editAccount #payment-account-id').val('');
                $('#editAccount #edit-account-name').val('');
                $('#editAccount #edit-account-payment-type').val('').trigger('change');
                $('#editAccount #edit-account-expiration').val('');
                $('#editAccount #edit-account-number').val('');
                $('#editAccount #edit-set-active').prop('checked', false);
                $('#editAccount #edit-remove-account').prop('checked', false);
            });

            $(document).on('click', '#saveLoadPaymentAccount', function (e){
                e.preventDefault();

                var form = $('#editAccount #edit-payment-account-form');
                var parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });

                parsley.validate();

                if (parsley.isValid()){
                    if($('#editAccount #edit-payment-account-form #edit-remove-account').is(':checked')){
                        Swal.fire({
                            title: "Are you sure?",
                            text: "You won't be able to revert this!",
                            icon: "warning",
                            showCancelButton: true,
                            confirmButtonColor: "#3085d6",
                            cancelButtonColor: "#d33",
                            confirmButtonText: "Yes, delete it!",
                        }).then((result) => {
                            if (result.value) {
                                $.ajax({
                                    type: 'POST',
                                    url: '{{ route('company.admin.billing.payment.accounts.save') }}',
                                    data: form.serializeArray(),
                                    dataType: 'json',
                                    headers: {
                                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                    },
                                    beforeSend: function() {
                                        loader();
                                    },
                                    success: function(response) {
                                        if (response.success) {
                                            $('#editAccount').modal('hide');
                                            toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                                        } else {
                                            toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                                        }
                                    },
                                    complete: function() {
                                        Swal.close();
                                    },
                                    error: function(jqXHR, status, exception) {
                                        if (jqXHR.status === 0) {
                                            error = 'Not connected.\nPlease verify your network connection.';
                                        } else if (jqXHR.status == 404) {
                                            error = 'The requested page not found. [404]';
                                        } else if (jqXHR.status == 500) {
                                            error = 'Internal Server Error [500].';
                                        } else if (exception === 'parsererror') {
                                            error = 'Requested JSON parse failed.';
                                        } else if (exception === 'timeout') {
                                            error = 'Time out error.';
                                        } else if (exception === 'abort') {
                                            error = 'Ajax request aborted.';
                                        } else {
                                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                                        }
                                        toastr.error(error, 'Error Alert', {
                                            timeOut: 5000
                                        });
                                    }
                                });
                            }
                        });
                    }else{
                        $.ajax({
                            type: 'POST',
                            url: '{{ route('company.admin.billing.payment.accounts.save') }}',
                            data: form.serializeArray(),
                            dataType: 'json',
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            beforeSend: function() {
                                loader();
                            },
                            success: function(response) {
                                if (response.success) {
                                    $('#editAccount').modal('hide');
                                    toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                                } else {
                                    toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                                }
                            },
                            complete: function() {
                                Swal.close();
                            },
                            error: function(jqXHR, status, exception) {
                                if (jqXHR.status === 0) {
                                    error = 'Not connected.\nPlease verify your network connection.';
                                } else if (jqXHR.status == 404) {
                                    error = 'The requested page not found. [404]';
                                } else if (jqXHR.status == 500) {
                                    error = 'Internal Server Error [500].';
                                } else if (exception === 'parsererror') {
                                    error = 'Requested JSON parse failed.';
                                } else if (exception === 'timeout') {
                                    error = 'Time out error.';
                                } else if (exception === 'abort') {
                                    error = 'Ajax request aborted.';
                                } else {
                                    error = 'Uncaught Error.\n' + jqXHR.responseText;
                                }
                                toastr.error(error, 'Error Alert', {
                                    timeOut: 5000
                                });
                            }
                        });
                    }
                }
            });

            $(document).on('click', '[id^="account-status-"]', function (){
                var thisId = $(this).attr('id');
                var rowId = $(this).attr('data-id');

                $('[id^="account-status-"]').each(function (){
                    if(thisId !== $(this).attr('id')){
                        $(this).prop('checked', false);
                    }
                });

                if(rowId !== ''){
                    $.ajax({
                        type: 'POST',
                        url: '{{ route('company.admin.billing.payment.accounts.save') }}',
                        data: {
                            set_as_default: true,
                            set_active: '1',
                            payment_account_id: rowId,
                        },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        beforeSend: function() {
                            loader();
                        },
                        success: function(response) {
                            if (response.success) {
                                var html = response.html;
                                if(typeof html !== "undefined"){
                                    $('#addEdit #paymentAccountListBody').html(html);
                                }
                                toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                            } else {
                                toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        complete: function() {
                            Swal.close();
                        },
                        error: function(jqXHR, status, exception) {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });

            $(document).on('click', '#deletePaymentAccount', function (e){
                var rowId = $(this).attr('data-id');

                if(rowId !== ''){
                    Swal.fire({
                        title: "Are you sure?",
                        text: "You won't be able to revert this!",
                        icon: "warning",
                        showCancelButton: true,
                        confirmButtonColor: "#3085d6",
                        cancelButtonColor: "#d33",
                        confirmButtonText: "Yes, delete it!",
                    }).then((result) => {
                        if (result.value) {
                            var url = '{{ route('company.admin.billing.payment.accounts.delete', ['id' => ':id']) }}';
                            url = url.replace(':id', rowId)

                            $.ajax({
                                type: 'DELETE',
                                url: url,
                                dataType: 'json',
                                headers: {
                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                },
                                beforeSend: function() {
                                    loader();
                                },
                                success: function(response) {
                                    if (response.success) {
                                        var html = response.html;
                                        if(typeof html !== "undefined"){
                                            $('#addEdit #paymentAccountListBody').html(html);
                                        }
                                        toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                                    } else {
                                        toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                                    }
                                },
                                complete: function() {
                                    Swal.close();
                                },
                                error: function(jqXHR, status, exception) {
                                    if (jqXHR.status === 0) {
                                        error = 'Not connected.\nPlease verify your network connection.';
                                    } else if (jqXHR.status == 404) {
                                        error = 'The requested page not found. [404]';
                                    } else if (jqXHR.status == 500) {
                                        error = 'Internal Server Error [500].';
                                    } else if (exception === 'parsererror') {
                                        error = 'Requested JSON parse failed.';
                                    } else if (exception === 'timeout') {
                                        error = 'Time out error.';
                                    } else if (exception === 'abort') {
                                        error = 'Ajax request aborted.';
                                    } else {
                                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                                    }
                                    toastr.error(error, 'Error Alert', {
                                        timeOut: 5000
                                    });
                                }
                            });
                        }
                    });
                }
            });

            $(document).on('keyup past', '#receivePayment #total-payment', function (){
                var totalPayment = parseFloat($(this).val()) || 0.00;
                var currentBalance = parseFloat($('#receivePayment #invoice-balance').val()) || 0.00;

                if(totalPayment != ''){
                    if($('#payment-type').val() == 2){
                        $('#cash-payment-text').text('Cash: '+ parseFloat(totalPayment).toFixed(2));
                    }
                    if($('#receivePayment #chargeback').is(':checked')){
                        var chargebackAmount = 0.00;
                        $('#receivePayment #chargebackDiv .chargeback-row').each(function (){
                            if($(this).find('.chargeback-against-balance option:selected').val() === '1'){
                                chargebackAmount = parseFloat(chargebackAmount) + parseFloat($(this).find('.chargeback-amount').val());
                            }
                        });
                        chargebackAmount = parseFloat(chargebackAmount) || 0.00;

                        var totalBalance = parseFloat(currentBalance) - parseFloat(totalPayment + chargebackAmount);
                    }else{
                        var totalBalance = parseFloat(currentBalance - totalPayment);
                    }

                    if(totalBalance >= 0){
                        var paymentAmount = parseFloat($('#receivePayment #payment-amount').val()) || 0.00;
                        var factorFee = parseFloat($('#receivePayment #factor-fee').val()) || 0.00;
                        if(paymentAmount != '' && factorFee != ''){
                            $('#apply-pay-invoice').removeClass('disabled');
                        }

                        $('#total-balance').val(parseFloat(totalBalance).toFixed(2));
                    }else{
                        $('#apply-pay-invoice').addClass('disabled');
                        if($('#receivePayment #chargeback').is(':checked')){
                            $('#total-balance').val(parseFloat(currentBalance - chargebackAmount).toFixed(2));
                        }else{
                            $('#total-balance').val(parseFloat(currentBalance).toFixed(2));
                        }
                        toastr.error('Total Payment cannot be greater than Balance.', 'Error Alert', { timeOut: 5000 });
                    }
                }else{
                    if($('#payment-type').val() == 2){
                        $('#cash-payment-text').text('Cash: '+ parseFloat(0).toFixed(2));
                    }
                    $('#total-balance').val(parseFloat(currentBalance).toFixed(2));
                    $('#apply-pay-invoice').addClass('disabled');
                }
                return false;
            });

            $(document).on('keyup past', '#receivePayment .chargeback-amount', function (){
                clcChargeback();
                return false;
            });

            $(document).on('change', '#receivePayment .chargeback-against-balance', function (){
                clcChargeback();
                return false;
            });

            $(document).on('blur past', '#receivePayment #payment-amount, #receivePayment #factor-fee', function (){
                var totalPayment = parseFloat($('#receivePayment #total-payment').val()) || 0.00;

                if(totalPayment != ''){
                    var paymentAmount = parseFloat($('#receivePayment #payment-amount').val()) || 0.00;
                    var factorFee = parseFloat($('#receivePayment #factor-fee').val()) || 0.00;

                    if(paymentAmount != '' && factorFee != ''){
                        var totalAmount = parseFloat(paymentAmount + factorFee);

                        if(parseFloat(totalPayment) == parseFloat(totalAmount)){
                            $('#apply-pay-invoice').removeClass('disabled');
                            $('#total-payment-text').text('Balanced');
                        }else{
                            toastr.error('Load Pay & Factor Fee total equal to Total Payment.', 'Error Alert', { timeOut: 5000 });
                            $('#apply-pay-invoice').addClass('disabled');
                            $('#total-payment-text').text('Out of Balance');
                        }
                    }
                }else{
                    $('#apply-pay-invoice').addClass('disabled');
                }
                return false;
            });

            $(document).on('change', '.chargeback-type', function (){
                var chargebackType = $(this).val();

                if(chargebackType != ''){
                    if(chargebackType == '1'){
                        var brokers = '<option value="">Select</option>';
                        var selectedBroker = $('#receivePayment #broker').val();

                        @foreach(getBrokerList() as $brokerId => $brokerName)
                        if(selectedBroker === '{!! $brokerId !!}'){
                            brokers += '<option value="{{ $brokerId }}" selected>{{ $brokerName }}</option>';
                        }else{
                            brokers += '<option value="{{ $brokerId }}">{{ $brokerName }}</option>';
                        }
                        @endforeach

                        $(this).closest('.chargeback-row').find('.chargeback').html(brokers);
                    }else if(chargebackType == '2'){
                        var drivers = '<option value="">Select</option>';
                        var selectedDriver = $('#receivePayment #driver').val();

                        @foreach(getDriverListByCompany() as $driverId => $driverName)
                        if(selectedDriver === '{!! $driverId !!}'){
                            drivers += '<option value="{{ $driverId }}" selected>{{ $driverName }}</option>';
                        }else{
                            drivers += '<option value="{{ $driverId }}">{{ $driverName }}</option>';
                        }
                        @endforeach

                        $(this).closest('.chargeback-row').find('.chargeback').html(drivers);
                    }else if(chargebackType == '3'){
                        var truckOwner = '<option value="">Select</option>';
                        var selectedTruckOwner = $('#receivePayment #truck-owner').val();

                        @foreach(getTruckOwnerList() as $truckOwnerId => $truckOwnerName)
                        if(selectedTruckOwner === '{!! $truckOwnerId !!}'){
                            truckOwner += '<option value="{{ $truckOwnerId }}" selected>{{ $truckOwnerName }}</option>';
                        }else{
                            truckOwner += '<option value="{{ $truckOwnerId }}">{{ $truckOwnerName }}</option>';
                        }
                        @endforeach

                        $(this).closest('.chargeback-row').find('.chargeback').html(truckOwner);
                    }
                }else{
                    $(this).closest('.chargeback-row').find('.chargeback').html('<option value="" selected="selected">Select</option>');
                }
            });

            $(document).on("click", ".history-button", function() {
                if($(this).hasClass('payment-history-button')){
                    $(this).parent().parent().siblings(".table-responsive").slideToggle("slow");
                }else{
                    $(this).siblings(".table-responsive").slideToggle("slow");
                }
                $(this).toggleClass("active");
            });

            $(document).on('click', '#apply-pay-invoice', function (e){
                e.preventDefault();

                var form = $('#receivePayment #receive-payment-form');
                var parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });

                parsley.validate();

                if (parsley.isValid()){
                    $.ajax({
                        type: 'POST',
                        url: '{{ route('company.admin.billing.load.pay.invoice') }}',
                        data: form.serializeArray(),
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        beforeSend: function() {
                            loader();
                        },
                        success: function(response) {
                            if (response.success) {
                                $('#receivePayment').modal('hide');

                                if(response.billingPaymentHistory != ''){
                                    $('.billingPaymentHistory-timeline').html(response.billingPaymentHistory);
                                    $(".click-text").click(function() {
                                        $(this).toggleClass("active");
                                        $(this).siblings(".hide").slideToggle("fast");
                                    });
                                }

                                toastr.success(response.message, 'Success Alert', {
                                    timeOut: 1000,
                                    fadeOut: 1000,
                                    onHidden: function () {
                                        window.location.reload();
                                    }
                                });
                            } else {
                                toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        complete: function() {
                            Swal.close();
                        },
                        error: function(jqXHR, status, exception) {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });

            $(document).on('keypress', '#account-expiration', function (e){
                var key = e.charCode || e.keyCode || 0;
                var expirationDate = $(this);
                if (expirationDate.val().length === 0) {
                    expirationDate.val('');
                }
                if (key !== 8 && key !== 9) {
                    if (expirationDate.val().length === 2) {
                        expirationDate.val(expirationDate.val() + '/');
                    }
                    if (expirationDate.val().length >= 7) {
                        expirationDate.val(expirationDate.val().slice(0, 6));
                    }
                }
                return (key === 8 || key === 9 || key === 46 || (key >= 48 && key <= 57));
            });

            $(document).on('click', '#create-link', function (e){
                e.preventDefault();

                $.ajax({
                    url: "{!! route('company.admin.billing.invoice.create.link', ['id' => base64Encode($loadInvoice->id)]) !!}",
                    method: "GET",
                    data: {},
                    dataType: 'json',
                    beforeSend: function() {
                        loader();
                    },
                    success: function(response) {
                        if(response.success){
                            if(response.billingPaymentHistory != ''){
                                $('.billingPaymentHistory-timeline').html(response.billingPaymentHistory);
                                $(".click-text").click(function() {
                                    $(this).toggleClass("active");
                                    $(this).siblings(".hide").slideToggle("fast");
                                });
                            }
                            $('#createLink .clipboard').html(response.invoiceLink);
                            $('#createLink').modal('show');
                            toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                        }else{
                            toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                        }
                    },
                    complete: function() {
                        Swal.close();
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            });

            $(document).on('click', '.clipboard .list-group-item', function (){
                let element = $(this);
                let copyText = element.text();
                navigator.clipboard.writeText(copyText);
                element.find('i').removeClass('fa-copy').addClass('fa-check');
                toastr.success('Copied Successfully.', 'Success Alert', {timeOut: 2000});
                setTimeout(function(){
                    element.find('i').removeClass('fa-check').addClass('fa-copy');
                }, 2000);
            });

            $('#createLink').on('hide.bs.modal', function () {
                $('#createLink .clipboard').html('');
            });

            $(document).on('click', '#sendInvoiceByEmail', function (e){
                e.preventDefault();

                let form = $('#send-invoice-by-email-form');
                let parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });

                parsley.validate();

                if (parsley.isValid()){
                    var invoice = $('#sendInvoiceByEmailModal').find('[name="invoice"]').val();
                    var send_by = $('#sendInvoiceByEmailModal').find('[name="send_by"]').val();
                    var billing_email = $('#sendInvoiceByEmailModal').find('[name="billing_email"]').val();

                    $.ajax({
                        url: "{!! route('company.admin.billing.invoice.resend') !!}",
                        method: "POST",
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        data: {
                            send_by: send_by,
                            invoice: invoice,
                            billing_email: billing_email,
                        },
                        dataType: 'json',
                        beforeSend: function() {
                            loader();
                        },
                        success: function(response) {
                            if(response.success){
                                $('#sendInvoiceByEmailModal').modal('hide');

                                if(response.billingPaymentHistory != ''){
                                    $('.billingPaymentHistory-timeline').html(response.billingPaymentHistory);
                                    $(".click-text").click(function() {
                                        $(this).toggleClass("active");
                                        $(this).siblings(".hide").slideToggle("fast");
                                    });
                                }
                                toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                            }else{
                                toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        complete: function() {
                            Swal.close();
                        },
                        error: function(jqXHR, status, exception) {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });

            @if (isset(getCompanyTwilioData()['active']) && getCompanyTwilioData()['active'] == 'yes')
                $(document).on('click', '#sendInvoiceBySms', function (e){
                    e.preventDefault();

                    let form = $('#send-invoice-by-sms-form');
                    let parsley = form.parsley({
                        excluded: 'input[type=button], input[type=submit], input[type=reset]',
                        inputs: 'input, textarea, select, input[type=hidden], :hidden',
                    });

                    parsley.validate();

                    if (parsley.isValid()){
                        var invoice = $('#sendInvoiceBySmsModal').find('[name="invoice"]').val();
                        var send_by = $('#sendInvoiceBySmsModal').find('[name="send_by"]').val();
                        var billing_phone = $('#sendInvoiceBySmsModal').find('[name="billing_phone"]').val();

                        $.ajax({
                            url: "{!! route('company.admin.billing.invoice.resend') !!}",
                            method: "POST",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            data: {
                                send_by: send_by,
                                invoice: invoice,
                                billing_phone: billing_phone,
                            },
                            dataType: 'json',
                            beforeSend: function() {
                                loader();
                            },
                            success: function(response) {
                                if(response.success){
                                    $('#sendInvoiceBySmsModal').modal('hide');

                                    if(response.billingPaymentHistory != ''){
                                        $('.billingPaymentHistory-timeline').html(response.billingPaymentHistory);
                                        $(".click-text").click(function() {
                                            $(this).toggleClass("active");
                                            $(this).siblings(".hide").slideToggle("fast");
                                        });
                                    }
                                    toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                                }else{
                                    toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                                }
                            },
                            complete: function() {
                                Swal.close();
                            },
                            error: function(jqXHR, status, exception) {
                                if (jqXHR.status === 0) {
                                    error = 'Not connected.\nPlease verify your network connection.';
                                } else if (jqXHR.status == 404) {
                                    error = 'The requested page not found. [404]';
                                } else if (jqXHR.status == 500) {
                                    error = 'Internal Server Error [500].';
                                } else if (exception === 'parsererror') {
                                    error = 'Requested JSON parse failed.';
                                } else if (exception === 'timeout') {
                                    error = 'Time out error.';
                                } else if (exception === 'abort') {
                                    error = 'Ajax request aborted.';
                                } else {
                                    error = 'Uncaught Error.\n' + jqXHR.responseText;
                                }
                                toastr.error(error, 'Error Alert', {
                                    timeOut: 5000
                                });
                            }
                        });
                    }
                });
            @endif
        });
    </script>
@endsection
