@if(isset($documentProfile))
    <div class="row align-items-end">
        <div class="col-5">
            <div class="form-group mb-0">
                <h6 class="section-heading mt-2">Add When Shipper</h6>
            </div>
        </div>
        <div class="col-1 text-center">
            <div class="form-group mb-0">
                <label for="shipper-include-w-billing">Include W/Billing</label>
            </div>
        </div>
        <div class="col-1 text-center">
            <div class="form-group mb-0">
                <label for="shipper-hide-from-driver">Hide From Driver</label>
            </div>
        </div>
        <div class="col-1">
            <div class="form-group mb-0">
                <label for="shipper-entered-by">Entered By</label>
            </div>
        </div>
        <div class="col-1">
            <div class="form-group mb-0">
                <label for="shipper-updated">Updated</label>
            </div>
        </div>
        <div class="col-3"></div>
    </div>
    @foreach($shipperDocuments as $shipperDocument)
        <div class="row py-2 align-items-center">
            <div class="col-3">
                <div class="form-group m-0">
                    {!! Form::select('shipper_documents[]', ['' => 'Select'] + getDocumentTitles(), $shipperDocuments[$loop->index] ?? null, ['class' => 'form-control select2']) !!}
                </div>
            </div>
            <div class="col-2">
                <input type="hidden" name="shipper_doc_types[]" class="docType" value="{{ $shipperDocTypes[$loop->index] ?? '2' }}">
                @if($shipperDocTypes[$loop->index] == '1')
                    <button type="button" class="btn btn-blue btn-copy">Copy</button>
                    <button type="button" class="btn btn-blueBr btn-original ml-2">Original</button>
                @else
                    <button type="button" class="btn btn-blueBr btn-copy">Copy</button>
                    <button type="button" class="btn btn-blue btn-original ml-2">Original</button>
                @endif
            </div>
            <div class="col-1">
                <input type="hidden" name="shipper_include_w_billing[]" class="chkSiwb" value="{{ $shipperIncludeWBilling[$loop->index] ?? '' }}">
                <div class="form-check p-0 m-0 only-checkbox">
                    {!! Form::checkbox('profile_shipper_include_w_billing[]', 1, $shipperIncludeWBilling[$loop->index] ?? null, array('class' => 'form-check-input', 'id' => 'profile-shipper-include-w-billing-'.$loop->index)) !!}
                    <label class="form-check-label" for="profile-shipper-include-w-billing-{{$loop->index}}"></label>
                </div>
            </div>
            <div class="col-1">
                <input type="hidden" name="shipper_hide_from_driver[]" class="chkShfd" value="{{ $shipperHideFromDriver[$loop->index] ?? '' }}">
                <div class="form-check p-0 m-0 only-checkbox">
                    {!! Form::checkbox('profile_shipper_hide_from_driver[]', 1, $shipperHideFromDriver[$loop->index] ?? null, array('class' => 'form-check-input', 'id' => 'profile-shipper-hide-from-driver-'.$loop->index)) !!}
                    <label class="form-check-label" for="profile-shipper-hide-from-driver-{{$loop->index}}"></label>
                </div>
            </div>
            <div class="col-1">
                <p class="mt-2 font-weight-200 fs-14 shipper-entered-by">
                    {{ auth()->guard('company-admin')->user()->fullname ?? '' }}
                </p>
            </div>
            <div class="col-1">
                <p class="mt-2 font-weight-200 fs-14 shipper-updated">
                    {{ \Carbon\Carbon::now()->format('m/d/Y') ?? '' }}
                </p>
            </div>
            <div class="col-3">
                <a href="javascript:void(0);" class="removeMoreShipperDocumentRow">
                    <i class="fa fa-minus-square text-theme-color fs-30"></i>
                </a>
            </div>
        </div>
    @endforeach
    <hr /><hr />

    <div class="row align-items-end">
        <div class="col-5">
            <div class="form-group mb-0">
                <h6 class="section-heading mt-2">Add When Receiver</h6>
            </div>
        </div>
        <div class="col-1 text-center">
            <div class="form-group mb-0">
                <label for="receiver-include-w-billing">Include W/Billing</label>
            </div>
        </div>
        <div class="col-1 text-center">
            <div class="form-group mb-0">
                <label for="receiver-include-w-billing">Hide From Driver</label>
            </div>
        </div>
        <div class="col-1">
            <div class="form-group mb-0">
                <label for="receiver-entered-by">Entered By</label>
            </div>
        </div>
        <div class="col-1">
            <div class="form-group mb-0">
                <label for="receiver-updated">Updated</label>
            </div>
        </div>
        <div class="col-3"></div>
    </div>
    @foreach($receiverDocuments as $receiverDocument)
        <div class="row py-2 align-items-center">
            <div class="col-3">
                <div class="form-group m-0">
                    {!! Form::select('receiver_documents[]', ['' => 'Select'] + getDocumentTitles(), $receiverDocuments[$loop->index] ?? null, ['class' => 'form-control select2']) !!}
                </div>
            </div>
            <div class="col-2">
                <input type="hidden" name="receiver_doc_types[]" class="docType" value="{{ $receiverDocTypes[$loop->index] ?? '2' }}">
                @if($receiverDocTypes[$loop->index] == '1')
                    <button type="button" class="btn btn-blue btn-copy">Copy</button>
                    <button type="button" class="btn btn-blueBr btn-original ml-2">Original</button>
                @else
                    <button type="button" class="btn btn-blueBr btn-copy">Copy</button>
                    <button type="button" class="btn btn-blue btn-original ml-2">Original</button>
                @endif
            </div>
            <div class="col-1">
                <input type="hidden" name="receiver_include_w_billing[]" class="chkRiwb" value="{{ $receiverIncludeWBilling[$loop->index] ?? '' }}">
                <div class="form-check p-0 m-0 only-checkbox">
                    {!! Form::checkbox('profile_receiver_include_w_billing[]', 1, $receiverIncludeWBilling[$loop->index] ?? null, array('class' => 'form-check-input', 'id' => 'profile-receiver-include-w-billing-'.$loop->index)) !!}
                    <label class="form-check-label" for="profile-receiver-include-w-billing-{{$loop->index}}"></label>
                </div>
            </div>
            <div class="col-1">
                <input type="hidden" name="receiver_hide_from_driver[]" class="chkRhfd" value="{{ $receiverHideFromDriver[$loop->index] ?? '' }}">
                <div class="form-check p-0 m-0 only-checkbox">
                    {!! Form::checkbox('profile_receiver_hide_from_driver[]', 1, $receiverHideFromDriver[$loop->index] ?? null, array('class' => 'form-check-input', 'id' => 'profile-receiver-hide-from-driver-'.$loop->index)) !!}
                    <label class="form-check-label" for="profile-receiver-hide-from-driver-{{$loop->index}}"></label>
                </div>
            </div>
            <div class="col-1">
                <p class="mt-2 font-weight-200 fs-14 receiver-entered-by">
                    {{ auth()->guard('company-admin')->user()->fullname ?? '' }}
                </p>
            </div>
            <div class="col-1">
                <p class="mt-2 font-weight-200 fs-14 receiver-updated">
                    {{ \Carbon\Carbon::now()->format('m/d/Y') ?? '' }}
                </p>
            </div>
            <div class="col-3">
                <a href="javascript:void(0);" class="removeMoreReceiverDocumentRow">
                    <i class="fa fa-minus-square text-theme-color fs-30"></i>
                </a>
            </div>
        </div>
    @endforeach
@else
    <div class="row px-4 py-3">
        <div class="col-md-4">
            <label for="profile-name" class="mb-1">Required Document Profile Name</label>
            <div class="form-group">
                {!! Form::text('profile_name', null, array('class' => 'form-control', 'placeholder' => 'Enter Profile Name', 'required' => 'required')) !!}
            </div>
        </div>
    </div>
    <div class="=row px-4">
        <h6 class="fs-14 fw-bold text-dark-b32">When Shipper</h6>
        <div class="table-responsive">
            <table class="table" id="table-when-shipper-m">
                <thead class="bg-white">
                <tr>
                    <th>Documents</th>
                    <th></th>
                    <th>Include w/Billing</th>
                    <th>Hide From Driver</th>
                    <th></th>
                </tr>
                </thead>
                <tbody>
                    <tr>
                        <td class="w-100 align-middle">
                            <div class="form-group m-0">
                                {!! Form::select('shipper_documents[]', ['' => 'Select'] + getDocumentTitles(), null, ['class' => 'form-control select2']) !!}
                            </div>
                        </td>
                        <td class="align-middle">
                            <div>
                                <input type="hidden" name="shipper_doc_types[]" class="docType" value="2">
                                <button type="button" class="btn btn-blueBr btn-copy">Copy</button>
                                <button type="button" class="btn btn-blue btn-original ml-2">Original</button>
                            </div>
                        </td>
                        <td class="align-middle">
                            <input type="hidden" name="shipper_include_w_billing[]" class="chkSiwb" value="">
                            <div class="form-check p-0 m-0 only-checkbox">
                                {!! Form::checkbox('popup_shipper_include_w_billing[]', 1, null, array('class' => 'form-check-input', 'id' => 'popup-shipper-include-w-billing-0')) !!}
                                <label class="form-check-label" for="popup-shipper-include-w-billing-0"></label>
                            </div>
                        </td>
                        <td class="align-middle">
                            <input type="hidden" name="shipper_hide_from_driver[]" class="chkShfd" value="">
                            <div class="form-check p-0 m-0 only-checkbox">
                                {!! Form::checkbox('popup_shipper_hide_from_driver[]', 1, null, array('class' => 'form-check-input', 'id' => 'popup-shipper-hide-from-driver-0')) !!}
                                <label class="form-check-label" for="popup-shipper-hide-from-driver-0"></label>
                            </div>
                        </td>
                        <td class="align-middle">
                            <a href="javascript:void(0);" class="addMoreShipperDocumentRow">
                                <i class="fa fa-plus-square text-theme-color fs-30"></i>
                            </a>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
    <div class="=row px-4 mt-3">
        <h6 class="fs-14 fw-bold text-dark-b32">When Receiver</h6>
        <div class="table-responsive">
            <table class="table" id="table-when-receiver-m">
                <thead class="bg-white">
                <tr>
                    <th>Documents</th>
                    <th></th>
                    <th>Include w/Billing</th>
                    <th>Hide From Driver</th>
                    <th></th>
                </tr>
                </thead>
                <tbody>
                    <tr>
                        <td class="w-100 align-middle">
                            <div class="form-group m-0">
                                {!! Form::select('receiver_documents[]', ['' => 'Select'] + getDocumentTitles(), null, ['class' => 'form-control select2']) !!}
                            </div>
                        </td>
                        <td class="align-middle">
                            <div>
                                <input type="hidden" name="receiver_doc_types[]" class="docType" value="2">
                                <button type="button" class="btn btn-blueBr btn-copy">Copy</button>
                                <button type="button" class="btn btn-blue btn-original ml-2">Original</button>
                            </div>
                        </td>
                        <td class="align-middle">
                            <input type="hidden" name="receiver_include_w_billing[]" class="chkRiwb" value="">
                            <div class="form-check p-0 m-0 only-checkbox">
                                {!! Form::checkbox('popup_receiver_include_w_billing[]', 1, null, array('class' => 'form-check-input', 'id' => 'popup-receiver-include-w-billing-0')) !!}
                                <label class="form-check-label" for="popup-receiver-include-w-billing-0"></label>
                            </div>
                        </td>
                        <td class="align-middle">
                            <input type="hidden" name="receiver_hide_from_driver[]" class="chkRhfd" value="">
                            <div class="form-check p-0 m-0 only-checkbox">
                                {!! Form::checkbox('popup_receiver_hide_from_driver[]', 1, null, array('class' => 'form-check-input', 'id' => 'popup-receiver-hide-from-driver-0')) !!}
                                <label class="form-check-label" for="popup-receiver-hide-from-driver-0"></label>
                            </div>
                        </td>
                        <td class="align-middle">
                            <div class="d-flex align-items-center">
                                <a href="javascript:void(0);" class="addMoreReceiverDocumentRow">
                                    <i class="fa fa-plus-square text-theme-color fs-30"></i>
                                </a>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
@endif
