@extends($companyAdminTheme)

@section('title')
    Create Rep
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/bootstrap-datetimepicker.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
        .broker-contact-header h6 {
            font: normal normal bold 31px/37px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .broker-contact-header p {
            font: normal normal 500 16px/20px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #616376;
        }

        .broker-contact-header .avatar-upload {
            position: relative;
            max-width: 120px;
            /*margin: 25px auto;*/
        }
        .broker-contact-header .avatar-upload .avatar-edit {
            position: absolute;
            right: 0;
            z-index: 1;
            bottom: 0;
        }
        .broker-contact-header .avatar-upload .avatar-edit input {
            display: none;
        }
        .broker-contact-header .avatar-upload .avatar-edit input + label {
            display: inline-block;
            width: 34px;
            height: 34px;
            margin-bottom: 0;
            border-radius: 100%;
            background: #FFFFFF;
            border: 1px solid transparent;
            box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.12);
            cursor: pointer;
            font-weight: normal;
            transition: all 0.2s ease-in-out;
        }
        .broker-contact-header .avatar-upload .avatar-edit input + label:hover {
            background: #f1f1f1;
            border-color: #d6d6d6;
        }
        .broker-contact-header .avatar-upload .avatar-edit input + label:after {
            content: "\f030";
            font-family: 'FontAwesome';
            color: #305F9C;
            position: absolute;
            top: 6px;
            left: 0;
            right: 0;
            text-align: center;
            margin: auto;
            font-size: 16px;
        }
        .broker-contact-header .avatar-upload .avatar-preview {
            width: 120px;
            height: 120px;
            position: relative;
            border-radius: 100%;
            border: 6px solid #F8F8F8;
            box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.1);
        }
        .broker-contact-header .avatar-upload .avatar-preview > div {
            width: 100%;
            height: 100%;
            border-radius: 100%;
            background-size: cover;
            background-repeat: no-repeat;
            background-position: center;
        }

        .ngd-new hr {
            border-color: #D8D8DD;
        }
        .broker-contact-body .form-group label {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #616376;
        }
        .broker-contact-body .form-group input[type=text].form-control {
            font-size: 14px;
            font-weight: bolder;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
        }
        .broker-contact-body .form-group input[type=text]::placeholder {
            color: #616376 !important;
            /* font-weight: 600 !important; */
            opacity: 0.5 !important;
        }
        .broker-contact-body .form-group .input-group img {
            width: 15px;
            position: absolute;
            right: 10px;
            bottom: 12px;
        }
        .broker-contact-body ul.required-documents-check li .custom-checkbox-blue .custom-control-input:checked~.custom-control-label::after {
            left: -27px;
            top: 0;
        }

        .broker-contact-footer .btn-blue,
        .broker-contact-footer .btn-blueBr {
            width: 136px;
            height: 39px;
            padding: inherit;
            border-radius: 10px;
        }

        /* Select 2 Single */
        .select2-container {
            width: 100% !important;
        }
        .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px !important;
            width: 35px !important;
        }
        .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px !important;
            font-weight: 600;
            color: #000000e6 !important;
        }
        .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            /* font-weight: 500; */
        }
        /* Select 2 Single */

        /* Select 2 Multiple */
        .select2-container .select2-selection--multiple {
            height: auto !important;
            min-height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .select2-container--default .select2-selection--multiple {
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--multiple .select2-selection__rendered {
            line-height: 10px !important;
        }
        .select2-container--default .select2-selection--multiple .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        .select2-container .select2-selection--multiple .select2-selection__rendered {
            font-weight: 400;
            color: #616376 !important;
        }
        .select2-container--default .select2-selection--multiple .select2-selection__rendered li {
            padding: 5px 5px;
        }
        .multiple-select .select2-results__option {
            padding-right: 20px;
            vertical-align: middle;
        }
        .multiple-select .select2-results__option:before {
            content: "";
            display: inline-block;
            position: relative;
            height: 16px;
            width: 16px;
            border: 2px solid #305F9C;
            border-radius: 4px;
            background-color: #fff;
            margin-right: 8px;
            vertical-align: middle;
        }
        .multiple-select .select2-results__option[aria-selected=true]:before {
            font-family: fontAwesome;
            content: "\f00c";
            color: #fff;
            background-color: #305F9C;
            border: 0;
            display: inline-block;
            padding-left: 2px;
        }
        .multiple-select .select2-container--default .select2-results__option[aria-selected=true] {
            background-color: #fff;
        }
        .multiple-select .select2-container--default .select2-results__option--highlighted[aria-selected] {
            color: #616376;
        }
        .multiple-select .select2-container--default .select2-selection--multiple {
            margin-bottom: 10px;
        }
        .multiple-select .select2-container--default.select2-container--open.select2-container--below .select2-selection--multiple {
            border-radius: 4px;
        }
        .multiple-select .select2-container--default.select2-container--focus .select2-selection--multiple {
            border-color: #f77750;
            border-width: 2px;
        }
        .multiple-select .select2-container--default .select2-selection--multiple {
            border-width: 2px;
        }
        .multiple-select .select2-container--open .select2-dropdown--below {
            border-radius: 6px;
            box-shadow: 0 0 10px rgba(0,0,0,0.5);
        }
        .multiple-select .select2-selection .select2-selection--multiple:after {
            content: 'hhghgh';
        }
        .multiple-select .select-icon .select2-selection__placeholder .badge {
            display: none;
        }
        .multiple-select .select-icon .placeholder {
            display: none;
        }
        .multiple-select .select-icon .select2-results__option:before,
        .multiple-select .select-icon .select2-results__option[aria-selected=true]:before {
            display: none !important;
        }
        .multiple-select .select-icon  .select2-search--dropdown {
            display: none;
        }
        .multiple-select ul li {
            padding: 5px 8px !important;
        }
        .select2-selection--multiple {
            overflow: hidden !important;
            height: auto !important;
        }
        .select2-container .select2-selection--multiple {
            width: 100%;
            display: table;
        }
        .select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
            color: #fff !important;
        }
        .select2-container--default .select2-selection--multiple .select2-selection__choice {
            background-color: #305F9C !important;
            border: 1px solid #305F9C !important;
            color: #fff;
        }
        .select2-container--default .select2-search--inline .select2-search__field {
            max-width: 373px !important;
        }
        /* Select 2 Multiple */
    </style>
@endsection

@section('content')
    <div class="container py-5">
        <div class="broker-contact-create my-3">
            {!! Form::open(['files' => 'true', 'autocomplete'  => 'off', 'name' => 'contacts-tab', 'id' => 'contacts-tab']) !!}
                <input type="hidden" class="broker-id" name="broker_id" value="{{ base64Decode(request()->broker_id) ?? ''}}">
                <input type="hidden" class="is-create-rep" name="is_create_rep" value="1">
                <input type="hidden" class="is-representative" name="contacts[0][is_representative]" value="1">
                <input type="hidden" class="contact-status" name="contacts[0][contact_status]" value="1">
                <div class="row broker-contact-header align-items-center">
                    <div class="col-md-6">
                        <h6 class="mb-1">Create Rep</h6>
                        <p>Enter Your Account Details</p>
                    </div>
                    <div class="col-md-6">
                        <div class="avatar-upload float-right">
                            <div class="avatar-edit">
                                <input type='file' name='contacts[0][representative_profile_img]' id="representative-profile-img" accept=".png, .jpg, .jpeg" />
                                <label for="representative-profile-img" title="Update Profile Picture"></label>
                            </div>
                            <div class="avatar-preview">
                                <div id="representative_profile_image_preview" style="background-image: url('{!! asset('theme/img/avtar.png') !!}');"></div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row broker-contact-body mt-2">
                    <div class="col-md-6 pr-2">
                        <div class="form-group">
                            <label for="department" class="form-label">Department</label>
                            {!! Form::select('contacts[0][department][]', brokerDepartment(), null, ['class' => 'form-control select2Multiple', 'multiple' => 'multiple']) !!}
                        </div>
                    </div>
                    <div class="col-md-6 pl-2">
                        <div class="form-group">
                            <label for="suffix" class="form-label">Suffix</label>
                            {!! Form::select('contacts[0][suffix]', ['' => 'Select'] + brokerSuffix(), null, ['class' => 'form-control select2']) !!}
                        </div>
                    </div>

                    <div class="col-md-4 pr-2">
                        <div class="form-group">
                            <label for="first-name" class="form-label">First Name</label>
                            {!! Form::text('contacts[0][first_name]', null, array('class' => 'form-control', 'placeholder' => 'Enter First Name', 'required' => 'required')) !!}
                        </div>
                    </div>
                    <div class="col-md-4 pl-2 pr-2">
                        <div class="form-group">
                            <label for="middle-name" class="form-label">Middle Name</label>
                            {!! Form::text('contacts[0][middle_name]', null, array('class' => 'form-control', 'placeholder' => 'Enter Middle Name')) !!}
                        </div>
                    </div>
                    <div class="col-md-4 pl-2">
                        <div class="form-group">
                            <label for="last-name" class="form-label">Last Name</label>
                            {!! Form::text('contacts[0][last_name]', null, array('class' => 'form-control', 'placeholder' => 'Enter Last Name', 'required' => 'required')) !!}
                        </div>
                    </div>

                    <div class="col-md-4 pr-2">
                        <div class="row">
                            <div class="col-8 pr-2">
                                <div class="form-group">
                                    <label for="phone-number" class="form-label">Phone NO.</label>
                                    {!! Form::text('contacts[0][phone_number]', null, array('class' => 'form-control phone', 'placeholder' => '(540) 230-8759')) !!}
                                </div>
                            </div>
                            <div class="col-4 pl-2">
                                <div class="form-group">
                                    <label for="ext" class="form-label">Ext</label>
                                    {!! Form::text('contacts[0][ext]', null, array('class' => 'form-control', 'placeholder' => 'Ext')) !!}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 pl-2 pr-2">
                        <div class="form-group">
                            <label for="fax" class="form-label">Fax</label>
                            {!! Form::text('contacts[0][fax]', null, array('class' => 'form-control phone', 'placeholder' => '(540) 230-8759')) !!}
                        </div>
                    </div>
                    <div class="col-md-4 pl-2">
                        <div class="form-group">
                            <label for="cell-number" class="form-label">Cell Phone</label>
                            {!! Form::text('contacts[0][cell_number]', null, array('class' => 'form-control phone', 'placeholder' => '(540) 230-8759')) !!}
                        </div>
                    </div>

                    <div class="col-md-4 pr-2">
                        <div class="form-group">
                            <label for=preferred-connections" class="form-label">Preferred Contact Method</label>
                            {!! Form::select('contacts[0][preferred_connections]', ['' => 'Select'] + brokerPreferredContactMethod(), null, ['class' => 'form-control select2']) !!}
                        </div>
                    </div>
                    <div class="col-md-4 pl-2 pr-2">
                        <div class="form-group">
                            <label for="start-date-work-anniversary" class="form-label">Start Date/Work-Anniversary</label>
                            <div class="input-group">
                                {!! Form::text('contacts[0][start_date_work_anniversary]', null, array('class' => 'form-control datePicker', 'placeholder' => 'MM/DD/YYY')) !!}
                                <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 pl-2">
                        <div class="form-group">
                            <label for="gender" class="form-label">Gender</label>
                            {!! Form::select('contacts[0][gender]', ['' => 'Select', '1' => 'Male', '2' => 'Female'], null, ['class' => 'form-control select2']) !!}
                        </div>
                    </div>

                    <div class="col-md-4 pr-2">
                        <div class="form-group">
                            <div class="d-flex align-items-top justify-content-between">
                                <label for="email" class="form-label w-auto">Email</label>
                                <ul class="nav flex-column required-documents-check p-0 ml-xl-5">
                                    <li class="p-0">
                                        <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                            {!! Form::checkbox('contacts[0][is_invite]', 1, null, array('class' => 'custom-control-input', 'id' => 'is-invite-0')) !!}
                                            <label class="custom-control-label text-theme-color" for="is-invite-0">Send ProChat Messenger Invite</label>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                            {!! Form::text('contacts[0][email]', null, array('class' => 'form-control', 'placeholder' => 'Enter Email', 'data-parsley-type' => 'email')) !!}
                        </div>
                    </div>
                    <div class="col-md-4 pl-2">
                        <div class="form-group">
                            <label for="pro-chat-id" class="form-label">ProChat ID</label>
                            {!! Form::text('contacts[0][pro_chat_id]', null, array('class' => 'form-control', 'placeholder' => 'ProChat ID', 'readonly' => 'readonly')) !!}
                        </div>
                    </div>
                </div>
                <hr class="my-3" />
                <div class="row broker-contact-footer">
                    <div class="col-md-12">
                        <a href="{{ route('company.admin.brokers.show', request()->broker_id) }}">
                            <button type="button" class="btn btn-blueBr">Cancel</button>
                        </a>
                        <button type="button" class="btn btn-blue ml-2 contacts-save">Create</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>
@endsection

@section('script')
    <script src="{{ asset('theme/js/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>

    <script type="text/javascript">
        function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function(e) {
                    $('#representative_profile_image_preview').css('background-image', 'url('+e.target.result +')');
                    $('#representative_profile_image_preview').hide();
                    $('#representative_profile_image_preview').fadeIn(650);
                }
                reader.readAsDataURL(input.files[0]);
            }
        }

        $(function () {
            $(".select2Multiple").select2({
                closeOnSelect: false,
                placeholder: "Select",
                allowHtml: true,
                allowClear: false,
                tags: false,
                dropdownCssClass: "multiple-select",
                width: '100%'
            });

            $('.datePicker').datetimepicker({format: dateLayout, useCurrent: false});

            $(document).on('change', '#representative-profile-img', function (e) {
                let profile = e.target.files[0];
                readURL(this);
            });

            $(document).on('click', '.contacts-save', function(e){
                e.preventDefault();

                let form = $('#contacts-tab');
                let parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });
                parsley.validate();

                if (parsley.isValid()){
                    form = form.serializeArray();

                    let formData = new FormData();
                    $.each(form, function (key, input) { formData.append(input.name, input.value); });
                    formData.append('contacts[0][representative_profile_img]', $('#representative-profile-img')[0].files[0] || '');

                    $.ajax({
                        url: "{!! route('company.admin.brokers.save.tab6') !!}",
                        method: "POST",
                        data: formData,
                        dataType: 'json',
                        cache : false,
                        processData: false,
                        contentType: false,
                        success: function(response) {
                            if(response.success){
                                toastr.success(
                                    'Rep created successfully',
                                    'Success Alert', {
                                        timeOut: 1000,
                                        fadeOut: 1000,
                                        onHidden: function () {
                                            window.location.href = '{!! route('company.admin.brokers.show', request()->broker_id) !!}'
                                        }
                                    }
                                );
                            }else{
                                toastr.error('Error, on create Rep', 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        error: function(jqXHR, status, exception) {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });
        });
    </script>
@endsection

@push('after-scripts')
    <script src="{{ asset('theme/js/trimble.js') }}"></script>
@endpush
