@extends($companyAdminTheme)

@section('title')
    Import Accounts
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
        .select2-container{
            width: 100% !important;
        }
        .select2-container .select2-selection--single{
            height: 40px;
        }
        .select2-container--default .select2-selection--single, .select2-container--default .select2-selection--multiple{
            border: 1px solid #707070;
            border-radius: 0;
            color: #000000 !important;
            overflow: hidden !important;
            min-height: 40px;
            height: auto !important;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered{
            line-height: 40px;
            font-size: 14px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow{
            height: 40px;
            margin-right: 5px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow b{
            border-color: #000 transparent transparent transparent;
        }
        .swal2-actions {
            margin-top: 0px !important;
        }
    </style>
@endsection

@section('content')
    <div class="imAccount-block">
        <h4>Import Accounts </h4>
        <div class="multi_step_form multi-click">
            <div class="form-wizard">
                <div id="msform">
                    <div class="d-flex">
                        <ul id="progressbar" class="mr-0">
                            <li><a href="javascript:void(0);" style="cursor: default;"><span class="progress-no">2</span>UPLOAD</a></li>
                            <li><a href="javascript:void(0);" style="cursor: default;"><span class="progress-no">3</span>MAP DATA</a></li>
                            <li><a href="javascript:void(0);" style="cursor: default;"><span class="progress-no">4</span>IMPORT</a></li>
                        </ul>
                    </div>
                    <div class="myContainer">
                        <div class="form-container">
                            <div class="row">
                                <div class="col-md-12 col-lg-8 col-xl-5 col-xxl-6">
                                    {!! Form::open(array('method' => 'POST', 'files' => 'true', 'autocomplete'  => 'off', 'id' => 'importCsvFileStepOne')) !!}
                                    <div class="imAccountUpld-block">
                                        <h5>First time importing your Chart of Accounts?</h5>
                                        <p class="mb-3" style="font-size: 13px;">
                                            All your Chart of Accounts information must be in one file <br>
                                            The top row of your file must contain a header title for each column of information
                                        </p>
                                        <div class="imAccountUpld-form">
                                            <div class="form-group mb-0">
                                                <label for="brokerage-mc-txt">Select a CSV or Excel file to upload</label>
                                                <div class="d-flex mb-1">
                                                    <input type="text" class="form-control font-weight-bold font-16" id="file-upload-name" name="import_file_name" placeholder="Upload an EXCEL or CSV file" required readonly>
                                                    <div class="imAccountUpld-btn">
                                                        <input type="file" id="importFile" name="import_file" accept=".csv, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet" data-parsley-errors-container="#file_import-errors" data-parsley-required-message="Please upload first CSV or Excel file" required>
                                                        <button type="button" class="btn btn-browse">Browse</button>
                                                    </div>
                                                </div>
                                                <div id="file_import-errors"></div>
                                                <a href="javascript:void(0);" class="sampleFile">Download a sample file</a>
                                            </div>
                                        </div>
                                        <div class="text-right">
                                            <a href="{{route('company.admin.chart-of-accounts.index')}}" class="btn btn-themeGray">Cancel</a>
                                            <button type="submit" class="btn btn-orange next" id="firstStepNext" disabled>Next</button>
                                        </div>
                                    </div>
                                    {!! Form::close() !!}
                                </div>
                            </div>
                        </div>
                        <div class="form-container">
                            <div class="row">
                                <div class="col-md-12 col-lg-8 col-xl-5 col-xxl-6">
                                    {!! Form::open(array('method' => 'POST', 'autocomplete'  => 'off', 'id' => 'importCsvFileStepTwo')) !!}
                                    <input type="hidden" name="file" id="file_path" value="">
                                    <div class="imAccountMap-block">
                                        <h5>Map your fields to QuickBooks fields </h5>
                                        <div class="table-responsive mb-4">
                                            <table class="table-br">
                                                <tr id="secondStepHeader">
                                                    <th>DispatchPro Field</th>
                                                    <th>Your Field</th>
                                                    <th></th>
                                                </tr>
                                            </table>
                                        </div>
                                        <div class="text-right">
                                            <a href="{{route('company.admin.chart-of-accounts.importAccounts')}}" class="btn btn-themeGray">Cancel</a>
                                            <input type="submit" value="Next" class="btn btn-orange next" id="secondStepNext" disabled>
                                        </div>
                                    </div>
                                    {!! Form::close() !!}
                                </div>
                            </div>
                        </div>
                        <div class="form-container">
                            <div class="row">
                                <div class="col-md-11 col-lg-9 col-xl-7">
                                    {!! Form::open(array('method' => 'POST', 'autocomplete'  => 'off', 'id' => 'importCsvFileStepThird')) !!}
                                    <input type="hidden" name="fileName" id="fileName" value="">
                                    <div class="imAccountImp-block">
                                        <h5 id="thirdStepHeader"></h5>
                                        <div class="table-responsive mb-4">
                                            <table class="table-br" id="thirdStepRows"></table>
                                        </div>
                                        <div class="text-right">
                                            <a href="{{route('company.admin.chart-of-accounts.importAccounts')}}" class="btn btn-themeGray">Cancel</a>
                                            <input type="submit" value="Import" id="thirdStepImport" class="btn btn-orange">
                                        </div>
                                    </div>
                                    {!! Form::close() !!}
                                </div>
                            </div>
                        </div>
                        <div class="form-container">
                            <div class="text-center">
                                <div class="imAccountSucc-block">
                                    <div class="text-success">
                                        <i class="fa fa-check-circle" aria-hidden="true"></i>
                                    </div>
                                    <h1 class="text-success">Success!</h1>
                                    <p>Your Accounts has been successfully imported.</p>
                                    <div class="text-center">
                                        <a href="{{route('company.admin.chart-of-accounts.index')}}" class="btn btn-themeGray">Done</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
<script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
<script>
    $(function (){
        $(".myContainer .form-container:nth-of-type(1)").addClass("active");

        // $(".form-container").on("click", ".next", function () {
        //     $("#progressbar li").eq($(this).parents(".form-container").index()).addClass("active");
        //     $(this).parents(".form-container").removeClass("active").next().addClass("active");
        // });

        // $(".form-container").on("click", ".back", function () {
        //     $("#progressbar li").eq($(this).parents(".form-container").index() - 1).removeClass("active");
        //     $(this).parents(".form-container").removeClass("active").prev().addClass("active");
        // });

        /*=========================================================
        *     If you won't to make steps clickable, Please comment below code
        =================================================================*/
        // $("#progressbar li").on("click", function () {
        //     var stepVal = $(this).find(".progress-no").text();
        //     $(this).prevAll().addClass("active");
        //     $(this).addClass("active");
        //     $(this).nextAll().removeClass("active");
        //     $(".myContainer .form-container").removeClass("active");
        //     $(".myContainer .form-container:nth-of-type(" + stepVal + ")").addClass("active");
        // });

        $(document).on("click", ".sampleFile", function (e){
            e.preventDefault();
            window.location.href = '{{url('/sample-file/companyAdmin/chart-of-account-files/sample-chart-of-accounts-list.csv')}}';
        });

        $('#importCsvFileStepOne').parsley();

        $(document).on("click", "#importFile", function (){
            $("#importFile").val("");
            $("#file-upload-name").val('');
            $("#firstStepNext").prop('disabled', true);
        });

        $(document).on("change", "#importFile", function (e){
            e.preventDefault();
            var file = e.target.files[0];

            if(file != undefined){
                var filename = file.name;
                var fileExt = filename.split('.').pop();

                $("#file-upload-name").val('');
                if (fileExt == 'csv' || fileExt == 'xlsx') {
                    $("#file-upload-name").val(filename);
                    $("#firstStepNext").prop('disabled', false);
                } else {
                    $("#file_import-errors").after('<div style="color: #dc3545; font-weight: bolder; font-size: 14px; line-height: 1.5;" id="import_file_fileExt-errors">Incorrect file format, Please upload .csv or .xlsx file to continue..</div>');
                    setTimeout(function(){ $("#import_file_fileExt-errors").remove() }, 3000);

                    $("#importFile").val("");
                    $("#firstStepNext").prop('disabled', true);
                }
            }else{
                $("#importFile").val("");
                $("#firstStepNext").prop('disabled', true);
            }
        });

        $("#importCsvFileStepOne").on('submit', function(e) {
            e.preventDefault();
            let _this = $(this);

            if ($(this).parsley().isValid()) {
                $.ajax({
                    url: "{{ route('company.admin.chart-of-accounts.importAccountsStepOne') }}",
                    data: new FormData($(this)[0]),
                    type: 'POST',
                    processData: false,
                    contentType: false,
                    dataType: "JSON",
                    beforeSend: function(msg) {
                        displayLoader("uploading file");
                    },
                }).done(function(response) {
                    Swal.close();

                    if (response.status == 'error') {
                        Swal.fire({
                            icon: response.swal_icon,
                            title: 'Error!',
                            text: response.msg,
                            showClass: {
                                popup: 'animate__animated animate__fadeInDown'
                            },
                            hideClass: {
                                popup: 'animate__animated animate__fadeOutUp'
                            }
                        });
                    }

                    if (response.status == "success") {
                        $("#progressbar li").eq($("#importCsvFileStepOne").parents(".form-container").index()).addClass("active");
                        $("#importCsvFileStepOne").parents(".form-container").removeClass("active").next().addClass("active");

                        let file_path = response.file_path;
                        let tableHtml = response.tableHtml;

                        $("#file_path").val(file_path);
                        $("#secondStepHeader").after(tableHtml);
                        $('.imAccount-select').each(function() {
                            var $this = $(this);
                            var placeholderText = $this.find('option:first').text();
                            $this.select2({
                                allowClear: true,
                                width : '100%',
                                placeholder: placeholderText
                            });
                            $this.find('option:first').hide();
                        });

                        let selectedCount = 0;
                        $("[id^='field_id_']").each(function (){
                            if($(this).val() != ""){
                                selectedCount++;
                            }
                        });

                        let allIsSelected = $("[id^='field_id_']").length;
                        if(allIsSelected === selectedCount){
                            $("#secondStepNext").prop("disabled", false);
                        }else{
                            $("#secondStepNext").prop("disabled", true);
                        }
                    }
                }).fail(function(error) {
                    Swal.close();
                });
            }
        });

        $(document).on("change", ".imAccount-select", function (){
            let selectedOption = $(this).val();

            if(selectedOption != ""){
                $(this).parent().next('td').find('span').removeClass('d-none');
            }else{
                $(this).parent().next('td').find('span').addClass('d-none');
            }

            let selectedCount = 0;
            $("[id^='field_id_']").each(function (){
                if($(this).val() != ""){
                    selectedCount++;
                }
            });

            let allIsSelected = $("[id^='field_id_']").length;
            if(allIsSelected === selectedCount){
                $("#secondStepNext").prop("disabled", false);
            }else{
                $("#secondStepNext").prop("disabled", true);
            }
        });

        $('#importCsvFileStepTwo').parsley();

        $("#importCsvFileStepTwo").on('submit', function(e) {
            e.preventDefault();
            let _this = $(this);

            if ($(this).parsley().isValid()) {
                $.ajax({
                    url: "{{ route('company.admin.chart-of-accounts.importAccountsStepTwo') }}",
                    data: new FormData($(this)[0]),
                    type: 'POST',
                    processData: false,
                    contentType: false,
                    dataType: "JSON",
                    beforeSend: function(msg) {
                        displayLoader();
                    },
                }).done(function(response) {
                    Swal.close();

                    if (response.status == 'error') {
                        Swal.fire({
                            icon: response.swal_icon,
                            title: 'Error!',
                            text: response.msg,
                            showClass: {
                                popup: 'animate__animated animate__fadeInDown'
                            },
                            hideClass: {
                                popup: 'animate__animated animate__fadeOutUp'
                            }
                        });
                    }

                    if (response.status == "success") {
                        $("#progressbar li").eq($("#importCsvFileStepTwo").parents(".form-container").index()).addClass("active");
                        $("#importCsvFileStepTwo").parents(".form-container").removeClass("active").next().addClass("active");

                        let tableHtml = response.tableHtml;
                        let thirdStepHeader = response.thirdStepHeader;
                        let fileName = response.fileName;

                        $("#thirdStepRows").append(tableHtml);
                        $('#thirdStepHeader').html(thirdStepHeader);
                        $('#fileName').val(fileName);
                        $('.imAccount-select').each(function() {
                            var $this = $(this);
                            var placeholderText = $this.find('option:first').text();
                            $this.select2({
                                allowClear: true,
                                width : '100%',
                                placeholder: placeholderText
                            });
                            $this.find('option:first').hide();
                        });

                        if($("[id^='import_']").filter(':checked').length == 0){
                            $("#thirdStepImport").prop('disabled', true);
                        } else {
                            $("#thirdStepImport").prop('disabled', false);
                        }
                    }
                }).fail(function(error) {
                    Swal.close();
                });
            }
        });

        $(document).on("change", "#selectAll", function (){
            if($(this).is(':checked')){
                $("[id^='import_']").prop('checked', true);
            }else{
                $("[id^='import_']").prop('checked', false);
            }

            let checkIsTrueChk = $("[id^='import_']").filter(':checked').length
            if(checkIsTrueChk == 0){
                $("#thirdStepImport").prop('disabled', true);
                $("#thirdStepHeader").text("You don't have any account for import");
            } else {
                $("#thirdStepImport").prop('disabled', false);
                $("#thirdStepHeader").text(checkIsTrueChk +' accounts are ready to be import');
            }
        });

        $(document).on("change", "[id^='import_']", function (){
            if($(this).is(':checked')){
                $(this).attr('checked', 'checked');
            }else{
                $(this).removeAttr('checked');
            }

            let totalChk = $("[id^='import_']").length;
            let checkIsTrueChk = $("[id^='import_']").filter(':checked').length

            if(totalChk === checkIsTrueChk){
                $("#selectAll").prop('checked', true);
            }else{
                $("#selectAll").prop('checked', false);
            }

            if($("[id^='import_']").filter(':checked').length == 0){
                $("#thirdStepImport").prop('disabled', true);
                $("#thirdStepHeader").text("You don't have any account for import");
            } else {
                $("#thirdStepImport").prop('disabled', false);
                $("#thirdStepHeader").text(checkIsTrueChk +' accounts are ready to be import');
            }
        });

        $("#importCsvFileStepThird").on('submit', function(e) {
            e.preventDefault();
            let _this = $(this);

            if ($(this).parsley().isValid()) {
                $.ajax({
                    url: "{{ route('company.admin.chart-of-accounts.importAccountsStepDone') }}",
                    data: new FormData($(this)[0]),
                    type: 'POST',
                    processData: false,
                    contentType: false,
                    dataType: "JSON",
                    beforeSend: function(msg) {
                        displayLoader();
                    },
                }).done(function(response) {
                    Swal.close();

                    if (response.status == 'error') {
                        Swal.fire({
                            icon: response.swal_icon,
                            title: 'Error!',
                            html: response.msg,
                            showClass: {
                                popup: 'animate__animated animate__fadeInDown'
                            },
                            hideClass: {
                                popup: 'animate__animated animate__fadeOutUp'
                            }
                        });
                    }

                    if (response.status == "success") {
                        $("#progressbar li").eq($("#importCsvFileStepThird").parents(".form-container").index()).addClass("active");
                        $("#importCsvFileStepThird").parents(".form-container").removeClass("active").next().addClass("active");
                    }
                }).fail(function(error) {
                    Swal.close();
                });
            }
        });
    });

    function displayLoader(msg = ""){
        Swal.fire({
            title: '<h4 class="font-weight-bold">Please wait '+ msg +'...</h4>',
            allowEscapeKey: false,
            allowOutsideClick: false,
            didOpen: () => {
                Swal.showLoading()
            }
        });
    }
</script>
@endsection
