@extends($companyAdminTheme)

@section('title')
    Chat
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style>
        .main-wrapper.ngd-new, .main-wrapper.ngd-wrapper {
            margin-top: 140px;
        }

        .userDetail-close {
            margin-top: auto;
            margin-bottom: 5px;
        }

        .chatCard-footer .chat-content {
            display: none;
        }

        .chatCard-body {
            min-height: 410px;
            height: calc(100vh - 300px);
        }

        .chat-mianRight .chat-content p {
            color: #fff;
            /* background: #5176dd;
            border-bottom-right-radius: 0; */
        }

        .chat-mianLeft .chat-content p {
            color: #000;
            /* background: #5176dd;
            border-bottom-right-radius: 0; */
        }
        .loadMoreBtn{
            width: 100%;
            border: none;
            font-size: large;
        }

        #map {
            top: 0;
            bottom: 0;
            width: 100%;
            height: 270px;
            margin-bottom: 10px;
            margin-top: 10px;
        }
        .marker-label {
            cursor: pointer;
        }
        .marker-image {
            background-image: url('https://maps.alk.com/api/1.2/img/truck_green.png');
            background-repeat: no-repeat;
            width: 26px;
            height: 26px;
            cursor: pointer;
        }
        .truck-location-update {
            cursor: pointer;
        }

        .stared{
            filter: invert(110%) sepia(5%) saturate(3207%) hue-rotate(695deg) brightness(95%) contrast(115%) drop-shadow(0 0 0 gold);
        }

        i.typingInnerText {
            font-weight: 600;
            color: mediumseagreen;
        }

        .typingInnerTextDiv{
            border-bottom: 1px solid;
            padding: 10px;
        }

        span#select2-load-select-container {
            padding-left: 30px;
        }

    </style>

@endsection

@section('content')
<div class="row">

    <div class="col-auto chat-left">
        <ul>
            <li>
                <a href="#">Starred</a>
                <ul id="starredComverdationCont">
                    <li>
                        <a href="#">
                            <span class="chatMenu-img"
                                style='background-image: url("{{asset('theme/images/left-loads-selected-icon.png')}}");'></span>
                            <span>DAW-45264452</span>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span class="chatMenu-img"><img src="{{asset('theme/images/chat-user.png')}}" alt=""></span>
                            <span>Dany T., Christian S., Bryan maus</span>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span class="chatMenu-img"
                                style='background-image: url("{{asset('theme/images/team.png')}}");'></span>
                            <span>Team A</span>
                        </a>
                    </li>
                </ul>
            </li>
            <li>
                <a href="#">
                    Boards
                </a>
                <!-- <a href="#" data-toggle="modal" data-target="#boards" class="icon-plus"><i
                        class="fa fa-plus-circle" aria-hidden="true"></i></a> -->
                <ul id="BoardMessagesContactsCont">
                    <!-- <li><a href="#"><span class="chatMenu-img"></span><span>General</span></a></li> -->
                    <li><a href="#"><span class="chatMenu-img"></span><span>Random</span></a></li>
                </ul>
            </li>
            <li>
                <a href="#">Groups</a>
                <a href="#" data-toggle="modal" data-target="#groups" class="icon-plus"><i
                        class="fa fa-plus-circle" aria-hidden="true" id="create_group"></i></a>
                <ul id="groupMessagesContactsCont">
                    <li>
                        <a href="#">
                            <span class="chatMenu-img"
                                style='background-image: url("{{asset('theme/images/team.png')}}");'></span>
                            <span> Team A</span>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span class="chatMenu-img"><img src="{{asset('theme/images/chat-user.png')}}" alt=""></span>
                            <span>Dany T., Christian S., Bryan maus</span>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span class="chatMenu-img"><img src="{{asset('theme/images/chat-user.png')}}" alt=""><span
                                    class="chatUser-no">+5</span></span>
                            <span>Dany T., Christian S., Bryan maus</span>
                        </a>
                    </li>
                </ul>
            </li>
            <li>
                <a href="#">Direct Messages</a>
                <a href="#" data-toggle="modal" data-target="#directMsg" class="icon-plus"><i
                        class="fa fa-plus-circle" aria-hidden="true"></i></a>
                <ul id="directMessagesContactsCont">
                    <li>
                        <a href="#"  >
                            <span class="chatMenu-img userChat-img directMsg-offline">
                                <img  src="{{asset('theme/images/user.png')}}" alt=""></span>
                                {{-- <img  src="{{ asset('storage/companyAdmin/profile/'.$getLoginData->profile_image) }}</span> --}}
                            <span> Dany Turner</span>
                        </a>
                        <a href="" class="icon-close">
                            <i class="fa fa-times" aria-hidden="true"></i>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span class="chatMenu-img userChat-img directMsg-offline">jt</span>
                            <span> Jenifer Turner</span>
                        </a>
                        <a href="" class="icon-close">
                            <i class="fa fa-times" aria-hidden="true"></i>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span class="chatMenu-img userChat-img directMsg-online"><img
                                    src="{{asset('theme/images/user.png')}}" alt=""></span>
                            <span> Dany Turner</span>
                        </a>
                        <a href="" class="icon-close">
                            <i class="fa fa-times" aria-hidden="true"></i>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span class="chatMenu-img userChat-img directMsg-online">Jt</span>
                            <span> Jenifer Turner</span>
                        </a>
                        <a href="" class="icon-close">
                            <i class="fa fa-times" aria-hidden="true"></i>
                        </a>
                    </li>
                </ul>
            </li>
            <li>
                <a href="">Loads</a>
                <div class="form-group position-relative">
                    <select class="form-control select2-select" id="load-select"></select>
                    <!-- <input type="text" class="form-control"> -->
                    <img src="{{asset('theme/images/search-icon-black.png')}}" alt="search-icon">
                </div>
                <ul id="loadMessagesContactsCont">
                    <li>
                        <a href="#">
                            <span class="chatMenu-img"
                                style='background-image: url("{{asset('theme/images/left-loads-selected-icon.png')}}");'></span>
                            <span> DAW-45264452</span>
                        </a>
                        <a href="" class="icon-close">
                            <i class="fa fa-times" aria-hidden="true"></i>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span class="chatMenu-img"
                                style='background-image: url("{{asset('theme/images/left-loads-selected-icon.png')}}");'></span>
                            <span> MED-78694532</span>
                        </a>
                        <a href="" class="icon-close">
                            <i class="fa fa-times" aria-hidden="true"></i>
                        </a>
                    </li>
                </ul>
            </li>
            <li>
                <a href="#">External Communicatons</a>
                <a href="#" data-toggle="modal" data-target="#extComm" class="icon-plus"><i
                        class="fa fa-plus-circle" aria-hidden="true"></i></a>
                <ul>
                    <li>
                        <a href="#">
                            <span class="chatMenu-img"
                                style='background-image: url("{{asset('theme/images/mail-chat.png')}}");'></span>
                            <span>danyturner@gmail.com</span>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span class="chatMenu-img"
                                style='background-image: url("{{asset('theme/images/mail-chat.png')}}");'></span>
                            <span>MSmigo@aol.com</span>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span class="chatMenu-img"
                                style='background-image: url("{{asset('theme/images/sms.png')}}");'></span>
                            <span>+15405207129</span>
                        </a>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="col chat-main">
        <div class="chat-tab">
            <!-- Nav tabs -->
            <ul class="nav nav-tabs hidden">
                <li class="nav-item">
                    <a class="nav-link active" data-toggle="tab" href="#tab1">Driver</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-toggle="tab" href="#tab2">Broker</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-toggle="tab" href="#tab3">Internal</a>
                </li>
            </ul>

            <!-- Tab panes -->
            <div class="tab-content">
                <div class="tab-pane active" id="tab1">
                    <div class="chatCard">
                        <div class="chatCard-head">
                            <div class="d-flex align-items-center">
                                <div class="userChat-userBlock">
                                    <div class="userChat-imgBlock">
                                        {{-- <span>L</span> --}}
                                        <img src="http://127.0.0.1:8001/theme/images/user.png" alt="">
                                    </div>
                                    <span id="userChat-userBlock-friendlyName">Lacy</span> <i class="fa fa-angle-right" aria-hidden="true"></i>
                                </div>
                                <div class="">
                                    <div class="userChat-mobile"><i class="fa fa-mobile"
                                            aria-hidden="true"></i>
                                    </div>
                                </div>
                                <div class="userChat-location">
                                    <i class="fa fa-map-marker" aria-hidden="true"></i> Dawson Truck Lines,
                                    Inc
                                </div>
                            </div>
                            <div class="d-flex">
                                <input type="text" class="form-control" placeholder="Search" aria-label="Search" aria-describedby="search-addon" style="border-right: 0; border-radius: 10px 0 0 10px;" id="searchText" />
                                <button type="button" class="btn btn-outline-primary" style="border-radius: 0;" id="msgSearchSubmitBtn">search</button>
                                <button type="button" class="btn btn-outline-primary" style="border-radius: 0 10px 10px 0;" id="clearSearchBtn">clear</button>
                            </div>
                            <div class="d-flex align-items-center">
                                <div>
                                    <div class="userChat-imgBlock w-16 bg-yellow">
                                        <span>a</span>
                                    </div>
                                </div>
                                <div class="">
                                    <ul>
                                        <li><i class="fa fa-check-square-o" aria-hidden="true"></i> </li>
                                        <li> <i class="fa fa-phone" aria-hidden="true"></i> </li>
                                        <li> <i class="fa fa-ellipsis-v" aria-hidden="true"></i> </li>
                                    </ul>

                                </div>
                            </div>
                        </div>
                        <div class="d-flex align-items-center typingInnerTextDiv hidden">
                            <i class="typingInnerText" >is typing.....</i>
                        </div>
                        <div class="chatCard-body">
                            <div class="chat-mainBlock chat-mianLeft">
                                <div class="chat-msg">
                                    <div class="userChat-imgBlock">
                                        <span>L</span>
                                    </div>
                                    <div class="chat-content">
                                        Lortrtrt rem ipsum dolor sit amet, consetetur sadipscintg
                                        elitr, sed diam Lortrtrt rem ipsum dolor sit amet,
                                        consetetur sadipscintg elitr,
                                        <div class="chat-hover">
                                            <ul>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Reply"><i class="fa fa-reply"
                                                            aria-hidden="true"></i></a></li>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Forward"><i class="fa fa-share"
                                                            aria-hidden="true"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="chat-info">8:36 Am</div>
                            </div>

                            <div class="chat-mainBlock chat-mianRight">
                                <div class="chat-msg">
                                    <div class="userChat-imgBlock">
                                        <span>Jb</span>
                                    </div>
                                    <div class="chat-content">
                                        Lortrtrt rem ipsum dolor sit amet, consetetur sadipscintg
                                        elitr, sed diam Lortrtrt rem ipsum dolor sit amet,
                                        consetetur sadipscintg elitr,
                                        <div class="chat-hover">
                                            <ul>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Reply"><i class="fa fa-reply"
                                                            aria-hidden="true"></i></a></li>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Forward"><i class="fa fa-share"
                                                            aria-hidden="true"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="chat-info">Joy Bailey 4:19 Pm</div>
                            </div>
                            <div class="divider">
                                <span>wednesday</span>
                            </div>
                            <div class="chat-mainBlock chat-mianRight">
                                <div class="chat-msg">
                                    <div class="userChat-imgBlock">
                                        <span>Jb</span>
                                    </div>
                                    <div class="chat-content">
                                        Lortrtrt rem ipsum dolor sit amet,
                                        <div class="chat-hover">
                                            <ul>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Reply"><i class="fa fa-reply"
                                                            aria-hidden="true"></i></a></li>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Forward"><i class="fa fa-share"
                                                            aria-hidden="true"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="chat-info">Joy Bailey 4:19 Pm</div>
                            </div>
                            <div class="chat-mainBlock chat-mianLeft">
                                <div class="chat-msg">
                                    <div class="userChat-imgBlock">
                                        <span>L</span>
                                    </div>
                                    <div class="chat-content p-0">
                                        <div class="chat-imgContent">
                                            <img src="{{asset('theme/images/chat-img.jpg')}}" alt="">
                                        </div>
                                        <div class="chat-hover">
                                            <ul>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Reply"><i class="fa fa-reply"
                                                            aria-hidden="true"></i></a></li>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Forward"><i class="fa fa-share"
                                                            aria-hidden="true"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="chat-info">8:36 Am </div>
                            </div>
                            <div class="chat-mainBlock chat-mianLeft">
                                <div class="chat-msg">
                                    <div class="userChat-imgBlock">
                                        <img src="{{asset('theme/images/user.png')}}" alt="">
                                    </div>
                                    <div class="chat-content">
                                        Empty
                                        <div class="chat-hover">
                                            <ul>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Reply"><i class="fa fa-reply"
                                                            aria-hidden="true"></i></a></li>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Forward"><i class="fa fa-share"
                                                            aria-hidden="true"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="chat-info">8:36 Am
                                    <div class="d-flex ">
                                        <div class="userChat-imgBlock w-16 bg-green">
                                            <span>c</span>
                                        </div>
                                        <div class="userChat-imgBlock w-16 bg-green">
                                            <span>L</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="chat-conver">Conversation close by bryan maus <br>
                                Wednesday, Nov 30 at 9:48 AM</div>
                            <div class="divider">
                                <span>Yesterday</span>
                            </div>
                            <div class="chat-mainBlock chat-mianRight">
                                <div class="chat-msg">
                                    <div class="userChat-imgBlock">
                                        <span>Jb</span>
                                    </div>
                                    <div class="chat-content">
                                        Lortrtrt rem ipsum dolor sit amet, consetetur sadipscintg
                                        elitr, sed diam Lortrtrt rem ipsum dolor sit amet,
                                        consetetur sadipscintg elitr,
                                        <div class="chat-hover">
                                            <ul>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Reply"><i class="fa fa-reply"
                                                            aria-hidden="true"></i></a></li>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Forward"><i class="fa fa-share"
                                                            aria-hidden="true"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="chat-info">Joy Bailey 4:19 Pm</div>
                            </div>
                            <div class="chat-mainBlock chat-mianLeft">
                                <div class="chat-msg">
                                    <div class="userChat-imgBlock">
                                        <span>L</span>
                                    </div>
                                    <div class="">
                                        <div class="chat-content">Loaded
                                            <div class="chat-hover">
                                                <ul>
                                                    <li><a href="#" data-toggle="tooltip"
                                                            data-placement="top" title="Reply"><i
                                                                class="fa fa-reply"
                                                                aria-hidden="true"></i></a></li>
                                                    <li><a href="#" data-toggle="tooltip"
                                                            data-placement="top" title="Forward"><i
                                                                class="fa fa-share"
                                                                aria-hidden="true"></i></a></li>
                                                </ul>
                                            </div>
                                        </div>
                                        <div class="chat-content">
                                            Empty
                                            <div class="chat-hover">
                                                <ul>
                                                    <li><a href="#" data-toggle="tooltip"
                                                            data-placement="top" title="Reply"><i
                                                                class="fa fa-reply"
                                                                aria-hidden="true"></i></a></li>
                                                    <li><a href="#" data-toggle="tooltip"
                                                            data-placement="top" title="Forward"><i
                                                                class="fa fa-share"
                                                                aria-hidden="true"></i></a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="chat-info">8:36 Am
                                    <div class="d-flex ">
                                        <div class="userChat-imgBlock w-16 ">
                                            <span>B</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="chat-conver">Conversation close by bryan maus <br>
                                Wednesday, Nov 30 at 9:48 AM</div>
                            <div class="divider">
                            </div>
                            <div class="chat-mainBlock chat-mianRight">
                                <div class="chat-msg">
                                    <div class="userChat-imgBlock">
                                        <span>Jb</span>
                                    </div>
                                    <div class="chat-content">
                                        Lortrtrt rem ipsum dolor sit amet, consetetur sadipscintg
                                        elitr, sed diam Lortrtrt rem ipsum dolor sit amet,
                                        consetetur sadipscintg elitr,
                                        <div class="chat-hover">
                                            <ul>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Reply"><i class="fa fa-reply"
                                                            aria-hidden="true"></i></a></li>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Forward"><i class="fa fa-share"
                                                            aria-hidden="true"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="chat-info">Joy Bailey 4:19 Pm</div>
                            </div>
                            <div class="chat-mainBlock chat-mianRight">
                                <div class="chat-msg">
                                    <div class="userChat-imgBlock">
                                        <span>Jb</span>
                                    </div>
                                    <div class="chat-content">
                                        <div class="chat-file">
                                            <img src="{{asset('theme/images/pdf.png')}}" alt="">
                                            <p>Document name </p>
                                        </div>
                                        <div class="chat-hover">
                                            <ul>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Reply"><i class="fa fa-reply"
                                                            aria-hidden="true"></i></a></li>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Forward"><i class="fa fa-share"
                                                            aria-hidden="true"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="chat-info">Joy Bailey 4:19 Pm</div>
                            </div>
                            <div class="chat-mainBlock chat-mianLeft">
                                <div class="chat-msg">
                                    <div class="userChat-imgBlock">
                                        <span>L</span>
                                    </div>
                                    <div class="chat-content">
                                        <div class="chat-file">
                                            <img src="{{asset('theme/images/xls-file.png')}}" alt="">
                                            <p>Document name </p>
                                        </div>
                                        <div class="chat-hover">
                                            <ul>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Reply"><i class="fa fa-reply"
                                                            aria-hidden="true"></i></a></li>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Forward"><i class="fa fa-share"
                                                            aria-hidden="true"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="chat-info">8:36 Am</div>
                            </div>
                            <div class="chat-mainBlock chat-mianRight">
                                <div class="chat-msg">
                                    <div class="userChat-imgBlock">
                                        <span>Jb</span>
                                    </div>
                                    <div class="chat-content">
                                        <div class="chat-file">
                                            <img src="{{asset('theme/images/video-file.png')}}" alt="">
                                            <p>Document name </p>
                                        </div>
                                        <div class="chat-hover">
                                            <ul>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Reply"><i class="fa fa-reply"
                                                            aria-hidden="true"></i></a></li>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Forward"><i class="fa fa-share"
                                                            aria-hidden="true"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="chat-info">Joy Bailey 4:19 Pm</div>
                            </div>
                            <div class="chat-mainBlock chat-mianLeft">
                                <div class="chat-msg">
                                    <div class="userChat-imgBlock">
                                        <span>L</span>
                                    </div>
                                    <div class="chat-content">
                                        <div class="chat-file">
                                            <img src="{{asset('theme/images/txt-file.png')}}" alt="">
                                            <p>Document name </p>
                                        </div>
                                        <div class="chat-hover">
                                            <ul>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Reply"><i class="fa fa-reply"
                                                            aria-hidden="true"></i></a></li>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Forward"><i class="fa fa-share"
                                                            aria-hidden="true"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="chat-info">8:36 Am</div>
                            </div>
                            <div class="chat-mainBlock chat-mianRight">
                                <div class="chat-msg">
                                    <div class="userChat-imgBlock">
                                        <span>Jb</span>
                                    </div>
                                    <div class="chat-content">
                                        <div class="chat-file">
                                            <img src="{{asset('theme/images/file.png')}}" alt="">
                                            <p>Document name </p>
                                        </div>
                                        <div class="chat-hover">
                                            <ul>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Reply"><i class="fa fa-reply"
                                                            aria-hidden="true"></i></a></li>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Forward"><i class="fa fa-share"
                                                            aria-hidden="true"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="chat-info">Joy Bailey 4:19 Pm</div>
                            </div>
                            <div class="chat-mainBlock chat-mianLeft">
                                <div class="chat-msg">
                                    <div class="userChat-imgBlock">
                                        <span>L</span>
                                    </div>
                                    <div class="chat-content">
                                        <div class="chat-file">
                                            <img src="{{asset('theme/images/doc-file.png')}}" alt="">
                                            <p>Document name </p>
                                        </div>
                                        <div class="chat-hover">
                                            <ul>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Reply"><i class="fa fa-reply"
                                                            aria-hidden="true"></i></a></li>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Forward"><i class="fa fa-share"
                                                            aria-hidden="true"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="chat-info">8:36 Am</div>
                            </div>
                            <div class="chat-mainBlock chat-mianRight">
                                <div class="chat-msg">
                                    <div class="userChat-imgBlock">
                                        <span>Jb</span>
                                    </div>
                                    <div class="chat-content">
                                        <div class="chat-file">
                                            <img src="{{asset('theme/images/audio-file.png')}}" alt="">
                                            <p>Document name </p>
                                        </div>
                                        <div class="chat-hover">
                                            <ul>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Reply"><i class="fa fa-reply"
                                                            aria-hidden="true"></i></a></li>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Forward"><i class="fa fa-share"
                                                            aria-hidden="true"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="chat-info">Joy Bailey 4:19 Pm</div>
                            </div>
                            <div class="chat-mainBlock chat-mianRight">
                                <div class="chat-msg">
                                    <div class="userChat-imgBlock">
                                        <span>Jb</span>
                                    </div>
                                    <div class="chat-content">
                                        <div class="chat-content">
                                            <div class="chat-name">Joy Bailey</div>
                                            <div class="chat-file">
                                                <img src="{{asset('theme/images/audio-file.png')}}" alt="">
                                                <p>Document name </p>
                                            </div>
                                        </div>
                                        Okay Fine
                                        <!-- <div class="chat-file">
                                            <img src="images/audio-file.png" alt="">
                                            <p>Document name </p>
                                        </div> -->
                                        <div class="chat-hover">
                                            <ul>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Reply"><i class="fa fa-reply"
                                                            aria-hidden="true"></i></a></li>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Forward"><i class="fa fa-share"
                                                            aria-hidden="true"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="chat-info">Joy Bailey 4:19 Pm</div>
                            </div>
                            <div class="chat-mainBlock chat-mianLeft">
                                <div class="chat-msg">
                                    <div class="userChat-imgBlock">
                                        <span>L</span>
                                    </div>
                                    <div class="chat-content">
                                        <div class="chat-content">
                                            <div class="chat-name">You</div>
                                            <div class="chat-file">
                                                <img src="{{asset('theme/images/audio-file.png')}}" alt="">
                                                <p>Document name </p>
                                            </div>
                                        </div>
                                        Okay Fine
                                        <!-- <div class="chat-file">
                                                                                            <img src="images/audio-file.png" alt="">
                                                                                            <p>Document name </p>
                                                                                        </div> -->
                                        <div class="chat-hover">
                                            <ul>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Reply"><i class="fa fa-reply"
                                                            aria-hidden="true"></i></a></li>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Forward"><i class="fa fa-share"
                                                            aria-hidden="true"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="chat-info">8:36 Am</div>
                            </div>
                            <div class="chat-mainBlock chat-mianLeft">
                                <div class="chat-msg">
                                    <div class="userChat-imgBlock">
                                        <span>L</span>
                                    </div>
                                    <div class="chat-content">
                                        <div class="chat-content">
                                            <div class="chat-name">You</div>
                                            Lortrtrt rem ipsum dolor sit amet, consetetur sadipscintg
                                            elitr, sed diam Lortrtrt rem ipsum dolor sit amet,
                                            consetetur sadipscintg elitr,
                                        </div>
                                        Okay Fine

                                        <div class="chat-hover">
                                            <ul>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Reply"><i class="fa fa-reply"
                                                            aria-hidden="true"></i></a></li>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Forward"><i class="fa fa-share"
                                                            aria-hidden="true"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="chat-info">8:36 Am</div>
                            </div>

                            <div class="chat-mainBlock chat-mianRight">
                                <div class="chat-msg">
                                    <div class="userChat-imgBlock">
                                        <span>Jb</span>
                                    </div>
                                    <div class="chat-content">
                                        <div class="chat-content">
                                            <div class="chat-name">Joy Bailey</div>
                                            Lortrtrt rem ipsum dolor sit amet, consetetur sadipscintg
                                            elitr, sed diam Lortrtrt rem ipsum dolor sit amet,
                                            consetetur sadipscintg elitr,
                                        </div>
                                        Okay Fine
                                        <div class="chat-hover">
                                            <ul>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Reply"><i class="fa fa-reply"
                                                            aria-hidden="true"></i></a></li>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Forward"><i class="fa fa-share"
                                                            aria-hidden="true"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="chat-info">Joy Bailey 4:19 Pm</div>
                            </div>
                            <div class="chat-mainBlock chat-mianRight">
                                <div class="chat-msg">
                                    <div class="userChat-imgBlock">
                                        <span>L</span>
                                    </div>
                                    <div class="chat-content">
                                        <div class="chat-content">
                                            <div class="chat-name">Joy Bailey</div>
                                            <div class="chat-imgContent">
                                                <img src="{{asset('theme/images/chat-img.jpg')}}" alt="">
                                            </div>
                                        </div>
                                        Okay Fine

                                        <div class="chat-hover">
                                            <ul>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Reply"><i class="fa fa-reply"
                                                            aria-hidden="true"></i></a></li>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Forward"><i class="fa fa-share"
                                                            aria-hidden="true"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="chat-info">8:36 Am </div>
                            </div>
                            <div class="chat-mainBlock chat-mianleft">
                                <div class="chat-msg">
                                    <div class="userChat-imgBlock">
                                        <span>L</span>
                                    </div>
                                    <div class="chat-content">
                                        <div class="chat-content">
                                            <div class="chat-name">You</div>
                                            <div class="chat-imgContent">
                                                <img src="{{asset('theme/images/chat-img.jpg')}}" alt="">
                                            </div>
                                        </div>
                                        Okay Fine

                                        <div class="chat-hover">
                                            <ul>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Reply"><i class="fa fa-reply"
                                                            aria-hidden="true"></i></a></li>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Forward"><i class="fa fa-share"
                                                            aria-hidden="true"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="chat-info">8:36 Am </div>
                            </div>
                            <div class="chat-mainBlock chat-mianLeft">
                                <div class="chat-msg">
                                    <div class="userChat-imgBlock">
                                        <span>L</span>
                                    </div>
                                    <div class="chat-content">
                                        <div class="chat-forword">
                                            <i class="fa fa-share" aria-hidden="true"></i> Forwarded
                                        </div>
                                        Lortrtrt rem ipsum dolor sit amet, consetetur sadipscintg
                                        elitr, sed diam Lortrtrt rem ipsum dolor sit amet,
                                        consetetur sadipscintg elitr,
                                        <div class="chat-hover">
                                            <ul>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Reply"><i class="fa fa-reply"
                                                            aria-hidden="true"></i></a></li>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Forward"><i class="fa fa-share"
                                                            aria-hidden="true"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="chat-info">8:36 Am</div>
                            </div>

                            <div class="chat-mainBlock chat-mianRight">
                                <div class="chat-msg">
                                    <div class="userChat-imgBlock">
                                        <span>Jb</span>
                                    </div>
                                    <div class="chat-content">
                                        <div class="chat-forword">
                                            <i class="fa fa-share" aria-hidden="true"></i> Forwarded
                                        </div>
                                        Lortrtrt rem ipsum dolor sit amet, consetetur sadipscintg
                                        elitr, sed diam Lortrtrt rem ipsum dolor sit amet,
                                        consetetur sadipscintg elitr,
                                        <div class="chat-hover">
                                            <ul>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Reply"><i class="fa fa-reply"
                                                            aria-hidden="true"></i></a></li>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Forward"><i class="fa fa-share"
                                                            aria-hidden="true"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="chat-info">Joy Bailey 4:19 Pm</div>
                            </div>
                            <div class="chat-mainBlock chat-mianRight">
                                <div class="chat-msg">
                                    <div class="userChat-imgBlock">
                                        <span>Jb</span>
                                    </div>
                                    <div class="chat-content">
                                        <div class="chat-forword">
                                            <i class="fa fa-share" aria-hidden="true"></i> Forwarded
                                        </div>
                                        <div class="chat-file">
                                            <img src="{{asset('theme/images/pdf.png')}}" alt="">
                                            <p>Document name </p>
                                        </div>
                                        <div class="chat-hover">
                                            <ul>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Reply"><i class="fa fa-reply"
                                                            aria-hidden="true"></i></a></li>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Forward"><i class="fa fa-share"
                                                            aria-hidden="true"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="chat-info">Joy Bailey 4:19 Pm</div>
                            </div>
                            <div class="chat-mainBlock chat-mianLeft">
                                <div class="chat-msg">
                                    <div class="userChat-imgBlock">
                                        <span>L</span>
                                    </div>
                                    <div class="chat-content">
                                        <div class="chat-forword">
                                            <i class="fa fa-share" aria-hidden="true"></i> Forwarded
                                        </div>
                                        <div class="chat-file">
                                            <img src="{{asset('theme/images/xls-file.png')}}" alt="">
                                            <p>Document name </p>
                                        </div>
                                        <div class="chat-hover">
                                            <ul>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Reply"><i class="fa fa-reply"
                                                            aria-hidden="true"></i></a></li>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Forward"><i class="fa fa-share"
                                                            aria-hidden="true"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="chat-info">8:36 Am</div>
                            </div>
                            <div class="chat-mainBlock chat-mianRight">
                                <div class="chat-msg">
                                    <div class="userChat-imgBlock">
                                        <span>L</span>
                                    </div>
                                    <div class="chat-content">
                                        <div class="chat-forword">
                                            <i class="fa fa-share" aria-hidden="true"></i> Forwarded
                                        </div>
                                        <div class="chat-imgContent">
                                            <img src="{{asset('theme/images/chat-img.jpg')}}" alt="">
                                        </div>
                                        <div class="chat-hover">
                                            <ul>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Reply"><i class="fa fa-reply"
                                                            aria-hidden="true"></i></a></li>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Forward"><i class="fa fa-share"
                                                            aria-hidden="true"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="chat-info">8:36 Am </div>
                            </div>
                            <div class="chat-mainBlock chat-mianLeft">
                                <div class="chat-msg">
                                    <div class="userChat-imgBlock">
                                        <span>L</span>
                                    </div>
                                    <div class="chat-content">
                                        <div class="chat-forword">
                                            <i class="fa fa-share" aria-hidden="true"></i> Forwarded
                                        </div>
                                        <div class="chat-imgContent">
                                            <img src="{{asset('theme/images/chat-img.jpg')}}" alt="">
                                        </div>
                                        <div class="chat-hover">
                                            <ul>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Reply"><i class="fa fa-reply"
                                                            aria-hidden="true"></i></a></li>
                                                <li><a href="#" data-toggle="tooltip" data-placement="top"
                                                        title="Forward"><i class="fa fa-share"
                                                            aria-hidden="true"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="chat-info">8:36 Am </div>
                            </div>

                        </div>
                        <div class="chatCard-footer">
                            {{-- <form action="#"> --}}
                                <div class="chat-content">
                                    <div class="chat-file">
                                        <img src="{{asset('theme/images/audio-file.png')}}" alt="">
                                        <p>Document name </p>
                                    </div>
                                    <a href="#" class="close"> <i class="fa fa-times"
                                            aria-hidden="true"></i></a>

                                </div>
                                <div class="">
                                    <form id="message-input">
                                        <textarea id="chat-message" class="form-control" name="chat-message" placeholder="Enter Message"></textarea>
                                        <input type="hidden" name="isReply" value="false" id="isReply">
                                        <input type="hidden" name="replySourceIndex" value="" id="replySourceIndex">
                                    </form>
                                    {{-- <input type="text" id="message-input" class="form-control" placeholder="Enter Message"> --}}
                                </div>
                                <div class="chatCard-icon">
                                    <div class="">
                                        <ul>
                                            <li><a href="javascript:void(0)"><img src="{{asset('theme/images/chat-doc.png')}}" alt=""></a></li>
                                            <li><a href="javascript:void(0)" ><img src="{{asset('theme/images/chat-star.png')}}" alt="" id="conversationStarImg"></a></li>
                                            <li><a href="javascript:void(0)"><img src="{{asset('theme/images/chat-doller.png')}}" alt=""></a>
                                            </li>
                                        </ul>
                                    </div>
                                    <div class="d-flex align-items-center">
                                        <ul>
                                            <li class="position-relative">
                                                <a href="javascript:void(0)" class="chatEmoji-btn"><img
                                                        src="{{asset('theme/images/chat-smile.png')}}" alt=""></a>
                                                <div class="chatEmoji-block scrollbar">
                                                    <div class="">
                                                        <span class="my_emoji" data-attribute="128512">&#128512;</span>
                                                        <span class="my_emoji" data-attribute="128513">&#128513;</span>
                                                        <span class="my_emoji" data-attribute="128514">&#128514;</span>
                                                        <span class="my_emoji" data-attribute="128515">&#128515;</span>
                                                        <span class="my_emoji" data-attribute="128516">&#128516;</span>
                                                        <span class="my_emoji" data-attribute="128517">&#128517;</span>
                                                        <span class="my_emoji" data-attribute="128518">&#128518;</span>
                                                        <span class="my_emoji" data-attribute="128519">&#128519;</span>
                                                        <span class="my_emoji" data-attribute="128520">&#128520;</span>
                                                        <span class="my_emoji" data-attribute="128521">&#128521;</span>
                                                        <span class="my_emoji" data-attribute="128522">&#128522;</span>
                                                        <span class="my_emoji" data-attribute="128523">&#128523;</span>
                                                        <span class="my_emoji" data-attribute="128524">&#128524;</span>
                                                        <span class="my_emoji" data-attribute="128525">&#128525;</span>
                                                        <span class="my_emoji" data-attribute="128526">&#128526;</span>
                                                        <span class="my_emoji" data-attribute="128527">&#128527;</span>
                                                        <span class="my_emoji" data-attribute="128528">&#128528;</span>
                                                        <span class="my_emoji" data-attribute="128529">&#128529;</span>
                                                        <span class="my_emoji" data-attribute="128530">&#128530;</span>
                                                        <span class="my_emoji" data-attribute="128531">&#128531;</span>
                                                        <span class="my_emoji" data-attribute="128532">&#128532;</span>
                                                        <span class="my_emoji" data-attribute="128533">&#128533;</span>
                                                        <span class="my_emoji" data-attribute="128534">&#128534;</span>
                                                        <span class="my_emoji" data-attribute="128535">&#128535;</span>
                                                        <span class="my_emoji" data-attribute="128536">&#128536;</span>
                                                        <span class="my_emoji" data-attribute="128537">&#128537;</span>
                                                        <span class="my_emoji" data-attribute="128538">&#128538;</span>
                                                        <span class="my_emoji" data-attribute="128539">&#128539;</span>
                                                        <span class="my_emoji" data-attribute="128540">&#128540;</span>
                                                        <span class="my_emoji" data-attribute="128541">&#128541;</span>
                                                        <span class="my_emoji" data-attribute="128542">&#128542;</span>
                                                        <span class="my_emoji" data-attribute="128543">&#128543;</span>
                                                        <span class="my_emoji" data-attribute="128544">&#128544;</span>
                                                        <span class="my_emoji" data-attribute="128545">&#128545;</span>
                                                        <span class="my_emoji" data-attribute="128546">&#128546;</span>
                                                        <span class="my_emoji" data-attribute="128547">&#128547;</span>
                                                        <span class="my_emoji" data-attribute="128548">&#128548;</span>
                                                        <span class="my_emoji" data-attribute="128549">&#128549;</span>
                                                        <span class="my_emoji" data-attribute="128550">&#128550;</span>
                                                        <span class="my_emoji" data-attribute="128551">&#128551;</span>
                                                        <span class="my_emoji" data-attribute="128552">&#128552;</span>
                                                        <span class="my_emoji" data-attribute="128553">&#128553;</span>
                                                        <span class="my_emoji" data-attribute="128554">&#128554;</span>
                                                        <span class="my_emoji" data-attribute="128555">&#128555;</span>
                                                        <span class="my_emoji" data-attribute="128556">&#128556;</span>
                                                        <span class="my_emoji" data-attribute="128557">&#128557;</span>
                                                        <span class="my_emoji" data-attribute="128558">&#128558;</span>
                                                        <span class="my_emoji" data-attribute="128559">&#128559;</span>
                                                        <span class="my_emoji" data-attribute="128560">&#128560;</span>
                                                        <span class="my_emoji" data-attribute="128561">&#128561;</span>
                                                        <span class="my_emoji" data-attribute="128562">&#128562;</span>
                                                        <span class="my_emoji" data-attribute="128563">&#128563;</span>
                                                        <span class="my_emoji" data-attribute="128564">&#128564;</span>
                                                        <span class="my_emoji" data-attribute="128565">&#128565;</span>
                                                        <span class="my_emoji" data-attribute="128566">&#128566;</span>
                                                        <span class="my_emoji" data-attribute="128567">&#128567;</span>

                                                    </div>
                                                </div>
                                            </li>
                                            <li><span><img src="{{asset('theme/images/chat-attech.png')}}" alt="">
                                                    <input type="file" id="formInputFile[]" accept="image/*,text/*,video/*,audio/*,application/pdf,.csv, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel, application/vnd.ms-powerpoint, application/vnd.openxmlformats-officedocument.presentationml.presentation,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/vnd.oasis.opendocument.presentation ,application/vnd.oasis.opendocument.spreadsheet,application/vnd.oasis.opendocument.text,application/xml"  multiple="multiple"></span>
                                            </li>
                                        </ul>
                                        <button class="btn btn-border ml-1 ml-sm-3" id="send_close_btn">Send and Close</button>
                                        <div class="btn-group ">
                                            <button type="button" class="btn" id="submitMessage">
                                                <img src="{{asset('theme/images/chat-send.png')}}" alt="">
                                            </button>
                                            <button type="button"
                                                class="btn dropdown-toggle dropdown-toggle-split"
                                                data-toggle="dropdown" aria-haspopup="true"
                                                aria-expanded="false">
                                                <span class="sr-only"><img src="{{asset('theme/images/chat-send.png')}}"
                                                        alt=""></span>
                                            </button>
                                            <div class="dropdown-menu  dropdown-menu-right" id="eldSelectDiv">
                                                <!-- <button class="dropdown-item" type="button">Action</button>
                                                <button class="dropdown-item" type="button">Another
                                                    action</button>
                                                <button class="dropdown-item" type="button">Something else
                                                    here</button> -->
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            {{-- </form> --}}
                        </div>
                    </div>
                </div>

                <div class="tab-pane container fade" id="tab2">Broker<a class="md-emoji"
                        href="javascript:void(0)">😀</a> &#xf556; <p>I will display &#x1F601;</p>
                </div>
                <div class="tab-pane container fade" id="tab3">Internal</div>
            </div>
        </div>
    </div>
    <div class="col-auto chat-right chat-loadDetail hidden" data-load_number="LIA-789654" id="loaDetailPreview">
        <div class="chatRight-head d-flex align-items-center">
            <img src="{{asset('theme/images/truck.png')}}">
            <h6 class="load_number">DAW-45264452</h6>
            <div class="badge badge-theme load_status">Show Status</div>
            <i class="fa fa-angle-right ml-auto" aria-hidden="true"></i>
        </div>
        <div class="chatRight-content">
            <h6 class="driver_name">Driver: <a href="javascript:void(0);">Driver name and Modal popup</a></h6>
            <h6 class="broker_name">Broker: <a href="javascript:void(0);">Name and Link to Broker</a></h6>
            <div class="d-flex flex-wrap">
                <h6 class="mr-4 truck_number">Truck: <a href="javascript:void(0);">ID and Link</a></h6>
                <h6 class="trailer_number">Trailer: <a href="javascript:void(0);">ID and Link - Type</a></h6>
            </div>
        </div>
        <div class="accordion-chat" id="chat_accrordion">
            <div class="card">
                <div class="card-header" id="headingOne">
                    <h2 class="mb-0">
                        <button class="btn btn-link btn-block text-left collapsed" type="button"
                            data-toggle="collapse" data-target="#current-location-collapse"
                            aria-expanded="true" aria-controls="current-location-collapse">
                            Current Location
                            <i class="fa fa-angle-down" aria-hidden="true"></i>
                        </button>
                    </h2>
                </div>
                <div id="current-location-collapse" class="collapse" aria-labelledby="headingOne"
                    data-parent="#chat_accrordion">
                    <div class="card-body current-location-block">
                        <h6 class="mb-2 last_location">Address: <span></span></h6>
                        <div id="map" data-map-instance="null"></div>
                        <!-- <div class="mb-1">
                            <iframe
                                src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d118106.57842957249!2d73.1030463216296!3d22.322246411063322!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x395fc8ab91a3ddab%3A0xac39d3bfe1473fb8!2sVadodara%2C%20Gujarat!5e0!3m2!1sen!2sin!4v1672227022001!5m2!1sen!2sin"
                                width="100%" height="250" style="border:0;" allowfullscreen=""
                                loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
                        </div> -->
                        <div class="d-flex align-items-center ">
                            <img src="{{asset('theme/images/last-update.png')}}">
                            <h6 class="last_updated">Last updated: <span></span></h6>
                            <img src="{{asset('theme/images/chat-download.png')}}" class="ml-auto mr-0 truck-location-update">
                        </div>
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-header" id="headingTwo">
                    <h2 class="mb-0">
                        <button class="btn btn-link btn-block text-left collapsed" type="button"
                            data-toggle="collapse" data-target="#stops-collapsed" aria-expanded="false"
                            aria-controls="stops-collapsed">
                            Stops<i class="fa fa-angle-down" aria-hidden="true"></i>
                        </button>
                    </h2>
                </div>
                <div id="stops-collapsed" class="collapse" aria-labelledby="headingTwo"
                    data-parent="#chat_accrordion">
                    <div class="card-body">
                        <div class="accordion-stops" id="stops_accrordion">
                        </div>
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-header" id="headingTwo">
                    <h2 class="mb-0">
                        <button class="btn btn-link btn-block text-left collapsed" type="button"
                            data-toggle="collapse" data-target="#load-files-collapsed" aria-expanded="false"
                            aria-controls="load-files-collapsed">
                            Load Files<i class="fa fa-angle-down" aria-hidden="true"></i>
                        </button>
                    </h2>
                </div>
                <div id="load-files-collapsed" class="collapse" aria-labelledby="headingTwo"
                    data-parent="#chat_accrordion">
                    <div class="card-body load-files-block">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-auto chat-userDetail pl-xl-0 hidden" id="userdetailPreview">
        <div class="userDetail-close text-right">
            <a href="#" class="close"><i class="fa fa-times" aria-hidden="true"></i></a>
        </div>
        <!-- <div class="userDetail-userBlock">
            <div class="userChat-imgBlock">
                <img src="images/user.png" alt="">

            </div>
            <div class="">
                <h6> Lacy</h6>
                <p>(252) 999-0726</p>
            </div>
        </div> -->

        <div class="userDetail-userBlock ">
            <div class="userChat-imgBlock" id="userdetailPreviewImage">
                L
            </div>
            <div class="">
                <h6 id="userdetailPreviewName"> Lacy</h6>
                <p id="userdetailPreviewPhone">(252) 999-0726</p>
            </div>
        </div>
        <div class="recent-block">
            <h6>Most recent Activity</h6>
            <div class="userrecent-userBlock">
                <div class="userChat-imgBlock">
                    <i class="fa fa-comment-o" aria-hidden="true"></i>
                </div>
                <p> Joy B. send a message <span class="dot"></span> Today</p>
            </div>
            <div class="d-flex">
                <button class="btn btn-border"><img src="{{asset('theme/images/chat-phone.png')}}" alt=""></button>
                <button class="btn btn-border"><img src="{{asset('theme/images/chat-doller.png')}}" alt=""></button>
                <button class="btn btn-border"><img src="{{asset('theme/images/chat-text.png')}}" alt=""></button>
            </div>
        </div>
        <div class="chatDetail-tab">
            <!-- Nav tabs -->
            <ul class="nav nav-tabs">
                <li class="nav-item">
                    <a class="nav-link active" data-toggle="tab" href="#details">Details</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-toggle="tab" href="#activity">Activity</a>
                </li>
            </ul>

            <!-- Tab panes -->
            <div class="tab-content">
                <div class="tab-pane active" id="details">
                    <div class="user-detail">
                        <div class="mb-3">
                            <label for="">Name</label>
                            <p id="userdetailPreviewName1">Lacy</p>
                        </div>
                        <div class="mb-3">
                            <label for="">Phone</label>
                            <p id="userdetailPreviewPhone1">(252) 999-0726</p>
                        </div>
                        <div class="mb-3">
                            <label for="">Email</label>
                            <p id="userdetailPreviewEmail"></p>
                            <p><a href="#">Add Email</a></p>
                        </div>
                        <div class="mb-3">
                            <label for="">Card on file </label>
                            <p><a href="#">Manage saved cards</a></p>
                        </div>
                        <div class="">
                            <label for="">Tags </label>
                            <div class="">
                                <a href="#" class="btn"> <i class="fa fa-plus-circle"
                                        aria-hidden="true"></i>
                                    Add tag</a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane container fade" id="activity">Activity</div>
            </div>
        </div>

    </div>
</div>
@endsection

@section('modal')
    <!-- Modal -->
    <div class="modal fade" id="boards" role="dialog" aria-labelledby="boardsTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-chat" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLongTitle">Boards</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form action="#">
                        <div class="form-group">
                            <label for="brokerage-mc-txt">Selct Box</label>
                            <select class="form-control select2-select" id="boards-select">
                                <option>Select option</option>
                                <option>Option 1</option>
                                <option>Option 2</option>
                                <option>Option 3</option>
                                <option>Option 4</option>
                            </select>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger text-white" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-themeGray">Save</button>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="groups" tabindex="-1" role="dialog" aria-labelledby="groupsTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-chat" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLongTitle">Groups</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form action="#">
                    <div class="form-group">
                            <label for="brokerage-mc-txt">Group Name</label>
                            <input type="text" class="form-control" id="group_name" name="group_name" required />
                        </div>
                        <div class="form-group">
                            <label for="brokerage-mc-txt">Selct Box</label>
                            <select class="form-control select2-select" id="groups-select" multiple="multiple">
                                <option>Select option</option>
                                <option>Option 1</option>
                                <option>Option 2</option>
                                <option>Option 3</option>
                                <option>Option 4</option>
                            </select>
                            <input type="hidden" name="isGroupEdit" id="isGroupEdit" value="0">
                            <input type="hidden" name="groupSid" id="groupSid" value="">
                            <input type="hidden" name="old_group_name" id="old_group_name" value="">
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger text-white" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-themeGray" id="add_group" >Save</button>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="directMsg" tabindex="-1" role="dialog" aria-labelledby="directMsgTitle"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-chat" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLongTitle">Direct Messages</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form action="#">
                        <div class="form-group">
                            <label for="brokerage-mc-txt">Selct Box</label>
                            <select class="form-control select2-select" id="directMsg-select" >
                                <option>Select option</option>
                                <option>Option 1</option>
                                <option>Option 2</option>
                                <option>Option 3</option>
                                <option>Option 4</option>
                            </select>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger text-white" data-dismiss="modal">Close</button>
                    <button type="button" id="add_direct_message_contact"  class="btn btn-themeGray">Save</button>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="forwardMsg" tabindex="-1" role="dialog" aria-labelledby="forwardMsgTitle"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-chat" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLongTitle">Forward Message</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form action="#">
                        <div class="form-group">
                            <label for="brokerage-mc-txt">Selct Box</label>
                            <select class="form-control select2-select" id="forwardMsg-select" multiple="multiple">
                                <option>Select option</option>
                                <option>Option 1</option>
                                <option>Option 2</option>
                                <option>Option 3</option>
                                <option>Option 4</option>
                            </select>
                            <input type="hidden" name="sourceFwdMsgIndex" id="sourceFwdMsgIndex" value="">
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger text-white" id="fwdCancleBtn" data-dismiss="modal">Close</button>
                    <button type="button" id="fwdSubmitBtn"  class="btn btn-themeGray">Save</button>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="extComm" tabindex="-1" role="dialog" aria-labelledby="extCommTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-chat" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLongTitle">External Communicatons</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form action="#">
                        <div class="form-group">
                            <label for="brokerage-mc-txt">Selct Box</label>
                            <select class="form-control select2-select" id="extComm-select">
                                <option>Select option</option>
                                <option>Option 1</option>
                                <option>Option 2</option>
                                <option>Option 3</option>
                                <option>Option 4</option>
                            </select>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger text-white" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-themeGray">Save</button>
                </div>
            </div>
        </div>
    </div>
    <!-- Load File Modal -->
    <div class="modal fade teamModal" id="loadModal" tabindex="-1" aria-labelledby="loadModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="loadModalLabel">Lumper</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <img src="{{asset('theme/images/login-banner.jpg')}}" alt="" class="img-fluid mb-2">
                    <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry.</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn cancel-btn" data-dismiss="modal">Cancel</button>
                </div>
            </div>
        </div>
    </div>

    @include('companyAdmin.dispatchHub.modal.availableDriver')
@endsection

@section('script')
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script src="{{ asset('theme/js/twilio-conversations.min.js') }}"></script>
    <script src="{{ asset('theme/js/axios.min.js') }}"></script>

    {{-- <script rel="preload" src="{{ url('node_modules/@twilio/conversations/dist/twilio-conversations.min.js') }}"></script> --}}
    <script>
        var baseUrl = "{{env('NODE_CHAT_API_BASE_URL')}}";
        var user_type  = "{{ auth()->guard('company-admin')->user()->type }}";
        var userID  = "{{ auth()->guard('company-admin')->user()->id }}";
        var tempUsername = '';
        var webBaseUrl = "{{url('/')}}";
        var tempFriendlyName = "{{auth()->guard('company-admin')->user()->first_name.' '.auth()->guard('company-admin')->user()->last_name}}";
        var tempProfilePic = "{{auth()->guard('company-admin')->user()->profile_image}}";
        var companyAdminProfilePicBasePath = "{{ asset('storage/companyAdmin/profile/')}}";
        var companyAdminDefaultProfilePic = "{{asset('theme/images/user.png')}}";
        // var tempTimeZone = "{{auth()->guard('company-admin')->user()->timezone}}";
        var assetBaseUrl = "{{asset('')}}";
        // console.log(assetBaseUrl+'theme/images/team.png');
        var tempTimeZone = "{{getTimeZone()}}";
        //console.log("*****************",tempTimeZone);
        var tempTimeFormat = "{{getTimeFormat()}}";
        //console.log("*****************",tempTimeFormat);
        if(tempProfilePic == null){
            tempProfilePic = "";
        }
        //console.log("user_type " ,user_type);
        //console.log("userID " ,userID);
        if(user_type == 2)
        {
            //console.log('basic username','dispatcher_'+userID);
            tempUsername = 'dispatcher_'+userID;
        }
        else {

        }

        $(document).ready(function () {
            $('#load-select').select2({
                ajax: {
                    url: webBaseUrl+'/chat/get_chat_load_by_friendly_name',
                    type: 'POST',
                    crossDomain: true,
                    delay: 1000,
                    dataType: 'json',
                    headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
                    "Access-Control-Allow-Origin": "*",
                    },
                    data: function (params) {
                    return {
                        name:params.term
                    };
                    },
                    processResults: function (data) {
                        //console.log('Data**************',data);
                        var arr = []
                        $.each(data, function (index, value) {
                            //console.log(index,value);
                            arr.push({
                                id: value.sid,
                                value: value.status,
                                text: value.friendlyName
                            })
                        })
                        return {
                            results: arr
                        };
                    },
                    cache: true
                }
                });

        });

        function SaveTicket(id) {
            var id = $("#lblqyt" + id).html();
            var tcktNo = $("#txtTicketNo" + id).val();
            var Price = $("#txtPrice" + id).val();
            //remove current selected row
            $("#row" + id).remove();
            //append new row
            var tblRow = '  <tr id="row' + id + '">    <td><label id="lblTicketNo1">' + tcktNo + '</label>' + '  </td>  <td><label id="lblitem" >' + Price + '</label>  </td>  <td>' + '  <input type="button" class="btn btn-warning" id="btnEdit' + id + '" onclick="EditTicket(' + id + ')" value="Edit" />' + ' |   <input type="button" class="btn btn-danger" id="btnDelete' + id + '" onclick="DeleteTicket(' + id + ')" value="Delete" />  </td>  </tr>'
            $("#tbl").append(tblRow);
        }

        function EditTicket(id) {
            var id = $("#lblqyt" + id).html();
            var tcktNo = $("#lblTicketNo" + id).html();
            var Price = $("#lblPrice" + id).html();
            $("#row" + id).remove();
            var tblRow = '  <tr class="edit-box" id="row' + id + '">      <td>  <div class="form-group mb-0"><input type="text" class="form-control" />  </div></td>' + '  <td> <div class="form-group mb-0"> <input type="text" class="form-control" /> </div> </td>' + '  <td>  <div class="form-group mb-0 float-left"><input type="button" class="btn btn-link btn-link-orange" id="btnUpdate' + id + '" onclick="UpdateTicket(' + id + ')" value="+ ADD ITEM" /></div>  </td>   </tr>'
            $("#tbl").append(tblRow);
        }

        function UpdateTicket(id) {
            var id = $("#lblqyt" + id).html();

            $("#row" + id).remove();

            $("#rowundefined" + id).remove();

        }

        function DeleteTicket(id) {
            $("rowundefined1").remove();
        }

        // file upload
        document.querySelectorAll(".drop-zone__input").forEach((inputElement) => {
            const dropZoneElement = inputElement.closest(".drop-zone");

            dropZoneElement.addEventListener("click", (e) => {
                inputElement.click();
            });

            inputElement.addEventListener("change", (e) => {
                if (inputElement.files.length) {
                    updateThumbnail(dropZoneElement, inputElement.files[0]);
                }
            });

            dropZoneElement.addEventListener("dragover", (e) => {
                e.preventDefault();
                dropZoneElement.classList.add("drop-zone--over");
            });

            ["dragleave", "dragend"].forEach((type) => {
                dropZoneElement.addEventListener(type, (e) => {
                    dropZoneElement.classList.remove("drop-zone--over");
                });
            });

            dropZoneElement.addEventListener("drop", (e) => {
                e.preventDefault();

                if (e.dataTransfer.files.length) {
                    inputElement.files = e.dataTransfer.files;
                    updateThumbnail(dropZoneElement, e.dataTransfer.files[0]);
                }

                dropZoneElement.classList.remove("drop-zone--over");
            });
        });

        function updateThumbnail(dropZoneElement, file) {
            let thumbnailElement = dropZoneElement.querySelector(".drop-zone__thumb");

            // First time - remove the prompt
            if (dropZoneElement.querySelector(".drop-zone__prompt")) {
                dropZoneElement.querySelector(".drop-zone__prompt").remove();
            }

            // First time - there is no thumbnail element, so lets create it
            if (!thumbnailElement) {
                thumbnailElement = document.createElement("div");
                thumbnailElement.classList.add("drop-zone__thumb");
                dropZoneElement.appendChild(thumbnailElement);
            }

            thumbnailElement.dataset.label = file.name;

            // Show thumbnail for image files
            if (file.type.startsWith("image/")) {
                const reader = new FileReader();

                reader.readAsDataURL(file);
                reader.onload = () => {
                    thumbnailElement.style.backgroundImage = `url('${reader.result}')`;
                };
            } else {
                thumbnailElement.style.backgroundImage = null;
            }
        }
        // file upload end

        // left menu
        $('.menuToggle').click(function () {
            $('.left-menu-open').toggleClass('menu-close');
            $('.main-wrapper').toggleClass('wrapper-toggle');
            $('header').toggleClass('header-left');
        });
        $(document).ready(function () {

            $('.shippingRange').click(function () {
                $('.shippingEnd').addClass('d-block');
            });
            $('.shippingTime').click(function () {
                $('.shippingEnd').removeClass('d-block');
            });
            // equal height
            if ($(window).width() >= 992) {
                $('.main-wrapper').each(function () {
                    var highestBox = 0;
                    $('.generalAccount', this).each(function () {
                        if ($(this).height() > highestBox) {
                            highestBox = $(this).height();
                        }
                    });
                    $('.generalAccount', this).height(highestBox);
                });
            }
        });

        // label-color-change-click-on-checkbox

        $("document").ready(function () {
            $("input.clr-check").click(function () {
                if ($(this).is(':checked')) {
                    $(this).next('label').addClass('product_ingredients_list_1');
                } else {
                    $(this).next('label').removeClass('product_ingredients_list_1');
                }
            })
        });

        // progress
        $("document").ready(function () {
            $('#accepted').click(function () {
                $('#accepted').addClass('fill-active');

                $('#complete').removeClass('fill-active');
                $('#readyToBill').removeClass('fill-active');
                $('#delivered').removeClass('fill-active');
                $('#inTransit').removeClass('fill-active');
                $('#confirmed').removeClass('fill-active');
                $('#preplaned').removeClass('fill-active');

                $('#cancelled').removeClass('cancalled');
                $('#accepted').removeClass('cancalled');
                $('#preplaned').removeClass('cancalled');
                $('#confirmed').removeClass('cancalled');
                $('#inTransit').removeClass('cancalled');
                $('#delivered').removeClass('cancalled');
                $('#readyToBill').removeClass('cancalled');
                $('#complete').removeClass('cancalled');
            });

            $('#inTransit').click(function () {
                $('#inTransit').addClass('fill-active');
                $('#confirmed').addClass('fill-active');
                $('#preplaned').addClass('fill-active');
                $('#accepted').addClass('fill-active');

                $('#complete').removeClass('fill-active');
                $('#readyToBill').removeClass('fill-active');
                $('#delivered').removeClass('fill-active');

                $('#cancelled').removeClass('cancalled');
                $('#accepted').removeClass('cancalled');
                $('#preplaned').removeClass('cancalled');
                $('#confirmed').removeClass('cancalled');
                $('#inTransit').removeClass('cancalled');
                $('#delivered').removeClass('cancalled');
                $('#readyToBill').removeClass('cancalled');
                $('#complete').removeClass('cancalled');
            });

            $('#complete').click(function () {
                $('#complete').addClass('fill-active');
                $('#readyToBill').addClass('fill-active');
                $('#delivered').addClass('fill-active');
                $('#inTransit').addClass('fill-active');
                $('#confirmed').addClass('fill-active');
                $('#preplaned').addClass('fill-active');
                $('#accepted').addClass('fill-active');

                $('#cancelled').removeClass('cancalled');
                $('#accepted').removeClass('cancalled');
                $('#preplaned').removeClass('cancalled');
                $('#confirmed').removeClass('cancalled');
                $('#inTransit').removeClass('cancalled');
                $('#delivered').removeClass('cancalled');
                $('#readyToBill').removeClass('cancalled');
                $('#complete').removeClass('cancalled');
            });

            // $('[data-toggle="tooltip"]').tooltip();
        });
    </script>
    <script>
        var totalSteps = $("#progressbar li").length;

        $(".submit").on("click", function () {
            return false;
        });

        $("#progressbar li:nth-of-type(1)").addClass("active");
        $(".myContainer .form-container:nth-of-type(1)").addClass("active");

        $(".form-container").on("click", ".next", function () {
            $("#progressbar li").eq($(this).parents(".form-container").index() + 1).addClass("active");
            $(this).parents(".form-container").removeClass("active").next().addClass("active");
        });

        $(".form-container").on("click", ".back", function () {
            $("#progressbar li").eq($(this).parents(".form-container").index() - totalSteps).removeClass("active");
            $(this).parents(".form-container").removeClass("active").prev().addClass("active");
        });

        // 29-12-2022
        $(".chatEmoji-block").hide();
        $(".chatEmoji-btn").click(function () {
            $(".chatEmoji-block").toggle();
        });
        // $(".chatEmoji-block .cancel-btn").click(function () {
        //     $(".chatEmoji-block").hide();
        // });

        $('#boards-select').select2({
            dropdownParent: $('#boards'),
        });
        $('#groups-select').select2({
            dropdownParent: $('#groups'),
        });
        $('#directMsg-select').select2({
            dropdownParent: $('#directMsg'),
        });
        $('#forwardMsg-select').select2({
            dropdownParent: $('#forwardMsg'),
        });
        $('#extComm-select').select2({
            dropdownParent: $('#extComm'),
        });
    </script>

<script src='https://cdn.socket.io/4.5.4/socket.io.min.js'></script>
<script src="https://www.gstatic.com/firebasejs/4.8.0/firebase-app.js"></script>
        <script src="https://www.gstatic.com/firebasejs/4.8.0/firebase-messaging.js"></script>
        <!-- <script src="../scripts/notify_actions.js"></script> -->
        <script>
            const firebaseConfig = {
                // apiKey: "AIzaSyAD-5eAjL1LAquzz2JkK0Ny19goW-VY_P8",
                apiKey: "AIzaSyDqbXeTi4x7HelxI_4xiFzGZ01P_xiOsIs",
                authDomain: "twilioconversationsweb.firebaseapp.com",
                projectId: "twilioconversationsweb",
                storageBucket: "twilioconversationsweb.appspot.com",
                messagingSenderId: "507177924723",
                appId: "1:507177924723:web:bab0a348cb4d37d05c9206",
                measurementId: "G-YT9RW3LZ8W"
            };

            firebase.initializeApp(firebaseConfig);

            // Retrieve Firebase Messaging object.
            const messaging = firebase.messaging();

            messaging.requestPermission()
                .then(function() {
                    //console.log('Notification permission granted.');
                })
                .catch(function(err) {
                    //console.log('Unable to get permission to notify.', err);
                });
        </script>


    <script src="{{ asset('theme/js/chat.js') }}"></script>
    <script type="text/javascript">
        $(document).ready(function() {
            // getChatLoadDetail();
        });
        $('body').on('click', '.truck-location-update', function() {
            var that                = $(this);
            var chatLoadDetailDiv   = that.closest('.chat-loadDetail');
            if(chatLoadDetailDiv.length > 0){
                var load_number     = chatLoadDetailDiv.attr('data-load_number');
                if(load_number){
                    $.ajax({
                        url: "{{ route('company.admin.chat.load.truck.location.update') }}",
                        method: "POST",
                        data: {
                            load_number: load_number
                        },
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        beforeSend: function() {
                            chatLoadDetailDiv.find('.last_location > span').html('');
                            chatLoadDetailDiv.find('.last_updated > span').html('');
                            chatLoadDetailDiv.find('#map').removeAttr('class');
                            chatLoadDetailDiv.find('#map').data('map-instance', null);
                            chatLoadDetailDiv.find('#map').html('');
                        },
                        success: function(response) {
                            if(response.success){
                                if(!$.isEmptyObject(response.truckLngLat)){
                                    chatLoadDetailDiv.find('.last_location > span').html(response.truckLngLat.address);
                                    chatLoadDetailDiv.find('.last_updated > span').html(response.truckLngLat.last_updated);
                                }
                                if(!$.isEmptyObject(response.routeLngLat)){
                                    drawMap(response.routeLngLat,response.mapOption,response.truckLngLat);
                                }
                            }
                        }
                    });
                }
            }
        });
        // Available Driver View Modal
        $('body').on("click", '.show-available-driver', function() {
            var token       = $('meta[name="csrf-token"]').attr('content');
            var driver_id   = $(this).data('driver-id');
            $.ajax({
                url: "/company-admin/dispatch-hub/available-driver/view",
                method: "POST",
                data: {
                    _token: token,
                    driver_id: driver_id
                },
                success: function(response) {
                    $('#availableDriverModal').find('.append-modal-view').html(response.view);
                }
            });
        });
        function getChatLoadDetail(){
            var chatLoadDetailDiv   = $('div.chat-loadDetail');
            if(chatLoadDetailDiv.length > 0){
                var load_number     = chatLoadDetailDiv.attr('data-load_number');
                if(load_number){
                    $.ajax({
                        url: "{{ route('company.admin.chat.load.detail') }}",
                        method: "GET",
                        data: {
                            load_number: load_number
                        },
                        beforeSend: function() {
                            chatLoadDetailDiv.addClass('hidden');
                        },
                        success: function(response) {
                            if(response.success){
                                chatLoadDetailDiv.find('.load_number').html(response.item.load_number);
                                chatLoadDetailDiv.find('.load_status').html(response.item.load_status);
                                if(response.item.driver.full_name){
                                    chatLoadDetailDiv.find('.driver_name > a').html(response.item.driver.full_name);
                                    chatLoadDetailDiv.find('.driver_name > a').attr({
                                        'data-driver-id':response.item.driver.id,
                                        'data-toggle':'modal',
                                        'data-target':'#availableDriverModal' // attributes which contain dash(-) should be covered in quotes.
                                    });
                                    chatLoadDetailDiv.find('.driver_name > a').addClass('show-available-driver');
                                }else{
                                    chatLoadDetailDiv.find('.driver_name > a').html('');
                                }
                                if(response.item.broker.name){
                                    chatLoadDetailDiv.find('.broker_name > a').html(response.item.broker.name);
                                    if(response.brokerLink){
                                        chatLoadDetailDiv.find('.broker_name > a').attr({
                                            'href':response.brokerLink,
                                            'target':'_blank'
                                        });
                                    }
                                }else{
                                    chatLoadDetailDiv.find('.broker_name > a').html('');
                                }
                                if(response.item.truck_number){
                                    chatLoadDetailDiv.find('.truck_number > a').html(response.item.truck_number);
                                    if(response.truckLink){
                                        chatLoadDetailDiv.find('.truck_number > a').attr({
                                            'href':response.truckLink,
                                            'target':'_blank'
                                        });
                                    }
                                }else{
                                    chatLoadDetailDiv.find('.truck_number > a').html('');
                                }
                                if(response.item.trailer_number){
                                    chatLoadDetailDiv.find('.trailer_number > a').html(response.item.trailer_number+' - '+response.gtypeLabel);
                                    if(response.trailerLink){
                                        chatLoadDetailDiv.find('.trailer_number > a').attr({
                                            'href':response.trailerLink,
                                            'target':'_blank'
                                        });
                                    }
                                }else{
                                    chatLoadDetailDiv.find('.trailer_number > a').html('');
                                }
                                chatLoadDetailDiv.find('#stops_accrordion').html(response.stopView);
                                setTimeout(function () {
                                    if(chatLoadDetailDiv.find('#stops_accrordion .card').length > 0){
                                        var tripId = response.item.load_trip_id;
                                        if(tripId){
                                            tripDetails(tripId);
                                        }
                                    }
                                 }, 250);
                                chatLoadDetailDiv.find('.load-files-block').html(response.fileView);
                                chatLoadDetailDiv.removeClass('hidden');

                                if(!$.isEmptyObject(response.truckLngLat)){
                                    chatLoadDetailDiv.find('.last_location > span').html(response.truckLngLat.address);
                                    chatLoadDetailDiv.find('.last_updated > span').html(response.truckLngLat.last_updated);
                                }
                                if(!$.isEmptyObject(response.routeLngLat)){
                                    drawMap(response.routeLngLat,response.mapOption,response.truckLngLat);
                                }
                            }
                        }
                    });
                }
            }
        }
    </script>
    <script type="text/javascript">
        $("#map").on('wheel', function (e) {
            // Prevent the event from bubbling up the DOM tree
            e.stopPropagation();
            
            // Log that the scroll event is detected in #map
            // console.log("Scroll event detected in #map");

            // Check if the Ctrl key is pressed
            if (e.originalEvent.ctrlKey) {
                // Prevent the default scrolling behavior
                e.preventDefault();
                
                // Log that the Ctrl key is pressed
                // console.log("Ctrl key is pressed.");
                
                // Check if the map is drawn and ready for interaction
                if (isMapDrawn('#map')) {
                    // Retrieve map instance from data attribute
                    var map             = $(this).data('map-instance');
                    // console.log('map:', map);
                    // console.log('map instanceof TrimbleMaps.Map:', map instanceof TrimbleMaps.Map);
                    // Check if map is already initialized and is an instance of TrimbleMaps.Map
                    if (map && (map instanceof TrimbleMaps.Map)) {
                        // Remove the 'map-scroll' class from #map
                        $("#map").removeClass('map-scroll');

                        // Adjust zoom level based on scroll direction
                        var direction   = e.originalEvent.deltaY > 0 ? 'out' : 'in';
                        if (direction === 'in') {
                            map.zoomIn();
                        } else {
                            map.zoomOut();
                        }
                    }
                }
            } else {
                // Log that the Ctrl key is not pressed
                // console.log("Ctrl key is not pressed.");
                
                // Check if the map is drawn and ready for interaction
                if (isMapDrawn('#map')) {
                    // Add the 'map-scroll' class to #map
                    $("#map").addClass('map-scroll');
                    setTimeout(function(){
                        $("#map").removeClass('map-scroll');
                    }, 5000);
                }
            }
        });
        // Remove the 'map-scroll' class from #map after 1500 milliseconds
        $("#map").on('mouseleave', function () {
            setTimeout(function(){
                $("#map").removeClass('map-scroll');
            }, 1500);
        });

        function drawMap(routeLngLat,mapOption,truckLngLat){
            var count                       = 0;
            var pickup                      = [];
            var delivery                    = [];
            var stop                        = [];
            $.each(routeLngLat, function(key,val) {
                if(key=='pickup'){
                    pickup.push(new TrimbleMaps.LngLat(val.longitude,val.latitude));
                } else if(key=='delivery'){
                    delivery.push(new TrimbleMaps.LngLat(val.longitude,val.latitude));
                } else{
                    stop.push(new TrimbleMaps.LngLat(val.longitude,val.latitude));
                }
                count++;
            });
            if(pickup.length > 0 && delivery.length > 0){
                var arr1                    = pickup.concat(stop);
                var stopArray               = arr1.concat(delivery);

                var showDefaultStops        = true; // If false, custom stop icons can be used, if other values, default icons and styles are used.
                var tollRoadsOption         = 2;
                var elevLimit               = 0;
                var avoidCountry            = [];
                if(!$.isEmptyObject(mapOption)){
                    if(mapOption.tollRoadsOption){
                        tollRoadsOption     = parseInt(mapOption.tollRoadsOption);
                    }
                    if(mapOption.elevLimit){
                        elevLimit           = parseInt(mapOption.elevLimit);
                    }
                    if(mapOption.avoidCountry=='1'){
                        avoidCountry        = ['CA', 'MX'];
                    }
                }

                const map                   = new TrimbleMaps.Map({
                    container: 'map',
                    style: TrimbleMaps.Common.Style.TRANSPORTATION,
                    center: new TrimbleMaps.LngLat(stopArray[0].lng, stopArray[0].lat),
                    zoom: 8,
                    scrollZoom: false
                });

                // Store map instance in data attribute
                $('#map').data('map-instance', map);

                // Disable scroll zoom controls
                // map.scrollZoom.disable();

                map.addControl(new TrimbleMaps.NavigationControl({
                    showCompass : false
                }));

                const myRoute               = new TrimbleMaps.Route({
                    routeId: 'myRoute',
                    stops: stopArray,
                    showStops: showDefaultStops,
                    tollRoads: tollRoadsOption,
                    elevLimit: elevLimit,
                    avoidCountry: avoidCountry
                });

                map.on('load', function() {
                    myRoute.addTo(map);
                    if (!showDefaultStops) {
                        // add custom stop icons.
                        myRoute.addStopIcon('start', 'https://developer.trimblemaps.com/maps-sdk/img/marker_blue.png');
                        myRoute.addStopIcon('end', 'https://developer.trimblemaps.com/maps-sdk/img/marker_blue.png');
                        myRoute.addStopIcon('stop', 'https://developer.trimblemaps.com/maps-sdk/img/marker_blue.png');
                        // style custom stop icons. For detailed information, visit https://developer.trimblemaps.com/maps-sdk/style-spec/layers/#symbol
                        const stopLayerStyle = {
                            layout: {
                                'icon-size': [
                                    'case',
                                    ['==', ['get', 'stopType'], 'start'], 1, // stopType is an internal property, it has start, end, and stop values for now.
                                    ['==', ['get', 'stopType'], 'end'], 1,
                                    1 // stops
                                ],
                                'icon-offset': [0, -10]
                            }
                        };
                        myRoute.styleStopIcons(stopLayerStyle);
                    }
                });

                if(!$.isEmptyObject(truckLngLat)){
                    // Create a marker with a label on top of an icon.
                    if(document.getElementById('truckMarker')){
                        document.getElementById('truckMarker').remove();
                    }
                    const el                = document.createElement('div');
                    el.id                   = 'truckMarker';
                    // el.title             = truckLngLat.address;
                    const divLabel          = document.createElement('div');
                    // divLabel.innerHTML   = truckLngLat.truck_number;
                    divLabel.className      = 'marker-label';
                    el.appendChild(divLabel);
                    const divIcon           = document.createElement('div');
                    divIcon.className       = 'marker-image';
                    el.appendChild(divIcon);

                    const marker            = new TrimbleMaps.Marker({
                        // draggable: true,
                        element: el
                    }).setLngLat([truckLngLat.longitude,truckLngLat.latitude]).addTo(map);
                }
            }else{
                $('#map').html('');
            }
        }
        function tripDetails(tripId){
            $.ajax({
                url: "https://tripmanagement.alk.com/api/trip?tripId=" + parseInt(tripId), // The web service endpoint.
                type: "GET",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                beforeSend: function (xhr) {
                    xhr.setRequestHeader("Authorization", TrimbleMaps.APIKey); // The API key obtained from Trimble Maps.
                },
                success: function (resp) {
                    if(resp.stops.length > 0){
                        var zoneAbbr            = moment.tz(timeZone).zoneAbbr();
                        var stops_resp          = resp.stops;
                        var stops_accrordion    = $('.chat-loadDetail').find('#stops_accrordion');
                        var stops_card          = stops_accrordion.find('.card');
                        stops_card.each(function(i) {
                            var detail          = stops_resp[i];
                            ++i;
                            var that            = $(this);
                            var collapse        = that.find('#stop'+i+'-collapse');
                            if(collapse.length > 0){
                                var etaEle      = collapse.find('.eta > span');
                                if(etaEle.length > 0){
                                    if(detail.currentETA){
                                        etaEle.html(moment(detail.currentETA).tz(timeZone).format(dateTimeLayout)+' '+zoneAbbr);
                                    }
                                }
                            }
                        });
                    }
                }
            });
        }
    </script>
@endsection
