@extends($companyAdminTheme)

@section('title')
    Commodity
@endsection

@section('style')
    <style type="text/css">
        .table-view .dataTable thead tr th {
            background-color: #305f9c;
        }
        .table-view .dataTables_scrollBody table.dataTable > thead tr th {
            padding: 0 15px !important;
        }
        .table-view .DTFC_RightBodyLiner table.dataTable > thead tr th {
            height: 0;
            padding: 0 15px !important;
            opacity: 0;
        }
    </style>
@endsection

@section('content')
    <div class="table-control">
        <button class="green-btn create-btn" data-toggle="modal" data-target="#createModal">Add New</button>
    </div>
    <div class="white-box table-view">
        <h3 class="table-title">Commodity</h3>
        <div class="add-responsive">
            <table class="table data-table">
                <thead>
                <tr>
                    {{-- @foreach($getField as $key => $filed)
                        @if($filed == 1 && isset(config('settings.table_commodity')[$key]['name']))
                            <th @if($loop->index == 0) width="10%" @elseif($loop->index == 1) width="30%" @else width="20%" @endif>{{ config('settings.table_commodity')[$key]['name'] }}</th>
                        @endif
                    @endforeach --}}

                    @foreach($getField as $key => $filed)
                        @if($filed == 1 && isset(config('settings.table_commodity')[$key]['name']))
                        @if(isset(config('settings.table_commodity')[$key]['searchBuilderType']))
                            @if( config('settings.table_commodity')[$key]['searchBuilderType'] == 'string' )
                            <th>{{ config('settings.table_commodity')[$key]['name'] }} <i class="fa fa-filter columnFilter table_commodity_{{$key}}_string" data-modal="SearchByStringModal{{ $key }}"></i></th>
                            @elseif( config('settings.table_commodity')[$key]['searchBuilderType'] == 'date' )
                            <th>{{ config('settings.table_commodity')[$key]['name'] }} <i class="fa fa-filter columnFilter table_commodity_{{$key}}_date" data-modal="SearchByDateModal{{ $key }}"></i></th>
                            @endif
                        @else
                            <th>{{ config('settings.table_commodity')[$key]['name'] }}</th>
                        @endif
                        @endif
                    @endforeach
                    <th>Action</th>
                </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
            <input type="hidden" name="table_id" value="commodity" />

            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Adjust Table Columns</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                        @foreach($getField as $key => $filed)
                            @if(isset(config('settings.table_commodity')[$key]['name']))
                                <li class="ui-state-default">
                                    <div class="custom-control custom-checkbox">
                                        <input type='hidden' value='0' name='field[{{ $key }}]'>
                                        <input type="checkbox" class="custom-control-input" id="Check{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed == 1) checked @endif>
                                        <label class="custom-control-label" for="Check{{ $key }}">{{ config('settings.table_commodity')[$key]['name'] }}</label>
                                    </div>
                                    <i class="fa fa-align-justify drag-icon"></i>
                                </li>
                            @endif
                        @endforeach
                    </ul>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary">Save</button>
                </div>
            </div>
            {!! Form::close() !!}
        </div>
    </div>

    <div class="modal fade" id="createModal" tabindex="-1" aria-labelledby="createModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="createModalLabel">Add Commodity</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                {!! Form::open(array('route' => 'company.admin.commodity.store','method'=>'POST','files'=>'true','class'=>'storeForm')) !!}
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Name<span>*</span></label>
                                {!! Form::text('name', old('name'), array('class' => 'form-control', 'autocomplete' => 'new','required' => 'required')) !!}
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn cancel-btn" data-dismiss="modal">Cancel</button>
                    <button class="btn blue-btn">Add New</button>
                </div>
                {!! Form::close() !!}
            </div>
        </div>
    </div>

    <div class="modal fade" id="editModal" tabindex="-1" aria-labelledby="editModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="editModalLabel">Edit Commodity</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="append-form">

                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script src="https://unpkg.com/bootstrap-datepicker@1.9.0/dist/js/bootstrap-datepicker.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.form/4.3.0/jquery.form.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.18.1/moment.min.js"></script>
    <script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
    <script type="text/javascript">
        $('.storeForm').parsley();
        $('.updateForm').parsley();

        var table = $('.data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            scrollX: true,
            scrollCollapse: true,
            fixedHeader: true,
            fixedColumns: {
                leftColumns: 0, // Number of columns to be fixed on the left
                rightColumns: 1, // Number of columns to be fixed on the right
                // heightMatch: "auto"
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            pageLength: "{{ perPageView() }}",
            ordering: false,
            order: [],
            //ajax: "{{ route('company.admin.commodity.index') }}",
            ajax: {
            url: "{{ route('company.admin.commodity.index') }}",
            data: function (d) {
                <?php foreach($getField as $key => $filed): ?>
                    d.search_string_value_{{$key}} = $('#search_string_{{$key}}').val();
                    d.search_string_name_{{$key}} = $('#stringKey{{$key}}').val();
                    d.search_string_type_{{$key}} = $('#stringType{{$key}}').val();
                    d.search_table_name_{{$key}} = $('#stringTableType{{$key}}').val();
                    d.search_string_condition_{{$key}} = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                    d.search_string_sort_{{$key}} = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();

                    d.search_date_from_value_{{$key}} = $('#search_date_{{$key}}').val();
                    d.search_date_to_value_{{$key}} = $('#search_date_end_{{$key}}').val();
                    d.search_date_name_{{$key}} = $('#dateKey{{$key}}').val();
                    d.search_date_type_{{$key}} = $('#dateType{{$key}}').val();
                    d.search_date_table_name_{{$key}} = $('#dateTableType{{$key}}').val();
                    d.search_date_condition_{{$key}} = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                    d.search_date_sort_{{$key}} = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();
                <?php endforeach; ?>
            }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_commodity')[$key]['name'])): ?>
                            <?php if(config("settings.table_commodity")[$key]["orderable"] == 1 && config("settings.table_commodity")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_commodity")[$key]["orderable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_commodity")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
                { data: 'action', name: 'action', orderable: false, searchable: false }
            ]
        });

        $('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3"><i class="fa fa-refresh"></i> Refresh</a>').prependTo(".dataTables_filter");
        $('<a href="javascript:void(0);" id="clearAll{{ str_replace("settings.", "", $tableName) }}" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tableName) }} {{ str_replace("settings.", "", $tableName) }} ml-3 d-none">Clear filters</a>').prependTo(".dataTables_filter");
        $('<button type="button" class="btn btn-primary ml-3" data-toggle="modal" data-target="#exampleModal">Columns</button>').appendTo(".dataTables_filter");

        // $(document).ready(function() {
        //     $('.data-table thead tr').clone(true).appendTo('.data-table thead');
        //     $('.data-table thead tr:eq(1) th').each( function (i) {
        //         var title       = $(this).text();
        //         var getClass    = $(this).attr("class");
        //         if(getClass == 'sorting'){
        //             var search_value = table.column(i).search();
        //             $(this).html( '<input type="text" value="'+search_value+'" placeholder=" Search '+title+'" class="sercol" onclick="stopPropagation(event);" />' );

        //             $('input,select', this ).on( 'keyup change', function () {
        //                 if ( table.column(i).search() !== this.value ) {
        //                     table.column(i).search( this.value ).draw();
        //                 }
        //             });
        //         }else{
        //             $(this).html('');
        //         }
        //     });
        // });

        $( function() {
            $("#sortable").sortable();
        });

        $("body").on("click", ".edit-btn", function () {
            var token   = "{{ csrf_token() }}";
            var id      = $(this).data('id');
            $.ajax({
                url: "/company-admin/commodity/edit/form/view",
                method: "POST",
                data: { _token : token , id : id },
                success: function(response) {
                    $('#editModal').find('.append-form').html(response.view);

                    $(".updateForm").ajaxForm({
                        complete: function (response) {
                            if (response.responseJSON.success) {
                                window.location.href = window.location.href;
                            } else {
                                $('.error').text('');
                                $.each( response.responseJSON.errors, function( key, value ) {
                                    var key = key.replace(/\./g, '_');
                                    $.each( value , function( skey, svalue ) {
                                        $('.'+key+'_error').text(svalue);
                                    });
                                });
                            }
                        },
                    });
                }
            });
        });

        $(".storeForm").ajaxForm({
            complete: function (response) {
                if (response.responseJSON.success) {
                    window.location.href = window.location.href;
                } else {
                    $('.error').text('');
                    $.each( response.responseJSON.errors, function( key, value ) {
                        var key = key.replace(/\./g, '_');
                        $.each( value , function( skey, svalue ) {
                            $('.'+key+'_error').text(svalue);
                        });
                    });
                }
            },
        });
    </script>
@endsection
