@extends($companyAdminTheme)

@section('title')
    Holidays
@endsection

@section('header-title')
    New Holidays
@endsection

@section('style')
    <link rel="stylesheet" type="text/css" href="{{ asset('theme/css/datepicker3.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/bootstrap-datetimepicker.min.css') }}">
@endsection

@section('content')
    {!! Form::open(array('route' => 'company.admin.company-holiday.store','method'=>'POST','files'=>'true','autocomplete'=>'off','class'=>'store-form')) !!}
    <div class="row">
        <div class="col-lg-12">
            <div class="white-box mb-4 generalAccount">
                <h4 class="box-title">Holiday Information</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Name<span>*</span></label>
                                {!! Form::text('name', old('name'), array('class' => 'form-control', 'autocomplete' => 'new','required' => 'required')) !!}
                                @error('name')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-6"></div>
                        <div class="col-md-6 col-sm-9">
                            <div class="form-group">
                                <label>From Date<span>*</span></label>
                                {!! Form::text('from_date', old('from_date'), array('class' => 'form-control fromdate', 'autocomplete' => 'new','required' => 'required')) !!}
                                @error('from_date')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-6 col-sm-9">
                            <div class="form-group">
                                <label>To Date<span>*</span></label>
                                {!! Form::text('to_date', old('to_date'), array('class' => 'form-control todate', 'autocomplete' => 'new','required' => 'required')) !!}
                                @error('to_date')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        
                    </div>
                </div>
            </div>
        </div>
        
    </div>
    <div class="button-bottom">
        <a href="{{ route('company.admin.company-holiday.index') }}" class="cancel-btn">Cancel</a>
        <button class="submit-btn">Submit</button>
    </div>

    {!! Form::close() !!}
@endsection

@section('script')
<script src="{{ asset('theme/js/moment.min.js') }}"></script>
<script src="{{ asset('theme/js/bootstrap-datetimepicker.min.js') }}"></script>

<script type="text/javascript">
    $('.store-form').parsley();
    $('.fromdate').datetimepicker({
        format: dateLayout,
        useCurrent: false,
        //minDate: moment()

    });
    $('.todate').datetimepicker({
        format: dateLayout,
        useCurrent: false,
        //minDate: moment()

    });
    $('.fromdate').datetimepicker().on('dp.change', function (e) {
        var CurrentDate = $(this).val();
        var CurrentD = moment(CurrentDate).add(0, 'day').format(dateLayout);
        $('.todate').data('DateTimePicker').minDate(CurrentD);
        $('.todate').val(CurrentD);
    });
</script>
@endsection
