@extends($companyAdminTheme)

@section('title')
    Holidays
@endsection

@section('style')
<link rel="stylesheet" href="//code.jquery.com/ui/1.13.1/themes/base/jquery-ui.css">
@endsection

@section('content')
<div class="table-control">
    <a href="{{ route('company.admin.company-holiday.create') }}" class="btn green-btn green-link-btn">Add New</a>
</div>

<div class="white-box table-view">
    <h3 class="table-title">Holidays</h3>
    <div class="add-responsive">
      <table class="table data-table">
        <thead>
          <tr>
            @foreach($getField as $key => $filed)
              @if($filed == 1 && isset(config('settings.table_company_holiday')[$key]['name']))
                    @if(config('settings.table_company_holiday')[$key]['name']=="Name")
                        <th>{{ config('settings.table_company_holiday')[$key]['name'] }} <i class="fa fa-filter filter_name" aria-hidden="true"></i></th>
                    @elseif (config('settings.table_company_holiday')[$key]['name']=="From Date")
                        <th>{{ config('settings.table_company_holiday')[$key]['name'] }} <i class="fa fa-filter filter_from_date" aria-hidden="true"></i></th>
                    @elseif (config('settings.table_company_holiday')[$key]['name']=="To Date")
                        <th>{{ config('settings.table_company_holiday')[$key]['name'] }} <i class="fa fa-filter filter_to_date" aria-hidden="true"></i></th>
                    @else
                        <th>{{ config('settings.table_company_holiday')[$key]['name'] }}</th>
                    @endif
              @endif
            @endforeach
          </tr>
        </thead>
        <tbody>
        </tbody>
      </table>
    </div>
</div>

<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
    <input type="hidden" name="table_id" value="company_holiday" />

    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Adjust Table Columns</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <ul class="sortableList connected-sortable droppable-area1" id="sortable">
            @foreach($getField as $key => $filed)
                @if(isset(config('settings.table_company_holiday')[$key]['name']))
                  <li class="ui-state-default">
                      <div class="custom-control custom-checkbox">
                        <input type='hidden' value='0' name='field[{{ $key }}]'>
                        <input type="checkbox" class="custom-control-input" id="Check{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed == 1) checked @endif>
                        <label class="custom-control-label" for="Check{{ $key }}">{{ config('settings.table_company_holiday')[$key]['name'] }}</label>
                      </div>
                      <i class="fa fa-align-justify drag-icon"></i>
                  </li>
                @endif
            @endforeach


        </ul>

      </div>
      <div class="modal-footer">
        <button type="submit" class="btn btn-primary">Save</button>
      </div>
    </div>
    {!! Form::close() !!}
  </div>
</div>



<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}

      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Adjust Table Columns</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <ul class="sortableList connected-sortable droppable-area1" id="sortable">
              @foreach($getField as $key => $filed)
                  @if(isset(config('settings.table_company_holiday')[$key]['name']))
                    <li class="ui-state-default">
                        <div class="custom-control custom-checkbox">
                          <input type='hidden' value='0' name='field[{{ $key }}]'>
                          <input type="checkbox" class="custom-control-input" id="Check{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed == 1) checked @endif>
                          <label class="custom-control-label" for="Check{{ $key }}">{{ config('settings.table_company_holiday')[$key]['name'] }}</label>
                        </div>
                        <i class="fa fa-align-justify drag-icon"></i>
                    </li>
                  @endif
              @endforeach


          </ul>

        </div>
        <div class="modal-footer">
          <button type="submit" class="btn btn-primary">Save</button>
        </div>
      </div>
      {!! Form::close() !!}
    </div>
  </div>



  <!-- Modal -->
<div class="modal fade" id="holidayeName" tabindex="-1" role="dialog" aria-labelledby="holidayeNameLabel" aria-hidden="true">
  <div class="modal-dialog modal-sm" role="document">
    <div class="modal-content">
      <div class="modal-body">
        {{--  <p class="name_as"></p>  --}}
        {{--  <p class="name_des"></p>  --}}
          <div class="form-check">
            <input class="form-check-input radio" type="radio" name="name_asc" id="flexRadioDefault1" value="1">
            <label class="form-check-label" for="flexRadioDefault1">
              Short Ascending
            </label>
          </div>
          <div class="form-check">
            <input class="form-check-input radio" type="radio" name="name_asc" id="flexRadioDefault2" value="2">
            <label class="form-check-label" for="flexRadioDefault2">
                Short Descending
            </label>
          </div>
        <hr>
        <p><a class="chkclear" href="javascript:void(0)"/>Remove Quick filter</a></p>
        <hr>
        <div class="form-check">
            <input class="form-check-input" type="checkbox" value="1" name="name_equel" id="name_equel">
            <label class="form-check-label" for="name_equel">
              Equals
            </label>
          </div>

          <div class="form-check">
            <input class="form-check-input" type="checkbox" value="1" name="name_nequel" id="name_nequel">
            <label class="form-check-label" for="name_nequel">
            Does Not Equals
            </label>
          </div>

          <div class="form-check">
            <input class="form-check-input" type="checkbox" value="1" name="name_contains" id="name_contains">
            <label class="form-check-label" for="name_contains">
          Contains
            </label>
          </div>

          <div class="form-check">
            <input class="form-check-input" type="checkbox" value="1" name="name_start_with" id="name_start_with">
            <label class="form-check-label" for="name_start_with">
            Start with
            </label>
          </div>

          <div class="form-check">
            <input class="form-check-input" type="checkbox" value="" name="name_is_empty" id="name_is_empty">
            <label class="form-check-label" for="name_is_empty">
            is Empty
            </label>
          </div>

          <div class="form-check">
            <input class="form-check-input" type="checkbox" value="" name="name_is_not_empty" id="name_is_not_empty">
            <label class="form-check-label" for="name_is_not_empty">
            is Not Empty
            </label>
          </div>
          <hr>
          <div class="form-group">
            <input type="text" class="form-control" id="search_name" name="search_name">
          </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-big btn-themeGray" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-big btn-orange filterName">Ok</button>
      </div>
    </div>
  </div>
</div>

<!-- Modal date-->
<div class="modal fade" id="holidayeFromDate" tabindex="-1" role="dialog" aria-labelledby="holidayeNameLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm" role="document">
      <div class="modal-content">
        <div class="modal-body">
            <div class="form-check">
              <input class="form-check-input radio" type="radio" name="from_data_asc" id="flexRadioDefault11" value="1" >
              <label class="form-check-label" for="flexRadioDefault11">
                Short Ascending
              </label>
            </div>
            <div class="form-check">
              <input class="form-check-input " type="radio" name="from_data_asc" id="flexRadioDefault22" value="2">
              <label class="form-check-label" for="flexRadioDefault22">
                  Short Descending
              </label>
            </div>
          <hr>
          <p><a class="chkclear" href="javascript:void(0)"/>Remove Quick filter</a></p>
          <hr>
          <div class="form-check">
              <input class="form-check-input" type="checkbox" value="1" name="from_data_equel" id="from_data_equel">
              <label class="form-check-label" for="from_data_equel">
                Equels
              </label>
            </div>

            <div class="form-check">
              <input class="form-check-input" type="checkbox" value="1" name="from_data_does_not_equels" id="from_data_does_not_equels">
              <label class="form-check-label" for="from_data_does_not_equels">
              Does Not Equels
              </label>
            </div>

            <div class="form-check">
                <input class="form-check-input" type="checkbox" value="1" name="from_data_is_greater_than" id="from_data_is_greater_than">
                <label class="form-check-label" for="from_data_is_greater_than">
                is Greater Than
                </label>
            </div>

            <div class="form-check">
                <input class="form-check-input" type="checkbox" value="1" name="from_data_greater_than_or_equal_to" id="from_data_greater_than_or_equal_to">
                <label class="form-check-label" for="from_data_greater_than_or_equal_to">
                is Greater Than or Equal to
                </label>
            </div>


            <div class="form-check">
                <input class="form-check-input" type="checkbox" value="1" name="from_data_less_then" id="from_data_less_then">
                <label class="form-check-label" for="from_data_less_then">
                is Less then
                </label>
            </div>

            <div class="form-check">
                <input class="form-check-input" type="checkbox" value="1" name="from_data_less_then_or_equal_to" id="from_data_less_then_or_equal_to">
                <label class="form-check-label" for="from_data_less_then_or_equal_to">
                is Less then or Equal to
                </label>
            </div>

            {{--  <div class="form-check">
                <input class="form-check-input" type="checkbox" value="1" name="from_data_between" id="from_data_between">
                <label class="form-check-label" for="from_data_between">
               is Between
                </label>
            </div>  --}}

            <div class="form-check">
                <input class="form-check-input" type="checkbox" value="1" name="from_data_today" id="from_data_today">
                <label class="form-check-label" for="from_data_today">
               Today
                </label>
            </div>

            <div class="form-check">
                <input class="form-check-input" type="checkbox" value="1" name="from_data_month" id="from_data_month">
                <label class="form-check-label" for="from_data_month">
               This Month
                </label>
            </div>
            <hr>
            <div class="form-group">
              <input type="text" class="form-control fromdate" id="search_from_date" name="search_from_date">
            </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-big btn-themeGray" data-dismiss="modal">Close</button>
          <button type="button" class="btn btn-big btn-orange filterName">Ok</button>
        </div>
      </div>
    </div>
  </div>



  <!-- Modal date-->
<div class="modal fade" id="holidayeToDate" tabindex="-1" role="dialog" aria-labelledby="holidayeNameLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm" role="document">
      <div class="modal-content">
        <div class="modal-body">
            <div class="form-check">
              <input class="form-check-input radio" type="radio" name="to_data_asc" id="flexRadioDefault111" value="1" >
              <label class="form-check-label" for="flexRadioDefault111">
                Short Ascending
              </label>
            </div>
            <div class="form-check">
              <input class="form-check-input radio" type="radio" name="to_data_asc" id="flexRadioDefault222" value="2">
              <label class="form-check-label" for="flexRadioDefault222">
                  Short Descending
              </label>
            </div>
          <hr>
          <p><a class="chkclear" href="javascript:void(0)"/>Remove Quick filter</a></p>
          <hr>
          <div class="form-check">
              <input class="form-check-input" type="checkbox" value="1" name="to_data_equel" id="to_data_equel">
              <label class="form-check-label" for="to_data_equel">
                Equels
              </label>
            </div>

            <div class="form-check">
              <input class="form-check-input" type="checkbox" value="1" name="to_data_does_not_equels" id="to_data_does_not_equels">
              <label class="form-check-label" for="to_data_does_not_equels">
              Does Not Equels
              </label>
            </div>

            <div class="form-check">
                <input class="form-check-input" type="checkbox" value="1" name="to_data_is_greater_than" id="to_data_is_greater_than">
                <label class="form-check-label" for="to_data_is_greater_than">
                is Greater Than
                </label>
            </div>

            <div class="form-check">
                <input class="form-check-input" type="checkbox" value="1" name="to_data_greater_than_or_equal_to" id="to_data_greater_than_or_equal_to">
                <label class="form-check-label" for="to_data_greater_than_or_equal_to">
                is Greater Than or Equal to
                </label>
            </div>


            <div class="form-check">
                <input class="form-check-input" type="checkbox" value="1" name="to_data_less_then" id="to_data_less_then">
                <label class="form-check-label" for="to_data_less_then">
                is Less then
                </label>
            </div>

            <div class="form-check">
                <input class="form-check-input" type="checkbox" value="1" name="to_data_less_then_or_equal_to" id="to_data_less_then_or_equal_to">
                <label class="form-check-label" for="to_data_less_then_or_equal_to">
                is Less then or Equal to
                </label>
            </div>

            {{--  <div class="form-check">
                <input class="form-check-input" type="checkbox" value="1" name="to_data_between" id="to_data_between">
                <label class="form-check-label" for="to_data_between">
               is Between
                </label>
            </div>  --}}

            <div class="form-check">
                <input class="form-check-input" type="checkbox" value="1" name="to_data_today" id="to_data_today">
                <label class="form-check-label" for="to_data_today">
               Today
                </label>
            </div>

            <div class="form-check">
                <input class="form-check-input" type="checkbox" value="1" name="to_data_month" id="to_data_month">
                <label class="form-check-label" for="to_data_month">
               This Month
                </label>
            </div>
            <hr>
            <div class="form-group">
              <input type="text" class="form-control fromdate" id="search_to_date" name="search_to_date">
            </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-big btn-themeGray" data-dismiss="modal">Close</button>
          <button type="button" class="btn btn-big btn-orange filterName">Ok</button>
        </div>
      </div>
    </div>
  </div>


@endsection

@section('script')

<script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
<script src="{{ asset('theme/js/moment.min.js') }}"></script>
<script src="{{ asset('theme/js/bootstrap-datetimepicker.min.js') }}"></script>


<script>
    $('.fromdate').datetimepicker({
        format: dateLayout,
        useCurrent: false,
        //minDate: moment()

    });
    $('.todate').datetimepicker({
        format: dateLayout,
        useCurrent: false,
        //minDate: moment()

    });

    $('.filter_name').click(function(ev){
        $('#holidayeName').modal('show');

        $(".radio").prop("checked", false);
        ev.preventDefault();
    });
    $('.filter_from_date').click(function(ev){
        $('#holidayeFromDate').modal('show');
        ev.preventDefault();
    });
    $('.filter_to_date').click(function(ev){
        $('#holidayeToDate').modal('show');
        ev.preventDefault();
    });

var table = $('.data-table').DataTable({
    stateSave: true,
    bSortCellsTop: true,
    language: {
        search: "",
        searchPlaceholder: "Search...",
    },
    dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
    processing: true,
    serverSide: true,
    fixedHeader: true,
    pageLength: "{{ perPageView() }}",
    ordering: false,
    //order: [[0, "desc"]],
    ajax: {
      url: "{{ route('company.admin.company-holiday.index') }}",
      data: function (d) {
        d.name_asc = $("input[name='name_asc']:checked").val(),
        d.name_equel = $('#name_equel').is(":checked"),
        d.name_nequel = $('#name_nequel').is(":checked"),
        d.name_contains =  $('#name_contains').is(":checked"),
        d.name_start_with = $('#name_start_with').is(":checked"),
        //d.name_is_empty = $('#name_is_empty').val(),
       // d.name_is_not_empty = $('#name_is_not_empty').val(),
        d.search_name = $('#search_name').val(),
        d.search_from_date = $('#search_from_date').val(),
        d.from_data_asc = $("input[name='from_data_asc']:checked").val(),
        d.from_data_equel = $('#from_data_equel').is(":checked"),
        d.from_data_does_not_equels = $('#from_data_does_not_equels').is(":checked"),
        d.from_data_is_greater_than = $('#from_data_is_greater_than').is(":checked"),
        d.from_data_greater_than_or_equal_to = $('#from_data_greater_than_or_equal_to').is(":checked"),
        d.from_data_less_then = $('#from_data_less_then').is(":checked"),
        d.from_data_less_then_or_equal_to = $('#from_data_less_then_or_equal_to').is(":checked"),
        d.from_data_today = $('#from_data_today').is(":checked"),
        d.from_data_month = $('#from_data_month').is(":checked"),
        d.search_to_date = $('#search_to_date').val(),
        d.to_data_asc = $("input[name='to_data_asc']:checked").val(),
        d.to_data_equel = $('#to_data_equel').is(":checked"),
        d.to_data_does_not_equels = $('#to_data_does_not_equels').is(":checked"),
        d.to_data_is_greater_than = $('#to_data_is_greater_than').is(":checked"),
        d.to_data_greater_than_or_equal_to = $('#to_data_greater_than_or_equal_to').is(":checked"),
        d.to_data_less_then = $('#to_data_less_then').is(":checked"),
        d.to_data_less_then_or_equal_to = $('#to_data_less_then_or_equal_to').is(":checked"),
        d.to_data_today = $('#to_data_today').is(":checked"),
        d.to_data_month = $('#to_data_month').is(":checked")

        }
    },
    columns: [
        <?php foreach($getField as $key => $filed): ?>
          <?php if($filed == 1): ?>
            <?php if(isset(config('settings.table_company_holiday')[$key]['name'])): ?>
                <?php if(config("settings.table_company_holiday")[$key]["orderable"] == 1 && config("settings.table_company_holiday")[$key]["searchable"] == 1): ?>
                  { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                <?php elseif(config("settings.table_company_holiday")[$key]["orderable"] == 1): ?>
                  { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                <?php elseif(config("settings.table_company_holiday")[$key]["searchable"] == 1): ?>
                  { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                <?php else: ?>
                  { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                <?php endif; ?>
            <?php endif; ?>
          <?php endif; ?>
        <?php endforeach; ?>


    ]
});

$('.chkclear').click(function(){
    $('input[type=checkbox]').prop('checked', false);
    $('#search_name').val('');
});

$(document).on('click','.filterName',function(){
    table.draw();
    $('#holidayeName').modal('hide');
    $('#holidayeFromDate').modal('hide');
    $('#holidayeToDate').modal('hide');

});

$('<button type="button" class="btn btn-primary ml-3" data-toggle="modal" data-target="#exampleModal">Columns</button>').appendTo(".dataTables_filter");

$(document).ready(function() {
    $('.data-table thead tr').clone(true).appendTo('.data-table thead');
    $('.data-table thead tr:eq(1) th').each( function (i) {
        console.log();
        var title = $(this).text();
        var getClass = $(this).attr("class");
        if(getClass == 'sorting'){
          var search_value = table.column(i).search();
          $(this).html( '<input type="text" value="'+search_value+'" placeholder=" Search '+title+'" class="sercol" onclick="stopPropagation(event);" />' );

          $( 'input,select', this ).on( 'keyup change', function () {
              if ( table.column(i).search() !== this.value ) {
                  table
                      .column(i)
                      .search( this.value )
                      .draw();
              }
          });
        }else{
          $(this).html('');
        }


    });
});

$( function() {
  $("#sortable").sortable();
} );

</script>
@endsection
