@extends($companyAdminTheme)

@section('title')
    Holidays
@endsection

@section('style')
<link rel="stylesheet" href="//code.jquery.com/ui/1.13.1/themes/base/jquery-ui.css">
@endsection

@section('content')
<div class="table-control">
  <a href="{{ route('company.admin.company-holiday.create') }}" class="btn green-btn green-link-btn">Add New</a>
</div>

<div class="white-box table-view">
  <h3 class="table-title">Holidays</h3>
  <div class="add-responsive">
    <table class="table data-table">
      <thead>
        <tr>

          @foreach($getField as $key => $filed)
            @if($filed == 1 && isset(config('settings.table_company_holiday')[$key]['name']))
              @if(isset(config('settings.table_company_holiday')[$key]['searchBuilderType']))
                <th>{{ config('settings.table_company_holiday')[$key]['name'] }} <i class="fa fa-filter" data-toggle="modal" data-target="#SearchByStringModal{{ $key }}"></i>
                </th>
              @else
                <th>{{ config('settings.table_company_holiday')[$key]['name'] }}</th>
              @endif
            @endif
          @endforeach
        </tr>
      </thead>
      <tbody></tbody>
    </table>
  </div>
</div>

<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
      <input type="hidden" name="table_id" value="company_holiday" />
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Adjust Table Columns</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <ul class="sortableList connected-sortable droppable-area1" id="sortable">
            @foreach($getField as $key => $filed)
              @if(isset(config('settings.table_company_holiday')[$key]['name']))
                <li class="ui-state-default">
                  <div class="custom-control custom-checkbox">
                    <input type='hidden' value='0' name='field[{{ $key }}]'>
                    <input type="checkbox" class="custom-control-input" id="Check{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed == 1) checked @endif>
                    <label class="custom-control-label" for="Check{{ $key }}">{{ config('settings.table_company_holiday')[$key]['name'] }}</label>
                  </div>
                  <i class="fa fa-align-justify drag-icon"></i>
                </li>
              @endif
            @endforeach
          </ul>
        </div>
        <div class="modal-footer">
          <button type="submit" class="btn btn-primary">Save</button>
        </div>
      </div>
    {!! Form::close() !!}
  </div>
</div>

@endsection

@section('script')

<script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
<script src="{{ asset('theme/js/moment.min.js') }}"></script>
<script src="{{ asset('theme/js/bootstrap-datetimepicker.min.js') }}"></script>
<script>
  var table = $('.data-table').DataTable({
    stateSave: true,
    bSortCellsTop: true,
    language: {
      search: "",
      searchPlaceholder: "Search...",
    },
    dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
    processing: true,
    serverSide: true,
    fixedHeader: true,
    pageLength: "{{ perPageView() }}",
    ordering: false,
    //order: [[0, "desc"]],
    ajax: {
      url: "{{ route('company.admin.company-holiday.index') }}",
      data: function (d) {
        <?php foreach($getField as $key => $filed): ?>
          d.search_string_value = $('#search_string').val();
          d.search_string_name = $('#stringKey').val();
          d.search_string_type = $('#stringType').val();
          d.search_string_condition = $("input[type='radio'][name='condition']:checked").val();
          d.search_string_sort = $("input[type='radio'][name='string_sort']:checked").val();
        <?php endforeach; ?>

      }
    },
    columns: [
      <?php foreach($getField as $key => $filed): ?>
        <?php if($filed == 1): ?>
          <?php if(isset(config('settings.table_company_holiday')[$key]['name'])): ?>
            <?php if(config("settings.table_company_holiday")[$key]["orderable"] == 1 && config("settings.table_company_holiday")[$key]["searchable"] == 1): ?>
              { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
            <?php elseif(config("settings.table_company_holiday")[$key]["orderable"] == 1): ?>
              { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
            <?php elseif(config("settings.table_company_holiday")[$key]["searchable"] == 1): ?>
              { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
            <?php else: ?>
              { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
            <?php endif; ?>
          <?php endif; ?>
        <?php endif; ?>
      <?php endforeach; ?>
    ]
  });

  $('<button type="button" class="btn btn-primary ml-3" data-toggle="modal" data-target="#exampleModal">Columns</button>').appendTo(".dataTables_filter");

  $(document).ready(function() {
    $('.data-table thead tr').clone(true).appendTo('.data-table thead');
    $('.data-table thead tr:eq(1) th').each( function (i) {
      console.log();
      var title = $(this).text();
      var getClass = $(this).attr("class");
      if(getClass == 'sorting'){
        var search_value = table.column(i).search();
        $(this).html( '<input type="text" value="'+search_value+'" placeholder=" Search '+title+'" class="sercol" onclick="stopPropagation(event);" />' );
        $( 'input,select', this ).on( 'keyup change', function () {
          if ( table.column(i).search() !== this.value ) {
            table
            .column(i)
            .search( this.value )
            .draw();
          }
        });
      }else{
        $(this).html('');
      }
    });
  });

  $( function() {
    $("#sortable").sortable();
  });
</script>
@endsection
