<html>
<head>
    <title>Compliance Dashboard Report</title>
    <style type="text/css">
        {{-- bootstrap4.min.css --}}
        {!! file_get_contents(public_path('/theme/css/bootstrap.min.css')) !!}

        {{-- dataTables.bootstrap4.min.css --}}
        {!! file_get_contents(public_path('/theme/css/dataTables.bootstrap4.min.css')) !!}

        @page {
            margin-top: 0.3in !important;
            margin-bottom: 0.3in !important
        }
        #contentDiv{
            padding: 45px 69px 0px 69px;
        }
        .compliance-dashboard-report-hedding {
            margin-bottom: 30px;
        }
        .compliance-dashboard-report-hedding h2 {
            font-size: 33px;
            font-weight: 800;
            line-height: 45px;
            letter-spacing: -1.23px;
            color: #342828;
            margin-bottom: -10px;
        }
        .compliance-dashboard-report-hedding h2 ~ span {
            font-size: 14px;
            font-weight: 600;
            line-height: 19px;
            letter-spacing: -0.52px;
            color: #4a5159;
        }
        .compliance-dashboard-report-tbox {
            margin-bottom: 20px;
        }
        .compliance-dashboard-report-tbox .rangeDiv .tbl-heading {
            font-size: 22px;
            font-weight: bold;
            letter-spacing: -0.44px;
            color: #42556c;
            margin-bottom: 1px !important;
        }
        /*.compliance-dashboard-report-tbox .rangeDiv .range-label {
            display: block !important;
            padding-left: 0;
            font-size: 14px;
            color: #42556c;
            font-weight: bold;
            margin-bottom: 0px !important;
        }*/
        .compliance-dashboard-report-tbox .rangeDiv .range-label {
            display: block !important;
            padding-left: 0;
            font-size: 14.60px;
            color: #42556c;
            font-weight: bold;
            margin-bottom: 1px !important;
        }
        .compliance-dashboard-report-tbox table thead {
            background-color: white;
            color: #342828;
            border-bottom: 2px solid #305f9c;
        }
        .compliance-dashboard-report-tbox table thead th {
            font-size: 16px;
            font-weight: bold;
            line-height: 17px;
            color: #342828;
            padding: 5px 0 !important;
            text-align: center;
        }
        .compliance-dashboard-report-tbox .table tbody tr:first-child td {
            border-bottom: none !important;
        }
        .compliance-dashboard-report-tbox .table tbody tr td {
            font-size: 14px;
            font-weight: 600;
            line-height: 17px;
            color: #342828;
            padding: 5px 0 !important;
            text-align: center;
        }
        .compliance-dashboard-report-tbox table thead th:last-child,
        .compliance-dashboard-report-tbox .table tbody tr td:last-child {
            text-align: right;
        }
        .compliance-dashboard-report-tbox table thead th:first-child,
        .compliance-dashboard-report-tbox .table tbody tr td:first-child {
            text-align: left;
        }
        table {
            width: 100%;
        }
        table th,td {
            width: 100%;
        }
    </style>
</head>
<body>
    <div id="contentDiv">
        <div class="compliance-dashboard-report-hedding" id="report-hedding">
            <div class="row">
                <div class="col-sm-12">
                    <h2>Compliance Dashboard Report</h2>
                    <span>Date Created: {{ $createdDate ?? '' }}</span>
                </div>
            </div>
        </div>
        <div id="listingDiv">
            @foreach($complianceList as $listViewData)
                @if($listViewData['isActive'])
                    <div class="compliance-dashboard-report-tbox list-item {{(!is_null($displayListNo)) ? (($displayListNo != $listViewData['displayNo']) ? 'd-none' : '') : ''}}" data-id="{{$listViewData['id']}}" data-index="{{$listViewData['displayNo']}}" data-name="{{$listViewData['widget_name']}}" data-is-draggable="{{$listViewData['isDraggable']}}" data-is-active="{{$listViewData['isActive']}}">
                        {{--<div class="row rangeDiv">
                            <div class="col-sm-6">
                                <h3>{{$listViewData['widget_name']}} - {{sprintf("%02d", $listViewData['dataCount'])}}</h3>
                            </div>
                            <div class="col-sm-6 text-right">
                                <h6 class="range-label">{{$rangeArr[$listViewData['range']] ?? ''}}</h6>
                            </div>
                        </div>--}}
                        <div class="rangeDiv">
                            <h3 class="tbl-heading">{{$listViewData['widget_name']}} - {{sprintf("%02d", $listViewData['dataCount'])}}<span class="range-label float-right">{{$rangeArr[$listViewData['range']] ?? ''}}</span></h3>
                        </div>
                        <div class="table-responsive">
                            <table class="table table-borderless mt-0" width="100%">
                                <thead>
                                <tr>
                                    @foreach($listViewData['columns'] as $columnName)
                                        <th width="{{count($listViewData['columns'])*50}}">{{$columnName}}</th>
                                    @endforeach
                                </tr>
                                </thead>
                                <tbody>
                                @forelse($listViewData['data'] as $data)
                                    <tr>
                                        @foreach(array_keys($listViewData['columns']) as $dbColumnName)
                                            <td>{{(isset($data[$dbColumnName])) ? $data[$dbColumnName] : '-'}}</td>
                                        @endforeach
                                    </tr>
                                @empty
                                    <tr>
                                        <td colspan="{{count($listViewData['columns'])}}" class="text-center text-danger" style="padding: 15px 0 !important;">No record found</td>
                                    </tr>
                                @endforelse
                                </tbody>
                            </table>
                        </div>
                    </div>
                @endif
            @endforeach
        </div>
    </div>
</body>
</html>
