@extends($companyAdminTheme)

@section('title')
    Shippers and Consignees Edit
@endsection

@section('style')
    <style type="text/css">
        .white-box {
            height: auto!important;
        }
        .cheskejw .custom-control-label{
           width: 16px;
           height: 16px;
           position: absolute;
           left: 0;
        }
        .cheskejw .custom-control-label::before{
           top: 50%;
           transform: translateY(-50%);
           left:0;
        }
        .cheskejw .custom-checkbox .custom-control-input:checked ~ .custom-control-label::after {
           left: 0;
           top: 50%;
           transform: translateY(-50%);
           width: 16px;
           height: 16px;
           display: flex;
           align-items: center;
           justify-content: center;
        }
    </style>
@endsection

@section('content')
    {!! Form::model($customer,array(
            'route'     => ['company.admin.customer.update',$customer->id],
            'method'    => 'PATCH',
            'files'     => 'true',
            'class'     => 'edit-form'
        )
    ) !!}
        <div class="row">
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">General Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Name<span>*</span></label>
                                    {!! Form::text('name', old('name'), array('class' => 'form-control', 'autocomplete' => 'new','required' => 'required')) !!}
                                    @error('name')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-12 geocoding">
                                <input type="hidden" class="geocoding-latitude" name="latitude" value="{{ isset($customer->latitude)?$customer->latitude:'' }}" autocomplete="off">
                                <input type="hidden" class="geocoding-longitude" name="longitude" value="{{ isset($customer->longitude)?$customer->longitude:'' }}" autocomplete="off">
                                <input type="hidden" class="geocoding-abbr" name="timezone_abbr" value="{{ isset($customer->timezone_abbr)?$customer->timezone_abbr:'' }}" autocomplete="off" data-parsley-errors-container="#timezone_abbr-errors" data-parsley-required-message="Please verify address" required>
                                <input type="hidden" class="geocoding-verified" name="address_verified" value="{{ isset($customer->address_verified)?$customer->address_verified:'0' }}" autocomplete="off">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Address</label>
                                            {!! Form::text('address', old('address'), array(
                                                    'class'         => 'form-control geocoding-address-1',
                                                    'placeholder'   => '',
                                                    'id'            => 'address',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Address 2</label>
                                            {!! Form::text('address2', old('address2'), array(
                                                    'class'         => 'form-control geocoding-address-2',
                                                    'placeholder'   => '',
                                                    'id'            => 'address2'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>City</label>
                                            {!! Form::text('city', old('city'), array(
                                                    'class'         => 'form-control geocoding-city',
                                                    'placeholder'   => '',
                                                    'id'            => 'city'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>State</label>
                                            {!! Form::text('state', old('state'), array(
                                                    'class'         => 'form-control geocoding-state',
                                                    'placeholder'   => '',
                                                    'id'            => 'state',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Zip</label>
                                            {!! Form::text('zip', old('zip'), array(
                                                    'class'         => 'form-control geocoding-zip',
                                                    'placeholder'   => '',
                                                    'id'            => 'zip',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        @if(isset($customer->address_verified) && $customer->address_verified=='1')
                                            <button type="button" class="btn btn-success geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verified</button>
                                        @else
                                            <button type="button" class="btn btn-warning geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify</button>
                                        @endif
                                        <div id="timezone_abbr-errors"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Phone</label>
                                    {!! Form::text('phone', old('phone'), array('class' => 'form-control phone')) !!}
                                    @error('phone')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Email</label>
                                    {!! Form::email('email', old('email'), array('class' => 'form-control')) !!}
                                    @error('email')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Fax</label>
                                    {!! Form::text('fax', old('fax'), array('class' => 'form-control')) !!}
                                    @error('fax')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Account</label>
                                    {!! Form::text('account', old('account'), array('class' => 'form-control')) !!}
                                    @error('account')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">Business Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Federal ID</label>
                                    {!! Form::text('federal_id', old('federal_id'), array('class' => 'form-control')) !!}
                                    @error('federal_id')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>MC Number</label>
                                    {!! Form::text('mc_number', old('mc_number'), array('class' => 'form-control')) !!}
                                    @error('mc_number')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>USDOT</label>
                                    {!! Form::text('usdot', old('usdot'), array('class' => 'form-control')) !!}
                                    @error('usdot')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>SCAC</label>
                                    {!! Form::text('scac', old('scac'), array('class' => 'form-control')) !!}
                                    @error('scac')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Account No</label>
                                    {!! Form::text('business_account_no', old('business_account_no'), array('class' => 'form-control')) !!}
                                    @error('business_account_no')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Account Type</label>
                                    {!! Form::text('business_account_type', old('business_account_type'), array('class' => 'form-control')) !!}
                                    @error('business_account_type')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4">
                    <h4 class="box-title">Contact Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Dispatch Contact</label>
                                    {!! Form::text('dispatch_contact', old('dispatch_contact'), array('class' => 'form-control phone', 'autocomplete' => 'new')) !!}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>A/P Contact</label>
                                    {!! Form::text('ap_contact', old('ap_contact'), array('class' => 'form-control phone')) !!}
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Other Contact</label>
                                    {!! Form::text('other_contact', old('other_contact'), array('class' => 'form-control phone')) !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="white-box mb-4">
                    <h4 class="box-title">Billing Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Bill To(other)</label>
                                    {!! Form::text('bill_to', old('bill_to'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Invoice Method</label>
                                    {!! Form::select('invoice_method', ['' => 'Select Invoice Method']+getInvoiceMethod(), null, ['class' => 'custom-select driver-select2 form-control']) !!}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Invoicing Email</label>
                                    {!! Form::email('invoicing_email', old('invoicing_email'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Factored</label>
                                    {!! Form::text('factored', old('factored'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">Required Documents</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12 mt-2 mb-2">
                                <p>When Shipper - <span class="text-primary rep-broker-contact" data-toggle="modal" id="shipperaddRow">Add New</span></p>
                            </div>
                            <div class="col-md-12">
                                @php
                                    if(!empty($customer->shipper_files)){
                                        $shipper_files      = unserialize($customer->shipper_files);
                                    }else{
                                        $shipper_files      = unserialize(config('settings.shipper_files'));
                                    }
                                    $newSetShi              = 1001;
                                @endphp
                                @if(is_array($shipper_files) && count($shipper_files) > 0)
                                    @foreach($shipper_files as $shipperf)
                                        <div class="row align-items-center mb-2" id="shipperinputFormRow{{ $newSetShi }}">
                                            <div class="col-md-1 cheskejw">
                                                <div class="custom-control custom-checkbox">
                                                    <input type="hidden" name="shipper_files[is_required][{{ $newSetShi }}]" value="off">
                                                    <input type="checkbox" class="custom-control-input" id="sameashi2w{{ $newSetShi }}"  name="shipper_files[is_required][{{ $newSetShi }}]" @if($shipperf['is_required'] == 'on') checked @endif>
                                                    <label class="custom-control-label" for="sameashi2w{{ $newSetShi }}"></label>
                                                </div>
                                            </div>
                                            <div class="col-md-5 pl-0 pr-0">
                                                @if($shipperf['fixed'] == 'yes')
                                                    <div class="form-group my-0">
                                                        <input type="hidden" name="shipper_files[name][{{ $newSetShi }}]" value="{{$shipperf['name']}}">
                                                        <label>{{$shipperf['name']}}</label>
                                                    </div>
                                                @else
                                                    <div class="form-group">
                                                        <input class="form-control" name="shipper_files[name][{{ $newSetShi }}]" value="{{$shipperf['name']}}" type="text" required />
                                                    </div>
                                                @endif
                                            </div>
                                            <div class="col-md-5 custom-width radio-btn-div stradibut">
                                                <div class="btn-group btn-group-toggle" data-toggle="buttons">
                                                    <label class="btn btn-secondary @if($shipperf['type'] == 1) active @endif">
                                                        <input class="custom-control-input" name="shipper_files[type][{{ $newSetShi }}]" type="radio" value="1" @if($shipperf['type'] == 1) checked @endif> Copy
                                                    </label>
                                                    <label class="btn btn-secondary @if($shipperf['type'] == 2) active @endif">
                                                        <input class="custom-control-input" name="shipper_files[type][{{ $newSetShi }}]" type="radio" value="2" @if($shipperf['type'] == 2) checked @endif> Original
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="col-md-1 pl-0 pr-0">
                                                @if($shipperf['fixed'] == 'yes')
                                                    <input type="hidden" name="shipper_files[fixed][{{ $newSetShi }}]" value="yes">
                                                @else
                                                    <a href="javascript:void(0)" class="btn btn-danger" id="shipperremoveRow"><i class="fa fa-trash"></i></a>
                                                    <input type="hidden" name="shipper_files[fixed][{{ $newSetShi }}]" value="no">
                                                @endif
                                            </div>
                                        </div>
                                        @php 
                                            $newSetShi++; 
                                        @endphp
                                    @endforeach
                                @endif
                                <div id="shippernewRow">
                                </div>
                            </div>
                            <div class="col-md-12 mt-4 mb-2">
                                <p>When Consignee - <span class="text-primary rep-broker-contact" data-toggle="modal" id="consigneeaddRow">Add New</span></p>
                            </div>
                            <div class="col-md-12">
                                @php
                                    if(!empty($customer->shipper_files)){
                                        $consignee_files    = unserialize($customer->consignee_files);
                                    }else{
                                        $consignee_files    = unserialize(config('settings.consignee_files'));
                                    }
                                    $newConShi              = 1001;
                                @endphp
                                @if(is_array($consignee_files) && count($consignee_files) > 0)
                                    @foreach($consignee_files as $consigneef)
                                        <div class="row align-items-center mb-2" id="consigneeinputFormRow{{ $newConShi }}">
                                            <div class="col-md-1 cheskejw">
                                                <div class="custom-control custom-checkbox">
                                                    <input type="hidden" name="consignee_files[is_required][{{ $newConShi }}]" value="off">
                                                    <input type="checkbox" class="custom-control-input" id="sameadd2w{{ $newConShi }}"  name="consignee_files[is_required][{{ $newConShi }}]" @if($consigneef['is_required'] == 'on') checked @endif>
                                                    <label class="custom-control-label" for="sameadd2w{{ $newConShi }}"></label>
                                                </div>
                                            </div>
                                            <div class="col-md-5 pl-0 pr-0">
                                                @if($consigneef['fixed'] == 'yes')
                                                    <div class="form-group my-0">
                                                        <input type="hidden" name="consignee_files[name][{{ $newConShi }}]" value="{{$consigneef['name']}}">
                                                        <label>{{$consigneef['name']}}</label>
                                                    </div>
                                                @else
                                                    <div class="form-group">
                                                        <input class="form-control" name="consignee_files[name][{{ $newConShi }}]" value="{{$consigneef['name']}}" type="text" required />
                                                    </div>
                                                @endif
                                            </div>
                                            <div class="col-md-5 custom-width radio-btn-div stradibut">
                                                <div class="btn-group btn-group-toggle" data-toggle="buttons">
                                                    <label class="btn btn-secondary @if($consigneef['type'] == 1) active @endif">
                                                        <input class="custom-control-input" name="consignee_files[type][{{ $newConShi }}]" type="radio" value="1" @if($consigneef['type'] == 1) checked @endif> Copy
                                                    </label>
                                                    <label class="btn btn-secondary @if($consigneef['type'] == 2) active @endif">
                                                        <input class="custom-control-input" name="consignee_files[type][{{ $newConShi }}]" type="radio" value="2" @if($consigneef['type'] == 2) checked @endif> Original
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="col-md-1 pl-0 pr-0">
                                                @if($consigneef['fixed'] == 'yes')
                                                    <input type="hidden" name="consignee_files[fixed][{{ $newConShi }}]" value="yes">
                                                @else
                                                    <a href="javascript:void(0)" class="btn btn-danger" id="shipperremoveRow"><i class="fa fa-trash"></i></a>
                                                    <input type="hidden" name="consignee_files[fixed][{{ $newConShi }}]" value="no">
                                                @endif
                                            </div>
                                        </div>
                                        @php 
                                            $newConShi++; 
                                        @endphp
                                    @endforeach
                                @endif
                                <div id="consigneenewRow">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="button-bottom">
            <a href="{{ route('company.admin.customer.index') }}" class="cancel-btn">Cancel</a>
            <button class="submit-btn">Submit</button>
        </div>
    {!! Form::close() !!}
@endsection

@section('script')
    <script type="text/javascript">
        $( document ).ready(function() {
            $('.edit-form').parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
        });
    </script>
    <script type="text/javascript">
        var i           = parseInt('{{ $newSetShi }}');
        $("#shipperaddRow").click(function () {
            var html    = '';
            html        += '<div class="row align-items-center mb-2" id="shipperinputFormRow'+i+'">';
            html        += '<div class="col-md-1 cheskejw">';
            html        += '<div class="custom-control custom-checkbox">';
            html        += '<input type="hidden" name="shipper_files[is_required]['+i+']" value="off">';
            html        += '<input type="checkbox" class="custom-control-input" id="sameashi2w'+i+'" name="shipper_files[is_required]['+i+']">';
            html        += '<label class="custom-control-label" for="sameashi2w'+i+'"></label>';
            html        += '</div>';
            html        += '</div>';
            html        += '<div class="col-md-5 pl-0 pr-0">';
            html        += '<div class="form-group my-0">';
            html        += '<input class="form-control" name="shipper_files[name]['+i+']" type="text" required />';
            html        += '</div>';
            html        += '</div>';
            html        += '<div class="col-md-5 custom-width radio-btn-div stradibut">';
            html        += '<div class="btn-group btn-group-toggle" data-toggle="buttons">';
            html        += '<label class="btn btn-secondary">';
            html        += '<input class="custom-control-input" name="shipper_files[type]['+i+']" type="radio" value="1" > Copy';
            html        += '</label>';
            html        += '<label class="btn btn-secondary active">';
            html        += '<input class="custom-control-input" name="shipper_files[type]['+i+']" type="radio" value="2" checked="checked" > Original';
            html        += '</label>';
            html        += '</div>';
            html        += '</div>';
            html        += '<div class="col-md-1 pl-0 pr-0">';
            html        += '<a href="javascript:void(0)" class="btn btn-danger" id="shipperremoveRow"><i class="fa fa-trash"></i></a>';
            html        += '<input type="hidden" name="shipper_files[fixed]['+i+']" value="no">';
            html        += '</div>';
            html        += '</div>';

            $('#shippernewRow').append(html);
            i++

            // setPhoneNumber();
        });

        // remove row
        $(document).on('click', '#shipperremoveRow', function () {
            $(this).closest('#shipperinputFormRow').remove();
        });

        var il          = parseInt('{{ $newConShi }}');
        $("#consigneeaddRow").click(function () {
            var html    = '';
            html        += '<div class="row align-items-center mb-2" id="consigneeinputFormRow'+il+'">';
            html        += '<div class="col-md-1 cheskejw">';
            html        += '<div class="custom-control custom-checkbox">';
            html        += '<input type="hidden" name="consignee_files[is_required]['+il+']" value="off">';
            html        += '<input type="checkbox" class="custom-control-input" id="sameadd2w'+il+'" name="consignee_files[is_required]['+i+']">';
            html        += '<label class="custom-control-label" for="sameadd2w'+il+'"></label>';
            html        += '</div>';
            html        += '</div>';
            html        += '<div class="col-md-5 pl-0 pr-0">';
            html        += '<div class="form-group my-0">';
            html        += '<input class="form-control" name="consignee_files[name]['+il+']" type="text" required />';
            html        += '</div>';
            html        += '</div>';
            html        += '<div class="col-md-5 custom-width radio-btn-div stradibut">';
            html        += '<div class="btn-group btn-group-toggle" data-toggle="buttons">';
            html        += '<label class="btn btn-secondary">';
            html        += '<input class="custom-control-input" name="consignee_files[type]['+il+']" type="radio" value="1" > Copy';
            html        += '</label>';
            html        += '<label class="btn btn-secondary active">';
            html        += '<input class="custom-control-input" name="consignee_files[type]['+il+']" type="radio" value="2" checked="checked" > Original';
            html        += '</label>';
            html        += '</div>';
            html        += '</div>';
            html        += '<div class="col-md-1 pl-0 pr-0">';
            html        += '<a href="javascript:void(0)" class="btn btn-danger" id="consigneeremoveRow"><i class="fa fa-trash"></i></a>';
            html        += '<input type="hidden" name="consignee_files[fixed]['+il+']" value="no">';
            html        += '</div>';
            html        += '</div>';

            $('#consigneenewRow').append(html);
            il++

            // setPhoneNumber();
        });

        // remove row
        $(document).on('click', '#consigneeremoveRow', function () {
            $(this).closest('#consigneeinputFormRow').remove();
        });
    </script>
@endsection

@push('after-scripts')
    <script src="{{ asset('theme/js/trimble.js') }}"></script>
@endpush