<!DOCTYPE html>
    <html lang="en">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta name="csrf-token" content="{{ csrf_token() }}">
        <title>Detention Review Request</title>
        <link rel="stylesheet" href="{{ asset('theme/css/bootstrap.min.css') }}">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        <link rel="stylesheet" href="{{ asset('theme/css/default.css') }}">
        <link rel="stylesheet" href="{{ asset('theme/css/media.css') }}">
        <link rel="stylesheet" href="{{ asset('theme/css/custom.css') }}">
        <link rel="stylesheet" href="{{ asset('theme/css/toastr.min.css') }}">
        <link rel="stylesheet" href="{{ asset('theme/css/bootstrap-datetimepicker.min.css') }}">
        <style>
            .detention-review-Request-section .card {
                max-width: 608px;
                border: none;
                width: 100%;
                background: transparent;
                margin: 50px auto;
            }
            .detention-review-Request-section .btn-success {
                background-color: #6DD400;
                border-color: #6DD400;
            }
            .detention-review-Request-section .form-group label a {
                text-decoration: underline;
            }
            .company-logo {
                max-width: 384px;
                margin: auto;
                background-color: #ddd;
            }
            .company-logo img {
                background-color: white;
            }
            .detention-review-Request-section h1 {
                font-size: 25px;
                margin: auto;
                text-align: center;
                margin: 25px 0;
            }
            .detention-review-Request-section p {
                font-size: 17px;
                margin-bottom: 3px;
                font-weight: 500;
                color: #ABB4C6;
            }
            .detention-review-Request-section .box-padding hr {
                width: 100%;
                border-color: #F0F4FA;
            }
            .detention-review-Request-section .btn-ul li {
                margin-left: 15px;
            }
            .detention-review-Request-section .btn-ul {
                display: flex;
                justify-content: end;
                margin-top: 20px;
            }
            .detention-review-Request-section .btn-ul a {
                width: 120px;
                color: white;
                border-radius: 5px;
            }
            .signature-Box {
                background-color: #C0C0C0;
                display: flex;
                align-items: center;
                justify-content: center;
                color: white;
                border: 1px solid black;
                width: 100%;
                height: 130px;
                margin-top: 56px;
                margin-bottom: 20px;
            }
            .signature-Box p {
                color: white;
                font-weight: bold;

            }
            .footer-section {
                height: 65px;
                display: flex;
                align-items: center;
                justify-content: center;
                border-top: 1px solid #B6B6B6;
            }
            .footer-section p a {
                color: #212529;
                font-weight: 400;
                font-size: 16px;

            }
            @media (max-width:575px) {
                .detention-review-Request-section {
                    margin: 15px;
                }
                .detention-review-Request-section .btn-ul {
                    display: inline-block;
                }
                .detention-review-Request-section .btn-ul li {
                    margin-bottom: 15px;
                    margin-left: 0;
                }
                .detention-review-Request-section .btn-ul li a {
                    width: 100%;
                }
            }
            .btn-warning{
                color: #fff !important;
            }
            .btn-warning:hover{
                color: #fff !important;
            }
        </style>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.css"/>
        <link rel="stylesheet" type="text/css" href="{{ asset('theme/css/signature.css') }}">
        <style type="text/css">
            .kbw-signature { width: 100%; height: 200px;}
            #sig canvas{
                width: 100% !important;
                height: auto;
            }
            .html-duration-picker-input-controls-wrapper .html-duration-picker {
                text-align:left !important;
            }
            .html-duration-picker-input-controls-wrapper button {
                display:none !important;
            }
        </style>
    </head>
    <body cz-shortcut-listen="true">
        <section class="detention-review-Request-section">
            <div class="container">
                <div class="row">
                    <div class="card">
                        @if(isset($detention->driver->company->logo) && $detention->driver->company->logo!='' && \File::exists(public_path('storage/companyAdmin/company_logo/'.$detention->driver->company->logo)))
                        <div class="company-logo">
                            <img src="{{ asset('storage/companyAdmin/company_logo/'.$detention->driver->company->logo) }}" alt="Company Logo" class="img-fluid" />
                        </div>
                        @endif
                        <h1 class="">Detention Review Request</h1>
                        <p class="text-center">Status:
                            <span class="status-label">
                                @if($detention->review_status=='Pending')
                                    In Progress
                                @else
                                    {{ $detention->review_status }}
                                @endif
                            </span>
                        </p>
                        <p class="mt-4">A detention request has been started ......</p>
                        <div class="white-box my-3">
                            <h4 class="box-title">Driver and Equipment</h4>
                            <div class="box-padding">
                                <div class="row">
                                    <div class="col-12">
                                        <div class="form-group mb-0">
                                            <label class="control-label">Driver Name:
                                                <span>
                                                    {{ isset($detention->driver) ? $detention->driver->full_name : '' }}
                                                </span>
                                            </label>
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <div class="form-group mb-0">
                                            <label class="control-label">Truck Number:
                                                <span>
                                                    {{ isset($detention->load_detail)?$detention->load_detail->truck_number:''}}
                                                </span>
                                            </label>
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <div class="form-row">
                                            <div class="col-md-6">
                                                <div class="form-group mb-0">
                                                    <label class="control-label">Trailer Number:
                                                        <span>
                                                            {{ isset($detention->load_detail)?$detention->load_detail->trailer_number:'#######'}}
                                                        </span>
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group mb-0">
                                                    <label class="control-label">Trailer Type:
                                                        <span>
                                                            @php
                                                                $gtypeLabel                     = 'Not specified';
                                                                if (isset($detention->load_detail->trailer_type) && $detention->load_detail->trailer_type!='' && isset(getTrailerTypeList()[$detention->load_detail->trailer_type])) {
                                                                    $gtypeLabel                 = getTrailerTypeList()[$detention->load_detail->trailer_type];
                                                                }
                                                            @endphp
                                                            {{ $gtypeLabel }}
                                                        </span>
                                                    </label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    @if(isset($detention->load_detail->self_dispatch) && $detention->load_detail->self_dispatch==1)
                                        <div class="col-12">
                                            <div class="form-group mb-0">
                                                <label class="control-label">Dispatcher:
                                                    <span>
                                                        Self Dispatch
                                                    </span>
                                                </label>
                                            </div>
                                        </div>
                                    @else
                                        @if(isset($detention->load_detail->booked_by) && $detention->load_detail->booked_by!=0)
                                            <div class="col-12">
                                                <div class="form-group mb-0">
                                                    <label class="control-label">Dispatcher:
                                                        <span>
                                                            {{ isset($detention->load_detail->dispatcher->full_name)?$detention->load_detail->dispatcher->full_name:'' }}
                                                        </span>
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="col-12">
                                                <div class="form-row">
                                                    <div class="col-md-6">
                                                        <div class="form-group mb-0">
                                                            <label class="control-label">Dispatcher Number:
                                                                <span>
                                                                    <a href="tel:{{ isset($detention->load_detail->dispatcher->cell_phone)?$detention->load_detail->dispatcher->cell_phone:'' }}">
                                                                        {{ isset($detention->load_detail->dispatcher->cell_phone)?$detention->load_detail->dispatcher->cell_phone:'' }}
                                                                    </a>
                                                                </span>
                                                            </label>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="form-group mb-0">
                                                            <label class="control-label">Dispatcher Ext:
                                                                <span>
                                                                    {{ isset($detention->load_detail->dispatcher->extension_number)?$detention->load_detail->dispatcher->extension_number:'' }}
                                                                </span>
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        @else
                                            <div class="col-12">
                                                <div class="form-group mb-0">
                                                    <label class="control-label">Dispatcher:
                                                        <span>
                                                            Self Dispatch
                                                        </span>
                                                    </label>
                                                </div>
                                            </div>
                                        @endif
                                    @endif
                                </div>
                            </div>
                        </div>
                        <div class="white-box my-3">
                            <h4 class="box-title">Load Information</h4>
                            <div class="box-padding">
                                <div class="row">
                                    <div class="col-12">
                                        <div class="form-group mb-0">
                                            <label class="control-label">Load Number:
                                                <span>
                                                    {{ isset($detention->load_detail->load_number)?$detention->load_detail->load_number:'#########'}}
                                                </span>
                                            </label>
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <div class="form-group mb-0">
                                            <label class="control-label">Stop type:
                                                <span>
                                                    @if($detention->type==1)
                                                        Pickup
                                                    @else
                                                        Delivery
                                                    @endif
                                                </span>
                                            </label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        @php
                            $addresses                      = [];
                            $getGeoTimeZoneId               = ' '.\Carbon\Carbon::now()->timezone($getGeoTimeZone)->format('T');
                        @endphp
                        @if(isset($detention->is_stop))
                            @if($detention->is_stop==1)
                                @php
                                    $timezone_abbr          = isset($detention->stop->timezone_abbr)?$detention->stop->timezone_abbr:'';
                                    $bracket                = '';
                                    if($timezone_abbr!=''){
                                        $bracket            = '('.$timezone_abbr.')';
                                    }
                                @endphp
                                @php
                                    $arrival_time           = isset($detention->stop->arrived_at)?convertTimeToUSERzone(['str' => $detention->stop->arrived_at,'toFormat' => 'm/d/Y H:i','fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]):convertTimeToUSERzone(['str' => \Carbon\Carbon::now()->format('m/d/Y H:i'),'toFormat' => 'm/d/Y H:i','userTimezone' => $getGeoTimeZone]);
                                @endphp
                                @if(isset($detention->stop->address_one) && $detention->stop->address_one!=='')
                                    @php
                                        $addresses[]        = $detention->stop->address_one;
                                    @endphp
                                @endif
                                @if(isset($detention->stop->address_two) && $detention->stop->address_two!=='')
                                    @php
                                        $addresses[]        = $detention->stop->address_two;
                                    @endphp
                                @endif
                                @if(isset($detention->stop->city) && $detention->stop->city!=='')
                                    @php
                                        $addresses[]        = $detention->stop->city;
                                    @endphp
                                @endif
                                @if(isset($detention->stop->state) && $detention->stop->state!=='')
                                    @php
                                        $addresses[]        = $detention->stop->state;
                                    @endphp
                                @endif
                                @if(isset($detention->stop->zip) && $detention->stop->zip!=='')
                                    @php
                                        $addresses[]        = $detention->stop->zip;
                                    @endphp
                                @endif
                            @else
                                @if($detention->type==1)
                                    @php
                                        $timezone_abbr      = isset($detention->load_detail->shipper_timezone_abbr)?$detention->load_detail->shipper_timezone_abbr:'';
                                        $bracket            = '';
                                        if($timezone_abbr!=''){
                                            $bracket        = '('.$timezone_abbr.')';
                                        }
                                    @endphp
                                    @php
                                        $arrival_time       = isset($detention->load_detail->shipper_arrived_at)?convertTimeToUSERzone(['str' => $detention->load_detail->shipper_arrived_at,'toFormat' => 'm/d/Y H:i','fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]):convertTimeToUSERzone(['str' => \Carbon\Carbon::now()->format('m/d/Y H:i'),'toFormat' => 'm/d/Y H:i','userTimezone' => $getGeoTimeZone]);
                                    @endphp
                                    @if(isset($detention->load_detail->shipper_address_one) && $detention->load_detail->shipper_address_one!=='')
                                        @php
                                            $addresses[]    = $detention->load_detail->shipper_address_one;
                                        @endphp
                                    @endif
                                    @if(isset($detention->load_detail->shipper_address_two) && $detention->load_detail->shipper_address_two!=='')
                                        @php
                                            $addresses[]    = $detention->load_detail->shipper_address_two;
                                        @endphp
                                    @endif
                                    @if(isset($detention->load_detail->shipper_city) && $detention->load_detail->shipper_city!=='')
                                        @php
                                            $addresses[]    = $detention->load_detail->shipper_city;
                                        @endphp
                                    @endif
                                    @if(isset($detention->load_detail->shipper_state) && $detention->load_detail->shipper_state!=='')
                                        @php
                                            $addresses[]    = $detention->load_detail->shipper_state;
                                        @endphp
                                    @endif
                                    @if(isset($detention->load_detail->shipper_zip) && $detention->load_detail->shipper_zip!=='')
                                        @php
                                            $addresses[]    = $detention->load_detail->shipper_zip;
                                        @endphp
                                    @endif
                                @else
                                    @php
                                        $timezone_abbr      = isset($detention->load_detail->delivery_timezone_abbr)?$detention->load_detail->delivery_timezone_abbr:'';
                                        $bracket            = '';
                                        if($timezone_abbr!=''){
                                            $bracket        = '('.$timezone_abbr.')';
                                        }
                                    @endphp
                                    @php
                                        $arrival_time       = isset($detention->load_detail->delivery_arrived_at)?convertTimeToUSERzone(['str' => $detention->load_detail->delivery_arrived_at,'toFormat' => 'm/d/Y H:i','fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]):convertTimeToUSERzone(['str' => \Carbon\Carbon::now()->format('m/d/Y H:i'),'toFormat' => 'm/d/Y H:i','userTimezone' => $getGeoTimeZone]);
                                    @endphp
                                    @if(isset($detention->load_detail->delivery_address_one) && $detention->load_detail->delivery_address_one!=='')
                                        @php
                                            $addresses[]    = $detention->load_detail->delivery_address_one;
                                        @endphp
                                    @endif
                                    @if(isset($detention->load_detail->delivery_address_two) && $detention->load_detail->delivery_address_two!=='')
                                        @php
                                            $addresses[]    = $detention->load_detail->delivery_address_two;
                                        @endphp
                                    @endif
                                    @if(isset($detention->load_detail->delivery_city) && $detention->load_detail->delivery_city!=='')
                                        @php
                                            $addresses[]    = $detention->load_detail->delivery_city;
                                        @endphp
                                    @endif
                                    @if(isset($detention->load_detail->delivery_state) && $detention->load_detail->delivery_state!=='')
                                        @php
                                            $addresses[]    = $detention->load_detail->delivery_state;
                                        @endphp
                                    @endif
                                    @if(isset($detention->load_detail->delivery_zip) && $detention->load_detail->delivery_zip!=='')
                                        @php
                                            $addresses[]    = $detention->load_detail->delivery_zip;
                                        @endphp
                                    @endif
                                @endif
                            @endif
                        @endif
                        @php
                            $startDate                  = isset($detention->detention_start_time)?date('m/d/Y H:i', strtotime($detention->detention_start_time)):date('m/d/Y H:i');
                            $date1                      = \Carbon\Carbon::parse($startDate);
                            $endDate                    = isset($detention->detention_end_time)?date('m/d/Y H:i', strtotime($detention->detention_end_time)):date('m/d/Y H:i');
                            $date2                      = \Carbon\Carbon::parse($endDate);

                            $hours                      = intval($date1->diffInHours($date2));
                            $hours                      = $hours."hrs";
                            $minutes                    = intval($date1->diff($date2)->format('%I'));
                            $minutes                    = $minutes."min";

                            $free_time                  = isset($detention->free_time)?$detention->free_time:'00:00';
                            $free_time_arry             = explode(':',$free_time);
                            $free_time_hours            = intval($free_time_arry[0])."hrs";
                            $free_time_minutes          = intval($free_time_arry[1])."min";

                            if(!isset($detention->free_time) || $free_time=='00:00'){
                                $billed_time_hours      = $hours;
                                $billed_time_minutes    = $minutes;
                            }else{
                                $billed_time            = isset($detention->billed_time)?$detention->billed_time:'00:00';
                                $billed_time_arry       = explode(':',$billed_time);
                                $billed_time_hours      = intval($billed_time_arry[0])."hrs";
                                $billed_time_minutes    = intval($billed_time_arry[1])."min";
                            }

                            $adjusted_billed_time       = isset($detention->adjusted_billed_time)?$detention->adjusted_billed_time:'00:00';
                            $adjusted_time_arry         = explode(':',$adjusted_billed_time);
                            $adjusted_time_hours        = intval($adjusted_time_arry[0])."hrs";
                            $adjusted_time_minutes      = intval($adjusted_time_arry[1])."min";
                        @endphp

                        @if(in_array($detention->review_status,[
                            'In Progress',
                            'In Progress - Acknowledged',
                            'In Progress - Acknowledged - Sent to broker',
                            'In Progress - Acknowledged - Seen by broker',
                            'Detention Stopped - Pending Approval',
                            'In Progress - Sent to broker',
                            'Pending Broker Review',
                        ]))
                            @if(
                                $detention->detention_status!=1 &&
                                !is_null($detention->submitted_at) &&
                                in_array($detention->review_status,[
                                    'In Progress - Sent to broker',
                                    'Pending Broker Review'
                                ]))
                                <form id="reviewform" name="reviewform" autocomplete="off">
                                    <div class="white-box my-3">
                                        <h4 class="box-title">Detention Information</h4>
                                        <div class="box-padding">
                                            <div class="row">
                                                @if(
                                                    (isset($detention->driver_comment_show_to_broker) && $detention->driver_comment_show_to_broker=='1') ||
                                                    (isset($detention->reviewer_comment_show_to_broker) && $detention->reviewer_comment_show_to_broker=='1') ||
                                                    (isset($detention->billing_comment_show_to_broker) && $detention->billing_comment_show_to_broker=='1')
                                                )
                                                    @if(isset($detention->driver_comment_show_to_broker) && $detention->driver_comment_show_to_broker=='1')
                                                    <div class="col-12">
                                                        <div class="form-group mb-0">
                                                            <label class="control-label">Driver Comments:
                                                                <span>
                                                                    {{ isset($detention->driver_comment)?$detention->driver_comment:'' }}
                                                                </span>
                                                            </label>
                                                        </div>
                                                    </div>
                                                    @endif
                                                    @if(isset($detention->reviewer_comment_show_to_broker) && $detention->reviewer_comment_show_to_broker=='1')
                                                    <div class="col-12">
                                                        <div class="form-group mb-0">
                                                            <label class="control-label">Reviewer Comments:
                                                                <span>
                                                                   {{ isset($detention->reviewer_comment)?$detention->reviewer_comment:'' }}
                                                                </span>
                                                            </label>
                                                        </div>
                                                    </div>
                                                    @endif
                                                    @if(isset($detention->billing_comment_show_to_broker) && $detention->billing_comment_show_to_broker=='1')
                                                    <div class="col-12">
                                                        <div class="form-group mb-0">
                                                            <label class="control-label">Billing Comments:
                                                                <span>
                                                                    {{ isset($detention->comment)?$detention->comment:'' }}
                                                                </span>
                                                            </label>
                                                        </div>
                                                    </div>
                                                    @endif
                                                    <hr>
                                                @endif
                                                <div class="col-12">
                                                    <div class="form-group mb-0">
                                                        <label class="control-label">Location:
                                                            <span>
                                                                {{ implode(', ', $addresses) }}
                                                            </span>
                                                        </label>
                                                    </div>
                                                </div>
                                                <div class="col-12">
                                                    <div class="form-group mb-0">
                                                        <label class="control-label">Map It:
                                                            <span>
                                                                @if($detention->is_stop==1)
                                                                    @if(!empty(implode(', ', $addresses)))
                                                                        <a href="https://www.google.com/maps?saddr=Current+Location&daddr={{ urlencode(implode(', ', $addresses)) }}" target="_blank">
                                                                            Click To Open
                                                                        </a>
                                                                    @endif
                                                                @else
                                                                    @if($detention->type==1)
                                                                        @if(!empty(implode(', ', $addresses)))
                                                                            <a href="https://www.google.com/maps?saddr=Current+Location&daddr={{ urlencode(implode(', ', $addresses)) }}" target="_blank">
                                                                                Click To Open
                                                                            </a>
                                                                        @endif
                                                                    @else
                                                                        @if(!empty(implode(', ', $addresses)))
                                                                            <a href="https://www.google.com/maps?saddr=Current+Location&daddr={{ urlencode(implode(', ', $addresses)) }}" target="_blank">
                                                                                Click To Open
                                                                            </a>
                                                                        @endif
                                                                    @endif
                                                                @endif
                                                            </span>
                                                        </label>
                                                    </div>
                                                </div>
                                                <hr>
                                                <div class="col-12">
                                                    <div class="form-group mb-0">
                                                        <label class="control-label">Arrival:
                                                            <span>
                                                                {{ $arrival_time.$getGeoTimeZoneId }}
                                                            </span>
                                                        </label>
                                                    </div>
                                                </div>
                                                <div class="col-12">
                                                    <div class="form-group mb-0">
                                                        <label class="control-label">Departure:
                                                            <span>
                                                                {{ isset($detention->detention_end_time)?convertTimeToUSERzone(['str' => $detention->detention_end_time,'toFormat' => 'm/d/Y H:i','fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]).$getGeoTimeZoneId:'' }}
                                                            </span>
                                                        </label>
                                                    </div>
                                                </div>
                                                <hr>
                                                <div class="col-12">
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-row form-group mb-0">
                                                                <div class="col-6">
                                                                    <label class="control-label">Detained Time:
                                                                    </label>
                                                                </div>
                                                                <div class="col-6">
                                                                    <label class="control-label">{{ $hours }} {{ $minutes }}</label>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-row form-group mb-0">
                                                                <div class="col-6">
                                                                    <label class="control-label">Free Time: </label>
                                                                </div>
                                                                <div class="col-6">
                                                                    <label class="control-label">{{ $free_time_hours }} {{ $free_time_minutes }}</label>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-row form-group mb-0">
                                                                <div class="col-6">
                                                                    <label class="control-label">Billed Time: </label>
                                                                </div>
                                                                <div class="col-6">
                                                                    <label class="control-label">{{ $billed_time_hours }} {{ $billed_time_minutes }}</label>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6 adjusted_billed_time d-none">
                                                            <div class="form-row form-group mb-0">
                                                                <div class="col-7">
                                                                    <label class="control-label">Request adjusted Billed Time: </label>
                                                                </div>
                                                                <div class="col-5">
                                                                    <input type="text" class="form-control html-duration-picker" id="adjusted_billed_time" name="adjusted_billed_time" value="" data-hide-seconds>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-row form-group mb-0">
                                                                <div class="col-6">
                                                                    <label class="control-label">$/hr:
                                                                    </label>
                                                                </div>
                                                                <div class="col-6">
                                                                    <label class="control-label">
                                                                        {{ isset($detention->rate)?'$'.formatNumberWithoutZeros($detention->rate):''}}
                                                                    </label>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6 adjusted_rate d-none">
                                                            <div class="form-row form-group mb-0">
                                                                <div class="col-7">
                                                                    <label class="control-label">Request adjusted $/hr:
                                                                    </label>
                                                                </div>
                                                                <div class="col-5">
                                                                    <div class="input-group mb-3">
                                                                        <div class="input-group-prepend">
                                                                            <span class="input-group-text">$</span>
                                                                        </div>
                                                                        <input type="number" class="form-control number" id="adjusted_rate" name="adjusted_rate" min="0" step=".01" aria-label="Amount (to the nearest dollar)" value="">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6 offset-md-6 adjusted-errors d-none">
                                                            <ul class="parsley-errors-list filled">
                                                                <li class="parsley-required">This value is required.</li>
                                                            </ul>
                                                        </div>
                                                    </div>
                                                </div>
                                                <hr>
                                                <div class="col-12">
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-row form-group mb-0">
                                                                <div class="col-6">
                                                                    <label class="control-label">Detained Due:
                                                                    </label>
                                                                </div>
                                                                <div class="col-6">
                                                                    <label class="control-label">
                                                                        {{ isset($detention->detention_due)?'$'.formatNumberWithoutZeros($detention->detention_due):''}}
                                                                    </label>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <ul class="nav btn-ul">
                                        <li class="navbar-items"><a href="javascript:void(0);" class="btn btn-danger detention-request" data-status="Broker Denied Request">Reject</a></li>
                                        <li class="navbar-items"><a href="javascript:void(0);" class="btn btn-warning detention-request" data-status="Broker Amendment Request">Amend</a></li>
                                        <li class="navbar-items"><a href="javascript:void(0);" class="btn btn-success detention-request" data-status="Completed">Approve</a></li>
                                    </ul>
                                    <div class="signature-section" style="height: 0; overflow: hidden;">
                                        <div role="alert" id="review-alert-div" style="display: none;" class="col-md-12 mt-3 mb-2">
                                            <span></span>
                                        </div>
                                        <input type="hidden" name="review_status" value="">
                                        <input type="hidden" name="id" value="{{ $detention->id }}">
                                        <div class="row">
                                            <div class="col-md-12">
                                                <label class="" for="">Signature:</label>
                                                <br/>
                                                <div id="sig"></div>
                                                <br/>
                                                <button id="clear" class="btn btn-danger btn-sm mb-2 float-right">Clear Signature</button>
                                                <textarea id="signature64" name="signed" required style="display: none"></textarea>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="signature_name">Name</label>
                                                    <input type="text" class="form-control" id="signature_name" name="signature_name" value="" required>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="signature_datetime">Date and Time</label>
                                                    <input type="text" class="form-control readonly" id="signature_datetime" name="signature_datetime" value="{{ \Carbon\Carbon::now()->timezone($getGeoTimeZone)->format('m/d/Y H:i') }}" placeholder="Click here to autofill" required>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-12 mt-4">
                                                <a href="javascript:void(0);" class="btn btn-submit w-100">Sign and Send</a>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            @else
                                <div class="white-box my-3">
                                    <h4 class="box-title">Detention Information</h4>
                                    <div class="box-padding">
                                        <div class="row">
                                            @if(
                                                (isset($detention->driver_comment_show_to_broker) && $detention->driver_comment_show_to_broker=='1') ||
                                                (isset($detention->reviewer_comment_show_to_broker) && $detention->reviewer_comment_show_to_broker=='1') ||
                                                (isset($detention->billing_comment_show_to_broker) && $detention->billing_comment_show_to_broker=='1')
                                            )
                                                @if(isset($detention->driver_comment_show_to_broker) && $detention->driver_comment_show_to_broker=='1')
                                                <div class="col-12">
                                                    <div class="form-group mb-0">
                                                        <label class="control-label">Driver Comments:
                                                            <span>
                                                                {{ isset($detention->driver_comment)?$detention->driver_comment:'' }}
                                                            </span>
                                                        </label>
                                                    </div>
                                                </div>
                                                @endif
                                                @if(isset($detention->reviewer_comment_show_to_broker) && $detention->reviewer_comment_show_to_broker=='1')
                                                <div class="col-12">
                                                    <div class="form-group mb-0">
                                                        <label class="control-label">Reviewer Comments:
                                                            <span>
                                                               {{ isset($detention->reviewer_comment)?$detention->reviewer_comment:'' }}
                                                            </span>
                                                        </label>
                                                    </div>
                                                </div>
                                                @endif
                                                @if(isset($detention->billing_comment_show_to_broker) && $detention->billing_comment_show_to_broker=='1')
                                                <div class="col-12">
                                                    <div class="form-group mb-0">
                                                        <label class="control-label">Billing Comments:
                                                            <span>
                                                                {{ isset($detention->comment)?$detention->comment:'' }}
                                                            </span>
                                                        </label>
                                                    </div>
                                                </div>
                                                @endif
                                                <hr>
                                            @endif
                                            <div class="col-12">
                                                <div class="form-group mb-0">
                                                    <label class="control-label">Arrival:
                                                        <span>
                                                            {{ $arrival_time.$getGeoTimeZoneId }}
                                                        </span>
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="col-12">
                                                <div class="form-group mb-0">
                                                    <label class="control-label">Elapsed Time:
                                                        <span>
                                                            {{ $hours }} {{ $minutes }}
                                                        </span>
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="col-12">
                                                <div class="form-group mb-0">
                                                    <label class="control-label">Locatoion:
                                                        <span>
                                                            {{ implode(', ', $addresses) }}
                                                        </span>
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="col-12">
                                                <div class="form-group mb-0">
                                                    <label class="control-label">Map It:
                                                        <span>
                                                            @if($detention->is_stop==1)
                                                                @if(!empty(implode(', ', $addresses)))
                                                                    <a href="https://www.google.com/maps?saddr=Current+Location&daddr={{ urlencode(implode(', ', $addresses)) }}" target="_blank">
                                                                        Click To Open
                                                                    </a>
                                                                @endif
                                                            @else
                                                                @if($detention->type==1)
                                                                    @if(!empty(implode(', ', $addresses)))
                                                                        <a href="https://www.google.com/maps?saddr=Current+Location&daddr={{ urlencode(implode(', ', $addresses)) }}" target="_blank">
                                                                            Click To Open
                                                                        </a>
                                                                    @endif
                                                                @else
                                                                    @if(!empty(implode(', ', $addresses)))
                                                                        <a href="https://www.google.com/maps?saddr=Current+Location&daddr={{ urlencode(implode(', ', $addresses)) }}" target="_blank">
                                                                            Click To Open
                                                                        </a>
                                                                    @endif
                                                                @endif
                                                            @endif
                                                        </span>
                                                    </label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            @endif
                        @elseif(
                            $detention->review_status=='Denied' ||
                            $detention->review_status=='Broker Amendment Request' ||
                            $detention->review_status=='Broker Denied Request' ||
                            $detention->review_status=='Completed'
                        )
                            <div class="white-box my-3">
                                <h4 class="box-title">Detention Information</h4>
                                <div class="box-padding">
                                    <div class="row">
                                        @if(
                                            (isset($detention->driver_comment_show_to_broker) && $detention->driver_comment_show_to_broker=='1') ||
                                            (isset($detention->reviewer_comment_show_to_broker) && $detention->reviewer_comment_show_to_broker=='1') ||
                                            (isset($detention->billing_comment_show_to_broker) && $detention->billing_comment_show_to_broker=='1')
                                        )
                                            @if(isset($detention->driver_comment_show_to_broker) && $detention->driver_comment_show_to_broker=='1')
                                            <div class="col-12">
                                                <div class="form-group mb-0">
                                                    <label class="control-label">Driver Comments:
                                                        <span>
                                                            {{ isset($detention->driver_comment)?$detention->driver_comment:'' }}
                                                        </span>
                                                    </label>
                                                </div>
                                            </div>
                                            @endif
                                            @if(isset($detention->reviewer_comment_show_to_broker) && $detention->reviewer_comment_show_to_broker=='1')
                                            <div class="col-12">
                                                <div class="form-group mb-0">
                                                    <label class="control-label">Reviewer Comments:
                                                        <span>
                                                           {{ isset($detention->reviewer_comment)?$detention->reviewer_comment:'' }}
                                                        </span>
                                                    </label>
                                                </div>
                                            </div>
                                            @endif
                                            @if(isset($detention->billing_comment_show_to_broker) && $detention->billing_comment_show_to_broker=='1')
                                            <div class="col-12">
                                                <div class="form-group mb-0">
                                                    <label class="control-label">Billing Comments:
                                                        <span>
                                                            {{ isset($detention->comment)?$detention->comment:'' }}
                                                        </span>
                                                    </label>
                                                </div>
                                            </div>
                                            @endif
                                            <hr>
                                        @endif
                                        <div class="col-12">
                                            <div class="form-group mb-0">
                                                <label class="control-label">Locatoion:
                                                    <span>
                                                        {{ implode(', ', $addresses) }}
                                                    </span>
                                                </label>
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="form-group mb-0">
                                                <label class="control-label">Map It:
                                                    <span>
                                                        @if($detention->is_stop==1)
                                                            @if(!empty(implode(', ', $addresses)))
                                                                <a href="https://www.google.com/maps?saddr=Current+Location&daddr={{ urlencode(implode(', ', $addresses)) }}" target="_blank">
                                                                    Click To Open
                                                                </a>
                                                            @endif
                                                        @else
                                                            @if($detention->type==1)
                                                                @if(!empty(implode(', ', $addresses)))
                                                                    <a href="https://www.google.com/maps?saddr=Current+Location&daddr={{ urlencode(implode(', ', $addresses)) }}" target="_blank">
                                                                        Click To Open
                                                                    </a>
                                                                @endif
                                                            @else
                                                                @if(!empty(implode(', ', $addresses)))
                                                                    <a href="https://www.google.com/maps?saddr=Current+Location&daddr={{ urlencode(implode(', ', $addresses)) }}" target="_blank">
                                                                        Click To Open
                                                                    </a>
                                                                @endif
                                                            @endif
                                                        @endif
                                                    </span>
                                                </label>
                                            </div>
                                        </div>
                                        <hr>
                                        <div class="col-12">
                                            <div class="form-group mb-0">
                                                <label class="control-label">Arrival:
                                                    <span>
                                                        {{ $arrival_time.$getGeoTimeZoneId }}
                                                    </span>
                                                </label>
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="form-group mb-0">
                                                <label class="control-label">Departure:
                                                    <span>
                                                        {{ isset($detention->detention_end_time)?convertTimeToUSERzone(['str' => $detention->detention_end_time,'toFormat' => 'm/d/Y H:i','fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]).$getGeoTimeZoneId:'' }}
                                                    </span>
                                                </label>
                                            </div>
                                        </div>
                                        <hr>
                                        <div class="col-12">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-row form-group mb-0">
                                                        <div class="col-6">
                                                            <label class="control-label">Detained Time:
                                                            </label>
                                                        </div>
                                                        <div class="col-6">
                                                            <label class="control-label">{{ $hours }} {{ $minutes }}</label>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-row form-group mb-0">
                                                        <div class="col-6">
                                                            <label class="control-label">Free Time: </label>
                                                        </div>
                                                        <div class="col-6">
                                                            <label class="control-label">{{ $free_time_hours }} {{ $free_time_minutes }}</label>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-row form-group mb-0">
                                                        <div class="col-6">
                                                            <label class="control-label">Billed Time: </label>
                                                        </div>
                                                        <div class="col-6">
                                                            <label class="control-label">{{ $billed_time_hours }} {{ $billed_time_minutes }}</label>
                                                        </div>
                                                    </div>
                                                </div>
                                                @if($detention->review_status=='Broker Amendment Request')
                                                    <div class="col-md-6">
                                                        <div class="form-row form-group mb-0">
                                                            <div class="col-7">
                                                                <label class="control-label">Request adjusted Billed Time: </label>
                                                            </div>
                                                            <div class="col-5">
                                                                <label class="control-label">{{ $adjusted_time_hours }} {{ $adjusted_time_minutes }}</label>
                                                            </div>
                                                        </div>
                                                    </div>
                                                @endif
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-row form-group mb-0">
                                                        <div class="col-6">
                                                            <label class="control-label">$/hr:
                                                            </label>
                                                        </div>
                                                        <div class="col-6">
                                                            <label class="control-label">
                                                                {{ isset($detention->rate)?'$'.formatNumberWithoutZeros($detention->rate):''}}
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                                @if($detention->review_status=='Broker Amendment Request')
                                                    <div class="col-md-6">
                                                        <div class="form-row form-group mb-0">
                                                            <div class="col-7">
                                                                <label class="control-label">Request adjusted $/hr:
                                                                </label>
                                                            </div>
                                                            <div class="col-5">
                                                                <label class="control-label">
                                                                    {{ isset($detention->adjusted_rate)?'$'.formatNumberWithoutZeros($detention->adjusted_rate):''}}
                                                                </label>
                                                            </div>
                                                        </div>
                                                    </div>
                                                @endif
                                            </div>
                                        </div>
                                        <hr>
                                        <div class="col-12">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-row form-group mb-0">
                                                        <div class="col-6">
                                                            <label class="control-label">Detained Due:
                                                            </label>
                                                        </div>
                                                        <div class="col-6">
                                                            <label class="control-label">
                                                                {{ isset($detention->detention_due)?'$'.formatNumberWithoutZeros($detention->detention_due):''}}
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <hr>
                                        <div class="col-12">
                                            <div class="form-group mb-0">
                                                <label class="control-label">Review Status:
                                                    <span>
                                                        {{ isset($detention->review_status)?$detention->review_status:'' }}
                                                    </span>
                                                </label>
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="form-group mb-0">
                                                <label class="control-label">Review By:
                                                    <span>
                                                        @if(isset($detention->review_by))
                                                            @if(isset($detention->review_user_type))
                                                                @if($detention->review_user_type=='Company Admin')
                                                                    {{ isset($detention->review_comapny_admin->full_name) ? $detention->review_comapny_admin->full_name : '' }}
                                                                @elseif($detention->review_user_type=='Broker')
                                                                    {{ isset($detention->review_broker->name) ? $detention->review_broker->name : '' }}
                                                                     - {{ $detention->signature_name }}
                                                                @endif
                                                            @endif
                                                        @endif
                                                    </span>
                                                </label>
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="form-group mb-0">
                                                <label class="control-label">Review At:
                                                    <span>
                                                        {{ isset($detention->review_at)?convertTimeToUSERzone(['str' => $detention->review_at,'toFormat' => 'm/d/Y H:i','fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]).$getGeoTimeZoneId:'' }}
                                                    </span>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @endif
                    </div>
                </div>
            </div>
        </section>
        <footer class="footer-section">
            <div class="container">
                <div class="row">
                    <p class="mx-auto"><a href="javascript:void(0);"> Copyright 2022 CompelLebs</a></p>
                </div>
            </div>
        </footer>
        <script src="{{ asset('theme/js/jquery-3.2.1.slim.min.js') }}"></script>
        <script src="{{ asset('theme/js/jquery.min.js') }}"></script>
        <script src="{{ asset('theme/js/popper.min.js') }}"></script>
        <script src="{{ asset('theme/js/bootstrap.min.js') }}"></script>
        <script src="{{ asset('theme/js/moment.min.js') }}"></script>
        <script src="{{ asset('theme/js/sweetalert2.all.min.js') }}"></script>
        <script src="{{ asset('theme/js/toastr.min.js') }}"></script>
        <script src="{{ asset('theme/js/bootstrap-datetimepicker.min.js') }}"></script>
        <script src="{{ asset('theme/js/html-duration-picker.min.js') }}"></script>
        <script src="{{ asset('theme/js/parsley.js') }}"></script>
        <script src="{{ asset('theme/js/jquery.form.min.js') }}"></script>

        <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.min.js"></script>
        <script type="text/javascript" src="{{ asset('theme/js/signature.js') }}"></script>
        <script type="text/javascript">
            $(document).ready(function(){
                @if(
                    $detention->is_send_to_broker==1 &&
                    (
                        ($detention->detention_status==1 && is_null($detention->broker_viewed_acknowledgement_at)) ||
                        ($detention->detention_status!=1 && is_null($detention->broker_view_at))
                    )
                )
                    $.ajax({
                        type: 'POST',
                        url: '{!! route("company.admin.detention.request.broker.view.at") !!}',
                        data: { id: '{{ $detention->id }}' },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        beforeSend: function() {
                            //console.log('beforeSend');
                        },
                        success: function(response) {
                            if(response.review_status)
                                $('.status-label').text(response.review_status);//console.log('success');
                        },
                        complete: function() {
                            //console.log('complete');
                        },
                        error: function(jqXHR, status, exception) {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert');
                        }
                    });
                @endif

                $(".readonly").keydown(function(e){
                    e.preventDefault();
                });

                $('#signature_datetime').datetimepicker({
                    format: 'MM/DD/YYYY HH:mm',
                    useCurrent: false,
                });
            });
            var sig         = $('#sig').signature({syncField: '#signature64', syncFormat: 'PNG'});
            $('#clear').click(function(event) {
                event.preventDefault();
                sig.signature('clear');
                $("#signature64").val('');
            });
            $(document).on('click', '.detention-request', function(event) {
                event.preventDefault();
                // console.log('detention-request');
                // return false;
                var that    = $(this);
                var status  = that.attr('data-status');
                if(status){
                    $('.signature-section').find('input[name="review_status"]').val(status);
                    if(status=='Completed'){
                        $('.adjusted-errors').addClass('d-none');
                        $('.adjusted_billed_time').addClass('d-none');
                        $('.adjusted_rate').addClass('d-none');
                        $('#reviewform').parsley().reset();
                        $('.signature-section').find('.btn-submit')
                            .addClass('btn-success')
                            .removeClass("btn-warning btn-danger")
                            .text('Sign and Send');
                    }else if(status=='Broker Amendment Request'){
                        $('.adjusted_billed_time').removeClass('d-none');
                        $('.adjusted_rate').removeClass('d-none');
                        $('.signature-section').find('.btn-submit')
                            .addClass('btn-warning')
                            .removeClass("btn-success btn-danger")
                            .text('Sign and Send Amended Request');
                    }else{
                        $('.adjusted-errors').addClass('d-none');
                        $('.adjusted_billed_time').addClass('d-none');
                        $('.adjusted_rate').addClass('d-none');
                        $('#reviewform').parsley().reset();

                        $('.signature-section').find('.btn-submit')
                            .addClass('btn-danger')
                            .removeClass("btn-success btn-warning")
                            .text('Sign and Send');
                    }
                    $('.signature-section').removeAttr('style');
                }
            });
            $(document).on('click', '.btn-submit', function(event) {
                event.preventDefault();
                // console.log('btn-submit');
                // return false;
                var that                = $(this);
                var btnTxt              = that.text();
                var form                = $('#reviewform');
                var adjusted_errors     = 0;
                if($('input[name="review_status"]').val()=='Broker Amendment Request')
                    if($('#adjusted_billed_time').val()=='00:00' && $('#adjusted_rate').val()==''){
                        adjusted_errors     = 1;
                        $('.adjusted-errors').removeClass('d-none');
                    }else{
                        $('.adjusted-errors').addClass('d-none');
                    }
                form.parsley().validate();
                if (form.parsley().isValid() && adjusted_errors==0){
                    var formData        = new FormData(form[0]);
                    $.ajax({
                        type: 'POST',
                        url: '{!! route("company.admin.detention.request.broker.save") !!}',
                        data: formData,
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        cache : false,
                        processData: false,
                        contentType: false,
                        beforeSend: function() {
                            that.prop('disabled', true).html('Please Wait...');
                        },
                    }).done(function(response) {
                        if($.isEmptyObject(response.errors)){
                            if(response.success){
                                var txt = btnTxt;
                                txt     = txt.charAt(0).toUpperCase() + txt.slice(1).toLowerCase()
                                toastr.success(
                                    txt+' successfully',
                                    'Success Alert', {
                                        timeOut: 1000,
                                        fadeOut: 1000,
                                        onHidden: function () {
                                            location.reload();
                                        }
                                    }
                                );
                            }else{
                                toastr.error(response.message, {
                                    timeOut: 5000
                                });
                            }
                        }else{
                            var error   = '';
                            $(response.errors).each(function (row, val) {
                                error   += '<li>' + val + '</li>';
                            });
                            if(error!=''){
                                error   = '<ul>'+error+'</ul>';
                                setTimeout(function(){
                                    printMsg('review-alert-div','alert alert-danger',error);
                                },500);
                            }else{
                                toastr.error('Oops! Something went wrong..', {
                                    timeOut: 5000
                                });
                            }
                        }
                    }).fail(function(jqXHR, status, exception)  {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, {
                            timeOut: 5000
                        });
                    }).always(function (dataOrjqXHR, textStatus, jqXHRorErrorThrown) {
                        that.prop('disabled', false).html(btnTxt);
                    });
                }
                return false;
            });
            $(document).on('keypress', '#reviewform .number', function(event) {
                if ((event.which != 46 || $(this).val().indexOf('.') != -1) && (event.which < 48 || event.which > 57)) {
                    event.preventDefault();
                }
            });
            function printMsg(alertDiv,msgclass,message){
                $("#"+alertDiv).show();
                $("#"+alertDiv).addClass(msgclass);
                $("#"+alertDiv+" span").html(message);
                setTimeout(function(){
                    $("#"+alertDiv).hide();
                    $("#"+alertDiv).removeClass(msgclass);
                    $("#"+alertDiv+" span").html('');
                },7000);
            }
        </script>
    </body>
</html>
