@extends($companyAdminTheme)

@section('title')
    Detention Request
@endsection

@section('style')
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.1/themes/base/jquery-ui.css">
    <style type="text/css">
        #detentionRequestModal .detail-block{
            border-bottom: 1px solid #eff4fa;
            margin: 0 -20PX 10px;
            padding: 0 20px 5px;
        }
        #detentionRequestModal .footer-block .logs{
            color: #ABB4C6 !important;
        }
        #detentionRequestModal .footer-block{
            margin: 20px -20px -20px;
        }
        #detentionRequestModal .footer-block .btn {
            color: #fff;
        }
        #detentionRequestModal .footer-block .btn:hover {
            color: #fff;
        }
        #detentionRequestModal .modal-body label > span {
            color: rgb(33, 37, 41);
        }
        .flex-all {
            display: flex;
            flex-wrap: wrap;
            align-items: center;
            justify-content: center;
        }
        .html-duration-picker-input-controls-wrapper .html-duration-picker {
            text-align:left !important;
        }
        .btn-warning{
            color: #fff !important;
        }
        .btn-warning:hover{
            color: #fff !important;
        }
        .invalid-feedback{
            display: block;
        }
        .disabled-section {
            pointer-events: none;
            opacity: 0.5;
        }
    </style>
    <style type="text/css">
        .table-view .dataTable thead tr th {
            background-color: #305f9c;
        }
        .table-view .dataTables_scrollBody table.dataTable > thead tr th {
            padding: 0 15px !important;
        }
        .table-view .DTFC_RightBodyLiner table.dataTable > thead tr th {
            height: 0;
            padding: 0 15px !important;
            opacity: 0;
        }
    </style>
@endsection

@section('content')
    <div class="white-box table-view">
        <h3 class="table-title">
            Detention Request
        </h3>
        <div class="table-responsive">
            <table class="table data-table">
                <thead>
                    <tr>
                        {{-- @foreach($getField as $key => $filed)
                            @if($filed == 1)
                                <th>{{ config('settings.table_detentions')[$key]['name'] }}</th>
                            @endif
                        @endforeach --}}
                        @foreach($getField as $key => $filed)
                            @if($filed == 1 && isset(config('settings.table_detentions')[$key]['name']))
                            @if(isset(config('settings.table_detentions')[$key]['searchBuilderType']))
                                @if( config('settings.table_detentions')[$key]['searchBuilderType'] == 'string' )
                                <th>{{ config('settings.table_detentions')[$key]['name'] }} <i class="fa fa-filter columnFilter table_detentions_{{$key}}_string" data-modal="SearchByStringModal{{ $key }}"></i></th>
                                @elseif( config('settings.table_detentions')[$key]['searchBuilderType'] == 'date' )
                                <th>{{ config('settings.table_detentions')[$key]['name'] }} <i class="fa fa-filter columnFilter table_detentions_{{$key}}_date" data-modal="SearchByDateModal{{ $key }}"></i></th>
                                @endif
                            @else
                                <th>{{ config('settings.table_detentions')[$key]['name'] }}</th>
                            @endif
                            @endif
                        @endforeach
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>

    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
                <input type="hidden" name="table_id" value="detentions">

                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Adjust Table Columns</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                            @foreach($getField as $key => $filed)
                                <li class="ui-state-default">
                                    <div class="custom-control custom-checkbox">
                                        <input type='hidden' value='0' name='field[{{ $key }}]'>
                                        <input type="checkbox" class="custom-control-input" id="Check{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed == 1) checked @endif>
                                        <label class="custom-control-label" for="Check{{ $key }}">{{ config('settings.table_detentions')[$key]['name'] }}</label>
                                    </div>
                                <i class="fa fa-align-justify drag-icon"></i>
                                </li>
                            @endforeach
                        </ul>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>

    <div class="modal fade" id="detentionRequestModal" tabindex="-1" role="dialog" aria-labelledby="detentionRequestModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="detentionRequestModalLabel"></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body append-view"></div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
    <script src="{{ asset('theme/js/html-duration-picker.min.js') }}"></script>
    <script>
        var modalInterval;
        var table       = $('.data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            scrollX: true,
            scrollCollapse: true,
            fixedHeader: true,
            fixedColumns: {
                leftColumns: 0, // Number of columns to be fixed on the left
                rightColumns: 1, // Number of columns to be fixed on the right
                // heightMatch: "auto"
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            pageLength: "{{ perPageView() }}",
            ordering: false,
            //order: [[0, "desc"]],
            //ajax: "{{ route('company.admin.detention.request.index') }}",
            ajax: {
            url: "{{ route('company.admin.detention.request.index') }}",
            data: function (d) {
            <?php foreach($getField as $key => $filed): ?>
                d.search_string_value_{{$key}} = $('#search_string_{{$key}}').val();
                d.search_string_name_{{$key}} = $('#stringKey{{$key}}').val();
                d.search_string_type_{{$key}} = $('#stringType{{$key}}').val();
                d.search_table_name_{{$key}} = $('#stringTableType{{$key}}').val();

                d.search_string_condition_{{$key}} = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                d.search_string_sort_{{$key}} = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                d.search_string_relation_table_{{$key}} = $('#stringRelationTable{{$key}}').val();
                d.search_string_col_name1_{{$key}} = $('#stringColName1{{$key}}').val();
                d.search_string_col_name2_{{$key}} = $('#stringColName2{{$key}}').val();
                d.search_string_col_name3_{{$key}} = $('#stringColName3{{$key}}').val();
                d.search_date_from_value_{{$key}} = $('#search_date_{{$key}}').val();
                d.search_date_to_value_{{$key}} = $('#search_date_end_{{$key}}').val();
                d.search_date_name_{{$key}} = $('#dateKey{{$key}}').val();
                d.search_date_type_{{$key}} = $('#dateType{{$key}}').val();
                d.search_date_table_name_{{$key}} = $('#dateTableType{{$key}}').val();
                d.search_date_condition_{{$key}} = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                d.search_date_sort_{{$key}} = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();
            <?php endforeach; ?>
            }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(config("settings.table_detentions")[$key]["orderable"] == 1 && config("settings.table_detentions")[$key]["searchable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                        <?php elseif(config("settings.table_detentions")[$key]["orderable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                        <?php elseif(config("settings.table_detentions")[$key]["searchable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                        <?php else: ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                        <?php endif; ?>
                  <?php endif; ?>
                <?php endforeach; ?>
                { data: 'action', name: 'action', orderable: false, searchable: false }
            ]
        });

        $('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3"><i class="fa fa-refresh"></i> Refresh</a>').prependTo(".dataTables_filter");
        $('<a href="javascript:void(0);" id="clearAll{{ str_replace("settings.", "", $tableName) }}" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tableName) }} {{ str_replace("settings.", "", $tableName) }} ml-3 d-none">Clear filters</a>').prependTo(".dataTables_filter");
        $('<button type="button" class="btn btn-primary ml-3" data-toggle="modal" data-target="#exampleModal">Columns</button>').appendTo(".dataTables_filter");
        // $(document).ready(function() {
        //     $('.data-table thead tr').clone(true).appendTo('.data-table thead');
        //     $('.data-table thead tr:eq(1) th').each( function (i) {
        //         var title               = $(this).text();
        //         var getClass            = $(this).attr("class");
        //         if(getClass == 'sorting'){
        //             var search_value    = table.column(i).search();
        //             $(this).html( '<input type="text" value="'+search_value+'" placeholder=" Search '+title+'" class="sercol" onclick="stopPropagation(event);" />' );
        //             $( 'input', this ).on( 'keyup change', function () {
        //                 if ( table.column(i).search() !== this.value ) {
        //                     table.column(i).search( this.value ).draw();
        //                 }
        //             });
        //         }else{
        //           $(this).html('');
        //         }
        //     });
        // });
        $( function() {
            $("#sortable").sortable();
        });
    </script>
    <script type="text/javascript">
        $('#detentionRequestModal').on('hidden.bs.modal', function () {
            //console.log('Detention request modal hidden');
            if(modalInterval > 0)
                clearInterval(modalInterval);
            table.ajax.reload(null, false);
            $('#detentionRequestModal').find('.append-view').html('');
        });
        $('#detentionRequestModal').on('show.bs.modal', function (e) {
            //console.log('Detention request modal show');
            $('#detentionRequestModal').find('.append-view').html(`
                <div class="loadingdiv">
                    <img src="{{ asset('theme/img/loading.gif') }}">
                </div>
            `);
        });
        $(document).on('click', '.detention-request', function(event) {
            event.preventDefault();
            // console.log('detention-request');
            // return false;
            var that                                = $(this);
            var id                                  = that.data('id');
            var title                               = that.data('title');
            if(id){
                var formData                        = {};
                formData['id']                      = id;
                $.ajax({
                    type: 'POST',
                    url: '{!! route("company.admin.detention.request.view") !!}',
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function () {
                        $('#detentionRequestModal').find('.modal-title').text(title);
                        $('#detentionRequestModal').modal({backdrop: 'static', keyboard: false}, 'show');
                    },
                }).done(function(response) {
                    if(response.success){
                        var html                                = response.html;
                        if(typeof html !== "undefined"){
                            $('#detentionRequestModal').find('.append-view').html(html);
                            setTimeout(function() {
                                updateClock();

                                var modalForm                   = $('#detentionRequestModal #detentionForm');
                                if(modalForm.length > 0){
                                    var free_time               = modalForm.find('input[name="free_time"]');
                                    if(free_time.length > 0){
                                        HtmlDurationPicker.refresh();
                                        setTimeout(function() {
                                            if(modalForm.find('input[name="billed_time"]').length > 0){
                                                if(modalForm.find('input[name="billed_time"]').val()==''){
                                                    free_time.keyup();
                                                }
                                            }
                                        }, 1050);
                                    }
                                    var detention_arrival_time  = modalForm.find('input[name="detention_arrival_time"]');
                                    if(detention_arrival_time.length > 0){
                                        detention_arrival_time.datetimepicker({
                                            ignoreReadonly: true,
                                            format: dateTimeLayout,
                                            useCurrent: false,
                                        }).on('dp.change', function(e) {
                                            var getDate         = moment(new Date(e.date));
                                            var currentDate     = moment(getDate).format(dateTimeLayout);
                                            modalForm.find('.arrival_time_label').attr('data-arrival_time',currentDate);
                                        });
                                    }
                                    var detention_start_time    = modalForm.find('input[name="detention_start_time"]');
                                    if(detention_start_time.length > 0){
                                        detention_start_time.datetimepicker({
                                            ignoreReadonly: true,
                                            format: dateTimeLayout,
                                            useCurrent: false,
                                        }).on('dp.change', function(e) {
                                            var getDate         = moment(new Date(e.date));
                                            var currentDate     = moment(getDate).format(dateTimeLayout);
                                            modalForm.find('.start_time_label').attr('data-start_time',currentDate);
                                            if(modalForm.find('input[name="detention_end_time"]').length > 0)
                                                updateClock();
                                                setTimeout(function() {
                                                    if(free_time.length > 0){
                                                        free_time.keyup();
                                                    }
                                                }, 1050);
                                        });
                                    }
                                    var detention_end_time      = modalForm.find('input[name="detention_end_time"]');
                                    if(detention_end_time.length > 0){
                                        detention_end_time.datetimepicker({
                                            ignoreReadonly: true,
                                            format: dateTimeLayout,
                                            useCurrent: false,
                                        }).on('dp.change', function(e) {
                                            var getDate         = moment(new Date(e.date));
                                            var currentDate     = moment(getDate).format(dateTimeLayout);
                                            modalForm.find('.end_time_label').attr('data-end_time',currentDate);
                                                updateClock();
                                                setTimeout(function() {
                                                    if(free_time.length > 0){
                                                        free_time.keyup();
                                                    }
                                                }, 1050);
                                        });
                                    }
                                }
                            }, 250);
                        }else{
                            toastr.error('Oops! Something went wrong..', {
                                timeOut: 5000
                            });
                        }
                    }else{
                        toastr.error(response.message, {
                            timeOut: 5000
                        });
                    }
                }).fail(function(jqXHR, status, exception)  {
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, {
                        timeOut: 5000
                    });
                });
                return false;
            }
        });
        $(document).on('click', '.detention-submit', function(event) {
            event.preventDefault();
            // console.log('detention-submit');
            // return false;
            var that                = $(this);
            var btnTxt              = that.text();

            var form                = $('#detentionRequestModal #detentionForm');
            form.parsley().validate();
            if (form.parsley().isValid()){
                var formData        = new FormData(form[0]);
                formData.append('review_status', that.attr('data-review_status'));
                $.ajax({
                    type: 'POST',
                    url: '{!! route("company.admin.detention.request.save") !!}',
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                }).done(function(response) {
                    if(response.success){
                        var txt         = btnTxt;
                        txt             = txt.charAt(0).toUpperCase() + txt.slice(1).toLowerCase()
                        toastr.success(
                            txt+' successfully',
                            'Success Alert', {
                                timeOut: 1000,
                                fadeOut: 1000,
                                onHidden: function () {
                                    $('#detentionRequestModal').modal('hide');
                                }
                            }
                        );
                    }else{
                        toastr.error(response.message, {
                            timeOut: 5000
                        });
                    }
                }).fail(function(jqXHR, status, exception)  {
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, {
                        timeOut: 5000
                    });
                }).always(function (dataOrjqXHR, textStatus, jqXHRorErrorThrown) {
                    that.prop('disabled', false).html(btnTxt);
                });
                return false;
            }
        });
        $(document).on('click', '.detention-deny', function(event) {
            event.preventDefault();
            // console.log('detention-request-deny');
            // return false;
            var that                                = $(this);
            var btnTxt                              = that.text();

            var id                                  = that.data('id');
            if(id){
                Swal.fire({
                    text: "Are you sure you want to deny this request?",
                    icon: "warning",
                    showCancelButton: true,
                    confirmButtonColor: "#c82333",
                    confirmButtonText: "Yes",
                    allowOutsideClick: false
                }).then((result) => {
                    if(result.isConfirmed){
                        var formData                = {};
                        formData['id']              = id;
                        $.ajax({
                            type: 'POST',
                            url: '{!! route("company.admin.detention.request.deny") !!}',
                            data: formData,
                            dataType: 'json',
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            beforeSend: function () {
                                that.prop('disabled', true).html('Please Wait...');
                            },
                        }).done(function(response) {
                            if(response.success){
                                toastr.success(
                                    response.message,
                                    'Success Alert', {
                                        timeOut: 1000,
                                        fadeOut: 1000,
                                        onHidden: function () {
                                            $('#detentionRequestModal').modal('hide');
                                        }
                                    }
                                );
                            }else{
                                toastr.error(response.message, {
                                    timeOut: 5000
                                });
                            }
                        }).fail(function(jqXHR, status, exception)  {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, {
                                timeOut: 5000
                            });
                        }).always(function (dataOrjqXHR, textStatus, jqXHRorErrorThrown) {
                            that.prop('disabled', false).html(btnTxt);
                        });
                        return false;
                    }
                });
            }
        });
        $(document).on('click', '.detention-revert', function(event) {
            event.preventDefault();
            // console.log('detention-revert');
            // return false;
            var that                    = $(this);
            var id                      = that.data('id');
            var formData                = {};
            formData['id']              = id;
            $.ajax({
                type: 'POST',
                url: '{!! route("company.admin.detention.request.revert") !!}',
                data: formData,
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                beforeSend: function () {
                    that.prop('disabled', true).html('Please Wait...');
                },
            }).done(function(response) {
                var html            = response.html;
                if(typeof html !== "undefined"){
                    if(modalInterval > 0)
                        clearInterval(modalInterval);
                    table.ajax.reload(null, false);
                    $('#detentionRequestModal').find('.append-view').html(html);
                    setTimeout(function() {
                        updateClock();

                        var modalForm                   = $('#detentionRequestModal #detentionForm');
                        if(modalForm.length > 0){
                            var free_time               = modalForm.find('input[name="free_time"]');
                            if(free_time.length > 0){
                                HtmlDurationPicker.refresh();
                                setTimeout(function() {
                                    if(modalForm.find('input[name="billed_time"]').length > 0){
                                        if(modalForm.find('input[name="billed_time"]').val()==''){
                                            free_time.keyup();
                                        }
                                    }
                                }, 1050);
                            }
                            var detention_arrival_time  = modalForm.find('input[name="detention_arrival_time"]');
                            if(detention_arrival_time.length > 0){
                                detention_arrival_time.datetimepicker({
                                    ignoreReadonly: true,
                                    format: dateTimeLayout,
                                    useCurrent: false,
                                }).on('dp.change', function(e) {
                                    var getDate         = moment(new Date(e.date));
                                    var currentDate     = moment(getDate).format(dateTimeLayout);
                                    modalForm.find('.arrival_time_label').attr('data-arrival_time',currentDate);
                                });
                            }
                            var detention_start_time    = modalForm.find('input[name="detention_start_time"]');
                            if(detention_start_time.length > 0){
                                detention_start_time.datetimepicker({
                                    ignoreReadonly: true,
                                    format: dateTimeLayout,
                                    useCurrent: false,
                                }).on('dp.change', function(e) {
                                    var getDate         = moment(new Date(e.date));
                                    var currentDate     = moment(getDate).format(dateTimeLayout);
                                    modalForm.find('.start_time_label').attr('data-start_time',currentDate);
                                    if(modalForm.find('input[name="detention_end_time"]').length > 0)
                                        updateClock();
                                        setTimeout(function() {
                                            if(free_time.length > 0){
                                                free_time.keyup();
                                            }
                                        }, 1050);
                                });
                            }
                            var detention_end_time      = modalForm.find('input[name="detention_end_time"]');
                            if(detention_end_time.length > 0){
                                detention_end_time.datetimepicker({
                                    ignoreReadonly: true,
                                    format: dateTimeLayout,
                                    useCurrent: false,
                                }).on('dp.change', function(e) {
                                    var getDate         = moment(new Date(e.date));
                                    var currentDate     = moment(getDate).format(dateTimeLayout);
                                    modalForm.find('.end_time_label').attr('data-end_time',currentDate);
                                        updateClock();
                                        setTimeout(function() {
                                            if(free_time.length > 0){
                                                free_time.keyup();
                                            }
                                        }, 1050);
                                });
                            }
                        }
                    }, 250);
                    toastr.success(response.message,'Success Alert');
                }else{
                    toastr.error('Oops! Something went wrong..', {
                        timeOut: 5000
                    });
                }
            }).fail(function(jqXHR, status, exception)  {
                if (jqXHR.status === 0) {
                    error = 'Not connected.\nPlease verify your network connection.';
                } else if (jqXHR.status == 404) {
                    error = 'The requested page not found. [404]';
                } else if (jqXHR.status == 500) {
                    error = 'Internal Server Error [500].';
                } else if (exception === 'parsererror') {
                    error = 'Requested JSON parse failed.';
                } else if (exception === 'timeout') {
                    error = 'Time out error.';
                } else if (exception === 'abort') {
                    error = 'Ajax request aborted.';
                } else {
                    error = 'Uncaught Error.\n' + jqXHR.responseText;
                }
                toastr.error(error, {
                    timeOut: 5000
                });
            }).always(function (dataOrjqXHR, textStatus, jqXHRorErrorThrown) {
                that.prop('disabled', false).html('Revert');
            });
            return false;
        });
        $(document).on('click', '.resend-to-broker', function(event) {
            event.preventDefault();
            // console.log('resend-to-broker');
            // return false;
            var that                    = $(this);
            var id                      = that.data('id');
            if(id){
                $.ajax({
                    type: 'POST',
                    url: '{!! route("company.admin.detention.request.resend.broker") !!}',
                    data: { id:id },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function () {
                        that.prop('disabled', true).html('Sending...');
                    },
                }).done(function(response) {
                    if(response.success){
                        toastr.success(response.message,'Success Alert');
                    }else{
                        toastr.error(response.message, {
                            timeOut: 5000
                        });
                    }
                }).fail(function(jqXHR, status, exception)  {
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, {
                        timeOut: 5000
                    });
                }).always(function (dataOrjqXHR, textStatus, jqXHRorErrorThrown) {
                    that.prop('disabled', false).html('Resend to Broker');
                });
            }
        });
        $(document).on('click', '.detention-force-stop', function(event) {
            event.preventDefault();
            // console.log('detention-force-stop');
            // return false;
            var that                    = $(this);
            var id                      = that.data('id');
            if(id){
                $.ajax({
                    type: 'POST',
                    url: '{!! route("company.admin.detention.request.force.stop") !!}',
                    data: { id:id },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function () {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                }).done(function(response) {
                    var html            = response.html;
                    if(typeof html !== "undefined"){
                        if(modalInterval > 0)
                            clearInterval(modalInterval);
                        table.ajax.reload(null, false);
                        $('#detentionRequestModal').find('.append-view').html(html);
                        setTimeout(function() {
                            updateClock();

                            var modalForm                   = $('#detentionRequestModal #detentionForm');
                            if(modalForm.length > 0){
                                var free_time               = modalForm.find('input[name="free_time"]');
                                if(free_time.length > 0){
                                    HtmlDurationPicker.refresh();
                                    setTimeout(function() {
                                        if(modalForm.find('input[name="billed_time"]').length > 0){
                                            if(modalForm.find('input[name="billed_time"]').val()==''){
                                                free_time.keyup();
                                            }
                                        }
                                    }, 1050);
                                }
                                var detention_arrival_time  = modalForm.find('input[name="detention_arrival_time"]');
                                if(detention_arrival_time.length > 0){
                                    detention_arrival_time.datetimepicker({
                                        ignoreReadonly: true,
                                        format: dateTimeLayout,
                                        useCurrent: false,
                                    }).on('dp.change', function(e) {
                                        var getDate         = moment(new Date(e.date));
                                        var currentDate     = moment(getDate).format(dateTimeLayout);
                                        modalForm.find('.arrival_time_label').attr('data-arrival_time',currentDate);
                                    });
                                }
                                var detention_start_time    = modalForm.find('input[name="detention_start_time"]');
                                if(detention_start_time.length > 0){
                                    detention_start_time.datetimepicker({
                                        ignoreReadonly: true,
                                        format: dateTimeLayout,
                                        useCurrent: false,
                                    }).on('dp.change', function(e) {
                                        var getDate         = moment(new Date(e.date));
                                        var currentDate     = moment(getDate).format(dateTimeLayout);
                                        modalForm.find('.start_time_label').attr('data-start_time',currentDate);
                                        if(modalForm.find('input[name="detention_end_time"]').length > 0)
                                            updateClock();
                                            setTimeout(function() {
                                                if(free_time.length > 0){
                                                    free_time.keyup();
                                                }
                                            }, 1050);
                                    });
                                }
                                var detention_end_time      = modalForm.find('input[name="detention_end_time"]');
                                if(detention_end_time.length > 0){
                                    detention_end_time.datetimepicker({
                                        ignoreReadonly: true,
                                        format: dateTimeLayout,
                                        useCurrent: false,
                                    }).on('dp.change', function(e) {
                                        var getDate         = moment(new Date(e.date));
                                        var currentDate     = moment(getDate).format(dateTimeLayout);
                                        modalForm.find('.end_time_label').attr('data-end_time',currentDate);
                                            updateClock();
                                            setTimeout(function() {
                                                if(free_time.length > 0){
                                                    free_time.keyup();
                                                }
                                            }, 1050);
                                    });
                                }
                            }
                        }, 250);
                        toastr.success(response.message,'Success Alert');
                    }else{
                        toastr.error('Oops! Something went wrong..', {
                            timeOut: 5000
                        });
                    }
                }).fail(function(jqXHR, status, exception)  {
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, {
                        timeOut: 5000
                    });
                }).always(function (dataOrjqXHR, textStatus, jqXHRorErrorThrown) {
                    that.prop('disabled', false).html('Force Stop');
                });
            }
        });
        $(document).on('click', 'img[data-datepickerimage]', function(event) {
            event.preventDefault();
            var that    = $(this);
            if (that.attr('data-datepickerimage') == '1') {
                var ele = $(this).parent().find('input');
                ele.focus();
                that.attr('data-datepickerimage', '0');
            } else {
                that.attr('data-datepickerimage', '1');
            }
        });
        $(document).on('keypress', '#detentionRequestModal .number', function(event) {
            if ((event.which != 46 || $(this).val().indexOf('.') != -1) && (event.which < 48 || event.which > 57)) {
                event.preventDefault();
            }
        });
        $(document).on('change', '#is_send_to_broker', function(event) {
            var modalForm               = $('#detentionRequestModal #detentionForm');
            var detention_status        = modalForm.find('input[name="detention_status"]').val();
            var detention_button        = modalForm.find('.detention-submit');
            if(this.checked) {
                if(detention_status==1){
                    detention_button.html('Acknowledge and Send')
                        .attr('data-review_status','In Progress - Acknowledged - Sent to broker');
                    var sent_to_broker  = detention_button.data('is_send_to_broker');
                    if (typeof sent_to_broker !== "undefined") {
                        detention_button.removeClass('d-none');
                    }
                }else{
                    detention_button.html('Save and Send').attr('data-review_status','In Progress - Sent to broker');
                }
            }else{
                if(detention_status==1){
                    detention_button.html('Acknowledge')
                        .attr('data-review_status','In Progress - Acknowledged');
                    var sent_to_broker  = detention_button.data('is_send_to_broker');
                    if (typeof sent_to_broker !== "undefined") {
                        detention_button.addClass('d-none');
                    }
                }else{
                    detention_button.html('Approve').attr('data-review_status','Completed');
                }
            }
            setBrokerEmailRequired();
        });
        $(document).on('keyup change', 'input[name="free_time"]', function(event) {
            var modalForm               = $('#detentionRequestModal #detentionForm');
            var that                    = $(this);
            var freeTime                = that.val();
            freeTime                    = freeTime.split(':');
            var detainedTime            = modalForm.find('.time-lapsed').text();
            detainedTime                = detainedTime.split(':');

            min                         = detainedTime[1]-freeTime[1];
            hour_carry                  = 0;
            if(min < 0){
                min                     += 60;
                hour_carry              += 1;
            }
            hour                        = detainedTime[0]-freeTime[0]-hour_carry;
            if(hour>=0 && hour < 10){
                hour                    = "0"+hour;
                that.closest('.free_time_div').find('.invalid-feedback').hide();
                modalForm.find('.detention-submit').prop('disabled', false);
            }else if(hour<0){
                hour                    = parseInt(hour);
                hour                    = hour * -1;
                hour                    = "-0"+hour;
                //if(!modalForm.find('.time-lapsed').closest('label').next().hasClass('invalid-feedback'))
                    that.closest('.free_time_div').find('.invalid-feedback').show();
                modalForm.find('.detention-submit').prop('disabled', true);
            }else{
                that.closest('.free_time_div').find('.invalid-feedback').hide();
                modalForm.find('.detention-submit').prop('disabled', false);
            }
            if (min < 10)
                min                     = "0"+min;
            modalForm.find('input[name="billed_time"]').val(hour+":"+min);
            modalForm.find('input[name="rate"]').keyup();
        });
        $(document).on('click', '.free_time_div .scroll-btn', function(event) {
            var modalForm               = $('#detentionRequestModal #detentionForm');
            var that                    = $(this);
            var freeTime                = that.closest('.free_time_div').find('input[name="free_time"]').val();
            freeTime                    = freeTime.split(':');
            var detainedTime            = modalForm.find('.time-lapsed').text();
            detainedTime                = detainedTime.split(':');

            min                         = detainedTime[1]-freeTime[1];
            hour_carry                  = 0;
            if(min < 0){
                min                     += 60;
                hour_carry              += 1;
            }
            hour                        = detainedTime[0]-freeTime[0]-hour_carry;
            if(hour>=0 && hour < 10){
                hour                    = "0"+hour;
                that.closest('.free_time_div').find('.invalid-feedback').hide();
                modalForm.find('.detention-submit').prop('disabled', false);
            }else if(hour<0){
                hour                    = parseInt(hour);
                hour                    = hour * -1;
                hour                    = "-0"+hour;
                //if(!modalForm.find('.time-lapsed').closest('label').next().hasClass('invalid-feedback'))
                    that.closest('.free_time_div').find('.invalid-feedback').show();
                modalForm.find('.detention-submit').prop('disabled', true);
            }else{
                that.closest('.free_time_div').find('.invalid-feedback').hide();
                modalForm.find('.detention-submit').prop('disabled', false);
            }
            if (min < 10)
                min                     = "0"+min;
            modalForm.find('input[name="billed_time"]').val(hour+":"+min);
            modalForm.find('input[name="rate"]').keyup();
        });
        $(document).on('keyup change', 'input[name="rate"]', function(event) {
            var modalForm               = $('#detentionRequestModal #detentionForm');
            var that                    = $(this);
            var rate                    = that.val();
            var detention_due           = 0;
            if(parseFloat(rate) > 0){
                rate                    = parseFloat(rate);
                var billedTime          = modalForm.find('input[name="billed_time"]').val();
                billedTime              = billedTime.split(':');
                detention_due           += parseFloat(billedTime[0])*rate;
                detention_due           += (billedTime[1]*(rate/60));
                detention_due           = detention_due.toFixed(2);
            }
            if(detention_due > 0){
                modalForm.find('input[name="detention_due"]').val(detention_due);
            }else{
                if(detention_due==0){
                    modalForm.find('input[name="detention_due"]').val('');
                }else{
                    modalForm.find('input[name="detention_due"]').val(detention_due);
                }
            }

            if(
                modalForm.find('input[name="is_adjusted_billed_time"]').length > 0 &&
                modalForm.find('input[name="is_adjusted_billed_time"]').val()=='1' &&
                modalForm.find('input[name="adjusted_billed_time"]').val()!=modalForm.find('input[name="billed_time"]').val()
            ){
                modalForm.find('input[name="is_adjusted_billed_time"]').val(0);
                if(modalForm.find('.adjusted_billed_time_btn').length > 0)
                    modalForm.find('.adjusted_billed_time_btn').attr('data-is_accept',0).removeClass('d-none');
            }
            if(
                modalForm.find('input[name="is_adjusted_rate"]').length > 0 &&
                modalForm.find('input[name="is_adjusted_rate"]').val()=='1' &&
                modalForm.find('input[name="adjusted_rate"]').val()!=modalForm.find('input[name="rate"]').val()
            ){
                modalForm.find('input[name="is_adjusted_rate"]').val(0);
                if(modalForm.find('.adjusted_rate_btn').length > 0)
                    modalForm.find('.adjusted_rate_btn').attr('data-is_accept',0).removeClass('d-none');
            }
        });
        $(document).on('click', '.adjusted_billed_time_btn, .adjusted_rate_btn', function(event) {
            var modalForm                   = $('#detentionRequestModal #detentionForm');
            var that                        = $(this);
            var is_accept                   = that.attr('data-is_accept');
            if(is_accept==0){
                that.attr('data-is_accept',1).addClass('d-none');
                if(that.hasClass('adjusted_billed_time_btn')){
                    modalForm.find('input[name="is_adjusted_billed_time"]').val(1);
                    modalForm.find('input[name="billed_time"]').val(that.attr('data-adjusted_billed_time'));
                }else{
                    modalForm.find('input[name="is_adjusted_rate"]').val(1);
                    modalForm.find('input[name="rate"]').val(that.attr('data-adjusted_rate'));
                }

                var rate                    = modalForm.find('input[name="rate"]').val();
                var detention_due           = 0;
                if(parseFloat(rate) > 0){
                    rate                    = parseFloat(rate);
                    var billedTime          = modalForm.find('input[name="billed_time"]').val();
                    billedTime              = billedTime.split(':');
                    detention_due           += parseFloat(billedTime[0])*rate;
                    detention_due           += (billedTime[1]*(rate/60));
                    detention_due           = detention_due.toFixed(2);
                }
                if(detention_due > 0){
                    modalForm.find('input[name="detention_due"]').val(detention_due);
                }else{
                    if(detention_due==0){
                        modalForm.find('input[name="detention_due"]').val('');
                    }else{
                        modalForm.find('input[name="detention_due"]').val(detention_due);
                    }
                }
            }
        });
        //Once add button is clicked //https://www.codexworld.com/add-remove-input-fields-dynamically-using-jquery/
        $(document).on('click', '.add_button', function(event) {
            event.preventDefault();
            // console.log('add-button');
            // return false;
            var modalForm               = $('#detentionRequestModal #detentionForm');
            var isChecked               = modalForm.find('#is_send_to_broker').is(':checked');
            var required                = '';
            if(isChecked){
                required                = 'required';
            }
            $('#detentionRequestModal .field_wrapper').append(`
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <input type="email" class="form-control" name="broker_email[]" value="" placeholder="Enter Broker Email" `+required+`>
                        </div>
                    </div>
                    <div class="col-md-1">
                        <a href="javascript:void(0);" class="btn btn-danger remove_button" title="Remove field"><i class="fa fa-trash"></i></a>
                    </div>
                </div>
            `);
        });
        //Once remove button is clicked
        $(document).on('click', '.remove_button', function(event) {
            event.preventDefault();
            // console.log('remove-button');
            // return false;
            $(this).closest('.row').remove(); //Remove field html
        });
        function setBrokerEmailRequired(){
            var modalForm               = $('#detentionRequestModal #detentionForm');
            var isChecked               = modalForm.find('#is_send_to_broker').is(':checked');
            if(isChecked){
                modalForm.find('input[name="broker_email[]"]').each( function() {
                   $(this).prop('required',true);
                });
            }else{
                modalForm.find('input[name="broker_email[]"]').each( function() {
                   $(this).prop('required',false);
                   $(this).parsley().reset();
                });
            }
        }
        function updateClock(){
            var modalForm                       = $('#detentionRequestModal #detentionForm');
            modalInterval                       = setInterval(function() {
                var timezone                    = modalForm.find('input[name="timezone"]').val();
                // console.log('updateClock');
                // return false;
                // Get today's date and time
                var endStamp                    = moment(moment().tz(timezone).format(dateTimeLayout)).valueOf();
                var endTimeLabel                = modalForm.find('.end_time_label');
                if(endTimeLabel.length > 0){
                    var endTimeLabelVal         = endTimeLabel.attr('data-end_time');
                    if(endTimeLabelVal){
                        var endDateTime         = new Date(endTimeLabelVal);
                        endStamp                = endDateTime.getTime();
                    }
                }

                var arrivalTimeLabel            = modalForm.find('.arrival_time_label');
                var startDateTime               = new Date(arrivalTimeLabel.attr('data-arrival_time'));
                var startStamp                  = startDateTime.getTime();

                var startTimeLabel              = modalForm.find('.start_time_label');
                if(startTimeLabel.length > 0){
                    var startTimeLabelVal       = startTimeLabel.attr('data-start_time');
                    if(startTimeLabelVal){
                        startDateTime           = new Date(startTimeLabelVal);
                        startStamp              = startDateTime.getTime();
                    }
                }

                var diff                        = Math.abs(endStamp - startStamp);
                var seconds                     = Math.floor(diff / 1000); //ignore any left over units smaller than a second
                var minutes                     = Math.floor(seconds / 60);
                seconds                         = seconds % 60;
                var hours                       = Math.floor(minutes / 60);
                minutes                         = minutes % 60;

                if (hours < 10)
                    hours                       = "0"+hours;
                if (minutes < 10)
                    minutes                     = "0"+minutes;
                if(endStamp < startStamp){
                    modalForm.find('.time-lapsed').html('-'+hours+':'+minutes);
                    if(modalForm.find('.end_time_label').length > 0){
                        if(!modalForm.find('.time-lapsed').closest('label').next().hasClass('invalid-feedback')){
                            modalForm.find('.time-lapsed').closest('label').after('<span class="invalid-feedback">Please select correct date.</span>');
                        }
                        var mfbuttons           = modalForm.find('.detention-submit').each(function(i, obj) {
                            $(obj).prop('disabled', true);
                        });
                    }else{
                        if(!modalForm.find('.time-lapsed').closest('label').next().hasClass('invalid-feedback')){
                            modalForm.find('.time-lapsed').closest('label').after('<span class="invalid-feedback">Please select correct date.</span>');
                        }
                        var mfbuttons           = modalForm.find('.detention-submit').each(function(i, obj) {
                            $(obj).prop('disabled', true);
                        });
                    }
                }else{
                    modalForm.find('.time-lapsed').html(hours+':'+minutes);
                    if(modalForm.find('.end_time_label').length > 0){
                        if(modalForm.find('.time-lapsed').closest('label').next().hasClass('invalid-feedback')){
                            modalForm.find('.time-lapsed').closest('label').next().remove();
                        }
                        var mfbuttons           = modalForm.find('.detention-submit').each(function(i, obj) {
                            $(obj).prop('disabled', false);
                        });
                    }else{
                        if(modalForm.find('.time-lapsed').closest('label').next().hasClass('invalid-feedback')){
                            modalForm.find('.time-lapsed').closest('label').next().remove();
                        }
                        var mfbuttons           = modalForm.find('.detention-submit').each(function(i, obj) {
                            $(obj).prop('disabled', false);
                        });
                    }
                }
                if(modalForm.find('.end_time_label').length > 0){
                    // if(modalForm.find('input[name="free_time"]').length > 0){
                    //     modalForm.find('input[name="free_time"]').keyup();
                    // }
                    clearInterval(modalInterval);
                }
            }, 1000);
        }
    </script>
@endsection
