<div class="modal-body">
    <div class="row">
        <div class="col-sm-3">
            <div class="form-group">
                <label class="pl-0">Name</label>
                <p>{{ $driver->full_name }}</p>
            </div>
        </div>
        <div class="col-sm-9">
            <div class="form-group">
                <label class="pl-0">Cell Phone</label>
                <p>{{ $driver->cell_phone ?? '-' }}</p>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="form-group">
                <label class="pl-0">Dispatcher</label>
                <p>{{ isset($driver->dispatcher) ? $driver->dispatcher->full_name : '-' }}</p>
            </div>
        </div>
        <div class="col-sm-9">
            <div class="form-group">
                <label class="pl-0">Company</label>
                <p>{{ $driver->company->name ?? '-' }}</p>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="form-group">
                <label class="pl-0">Truck Number</label>
                <p>{{ $driver->driver_information->truck_number ?? '-' }}</p>
            </div>
        </div>
        <div class="col-sm-9">
            <div class="form-group">
                <label class="pl-0">Trailer Number and type</label>
                <p>Unit:
                    @if(isset($trailer_number))
                        {{ $trailer_number}} {{ $trailer_number ? ' - '.$trailer_type :'-' }}
                    @else
                        -
                    @endif
                </p>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="form-group">
                <label class="pl-0 mb-20">Location</label>
                <div class="liveLocation" data-driver="{{ $driver->id }}">
                    <img src="{{ asset('theme/images/driverDetails-img.png') }}" alt="images" class="img-fluid">
                </div>
            </div>
        </div>
        <div class="col-sm-9">
            <div class="form-group mb-0">
                <label class="pl-0 mb-20">Hours of Service</label>
                @if(isset($samsara_info) && !empty($samsara_info))
                    <div class="progress-main">
                        <div class="progress-block">
                            <div class="progress progress-circle" data-percentage="{{ isset($progress['unit_break_percentage'])?$progress['unit_break_percentage']:'0' }}">
                                <span class="progress-left">
                                    <span class="progress-bar"></span>
                                </span>
                                <span class="progress-right">
                                    <span class="progress-bar"></span>
                                </span>
                                <div class="progress-value">
                                    <div>
                                        {{ isset($samsara_info['time_in_unit_break'])?$samsara_info['time_in_unit_break']:'00:00' }}
                                    </div>
                                </div>
                            </div>
                            <div class="progress-title">Until Break</div>
                        </div>
                        <div class="progress-block">
                            <div class="progress progress-circle" data-percentage="{{ isset($progress['drive_percentage'])?$progress['drive_percentage']:'0' }}">
                                <span class="progress-left">
                                    <span class="progress-bar"></span>
                                </span>
                                <span class="progress-right">
                                    <span class="progress-bar"></span>
                                </span>
                                <div class="progress-value">
                                    <div>
                                        {{ isset($samsara_info['drive'])?$samsara_info['drive']:'00:00' }}
                                    </div>
                                </div>
                            </div>
                            <div class="progress-title">Drive</div>
                        </div>
                        <div class="progress-block">
                            <div class="progress progress-circle" data-percentage="{{ isset($progress['shift_percentage'])?$progress['shift_percentage']:'0' }}">
                                <span class="progress-left">
                                    <span class="progress-bar"></span>
                                </span>
                                <span class="progress-right">
                                    <span class="progress-bar"></span>
                                </span>
                                <div class="progress-value">
                                    <div>
                                        {{ isset($samsara_info['shift'])?$samsara_info['shift']:'00:00' }}
                                    </div>
                                </div>
                            </div>
                            <div class="progress-title">Shift</div>
                        </div>
                        <div class="progress-block">
                            <div class="progress progress-circle" data-percentage="{{ isset($progress['cycle_percentage'])?$progress['cycle_percentage']:'0' }}">
                                <span class="progress-left">
                                    <span class="progress-bar"></span>
                                </span>
                                <span class="progress-right">
                                    <span class="progress-bar"></span>
                                </span>
                                <div class="progress-value">
                                    <div>
                                        {{ isset($samsara_info['cycle'])?$samsara_info['cycle']:'00:00' }}
                                    </div>
                                </div>
                            </div>
                            <div class="progress-title">Cycle</div>
                        </div>
                    </div>
                    {{--
                    <ul class="hours-serText">
                        <li><i class="fa fa-refresh" aria-hidden="true"></i>Cycle {{ isset($samsara_info['cycle'])?$samsara_info['cycle'].' h':'' }}</li>
                        <li>Avail. Tomorrow {{ isset($samsara_info['cycle_tom'])?$samsara_info['cycle_tom'].' h':'' }}</li>
                    </ul>
                    --}}
                    <div class="d-flex justify-content-center hours-serText">
                        <div class="mr-3">
                            <i class="fa fa-refresh mr-2" aria-hidden="true"></i>Cycle {{ isset($samsara_info['cycle'])?$samsara_info['cycle'].' h':'' }}
                        </div>
                        <div>
                            Avail. Tomorrow {{ isset($samsara_info['cycle_tom'])?$samsara_info['cycle_tom'].' h':'' }}
                        </div>
                    </div>
                @endif
            </div>
        </div>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Close</button>
    <a href="{{ route('company.admin.drivers.show', base64Encode($driver->id)) }}" target="_blank" class="btn btn-blueBr">Driver Profile</a>
</div>
{{--
<div class="modal-body">
    <div class="row">
        <div class="col-lg-6">
            <div class="form-group">
                <label class="pl-0">Name</label>
                <h6>{{ $driver->full_name }}</h6>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="form-group">
                <label class="pl-0">Cell Phone</label>
                <h6>{{ $driver->cell_phone ?? '-' }}</h6>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-6">
            <div class="form-group">
                <label class="pl-0">Home Phone</label>
                <h6>{{ $driver->home_phone ?? '-' }}</h6>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="form-group">
                <label class="pl-0">Home Town</label>
                <h6>{{ $driver->address ?? '-' }}</h6>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-6">
            <div class="form-group">
                <label class="pl-0">Truck Number</label>
                <h6>{{ $driver->driver_information->truck_number ?? '-' }}</h6>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="form-group">
                <label class="pl-0">Trailer Number and Type</label>
                <h6>{{ '-' }}</h6>
            </div>
        </div>
    </div>
     <div class="row">
        <div class="col-lg-6">
            <div class="form-group">
                <label class="pl-0">Company</label>
                <h6>{{ $driver->company->name ?? '-' }}</h6>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="form-group">
                <label class="pl-0">Dispatcher</label>
                <h6>{{ isset($driver->dispatcher) ? $driver->dispatcher->full_name : '-' }}</h6>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="form-group">
                <label class="pl-0">Team Name</label>
                <h6>{{ isset($driver->team->name) ? $driver->team->name : '-' }}</h6>

            </div>
        </div>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Close</button>
    <a href="{{ route('company.admin.drivers.show', base64Encode($driver->id)) }}" target="_blank" class="btn btn-blue">Driver Profile</a>
</div>
--}}
