@extends($companyAdminTheme)

@section('title')
    Dispatcher Edit
@endsection

@section('header-title')
    Edit User
@endsection

@section('style')
    <link rel="stylesheet" type="text/css" href="{{ asset('theme/css/datepicker3.min.css') }}">
    <style type="text/css">
        .modal-dialog .select2-container {
            width: 100%;
        }
        .modal-dialog .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .modal-dialog .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        .modal-dialog .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        .modal-dialog .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        .modal-dialog .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            font-weight: 600;
            color: #000000e6 !important;
            padding-right: 30px;
        }
        .modal-dialog .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
    </style>
@endsection

@section('content')
    {!! Form::model($companyAdmin,array(
            'route'     => ['company.admin.dispatchers.update',$companyAdmin->id],
            'method'    => 'PATCH',
            'files'     => 'true',
            'class'     => 'post-form'
        )
    ) !!}
        <div class="row">
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">General Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label>First name<span>*</span></label>
                                    {!! Form::text('first_name', old('first_name'), array('class' => 'form-control', 'required' => 'required', 'data-parsley-pattern' => '^[a-zA-Z ]*$')) !!}
                                    @error('first_name')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-5 col-sm-9">
                                <div class="form-group">
                                    <label>Last name<span>*</span></label>
                                    {!! Form::text('last_name', old('last_name'), array('class' => 'form-control', 'required' => 'required', 'data-parsley-pattern' => '^[a-zA-Z ]*$')) !!}
                                    @error('last_name')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-2 col-sm-3">
                                <div class="form-group">
                                    <label>M</label>
                                    {!! Form::text('middle_name', old('middle_name'), array('class' => 'form-control', 'data-parsley-pattern' => '^[a-zA-Z ]*$')) !!}
                                </div>
                            </div>
                            <div class="col-md-12 geocoding">
                                <input type="hidden" class="geocoding-latitude" name="latitude" value="{{ isset($companyAdmin->latitude)?$companyAdmin->latitude:'' }}" autocomplete="off">
                                <input type="hidden" class="geocoding-longitude" name="longitude" value="{{ isset($companyAdmin->longitude)?$companyAdmin->longitude:'' }}" autocomplete="off">
                                <input type="hidden" class="geocoding-abbr" name="timezone_abbr" value="{{ isset($companyAdmin->timezone_abbr)?$companyAdmin->timezone_abbr:'' }}" autocomplete="off" data-parsley-errors-container="#timezone_abbr-errors" data-parsley-required-message="Please verify address" required>
                                <input type="hidden" class="geocoding-verified" name="address_verified" value="{{ isset($companyAdmin->address_verified)?$companyAdmin->address_verified:'0' }}" autocomplete="off">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Address</label>
                                            {!! Form::text('address', old('address'), array(
                                                    'class'         => 'form-control geocoding-address-1',
                                                    'placeholder'   => '',
                                                    'id'            => 'address',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Address 2</label>
                                            {!! Form::text('address_2', old('address_2'), array(
                                                    'class'         => 'form-control geocoding-address-2',
                                                    'placeholder'   => '',
                                                    'id'            => 'address_2'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>City</label>
                                            {!! Form::text('city', old('city'), array(
                                                    'class'         => 'form-control geocoding-city',
                                                    'placeholder'   => '',
                                                    'id'            => 'city'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>State</label>
                                            {!! Form::text('state', old('state'), array(
                                                    'class'         => 'form-control geocoding-state',
                                                    'placeholder'   => '',
                                                    'id'            => 'state',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Zip</label>
                                            {!! Form::text('zip', old('zip'), array(
                                                    'class'         => 'form-control geocoding-zip',
                                                    'placeholder'   => '',
                                                    'id'            => 'zip',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        @if(isset($companyAdmin->address_verified) && $companyAdmin->address_verified=='1')
                                            <button type="button" class="btn btn-success geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verified</button>
                                        @else
                                            <button type="button" class="btn btn-warning geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify</button>
                                        @endif
                                        <div id="timezone_abbr-errors"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Cell Phone</label>
                                    {!! Form::text('cell_phone', old('cell_phone'), array('placeholder' => '(555) 123-1234', 'class' => 'form-control phone')) !!}
                                    @error('cell_phone')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>SMS</label>
                                    <div class="custom-control custom-switch">
                                        {!! Form::checkbox('sms', 1, null, array('class' => 'custom-control-input', 'id' => 'sms')) !!}
                                        <label class="custom-control-label" for="sms"></label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Home Phone</label>
                                    {!! Form::text('home_phone', old('home_phone'), array('placeholder' => '(555) 123-1234', 'class' => 'form-control phone')) !!}
                                    @error('home_phone')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Start Date<span>*</span></label>
                                    {!! Form::text('start_date', old('start_date'), array('class' => 'form-control start-date', 'required' => 'required')) !!}
                                    @error('start_date')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Notes</label>
                                    {!! Form::textarea('notes', old('notes'), array('placeholder' => 'Type your note...', 'class' => 'textarea form-control', 'rows' => '4')) !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">Account Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Role</label>
                                    {!! Form::select('role_id', ['' => 'Select Role']+getRoleDispatcherList(), null, ['class' => 'custom-select form-control', 'required' => 'required']) !!}
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Email<span>*</span></label>
                                    {!! Form::text('email', old('email'), array('class' => 'form-control', 'required' => 'required', 'data-parsley-type' => 'email')) !!}
                                    @error('email')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Password</label>
                                    {!! Form::password('password', array('class' => 'form-control')) !!}
                                    @error('password')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            {{--
                            <div class="col-xl-6 col-sm-6">
                                <div class="form-group">
                                    <label>Send Welcome Email</label>
                                    <div class="custom-control custom-switch">
                                        {!! Form::checkbox('send_welcome_email', 1, null, array('class' => 'custom-control-input', 'id' => 'welcomeEmail')) !!}
                                        <label class="custom-control-label" for="welcomeEmail"></label>
                                    </div>
                                </div>
                            </div>
                            --}}
                            <div class="col-xl-6 col-sm-6">
                                <div class="form-group">
                                    <label>Allow Login</label>
                                    <div class="custom-control custom-switch">
                                        {!! Form::checkbox('allow_login', 1, null, array('class' => 'custom-control-input', 'id' => 'allowLogin')) !!}
                                        <label class="custom-control-label" for="allowLogin"></label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Profile Image</label>
                                    {!! Form::file('profile_image', ['class' => 'form-control']) !!}
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Team</label>
                                    @if(!empty($companyAdmin->team_id))
                                        <div class="row">
                                            <div class="col-10">
                                                {!! Form::select('team_id', ['' => 'Select Team']+getTeamList(), $companyAdmin->team_id ?? null, ['class' => 'custom-select form-control fil-disabled']) !!}
                                            </div>
                                            <div class="col-2 px-0">
                                                <button type="button" class="btn btn-lg btn-success mt-1" data-toggle="modal" data-target="#update-team">Change Team</button>
                                            </div>
                                        </div>
                                    @else
                                        {!! Form::select('team_id', ['' => 'Select Team']+getTeamList(), null, ['class' => 'custom-select form-control']) !!}
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label for="active-status">Status</label>
                                    {!! Form::select('status', ['' => 'Select Status', '0' => 'Active', '1' => 'OOS', '2' => 'Terminate', '3' => 'Rehire'], $companyAdmin->status ?? 0, ['class' => 'form-control select2', 'id' => 'status', 'data-no-search' => 'true']) !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-12">
                <div class="white-box mb-4 driverFinancial">
                    <h4 class="box-title">Company Info</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-xl-2 col-md-6 col-sm-6">
                                <div class="form-group">
                                    <label>Extension Number</label>
                                    {!! Form::text('extension_number', old('extension_number'), array('class' => 'form-control', 'placeholder' => 'Extension Number')) !!}
                                </div>
                            </div>
                            <div class="col-xl-2 col-md-6 col-sm-6">
                                <div class="form-group">
                                    <label>Text Number</label>
                                    {!! Form::text('text_number', old('text_number'), array('class' => 'form-control phone', 'placeholder' => '(555) 123-1234')) !!}
                                    @error('text_number')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-xl-4 col-md-6 col-sm-6">
                                <div class="form-group">
                                    <label>After Hours Extension</label>
                                    {!! Form::text('after_hours_extension', old('after_hours_extension'), array('class' => 'form-control', 'placeholder' => 'After hour....')) !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-12">
                <div class="white-box">
                    <h4 class="box-title">Dashboard Access</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="empty-box">
                                    <p>Show defaults set for user type, and allow for custom access</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="button-bottom">
            <a href="{{ route('company.admin.dispatchers.index') }}" class="cancel-btn">Cancel</a>
            <button class="submit-btn">Submit</button>
        </div>
    {!! Form::close() !!}
@endsection

@section('modal')
    <div class="modal fade" id="update-team" tabindex="-1" aria-labelledby="update-team-modal-label" aria-hidden="true">
        <div class="modal-dialog modal-dishpatch">
            {!! Form::open(['route' => 'company.admin.dispatcher.change.team', 'method'=>'POST', 'files' => 'true', 'autocomplete'  => 'off', 'name' => 'update-team-form', 'id' => 'update-team-form']) !!}
            <input type="hidden" name="current_dispatcher" value="{{ base64Encode($companyAdmin->id) ?? '' }}">
            <div class="modal-content">
                <div class="modal-header pl-4">
                    <h5 class="modal-title" id="update-team-modal-label">Change Team</h5>
                </div>
                <div class="modal-body">
                    <div class="row" id="section-one">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="mb-1">Team <span>*</span></label>
                                {!! Form::select('team', ['' => 'Select Team'] + getTeamList(), $companyAdmin->team_id ?? null, ['class' => 'select2 form-control', 'data-parsley-errors-container' => '#team-error', 'required' => 'required']) !!}
                                <div id="team-error"></div>
                            </div>
                        </div>
                    </div>
                    <div class="row align-items-center d-none" id="section-two">
                        @forelse($drivers as $driver)
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label class="mb-1">Driver <span>*</span></label>
                                    {!! Form::select('drivers[]', ['' => 'Select Driver'] + getDriverListByCompany(), $driver->id ?? null, ['class' => 'form-control driver fil-disabled select2', 'data-parsley-errors-container' => '#driver_'.$loop->index.'-error' , 'required' => '']) !!}
                                    <div id="driver_{{$loop->index}}-error"></div>
                                </div>
                            </div>
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label class="mb-1">Dispatcher <span>*</span></label>
                                    <select class="form-control dispatcher select2" name="dispatchers[]" data-parsley-errors-container="#dispatcher_{{$loop->index}}-error" required="required">
                                        <option value="">Select Dispatcher</option>
                                        @foreach(getDispatcherListByCompanyWithTeam(auth()->guard('company-admin')->user()->company_id) as $dispatcher)
                                            @if(is_null($dispatcher->team_id))
                                                <option value="{{ $dispatcher->id }}" disabled>{{ $dispatcher->name }} - Team Not Assigned</option>
                                            @else
                                                @if(isset($companyAdmin) && $companyAdmin->id == $dispatcher->id)
                                                    <option value="{{ $dispatcher->id }}" selected>{{ $dispatcher->name }}</option>
                                                @else
                                                    <option value="{{ $dispatcher->id }}">{{ $dispatcher->name }}</option>
                                                @endif
                                            @endif
                                        @endforeach
                                    </select>
                                    <div id="dispatcher_{{$loop->index}}-error"></div>
                                </div>
                            </div>
                            <div class="col-md-2">
                                @if($loop->first)
                                    <button type="button" class="btn btn-success mt-2" id="dispatcher-apply-all">Apply All</button>
                                @endif
                            </div>
                        @empty
                            <div class="col-12 text-center">
                                <h6 class="text-danger font-weight-bold">Drivers not found for this Dispatcher.</h6>
                            </div>
                        @endforelse
                    </div>
                </div>
                <div class="modal-footer justify-content-center">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                    <button type="button" class="btn btn-blue" id="save-next" disabled>Next</button>
                    <button type="button" class="btn btn-blue d-none" id="change-team">Save</button>
                </div>
            </div>
            {!! Form::close() !!}
        </div>
    </div>
@endsection

@section('script')
    <script src="{{ asset('theme/js/bootstrap-datepicker.js') }}"></script>
    <script type="text/javascript">
        $( document ).ready(function() {
            $('.post-form').parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            $('.start-date').datepicker({
                autoclose: true,
                todayHighlight: true,
            });
        });
        $(function (){
            var currentTeam = $('select[name="team_id"]').val();
            if(currentTeam !== ''){
                $('#save-next').removeAttr('disabled');
            }
            $('select[name="team"]').on('change', function (e) {
                var optionSelected = $("option:selected", this);
                var newVal                  = this.value;
                if(newVal!=''){
                    $('#save-next').removeAttr('disabled');
                    $.ajax({
                        type: 'POST',
                        url: '{!! route("company.admin.dispatchers.check.team.head",$companyAdmin->id) !!}',
                        data: { team_id: newVal },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        }
                    }).done(function(response) {
                        if(response.success){
                            if(!response.isTeamHead){
                                if (!confirm("Are you sure?")) {
                                    if(currentTeam === ''){
                                        $('#save-next').attr('disabled', 'disabled');
                                    }
                                    $('select[name="team"]').val(currentTeam).trigger('change.select2'); //set back
                                    return; //abort!
                                }
                                currentTeam     = newVal;
                            }else{
                                currentTeam     = newVal;
                            }
                        }else{
                            currentTeam         = newVal;
                        }
                    });
                }else{
                    $('#save-next').attr('disabled', 'disabled');
                    currentTeam                 = newVal;
                }
            });

            $('#update-team').on('hidden.bs.modal', function() {
                $('#save-next').removeClass('d-none');
                $('#section-one').removeClass('d-none');
                $('#section-two').addClass('d-none');
                $('#change-team').addClass('d-none');
                $('#update-team').find('.modal-dialog').removeClass('modal-lg');
                $('select[name="team"]').val($('select[name="team_id"]').val()).trigger('change.select2');
            });

            $(document).on('click', '#save-next', function (){
                $('#save-next').addClass('d-none');
                $('#section-one').addClass('d-none');
                $('#section-two').removeClass('d-none');
                $('#change-team').removeClass('d-none');
                $('#update-team').find('.modal-dialog').addClass('modal-lg');
            });

            $(document).on('click', '#dispatcher-apply-all', function (){
                var dispatcher = $(this).closest('.row').find('.dispatcher').val();
                $('#section-two .dispatcher').each(function (){
                    $(this).val(dispatcher).trigger('change');
                });
            });

            $(document).on('click', '#change-team', function (e){
                e.preventDefault();

                let form = $('#update-team-form');
                let parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });
                parsley.validate();
                if (parsley.isValid()){
                    form.submit();
                }
            });
        });
    </script>
    <script type="text/javascript">
        var teamVal;
        $('select[name="team_id"]').on('change', function (e) {
            var optionSelected = $("option:selected", this);
            var newVal                  = this.value;
            if(newVal!=''){
                $.ajax({
                    type: 'POST',
                    url: '{!! route("company.admin.dispatchers.check.team.head",$companyAdmin->id) !!}',
                    data: { team_id: newVal },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                }).done(function(response) {
                    if(response.success){
                        if(!response.isTeamHead){
                            if (!confirm("Are you sure?")) {
                                $('select[name="team_id"]').val(teamVal); //set back
                                return; //abort!
                            }
                            teamVal     = newVal;
                        }else{
                            teamVal     = newVal;
                        }
                    }else{
                        teamVal         = newVal;
                    }
                });
            }else{
                teamVal                 = newVal;
            }
        });
    </script>
@endsection

@push('after-scripts')
    <script src="{{ asset('theme/js/trimble.js') }}"></script>
@endpush
