@extends($companyAdminTheme)

@section('title')
    Driver
@endsection

@section('style')
    <link rel="stylesheet" type="text/css" href="//code.jquery.com/ui/1.13.1/themes/base/jquery-ui.css">
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/buttons/2.2.3/css/buttons.dataTables.min.css">
    <style type="text/css">
        /* Datatable */
        .cusotdiv {
            padding-right: 16px !important;
            margin-bottom: 4px !important;
        }
        .cusotdiv2 {
            display: flex;
            justify-content: end;
            align-items: center;
            border: 1px solid #d8d8dd;
            border-radius: 8px;
            padding: 8px;
        }
        .dataTables_length {
            display: block;
        }
        .dataTables_length label {
            margin-bottom: 0;
            padding-left: 10px!important;
        }
        .dt-buttons {
            margin-left: .5rem;
        }
        .dt-button.btn {
            padding: 6px 12px;
            line-height: 1.5;
            border: 0 !important;
            margin-bottom: 0 !important;
        }
        /* Datatable */
        .dispatch-lists .dataTable thead {
            background-color: transparent;
        }
        .dispatch-lists .dataTable thead tr th {
            background-color: #305f9c;
        }
        .dispatch-lists .dataTable thead tr th:first-of-type {
            border-radius: 10px 0 0 10px;
            overflow: hidden;
        }
        .dispatch-lists .dataTable thead tr th:last-of-type {
            border-radius: 0 10px 10px 0;
            overflow: hidden;
        }
        /* Thead th Line Remove */
        .dispatch-lists .dataTable thead tr th::before{
            display: none;
        }
        /*  Scroll Heading Hide */
        .dispatch-lists .dataTables_scrollBody table.dataTable > thead tr th {
            padding: 0 15px !important;
        }
        .dispatch-lists .DTFC_RightBodyLiner table.dataTable > thead tr th {
            height: 0;
            padding: 0 15px !important;
            opacity: 0;
        }
    </style>
    <style type="text/css">
        /* Tabs */
        .bb-tabs .nav-tabs a {
            padding: 0 16px 4px;
            font-weight: 500;
            border-bottom: 1px solid #d8d8dd !important;
        }
        .bb-tabs .nav-tabs a.active,.bb-tabs .nav-tabs a:hover {
            color: #305f9c !important;
        }
        .bb-tabs .nav-tabs a:before {
            content: '';
            position: absolute;
            top: auto !important;
            bottom: -2px;
            left: auto;
            right: 0;
            width: 0;
            height: 3px;
            background-color: #305f9c;
        }
        .bb-tabs .nav-tabs a.active:before {
            width: 100%;
            left: 0;
            right: 0;
        }
        .bb-tabs .nav-tabs a:hover:before {
            right: auto;
            width: 100%;
            left: 0;
        }
        /* Media */
        @media (max-width:991px){
            .bb-tabs .nav-tabs a {
                padding: 0 12px 4px;
            }
        }
        @media (max-width:575px){
            .row>*{
                -ms-flex: 0 0 100%;
                flex: 0 0 100%;
                max-width: 100%;
            }
        }
        @media (min-width:576px){
            .row-cols-sm-2 > *{
                -ms-flex: 0 0 50%;
                flex: 0 0 50%;
                max-width: 50%;
            }
        }
        @media (min-width: 768px){
            .row-cols-lg-3 > *{
                -ms-flex: 0 0 33.33%;
                flex: 0 0 33.33%;
                max-width: 33.33%;
            }
        }
        @media (min-width:1200px){
            .row-cols-xl-5 > *{
                -ms-flex: 0 0 20% ;
                flex: 0 0 20% ;
                max-width: 20% ;
            }
            .g-xl-3 > * {
                padding-left: 16px;
                padding-right: 16px;
                margin-top: 16px;
            }
        }
    </style>
@endsection

@section('content')
    <div class="dispatch-lists">
        <nav class="bb-tabs">
            <input type="hidden" name="previous_tab" id="previous_tab" value="">
            <ul class="nav nav-tabs w-100 pb-0" id="myTab" role="tablist">
                <li class="nav-item">
                    <a
                        class="nav-link active"
                        id="nav-drivers-all-tab"
                        data-toggle="tab"
                        href="#nav-drivers-all"
                        type="button"
                        role="tab"
                        aria-controls="nav-drivers-all"
                        aria-selected="true"
                        data-table="table1">All</a>
                </li>
                <li class="nav-item">
                    <a
                        class="nav-link"
                        id="nav-drivers-company-tab"
                        data-toggle="tab"
                        href="#nav-drivers-company"
                        type="button"
                        role="tab"
                        aria-controls="nav-drivers-company"
                        aria-selected="false"
                        data-table="table2">Company Drivers</a>
                </li>
                <li class="nav-item">
                    <a
                        class="nav-link"
                        id="nav-drivers-owner-operators-tab"
                        data-toggle="tab"
                        href="#nav-drivers-owner-operators"
                        type="button"
                        role="tab"
                        aria-controls="nav-drivers-owner-operators"
                        aria-selected="false"
                        data-table="table3">Owner Operators</a>
                </li>
            </ul>
        </nav>
        <div class="tab-content" id="nav-tabContent">
            <div class="tab-pane fade pt-4 active show" id="nav-drivers-all" role="tabpanel" aria-labelledby="nav-drivers-all-tab">
                <ul class="d-flex align-items-center justify-content-end">
                    <li>
                        <a href="javascript:void(0);" class="text-blue fw-600" data-isActive="{{ $driverWidgetActive == '1' ? '0' : '1' }}" data-tab="driver">
                            @if($driverWidgetActive == '1')
                                Hide Widgets
                                <span class="ml-2">
                                    <img src="{{ asset('theme/images/eye.svg') }}" alt="Hide Widgets" class="img-fluid" />
                                </span>
                            @else
                                Show Widgets
                                <span class="ml-2">
                                    <img src="{{ asset('theme/images/eye.svg') }}" alt="Hide Widgets" class="img-fluid" />
                                </span>
                            @endif
                        </a>
                    </li>
                </ul>
                <div class="row row-cols-sm-2 row-cols-lg-3 row-cols-xl-5 g-xl-3 g-2 widget-row {{ $driverWidgetActive == '0' ? 'd-none' : '' }}">
                    <div class="col">
                        <div class="dispatchHubNew-box">
                            <div>
                                <h2>{{ sprintf('%02d', $totalActiveDrivers) }}</h2>
                                <p>Active Drivers</p>
                            </div>
                            <div>
                                <img src="{{ asset('theme/images/active-drivers.svg') }}" class="img-fluid float-right" alt="Icon">
                            </div>
                        </div>
                    </div>
                    <div class="col">
                        <div class="dispatchHubNew-box">
                            <div>
                                <h2>{{ sprintf('%02d', $totalOosDrivers) }}</h2>
                                <p>Out of Service Drivers</p>
                            </div>
                            <div>
                                <img src="{{ asset('theme/images/out-of-service-drivers.svg') }}" class="img-fluid float-right" alt="Icon">
                            </div>
                        </div>
                    </div>
                    <div class="col">
                        <div class="dispatchHubNew-box">
                            <div>
                                <h2>{{ sprintf('%02d', $totalOwnerOperators) }}</h2>
                                <p>Owner Operators</p>
                            </div>
                            <div>
                                <img src="{{ asset('theme/images/owner-operators.svg') }}" class="img-fluid float-right" alt="Icon">
                            </div>
                        </div>
                    </div>
                    <div class="col">
                        <div class="dispatchHubNew-box">
                            <div>
                                <h2>{{ sprintf('%02d', $totalCompanyDrivers) }}</h2>
                                <p>Company Drivers</p>
                            </div>
                            <div>
                                <img src="{{ asset('theme/images/company-drivers.svg') }}" class="img-fluid float-right" alt="Icon">
                            </div>
                        </div>
                    </div>
                    <div class="col">
                        <div class="dispatchHubNew-box">
                            <div>
                                <h2>{{ sprintf('%02d', $totalDrivers) }}</h2>
                                <p>Total Drivers</p>
                            </div>
                            <div>
                                <img src="{{ asset('theme/images/drivers.svg') }}" class="img-fluid float-right" alt="Icon">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="white-box table-view">
                    <div class="add-responsive mt-3">
                        <table id="drivers-all-data-table" class="table drivers-all-data-table display w-100">
                            <thead>
                                <tr>
                                    @foreach($getField as $key => $filed)
                                        @if($filed == 1 && isset(config('settings.table_lists_drivers')[$key]['name']))
                                            @if(isset(config('settings.table_lists_drivers')[$key]['searchBuilderType']))
                                                @if( config('settings.table_lists_drivers')[$key]['searchBuilderType'] == 'string' )
                                                    <th>{{ config('settings.table_lists_drivers')[$key]['name'] }} <i class="fa fa-filter columnFilter table_lists_drivers_{{ $key }}_string" data-table="table1" data-modal="SearchByStringModal{{ $key }}table1"></i></th>
                                                @elseif( config('settings.table_lists_drivers')[$key]['searchBuilderType'] == 'date' )
                                                    <th>{{ config('settings.table_lists_drivers')[$key]['name'] }} <i class="fa fa-filter columnFilter table_lists_drivers_{{ $key }}_date" data-table="table1" data-modal="SearchByDateModal{{ $key }}table1"></i></th>
                                                @endif
                                            @else
                                                <th>{{ config('settings.table_lists_drivers')[$key]['name'] }}</th>
                                            @endif
                                        @endif
                                    @endforeach
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="tab-pane fade pt-4" id="nav-drivers-company" role="tabpanel" aria-labelledby="nav-drivers-company-tab">
                <div class="white-box table-view">
                    <div class="add-responsive mt-3">
                        <table id="drivers-company-data-table" class="table drivers-company-data-table display w-100">
                            <thead>
                                <tr>
                                    @foreach($getField as $key => $filed)
                                        @if($filed == 1 && isset(config('settings.table_lists_drivers')[$key]['name']))
                                            @if(isset(config('settings.table_lists_drivers')[$key]['searchBuilderType']))
                                                @if( config('settings.table_lists_drivers')[$key]['searchBuilderType'] == 'string' )
                                                    <th>{{ config('settings.table_lists_drivers')[$key]['name'] }} <i class="fa fa-filter columnFilter table_lists_drivers_{{ $key }}_string" data-table="table2" data-modal="SearchByStringModal{{ $key }}table2"></i></th>
                                                @elseif( config('settings.table_lists_drivers')[$key]['searchBuilderType'] == 'date' )
                                                    <th>{{ config('settings.table_lists_drivers')[$key]['name'] }} <i class="fa fa-filter columnFilter table_lists_drivers_{{ $key }}_date" data-table="table2" data-modal="SearchByDateModal{{ $key }}table2"></i></th>
                                                @endif
                                            @else
                                                <th>{{ config('settings.table_lists_drivers')[$key]['name'] }}</th>
                                            @endif
                                        @endif
                                    @endforeach
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="tab-pane fade pt-4" id="nav-drivers-owner-operators" role="tabpanel" aria-labelledby="nav-drivers-owner-operators-tab">
                <div class="white-box table-view">
                    <div class="add-responsive mt-3">
                        <table id="drivers-owner-operators-data-table" class="table drivers-owner-operators-data-table display w-100">
                            <thead>
                                <tr>
                                    @foreach($getField as $key => $filed)
                                        @if($filed == 1 && isset(config('settings.table_lists_drivers')[$key]['name']))
                                            @if(isset(config('settings.table_lists_drivers')[$key]['searchBuilderType']))
                                                @if( config('settings.table_lists_drivers')[$key]['searchBuilderType'] == 'string' )
                                                    <th>{{ config('settings.table_lists_drivers')[$key]['name'] }} <i class="fa fa-filter columnFilter table_lists_drivers_{{ $key }}_string" data-table="table3" data-modal="SearchByStringModal{{ $key }}table3"></i></th>
                                                @elseif( config('settings.table_lists_drivers')[$key]['searchBuilderType'] == 'date' )
                                                    <th>{{ config('settings.table_lists_drivers')[$key]['name'] }} <i class="fa fa-filter columnFilter table_lists_drivers_{{ $key }}_date" data-table="table3" data-modal="SearchByDateModal{{ $key }}table3"></i></th>
                                                @endif
                                            @else
                                                <th>{{ config('settings.table_lists_drivers')[$key]['name'] }}</th>
                                            @endif
                                        @endif
                                    @endforeach
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('modal')
    <div class="modal fade" id="driversColumnsModal" tabindex="-1" role="dialog" aria-labelledby="driversColumnsModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            {!! Form::open(array(
                    'route'     => 'company.admin.bookmarks.store',
                    'method'    => 'POST',
                    'files'     => 'true',
                    'class'     => 'store-form'
                )
            ) !!}
                <input type="hidden" name="table_id" value="lists_drivers" />
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="driversColumnsModalLabel">Adjust Table Columns</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <ul class="sortableList connected-sortable droppable-area1" id="driversSortable">
                            @foreach($getField as $key => $filed)
                                @if(isset(config('settings.table_lists_drivers')[$key]['name']))
                                    <li class="ui-state-default">
                                        <div class="custom-control custom-checkbox">
                                            <input type='hidden' value='0' name='field[{{ $key }}]'>
                                            <input type="checkbox" class="custom-control-input" id="driversCheck{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed == 1) checked @endif>
                                            <label class="custom-control-label" for="driversCheck{{ $key }}">{{ config('settings.table_lists_drivers')[$key]['name'] }}</label>
                                        </div>
                                        <i class="fa fa-align-justify drag-icon"></i>
                                    </li>
                                @endif
                            @endforeach
                        </ul>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>
@endsection

@section('script')
    <script type="text/javascript" src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
    <script type="text/javascript" src="https://cdn.datatables.net/buttons/2.2.3/js/dataTables.buttons.min.js"></script>
    <script type="text/javascript">
        $(document).ready(function() {
            // Get the active current tab on page load
            var currentTab          = $('.bb-tabs #myTab a[data-toggle="tab"].active');
            // Check if the currentTab element exists
            if (currentTab.length > 0) {
                // Log the ID of the active current tab
                // console.log("Active Current Tab on Page Load:", currentTab.attr('id'));
                // Log the href attribute of the active current tab
                // console.log("Active Current Tab Href on Page Load:", currentTab.attr('href'));

                // Get the href attribute of the active current tab
                var currentTabHref  = currentTab.attr('href');
                nextTabPaneView(currentTabHref);
            } else {
                // console.log("No active current tab found.");
            }
        });
    </script>
    <script type="text/javascript">
        var table1;
        var table2;
        var table3;
        $(document).ready(function() {
            // Drivers Tab Start
            $('.bb-tabs #myTab a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
                // console.log("Driver tab shown!");

                var targetHash                  = $(e.target).attr('href');
                if(targetHash !== 'undefined') {
                    if (targetHash === '#nav-drivers-all') {
                        if (table1 !== 'undefined' && $.fn.DataTable.isDataTable('.drivers-all-data-table')) {
                            // console.log("Adjusting columns for table1...");

                            // Adjust column widths without redrawing
                            table1.columns.adjust().fixedColumns().relayout(); // table1.columns.adjust().draw();
                        } else {
                            nextTabPaneView(targetHash);
                        }
                    } else if(targetHash === '#nav-drivers-company') {
                        if(table2 !== 'undefined' && $.fn.DataTable.isDataTable('.drivers-company-data-table')) {
                            // console.log("Adjusting columns for table2...");

                            // Adjust column widths without redrawing
                            table2.columns.adjust().fixedColumns().relayout(); // table2.columns.adjust().draw();
                        } else {
                            nextTabPaneView(targetHash);
                        }
                    } else if(targetHash === '#nav-drivers-owner-operators') {
                        if(table3 !== 'undefined' && $.fn.DataTable.isDataTable('.drivers-owner-operators-data-table')) {
                            // console.log("Adjusting columns for table3...");

                            // Adjust column widths without redrawing
                            table3.columns.adjust().fixedColumns().relayout(); // table3.columns.adjust().draw();
                        } else {
                            nextTabPaneView(targetHash);
                        }
                    }
                }
            });

            $("#driversSortable").sortable();
            // Drivers Tab End
        });
        function nextTabPaneView(hash) {
            if (hash === '#nav-drivers-all') {
                if (!$.fn.DataTable.isDataTable('.drivers-all-data-table')) {
                    // console.log('Table1 dataTable does not exist.');

                    // All
                    table1 = $('.drivers-all-data-table').DataTable({
                        stateSave: true,
                        bSortCellsTop: true,
                        language: {
                            search: "",
                            searchPlaceholder: "Search...",
                        },
                        scrollX: true,
                        scrollCollapse: true,
                        fixedHeader: true,
                        fixedColumns: {
                            leftColumns: 0, // Number of columns to be fixed on the left
                            rightColumns: 1, // Number of columns to be fixed on the right
                            // heightMatch: "auto"
                        },
                        processing: true,
                        serverSide: true,
                        searching: true,
                        ordering: false,
                        info: false,
                        paging: true,
                        pageLength: "{{ perPageView() }}",
                        lengthChange: true,
                        dom: "<'row cusotdiv px-3'<'col-sm-12 col-md-12 cusotdiv2'flB>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-12'p>>",
                        buttons: [
                            {
                                text: 'Columns',
                                className: 'btn btn-primary',
                                attr: {
                                    'data-toggle': 'modal',
                                    'data-target': '#driversColumnsModal'
                                }
                            },
                            {
                                text: '<i class="fa fa-plus" aria-hidden="true"></i>',
                                className: 'btn btn-primary',
                                action: function () {
                                    window.location.href = '{{ route("company.admin.drivers.create") }}';
                                }
                            }
                        ],
                        ajax: {
                            url: "{{ route('company.admin.lists.drivers.all') }}",
                            type:'POST',
                            dataType: "json",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            data: function (d) {
                                // Additional key-value pairs
                                if($('#nav-drivers-all .dataTables_filter select.cdstatus-filter').length > 0){
                                    var cdstatus                                = $('#nav-drivers-all .dataTables_filter select.cdstatus-filter').val();
                                    d.cdstatus                                  = cdstatus;
                                }else{
                                    d.cdstatus                                  = '0';
                                }
                                // Add more key-value pairs as needed

                                // Get the table number (you may replace this with your actual table number logic)
                                var tableNo                                     = 1;

                                // Extra parameters for the additional AJAX call
                                var extraParams                                 = generateSearchStringValues(tableNo);

                                // Merge existing parameters (d) with extraParams
                                return $.extend({}, d, extraParams);
                            },
                            beforeSend: function () {
                                if (typeof table1 != 'undefined' && table1.hasOwnProperty('settings')) {
                                    table1.settings()[0].jqXHR.abort();
                                }
                            }
                        },
                        columns: [
                            <?php foreach($getField as $key => $filed): ?>
                                <?php if($filed == 1): ?>
                                    <?php if(isset(config('settings.table_lists_drivers')[$key]['name'])): ?>
                                        <?php if(config("settings.table_lists_drivers")[$key]["orderable"] == 1 && config("settings.table_lists_drivers")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                                        <?php elseif(config("settings.table_lists_drivers")[$key]["orderable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                                        <?php elseif(config("settings.table_lists_drivers")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                                        <?php else: ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php endforeach; ?>
                            { data: 'action', name: 'action', orderable: false, searchable: false }
                        ]
                    });

                    $('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3" data-tablevariable="table1"><i class="fa fa-refresh"></i> Refresh</a>').prependTo('#nav-drivers-all .dataTables_filter');
                    $('<a href="javascript:void(0);" id="clearAll{{ str_replace("settings.", "", $tableName) }}_table1" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tableName) }} {{ str_replace("settings.", "", $tableName) }} ml-3 d-none" data-tablevariable="table1">Clear filters</a>').prependTo('#nav-drivers-all .dataTables_filter');
                    // Status Filter
                    setTimeout(function() {
                        $(`<div class="pull-right cusotmdow pl-3">
                            <select class="form-control form-control-sm cdstatus-filter" data-table="table1">
                                <option value="">All</option>
                                <option value="0" selected>Active</option>
                                <option value="1">OOS</option>
                                <option value="2">Terminated</option>
                                <option value="3">Rehire</option>
                            </select>
                        </div>`).appendTo('#nav-drivers-all .dataTables_filter');
                    }, 1000);
                } else {
                    // console.log('Table1 dataTable exists.');
                }
            } else if(hash === '#nav-drivers-company') {
                if (!$.fn.DataTable.isDataTable('.drivers-company-data-table')) {
                    // console.log('Table2 dataTable does not exist.');

                    // Company
                    table2 = $('.drivers-company-data-table').DataTable({
                        stateSave: true,
                        bSortCellsTop: true,
                        language: {
                            search: "",
                            searchPlaceholder: "Search...",
                        },
                        scrollX: true,
                        scrollCollapse: true,
                        fixedHeader: true,
                        fixedColumns: {
                            leftColumns: 0, // Number of columns to be fixed on the left
                            rightColumns: 1, // Number of columns to be fixed on the right
                            // heightMatch: "auto"
                        },
                        processing: true,
                        serverSide: true,
                        searching: true,
                        ordering: false,
                        info: false,
                        paging: true,
                        pageLength: "{{ perPageView() }}",
                        lengthChange: true,
                        dom: "<'row cusotdiv px-3'<'col-sm-12 col-md-12 cusotdiv2'flB>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-12'p>>",
                        buttons: [
                            {
                                text: 'Columns',
                                className: 'btn btn-primary',
                                attr: {
                                    'data-toggle': 'modal',
                                    'data-target': '#driversColumnsModal'
                                }
                            },
                            {
                                text: '<i class="fa fa-plus" aria-hidden="true"></i>',
                                className: 'btn btn-primary',
                                action: function () {
                                    window.location.href = '{{ route("company.admin.drivers.create") }}';
                                }
                            }
                        ],
                        ajax: {
                            url: "{{ route('company.admin.lists.drivers.all') }}",
                            type:'POST',
                            dataType: "json",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            data: function (d) {
                                // Additional key-value pairs
                                d.extra_is_company_driver                       = '1'; // 0 = Owner Operator, 1 = Company Driver, 2 = Subcontractor
                                if($('#nav-drivers-company .dataTables_filter select.cdstatus-filter').length > 0){
                                    var cdstatus                                = $('#nav-drivers-company .dataTables_filter select.cdstatus-filter').val();
                                    d.cdstatus                                  = cdstatus;
                                }else{
                                    d.cdstatus                                  = '0';
                                }
                                // Add more key-value pairs as needed

                                // Get the table number (you may replace this with your actual table number logic)
                                var tableNo                                     = 2;

                                // Extra parameters for the additional AJAX call
                                var extraParams                                 = generateSearchStringValues(tableNo);

                                // Merge existing parameters (d) with extraParams
                                return $.extend({}, d, extraParams);
                            },
                            beforeSend: function () {
                                if (typeof table2 != 'undefined' && table2.hasOwnProperty('settings')) {
                                    table2.settings()[0].jqXHR.abort();
                                }
                            }
                        },
                        columns: [
                            <?php foreach($getField as $key => $filed): ?>
                                <?php if($filed == 1): ?>
                                    <?php if(isset(config('settings.table_lists_drivers')[$key]['name'])): ?>
                                        <?php if(config("settings.table_lists_drivers")[$key]["orderable"] == 1 && config("settings.table_lists_drivers")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                                        <?php elseif(config("settings.table_lists_drivers")[$key]["orderable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                                        <?php elseif(config("settings.table_lists_drivers")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                                        <?php else: ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php endforeach; ?>
                            { data: 'action', name: 'action', orderable: false, searchable: false }
                        ]
                    });

                    $('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3" data-tablevariable="table2"><i class="fa fa-refresh"></i> Refresh</a>').prependTo('#nav-drivers-company .dataTables_filter');
                    $('<a href="javascript:void(0);" id="clearAll{{ str_replace("settings.", "", $tableName) }}_table2" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tableName) }} {{ str_replace("settings.", "", $tableName) }} ml-3 d-none" data-tablevariable="table2">Clear filters</a>').prependTo('#nav-drivers-company .dataTables_filter');
                    // Status Filter
                    setTimeout(function() {
                        $(`<div class="pull-right cusotmdow pl-3">
                            <select class="form-control form-control-sm cdstatus-filter" data-table="table2">
                                <option value="">All</option>
                                <option value="0" selected>Active</option>
                                <option value="1">OOS</option>
                                <option value="2">Terminated</option>
                                <option value="3">Rehire</option>
                            </select>
                        </div>`).appendTo('#nav-drivers-company .dataTables_filter');
                    }, 1000);
                } else {
                    // console.log('Table2 dataTable exists.');
                }
            } else if(hash === '#nav-drivers-owner-operators') {
                if (!$.fn.DataTable.isDataTable('.drivers-owner-operators-data-table')) {
                    // console.log('Table3 dataTable does not exist.');

                    // Owner Operators
                    table3 = $('.drivers-owner-operators-data-table').DataTable({
                        stateSave: true,
                        bSortCellsTop: true,
                        language: {
                            search: "",
                            searchPlaceholder: "Search...",
                        },
                        scrollX: true,
                        scrollCollapse: true,
                        fixedHeader: true,
                        fixedColumns: {
                            leftColumns: 0, // Number of columns to be fixed on the left
                            rightColumns: 1, // Number of columns to be fixed on the right
                            // heightMatch: "auto"
                        },
                        processing: true,
                        serverSide: true,
                        searching: true,
                        ordering: false,
                        info: false,
                        paging: true,
                        pageLength: "{{ perPageView() }}",
                        lengthChange: true,
                        dom: "<'row cusotdiv px-3'<'col-sm-12 col-md-12 cusotdiv2'flB>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-12'p>>",
                        buttons: [
                            {
                                text: 'Columns',
                                className: 'btn btn-primary',
                                attr: {
                                    'data-toggle': 'modal',
                                    'data-target': '#driversColumnsModal'
                                }
                            },
                            {
                                text: '<i class="fa fa-plus" aria-hidden="true"></i>',
                                className: 'btn btn-primary',
                                action: function () {
                                    window.location.href = '{{ route("company.admin.drivers.create") }}';
                                }
                            }
                        ],
                        ajax: {
                            url: "{{ route('company.admin.lists.drivers.all') }}",
                            type:'POST',
                            dataType: "json",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            data: function (d) {
                                // Additional key-value pairs
                                d.extra_is_company_driver                       = '0'; // 0 = Owner Operator, 1 = Company Driver, 2 = Subcontractor
                                if($('#nav-drivers-owner-operators .dataTables_filter select.cdstatus-filter').length > 0){
                                    var cdstatus                                = $('#nav-drivers-owner-operators .dataTables_filter select.cdstatus-filter').val();
                                    d.cdstatus                                  = cdstatus;
                                }else{
                                    d.cdstatus                                  = '0';
                                }
                                // Add more key-value pairs as needed

                                // Get the table number (you may replace this with your actual table number logic)
                                var tableNo                                     = 3;

                                // Extra parameters for the additional AJAX call
                                var extraParams                                 = generateSearchStringValues(tableNo);

                                // Merge existing parameters (d) with extraParams
                                return $.extend({}, d, extraParams);
                            },
                            beforeSend: function () {
                                if (typeof table3 != 'undefined' && table3.hasOwnProperty('settings')) {
                                    table3.settings()[0].jqXHR.abort();
                                }
                            }
                        },
                        columns: [
                            <?php foreach($getField as $key => $filed): ?>
                                <?php if($filed == 1): ?>
                                    <?php if(isset(config('settings.table_lists_drivers')[$key]['name'])): ?>
                                        <?php if(config("settings.table_lists_drivers")[$key]["orderable"] == 1 && config("settings.table_lists_drivers")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                                        <?php elseif(config("settings.table_lists_drivers")[$key]["orderable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                                        <?php elseif(config("settings.table_lists_drivers")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                                        <?php else: ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php endforeach; ?>
                            { data: 'action', name: 'action', orderable: false, searchable: false }
                        ]
                    });

                    $('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3" data-tablevariable="table3"><i class="fa fa-refresh"></i> Refresh</a>').prependTo('#nav-drivers-owner-operators .dataTables_filter');
                    $('<a href="javascript:void(0);" id="clearAll{{ str_replace("settings.", "", $tableName) }}_table3" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tableName) }} {{ str_replace("settings.", "", $tableName) }} ml-3 d-none" data-tablevariable="table3">Clear filters</a>').prependTo('#nav-drivers-owner-operators .dataTables_filter');
                    // Status Filter
                    setTimeout(function() {
                        $(`<div class="pull-right cusotmdow pl-3">
                            <select class="form-control form-control-sm cdstatus-filter" data-table="table3">
                                <option value="">All</option>
                                <option value="0" selected>Active</option>
                                <option value="1">OOS</option>
                                <option value="2">Terminated</option>
                                <option value="3">Rehire</option>
                            </select>
                        </div>`).appendTo('#nav-drivers-owner-operators .dataTables_filter');
                    }, 1000);
                } else {
                    // console.log('Table3 dataTable exists.');
                }
            }
        }
        function generateSearchStringValues(tableNo) {
            var searchParams            = {};

            <?php foreach($getField as $key => $filed): ?>
                searchParams['search_string_value_{{ $key }}']                  = $('#search_string_{{ $key }}_table'+tableNo).val();
                searchParams['search_string_name_{{ $key }}']                   = $('#stringKey{{ $key }}_table'+tableNo).val();
                searchParams['search_string_type_{{ $key }}']                   = $('#stringType{{ $key }}_table'+tableNo).val();
                searchParams['search_table_name_{{ $key }}']                    = $('#stringTableType{{ $key }}_table'+tableNo).val();
                searchParams['search_string_col_alias_{{ $key }}']              = $('#stringColAlias{{ $key }}_table'+tableNo).val();
                searchParams['search_string_condition_{{ $key }}']              = $("input[type='radio'][name='condition{{ $key }}']:checked").val();
                searchParams['search_string_sort_{{ $key }}']                   = $("input[type='radio'][name='string_sort_{{ $key }}']:checked").val();

                searchParams['search_string_relation_table_{{ $key }}']         = $('#stringRelationTable{{ $key }}_table'+tableNo).val();
                searchParams['search_string_col_name1_{{ $key }}']              = $('#stringColName1{{ $key }}_table'+tableNo).val();
                searchParams['search_string_col_name2_{{ $key }}']              = $('#stringColName2{{ $key }}_table'+tableNo).val();
                searchParams['search_string_static_{{ $key }}']                 = $('#stringStatic{{ $key }}_table'+tableNo).val();

                searchParams['search_string_having_{{ $key }}']                 = $('#stringHaving{{ $key }}_table'+tableNo).val();

                searchParams['search_string_col_alias1_name_{{ $key }}']        = $('#stringColAl1{{ $key }}_table'+tableNo).val();
                searchParams['search_string_col_alias2_name_{{ $key }}']        = $('#stringColAl2{{ $key }}_table'+tableNo).val();
                searchParams['search_string_col_alias3_name_{{ $key }}']        = $('#stringColAl3{{ $key }}_table'+tableNo).val();
                searchParams['search_string_col_alias4_name_{{ $key }}']        = $('#stringColAl4{{ $key }}_table'+tableNo).val();
                searchParams['search_string_col_alias5_name_{{ $key }}']        = $('#stringColAl5{{ $key }}_table'+tableNo).val();
                searchParams['search_string_col_alias6_name_{{ $key }}']        = $('#stringColAl6{{ $key }}_table'+tableNo).val();

                searchParams['search_date_from_value_{{ $key }}']               = $('#search_date_{{ $key }}_table'+tableNo).val();
                searchParams['search_date_to_value_{{ $key }}']                 = $('#search_date_end_{{ $key }}_table'+tableNo).val();
                searchParams['search_date_name_{{ $key }}']                     = $('#dateKey{{ $key }}_table'+tableNo).val();
                searchParams['search_date_type_{{ $key }}']                     = $('#dateType{{ $key }}_table'+tableNo).val();
                searchParams['search_date_table_name_{{ $key }}']               = $('#dateTableType{{ $key }}_table'+tableNo).val();
                searchParams['search_date_condition_{{ $key }}']                = $("input[type='radio'][name='conditiondate{{ $key }}']:checked").val();
                searchParams['search_date_sort_{{ $key }}']                     = $("input[type='radio'][name='date_sort_{{ $key }}']:checked").val();
            <?php endforeach; ?>

            return searchParams;
        }
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('a[data-tab][data-isActive]').click(function(event){
                event.preventDefault();
                // console.log('Click Widgets Link');
                // return false;

                var that        = $(this);
                var tab         = that.attr('data-tab');
                var isActive    = that.attr('data-isActive');
                if((tab && $.inArray(tab, ['driver']) !== -1) && isActive){
                    $.ajax({
                        type: 'POST',
                        url: "{{ route('company.admin.lists.widgets.save') }}",
                        data: {
                            tab: tab,
                            isActive: isActive
                        },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        success: function(response) {
                            if(response.success){
                                if(isActive == '0'){
                                    that.attr('data-isActive', 1);
                                    that.html(`Show Widgets
                                        <span class="ml-2">
                                            <img src="{{ asset('theme/images/eye.svg') }}" alt="Show Widgets" class="img-fluid" />
                                        </span>`
                                    );
                                    that.closest('ul').next('div').addClass('d-none')
                                }else{
                                    that.attr('data-isActive', 0);
                                    that.html(`Hide Widgets
                                        <span class="ml-2">
                                            <img src="{{ asset('theme/images/eye.svg') }}" alt="Hide Widgets" class="img-fluid" />
                                        </span>`
                                    );
                                    that.closest('ul').next('div').removeClass('d-none');
                                }
                            }
                        }
                    });
                }
                return false;
            });
        });
        $(document).on('change', '.cdstatus-filter', function(event) {
            var that            = $(this);
            var table           = that.attr('data-table');
            var value           = that.val();
            if (table == 'table1' && table1 !== 'undefined' && $.fn.DataTable.isDataTable('.drivers-all-data-table')) {
                table1.ajax.reload(); // table1.ajax.reload(null, false);
            }
            if (table == 'table2' && table2 !== 'undefined' && $.fn.DataTable.isDataTable('.drivers-company-data-table')) {
                table2.ajax.reload(); // table2.ajax.reload(null, false);
            }
            if (table == 'table3' && table3 !== 'undefined' && $.fn.DataTable.isDataTable('.drivers-owner-operators-data-table')) {
                table3.ajax.reload(); // table3.ajax.reload(null, false);
            }
        });
    </script>
@endsection
