{!! Form::model($driverOnboarding, array('route' => 'company.admin.driver.onboarding.store','method'=>'POST','files'=>'true','class'=>'storeDriverOnboardingForm')) !!}
@php $date = null; @endphp

    {!! Form::hidden('driver_id', $driver->id) !!}
    <div class="white-box">
        <div class="row">
            <div class="col-md-6">
                <h4 class="box-title">Driver Onboarding</h4>
            </div>
            <div class="col-md-6 text-right">
                <h6 class="setting p-4">
                    <a href="{{ route('company.admin.driver.onboarding.setting.index') }}">
                        Onboarding Setting
                    </a>
                </h6>
            </div>
        </div>
        <div class="box-padding">
            <div class="row">
                <div class="col-md-7">
                    <div class="row">
                        <div class="col-xl-10">
                            <div class="form-group">
                                <label>Application Date*</label>
                                {!! Form::text('application_date', old('application_date'), array('class' => 'form-control date application-date', 'onchange' => 'driverOnboardingFormSubmit()')) !!}
                            </div>
                            <div class="form-group">
                                <label>Start Date*</label>
                                {!! Form::text('start_date', old('start_date'), array('class' => 'form-control date start-date', 'onchange' => 'driverOnboardingFormSubmit()')) !!}
                            </div>
                            <div class="row">
                                <div class="col-md-5">
                                    <div class="form-group">
                                        <label>Status</label>
                                        {!! Form::select('status', ['' => 'Select Status']+driverOnboardingStatusList(), null, ['class' => 'custom-select form-control', 'onchange' => 'driverOnboardingFormSubmit()']) !!}
                                    </div>
                                </div>
                                
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Days to onboard</label>
                                        {!! Form::text('days_to_onboard', old('days_to_onboard'), array('class' => 'form-control days-to-onboard', 'autocomplete' => 'new_email', 'readonly' => 'readonly')) !!}
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-5">
                    <div class="form-group">
                        <label>Notes</label>
                        {!! Form::textarea('notes', old('notes'), array('placeholder' => '...', 'class' => 'form-control form-bg-clr', 'rows' => '7', 'onfocusout' => 'driverOnboardingFormSubmit()')) !!}
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="box-padding">
        <div class="row">
            <div class="col-sm-6 col-md-6 col-lg-12">
                <ul class="imp-cls custom-progress-bar onboard-progress-bar">

                    @if (count(driverOnboardingSetting()))
                        @php $i = 1; @endphp
                        @foreach (driverOnboardingSetting() as $key => $stage)
                            {!! Form::hidden('detail['.$stage->stage_name.'][stage_no]', $i) !!}

                            @if (!is_null($driverOnboarding) && isset($driverOnboarding->detail) && !is_null($driverOnboarding->detail))
                                @if($driverOnboarding->status == '2' && $stage->mark_as_completed == '1')
                                    <li class="fill-active" data-stage-name="{{ $stage->stage_name }}" data-stage-no="{{ $i }}"><span class="p-value">Stage {{ ++$key }}</span></li>
                                @elseif (
                                    isset($driverOnboarding->detail_json[$stage->stage_name]) &&
                                    $driverOnboarding->detail_json[$stage->stage_name]['is_complete'] == 1
                                )
                                    <li class="fill-active" data-stage-name="{{ $stage->stage_name }}" data-stage-no="{{ $i }}"><span class="p-value">Stage {{ ++$key }}</span></li>
                                @elseif(
                                    isset($driverOnboarding->detail_json[$stage->stage_name]) &&
                                    $driverOnboarding->detail_json[$stage->stage_name]['is_complete'] == 0 &&
                                    !is_null($filtered_collection) &&
                                    $driverOnboarding->detail_json[$stage->stage_name]['stage_no'] <= $filtered_collection['stage_no']
                                )
                                    <li class="fill-inactive" data-stage-name="{{ $stage->stage_name }}" data-stage-no="{{ $i }}"><span class="p-value">Stage {{ ++$key }}</span></li>
                                @else
                                    <li data-stage-name="{{ $stage->stage_name }}" data-stage-no="{{ $i }}"><span class="p-value">Stage {{ ++$key }}</span></li>
                                @endif
                            @else
                                <li data-stage-name="{{ $stage->stage_name }}" data-stage-no="{{ $i }}"><span class="p-value">Stage {{ ++$key }}</span></li>
                            @endif
                            @php $i = $i+1; @endphp
                        @endforeach
                    @endif
                </ul>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="table-responsive stage-listing">
                <table width="100%" class="table border-0">
                    @php $si = 1; $cc=0; @endphp
                    @if (count(driverOnboardingSetting()))

                        @foreach (driverOnboardingSetting() as $key => $stage)

                            @if (!is_null($driverOnboarding) && isset($driverOnboarding->detail) && !is_null($driverOnboarding->detail))
                                {{-- {{info($stage->stage_name)}}
                                {{info($driverOnboarding->detail)}} --}}

                                <tr>
                                    {{-- yes/no --}}
                                    @if (array_key_exists($stage->stage_name, $driverOnboarding->detail_json) && $driverOnboarding->detail_json[$stage->stage_name]['yes_no'] == 1)
                                        <td>
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('detail['.$stage->stage_name.'][yes_no]', $driverOnboarding->detail_json[$stage->stage_name]['yes_no'], null , array('class' => 'custom-control-input yes-no-checkbox', 'id' => 'yes-no-'.$key, 'onchange' => 'driverOnboardingFormSubmit()', 'checked' => 'checked', 'data-stage-name' => $stage->stage_name, 'data-stage-no' => $si)) !!}
                                                <label class="custom-control-label @if(count($stage->sub_stages)) parentshwich @endif" for="yes-no-{{ $key }}"></label>
                                            </div>
                                        </td>
                                    @elseif($driverOnboarding->status == 2 && $stage->mark_as_completed == 1)
                                        <td>
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('detail['.$stage->stage_name.'][yes_no]', 1, null, array('class' => 'custom-control-input yes-no-checkbox', 'id' => 'yes-no-'.$key, 'onchange' => 'driverOnboardingFormSubmit()', 'data-stage-name' => $stage->stage_name, 'data-stage-no' => $si,'checked' => 'checked')) !!}
                                                <label class="custom-control-label @if(count($stage->sub_stages)) parentshwich @endif" for="yes-no-{{ $key }}"></label>
                                            </div>
                                        </td>
                                    @else
                                        <td>
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('detail['.$stage->stage_name.'][yes_no]', 1, null, array('class' => 'custom-control-input yes-no-checkbox', 'id' => 'yes-no-'.$key, 'onchange' => 'driverOnboardingFormSubmit()', 'data-stage-name' => $stage->stage_name, 'data-stage-no' => $si)) !!}
                                                <label class="custom-control-label @if(count($stage->sub_stages)) parentshwich @endif" for="yes-no-{{ $key }}"></label>
                                            </div>
                                        </td>
                                    @endif
                                    
                                    <td>Stage {{ ++$key }}</td>
                                    <td>{{ $stage->title }}</td>
                                    @if ($stage->date == 1)
                                        @php
                                            if (isset($driverOnboarding->detail_json[$stage->stage_name]) && isset($driverOnboarding->detail_json[$stage->stage_name]['date']) &&!is_null($driverOnboarding->detail_json[$stage->stage_name]['date'])) {
                                                $date = \Carbon\Carbon::createFromFormat('Y-m-d',$driverOnboarding->detail_json[$stage->stage_name]['date'])->format('m/d/Y');
                                            } else{
                                                $date = null;
                                            }
                                        @endphp
                                        <td>
                                            <div class="form-group w-f-content EEEE">
                                                {!! Form::text('detail['.$stage->stage_name.'][date]', $date, array('class' => 'form-control date', 'autocomplete' => 'new', 'onchange' => 'driverOnboardingFormSubmit()')) !!}
                                                <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                            </div>
                                        </td>
                                    @endif


                                    @if ($stage->file == 1)
                                        <td>
                                            <div class="custom-brws">
                                                {!! Form::file('detail['.$stage->stage_name.'][file]', ['id' => 'upload-2', 'onchange' => 'driverOnboardingFormSubmit()']) !!}
                                            </div>
                                        </td>
                                    @endif
                                    @if ($stage->date == 0 && $stage->file == 0)
                                        <td></td>
                                    @endif

                                    <td>
                                        @if (isset($driverOnboarding->detail_json[$stage->stage_name]['completed_on']))
                                            Completed on {{ \Carbon\Carbon::parse($driverOnboarding->detail_json[$stage->stage_name]['completed_on'])->format('m/d/Y') }}
                                        @endif
                                    </td>
                                    <td>
                                        @if (isset($driverOnboarding->detail_json[$stage->stage_name]['completed_by']))
                                            Completed By: {{ App\Models\CompanyAdmin::find($driverOnboarding->detail_json[$stage->stage_name]['completed_by'])->full_name  }}
                                        @endif
                                    </td>
                                    <td>
                                        @if ($stage->file == 1)
                                            <img src="{{ asset('theme/img/save-icon.png') }}" data-driver-id="{{ $driver->id }}" data-stage-name="{{ $stage->stage_name }}" class="show-onboarding-file-btn" data-toggle="modal" data-target="#onboardingFileModal">
                                        @endif
                                    </td>
                                </tr>
                                {{-- sub stages --}}
                                @if (count($stage->sub_stages))

                                    @foreach ($stage->sub_stages as $skey => $subStage)
                                        @php
                                            $subStageName = str_replace(' ', '_', strtolower($subStage->title));
                                        @endphp
                                        @if (isset($driverOnboarding->detail_json[$stage->stage_name][$subStageName]))
                                            <tr>
                                                <td></td>
                                                {{-- yes/no --}}
                                                <td>
                                                    @if($driverOnboarding->status == 2 && $stage->mark_as_completed == 1)
                                                        <div class="custom-control custom-switch">
                                                                {!! Form::checkbox('detail['.$stage->stage_name.']['.$subStageName.'][yes_no]', $driverOnboarding->detail_json[$stage->stage_name][$subStageName]['yes_no'], null, array('class' => 'custom-control-input child'.$cc, 'id' => 'yes-no-sub-'.$skey.$stage->id, 'onchange' => 'driverOnboardingFormSubmit('.$cc.')', 'checked' => 'checked')) !!}
                                                                <label class="custom-control-label" for="yes-no-sub-{{$skey.$stage->id}}"></label>
                                                        </div>
                                                    @else
                                                        @if (array_key_exists($subStageName, $driverOnboarding->detail_json[$stage->stage_name]) && $driverOnboarding->detail_json[$stage->stage_name][$subStageName]['yes_no'] == 1)
                                                            <div class="custom-control custom-switch">
                                                                {!! Form::checkbox('detail['.$stage->stage_name.']['.$subStageName.'][yes_no]', $driverOnboarding->detail_json[$stage->stage_name][$subStageName]['yes_no'], null, array('class' => 'custom-control-input child'.$cc, 'id' => 'yes-no-sub-'.$skey.$stage->id, 'onchange' => 'driverOnboardingFormSubmit('.$cc.')', 'checked' => 'checked')) !!}
                                                                <label class="custom-control-label" for="yes-no-sub-{{$skey.$stage->id}}"></label>
                                                            </div>
                                                        @else
                                                            <div class="custom-control custom-switch">
                                                                {!! Form::checkbox('detail['.$stage->stage_name.']['.$subStageName.'][yes_no]', 1, null, array('class' => 'custom-control-input child'.$cc, 'id' => 'yes-no-sub-'.$skey.$stage->id, 'onchange' => 'driverOnboardingFormSubmit('.$cc.')')) !!}
                                                                <label class="custom-control-label" for="yes-no-sub-{{$skey.$stage->id}}"></label>
                                                            </div>
                                                        @endif
                                                    @endif
                                                </td>
                                                <td>{{ $subStage->title }}</td>

                                                @if ($stage->date == 1)
                                                    @php
                                                    if (isset($driverOnboarding->detail_json[$stage->stage_name]) && isset($driverOnboarding->detail_json[$stage->stage_name][$subStageName]['date']) &&!is_null($driverOnboarding->detail_json[$stage->stage_name][$subStageName]['date'])) {
                                                        $date = \Carbon\Carbon::createFromFormat('Y-m-d',$driverOnboarding->detail_json[$stage->stage_name][$subStageName]['date'])->format('m/d/Y');
                                                    } else{
                                                        $date = null;
                                                    }
                                                    @endphp
                                                @endif

                                                @if($subStage->date == 1)
                                                    <td>
                                                        <div class="form-group w-f-content TTTTT">
                                                            {!! Form::text('detail['.$stage->stage_name.']['.$subStageName.'][date]', $date, array('class' => 'form-control date', 'autocomplete' => 'new', 'onchange' => 'driverOnboardingFormSubmit()')) !!}
                                                            <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                                        </div>
                                                    </td>
                                                @endif
                                                @if ($subStage->date == 0)
                                                    <td></td>
                                                @endif

                                                @if ($subStage->file == 1)
                                                    <td>
                                                        <div class="custom-brws">
                                                            {!! Form::file('detail['.$stage->stage_name.']['.$subStageName.'][file]', ['id' => 'upload-2', 'onchange' => 'driverOnboardingFormSubmit()']) !!}
                                                        </div>
                                                    </td>
                                                @endif

                                                @if ($subStage->file == 0)
                                                    <td></td>
                                                @endif
                                                <td>
                                                    @if (isset($driverOnboarding->detail_json[$stage->stage_name][$subStageName]['completed_on']))
                                                        Completed on {{ \Carbon\Carbon::parse($driverOnboarding->detail_json[$stage->stage_name][$subStageName]['completed_on'])->format('m/d/Y') }}
                                                    @endif
                                                </td>
                                                <td>
                                                    @if (isset($driverOnboarding->detail_json[$stage->stage_name][$subStageName]['completed_by']))
                                                        Completed By: {{ App\Models\CompanyAdmin::find($driverOnboarding->detail_json[$stage->stage_name][$subStageName]['completed_by'])->full_name  }}
                                                    @endif
                                                </td>
                                                <td>
                                                    @if (
                                                        $stage->file == 1
                                                    )
                                                        <img src="{{ asset('theme/img/save-icon.png') }}" data-driver-id="{{ $driver->id }}" data-stage-name="{{ $stage->stage_name }}&&&&{{ $subStageName }}" class="show-onboarding-file-btn" data-toggle="modal" data-target="#onboardingFileModal">
                                                    @endif
                                                </td>
                                            </tr>
                                        @else
                                            <tr>
                                                <td></td>
                                                <td>
                                                    @if($stage->mark_as_completed == 1)
                                                        <div class="custom-control custom-switch">
                                                            {!! Form::checkbox('detail['.$stage->stage_name.']['.$subStageName.'][yes_no]', 1, null, array('class' => 'custom-control-input child'.$cc, 'id' => 'yes-no-sub-'.$skey.$stage->id, 'onchange' => 'driverOnboardingFormSubmit()','checked' => 'checked')) !!}
                                                            <label class="custom-control-label" for="yes-no-sub-{{$skey.$stage->id}}"></label>
                                                        </div>
                                                    @else
                                                        <div class="custom-control custom-switch">
                                                            {!! Form::checkbox('detail['.$stage->stage_name.']['.$subStageName.'][yes_no]', 1, null, array('class' => 'custom-control-input child'.$cc, 'id' => 'yes-no-sub-'.$skey.$stage->id, 'onchange' => 'driverOnboardingFormSubmit()')) !!}
                                                            <label class="custom-control-label" for="yes-no-sub-{{$skey.$stage->id}}"></label>
                                                        </div>
                                                    @endif

                                                    <!-- <div class="custom-control custom-switch">
                                                        {!! Form::checkbox('detail['.$stage->stage_name.']['.$subStageName.'][yes_no]', 1, null, array('class' => 'custom-control-input child'.$cc, 'id' => 'yes-no-sub-'.$skey.$stage->id, 'onchange' => 'driverOnboardingFormSubmit()')) !!}
                                                        <label class="custom-control-label" for="yes-no-sub-{{$skey.$stage->id}}"></label>
                                                    </div> -->
                                                </td>
                                                <td>{{ $subStage->title }}</td>
                                                @if ($stage->date == 1)
                                                    @php
                                                        if (isset($driverOnboarding->detail_json[$stage->stage_name]) && isset($driverOnboarding->detail_json[$stage->stage_name]['date']) &&!is_null($driverOnboarding->detail_json[$stage->stage_name]['date'])) {
                                                            $date = \Carbon\Carbon::createFromFormat('Y-m-d',$driverOnboarding->detail_json[$stage->stage_name]['date'])->format('m/d/Y');
                                                        } else{
                                                            $date = null;
                                                        }
                                                    @endphp
                                                    <td>
                                                        <div class="form-group w-f-content">
                                                            {!! Form::text('detail['.$stage->stage_name.']['.$subStageName.'][date]', $date, array('class' => 'form-control date', 'autocomplete' => 'new', 'onchange' => 'driverOnboardingFormSubmit()')) !!}
                                                            <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                                        </div>
                                                    </td>
                                                @endif


                                                @if ($stage->file == 1)
                                                    <td>
                                                        <div class="custom-brws">
                                                            {!! Form::file('detail['.$stage->stage_name.']['.$subStageName.'][file]', ['id' => 'upload-2', 'onchange' => 'driverOnboardingFormSubmit()']) !!}
                                                        </div>
                                                    </td>
                                                @endif
                                                @if ($stage->date == 0 && $stage->file == 0)
                                                    <td></td>
                                                    <td></td>
                                                @endif
                                                <td></td>
                                                <td></td>
                                            </tr>
                                        @endif

                                    @endforeach

                                @endif











                            @else

                                <tr>
                                    <td>
                                        <div class="custom-control custom-switch">
                                            {!! Form::checkbox('detail['.$stage->stage_name.'][yes_no]', 1, null, array('class' => 'custom-control-input yes-no-checkbox', 'id' => 'yes-no-'.$key, 'onchange' => 'driverOnboardingFormSubmit()', 'data-stage-name' => $stage->stage_name, 'data-stage-no' => $si)) !!}
                                            <label class="custom-control-label @if(count($stage->sub_stages)) parentshwich @endif" for="yes-no-{{ $key }}"></label>
                                        </div>
                                    </td>
                                    <td>Stage {{ ++$key }}</td>
                                    <td>{{ $stage->title }}</td>
                                    {{-- date --}}
                                    @if ($stage->date == 1)
                                        <td>
                                            <div class="form-group w-f-content">
                                                {!! Form::text('detail['.$stage->stage_name.'][date]', null, array('class' => 'form-control date', 'autocomplete' => 'new', 'onchange' => 'driverOnboardingFormSubmit()')) !!}
                                                <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                            </div>
                                        </td>
                                    @endif
                                    {{-- file --}}
                                    @if ($stage->file == 1)
                                        <td>
                                            <div class="custom-brws">
                                                {!! Form::file('detail['.$stage->stage_name.'][file]', ['id' => 'upload-2', 'onchange' => 'driverOnboardingFormSubmit()']) !!}
                                            </div>
                                        </td>
                                    @endif
                                    @if ($stage->date == 0 && $stage->file == 0)
                                        <td></td>
                                        <td></td>
                                    @endif
                                    {{-- yes/no --}}

                                    <td></td>
                                    <td></td>
                                    <td></td>
                                </tr>
                                {{-- sub stages --}}
                                @if (count($stage->sub_stages))
                                    @foreach ($stage->sub_stages as $skey => $subStage)
                                        @php
                                            $subStageName = str_replace(' ', '_', strtolower($subStage->title));
                                        @endphp
                                        <tr>
                                            <td></td>
                                            <td>
                                                <div class="custom-control custom-switch">
                                                    {!! Form::checkbox('detail['.$stage->stage_name.']['.$subStageName.'][yes_no]', 1, null, array('class' => 'custom-control-input child'.$cc, 'id' => 'yes-no-sub-'.$skey.$stage->id, 'onchange' => 'driverOnboardingFormSubmit('.$cc.')')) !!}
                                                    <label class="custom-control-label" for="yes-no-sub-{{$skey.$stage->id}}"></label>
                                                </div>
                                            </td>
                                            <td>{{ $subStage->title }}</td>
                                            @if ($stage->date == 1)
                                            @php
                                                if (isset($driverOnboarding->detail_json[$stage->stage_name][$subStageName]) && isset($driverOnboarding->detail_json[$stage->stage_name]['date']) &&!is_null($driverOnboarding->detail_json[$stage->stage_name][$subStageName]['date'])) {
                                                    $date = \Carbon\Carbon::createFromFormat('Y-m-d',$driverOnboarding->detail_json[$stage->stage_name][$subStageName]['date'])->format('m/d/Y');
                                                } else{
                                                    $date = null;
                                                }
                                            @endphp

                                        @endif
                                        @if($subStage->date == 1)
                                            <td>
                                                <div class="form-group w-f-content">
                                                    {!! Form::text('detail['.$stage->stage_name.']['.$subStageName.'][date]', $date, array('class' => 'form-control date', 'autocomplete' => 'new', 'onchange' => 'driverOnboardingFormSubmit()')) !!}
                                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                                </div>
                                            </td>
                                        @endif
                                        @if ($subStage->date == 0)
                                            <td></td>
                                        @endif

                                        @if ($subStage->file == 1)
                                            <td>
                                                <div class="custom-brws">
                                                    {!! Form::file('detail['.$stage->stage_name.']['.$subStageName.'][file]', ['id' => 'upload-2', 'onchange' => 'driverOnboardingFormSubmit()']) !!}
                                                </div>
                                            </td>
                                        @endif

                                        @if ($subStage->file == 0)
                                            <td></td>
                                        @endif
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                        </tr>
                                    @endforeach
                                @endif
                            @endif
                            @php $si = $si+1; $cc++; @endphp
                        @endforeach
                    @endif
                </table>
            </div>
        </div>
    </div>
{!! Form::close() !!}


{{--
@section('script')
@if (count(driverOnboardingSetting()))
    @php $ch=0; @endphp
    @foreach (driverOnboardingSetting() as $key => $stage)
        @if (count($stage->sub_stages))
            <script type="text/javascript">
                var staid = '.child'+'<?php echo $ch; ?>';
                var parrentid = '#yes-no-'+'<?php echo $ch; ?>';

                var numberOfChildCheckBoxes = $(staid).length;
                console.log(numberOfChildCheckBoxes);
                $(staid).change(function() {
                  var checkedChildCheckBox = $(staid+':checked').length;
                  if (checkedChildCheckBox == numberOfChildCheckBoxes)
                    $(parrentid).prop('checked', true);
                  else
                    $(parrentid).prop('checked', false);
                });

            </script>
        @endif
    @php $ch++; @endphp
    @endforeach
@endif

@endsection
--}}
