@if(count($getData))
  <?php $i=1; ?>
  @foreach ($getData as $data)
      <tr>
        <td>{{ $data->year }}</td>
        <td>Quarter {{ $data->quarter }}</td>
        <td>{{ $data->occupancy }}%</td>
        <td>${{ number_format($data->revenue_target, 2, '.', ',') }}</td>
        <td>${{ $data->cpm_target }}</td>
        <td>{{ number_format($data->target_miles) }}</td>
        <td>{{ Carbon\Carbon::createFromFormat('Y-m-d',$data->start_date)->format('m/d/Y') }} - {{ Carbon\Carbon::createFromFormat('Y-m-d',$data->end_date)->format('m/d/Y') }}</td>
        <td>
            <a href="javascript:void(0);" class="finacEdit occupancy-revenue-goals-edit mr-2 btn-action-edit" data-action="{{ route('company.admin.drivers.get.target.revenue',$data->id) }}" data-id="{{$data->id}}" style="margin-left: 5px;">
                <img class="delete-icon" src="{{ asset('theme/img/icon-material-edit.svg') }}" alt="">
            </a>
            <a href="javascript:void(0);" class="destroyAjax btn-action-delete" data-action="{{ route('company.admin.drivers.target.revenue.delete',$data->id) }}" data-id="3">
                <img class="delete-icon" src="{{ asset('theme/img/icon-material-delete.svg') }}" alt="">
            </a>
        </td>
      </tr>
  @endforeach
@else
    <tr><td colspan="8" class="no-data">No Record Found.</td></tr>
@endif

<script type="text/javascript">
$("body").on("click", ".finacEdit", function () {
  var current_object = $(this);
  var action = current_object.attr('data-action');
  var id = current_object.attr('data-id');
  var token = $("input[name='_token']").val();
    $.ajax({
        url: action,
        method: "post",
        data: { _token : token , id : id},
        success: function(response) {
            var data = response.data;

            var quarter = data.quarter;

            var quarter_day = 90;
            if(quarter == '1'){ var quarter_day = 90; }
            if(quarter == '2'){ var quarter_day = 91; }
            if(quarter == '3'){ var quarter_day = 92; }
            if(quarter == '4'){ var quarter_day = 92; }

           $('#editFinancialModal').modal('show');

           $("#editFinancialModal #yearfirns").val(data.year).change();
           $("#editFinancialModal #edit_quarter").val(data.quarter).change();
           $('#editFinancialModal input[name="occupancy"]').val(data.occupancy);
           $('#editFinancialModal input[name="revenue_target"]').val(data.revenue_target);


           var weekly_reve = (parseInt(data.revenue_target) / quarter_day) * 7;
           var weekly_reve = Math.round(weekly_reve);
           $('#edit_WeeklyRevenueTarget').val(weekly_reve);

           $('#editFinancialModal input[name="cpm_target"]').val(data.cpm_target);
           $('#editFinancialModal input[name="target_miles"]').val(data.target_miles);

           var weekly_miles = (parseInt(data.target_miles) / quarter_day) * 7;
           var weekly_miles = Math.round(weekly_miles);

           $('#edit_WeeklyTargetMiles').val(weekly_miles);
           $('#editFinancialModal #edit_fistartdate').val(data.start_date);
           $('#editFinancialModal #edit_fistartdatevalue').val(data.start_date);
           $('#editFinancialModal #edit_fienddate').val(data.end_date);
           $('#editFinancialModal #edit_fienddatevalue').val(data.end_date);
           $('#editFinancialModal #dataid').val(data.id);

        }
    });
});

$("body").on("click", ".occupancy-revenue-goals-edit", function () {
    var current_object = $(this);
    var action = current_object.attr('data-action');
    var id = current_object.attr('data-id');
    var token = $("input[name='_token']").val();
    $.ajax({
        url: action,
        method: "post",
        data: { _token : token , id : id},
        success: function(response) {
            var data = response.data;

            var quarter = data.quarter;

            var quarter_day = 90;
            if(quarter == '1'){ var quarter_day = 90; }
            if(quarter == '2'){ var quarter_day = 91; }
            if(quarter == '3'){ var quarter_day = 92; }
            if(quarter == '4'){ var quarter_day = 92; }

            $('#occupancyRevenueGoalsEdit').modal('show');

            $("#occupancyRevenueGoalsEdit .yearfirns").val(data.year).change();
            $("#occupancyRevenueGoalsEdit #edit_quarter").val(data.quarter).change();
            $('#occupancyRevenueGoalsEdit input[name="occupancy"]').val(data.occupancy);
            $('#occupancyRevenueGoalsEdit input[name="revenue_target"]').val(data.revenue_target);


            var weekly_reve = (parseInt(data.revenue_target) / quarter_day) * 7;
            var weekly_reve = Math.round(weekly_reve);
            $('#edit_WeeklyRevenueTarget').val(weekly_reve);

            $('#occupancyRevenueGoalsEdit input[name="cpm_target"]').val(data.cpm_target);
            $('#occupancyRevenueGoalsEdit input[name="target_miles"]').val(data.target_miles);

            var weekly_miles = (parseInt(data.target_miles) / quarter_day) * 7;
            var weekly_miles = Math.round(weekly_miles);

            $('#edit_WeeklyTargetMiles').val(weekly_miles);
            $('#occupancyRevenueGoalsEdit #edit_fistartdate').val(data.start_date);
            $('#occupancyRevenueGoalsEdit #edit_fistartdatevalue').val(data.start_date);
            $('#occupancyRevenueGoalsEdit #edit_fienddate').val(data.end_date);
            $('#occupancyRevenueGoalsEdit #edit_fienddatevalue').val(data.end_date);
            $('#occupancyRevenueGoalsEdit #dataid').val(data.id);
        }
    });
});

$("body").on("click", ".destroyAjax", function () {
    var current_object = $(this);
    Swal.fire({
        title: "Are you sure?",
        text: "You won't be able to revert this!",
        icon: "warning",
        showCancelButton: true,
        confirmButtonColor: "#3085d6",
        cancelButtonColor: "#d33",
        confirmButtonText: "Yes, delete it!",
    }).then((result) => {
        if (result.value) {
            $("#targetTable").html('<tr><td colspan="7"><img src="'+targetTable+'" width="70" /></td></tr>');
            var action = current_object.attr('data-action');
            var id = current_object.attr('data-id');
            var token = $("input[name='_token']").val();

            $.ajax({
              url: action,
              method: "delete",
              data: { _token : token , id : id},
              success: function(response) {
                 toastr.success('deleted successfully', 'Success Alert', {timeOut: 5000})

                  var take = $('#occupancy-revenue-goals-tab #take').val();
                  var driver_id = $('#occupancy-revenue-goals-tab .driver-id').val();
                  $.ajax({
                      url: "/company-admin/drivers/target-revenue-view",
                      method: "POST",
                      data: { _token : token ,take : take, driver_id : driver_id },
                      success: function(response) {
                          $("#targetTable").html(response.view);
                      }
                  });
              }
           });
        }
    });
});
</script>
