@php
  $fmt = new \NumberFormatter('en_US', \NumberFormatter::CURRENCY);
@endphp

<thead>
  <tr>
      <th></th>
      <th>Revenue</th>
      <th>Mileage</th>
      <th>CPM</th>
      <th>Occupany</th>
  </tr>
</thead>
<tbody>
  <tr>
      <td>Target</td>
      <td>{{ $fmt->formatCurrency($getTargetRevenueByDate, "USD"); }}</td>
      <td>{{ number_format($getTargetMilesByDate) ?? '' }}</td>
      <td class="green">{{ $fmt->formatCurrency($getDriverCpmTarget, "USD"); }}</td>
      <td class="green">{{ $getDriverTargetOccupancy }}%</td>
  </tr>
  <tr>
      <td>Actual</td>
      <td>{{ $fmt->formatCurrency($getLoadGrossRevenue, "USD"); }}</td>
      <td>{{ number_format($getLoadMileage) ?? '' }}</td>
      <td>{{ $fmt->formatCurrency($CentPerMile, "USD"); }}</td>
      <td>{{ $getLoadOccupancy }}%</td>
  </tr>
  <tr>
      <td>Difference</td>
      @if($getRevenueeDifferent > 0)
        <td class="text-green">+{{ $fmt->formatCurrency($getRevenueeDifferent, "USD"); }}</td>
      @else
        <td class="text-red">{{ $fmt->formatCurrency($getRevenueeDifferent, "USD"); }}</td>
      @endif
      @if($getMilesDifferent > 0)
        <td class="text-green">+{{ number_format($getMilesDifferent) ?? '' }}</td>
      @else
        <td class="text-red">{{ number_format($getMilesDifferent) ?? '' }}</td>
      @endif
      @if($getCpmDifferent > 0)
        <td class="text-green">+{{ $fmt->formatCurrency($getCpmDifferent, "USD"); }}</td>
      @else
        <td class="text-red">{{ $fmt->formatCurrency($getCpmDifferent, "USD"); }}</td>
      @endif
      @if($getOccupancyDifferent > 0)
        <td class="text-green">{{ $getOccupancyDifferent }}</td>
      @else
        <td class="text-red">{{ $getOccupancyDifferent }}</td>
      @endif
  </tr>
</tbody>
