@extends($companyAdminTheme)

@section('title')
    Onboarding
@endsection

@section('header-title')
    Currently Onboarding
@endsection

@section('style')
    <link rel="stylesheet" type="text/css" href="{{ asset('theme/css/datepicker3.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/media3.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/jquery.lineProgressbar.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/daterangepicker.css') }}">

    <style type="text/css">
        /*td.details-control {*/
        /*    background: url('https://icons.iconarchive.com/icons/martz90/circle-addon1/256/text-plus-icon.png') no-repeat center center;*/
        /*    cursor: pointer;*/
        /*}*/


        td.details-control {
            position: relative;
        }

        td.details-control:before {
            content: "\f067"; /* this is your text. You can also use UTF-8 character codes as I do here */
            font-family: FontAwesome;
            left: -5px;
            /*position:absolute;*/
            top: 0;
            color: green;
        }

        tr.shown td.details-control {
            position: relative;
        }

        tr.shown td.details-control:before {
            content: "\f068"; /* this is your text. You can also use UTF-8 character codes as I do here */
            font-family: FontAwesome;
            left: -5px;
            /*position:absolute;*/
            top: 0;
        }

        .table thead th {
            color: #8f9bb3;
            font-family: 'Open Sans', sans-serif;
            font-weight: 600;
            font-size: 17px;
            border: 0;
            padding: 5px 5px !important;
        }

        .custom-progress-bar {
            display: flex;
            margin-top: 0px !important;
            margin-bottom: 40px;
        }

        #events_selector {
            padding: 4px;
        }

        .target-calendar button.fc-next-button.fc-button.fc-state-default.fc-corner-right {
            position: relative;
            right: auto;
        }

        .target-calendar button.fc-prev-button.fc-button.fc-state-default.fc-corner-left {
            position: relative;
            left: auto;
        }

        .addevent {
            cursor: pointer;
        }

        .modal .form-group h5 {
            font-size: 16px;
        }

        .select2-container {
            width: 100% !important;
        }

        .select2-container .select2-selection--single {
            height: 35px;
        }

        .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }

        .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 34px;
        }

        .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 31px;
        }

        .select2-container--open .select2-dropdown {
            left: -1px;
        }

        #EvoCalendar {
            margin: 20px 20px;
        }

        .fc-unthemed .fc-divider, .fc-unthemed .fc-list-heading td, .fc-unthemed .fc-popover .fc-header {
            background: #eee;
        }

        .fc-list-heading .fc-list-heading-alt {
            margin-left: 8px;
        }

        .fc th, .fc td {
            border-width: 0px !important;
        }

        .fc-list-item .fc-list-item-time {
            padding: 7px 0px;
        }

        .tab-content .custom-control-input:checked ~ .custom-control-label.birthdayscolor::before {
            background-color: <?php echo getEventColor(0) ?>     !important;
            border-color: <?php echo getEventColor(0) ?>     !important;
        }

        .tab-content .custom-control-input:checked ~ .custom-control-label.expirationscolor::before {
            background-color: <?php echo getEventColor(3) ?>     !important;
            border-color: <?php echo getEventColor(3) ?>     !important;
        }

        .tab-content .custom-control-input:checked ~ .custom-control-label.truckscolor::before {
            background-color: <?php echo getEventColor(4) ?>     !important;
            border-color: <?php echo getEventColor(4) ?>     !important;
        }

        .tab-content .custom-control-input:checked ~ .custom-control-label.trailerscolor::before {
            background-color: <?php echo getEventColor(5) ?>     !important;
            border-color: <?php echo getEventColor(5) ?>     !important;
        }

        .tab-content .custom-control-input:checked ~ .custom-control-label.dueDatecolor::before {
            background-color: <?php echo getEventColor(7) ?>     !important;
            border-color: <?php echo getEventColor(7) ?>     !important;
        }

        .table-responsive {
            overflow-x: initial !important;
        }
    </style>
@endsection

@section('content')
    <div class="load-wrapper">
        <div class="row">

            <div class="col-md-12">
                <div class="employee-wrapper">
                    <ul class="nav nav-tabs" id="myTab" role="tablist">
                        <li class="nav-item" role="presentation">
                            <a class="nav-link active" id="All-tab" data-toggle="tab" href="#Onboarding" role="tab"
                               aria-controls="All" aria-selected="true">Onboarding</a>
                        </li>
                        <li class="nav-item" role="presentation">
                            <a class="nav-link" id="View-tab" data-toggle="tab" href="#Hired" role="tab"
                               aria-controls="View" aria-selected="false">Hired</a>
                        </li>
                        <li class="nav-item" role="presentation">
                            <a class="nav-link" id="leave-tab" data-toggle="tab" href="#Terminated" role="tab"
                               aria-controls="leave" aria-selected="false">Terminated</a>
                        </li>
                        <li class="nav-item" role="presentation">
                            <a class="nav-link" id="leave-tab" data-toggle="tab" href="#Rejected" role="tab"
                               aria-controls="leave" aria-selected="false">Rejected</a>
                        </li>

                    </ul>
                    <div class="tab-content" id="myTabContent">
                        <div class="tab-pane fade show active" id="Onboarding" role="tabpanel"
                             aria-labelledby="All-tab">
                            <div class="row">
                                <div class="col-md-3 col-sm-6">
                                    <div class="white-box mb-4">
                                        <div class="box-padding employee-box">
                                            <span>Currently Onboarding</span>
                                            <h5 id="">{{$onboardingCount}}</h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3 col-sm-6">
                                    <div class="white-box mb-4">
                                        <div class="box-padding employee-box">
                                            <span>Hired</span>
                                            <h5 id="">{{$hired}}</h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3 col-sm-6">
                                    <div class="white-box mb-4">
                                        <div class="box-padding employee-box">
                                            <span>Rejected</span>
                                            <h5>{{$rejected}}</h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3 col-sm-6">
                                    <div class="white-box mb-4">
                                        <div class="box-padding employee-box">
                                            <span>Terminated</span>
                                            <h5 id="">{{$terminatedCount}}</h5>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">

                                <div class="col-md-12 white-box mb-4">
                                    <div class="row">
                                        <div class="col-6">
                                            <h5 class="mt-2 mb-2">Currently Onboarding</h5>
                                        </div>
                                        <div class="col-3"></div>
                                        <div class="col-3">
{{--                                            <input type="text" class="form-control mt-2" name="search" id="searchId"--}}
{{--                                                   onkeyup="search()" placeholder="search......">--}}
                                        </div>
                                    </div>
                                    <div class="table-responsive stage-listing">
                                        <table width="100%" class="table border-0">
                                            <thead>
                                            <tr>
                                                <th scope="col">Name</th>
                                                <th scope="col">Status</th>
                                                <th scope="col">Application Date</th>
                                                <th scope="col">Day in onboarding</th>
                                                <th scope="col">Action</th>
                                            </tr>
                                            </thead>
                                            @foreach($driverOnboardings as $driverOnboarding)
                                                <tbody>
                                                <tr>
                                                    <th scope="row">{{$driverOnboarding->first_name}} {{$driverOnboarding->last_name}}</th>
                                                    <td>

                                                        @if($driverOnboarding->status == 0)
                                                            Pending
                                                        @elseif($driverOnboarding->status == 1)
                                                            Onboarding
                                                        @elseif($driverOnboarding->status == 2)
                                                            Hired
                                                        @elseif($driverOnboarding->status == 3)
                                                            Rejected
                                                        @endif
                                                    </td>
                                                    <td>{{$driverOnboarding->application_date ?? "N/A"}}</td>
                                                    <td>
                                                        <?php
                                                        if (isset($driverOnboarding->application_date)) {
                                                            $start_date = now();
                                                            $terminated_date = $driverOnboarding->application_date;
                                                            $to = \Carbon\Carbon::parse($start_date);
                                                            $end = \Carbon\Carbon::parse($terminated_date);
                                                            //
                                                            $diff_in_days = $to->diffInDays($end);
                                                            echo $diff_in_days . " Days";
                                                        }
                                                        ?>
                                                    </td>
                                                    <td style="text-align: inherit;">
                                                        <a href="{{route('company.admin.drivers.show',base64Encode($driverOnboarding->driver_id).'?DonB=1')}}" class="btn btn-sm btn-outline-black-action" target="_blank"><i class="fa fa-eye" aria-hidden="true"></i></a>
                                                    </td>
                                                <tr>
                                                    <td colspan="5"
                                                        style="background: #eff4fa!important;padding-top: 14px!important;padding-left: 5px!important;padding-right: 5px!important;">
                                                        <ul class="imp-cls custom-progress-bar onboard-progress-bar">
                                                            <?php
                                                            $filtered_collection = null;
                                                            if (!is_null($driverOnboarding)) {
                                                                $t = collect($driverOnboarding->detail_json);
                                                                $filtered_collection = $t->filter(function ($item) {
                                                                    return $item['yes_no'] == 1 && $item['is_complete'] == 1;
                                                                })->last();
                                                            }

                                                            ?>
                                                            @if (count(driverOnboardingSetting()))
                                                                @php $i = 1; @endphp
                                                                @foreach (driverOnboardingSetting() as $key => $stage)
                                                                    {!! Form::hidden('detail['.$stage->stage_name.'][stage_no]', $i) !!}

                                                                    @if (!is_null($driverOnboarding) && !is_null($driverOnboarding->detail))
                                                                        @if (
                                                                            isset($driverOnboarding->detail_json[$stage->stage_name]) &&
                                                                            $driverOnboarding->detail_json[$stage->stage_name]['is_complete'] == 1
                                                                        )
                                                                            <li class="fill-active"
                                                                                data-stage-name="{{ $stage->stage_name }}"
                                                                                data-stage-no="{{ $i }}"><span
                                                                                    class="p-value">Stage {{ ++$key }}</span>
                                                                            </li>
                                                                        @elseif(
                                                                            isset($driverOnboarding->detail_json[$stage->stage_name]) &&
                                                                            $driverOnboarding->detail_json[$stage->stage_name]['is_complete'] == 0 &&
                                                                            !is_null($filtered_collection) &&
                                                                            $driverOnboarding->detail_json[$stage->stage_name]['stage_no'] <= $filtered_collection['stage_no']
                                                                        )
                                                                            <li class="fill-inactive"
                                                                                data-stage-name="{{ $stage->stage_name }}"
                                                                                data-stage-no="{{ $i }}"><span
                                                                                    class="p-value">Stage {{ ++$key }}</span>
                                                                            </li>
                                                                        @else
                                                                            <li data-stage-name="{{ $stage->stage_name }}"
                                                                                data-stage-no="{{ $i }}"><span
                                                                                    class="p-value">Stage {{ ++$key }}</span>
                                                                            </li>
                                                                        @endif
                                                                    @else
                                                                        <li data-stage-name="{{ $stage->stage_name }}"
                                                                            data-stage-no="{{ $i }}"><span
                                                                                class="p-value">Stage {{ ++$key }}</span>
                                                                        </li>
                                                                    @endif
                                                                    @php $i = $i+1; @endphp
                                                                @endforeach
                                                            @endif
                                                        </ul>
                                                    </td>
                                                </tr>

                                                </tbody>

                                            @endforeach

                                        </table>

                                    </div>
                                    <div class="mt-4 mb-4"> {{  $driverOnboardings->links() }}</div>

                                </div>
                            </div>

                        </div>

                        <div class="tab-pane fade" id="Hired" role="tabpanel" aria-labelledby="View-tab">
                            <div class="tab-pane fade show active" id="Hired" role="tabpanel"
                                 aria-labelledby="All-tab">
                                <div class="row">
                                    <div class="col-md-3 col-sm-6">
                                        <div class="white-box mb-4">
                                            <div class="box-padding employee-box">
                                                <span>Currently Onboarding</span>
                                                <h5 id="">{{$onboardingCount}}</h5>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-3 col-sm-6">
                                        <div class="white-box mb-4">
                                            <div class="box-padding employee-box">
                                                <span>Hired</span>
                                                <h5 id="">{{$hired}}</h5>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-3 col-sm-6">
                                        <div class="white-box mb-4">
                                            <div class="box-padding employee-box">
                                                <span>Rejected</span>
                                                <h5>{{$rejected}}</h5>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-3 col-sm-6">
                                        <div class="white-box mb-4">
                                            <div class="box-padding employee-box">
                                                <span>Terminated</span>
                                                <h5 id="">{{$terminatedCount}}</h5>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row">

                                    <div class="col-md-12 white-box mb-4">
                                        <h5 class="mt-2 mb-2">Current Employees</h5>
                                        <div class="table-responsive stage-listing">
                                            <table width="100%" class="table border-0">

                                                <thead>
                                                <tr>
                                                    <th scope="col">Name</th>
                                                    <th scope="col">Status</th>
                                                    <th scope="col">Application Date</th>
                                                    <th scope="col">Start Date</th>
                                                    <th scope="col">Day in onboarding</th>
                                                    <th scope="col">Action</th>
                                                </tr>
                                                </thead>

                                                @foreach($hireds as $driverOnboarding)
                                                    <tbody>
                                                    <tr>

                                                        <th scope="row">{{$driverOnboarding->first_name}} {{$driverOnboarding->last_name}}</th>
                                                        <td>

                                                            @if($driverOnboarding->status == 0)
                                                                Pending
                                                            @elseif($driverOnboarding->status == 1)
                                                                Onboarding
                                                            @elseif($driverOnboarding->status == 2)
                                                                Hired
                                                            @elseif($driverOnboarding->status == 3)
                                                                Rejected
                                                            @endif
                                                        </td>
                                                        <td>{{$driverOnboarding->application_date ?? "N/A"}}</td>
                                                        <td>{{$driverOnboarding->start_date ?? "N/A"}}</td>
                                                        <td>
                                                            <?php
                                                            if (isset($driverOnboarding->start_date) && isset($driverOnboarding->application_date)) {
                                                                $start_date = $driverOnboarding->start_date;
                                                                $terminated_date = $driverOnboarding->application_date;
                                                                $to = \Carbon\Carbon::parse($start_date);
                                                                $end = \Carbon\Carbon::parse($terminated_date);
                                                                //
                                                                $diff_in_days = $to->diffInDays($end);
                                                                echo $diff_in_days . " Days";
                                                            }
                                                            ?></td>
                                                        <td style="text-align: inherit;">
                                                            <a href="{{route('company.admin.drivers.show',base64Encode($driverOnboarding->driver_id).'/#DriverOnboarding')}}" class="btn btn-sm btn-outline-black-action" target="_blank"><i class="fa fa-eye" aria-hidden="true"></i></a>
                                                        </td>
                                                    <tr>
                                                        <td colspan="6"
                                                            style="background: #eff4fa!important;padding-top: 14px!important;padding-left: 5px!important;padding-right: 5px!important;">
                                                            <ul class="imp-cls custom-progress-bar onboard-progress-bar">
                                                                <?php
                                                                $filtered_collection = null;
                                                                if (!is_null($driverOnboarding)) {
                                                                    $t = collect($driverOnboarding->detail_json);
                                                                    $filtered_collection = $t->filter(function ($item) {
                                                                        return $item['yes_no'] == 1 && $item['is_complete'] == 1;
                                                                    })->last();
                                                                }

                                                                ?>
                                                                @if (count(driverOnboardingSetting()))
                                                                    @php $i = 1; @endphp
                                                                    @foreach (driverOnboardingSetting() as $key => $stage)
                                                                        {!! Form::hidden('detail['.$stage->stage_name.'][stage_no]', $i) !!}

                                                                        @if (!is_null($driverOnboarding) && !is_null($driverOnboarding->detail))
                                                                            @if (
                                                                                isset($driverOnboarding->detail_json[$stage->stage_name]) &&
                                                                                $driverOnboarding->detail_json[$stage->stage_name]['is_complete'] == 1
                                                                            )
                                                                                <li class="fill-active"
                                                                                    data-stage-name="{{ $stage->stage_name }}"
                                                                                    data-stage-no="{{ $i }}"><span
                                                                                        class="p-value">Stage {{ ++$key }}</span>
                                                                                </li>
                                                                            @elseif(
                                                                                isset($driverOnboarding->detail_json[$stage->stage_name]) &&
                                                                                $driverOnboarding->detail_json[$stage->stage_name]['is_complete'] == 0 &&
                                                                                !is_null($filtered_collection) &&
                                                                                $driverOnboarding->detail_json[$stage->stage_name]['stage_no'] <= $filtered_collection['stage_no']
                                                                            )
                                                                                <li class="fill-inactive"
                                                                                    data-stage-name="{{ $stage->stage_name }}"
                                                                                    data-stage-no="{{ $i }}"><span
                                                                                        class="p-value">Stage {{ ++$key }}</span>
                                                                                </li>
                                                                            @else
                                                                                <li data-stage-name="{{ $stage->stage_name }}"
                                                                                    data-stage-no="{{ $i }}"><span
                                                                                        class="p-value">Stage {{ ++$key }}</span>
                                                                                </li>
                                                                            @endif
                                                                        @else
                                                                            <li data-stage-name="{{ $stage->stage_name }}"
                                                                                data-stage-no="{{ $i }}"><span
                                                                                    class="p-value">Stage {{ ++$key }}</span>
                                                                            </li>
                                                                        @endif
                                                                        @php $i = $i+1; @endphp
                                                                    @endforeach
                                                                @endif
                                                            </ul>
                                                        </td>
                                                    </tr>

                                                    </tbody>
                                                @endforeach
                                            </table>
                                            <div class="mt-4 mb-4"> {{  $hireds->links() }}</div>

                                        </div>
                                    </div>
                                </div>


                            </div>

                            {{--                            @include('companyAdmin.driver.tab.loads')--}}
                        </div>
                        <div class="tab-pane fade" id="Terminated" role="tabpanel" aria-labelledby="leave-tab">
                            <div class="tab-pane fade show active" id="Onboarding" role="tabpanel"
                                 aria-labelledby="All-tab">
                                <div class="row">
                                    <div class="col-md-3 col-sm-6">
                                        <div class="white-box mb-4">
                                            <div class="box-padding employee-box">
                                                <span>Currently Onboarding</span>
                                                <h5 id="">{{$onboardingCount}}</h5>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-3 col-sm-6">
                                        <div class="white-box mb-4">
                                            <div class="box-padding employee-box">
                                                <span>Hired</span>
                                                <h5 id="">{{$hired}}</h5>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-3 col-sm-6">
                                        <div class="white-box mb-4">
                                            <div class="box-padding employee-box">
                                                <span>Rejected</span>
                                                <h5>{{$rejected}}</h5>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-3 col-sm-6">
                                        <div class="white-box mb-4">
                                            <div class="box-padding employee-box">
                                                <span>Terminated</span>
                                                <h5 id="">{{$terminatedCount}}</h5>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row">

                                    <div class="col-md-12 white-box mb-4">
                                        <h5 class="mt-2 mb-2">Terminated Drivers</h5>
                                        <div class="table-responsive stage-listing">
                                            <table width="100%" class="table border-0">

                                                <thead>
                                                <tr>
                                                    <th scope="col">Name</th>
                                                    <th scope="col">Status</th>
                                                    <th scope="col">Application Date</th>
                                                    <th scope="col">Start Date</th>
                                                    <th scope="col">Day in Onboard</th>
                                                    <th scope="col">Termination Date</th>
                                                    <th scope="col">Days Employed</th>
                                                    <th scope="col">Action</th>
                                                </tr>
                                                </thead>

                                                @foreach($terminateds as $driverOnboarding)
{{--                                                    {{dd($driverOnboarding)}}--}}
                                                    <tbody>
                                                    <tr>

                                                        <th scope="row">{{$driverOnboarding->first_name}} {{$driverOnboarding->last_name}}</th>
                                                        <td>
                                                            Terminated
                                                        </td>
                                                        <td>{{$driverOnboarding->application_date ?? "N/A"}}</td>
                                                        <td>{{$driverOnboarding->start_date ?? "N/A"}}</td>
                                                        <td>
                                                            <?php
                                                            if (isset($driverOnboarding->application_date) && isset($driverOnboarding->start_date)) {
                                                                $start_date = $driverOnboarding->application_date;
                                                                $terminated_date = $driverOnboarding->start_date;
                                                                $to = \Carbon\Carbon::parse($start_date);
                                                                $end = \Carbon\Carbon::parse($terminated_date);
                                                                //
                                                                $diff_in_days = $to->diffInDays($end);
                                                                echo $diff_in_days . " Days";
                                                            }
                                                            ?>
                                                        </td>
                                                        <td>{{$driverOnboarding->termination_date ?? "N/A"}}</td>
                                                        <td>
                                                            <?php
                                                            if (isset($driverOnboarding->application_date) && isset($driverOnboarding->termination_date)) {
                                                                $start_date = $driverOnboarding->application_date;
                                                                $terminated_date = $driverOnboarding->termination_date;
                                                                $to = \Carbon\Carbon::parse($start_date);
                                                                $end = \Carbon\Carbon::parse($terminated_date);
                                                                //
                                                                $diff_in_days = $to->diffInDays($end);
                                                                echo $diff_in_days . " Days";
                                                            }
                                                            ?>

                                                        </td>
                                                        <td style="text-align: inherit;">
                                                            <a href="{{route('company.admin.drivers.show',base64Encode($driverOnboarding->driver_id).'/#DriverOnboarding')}}" class="btn btn-sm btn-outline-black-action" target="_blank"><i class="fa fa-eye" aria-hidden="true"></i></a>
                                                        </td>
                                                    <tr>
                                                        <td colspan="8"
                                                            style="background: #eff4fa!important;padding-top: 14px!important;padding-left: 5px!important;padding-right: 5px!important;">
                                                            <ul class="imp-cls custom-progress-bar onboard-progress-bar">
                                                                <?php
                                                                $filtered_collection = null;
                                                                if (!is_null($driverOnboarding)) {
                                                                    $t = collect($driverOnboarding->detail_json);
                                                                    $filtered_collection = $t->filter(function ($item) {
                                                                        return $item['yes_no'] == 1 && $item['is_complete'] == 1;
                                                                    })->last();
                                                                }

                                                                ?>
                                                                @if (count(driverOnboardingSetting()))
                                                                    @php $i = 1; @endphp
                                                                    @foreach (driverOnboardingSetting() as $key => $stage)
                                                                        {!! Form::hidden('detail['.$stage->stage_name.'][stage_no]', $i) !!}

                                                                        @if (!is_null($driverOnboarding) && !is_null($driverOnboarding->detail))
                                                                            @if (
                                                                                isset($driverOnboarding->detail_json[$stage->stage_name]) &&
                                                                                $driverOnboarding->detail_json[$stage->stage_name]['is_complete'] == 1
                                                                            )
                                                                                <li class="fill-active"
                                                                                    data-stage-name="{{ $stage->stage_name }}"
                                                                                    data-stage-no="{{ $i }}"><span
                                                                                        class="p-value">Stage {{ ++$key }}</span>
                                                                                </li>
                                                                            @elseif(
                                                                                isset($driverOnboarding->detail_json[$stage->stage_name]) &&
                                                                                $driverOnboarding->detail_json[$stage->stage_name]['is_complete'] == 0 &&
                                                                                !is_null($filtered_collection) &&
                                                                                $driverOnboarding->detail_json[$stage->stage_name]['stage_no'] <= $filtered_collection['stage_no']
                                                                            )
                                                                                <li class="fill-inactive"
                                                                                    data-stage-name="{{ $stage->stage_name }}"
                                                                                    data-stage-no="{{ $i }}"><span
                                                                                        class="p-value">Stage {{ ++$key }}</span>
                                                                                </li>
                                                                            @else
                                                                                <li data-stage-name="{{ $stage->stage_name }}"
                                                                                    data-stage-no="{{ $i }}"><span
                                                                                        class="p-value">Stage {{ ++$key }}</span>
                                                                                </li>
                                                                            @endif
                                                                        @else
                                                                            <li data-stage-name="{{ $stage->stage_name }}"
                                                                                data-stage-no="{{ $i }}"><span
                                                                                    class="p-value">Stage {{ ++$key }}</span>
                                                                            </li>
                                                                        @endif
                                                                        @php $i = $i+1; @endphp
                                                                    @endforeach
                                                                @endif
                                                            </ul>
                                                        </td>
                                                    </tr>

                                                    </tbody>
                                                @endforeach
                                            </table>
                                        </div>
                                        <div class="mt-4 mb-4"> {{  $terminateds->links() }}</div>
                                    </div>
                                </div>

                            </div>
                            {{--                            @include('companyAdmin.driver.tab.complianceSafety')--}}
                        </div>
                        <div class="tab-pane fade" id="Rejected" role="tabpanel" aria-labelledby="View-tab">
                            <div class="tab-pane fade show active" id="Rejected" role="tabpanel"
                                 aria-labelledby="All-tab">
                                <div class="row">
                                    <div class="col-md-3 col-sm-6">
                                        <div class="white-box mb-4">
                                            <div class="box-padding employee-box">
                                                <span>Rejected</span>
                                                <h5 id="">{{$onboardingCount}}</h5>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-3 col-sm-6">
                                        <div class="white-box mb-4">
                                            <div class="box-padding employee-box">
                                                <span>Hired</span>
                                                <h5 id="">{{$hired}}</h5>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-3 col-sm-6">
                                        <div class="white-box mb-4">
                                            <div class="box-padding employee-box">
                                                <span>Rejected</span>
                                                <h5>{{$rejected}}</h5>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-3 col-sm-6">
                                        <div class="white-box mb-4">
                                            <div class="box-padding employee-box">
                                                <span>Terminated</span>
                                                <h5 id=""><h5 id="">{{$terminatedCount}}</h5></h5>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row">

                                    <div class="col-md-12 white-box mb-4">
                                        <h5 class="mt-2 mb-2">Rejected Applicants</h5>
                                        <div class="table-responsive stage-listing">
                                            <table width="100%" class="table border-0">

                                                <thead>
                                                <tr>
                                                    <th scope="col">Name</th>
                                                    <th scope="col">Status</th>
                                                    <th scope="col">Application Date</th>
                                                    <th scope="col">Rejected Date</th>
                                                    <th scope="col">Day to Rejection</th>
                                                    <th scope="col">Action</th>
                                                </tr>
                                                </thead>

                                                @foreach($rejecteds as $driverOnboarding)
                                                    <tbody>
                                                    <tr>

                                                        <th scope="row">{{$driverOnboarding->first_name}} {{$driverOnboarding->last_name}}</th>
                                                        <td>

                                                            @if($driverOnboarding->status == 0)
                                                                Pending
                                                            @elseif($driverOnboarding->status == 1)
                                                                Onboarding
                                                            @elseif($driverOnboarding->status == 2)
                                                                Hired
                                                            @elseif($driverOnboarding->status == 3)
                                                                Rejected
                                                            @endif
                                                        </td>
                                                        <td>{{$driverOnboarding->application_date ?? "N/A"}}</td>
                                                        <td>{{$driverOnboarding->start_date ?? "N/A"}}</td>
                                                        <td>
                                                            <?php
                                                            if (isset($driverOnboarding->start_date) && isset($driverOnboarding->application_date)) {
                                                                $start_date = $driverOnboarding->start_date;
                                                                $terminated_date = $driverOnboarding->application_date;
                                                                $to = \Carbon\Carbon::parse($start_date);
                                                                $end = \Carbon\Carbon::parse($terminated_date);
                                                                //
                                                                $diff_in_days = $to->diffInDays($end);
                                                                echo $diff_in_days . " Days";
                                                            }
                                                            ?>
                                                        </td>
                                                        <td style="text-align: inherit;">
                                                            <a href="{{route('company.admin.drivers.show',base64Encode($driverOnboarding->driver_id).'/#DriverOnboarding')}}" class="btn btn-sm btn-outline-black-action" target="_blank"><i class="fa fa-eye" aria-hidden="true"></i></a>
                                                            </td>
                                                    <tr>
                                                        <td colspan="6"
                                                            style="background: #eff4fa!important;padding-top: 14px!important;padding-left: 5px!important;padding-right: 5px!important;">
                                                            <ul class="imp-cls custom-progress-bar onboard-progress-bar">
                                                                <?php
                                                                $filtered_collection = null;
                                                                if (!is_null($driverOnboarding)) {
                                                                    $t = collect($driverOnboarding->detail_json);
                                                                    $filtered_collection = $t->filter(function ($item) {
                                                                        return $item['yes_no'] == 1 && $item['is_complete'] == 1;
                                                                    })->last();
                                                                }

                                                                ?>
                                                                @if (count(driverOnboardingSetting()))
                                                                    @php $i = 1; @endphp
                                                                    @foreach (driverOnboardingSetting() as $key => $stage)
                                                                        {!! Form::hidden('detail['.$stage->stage_name.'][stage_no]', $i) !!}

                                                                        @if (!is_null($driverOnboarding) && !is_null($driverOnboarding->detail))
                                                                            @if (
                                                                                isset($driverOnboarding->detail_json[$stage->stage_name]) &&
                                                                                $driverOnboarding->detail_json[$stage->stage_name]['is_complete'] == 1
                                                                            )
                                                                                <li class="fill-active"
                                                                                    data-stage-name="{{ $stage->stage_name }}"
                                                                                    data-stage-no="{{ $i }}"><span
                                                                                        class="p-value">Stage {{ ++$key }}</span>
                                                                                </li>
                                                                            @elseif(
                                                                                isset($driverOnboarding->detail_json[$stage->stage_name]) &&
                                                                                $driverOnboarding->detail_json[$stage->stage_name]['is_complete'] == 0 &&
                                                                                !is_null($filtered_collection) &&
                                                                                $driverOnboarding->detail_json[$stage->stage_name]['stage_no'] <= $filtered_collection['stage_no']
                                                                            )
                                                                                <li class="fill-inactive"
                                                                                    data-stage-name="{{ $stage->stage_name }}"
                                                                                    data-stage-no="{{ $i }}"><span
                                                                                        class="p-value">Stage {{ ++$key }}</span>
                                                                                </li>
                                                                            @else
                                                                                <li data-stage-name="{{ $stage->stage_name }}"
                                                                                    data-stage-no="{{ $i }}"><span
                                                                                        class="p-value">Stage {{ ++$key }}</span>
                                                                                </li>
                                                                            @endif
                                                                        @else
                                                                            <li data-stage-name="{{ $stage->stage_name }}"
                                                                                data-stage-no="{{ $i }}"><span
                                                                                    class="p-value">Stage {{ ++$key }}</span>
                                                                            </li>
                                                                        @endif
                                                                        @php $i = $i+1; @endphp
                                                                    @endforeach
                                                                @endif
                                                            </ul>
                                                        </td>
                                                    </tr>

                                                    </tbody>
                                                @endforeach
                                            </table>
                                        </div>
                                        <div class="mt-4 mb-4"> {{  $rejecteds->links() }}</div>
                                    </div>
                                </div>


                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection

@section('script')
    <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11.1.4/dist/sweetalert2.all.min.js"></script>
    <script src="{{ asset('theme/js/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('theme/js/moment.min.js') }}"></script>
    <script src="{{ asset('theme/js/fullcalendar.min.js') }}"></script>
    <script src="{{ asset('theme/js/jquery.form.min.js') }}"></script>
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script src="{{ asset('theme/js/jquery.lineProgressbar.js') }}"></script>
    <script src="https://code.highcharts.com/highcharts.js"></script>
    <script src="https://code.highcharts.com/modules/variable-pie.js"></script>
    <script src="https://code.highcharts.com/modules/export-data.js"></script>
    <script src="https://code.highcharts.com/modules/accessibility.js"></script>
    <script src="{{ asset('theme/js/daterangepicker.min.js') }}"></script>

    <script type="text/javascript">

        /***********End Account Chart************/
        function search() {
            var x = document.getElementById("searchId");
            x.value = x.value.toLowerCase();
            console.log(x.value);
        }


    </script>
@endsection
