{!! Form::model($driverHosViolation,array('route' => ['company.admin.hos.violation.update',$driverHosViolation->id],'method'=>'PATCH','files'=>'true','class'=>'updateHOSViolationForm')) !!}
    @php $dummy_id = $driverHosViolation->id; @endphp
    <input type="hidden" name="dummy_id" value="{{$dummy_id}}">
    <div class="modal-body">
        {!! Form::hidden('driver_id', $driverHosViolation->driver_id) !!}
        <div class="row">
            <div class="col-md-12 mt-3 unittypeset d-none">
                <div class="bg-gray-box mb-3 unittruck d-none">
                    <div class="row">
                        <div class="col-md-3">Unit 1(Truck)</div>
                        <div class="col-md-3 make"></div>
                        <div class="col-md-3 year"></div>
                        <div class="col-md-3 vin"></div>
                    </div>
                </div>
                <div class="bg-gray-box unittrailer d-none">
                    <div class="row">
                        <div class="col-md-3 unit_sr">Unit 2(Trailer)</div>
                        <div class="col-md-3 make"></div>
                        <div class="col-md-3 year"></div>
                        <div class="col-md-3 vin"></div>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label>Title</label>
                    {!! Form::text('short_description', old('short_description'), array('class' => 'form-control', 'autocomplete' => 'new', 'placeholder' => 'Enter Title')) !!}
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label>Report Number<span>*</span></label>
                    {!! Form::text('title', old('title'), array('class' => 'form-control', 'autocomplete' => 'new', 'placeholder' => 'Enter Report Number', 'required' => 'required')) !!}
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <label>Inspection Level</label>
                    {!! Form::select('inspection_level', ['' => 'Select Inspection Level']+getDriverInspectionLevel(), null, ['class' => 'custom-select form-control select2','data-parsley-errors-container'=>'#datainspection_level']) !!}
                    <div id="datainspection_level"></div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <label>State</label>
                    {!! Form::select('state', ['' => 'Select State']+getStateList(), null, ['class' => 'custom-select select2 form-control','data-parsley-errors-container'=>'#datastate']) !!}
                    <div id="datastate"></div>
                </div>
            </div>
            <div class="col-md-2">
                <div class="form-group">
                    <label>Inspection Date</label>
                    <div class="input-group">
                        {!! Form::text('date', old('date'), array('class' => 'form-control date', 'autocomplete' => 'off')) !!}
                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                    </div>
                </div>
            </div>
            <div class="col-md-2">
                <div class="form-group">
                    <label>Start Time</label>
                    <div class="input-group">
                        {!! Form::text('starttime', old('starttime'), array('class' => 'form-control cutomtime', 'autocomplete' => 'off')) !!}
                        <img src="{{ asset('theme/img/timer-blue.svg') }}" alt="icon">
                    </div>
                </div>
            </div>
            <div class="col-md-2">
                <div class="form-group">
                    <label>End Time</label>
                    <div class="input-group">
                        {!! Form::text('endtime', old('endtime'), array('class' => 'form-control cutomtime', 'autocomplete' => 'off')) !!}
                        <img src="{{ asset('theme/img/timer-blue.svg') }}" alt="icon">
                    </div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <label>Driver<span>*</span></label>
                    {!! Form::select('driver_id', ['' => 'Select Driver']+getDriverListByCompany(auth()->guard('company-admin')->user()->company_id), request()->get('driver_id'), ['required' => 'required','class' => 'form-control select2','data-parsley-errors-container'=>'#datadriver_id']) !!}
                    <div id="datadriver_id"></div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <label>Motor Carrier</label>
                    {!! Form::select('motor_carrier', ['' => 'Select Motor Carrier']+getCarrierList(), old('parent_terminal'), ['class' => 'form-control select2','data-parsley-errors-container'=>'#datamotor_carrier']) !!}
                    <div id="datamotor_carrier"></div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <label>Unit 1(Truck)</label>
                    {!! Form::select('unit1', ['' => 'Select Truck']+getTruckList(), old('current_assigned_truck'), ['class' => 'form-control select2 unit1','data-parsley-errors-container'=>'#datacurrent_assigned_truck']) !!}
                    <div id="datacurrent_assigned_truck"></div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <label>Unit 2(Trailer)</label>
                    {!! Form::select('unit2', ['' => 'Select Trailer']+getTrailerList(), null, ['class' => 'custom-select trailer-type form-control select2 unit2','data-parsley-errors-container'=>'#dataunit2']) !!}
                    <div id="dataunit2"></div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <label>Load Number</label>
                    {!! Form::select('load_number', ['' => 'Select Load Number']+getLoadNumberByDriverId(), old('load_number'), ['class' => 'custom-select form-control select2','data-parsley-errors-container'=>'#loadnumberError']) !!}
                    <div id="loadnumberError"></div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <label>Time Weight</label>
                    {!! Form::text('time_weight', old('time_weight'), array('class' => 'form-control', 'autocomplete' => 'new', 'placeholder' => 'Enter Time Weight')) !!}
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <label>Severity Weight</label>
                    {!! Form::text('severity_weight', old('severity_weight'), array('class' => 'form-control', 'autocomplete' => 'new', 'placeholder' => 'Severity Weight')) !!}
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <label>Total Weight</label>
                    {!! Form::text('total_weight', old('total_weight'), array('class' => 'form-control', 'autocomplete' => 'new', 'placeholder' => 'Enter Total Weight')) !!}
                </div>
            </div>
            <div class="col-md-4">
                <div class="form-group">
                    <div class="d-flex align-items-center">
                        <div class="p-2">
                            <div class="custom-control custom-switch">
                                {!! Form::checkbox('hazmat_inspection', 1, null, array('class' => 'custom-control-input self-dispatch', 'id' => 'hazmat_inspection')) !!}
                                <label class="custom-control-label" for="hazmat_inspection"></label>
                            </div>
                        </div>
                        <div class="p-2">
                            <label>Hazmat Inspection</label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-2 d-none">
                <div class="form-group">
                    <label>Certified & Returned</label>
                    <div class="custom-control custom-switch">
                        {!! Form::checkbox('certified_returned', 1, null, array('class' => 'custom-control-input self-dispatch', 'id' => 'certified_returned')) !!}
                        <label class="custom-control-label" for="certified_returned"></label>
                    </div>
                </div>
            </div>
            <div class="col-md-2">
                <div class="form-group">
                    <div class="d-flex align-items-center justify-content-end">
                        <div class="p-2">
                            <div class="custom-control custom-switch">
                                {!! Form::checkbox('dataq', 1, null, array('class' => 'custom-control-input self-dispatch', 'id' => 'dataq')) !!}
                                <label class="custom-control-label" for="dataq"></label>
                            </div>
                        </div>
                        <div class="p-2">
                            <label>DataQ</label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-2">
                <div class="form-group">
                    <div class="d-flex align-items-center justify-content-end">
                        <div class="p-2">
                            <div class="custom-control custom-switch">
                                {!! Form::checkbox('dot_crash', 1, null, array('class' => 'custom-control-input self-dispatch', 'id' => 'dot_crash')) !!}
                                <label class="custom-control-label" for="dot_crash"></label>
                            </div>
                        </div>
                        <div class="p-2">
                            <label>DOT Crash</label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-2">
                <div class="form-group">
                    <div class="d-flex align-items-center justify-content-end">
                        <div class="p-2">
                            <div class="custom-control custom-switch">
                                {!! Form::checkbox('towed', 1, null, array('class' => 'custom-control-input self-dispatch', 'id' => 'towed')) !!}
                                <label class="custom-control-label" for="towed"></label>
                            </div>
                        </div>
                        <div class="p-2">
                            <label>Towed</label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-2">
                <div class="form-group">
                    <div class="d-flex align-items-center justify-content-end">
                        <div class="p-2">
                            <div class="custom-control custom-switch">
                                {!! Form::checkbox('injury', 1, null, array('class' => 'custom-control-input self-dispatch', 'id' => 'injury')) !!}
                                <label class="custom-control-label" for="injury"></label>
                            </div>
                        </div>
                        <div class="p-2">
                            <label>Injury</label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-12 mt-3">
                @php
                    $ViolationsData = $driverHosViolation->DriverHosViolationsData;
                @endphp
                @if(count($driverHosViolation->DriverHosViolationsData) > 0)
                    @php
                        $p=0;
                    @endphp
                    @foreach($ViolationsData as $violadata)
                        <div class="d-flex align-items-center justify-content-between" id="hosvolation">
                            <div>
                                <div class="form-group">
                                    <label>Violations Unit</label>
                                    <select name="unit_type[]" class="form-control unittype select2" data-no-search='true'>
                                        <option value="">Select Unit</option>
                                        <option @if($violadata->unit_type == 1) selected @endif value="1">Driver</option>
                                        <option @if($violadata->unit_type == 2) selected @endif value="2">Truck</option>
                                        <option @if($violadata->unit_type == 3) selected @endif value="3">Trailer</option>
                                    </select>
                                </div>
                            </div>
                            {{--
                                <div class="make d-none" >
                                    <div class="form-group"><label>Make</label><input type="text" name="make[]" value="{{ $violadata->make }}" class="form-control"></div>
                                </div>
                                <div class="year d-none">
                                    <div class="form-group"><label>Year</label><input type="text" name="year[]" value="{{ $violadata->year }}" class="form-control"></div>
                                </div>
                                <div class="vin d-none">
                                    <div class="form-group"><label>VIN</label><input type="text" name="vin[]" value="{{ $violadata->vin }}" class="form-control"></div>
                                </div>
                            --}}
                            <div>
                                <div class="form-group">
                                    <label>Out of Service</label>
                                    <select name="oos[]" class="form-control select2" data-no-search='true'>
                                        <option value="">Select OOS</option>
                                        <option @if($violadata->oos == 1) selected @endif value="1">Yes</option>
                                        <option @if($violadata->oos == 0) selected @endif value="0">No</option>
                                    </select>
                                </div>
                            </div>
                            @if($violadata->unit_type == 1)
                                <div class="violation_code">
                                    <div class="form-group">
                                        <label>Violation Code</label>
                                        <select class="hosvolationdata form-control select2" name="violation_code[]" >
                                            <option value="">Select Violation Code</option>
                                            @foreach(getDriverHosViolationCode() as $hoscode)
                                                <option @if($violadata->violation_code == $hoscode->id) selected @endif value="{{ $hoscode->id }}" data-title="{{ $hoscode->description }}">{{ $hoscode->code }} - {{ \Illuminate\Support\Str::limit($hoscode->description, 30, $end='...') }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            @else
                                <div class="violation_code">
                                    <div class="form-group">
                                        <label>Violation Code</label>
                                        <select class="hoscitationsdata form-control select2" name="violation_code[]">
                                            <option value="">Select Violation Code</option>
                                            @foreach(getDriverCitationsViolationCode() as $citcode)
                                                <option @if($violadata->violation_code == $citcode->id) selected @endif value="{{ $citcode->id }}" data-title="{{ $citcode->description }}">{{ $citcode->code }} - {{ \Illuminate\Support\Str::limit($citcode->description, 30, $end='...') }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            @endif
                            <div class="description">
                                <div class="form-group"><label>Description </label><input type="text" name="description[]" value="{{ $violadata->description }}" class="form-control" placeholder="Enter Description"/></div>
                            </div>
                            <div>
                                <div class="form-group">
                                    <label class="d-block" style="visibility: hidden;">Action</label>
                                    @if($p == 0)
                                        <a href="javascript:void(0)" class="btn btn-success" id="HosaddRow"><i class="fa fa-plus"></i></a>
                                    @else
                                        <a href="javascript:void(0)" class="btn btn-danger" id="HosremoveRow"><i class="fa fa-trash"></i></a>
                                    @endif
                                </div>
                            </div>
                            <?php /*
                            @if($violadata->unit_type != 1)
                                <div class="col-md-12 mt-3 mb-3 unittypeset">
                                    <div class="bg-gray-box">
                                        <div class="row">
                                            @if($violadata->unit_type == 2)
                                                <div class="col-md-3"> Unit 1 (Truck)</div>
                                            @endif
                                            @if($violadata->unit_type == 3)
                                                <div class="col-md-3"> Unit 2 (Trailer)</div>
                                            @endif
                                            <div class="col-md-3">{{ $violadata->make }}</div>
                                            <div class="col-md-3">{{ $violadata->year }}</div>
                                            <div class="col-md-3">{{ $violadata->vin }}</div>
                                        </div>
                                    </div>
                                </div>
                            @endif
                            */ ?>
                        </div>
                        @php
                            $p++;
                        @endphp
                    @endforeach
                @else
                    <div class="d-flex align-items-center justify-content-between" id="hosvolation">
                        <div>
                            <div class="form-group">
                                <label>Violations Unit</label>
                                <select name="unit_type[]" class="form-control unittype select2" data-no-search='true'>
                                    <option value="">Select Unit</option>
                                    <option value="1">Driver</option>
                                    <option value="2">Truck</option>
                                    <option value="3">Trailer</option>
                                </select>
                            </div>
                        </div>
                        <div>
                            <div class="form-group">
                                <label>Out of Service</label>
                                <select name="oos[]" class="form-control select2" data-no-search='true'>
                                    <option value="">Select OOS</option>
                                    <option value="1">Yes</option>
                                    <option value="0">No</option>
                                </select>
                            </div>
                        </div>
                        <div class="violation_code">
                            <div class="form-group">
                                <label>Violation Code</label>
                                <select name="violation_code[]" class="form-control select2">
                                    <option value="">Violation Code</option>
                                </select>
                            </div>
                        </div>
                        <div class="description">
                            <div class="form-group"><label>Description </label><input type="text" name="description[]" value="" class="form-control" placeholder="Enter Description"/></div>
                        </div>
                        <div>
                            <div class="form-group">
                                <label class="d-block" style="visibility: hidden;">Action</label><a href="javascript:void(0)" class="btn btn-success" id="HosaddRow"><i class="fa fa-plus"></i></a>
                            </div>
                        </div>
                    </div>
                @endif
                <div id="HosnewRow"></div>
            </div>
            <div class="col-md-4">
                <div class="form-group">
                    <label>Attachment</label>
                    <a href="#" class="gallary-edit mr-4 form-control @if(getGalleryCount('driver_hos_violations',$dummy_id,'image')) bgr-blue @endif" data-id="{{$dummy_id}}" data-source="driver_hos_violations" data-field="image" data-toggle="modal" data-target="#galleryModal">
                        {{ ($driverHosViolation->galleries->count() > 0) ? $driverHosViolation->galleries->count().' File Uploaded' : 'Upload' }}
                        <img src="{{ asset('theme/img/picture.png') }}" alt="">
                    </a>
                </div>
            </div>
            <div class="col-md-4">
                <div class="form-group">
                    <label>Disciplinary Action</label>
                    {!! Form::select('disciplinary_action', ['' => 'Select Disciplinary Action']+getDriverDisciplinaryAction(),request()->get('disciplinary_action'), ['class' => 'form-control select2','data-parsley-errors-container'=>'#datadisciplinary_action']) !!}
                    <div id="datadisciplinary_action"></div>
                </div>
            </div>
            <div class="col-md-4">
                <div class="form-group">
                    <label class="@if($driverHosViolation->status == 'incomplete') text-danger @else text-success @endif">Status</label>
                    <select name="status" class="form-control select2" data-no-search='true' required>
                        <option @if($driverHosViolation->status == 'incomplete') selected @endif value="incomplete">Incomplete</option>
                        <option @if($driverHosViolation->status == 'complete') selected @endif value="complete">Complete</option>
                    </select>
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group mt-2">
                    <label>Notes</label>
                    {!! Form::textarea('note', old('note'), array('class' => 'form-control', 'rows' => '4','placeholder' => 'Enter Notes')) !!}
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
        <button class="btn btn-blue">Update</button>
    </div>
{!! Form::close() !!}
<div class="d-none noneusedata">
    <div class="afwejwe"></div>
    <input type="text" name="truck_make" value="" />
    <input type="text" name="truck_year" value="" />
    <input type="text" name="truck_vin" value="" />
    <input type="text" name="trailer_make" value="" />
    <input type="text" name="trailer_year" value="" />
    <input type="text" name="trailer_vin" value="" />
    <select class="hosvolationdata form-control firsttime select2" name="violation_code[]" >
        <option value="">Select Violation Code</option>
        @foreach(getDriverHosViolationCode() as $hoscode)
            <option @if($violadata->violation_code == $hoscode->id) selected @endif  value="{{ $hoscode->id }}" data-title="{{ $hoscode->description }}">{{ $hoscode->code }} - {{ \Illuminate\Support\Str::limit($hoscode->description, 30, $end='...') }}</option>
        @endforeach
    </select>
    <select class="hoscitationsdata form-control firsttime select2" name="violation_code[]">
        <option value="">Select Violation Code</option>
        @foreach(getDriverCitationsViolationCode() as $citcode)
            <option @if($violadata->violation_code == $citcode->id) selected @endif  value="{{ $citcode->id }}" data-title="{{ $citcode->description }}">{{ $citcode->code }} - {{ \Illuminate\Support\Str::limit($citcode->description, 30, $end='...') }}</option>
        @endforeach
    </select>
</div>
