@extends($companyAdminTheme)

@section('title')
    Driver
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.1/themes/base/jquery-ui.css">
    <style type="text/css">
        .dataTables_length {display: block;}
        .cusotdiv2 {display: flex;justify-content: end;align-items: center;}
        .dataTables_length label {margin-bottom: 0;padding-left: 10px!important;}
    </style>
    <style type="text/css">
        .table-view .dataTable thead tr th {
            background-color: #305f9c;
        }
        .table-view .dataTables_scrollBody table.dataTable > thead tr th {
            padding: 0 15px !important;
        }
        .table-view .DTFC_RightBodyLiner table.dataTable > thead tr th {
            height: 0;
            padding: 0 15px !important;
            opacity: 0;
        }
        .select2 {
            width: 100% !important;
            min-width: 200px !important;
        }
    </style>
@endsection

@section('content')
    {!! Form::open(array('route' => 'company.admin.driver.quarterly.target.revenue','method'=>'POST','class'=>'financial-form')) !!}
        <div class="row">
            <div class="col-md-12 text-left">
                <div class="white-box pb-5">
                    <div class="box-padding">
                        <div class="row">
                            <input type="hidden" name="selectedDrivers"  id="selecteddrivers" />
                            <div class="col-md-6">
                                <div class="row">
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label>Year</label>
                                            <select class="custom-select form-control select2" id="yearfirns" name="year" required>
                                                <option value="">Select Year</option>
                                                <?php for ($x = 2020; $x <= 2030; $x++): ?>
                                                    <option <?php if($x == date("Y")){ echo "selected";} ?> value="<?php echo $x; ?>"><?php echo $x; ?></option>
                                                <?php endfor; ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label>Quarter</label>
                                            <select class="custom-select form-control select2" id="quarter" name="quarter" required>
                                                <option value="">Select Quarter</option>
                                                <option @if(Carbon\Carbon::now()->quarter == 1) selected @endif value="1">Quarter 1</option>
                                                <option @if(Carbon\Carbon::now()->quarter == 2) selected @endif value="2">Quarter 2</option>
                                                <option @if(Carbon\Carbon::now()->quarter == 3) selected @endif value="3">Quarter 3</option>
                                                <option @if(Carbon\Carbon::now()->quarter == 4) selected @endif value="4">Quarter 4</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="row">
                                    {{--
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                @php
                                                    $getDriver = getDriverListByCompany(auth()->guard('company-admin')->user()->company_id);
                                                @endphp
                                                <label>Driver</label>
                                                <select class="custom-select driver-select2 form-control driver-change" data-parsley-errors-container="#drivernum" name="driver_id[]" required multiple>
                                                    <option value="">Select Driver</option>
                                                    @foreach($getDriver as $key => $gdriver)
                                                        <option value="{{ $key }}">{{ $gdriver }}</option>
                                                    @endforeach
                                                </select>
                                                <div id="drivernum"></div>
                                            </div>
                                        </div>
                                    --}}
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label>Occupancy%</label>
                                            <input type="number" class="form-control" name="occupancy" id="occupancy" placeholder="Occupancy%" required step="any" pattern="^\d*(\.\d{0,2})?$" />
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label>Weekly Gross</label>
                                            <input type="number" class="form-control" id="WeeklyRevenueTarget" placeholder="Weekly Gross Revenue Target" required step="any" pattern="^\d*(\.\d{0,2})?$" />
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label>CPM Target</label>
                                            <input type="number" class="form-control" name="cpm_target" placeholder="CPM Target" required step="any" pattern="^\d*(\.\d{0,2})?$" />
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label>Weekly Target Miles</label>
                                            <input type="number" min="1" class="form-control" id="WeeklyTargetMiles" placeholder="Target Miles" required />
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label>Date Rate</label>
                                            <input type="text" class="form-control" id="fistartdate" placeholder="Start Date" disabled>
                                            <input type="hidden" name="start_date" value="" id="fistartdatevalue" />
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="invisible">Date Rate</label>
                                            <input type="text" class="form-control" id="fienddate" placeholder="End Date" disabled>
                                            <input type="hidden" name="end_date" value="" id="fienddatevalue" />
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label>Quarter Revenue</label>
                                            <input type="number" class="form-control" id="revenue_target" name="revenue_target" placeholder="Gross Revenue Target" required step="any" pattern="^\d*(\.\d{0,2})?$" readonly/>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label>Target Miles</label>
                                            <input type="number" min="1" class="form-control" id="target_miles" name="target_miles" placeholder="Target Miles" required readonly/>
                                        </div>
                                    </div>
                                    <div class="col-md-12 text-right">
                                        <button type="submit" class="btn green-btn green-link-btn" >Update</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="white-box table-view">
            <div class="quarters-head-filter">
                <h3 class="table-title">Drivers Quarters</h3>
                <div>
                    <div class="row align-items-end" >
                        <div class="col-md-6"></div>
                        <div class="col-md-6">
                            <ul class="cust-select-2">
                                <li>Filter</li>
                                <li>
                                    <div class="form-group">
                                    {!! Form::select('team_id', ['' => 'Select Team']+getTeamList(), null, ['class' => 'form-control cust-box team-select select2','id'=>'team_id']) !!}
                                    </div>
                                </li>
                                <li>
                                    <div class="form-group">
                                    {!! Form::select('dispatcher', ['' => 'Select Driver Manager' ]+getTeamHeadListByCompany(auth()->guard('company-admin')->user()->company_id),null,['id' => 'manager_id','class' => 'form-control cust-box dispatcher-select select2','autocomplete' => 'false']) !!}
                                    </div>
                                </li>
                                <li>
                                    <div class="form-group">
                                    {!! Form::select('carrier', ['' => 'Select Carrier']+getCarrierList(), null, ['class' => 'form-control cust-box carrier-select select2','id' => 'carrier']) !!}
                                    </div>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="add-responsive table-responsive">
                <table id="driversQuaterlyLoadTable" class="table data-table">
                    <thead>
                        <tr>
                            <th><input type="checkbox" id="select_all"></th>
                            <th>Driver</th>
                            <th>Year</th>
                            <th>Quarter</th>
                            <th>Occupancy%</th>
                            <th>Weekly Gross</th>
                            <th>CPM</th>
                            <th>Weekly Target Miles</th>
                            <th>Quarter Revenue</th>
                            <th>Quarter Target Miles</th>
                            <th style="width: 40px;">Action</th>
                        </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </div>
        </div>
    {!! Form::close() !!}
@endsection

@section('modal')
    <div class="modal fade" id="editFinancialModal" tabindex="-1" aria-labelledby="newFinancialModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            {!! Form::open(array('route' => 'company.admin.loads.store','method'=>'POST','files'=>'true','class'=>'goal-edit','id'=>'finanform')) !!}
                <input type="hidden" name="driver_id" id="driver_id"  value="">
                <input type="hidden" name="dataid" id="dataid" value="">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="newFinancialModalLabel">Edit</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Year</label>
                                    <select class="custom-select form-control" id="yearfirns" name="year" required>
                                        <?php for ($x = 2020; $x <= 2030; $x++): ?>
                                            <option <?php if($x == 2022){ echo "selected";} ?> value="<?php echo $x; ?>"><?php echo $x; ?></option>
                                        <?php endfor; ?>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Quarter</label>
                                    <select class="custom-select form-control" id="edit_quarter" name="quarter" required>
                                        <option value="">Select Quarter</option>
                                        <option value="1">Quarter 1</option>
                                        <option value="2">Quarter 2</option>
                                        <option value="3">Quarter 3</option>
                                        <option value="4">Quarter 4</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Occupancy%</label>
                                    <input type="number" class="form-control" name="occupancy" placeholder="Occupancy%" required step="any" pattern="^\d*(\.\d{0,2})?$" />
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Weekly Gross Revenue Target</label>
                                    <input type="number" class="form-control" id="edit_WeeklyRevenueTarget" placeholder="Weekly Gross Revenue Target" required step="any" pattern="^\d*(\.\d{0,2})?$" />
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>CPM Target</label>
                                    <input type="number" class="form-control" name="cpm_target" placeholder="CPM Target" required step="any" pattern="^\d*(\.\d{0,2})?$" />
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Weekly Target Miles</label>
                                    <input type="number" min="1" class="form-control" id="edit_WeeklyTargetMiles" placeholder="Weekly Target Miles" required />
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Date Rate</label>
                                    <input type="text" class="form-control" id="edit_fistartdate" placeholder="Start Date" disabled>
                                    <input type="hidden" name="start_date" value="" id="edit_fistartdatevalue" />
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="invisible">Date Rate</label>
                                    <input type="text" class="form-control" id="edit_fienddate" placeholder="End Date" disabled>
                                    <input type="hidden" name="end_date" value="" id="edit_fienddatevalue" />
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Quarter Revenue Target</label>
                                    <input type="number" class="form-control" id="edit_revenue_target" name="revenue_target" placeholder="Gross Revenue Target" required step="any" pattern="^\d*(\.\d{0,2})?$" readonly />
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Quarter Target Miles</label>
                                    <input type="number" min="1" class="form-control" id="edit_target_miles" name="target_miles" placeholder="Target Miles" required readonly />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn cancel-btn" data-dismiss="modal">Cancel</button>
                        <button type="submit" class="btn blue-btn">Update</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>
@endsection

@section('script')
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script src="{{ asset('theme/js/input-mask.js') }}"></script>
    <script src="{{ asset('theme/js/bootstrap-datepicker.js') }}"></script>
    <link rel="stylesheet" href="{{ asset('theme/css/datepicker3.min.css') }}">
    <script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
    <script type="text/javascript">
        var table;
        $( document ).ready(function() {
            $('.financial-form').parsley();
            $('.date').datepicker({
                autoclose: true,
                todayHighlight: true,
            });
            $('.date-time').datepicker();
            $('.driver-select2 .select2').each(function() {
                var $this = $(this);
                var placeholderText = $this.find('option:first').text();
                $this.select2({
                    allowClear: true,
                    width : '100%',
                    placeholder: placeholderText
                });
                $this.find('option:first').hide();
            });
            getOptionSelectedData();

            var yesrse      = '{{ date("Y") }}';
            $('#yearfirns option[value='+yesrse+']').prop('selected', 'selected').change();

            var yesrsequery = '{{ Carbon\Carbon::now()->quarter }}';
            $('#quarter option[value='+yesrsequery+']').prop('selected', 'selected').change();
        });
    </script>
    <script type="text/javascript">
        $( document ).ready(function() {
            table = $('#driversQuaterlyLoadTable').DataTable({
                searching: false,
                paging: false,
                bSortCellsTop: true,
                language: {
                    search: "",
                    searchPlaceholder: "Search...",
                },
                scrollX: true,
                scrollCollapse: true,
                fixedHeader: true,
                fixedColumns: {
                    leftColumns: 0, // Number of columns to be fixed on the left
                    rightColumns: 1, // Number of columns to be fixed on the right
                    // heightMatch: "auto"
                },
                // dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
                processing: true,
                serverSide: true,
                pageLength: "500",
                // ajax: "{{ route('company.admin.driver.quarterly.loads.data') }}",
                // data: {year:$('#yearfirns').val()},
                ajax:{
                   "url":"{{route('company.admin.driver.quarterly.loads.data')}}",
                   "type": "POST",
                     data: function (d) {
                        d._token            = "{{ csrf_token() }}";
                        d.year              = $('#yearfirns').val();
                        d.quarter           = $('#quarter').val();
                        d.team_id           = $('#team_id').val();
                        d.manager_id        = $('#manager_id').val();
                        d.carrier           = $('#carrier').val();
                        d.fistartdate       = $('#fistartdatevalue').val();
                        d.fienddate         = $('#fienddatevalue').val();
                        // d.fistartdate    = $('#fistartdate').val();
                        // d.fienddate      = $('#fienddate').val();
                    },
                },
                columns: [
                    { data: 'checkbox',name: 'checkbox',orderable: false,searchable: false, "width": "20px"},
                    { data: 'driver_name',name: 'driver_name'},
                    { data: 'year',name: 'year',visible:false},
                    { data: 'quarter',name: 'quarter',visible:false},
                    { data: 'occupancy',name: 'occupancy'},
                    { data: 'FinWeeklyGross',name: 'FinWeeklyGross'},
                    { data: 'cpm_target',name: 'cpm_target'},
                    { data: 'FinWeeklyTargetMiles',name: 'FinWeeklyTargetMiles'},
                    { data: 'revenue_target',name: 'revenue_target'},
                    { data: 'target_miles',name: 'target_miles'},
                    // { data: 'fin_start_date',name: 'fin_start_date'},
                    // { data: 'end_date',name: 'end_date'},
                    { data: 'action', name: 'action', orderable: false,searchable: false},
                ]
            });
        });
    </script>
    <script type="text/javascript">
        $( document ).ready(function() {
            $('#select_all').click(function() {
                if ($(this).is(':checked')) {
                    $('.checkallDriver').prop('checked', true);
                }else{
                    $('.checkallDriver').prop('checked', false);
                }
            });

            $('#WeeklyRevenueTarget').on('input', function() {
                var quarter         = $("select[name=quarter]").find("option:selected").val();
                var quarter_day     = 90;
                if(quarter == 1){ var quarter_day = 90; }
                if(quarter == 2){ var quarter_day = 91; }
                if(quarter == 3){ var quarter_day = 92; }
                if(quarter == 4){ var quarter_day = 92; }
                var value           = (parseInt(this.value) / 7) * quarter_day;
                $('#revenue_target').val(Math.round(value));
            });

            $('#WeeklyTargetMiles').on('input', function() {
                var quarter         = $("select[name=quarter]").find("option:selected").val();
                var quarter_day     = 90;
                if(quarter == 1){ var quarter_day = 90; }
                if(quarter == 2){ var quarter_day = 91; }
                if(quarter == 3){ var quarter_day = 92; }
                if(quarter == 4){ var quarter_day = 92; }
                var value   = (parseInt(this.value) / 7) * quarter_day;
                $('#target_miles').val(Math.round(value));
            });

            $('#quarter').on('change', function() {
                getOptionSelectedData();
            });

            $('#yearfirns').on('change', function () {
                $('#driversQuaterlyLoadTable').DataTable().ajax.reload(); // table.columns(2).search( this.value ).draw();
            });

            $('#quarter').on('change', function () {
                $('#driversQuaterlyLoadTable').DataTable().ajax.reload(); // table.columns(3).search( this.value ).draw();
            });

            $('#team_id').on('change', function () {
                $('#driversQuaterlyLoadTable').DataTable().ajax.reload(); // table.columns(3).search( this.value ).draw();
            });

            $('#manager_id').on('change', function () {
                $('#driversQuaterlyLoadTable').DataTable().ajax.reload();
            });

            $('#carrier').on('change', function () {
                $('#driversQuaterlyLoadTable').DataTable().ajax.reload();
            });
        });
        $(document).on('keyup change', '.dFinWeeklyGross', function() {
            var data_row                = $(this).closest('tr');

            var quarter                 = $("select[name=quarter]").find("option:selected").val();
            var quarter_day             = 90;
            if(quarter == 1){ var quarter_day = 90; }
            if(quarter == 2){ var quarter_day = 91; }
            if(quarter == 3){ var quarter_day = 92; }
            if(quarter == 4){ var quarter_day = 92; }
            var value                   = (parseInt(this.value) / 7) * quarter_day;
            data_row.find('input[name="fin_revenue_target"]').val(Math.round(value));
        });
        $(document).on('keyup change', '.dFinWeeklyTargetMiles', function() {
            var data_row                = $(this).closest('tr');

            var quarter                 = $("select[name=quarter]").find("option:selected").val();
            var quarter_day             = 90;
            if(quarter == 1){ var quarter_day = 90; }
            if(quarter == 2){ var quarter_day = 91; }
            if(quarter == 3){ var quarter_day = 92; }
            if(quarter == 4){ var quarter_day = 92; }
            var value                   = (parseInt(this.value) / 7) * quarter_day;
            data_row.find('input[name="fin_target_miles"]').val(Math.round(value));
        });
    </script>
    <script type="text/javascript">
        $( document ).ready(function() {
            $('#edit_WeeklyRevenueTarget').on('input', function() {
                var quarter             = $("#editFinancialModal select[name=quarter]").find("option:selected").val();
                var quarter_day         = 90;
                if(quarter == 1){ var quarter_day = 90; }
                if(quarter == 2){ var quarter_day = 91; }
                if(quarter == 3){ var quarter_day = 92; }
                if(quarter == 4){ var quarter_day = 92; }

                var value               = (parseInt(this.value) / 7) * quarter_day;
                $('#edit_revenue_target').val(Math.round(value));
            });

            $('#edit_WeeklyTargetMiles').on('input', function() {
                var quarter             = $("#editFinancialModal select[name=quarter]").find("option:selected").val();
                var quarter_day         = 90;
                if(quarter == 1){ var quarter_day = 90; }
                if(quarter == 2){ var quarter_day = 91; }
                if(quarter == 3){ var quarter_day = 92; }
                if(quarter == 4){ var quarter_day = 92; }

                var value               = (parseInt(this.value) / 7) * quarter_day;
                $('#edit_target_miles').val(Math.round(value));
            });

            $('#edit_quarter').on('change', function() {
                var sevalue             = this.value;
                var year                = $("#editFinancialModal select[name=year]").find("option:selected").val();

                var today               = new Date(year, 1, 1);
                var quarter             = Math.floor((today.getMonth() / 3));

                if(sevalue == 1){ var quarter_day = 90; }
                if(sevalue == 2){ var quarter_day = 91; }
                if(sevalue == 3){ var quarter_day = 92; }
                if(sevalue == 4){ var quarter_day = 92; }

                var get_reve            = $('#edit_WeeklyRevenueTarget').val();
                var get_mile            = $('#edit_WeeklyTargetMiles').val();
                var calelu_reve         = (parseInt(get_reve) / 7) * quarter_day;
                var calelu_mile         = (parseInt(get_mile) / 7) * quarter_day;
                $('#edit_revenue_target').val(Math.round(calelu_reve));
                $('#edit_target_miles').val(Math.round(calelu_mile));
                if(sevalue == '1'){
                    var startDate       = new Date(today.getFullYear(), quarter * 3, 1);
                    var endDate         = new Date(startDate.getFullYear(), startDate.getMonth() + 3, 0);
                    var startDate       = moment(startDate).format('MM/DD/YYYY');
                    var endDate         = moment(endDate).format('MM/DD/YYYY');

                    $('#edit_fistartdate').val(startDate);
                    $('#edit_fistartdatevalue').val(startDate);
                    $('#edit_fienddate').val(endDate);
                    $('#edit_fienddatevalue').val(endDate);
                }else if(sevalue == '2'){
                    var startDate       = new Date(today.getFullYear(), quarter * 3 + 3, 1);
                    var endDate         = new Date(startDate.getFullYear(), startDate.getMonth() + 3, 0);
                    var startDate       = moment(startDate).format('MM/DD/YYYY');
                    var endDate         = moment(endDate).format('MM/DD/YYYY');

                    $('#edit_fistartdate').val(startDate);
                    $('#edit_fistartdatevalue').val(startDate);
                    $('#edit_fienddate').val(endDate);
                    $('#edit_fienddatevalue').val(endDate);
                }else if(sevalue == '3'){
                    var startDate       = new Date(today.getFullYear(), quarter * 3 + 6, 1);
                    var endDate         = new Date(startDate.getFullYear(), startDate.getMonth() + 3, 0);
                    var startDate       = moment(startDate).format('MM/DD/YYYY');
                    var endDate         = moment(endDate).format('MM/DD/YYYY');

                    $('#edit_fistartdate').val(startDate);
                    $('#edit_fistartdatevalue').val(startDate);
                    $('#edit_fienddate').val(endDate);
                    $('#edit_fienddatevalue').val(endDate);
                }else if(sevalue == '4'){
                    var startDate       = new Date(today.getFullYear(), quarter * 3 + 9, 1);
                    var endDate         = new Date(startDate.getFullYear(), startDate.getMonth() + 3, 0);
                    var startDate       = moment(startDate).format('MM/DD/YYYY');
                    var endDate         = moment(endDate).format('MM/DD/YYYY');

                    $('#edit_fistartdate').val(startDate);
                    $('#edit_fistartdatevalue').val(startDate);
                    $('#edit_fienddate').val(endDate);
                    $('#edit_fienddatevalue').val(endDate);
                }else{
                    var startDate       = new Date(today.getFullYear(), quarter * 3, 1);
                    var endDate         = new Date(startDate.getFullYear(), startDate.getMonth() + 3, 0);
                    var startDate       = moment(startDate).format('MM/DD/YYYY');
                    var endDate         = moment(endDate).format('MM/DD/YYYY');

                    $('#edit_fistartdate').val(startDate);
                    $('#edit_fistartdatevalue').val(startDate);
                    $('#edit_fienddate').val(endDate);
                    $('#edit_fienddatevalue').val(endDate);
                }
            });
        });
        $("body").on("click", ".finacEdit", function () {
            var current_object          = $(this);
            var action                  = current_object.attr('data-action');
            var id                      = current_object.attr('data-id');
            var token                   = $("input[name='_token']").val();
            $.ajax({
                url: action,
                method: "post",
                data: { _token : token , id : id},
                success: function(response) {
                    var data            = response.data;

                    var quarter         = data.quarter;

                    var quarter_day = 90;
                    if(quarter == '1'){ var quarter_day = 90; }
                    if(quarter == '2'){ var quarter_day = 91; }
                    if(quarter == '3'){ var quarter_day = 92; }
                    if(quarter == '4'){ var quarter_day = 92; }

                    $('#editFinancialModal').modal('show');

                    $("#editFinancialModal #yearfirns").val(data.year).change();
                    $("#editFinancialModal #edit_quarter").val(data.quarter).change();
                    $('#editFinancialModal input[name="occupancy"]').val(data.occupancy);
                    $('#editFinancialModal input[name="revenue_target"]').val(data.revenue_target);

                    var weekly_reve     = (parseInt(data.revenue_target) / quarter_day) * 7;
                    var weekly_reve     = Math.round(weekly_reve);
                    $('#edit_WeeklyRevenueTarget').val(weekly_reve);

                    $('#editFinancialModal input[name="cpm_target"]').val(data.cpm_target);
                    $('#editFinancialModal input[name="target_miles"]').val(data.target_miles);

                    var weekly_miles    = (parseInt(data.target_miles) / quarter_day) * 7;
                    var weekly_miles    = Math.round(weekly_miles);

                    $('#edit_WeeklyTargetMiles').val(weekly_miles);
                    $('#editFinancialModal #edit_fistartdate').val(data.start_date);
                    $('#editFinancialModal #edit_fistartdatevalue').val(data.start_date);
                    $('#editFinancialModal #edit_fienddate').val(data.end_date);
                    $('#editFinancialModal #edit_fienddatevalue').val(data.end_date);
                    $('#editFinancialModal #dataid').val(data.id);
                    $('#editFinancialModal #driver_id').val(data.driver_id);
                }
            });
        });
    </script>
    <script type="text/javascript">
        $( document ).ready(function() {
            $('#driversQuaterlyLoadTable tbody').on('click',  '.finacsubmit', function () {
                var data_row            = $(this).closest('tr');
                // var fin_year         = data_row.find('input[name="year"]').val();
                // var fin_quarter      = data_row.find('select[name="quarter"]').val();
                var fin_year            = $('#yearfirns').val();
                var fin_quarter         = $('#quarter').val();
                var fin_occupancy       = data_row.find('input[name="fin_occupancy"]').val();
                var fin_cpm_target      = data_row.find('input[name="fin_cpm_target"]').val();
                var fin_start_date      = $('#fistartdate').val();
                var fin_end_date        = $('#fienddate').val();
                var weekly_gross        = data_row.find('input[name="FinWeeklyGross"]').val();
                var weekly_target_miles = data_row.find('input[name="FinWeeklyTargetMiles"]').val();
                var fin_revenue_target  = data_row.find('input[name="fin_revenue_target"]').val();
                var fin_target_miles    = data_row.find('input[name="fin_target_miles"]').val();
                var driverId            = $(this).data('driver');
                var financeId           = $(this).data('id');
                $.ajax({
                    url: "/company-admin/drivers/target-revenue",
                    method: "POST",
                    data: {
                        _token: "{{ csrf_token() }}",
                        driver_id:driverId,
                        year:fin_year,
                        quarter:fin_quarter,
                        occupancy:fin_occupancy,
                        cpm_target:fin_cpm_target,
                        dataid: financeId,
                        start_date:fin_start_date,
                        end_date:fin_end_date,
                        revenue_target:fin_revenue_target,
                        target_miles:fin_target_miles,
                        weekly_gross:weekly_gross,
                        weekly_target_miles:weekly_target_miles,
                    },
                    success: function(response) {
                        if(response == '1'){
                            $('#driversQuaterlyLoadTable').DataTable().ajax.reload();
                        }else{
                            toastr.error('year and quarter already use.', 'Already Exists', {timeOut: 5000})
                        }
                    }
                });
            });

            $(".financial-form").on("submit", function(event){
                event.preventDefault();
                var formValues  = $(this).serialize();
                $.ajax({
                    url: "{{ route('company.admin.driver.quarterly.target.revenue') }}",
                    method: "POST",
                    data: formValues,
                    success: function(response) {
                        if(response == '1'){
                            //$(".financial-form")[0].reset();
                            table.columns(2).search( this.value ).draw();
                            toastr.success('quarterly goals updated sucessfully.', 'Success Alert', {timeOut: 5000})
                        }else{
                            toastr.error('select atleast one driver.', 'Already Exists', {timeOut: 5000})
                        }
                    }
                });
            });
        });
    </script>
    <script type="text/javascript">
        $( document ).ready(function() {
            $(".goal-edit").on("submit", function(event){
                event.preventDefault();
                var formValues  = $(this).serialize();
                $.ajax({
                    url: "/company-admin/drivers/target-revenue",
                    method: "POST",
                    data: formValues,
                    success: function(response) {
                        if(response == '1'){
                            $("#finanform")[0].reset();
                            $('.cancel-btn').trigger('click');
                            table.columns(2).search( this.value ).draw();
                        }else{
                            toastr.error('year and quarter already use.', 'Already Exists', {timeOut: 5000})
                        }
                    }
                });
            });
        });
    </script>
    <script type="text/javascript">
        function getOptionSelectedData(){
            var sevalue         = $("select[name=quarter]").find("option:selected").val();
            var year            = $("select[name=year]").find("option:selected").val();

            var today           = new Date(year, 1, 1);
            var quarter         = Math.floor((today.getMonth() / 3));

            if(sevalue == 1){ var quarter_day = 90; }
            if(sevalue == 2){ var quarter_day = 91; }
            if(sevalue == 3){ var quarter_day = 92; }
            if(sevalue == 4){ var quarter_day = 92; }

            var get_reve        = $('#WeeklyRevenueTarget').val();
            var get_mile        = $('#WeeklyTargetMiles').val();
            var calelu_reve     = (parseInt(get_reve) / 7) * quarter_day;
            var calelu_mile     = (parseInt(get_mile) / 7) * quarter_day;
            $('#revenue_target').val(Math.round(calelu_reve));
            $('#target_miles').val(Math.round(calelu_mile));

            if(sevalue == '1'){
                var startDate   = new Date(today.getFullYear(), quarter * 3, 1);
                var endDate     = new Date(startDate.getFullYear(), startDate.getMonth() + 3, 0);
                var startDate   = moment(startDate).format('MM/DD/YYYY');
                var endDate     = moment(endDate).format('MM/DD/YYYY');

                $('#fistartdate').val(startDate);
                $('#fistartdatevalue').val(startDate);
                $('#fienddate').val(endDate);
                $('#fienddatevalue').val(endDate);
            }else if(sevalue == '2'){
                var startDate   = new Date(today.getFullYear(), quarter * 3 + 3, 1);
                var endDate     = new Date(startDate.getFullYear(), startDate.getMonth() + 3, 0);
                var startDate   = moment(startDate).format('MM/DD/YYYY');
                var endDate     = moment(endDate).format('MM/DD/YYYY');

                $('#fistartdate').val(startDate);
                $('#fistartdatevalue').val(startDate);
                $('#fienddate').val(endDate);
                $('#fienddatevalue').val(endDate);
            }else if(sevalue == '3'){
                var startDate   = new Date(today.getFullYear(), quarter * 3 + 6, 1);
                var endDate     = new Date(startDate.getFullYear(), startDate.getMonth() + 3, 0);
                var startDate   = moment(startDate).format('MM/DD/YYYY');
                var endDate     = moment(endDate).format('MM/DD/YYYY');

                $('#fistartdate').val(startDate);
                $('#fistartdatevalue').val(startDate);
                $('#fienddate').val(endDate);
                $('#fienddatevalue').val(endDate);
            }else if(sevalue == '4'){
                var startDate   = new Date(today.getFullYear(), quarter * 3 + 9, 1);
                var endDate     = new Date(startDate.getFullYear(), startDate.getMonth() + 3, 0);
                var startDate   = moment(startDate).format('MM/DD/YYYY');
                var endDate     = moment(endDate).format('MM/DD/YYYY');

                $('#fistartdate').val(startDate);
                $('#fistartdatevalue').val(startDate);
                $('#fienddate').val(endDate);
                $('#fienddatevalue').val(endDate);
            }else{
                var startDate   = new Date(today.getFullYear(), quarter * 3, 1);
                var endDate     = new Date(startDate.getFullYear(), startDate.getMonth() + 3, 0);
                var startDate   = moment(startDate).format('MM/DD/YYYY');
                var endDate     = moment(endDate).format('MM/DD/YYYY');

                $('#fistartdate').val(startDate);
                $('#fistartdatevalue').val(startDate);
                $('#fienddate').val(endDate);
                $('#fienddatevalue').val(endDate);
            }
        }
    </script>
@endsection
