@extends($companyAdminTheme)

@section('title')
    Email Template
@endsection

@section('style')
    <style type="text/css">
        .ck-editor__editable_inline {
            min-height: 150px !important;
        }
        #cke_1_contents {
            min-height: 350px;
        }
        .ava-template-heading {
          color: #fff;
          background-color: #2f70bb;
          border-color: #2f70bb;
          border-top-left-radius: .25rem;
          border-top-right-radius: .25rem;
          font-size: 14px;
          padding: 10px 12px;
          font-weight: bold;
        }
        .list-group-item {
            font-size: 14px;
            word-break: break-all;
            padding: 10px 34px 10px 12px;
            position: relative;
        }
        .list-group-item i {
            position: absolute;
            top: 12px;
            right: 12px;
        }
        .list-group-item.active{
            color: #fff;
            background-color: #2f70bb;
            border-color: #2f70bb;
        }
        .clipboard a > i.fa-check {
            color: #2f70bb;
        }
    </style>
@endsection
@section('content')
    {!! Form::model($companyEmailTemplate, array('route' => ['company.admin.email-templates.update',$companyEmailTemplate->id],'method'=>'PATCH','files'=>'true','class'=>'store-form')) !!}
    <div class="row">
        <div class="col-lg-12">
            <div class="white-box mb-4 generalAccount">
                <h4 class="box-title">Email Template Information</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-9 pl-0">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Subject <span>*</span></label>
                                        {!! Form::text('subject', old('subject'), array('class' => 'form-control', 'id' => 'subject', 'autocomplete' => 'off', 'placeholder' => 'Enter Subject', 'required' => 'required')) !!}
                                        @error('subject')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Content <span>*</span></label>
                                        {!! Form::textarea('content', old('content'), array('class' => 'form-control tinymce-editor', 'id' => 'content', 'rows' => '4', 'required' => 'required')) !!}
                                        @error('content')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 pl-0 pr-0">
                            <div class="list-group mt-3 pt-1 clipboard">
                                <h2 class="ava-template-heading">Available Template Tags</h2>
                                @foreach($companyEmailTemplate->tags as $tag)
                                    <a href="javascript:void(0);" class="list-group-item list-group-item-action font-weight-bold" title="Click to Copy">{{ $tag }}<i class="fa fa-copy font-16 float-right" aria-hidden="true"></i></a>
                                @endforeach
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="button-bottom">
        <a href="{{ route('company.admin.email-templates.index') }}" class="cancel-btn">Cancel</a>
        <button class="submit-btn">Submit</button>
    </div>
    {!! Form::close() !!}
@endsection

@section('script')
    <script src="{{ asset('theme/js/ckeditor/full/ckeditor.js') }}"></script>
    <script type="text/javascript">
        $(function(){
            var parsleyConfig = {
                errorsContainer: function(parsleyField) {
                    if (parsleyField.$element.hasClass('tinymce-editor')) {
                        return parsleyField.$element.parent("div");
                    }
                    return parsleyField;
                }
            };
            $('.store-form').parsley(parsleyConfig);

            CKEDITOR.replace('content');
            CKEDITOR.on('instanceReady', function () {
                $('.store-form #content').attr('required', '');
                $.each(CKEDITOR.instances, function (instance) {
                    CKEDITOR.instances[instance].on("change", function (e) {
                        for (instance in CKEDITOR.instances) {
                            CKEDITOR.instances[instance].updateElement();
                            $('.store-form').parsley().validate();
                        }
                    });
                });
            });

            $(document).on('click', '.clipboard .list-group-item', function (){
                let element     = $(this);
                let copyText    = element.text();
                navigator.clipboard.writeText(copyText);
                element.find('i').removeClass('fa-copy').addClass('fa-check');
                toastr.success('Copied Successfully.', 'Success Alert', {timeOut: 2000});
                setTimeout(function(){
                    element.find('i').removeClass('fa-check').addClass('fa-copy');
                }, 2000);
            });
        });
    </script>
@endsection

