@extends($companyAdminTheme)

@section('title')
    Historical Fuel Data
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
        .topbar-visible .main-wrapper.ngd-new, .topbar-visible .main-wrapper.ngd-wrapper {
            margin-top: 160px !important;
        }
        .select2-container{
            width: 100% !important;
        }
        .select2-container .select2-selection--single{
            height: 40px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .select2-container--default .select2-selection--single{
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered{
            line-height: 40px !important;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow{
            height: 40px;
            width: 35px;
        }
        .historical-fuel-data .heading h6 {
            text-align: left;
            font: normal normal bold 22px/26px Inter, sans-serif;
            letter-spacing: 0px;
            color: #305F9C;
            opacity: 1;
        }
        .historical-fuel-data .tabs .nav-tabs a {
            padding: 0 9px 0 0;
            text-align: left;
            font: normal normal bold 18px/21px Inter, sans-serif;
            letter-spacing: 0px;
            color: #305F9C;
            opacity: 1;
        }
        .historical-fuel-data .nav-tabs a.active {
            color: #305F9C !important;
        }
        .historical-fuel-data .tabs .separater {
            font-size: 15px;
            color: #CCCCCC;
        }
        .historical-fuel-data .tabs .nav-tabs a.active::before {
            content: '';
            background-color: #305F9C;
            height: 2px;
            width: 95%;
            position: absolute;
            left: 0;
            bottom: -8px;
            top: inherit;
            border: 1px solid #305F9C;
        }
        .historical-fuel-data .tab-content .row {
            padding: 0px 15px 0px 0px;
            font-weight: 600;
        }
        .historical-fuel-data .tab-content hr {
            border: 1px solid #CCCCCC;
            opacity: 1;
            margin: 0 15px 0 0;
        }
        .historical-fuel-data .tab-content .form-control {
            font-size: 14px;
            font-weight: 600;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            height: 40px;
            font-family: 'Inter', sans-serif;
        }
        .historical-fuel-data .tab-content label {
            margin-bottom: 0px;
            font-size: 14px;
            font-weight: 600;
            font-family: 'Inter', sans-serif;
            text-align: left;
            letter-spacing: 0px;
            color: #322727;
            opacity: 1;
        }
        .historical-fuel-data .tab-content .row p {
            text-align: left;
            font-family: 'Inter', sans-serif;
            letter-spacing: 0px;
            color: #7C8C9D;
            opacity: 1;
        }
        .historical-fuel-data .tab-content .row h6 {
            text-align: left;
            font: normal normal bold 16px/20px Inter, sans-serif;
            letter-spacing: 0px;
            color: #305F9C;
            opacity: 1;
        }
        .historical-fuel-data .tab-content .input-group >.custom-select:not(:last-child), .input-group>.form-control:not(:last-child) {
            border-top-right-radius: 10px 10px;
            border-bottom-right-radius: 10px 10px;
        }
        .historical-fuel-data .tab-content .form-group img {
            width: 15px;
        }
        .historical-fuel-data .tab-content .region-map-url {
            text-decoration: underline !important;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .historical-fuel-data .tab-content .input-group-text {
            background: transparent;
            border-radius: 10px;
            color: #342828;
            padding: 4px 14px;
            font-weight: 600;
            font-family: 'Inter', sans-serif;
        }
        .disabled {
            opacity: 0.5 !important;
            pointer-events: none !important;
        }
        .btn-blue {
            background: #305F9C 0% 0% no-repeat padding-box;
            border: 1px solid #305F9C;
            border-radius: 6px;
            opacity: 1;
            padding: 10px 16px;
            min-width: 100px;
        }
        .btn-blue:hover {
            border: 1px solid #305F9C;
            color: #F1F3F6;
            background-color: #305F9C;
        }
        .btn-blueTheme {
            border: 1px solid #305F9C;
            border-radius: 6px;
            opacity: 1;
            padding: 4px 9px;
            min-width: 102px;
        }
        .historical-fuel-data .listing .table thead {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            text-align: center;
        }
        .historical-fuel-data .listing .table tbody {
            text-align: center;
        }
        .historical-fuel-data .listing .table tbody tr:first-child td {
            border: 1px solid #dee2e6 !important;
        }
        table.rounded-corners {
            /*--border: 1px solid #dee2e6;*/
            border-radius: 10px;
            border-spacing: 0;
            border-collapse: separate;
            border: var(--border);
            overflow: hidden;
            font-weight: 600;
        }
        table.rounded-corners th:not(:last-child),
        table.rounded-corners td:not(:last-child) {
            border-right: var(--border);
        }
        table.rounded-corners>thead>tr:not(:last-child)>th,
        table.rounded-corners>thead>tr:not(:last-child)>td,
        table.rounded-corners>tbody>tr:not(:last-child)>th,
        table.rounded-corners>tbody>tr:not(:last-child)>td,
        table.rounded-corners>tfoot>tr:not(:last-child)>th,
        table.rounded-corners>tfoot>tr:not(:last-child)>td,
        table.rounded-corners>tr:not(:last-child)>td,
        table.rounded-corners>tr:not(:last-child)>th,
        table.rounded-corners>thead:not(:last-child),
        table.rounded-corners>tbody:not(:last-child),
        table.rounded-corners>tfoot:not(:last-child) {
            border-bottom: var(--border);
        }
        ::-webkit-scrollbar-thumb {
            background: #305F9C;
            border-radius: 10px;
        }
        .highcharts-container {
            height: auto !important;
        }
        .text-custom {
            color: #305F9C!important;
        }
        .btn-filter-applied {
            color: #fff !important;
            background-color: #FF6D10 !important;
        }
        .font-14 {
            font-size: 14px;
        }
        .swal2-html-container h6 {
            line-height: inherit;
        }
    </style>
@endsection

@section('content')
    <div class="row historical-fuel-data">
        <div class="col-3 heading">
            <h6>Historical Fuel Data</h6>
            <div class="tabs">
                <div class="tabs-wrapper">
                    <ul id="scroller" class="nav nav-tabs">
                        <li><a href="#diesel" data-toggle="tab" class="active dieselTab">Diesel Retail Prices</a></li>
                        <li class="separater">|</li>
                        <li><a href="#gasoline" data-toggle="tab" class="m-2 gasolineTab">Gasoline Retail Prices</a></li>
                    </ul>
                </div>
                <div class="tab-content">
                    <div id="diesel" class="tab-pane fade in active show">
                        <div class="row">
                            <div class="col-md-5">
                                <label class="mt-2">Start Date</label>
                            </div>
                            <div class="col-md-7">
                                <div class="form-group">
                                    <div class="input-group">
                                        {!! Form::text('diesel_start_date', null, array('class' => 'form-control', 'id' => 'diesel-start-date')) !!}
                                        <img src="{{ asset('theme/images/proRouter-date.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-5">
                                <label class="mt-2">End Date</label>
                            </div>
                            <div class="col-md-7">
                                <div class="form-group">
                                    <div class="input-group">
                                        {!! Form::text('diesel_end_date', null, array('class' => 'form-control', 'id' => 'diesel-end-date')) !!}
                                        <img src="{{ asset('theme/images/proRouter-date.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row mb-4">
                            <div class="col-md-5">
                                <label class="mt-2">Region &nbsp;<a href="javascript:void(0);" class="region-map-url">Map</a></label>
                            </div>
                            <div class="col-md-7">
                                {!! Form::select('diesel_region', ['' => 'Select Region'], null, ['class' => 'form-control select2', 'id' => 'diesel-region']) !!}
                            </div>
                        </div>
                        <hr/>
                        <div class="row mt-4">
                            <div class="col-md-5">
                                <h6>Comparison</h6>
                                <p>(Fuel Cost vs Rate Per Mile)</p>
                            </div>
                            <div class="col-md-7">
                                <div class="d-flex align-items-center">
                                    <div>
                                        <p class="mr-2 font-14">All</p>
                                    </div>
                                    <div class="d-inline-block">
                                        <div class="custom-control custom-switch-blue">
                                            <input type="checkbox" class="custom-control-input" name="diesel_comparison_miles" id="diesel-comparison-miles" value="1">
                                            <label class="custom-control-label" for="diesel-comparison-miles"></label>
                                        </div>
                                    </div>
                                    <div>
                                        <p class="ml-2 font-14">Loaded</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row mb-2">
                            <div class="col-md-5">
                                <label class="mt-2">Carrier</label>
                            </div>
                            <div class="col-md-7">
                                {!! Form::select('diesel_carrier', ['' => 'Select Carrier']+$carrierList, null, ['class' => 'form-control select2', 'id' => 'diesel-carrier']) !!}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-5">
                                <label class="mt-2">Customer</label>
                            </div>
                            <div class="col-md-7">
                                {!! Form::select('diesel_customer', ['' => 'Select Customer']+$brokersList, null, ['class' => 'form-control select2', 'id' => 'diesel-customer']) !!}
                            </div>
                        </div>
                    </div>
                    <div id="gasoline" class="tab-pane fade">
                        <div class="row">
                            <div class="col-md-5">
                                <label class="mt-2">Start Date</label>
                            </div>
                            <div class="col-md-7">
                                <div class="form-group">
                                    <div class="input-group">
                                        {!! Form::text('gasoline_start_date', null, array('class' => 'form-control', 'id' => 'gasoline-start-date')) !!}
                                        <img src="{{ asset('theme/images/proRouter-date.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-5">
                                <label class="mt-2">End Date</label>
                            </div>
                            <div class="col-md-7">
                                <div class="form-group">
                                    <div class="input-group">
                                        {!! Form::text('gasoline_end_date', null, array('class' => 'form-control', 'id' => 'gasoline-end-date')) !!}
                                        <img src="{{ asset('theme/images/proRouter-date.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row mb-4">
                            <div class="col-md-5">
                                <label class="mt-2">Region &nbsp;<a href="javascript:void(0);" class="region-map-url">Map</a></label>
                            </div>
                            <div class="col-md-7">
                                {!! Form::select('gasoline_region', ['' => 'Select Region'], null, ['class' => 'form-control select2', 'id' => 'gasoline-region']) !!}
                            </div>
                        </div>
                        <hr/>
                        <div class="row mt-4">
                            <div class="col-md-5">
                                <h6>Comparison</h6>
                                <p>(Fuel Cost vs Rate Per Mile)</p>
                            </div>
                            <div class="col-md-7">
                                <div class="d-flex align-items-center">
                                    <div>
                                        <p class="mr-2 font-14">All</p>
                                    </div>
                                    <div class="d-inline-block">
                                        <div class="custom-control custom-switch-blue">
                                            <input type="checkbox" class="custom-control-input" name="gasoline_comparison_miles" id="gasoline-comparison-miles" value="1">
                                            <label class="custom-control-label" for="gasoline-comparison-miles"></label>
                                        </div>
                                    </div>
                                    <div>
                                        <p class="ml-2 font-14">Loaded</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row mb-2">
                            <div class="col-md-5">
                                <label class="mt-2">Carrier</label>
                            </div>
                            <div class="col-md-7">
                                {!! Form::select('gasoline_carrier', ['' => 'Select Carrier']+$carrierList, null, ['class' => 'form-control select2', 'id' => 'gasoline-carrier']) !!}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-5">
                                <label class="mt-2">Customer</label>
                            </div>
                            <div class="col-md-7">
                                {!! Form::select('gasoline_customer', ['' => 'Select Customer']+$brokersList, null, ['class' => 'form-control select2', 'id' => 'gasoline-customer']) !!}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-9 chart">
            <div class="row">
                <div class="col-md-12 mb-3">
                    <div class="row">
                        <div class="col-12 mb-2 text-right btnColumn">
                            @if($dieselFilterClear > 0)
                                <a href="javascript:void(0);" class="btn btn-blueTheme btn-filter-applied dieselFilterClear">Clear</a>
                            @endif
                            <a href="javascript:void(0);" class="btn btn-blueTheme {{($dieselFilterClear > 0) ? 'btn-filter-applied' : ''}} dieselPricingColumn" data-toggle="modal" data-target="#dieselPricingColumn">Column</a>

                            @if($gasolineFilterClear > 0)
                                <a href="javascript:void(0);" class="btn btn-blueTheme btn-filter-applied gasolineFilterClear d-none">Clear</a>
                            @endif
                            <a href="javascript:void(0);" class="btn btn-blueTheme {{($gasolineFilterClear > 0) ? 'btn-filter-applied' : ''}} gasolinePricingColumn d-none" data-toggle="modal" data-target="#gasolinePricingColumn">Column</a>
                        </div>
                        <div class="col-12">
                            <div class="d-flex">
                                <button class="btn btn-blue mr-3 btnExpand">Expand <i class="fa fa-expand ml-1" aria-hidden="true" style="rotate: 90deg;"></i></button>
                                <div class="d-inline-block mt-2">
                                    <div class="custom-control custom-switch-blue">
                                        <input type="checkbox" class="custom-control-input" name="show_pricing" id="show-pricing" value="1">
                                        <label class="custom-control-label" for="show-pricing"></label>
                                    </div>
                                </div>
                                <label class="ml-2 mt-3 font-weight-bold">Show Rate</label>

                                <button class="btn btn-blue ml-auto mr-2 btnEmail disabled">Email <img src="{{ asset('theme/images/mail-send.svg') }}" class="img-fluid" width="20" height="20" alt=""></button>
                                <button class="btn btn-blue  mr-2 btnPdf disabled">PDF <img src="{{ asset('theme/images/download-pdf.svg') }}" class="img-fluid" width="18" height="18" alt=""></button>
                                <button class="btn btn-blue mr-2 btnPrint disabled">Print <img src="{{ asset('theme/images/printer.svg') }}" class="img-fluid" width="18" height="18" alt=""></button>
                                <button class="btn btn-blue btnExport disabled">Export <img src="{{ asset('theme/images/export.svg') }}" class="img-fluid" width="18" height="18" alt=""></button>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 p-2">
                    <div id="historical-fuel-chart"></div>
                </div>
            </div>
        </div>
        <div class="col-12 listing mt-2">
            <div class="table-responsive">
                <table class="table table-bordered rounded-corners" id="dieselPricingTable">
                    <thead>
                        <tr>
                            {{--<th>Release Date</th>--}}
                            @foreach($dieselColumns as $key => $filed)
                                @if($filed == 1)
                                    @if($key == "U.S.")
                                        <th>U.S Average</th>
                                    @else
                                        <th>{!! $key !!}</th>
                                    @endif
                                @endif
                            @endforeach
                        </tr>
                    </thead>
                    <tbody id="dieselPricingBody">
                        <tr>
                            <td colspan="{{ (count($dieselColumns) + 1) }}">No data found</td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="table-responsive">
                <table class="table table-bordered rounded-corners d-none" id="gasolinePricingTable">
                    <thead>
                        <tr>
                            {{--<th>Release Date</th>--}}
                            @foreach($gasolineColumns as $key => $filed)
                                @if($filed == 1)
                                    @if($key == "U.S.")
                                        <th>U.S Average</th>
                                    @else
                                        <th>{!! $key !!}</th>
                                    @endif
                                @endif
                            @endforeach
                        </tr>
                    </thead>
                    <tbody id="gasolinePricingBody">
                        <tr>
                            <td colspan="{{ count($gasolineColumns) + 1 }}">No data found</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="col-12 map d-none">
            <div class="row">
                <div class="col-md-12">
                    <div class="row">
                        <div class="col-12 text-center">
                            <a href="https://www.eia.gov/petroleum/gasdiesel/diesel_map.php" target="_blank">
                                <img src="{{asset('theme/images/fuel-surcharges-region-map.png')}}" alt="" width="100%" height="100%" style="height: 100%;width: auto;margin: 0 auto;max-height: 612px;" />
                            </a>
                        </div>
                        <div class="col-12 text-center mt-4">
                            <a href="javascript:void(0);" class="btn btn-blue region-map-close">Back</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('modal')
<div class="modal fade columReorderModal" id="dieselPricingColumn" tabindex="-1" role="dialog" aria-labelledby="dieselPricingColumnLabel" aria-hidden="true">
    <div class="modal-dialog modal-dishpatch" role="document">
        {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
        <input type="hidden" name="table_id" value="dieselPricing">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="dieselPricingColumnLabel">Adjust Table Columns</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                    @foreach($dieselColumns as $key => $filed)
                        <li class="ui-state-default">
                            <div class="d-flex justify-content-between">
                                <div class="form-check">
                                    <input type='hidden' value='0' name='field[{{ $key }}]'>
                                    <input class="form-check-input" type="checkbox" id="Check01{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                    <label class="form-check-label" for="Check01{{ $key }}">{{ $key }}</label>
                                </div>
                                <i class="fa fa-align-justify drag-icon pt-1"></i>
                            </div>
                        </li>
                    @endforeach
                </ul>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                <button type="submit" class="btn btn-blue">Save</button>
            </div>
        </div>
        {!! Form::close() !!}
    </div>
</div>
<div class="modal fade columReorderModal" id="gasolinePricingColumn" tabindex="-1" role="dialog" aria-labelledby="gasolinePricingColumnLabel" aria-hidden="true">
    <div class="modal-dialog modal-dishpatch" role="document">
        {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
        <input type="hidden" name="table_id" value="gasolinePricing">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="gasolinePricingColumnLabel">Adjust Table Columns</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                    @foreach($gasolineColumns as $key => $filed)
                        <li class="ui-state-default">
                            <div class="d-flex justify-content-between">
                                <div class="form-check">
                                    <input type='hidden' value='0' name='field[{{ $key }}]'>
                                    <input class="form-check-input" type="checkbox" id="Check02{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                    <label class="form-check-label" for="Check02{{ $key }}">{{ $key }}</label>
                                </div>
                                <i class="fa fa-align-justify drag-icon pt-1"></i>
                            </div>
                        </li>
                    @endforeach
                </ul>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                <button type="submit" class="btn btn-blue">Save</button>
            </div>
        </div>
        {!! Form::close() !!}
    </div>
</div>
@endsection

@section('script')
    <script src = "https://code.highcharts.com/highcharts.js"></script>
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
    <script type="text/javascript">
        function getComparisonFuelData(startDate, endDate, products){
            const getYearsBetweenDates = function(startDate, endDate) {
                let years = [];
                if (startDate < endDate){
                    let startYear = moment(startDate).format('Y');
                    let endYear = moment(endDate).format('Y');
                    for(let i = startYear; i <= endYear; i++){
                        years.push(parseInt(i));
                    }
                }
                return years;
            };
            const getMonthsBetweenDates = function(startDate, endDate) {
                let months = [];
                startDate = moment(startDate);
                endDate = moment(endDate);
                if (startDate < endDate){
                    let date = startDate.startOf('month');

                    while (date < endDate.endOf('month')) {
                        months.push(date.format('Y-MM'));
                        date.add(1, 'month');
                    }
                }
                return months;
            };
            const getWeeksBetweenDates = function(startDate, endDate) {
                startDate = (moment(startDate).day(1).format('YYYY-MM-DD') < moment(startDate).format('YYYY-MM-DD')) ? moment(moment(startDate).add(1, 'weeks').day(1).format('YYYY-MM-DD')) : moment(moment(startDate).day(1).format('YYYY-MM-DD'));
                endDate = moment(moment(endDate).day(1).format('YYYY-MM-DD'));

                let now = startDate.clone(), weeks = [];
                while (now.isSameOrBefore(endDate)) {
                    weeks.push(now.format('YYYY-MM-DD'));
                    now.add(1, 'weeks');
                }
                return weeks;
            };
            let sliceIntoChunks = function(arr, chunkSize) {
                const res = [];
                for (let i = 0; i < arr.length; i += chunkSize) {
                    const chunk = arr.slice(i, i + chunkSize);
                    res.push(chunk);
                }
                return res;
            };

            let data = [], yearDates = [], monthDates = [], weekDates = [], dateRange = [];

            startDate = moment(startDate);
            endDate = moment(endDate);

            let diff = moment.duration(endDate.diff(startDate));
            let weekCount = Math.floor(diff.asWeeks());
            let monthCount =  Math.ceil(diff.asMonths());

            let chunkIn = 0;
            if(monthCount >= 20){
                yearDates = getYearsBetweenDates(moment(startDate).format('YYYY-MM-DD'), moment(endDate).format('YYYY-MM-DD'));

                chunkIn = 6;
                if(products == 'EPMR'){
                    chunkIn = 3;
                }

                $.each(sliceIntoChunks(yearDates, chunkIn), function (key, chunkYears){
                    dateRange.push({'startDate': chunkYears[0] + '-01-01', 'endDate': chunkYears[chunkYears.length - 1] + '-12-31'})
                });

                dateRange[0]['startDate'] = moment(startDate).format('YYYY-MM-DD');
                dateRange[dateRange.length - 1]['endDate'] = moment(endDate).format('YYYY-MM-DD');
            }else {
                if(weekCount >= 20){
                    monthDates = getMonthsBetweenDates(moment(startDate).format('YYYY-MM-DD'), moment(endDate).format('YYYY-MM-DD'));

                    $.each(sliceIntoChunks(monthDates, 12), function (key, chunkMonthDates){
                        dateRange.push({'startDate': chunkMonthDates[0] + '-01', 'endDate': chunkMonthDates[chunkMonthDates.length - 1] + '-' + moment(chunkMonthDates[chunkMonthDates.length - 1]).daysInMonth()})
                    });

                    dateRange[0]['startDate'] = moment(startDate).format('YYYY-MM-DD');
                    dateRange[dateRange.length - 1]['endDate'] = moment(endDate).format('YYYY-MM-DD');
                }else{
                    weekDates = getWeeksBetweenDates(moment(startDate).format('YYYY-MM-DD'), moment(endDate).format('YYYY-MM-DD'));
                    dateRange.push({'startDate': weekDates[0], 'endDate': weekDates[weekDates.length - 1]});
                }
            }

            let facets = {'product': []};
            if(products.length == 2){
                facets['product'][0] = products[0];
                facets['product'][1] = products[1];
            }else if(products != ''){
                facets['product'][0] = products;
            }

            // Swal.fire({
            //     title: '<h4 class="font-weight-bold">Please wait...</h4>',
            //     allowEscapeKey: false,
            //     allowOutsideClick: false,
            //     didOpen: () => {
            //         Swal.showLoading()
            //     }
            // });

            $.each(dateRange, function (key, val){
                $.ajax({
                    url: "https://api.eia.gov/v2/petroleum/pri/gnd/data/",
                    method: "GET",
                    async: false,
                    data: {
                        api_key: '{!! env('EIA_API_KEY') !!}',
                        frequency: 'weekly',
                        'data[0]': 'value',
                        facets,
                        start: val.startDate,
                        end: val.endDate,
                        'sort[0][column]': 'period',
                        'sort[0][direction]': 'asc',
                    },
                    dataType: 'json',
                    success: function(responseJSON){
                        $.merge(data, responseJSON.response.data);
                        //Swal.close();
                    }
                });
            });

            return data;
        }

        function loadTabWisePage(pricingData = []){
            let weekCount = 0, monthCount = 0;
            let categoriesArr = [],  weeks = [];
            let mondaysDates = [], regionData = [], carrierData = [], customerData = [];
            let startDate = '', endDate = '', areaName = '', diff = '';

            const getAllMondayDates = (startDate, endDate, dayNum) => {
                let current = moment(startDate)
                const end = moment(endDate)
                const results = []
                while(current.isSameOrBefore(end)) {
                    if (current.weekday() === dayNum) results.push(moment(current.clone()).format('YYYY-MM-DD'))
                    current.add(1, 'day')
                }
                return results
            }
            const getYearsBetweenDates = function(startDate, endDate) {
                let years = [];
                if (startDate < endDate){
                    let startYear = moment(startDate).format('Y');
                    let endYear = moment(endDate).format('Y');
                    for(let i = startYear; i <= endYear; i++){
                        years.push(parseInt(i));
                    }
                }
                return years;
            };
            const getMonthsBetweenDates = function(startDate, endDate) {
                let months = [];
                startDate = moment(startDate);
                endDate = moment(endDate);
                if (startDate < endDate){
                    let date = startDate.startOf('month');

                    while (date < endDate.endOf('month')) {
                        months.push(date.format('MMM Y'));
                        date.add(1, 'month');
                    }
                }
                return months;
            };
            const getWeeksBetweenDates = function(startDate, endDate) {
                startDate = (moment(startDate).day(1).format('YYYY-MM-DD') < moment(startDate).format('YYYY-MM-DD')) ? moment(moment(startDate).add(1, 'weeks').day(1).format('YYYY-MM-DD')) : moment(moment(startDate).day(1).format('YYYY-MM-DD'));
                endDate = moment(moment(endDate).day(1).format('YYYY-MM-DD'));

                let now = startDate.clone(), weeks = [];
                while (now.isSameOrBefore(endDate)) {
                    weeks.push(now.format('DD MMM Y'));
                    now.add(1, 'weeks');
                }
                return weeks;
            };

            if($('.dieselTab').hasClass('active')) {
                startDate = moment($("#diesel-start-date").val());
                endDate = moment($("#diesel-end-date").val());
                areaName = $('#diesel-region').val();

                /***************************************** Load Pricing Listing - Start *************************************/
                mondaysDates = getAllMondayDates(moment(startDate).format('YYYY-MM-DD'), moment(endDate).format('YYYY-MM-DD'), 1);
                if(pricingData.length == 0){
                    if(localStorage.getItem('dieselTab') === null){
                        pricingData = getComparisonFuelData(mondaysDates[0], mondaysDates[mondaysDates.length - 1], 'EPD2D');

                        localStorage.setItem('dieselTab', JSON.stringify({'diesel-start-date': moment(startDate).format('YYYY-MM-DD'), 'diesel-end-date': moment(endDate).format('YYYY-MM-DD'), 'pricingData': pricingData}));
                    }else{
                        let dieselTabDates = $.parseJSON(localStorage.getItem('dieselTab'));

                        if(dieselTabDates['diesel-start-date'] == moment(startDate).format('YYYY-MM-DD') && dieselTabDates['diesel-end-date'] == moment(endDate).format('YYYY-MM-DD')){
                            pricingData = dieselTabDates['pricingData'];
                        }else{
                            pricingData = getComparisonFuelData(mondaysDates[0], mondaysDates[mondaysDates.length - 1], 'EPD2D');

                            localStorage.setItem('dieselTab', JSON.stringify({'diesel-start-date': moment(startDate).format('YYYY-MM-DD'), 'diesel-end-date': moment(endDate).format('YYYY-MM-DD'), 'pricingData': pricingData}));
                        }
                    }
                }

                if(pricingData.length > 0){
                    printDieselRetailPrices(mondaysDates, pricingData);
                }
                /***************************************** Load Pricing Listing - End **************************************/

                diff = moment.duration(endDate.diff(startDate));
                weekCount = Math.floor(diff.asWeeks());
                monthCount =  Math.ceil(diff.asMonths());

                if(areaName != ""){
                    if(monthCount >= 20){
                        let totalValueYearWise = 0; let YearArr = [];

                        const filterData = pricingData.filter(e => e['product'] == 'EPD2D' && e['area-name'] == areaName);
                        $.each(filterData, function (key, val){
                            if($.inArray(moment(val.period).format('Y'), YearArr) === -1){
                                if(key != 0){
                                    if(totalValueYearWise > 0){
                                        regionData.push(parseFloat((totalValueYearWise / 52).toFixed(3)));
                                    }else{
                                        regionData.push(0.000);
                                    }
                                    totalValueYearWise = 0;
                                }
                                YearArr.push(moment(val.period).format('Y'));
                            }
                            totalValueYearWise = parseFloat(totalValueYearWise) + parseFloat(val.value);

                            if(key == (filterData.length - 1)){
                                if(totalValueYearWise > 0){
                                    regionData.push(parseFloat((totalValueYearWise / 52).toFixed(3)));
                                }else{
                                    regionData.push(0.000);
                                }
                            }
                        });
                    }else{
                        if(weekCount >= 20){
                            let totalValueMonthWise = 0; let monthArr = [];

                            const filterData = pricingData.filter(e => e['product'] == 'EPD2D' && e['area-name'] == areaName);
                            $.each(filterData, function (key, val){
                                if($.inArray(moment(val.period).format('MY'), monthArr) === -1){
                                    if(key != 0){
                                        if(totalValueMonthWise > 0){
                                            regionData.push(parseFloat((totalValueMonthWise).toFixed(3)));
                                        }else{
                                            regionData.push(0.000);
                                        }
                                        totalValueMonthWise = 0;
                                    }
                                    monthArr.push(moment(val.period).format('MY'));
                                }
                                totalValueMonthWise = parseFloat(totalValueMonthWise) + parseFloat(val.value);

                                if(key == (filterData.length - 1)){
                                    if(totalValueMonthWise > 0){
                                        regionData.push(parseFloat((totalValueMonthWise).toFixed(3)));
                                    }else{
                                        regionData.push(0.000);
                                    }
                                }
                            });
                        }else{
                            $.each(pricingData, function (key, val){
                                if(val['product'] == 'EPD2D' && val['area-name'] == areaName){
                                    regionData.push(val.value);
                                }
                            });
                        }
                    }
                }
            }else if($('.gasolineTab').hasClass('active')) {
                startDate = moment($("#gasoline-start-date").val());
                endDate = moment($("#gasoline-end-date").val());
                areaName = $('#gasoline-region').val();

                /***************************************** Load Pricing Listing - Start *************************************/
                mondaysDates = getAllMondayDates(moment(startDate).format('YYYY-MM-DD'), moment(endDate).format('YYYY-MM-DD'), 1);
                if(pricingData.length == 0){
                    if(localStorage.getItem('gasolineTab')  === null){
                        pricingData = getComparisonFuelData(mondaysDates[0], mondaysDates[mondaysDates.length - 1], 'EPMR');

                        localStorage.setItem('gasolineTab', JSON.stringify({'gasoline-start-date': moment(startDate).format('YYYY-MM-DD'), 'gasoline-end-date': moment(endDate).format('YYYY-MM-DD'), 'pricingData': pricingData}));
                    }else{
                        let dieselTabDates = $.parseJSON(localStorage.getItem('gasolineTab'));
                        if(dieselTabDates['gasoline-start-date'] == moment(startDate).format('YYYY-MM-DD') && dieselTabDates['gasoline-end-date'] == moment(endDate).format('YYYY-MM-DD')){
                            pricingData = dieselTabDates['pricingData'];
                        }else{
                            pricingData = getComparisonFuelData(mondaysDates[0], mondaysDates[mondaysDates.length - 1], 'EPMR');

                            localStorage.setItem('gasolineTab', JSON.stringify({'gasoline-start-date': moment(startDate).format('YYYY-MM-DD'), 'gasoline-end-date': moment(endDate).format('YYYY-MM-DD'), 'pricingData': pricingData}));
                        }
                    }
                }

                if(pricingData.length > 0) {
                    printGasolineRetailPrices(mondaysDates, pricingData);
                }
                /***************************************** Load Pricing Listing - End **************************************/

                diff = moment.duration(endDate.diff(startDate));
                weekCount = Math.floor(diff.asWeeks());
                monthCount =  Math.ceil(diff.asMonths());

                if(areaName != ""){
                    if(monthCount >= 20){
                        let totalValueYearWise = 0; let YearArr = [];

                        const filterData = pricingData.filter(e => e['product'] == 'EPMR' && e['area-name'] == areaName);
                        $.each(filterData, function (key, val){
                            if($.inArray(moment(val.period).format('Y'), YearArr) === -1){
                                if(key != 0){
                                    if(totalValueYearWise > 0){
                                        regionData.push(parseFloat((totalValueYearWise / 52).toFixed(3)));
                                    }else{
                                        regionData.push(0.000);
                                    }
                                    totalValueYearWise = 0;
                                }
                                YearArr.push(moment(val.period).format('Y'));
                            }
                            totalValueYearWise = parseFloat(totalValueYearWise) + parseFloat(val.value);

                            if(key == (filterData.length - 1)){
                                if(totalValueYearWise > 0){
                                    regionData.push(parseFloat((totalValueYearWise / 52).toFixed(3)));
                                }else{
                                    regionData.push(0.000);
                                }
                            }
                        });
                    }else{
                        if(weekCount >= 20){
                            let totalValueMonthWise = 0; let monthArr = [];

                            const filterData = pricingData.filter(e => e['product'] == 'EPMR' && e['area-name'] == areaName);
                            $.each(filterData, function (key, val){
                                if($.inArray(moment(val.period).format('MY'), monthArr) === -1){
                                    if(key != 0){
                                        if(totalValueMonthWise > 0){
                                            regionData.push(parseFloat((totalValueMonthWise).toFixed(3)));
                                        }else{
                                            regionData.push(0.000);
                                        }
                                        totalValueMonthWise = 0;
                                    }
                                    monthArr.push(moment(val.period).format('MY'));
                                }
                                totalValueMonthWise = parseFloat(totalValueMonthWise) + parseFloat(val.value);

                                if(key == (filterData.length - 1)){
                                    if(totalValueMonthWise > 0){
                                        regionData.push(parseFloat((totalValueMonthWise).toFixed(3)));
                                    }else{
                                        regionData.push(0.000);
                                    }
                                }
                            });
                        }else{
                            $.each(pricingData, function (key, val){
                                if(val['product'] == 'EPMR' && val['area-name'] == areaName){
                                    regionData.push(val.value);
                                }
                            });
                        }
                    }
                }
            }

            if(monthCount >= 20){
                categoriesArr = getYearsBetweenDates(moment(startDate).format('YYYY-MM-DD'), moment(endDate).format('YYYY-MM-DD')); // If months > 20 display years
            }else{
                if(weekCount >= 20){
                    categoriesArr = getMonthsBetweenDates(moment(startDate).format('YYYY-MM-DD'), moment(endDate).format('YYYY-MM-DD')); // If months < 20 && weekCount > 20 display months
                }else{
                    categoriesArr = getWeeksBetweenDates(moment(startDate).format('YYYY-MM-DD'), moment(endDate).format('YYYY-MM-DD')); // If months < 20 && weekCount < 20 display weeks
                }
            }

            carrierData = getCarrierWiseData();
            customerData = getCustomerWiseData();

            let dataLabelsOptions = {};
            if($('#show-pricing').is(':checked')){
                dataLabelsOptions = {
                    enabled: true,
                    backgroundColor:'rgba(255, 255, 255)',
                    borderColor: 'rgba(0,0,0,0.9)',
                    shape: 'callout',
                    borderWidth: .1,
                    borderRadius: 1,
                    y: -15,
                    padding: 8,
                    shadow: true,
                    zIndex: 5,
                    style: {
                        fontFamily: 'Inter, sans-serif',
                        fontSize: '10px',
                        fontWeight: 'normal',
                        textShadow: 'none'
                    },
                    formatter: function() {
                        let tooltip = '';
                        if(this.series.name == 'Region'){
                            tooltip += '<span>'+ this.x +'</span>' +
                                '<br/><span style="font-size: 13px;"><span style="color: rgba(255, 16, 16, 1);">&#9679;</span> '+ this.series.name +': <strong>$'+ this.y +'</strong></span>';
                        }else if(this.series.name == 'Carrier'){
                            tooltip += '<span>'+ this.x +'</span>' +
                                '<br/><span style="font-size: 13px;"><span style="color: rgba(48, 95, 156, 1);">&#9679;</span> '+ this.series.name +': <strong>$'+ this.y +'</strong></span>';
                        }else if(this.series.name == 'Customer'){
                            tooltip += '<span>'+ this.x +'</span>' +
                                '<br/><span style="font-size: 13px;"><span style="color: rgba(244, 81, 30, 1);">&#9679;</span> '+ this.series.name +': <strong>$'+ this.y +'</strong></span>';
                        }
                        return tooltip;
                    }
                };
            }

            $('#historical-fuel-chart').highcharts({
                title: null,
                xAxis: {
                    labels: {
                        style: {
                            fontWeight: 'bold'
                        }
                    },
                    categories: categoriesArr // Display dynamically years/months/weeks
                },
                yAxis: {
                    title: {
                        text: ''
                    },
                    labels: {
                        style: {
                            fontWeight: 'bold'
                        }
                    },
                    plotLines: [{
                        value: 0, //Set lowest value
                        width: 2,
                        color: '#1E415A'
                    }]
                },
                legend: {
                    enabled: true
                },
                tooltip: {
                    enabled: true,
                    valuePrefix: '$'
                },
                plotOptions: {
                    series: {
                        type: 'line',
                        lineWidth: 3,
                        marker: {
                            symbol: 'circle',
                            radius: 5,
                            enabled: true
                        },
                        dataLabels: dataLabelsOptions
                    }
                },
                series: [
                    {
                        name: 'Region',
                        data: regionData,
                        color: 'rgba(255, 16, 16, 1)',
                    },
                    {
                        name: 'Carrier',
                        data: carrierData,
                        color: 'rgba(48, 95, 156, 1)',
                    },
                    {
                        name: 'Customer',
                        data: customerData,
                        color: 'rgba(244, 81, 30, 1)',
                    }
                ],
            });
        }

        function printDieselRetailPrices(mondaysDates, pricingData){
            let EPD2DTableHtml = '';
            let dieselOptionsCode = $.parseJSON('{!! json_encode($dieselOptionsCode) !!}');

            $.each(mondaysDates.reverse(), function (j, mondaysDate) {
                EPD2DTableHtml += '<tr>';
                $.each($.parseJSON('{!! json_encode($dieselColumns) !!}'), function (optionName, field) {
                    if(field == '1' && optionName == 'Release Date'){
                        EPD2DTableHtml += '<td>'+ moment(mondaysDate).format('MM/DD/YYYY') + '</td>';
                    }
                    if(field == '1' && optionName != 'Release Date'){
                        if(dieselOptionsCode[optionName]){
                            let optionValue = (dieselOptionsCode[optionName]).toUpperCase();
                            let filteredEPD2DPricingData = pricingData.find(function(e) { return 'EPD2D' == e['product'] && mondaysDate == e['period'] && optionValue == e['area-name']});

                            if(filteredEPD2DPricingData){
                                if(filteredEPD2DPricingData.value != null && filteredEPD2DPricingData.value > 0){
                                    EPD2DTableHtml += '<td>$'+ (filteredEPD2DPricingData.value).toFixed(3) +'</td>';
                                }else{
                                    EPD2DTableHtml += '<td>$0.000</td>';
                                }
                            }else{
                                EPD2DTableHtml += '<td>-</td>';
                            }
                        }else{
                            let filteredEPD2DPricingData = pricingData.find(function(e) { return 'EPD2D' == e['product'] && mondaysDate == e['period'] && optionName.toUpperCase() == e['area-name']});

                            if(filteredEPD2DPricingData){
                                if(filteredEPD2DPricingData.value != null && filteredEPD2DPricingData.value > 0){
                                    EPD2DTableHtml += '<td>$'+ (filteredEPD2DPricingData.value).toFixed(3) +'</td>';
                                }else{
                                    EPD2DTableHtml += '<td>$0.000</td>';
                                }
                            }else{
                                EPD2DTableHtml += '<td>-</td>';
                            }
                        }
                    }
                });
                EPD2DTableHtml += '</tr>';
            });

            if(EPD2DTableHtml != ''){
                $("#dieselPricingBody").html(EPD2DTableHtml);
            }
        }

        function printGasolineRetailPrices(mondaysDates, pricingData){
            let EPMRPTableHtml = '';
            let gasolineOptionsCode = $.parseJSON('{!! json_encode($gasolineOptionsCode) !!}');

            $.each(mondaysDates.reverse(), function (j, mondaysDate) {
                EPMRPTableHtml += '<tr>';

                $.each($.parseJSON('{!! json_encode($gasolineColumns) !!}'), function (optionName, field) {
                    if(field == '1' && optionName == 'Release Date'){
                        EPMRPTableHtml += '<td>'+ moment(mondaysDate).format('MM/DD/YYYY') + '</td>';
                    }
                    if(field == '1' && optionName != 'Release Date') {
                        if (gasolineOptionsCode[optionName]) {
                            let optionValue = (gasolineOptionsCode[optionName]).toUpperCase();
                            let filteredEPMRPricingData = pricingData.find(function (e) {
                                return 'EPMR' == e['product'] && mondaysDate == e['period'] && optionValue == e['area-name']
                            });

                            if (filteredEPMRPricingData) {
                                if(filteredEPMRPricingData.value != null && filteredEPMRPricingData.value > 0){
                                    EPMRPTableHtml += '<td>$' + (filteredEPMRPricingData.value).toFixed(3) + '</td>';
                                }else{
                                    EPMRPTableHtml += '<td>$0.000</td>';
                                }
                            } else {
                                EPMRPTableHtml += '<td>-</td>';
                            }
                        } else {
                            let filteredEPMRPricingData = pricingData.find(function (e) {
                                return 'EPMR' == e['product'] && mondaysDate == e['period'] && optionName.toUpperCase() == e['area-name']
                            });

                            if (filteredEPMRPricingData) {
                                if(filteredEPMRPricingData.value != null && filteredEPMRPricingData.value > 0){
                                    EPMRPTableHtml += '<td>$' + (filteredEPMRPricingData.value).toFixed(3) + '</td>';
                                }else{
                                    EPMRPTableHtml += '<td>$0.000</td>';
                                }
                            } else {
                                EPMRPTableHtml += '<td>-</td>';
                            }
                        }
                    }
                });
                EPMRPTableHtml += '</tr>';
            });

            if(EPMRPTableHtml != ''){
                $("#gasolinePricingBody").html(EPMRPTableHtml);
            }
        }

        function getCarrierWiseData(){
            let carrierId = '', startDate = '', endDate = '', comparisonMiles = '';

            if($('.dieselTab').hasClass('active')){
                carrierId = $('#diesel-carrier').val();
                startDate = $('#diesel-start-date').val();
                endDate = $('#diesel-end-date').val();
                comparisonMiles = ($('#diesel-comparison-miles').is(':checked')) ? 'Loaded' : 'All';
            }else if($('.gasolineTab').hasClass('active')){
                carrierId = $('#gasoline-carrier').val();
                startDate = $('#gasoline-start-date').val();
                endDate = $('#gasoline-end-date').val();
                comparisonMiles = ($('#gasoline-comparison-miles').is(':checked')) ? 'Loaded' : 'All';
            }

            if(carrierId != "" && startDate != "" && endDate != ""){
                return $.ajax({
                            url: "{!! route('company.admin.fuel-surcharges.carrierRatePerMile') !!}",
                            method: "POST",
                            async: false,
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
                            },
                            data: {
                                carrierId: carrierId,
                                startDate: moment(startDate).format('YYYY-MM-DD'),
                                endDate: moment(endDate).format('YYYY-MM-DD'),
                                comparisonMiles: comparisonMiles,
                            },
                            dataType: 'json',
                        }).responseJSON.CarrierData;
            }else{
                return [];
            }
        }

        function getCustomerWiseData(){
            let customerId = '', startDate = '', endDate = '', comparisonMiles = '';

            if($('.dieselTab').hasClass('active')){
                customerId = $('#diesel-customer').val();
                startDate = $('#diesel-start-date').val();
                endDate = $('#diesel-end-date').val();
                comparisonMiles = ($('#diesel-comparison-miles').is(':checked')) ? 'Loaded' : 'All';
            }else if($('.gasolineTab').hasClass('active')){
                customerId = $('#gasoline-customer').val();
                startDate = $('#gasoline-start-date').val();
                endDate = $('#gasoline-end-date').val();
                comparisonMiles = ($('#gasoline-comparison-miles').is(':checked')) ? 'Loaded' : 'All';
            }

            if(customerId != "" && startDate != "" && endDate != ""){
                return $.ajax({
                    url: "{!! route('company.admin.fuel-surcharges.customerRatePerMile') !!}",
                    method: "POST",
                    async: false,
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
                    },
                    data: {
                        customerId: customerId,
                        startDate: moment(startDate).format('YYYY-MM-DD'),
                        endDate: moment(endDate).format('YYYY-MM-DD'),
                        comparisonMiles: comparisonMiles,
                    },
                    dataType: 'json',
                }).responseJSON.CustomerData;
            }else{
                return [];
            }
        }

        function loader(){
            Swal.fire({
                title: '<h6 class="font-weight-bold">Loading data from the US Government, they are super fast and efficient, this should be quick.</h6>',
                allowEscapeKey: false,
                allowOutsideClick: false,
                didOpen: () => {
                    Swal.showLoading()
                }
            });
        }

        $(function (){
            $(".sortableList").sortable();

            $(window).bind('beforeunload',function(){
                localStorage.removeItem('dieselTab');
                localStorage.removeItem('gasolineTab');
            });

            $("#diesel-region").html('{!! $regionEPD2DHtml !!}');
            $("#gasoline-region").html('{!! $regionEPMRHtml !!}');

            let currentWeekMonday = moment().day(1);
            let lastWeekMonday = moment().subtract(1, 'weeks').day(1);

            let currentWeekData = [];

            if($('.dieselTab').hasClass('active')){
                currentWeekData = getComparisonFuelData(moment(currentWeekMonday).format('YYYY-MM-DD'), moment(currentWeekMonday).format('YYYY-MM-DD'), 'EPD2D');
                if(currentWeekData.length == 0){
                    currentWeekMonday = lastWeekMonday;
                    currentWeekData = getComparisonFuelData(moment(currentWeekMonday).format('YYYY-MM-DD'), moment(currentWeekMonday).format('YYYY-MM-DD'), 'EPD2D');
                }
            }else if($('.gasolineTab').hasClass('active')){
                currentWeekData = getComparisonFuelData(moment(currentWeekMonday).format('YYYY-MM-DD'), moment(currentWeekMonday).format('YYYY-MM-DD'), 'EPMR');
                if(currentWeekData.length == 0){
                    currentWeekMonday = lastWeekMonday;
                    currentWeekData = getComparisonFuelData(moment(currentWeekMonday).format('YYYY-MM-DD'), moment(currentWeekMonday).format('YYYY-MM-DD'), 'EPMR');
                }
            }

            $('#diesel-start-date').datetimepicker({ format: 'MM/DD/YYYY', defaultDate: currentWeekMonday, maxDate: currentWeekMonday });
            $('#diesel-end-date').datetimepicker({ format: 'MM/DD/YYYY', defaultDate: currentWeekMonday, maxDate: currentWeekMonday });

            $('#gasoline-start-date').datetimepicker({ format: 'MM/DD/YYYY', defaultDate: currentWeekMonday, maxDate: currentWeekMonday });
            $('#gasoline-end-date').datetimepicker({ format: 'MM/DD/YYYY', defaultDate: currentWeekMonday, maxDate: currentWeekMonday });

            if($('.dieselTab').hasClass('active')){
                $("#dieselPricingTable").removeClass('d-none');
                $(".dieselPricingColumn").removeClass('d-none');
                $(".dieselFilterClear").removeClass('d-none');
                $("#gasolinePricingTable").addClass('d-none');
                $(".gasolinePricingColumn").addClass('d-none');
                $(".gasolineFilterClear").addClass('d-none');
            }else if($('.gasolineTab').hasClass('active')){
                $("#dieselPricingTable").addClass('d-none');
                $(".dieselPricingColumn").addClass('d-none');
                $(".dieselFilterClear").addClass('d-none');
                $("#gasolinePricingTable").removeClass('d-none');
                $(".gasolinePricingColumn").removeClass('d-none');
                $(".gasolineFilterClear").removeClass('d-none');
            }
            loadTabWisePage(currentWeekData);

            $(document).on('click', '.btnExpand', function () {
                if($(this).hasClass('expanded')){
                    $(this).removeClass('expanded');
                    $(this).html('Expand <i class="fa fa-expand ml-1" aria-hidden="true" style="rotate: 90deg;"></i>');

                    $('.heading').removeClass('d-none');
                    $('.chart').removeClass('col-12').addClass('col-9');
                    $('.listing').removeClass('d-none');
                    $('.btnColumn, .btnEmail, .btnPdf, .btnPrint, .btnExport').removeClass('d-none');
                }else{
                    $(this).addClass('expanded');
                    $(this).html('Collapse <i class="fa fa-compress" aria-hidden="true" style="rotate: 90deg;"></i>');

                    $('.heading').addClass('d-none');
                    $('.chart').removeClass('col-9').addClass('col-12');
                    $('.listing').addClass('d-none');
                    $('.btnColumn, .btnEmail, .btnPdf, .btnPrint, .btnExport').addClass('d-none');
                }
            });

            $(document).on('click', '.dieselTab,.gasolineTab', function () {
                if($('.dieselTab').hasClass('active')){
                    $("#dieselPricingTable").removeClass('d-none');
                    $(".dieselPricingColumn").removeClass('d-none');
                    $(".dieselFilterClear").removeClass('d-none');
                    $("#gasolinePricingTable").addClass('d-none');
                    $(".gasolinePricingColumn").addClass('d-none');
                    $(".gasolineFilterClear").addClass('d-none');
                }else if($('.gasolineTab').hasClass('active')){
                    $("#dieselPricingTable").addClass('d-none');
                    $(".dieselPricingColumn").addClass('d-none');
                    $(".dieselFilterClear").addClass('d-none');
                    $("#gasolinePricingTable").removeClass('d-none');
                    $(".gasolinePricingColumn").removeClass('d-none');
                    $(".gasolineFilterClear").removeClass('d-none');
                }

                loader();
                setTimeout(function(){
                    loadTabWisePage();
                    Swal.close();
                }, 300);
            });

            $(document).on('dp.change', '#diesel-start-date, #diesel-end-date, #gasoline-start-date, #gasoline-end-date', function () {
                setTimeout(function(){
                    loader();
                    setTimeout(function(){
                        loadTabWisePage();
                        Swal.close();
                    }, 100);
                }, 100);
            });

            $(document).on('change', '#diesel-region, #gasoline-region', function () {
                loader();
                setTimeout(function(){
                    loadTabWisePage();
                    Swal.close();
                }, 100);
            });

            $(document).on('change', '#diesel-carrier,#gasoline-carrier', function () {
                loader();
                setTimeout(function(){
                    loadTabWisePage();
                    Swal.close();
                }, 100);
            });

            $(document).on('change', '#diesel-customer,#gasoline-customer', function () {
                loader();
                setTimeout(function(){
                    loadTabWisePage();
                    Swal.close();
                }, 100);
            });

            $(document).on('click', '.region-map-url, .region-map-close', function () {
                if($('.map').hasClass('d-none')){
                    $('.map').removeClass('d-none');
                    $('.heading, .chart, .listing').addClass('d-none');
                }else{
                    $('.map').addClass('d-none');
                    $('.heading, .chart, .listing').removeClass('d-none');
                }
            });

            $(document).on('click', '.dieselFilterClear', function () {
                $.each($("[id^='Check01']").filter(':not(:checked)'), function (key, val){
                    $(val).prop('checked', true);
                });
                $("#dieselPricingColumn form").submit();
            });

            $(document).on('click', '.gasolineFilterClear', function () {
                $.each($("[id^='Check02']").filter(':not(:checked)'), function (key, val){
                    $(val).prop('checked', true);
                });
                $("#gasolinePricingColumn form").submit();
            });

            $(document).on('click', '#diesel-comparison-miles, #gasoline-comparison-miles', function () {
                loader();
                setTimeout(function(){
                    loadTabWisePage();
                    Swal.close();
                }, 100);
            });

            $(document).on('click', '#show-pricing', function () {
                setTimeout(function(){
                    loadTabWisePage();
                }, 100);
            });
        });
    </script>
@endsection
