@extends($companyAdminTheme)

@section('title')
    Request Documents
@endsection

@section('style')
<link id="bsdp-css" href="https://unpkg.com/bootstrap-datepicker@1.9.0/dist/css/bootstrap-datepicker3.min.css" rel="stylesheet">
<link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
<style type="text/css">
        .select2-container {
            width: 100% !important;
        }

        .select2-container .select2-selection--single {
            height: 35px;
        }

        .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }

        .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 34px;
        }

        .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 31px;
        }

        .select2-container--open .select2-dropdown {
            left: -1px;
        }
</style>
<style type="text/css">
    .table-view .dataTable thead tr th {
        background-color: #305f9c;
    }
    .table-view .dataTables_scrollBody table.dataTable > thead tr th {
        padding: 0 15px !important;
    }
    .table-view .DTFC_RightBodyLiner table.dataTable > thead tr th {
        height: 0;
        padding: 0 15px !important;
        opacity: 0;
    }
</style>
@endsection

@section('content')
<div class="white-box table-view">
    <h3 class="table-title">Request Documents</h3>
    <div class="table-responsive">
        <table id="teamsTable" class="table data-table">
            <thead>
                <tr>
                    @foreach($getField as $key => $filed)
                        @if($filed == 1 && isset(config('settings.table_request_documents')[$key]['name']))
                            @if(isset(config('settings.table_request_documents')[$key]['searchBuilderType']))
                                @if( config('settings.table_request_documents')[$key]['searchBuilderType'] == 'string' )
                                <th>{{ config('settings.table_request_documents')[$key]['name'] }} <i class="fa fa-filter columnFilter table_request_documents_{{$key}}_string" data-modal="SearchByStringModal{{ $key }}"></i></th>
                                @elseif( config('settings.table_request_documents')[$key]['searchBuilderType'] == 'date' )
                                <th>{{ config('settings.table_request_documents')[$key]['name'] }} <i class="fa fa-filter columnFilter table_request_documents_{{$key}}_date" data-modal="SearchByDateModal{{ $key }}"></i></th>
                                @endif
                            @else
                                <th>{{ config('settings.table_request_documents')[$key]['name'] }}</th>
                            @endif
                        @endif
                    @endforeach
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
            </tbody>
        </table>
    </div>
</div>

<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
    <input type="hidden" name="table_id" value="request_documents" />

    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Adjust Table Columns</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <ul class="sortableList connected-sortable droppable-area1" id="sortable">
            @foreach($getField as $key => $filed)
                @if(isset(config('settings.table_request_documents')[$key]['name']))
                  <li class="ui-state-default">
                      <div class="custom-control custom-checkbox">
                        <input type='hidden' value='0' name='field[{{ $key }}]'>
                        <input type="checkbox" class="custom-control-input" id="Check{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed == 1) checked @endif>
                        <label class="custom-control-label" for="Check{{ $key }}">{{ config('settings.table_request_documents')[$key]['name'] }}</label>
                      </div>
                      <i class="fa fa-align-justify drag-icon"></i>
                  </li>
                @endif
            @endforeach


        </ul>

      </div>
      <div class="modal-footer">
        <button type="submit" class="btn btn-primary">Save</button>
      </div>
    </div>
    {!! Form::close() !!}
  </div>
</div>


<div class="modal fade bd-example-modal-lg file-request-modal" id="requestDocModal" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="newTeamModalLabel">File Request</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class=" px-3 py-2 mb-4">
                    {!! Form::open(array('route' => 'company.admin.request.documents.save','method'=>'POST','files'=>'true','class'=>'storeForm')) !!}
                            <div class="form-row">
                                <div class="form-group col-lg-2 col-sm-6">
                                    <label>Module</label>
                                    <select class="form-control" name="source" required>
                                        <option value="">Select Module</option>
                                        @foreach(getRequestDocumentsSource() as $data)
                                        <option value="{{ $data['source'] }}">{{ $data['name'] }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div id="newRow">
                                <div class="form-row">
                                    <div class="form-group col-lg-2 col-sm-6">
                                        <label>Files</label>
                                        <select class="form-control cfile_name" name="field_name[]" required>
                                            <option value="">Select Files Name</option>
                                            @foreach(getRequestDocumentsList() as $fdata)
                                            <option value="{{ $fdata['field_name'] }}" class="{{ $fdata['source'] }}">{{ $fdata['name'] }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                    <div class="form-group col-lg-2 col-sm-6">
                                        <label>File Type</label>
                                        {!! Form::select('file_type[]', ['1' => 'Single Images','2' => 'Single File Other','3' => 'Multi File (converts to PDF)'], null, ['class' => 'form-control', 'required' => 'required']) !!}
                                    </div>
                                    <div class="form-group col-lg-6">
                                        <label for="inputEmail4">Name</label>
                                        {!! Form::text('file_name[]', null, array('class' => 'form-control', 'placeholder' => 'File Name','required' => 'required')) !!}
                                    </div>
                                    <div class="form-group col-lg-2 ">
                                        <label for="inputEmail4" class="invisible d-lg-block d-none">125</label>
                                        <a href="javascript:void(0);" class="btn green-btn addmorefile"><i class="fa fa-plus"></i></a>
                                    </div>
                                </div>
                            </div>

                        <div class="form-row">
                            <div class="form-group col-12">
                                <label for="inputEmail4">Request Notes</label>
                                <textarea class="form-control" rows="4" name="notes" placeholder="Enter your message"></textarea>
                            </div>
                            <div class="form-group col-lg-8">
                                <label>Send Request To</label>
                                {!! Form::select('share', ['' => 'Select Option','1' => 'Drivers','2' => 'Dispatchers'], null, ['class' => 'form-control','required' => 'required']) !!}
                                <div class="form-group driversediv mt-3">
                                    <label>Drivers</label>
                                    {!! Form::select('setdriver', ['' => 'Select Driver']+getDriverListByCompany(auth()->guard('company-admin')->user()->company_id), request()->get('driver_id'), ['class' => 'select2 form-control driverse']) !!}
                                </div>
                                <div class="form-group dispasediv mt-3">
                                    <label>Dispatchers</label>
                                    {!! Form::select('setdispatcher', ['' => 'Select Dispatcher']+getDispatcherListByCompany(auth()->guard('company-admin')->user()->company_id), request()->get('driver_id'), ['class' => 'select2 form-control dispase']) !!}
                                </div>
                            </div>
                            <div class="form-group col-lg-4">
                                <label>Requires Approval </label>
                                {!! Form::select('requires_approval', ['' => 'Select Option','1' => 'Yes','2' => 'No'], null, ['class' => 'form-control','required' => 'required']) !!}
                            </div>
                            <div class="col-lg-2 col-sm-4"><button class="btn btn-danger w-100">Cancel</button> </div>
                            <div class="col-lg-10 col-sm-8"><button type="submit" name="submit" class="btn green-btn w-100">Send Request</button> </div>
                        </div>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
    </div>
</div>


@endsection

@section('script')
<script src="{{ asset('theme/js/bootstrap-datepicker.js') }}"></script>
<script src="{{ asset('theme/js/bootstrap-datetimepicker.min.js') }}"></script>
<script src="{{ asset('theme/js/jquery.form.min.js') }}"></script>
<script src="{{ asset('theme/js/moment.min.js') }}"></script>
<script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
<script>



$('.storeForm').parsley();

$(".addmorefile").click(function () {
    var html = '';
    html += '<div class="form-row" id="inputFormRow">';
    html += '<div class="form-row">';
    html += '<div class="form-group col-lg-2 col-sm-6">';
    html += '<label>Files</label>';
    html += '<select class="form-control cfile_name" name="field_name[]" required>';
    html += '<option value="" style="display: none;">Select Files Name</option>';

    <?php foreach(getRequestDocumentsList() as $fdata): ?>
    html += '<option value="{{ $fdata['field_name'] }}" class="{{ $fdata['source'] }}">{{ $fdata['name'] }}</option>';
    <?php endforeach; ?>

    html += '</select>';
    html += '</div>';
    html += '<div class="form-group col-lg-2 col-sm-6">';
    html += '<label>File Type</label>';
    html += '<select class="form-control" required="required" name="file_type[]">';
    html += '<option value="1">Single Images</option>';
    html += '<option value="2">Single File Other</option>';
    html += '<option value="3">Multi File (converts to PDF)</option>';
    html += '</select>';
    html += '</div>';
    html += '<div class="form-group col-lg-6">';
    html += '<label for="inputEmail4">Name</label>';
    html += '<input class="form-control" placeholder="File Name" required="required" name="file_name[]" type="text">';
    html += '</div>';
    html += '<div class="form-group col-lg-2 ">';
    html += '<label for="inputEmail4" class="invisible d-lg-block d-none">125</label>';
    html += '<a href="javascript:void(0)" class="btn btn-danger" id="removeRow"><i class="fa fa-trash"></i></a>';
    html += '</div>';
    html += '</div>';
    html += '</div>';

    $('#newRow').append(html);
    setSource();
});



var table = $('.data-table').DataTable({
    stateSave: true,
    bSortCellsTop: true,
    language: {
        search: "",
        searchPlaceholder: "Search...",
    },
    scrollX: true,
    scrollCollapse: true,
    fixedHeader: true,
    fixedColumns: {
        leftColumns: 0, // Number of columns to be fixed on the left
        rightColumns: 1, // Number of columns to be fixed on the right
        // heightMatch: "auto"
    },
    dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
    processing: true,
    serverSide: true,
    ordering: false,
    pageLength: "{{ perPageView() }}",

    //order: [[0, "desc"]],
    //ajax: "{{ route('company.admin.request-documents.index') }}",
    ajax: {
            url: "{{ route('company.admin.request-documents.index') }}",
            data: function (d) {
                <?php foreach($getField as $key => $filed): ?>
                d.search_string_value_{{$key}} = $('#search_string_{{$key}}').val();
                d.search_string_name_{{$key}} = $('#stringKey{{$key}}').val();
                d.search_string_type_{{$key}} = $('#stringType{{$key}}').val();
                d.search_table_name_{{$key}} = $('#stringTableType{{$key}}').val();
                d.search_string_condition_{{$key}} = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                d.search_string_sort_{{$key}} = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();

                d.search_date_from_value_{{$key}} = $('#search_date_from_date{{$key}}').val();
                d.search_date_to_value_{{$key}} = $('#search_date_end_from_date{{$key}}').val();
                d.search_date_name_{{$key}} = $('#dateKey{{$key}}').val();
                d.search_date_type_{{$key}} = $('#dateType{{$key}}').val();
                d.search_table_name_{{$key}} = $('#dateTableType{{$key}}').val();
                d.search_date_condition_{{$key}} = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                d.search_date_sort_{{$key}} = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();
                <?php endforeach; ?>
            }
            },
    columns: [
        <?php foreach($getField as $key => $filed): ?>
          <?php if($filed == 1): ?>
            <?php if(isset(config('settings.table_request_documents')[$key]['name'])): ?>
                <?php if(config("settings.table_request_documents")[$key]["orderable"] == 1 && config("settings.table_request_documents")[$key]["searchable"] == 1): ?>
                  { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                <?php elseif(config("settings.table_request_documents")[$key]["orderable"] == 1): ?>
                  { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                <?php elseif(config("settings.table_request_documents")[$key]["searchable"] == 1): ?>
                  { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                <?php else: ?>
                  { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                <?php endif; ?>
            <?php endif; ?>
          <?php endif; ?>
        <?php endforeach; ?>
        { data: 'action', name: 'action', orderable: false, searchable: false }
    ]
});


$('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3"><i class="fa fa-refresh"></i> Refresh</a>').prependTo(".dataTables_filter");
$('<a href="javascript:void(0);" id="clearAll{{ str_replace("settings.", "", $tableName) }}" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tableName) }} {{ str_replace("settings.", "", $tableName) }} ml-3 d-none">Clear filters</a>').prependTo(".dataTables_filter");
$('<button type="button" class="btn btn-primary ml-3" data-toggle="modal" data-target="#exampleModal">Columns</button>').appendTo(".dataTables_filter");

$(document).ready(function() {
    /*$('.data-table thead tr').clone(true).appendTo('.data-table thead');
    $('.data-table thead tr:eq(1) th').each( function (i) {
        console.log();
        var title = $(this).text();
        var getClass = $(this).attr("class");
        if(getClass == 'sorting'){
          var search_value = table.column(i).search();
          $(this).html( '<input type="text" value="'+search_value+'" placeholder=" Search '+title+'" class="sercol" onclick="stopPropagation(event);" />' );

          $( 'input,select', this ).on( 'keyup change', function () {
              if ( table.column(i).search() !== this.value ) {
                  table
                      .column(i)
                      .search( this.value )
                      .draw();
              }
          });
        }else{
          $(this).html('');
        }


    });*/

    $('.driversediv select').each(function() {
        var $this = $(this);
        var placeholderText = $this.find('option:first').text();
        $this.select2({
            dropdownParent: $('#requestDocModal .driversediv'),
            allowClear: true,
            width : '100%',
            placeholder: placeholderText
        });
        $this.find('option:first').hide();
    });
    $('.dispasediv select').each(function() {
        var $this = $(this);
        var placeholderText = $this.find('option:first').text();
        $this.select2({
            dropdownParent: $('#requestDocModal .dispasediv'),
            allowClear: true,
            width : '100%',
            placeholder: placeholderText
        });
        $this.find('option:first').hide();
    });

    $(".driversediv").hide();
    $(".dispasediv").hide();

    $("select[name=share]").on('change', function() {
        var value = this.value;

        $(".driversediv").hide();
        $(".dispasediv").hide();
        var driverse = $('.driverse').prop('required',false).attr('aria-describedby');
        $('#'+driverse).hide();
        var dispase = $('.dispase').prop('required',false).attr('aria-describedby');
        $('#'+dispase).hide();

        if(value == 1){
            $(".driversediv").show(300);
            var driverse = $('.driverse').prop('required',true).attr('aria-describedby');
            $('#'+driverse).show();
        }

        if(value == 2){
            $(".dispasediv").show(300);
            var dispase = $('.dispase').prop('required',true).attr('aria-describedby');
            $('#'+dispase).hide();
        }


    });



});


function setSource(){
    $(".cfile_name option").hide();
    if($('select[name="source"]').find(":selected").val()){
        var check_value = $('select[name="source"]').find(":selected").val();
        $(".cfile_name ."+check_value).show();
    }

    $("select[name=source]").on('change', function() {
        $(".cfile_name option").hide();
        var value = this.value;
        $(".cfile_name ."+value).show();
    });
}
setSource();

$(document).on('click', '#removeRow', function () {
    $(this).closest('#inputFormRow').remove();
});

$( function() {
  $("#sortable").sortable();
} );


    $(document).ready(function(){
	    $('#weeklyDate').datepicker({
	        calendarWeeks: true,
	        todayHighlight: true,
	    }).on("changeDate", function (e) {
	    	var date = moment(e.date).format(dateLayout);
		    $('.date').val(date);
		});
    });


    $("body").on("click", ".edit-btn", function () {
        var token = $('meta[name="csrf-token"]').attr('content');
        var id = $(this).data('id');

        $.ajax({
            url: "/company-admin/request-documents/edit/form/view",
            method: "POST",
            data: { _token : token , id : id },
            success: function(response) {
                $('#editModal').find('.append-form').html(response.view);
                $('.updateForm').parsley();
                $(".updateForm").ajaxForm({
                    complete: function (response) {
                        if (response.responseJSON.success) {
                            window.location.href = window.location.href;
                        } else {
                            $('.error').text('');
                            $.each( response.responseJSON.errors, function( key, value ) {
                                var key = key.replace(/\./g, '_');
                                $.each( value , function( skey, svalue ) {
                                    $('.'+key+'_error').text(svalue);
                                });
                            });
                        }
                    },
                });

            }
        });
    });
</script>
@endsection
