@extends($companyAdminTheme)

@section('title')
    Gallery
@endsection

@section('style')
<link id="bsdp-css" href="https://unpkg.com/bootstrap-datepicker@1.9.0/dist/css/bootstrap-datepicker3.min.css" rel="stylesheet">
<link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
<style type="text/css">
        .select2-container {
            width: 100% !important;
        }

        .select2-container .select2-selection--single {
            height: 35px;
        }

        .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }

        .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 34px;
        }

        .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 31px;
        }

        .select2-container--open .select2-dropdown {
            left: -1px;
        }
</style>
@endsection

@section('content')
<div class="table-control">
    <button class="green-btn create-btn" data-toggle="modal" data-target="#createModal">New Document</button>
    <button class="green-btn create-btn ml-2" data-toggle="modal" data-target="#requestDocModal">Request Document</button>
</div>
<div class="white-box table-view">
    <h3 class="table-title">Gallery</h3>
    <div class="add-responsive">
        <table id="teamsTable" class="table data-table">
            <thead>
                <tr>
                    @foreach($getField as $key => $filed)
                      @if($filed == 1 && isset(config('settings.table_gallery_document')[$key]['name']))
                        <th>{{ config('settings.table_gallery_document')[$key]['name'] }}</th>
                      @endif
                    @endforeach
                </tr>
            </thead>
            <tbody>
            </tbody>
        </table>
    </div>
</div>

<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
    <input type="hidden" name="table_id" value="weekly_fuel_surcharge" />

    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Adjust Table Columns</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <ul class="sortableList connected-sortable droppable-area1" id="sortable">
            @foreach($getField as $key => $filed)
                @if(isset(config('settings.table_gallery_document')[$key]['name']))
                  <li class="ui-state-default">
                      <div class="custom-control custom-checkbox">
                        <input type='hidden' value='0' name='field[{{ $key }}]'>
                        <input type="checkbox" class="custom-control-input" id="Check{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed == 1) checked @endif>
                        <label class="custom-control-label" for="Check{{ $key }}">{{ config('settings.table_gallery_document')[$key]['name'] }}</label>
                      </div>
                      <i class="fa fa-align-justify drag-icon"></i>
                  </li>
                @endif
            @endforeach


        </ul>

      </div>
      <div class="modal-footer">
        <button type="submit" class="btn btn-primary">Save</button>
      </div>
    </div>
    {!! Form::close() !!}
  </div>
</div>


<div class="modal fade bd-example-modal-lg file-request-modal" id="requestDocModal" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="newTeamModalLabel">File Request</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class=" px-3 py-2 mb-4">
                    <form>
                        <div class="form-row">
                            <div class="form-group col-lg-2 col-sm-6">
                                <label>Driver Files</label>
                                {!! Form::select('gallery_document_name_id[]', ['' => 'Select File name']+getGalleryDocumentNameList(), null, ['class' => 'form-control', 'required' => 'required']) !!}
                            </div>
                            <div class="form-group col-lg-2 col-sm-6">
                                <label>File Type</label>
                                {!! Form::select('file_type[]', ['1' => 'Single Images','2' => 'Single File Other','3' => 'Multi File (converts to PDF)'], null, ['class' => 'form-control', 'required' => 'required']) !!}
                            </div>
                            <div class="form-group col-lg-6">
                                <label for="inputEmail4">Name</label>
                                {!! Form::text('file_name[]', null, array('class' => 'form-control', 'placeholder' => 'File Name','required' => 'required')) !!}
                            </div>
                            <div class="form-group col-lg-2 ">
                                <label for="inputEmail4" class="invisible d-lg-block d-none">125</label>
                                <button href="javascript::void()" class="green-btn addmorefile"><i class="fa fa-plus"></i></button>
                            </div>

                            <div class="form-group col-12">
                                <label for="inputEmail4">Request Notes</label>
                                <textarea class="form-control" rows="4" name="notes" placeholder="Enter your message"></textarea>
                            </div>
                            <div class="form-group col-lg-8">
                                <label>Send Request To</label>
                                {!! Form::select('share', ['0' => 'Select Option','1' => 'Drivers','2' => 'Dispatchers'], null, ['class' => 'form-control','required' => 'required']) !!}
                                <div class="form-group driversediv mt-3">
                                    <label>Drivers</label>
                                    {!! Form::select('setdriver', ['' => 'Select Driver']+getDriverListByCompany(auth()->guard('company-admin')->user()->company_id), request()->get('driver_id'), ['class' => 'select2 form-control driverse']) !!}
                                </div>
                                <div class="form-group dispasediv mt-3">
                                    <label>Dispatchers</label>
                                    {!! Form::select('setdispatcher', ['' => 'Select Dispatcher']+getDispatcherListByCompany(auth()->guard('company-admin')->user()->company_id), request()->get('driver_id'), ['class' => 'select2 form-control dispase']) !!}
                                </div>
                            </div>
                            <div class="form-group col-lg-4">
                                <label>Requires Approval </label>
                                <select class="form-control">
                                    <option>No</option>
                                    <option>Yes</option>
                                </select>
                            </div>
                            <div class="col-lg-2 col-sm-4"><button class="btn btn-danger w-100">Cancel</button> </div>
                            <div class="col-lg-10 col-sm-8"><button class="btn green-btn w-100">Send Request</button> </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>


<!-- Create Modal -->
@include('companyAdmin.galleryDocument.create')
<!-- Create Modal -->

<!-- Edit Modal -->
@include('companyAdmin.galleryDocument.edit')
<!-- Edit Modal -->

@endsection

@section('script')
<script src="https://unpkg.com/bootstrap-datepicker@1.9.0/dist/js/bootstrap-datepicker.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.form/4.3.0/jquery.form.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.18.1/moment.min.js"></script>
<script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
<script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
<script>



$('.storeForm').parsley();

$(".addmorefile").click(function () {
    var html = '';
    html += '<div class="row" id="inputFormRow">';
    html += '<div class="col-md-2">';
    html += '<div class="form-group">';
    html += '<label>Department</label>';
    html += '<input type="text" name="adepartment[]" value="" class="form-control">';
    html += '</div>';
    html += '</div>';
    html += '<div class="col-md-2">';
    html += '<div class="form-group">';
    html += '<label>Name</label>';
    html += '<input type="text" name="aname[]" value="" class="form-control">';
    html += '</div>';
    html += '</div>';
    html += '<div class="col-md-2">';
    html += '<div class="form-group">';
    html += '<label>Phone Number</label>';
    html += '<input type="text" name="aphone_number[]" value="" class="form-control phone">';
    html += '</div>';
    html += '</div>';
    html += '<div class="col-md-2">';
    html += '<div class="form-group">';
    html += '<label>Ext</label>';
    html += '<input type="text" name="aext[]" value="" class="form-control">';
    html += '</div>';
    html += '</div>';
    html += '<div class="col-md-2">';
    html += '<div class="form-group">';
    html += '<label>Email</label>';
    html += '<input type="email" name="aemail[]" value="" class="form-control">';
    html += '</div>';
    html += '</div>';
    html += '<div class="col-md-2">';
    html += '<div class="form-group">';
    html += '<label class="d-block" style="visibility: hidden;">Action</label>';
    html += '<a href="javascript:void(0)" class="btn btn-danger" id="removeRow"><i class="fa fa-trash"></i></a>';
    html += '</div>';
    html += '</div>';
    html += '</div>';

    $('#newRow').append(html);

    setPhoneNumber();
});



var table = $('.data-table').DataTable({
    stateSave: true,
    bSortCellsTop: true,
    language: {
        search: "",
        searchPlaceholder: "Search...",
    },
    dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
    processing: true,
    serverSide: true,
    fixedHeader: true,
    ordering: false,
    pageLength: "{{ perPageView() }}",

    //order: [[0, "desc"]],
    ajax: "{{ route('company.admin.gallery-documents.index') }}",
    columns: [
        <?php foreach($getField as $key => $filed): ?>
          <?php if($filed == 1): ?>
            <?php if(isset(config('settings.table_gallery_document')[$key]['name'])): ?>
                <?php if(config("settings.table_gallery_document")[$key]["orderable"] == 1 && config("settings.table_gallery_document")[$key]["searchable"] == 1): ?>
                  { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                <?php elseif(config("settings.table_gallery_document")[$key]["orderable"] == 1): ?>
                  { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                <?php elseif(config("settings.table_gallery_document")[$key]["searchable"] == 1): ?>
                  { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                <?php else: ?>
                  { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                <?php endif; ?>
            <?php endif; ?>
          <?php endif; ?>
        <?php endforeach; ?>


    ]
});

$('<button type="button" class="btn btn-primary ml-3" data-toggle="modal" data-target="#exampleModal">Columns</button>').appendTo(".dataTables_filter");

$(document).ready(function() {
    $('.data-table thead tr').clone(true).appendTo('.data-table thead');
    $('.data-table thead tr:eq(1) th').each( function (i) {
        console.log();
        var title = $(this).text();
        var getClass = $(this).attr("class");
        if(getClass == 'sorting'){
          var search_value = table.column(i).search();
          $(this).html( '<input type="text" value="'+search_value+'" placeholder=" Search '+title+'" class="sercol" onclick="stopPropagation(event);" />' );

          $( 'input,select', this ).on( 'keyup change', function () {
              if ( table.column(i).search() !== this.value ) {
                  table
                      .column(i)
                      .search( this.value )
                      .draw();
              }
          });
        }else{
          $(this).html('');
        }


    });

    $('.driversediv select').each(function() {
        var $this = $(this);
        var placeholderText = $this.find('option:first').text();
        $this.select2({
            allowClear: true,
            width : '100%',
            placeholder: placeholderText
        });
        $this.find('option:first').hide();
    });
    $('.dispasediv select').each(function() {
        var $this = $(this);
        var placeholderText = $this.find('option:first').text();
        $this.select2({
            allowClear: true,
            width : '100%',
            placeholder: placeholderText
        });
        $this.find('option:first').hide();
    });

    $(".driversediv").hide();
    $(".dispasediv").hide();
    $("select[name=share]").on('change', function() {
        var value = this.value;

        $(".driversediv").hide();
        $(".dispasediv").hide();
        var driverse = $('.driverse').prop('required',false).attr('aria-describedby');
        $('#'+driverse).hide();
        var dispase = $('.dispase').prop('required',false).attr('aria-describedby');
        $('#'+dispase).hide();

        if(value == 1){
            $(".driversediv").show(300);
            var driverse = $('.driverse').prop('required',true).attr('aria-describedby');
            $('#'+driverse).show();
        }

        if(value == 2){
            $(".dispasediv").show(300);
            var dispase = $('.dispase').prop('required',true).attr('aria-describedby');
            $('#'+dispase).hide();
        }


    });

});

$( function() {
  $("#sortable").sortable();
} );


    $(document).ready(function(){
	    $('#weeklyDate').datepicker({
	        calendarWeeks: true,
	        todayHighlight: true,
	    }).on("changeDate", function (e) {
	    	var date = moment(e.date).format(dateLayout);
		    $('.date').val(date);
		});
    });

    $(".storeForm").ajaxForm({
		complete: function (response) {
            if (response.responseJSON.success) {
                window.location.href = window.location.href;
            } else {
                $('.error').text('');
                $.each( response.responseJSON.errors, function( key, value ) {
                    var key = key.replace(/\./g, '_');
                    $.each( value , function( skey, svalue ) {
                        $('.'+key+'_error').text(svalue);
                    });
                });
            }
        },
    });

    $("body").on("click", ".create-btn", function () {
        $(".storeForm").trigger("reset");
        $(".storeForm").find(".date").val('');
        $(".storeForm").find(".error").text('');
    });

    $("body").on("click", ".edit-btn", function () {
        var token = $('meta[name="csrf-token"]').attr('content');
        var id = $(this).data('id');

        $.ajax({
            url: "/company-admin/gallery-documents/edit/form/view",
            method: "POST",
            data: { _token : token , id : id },
            success: function(response) {
                $('#editModal').find('.append-form').html(response.view);
                $('.updateForm').parsley();
                $(".updateForm").ajaxForm({
                    complete: function (response) {
                        if (response.responseJSON.success) {
                            window.location.href = window.location.href;
                        } else {
                            $('.error').text('');
                            $.each( response.responseJSON.errors, function( key, value ) {
                                var key = key.replace(/\./g, '_');
                                $.each( value , function( skey, svalue ) {
                                    $('.'+key+'_error').text(svalue);
                                });
                            });
                        }
                    },
                });

            }
        });
    });
</script>
@endsection
