@extends($companyAdminTheme)

@section('title')
    Integration Settings
@endsection

@section('style')
    <style type="text/css">
        #teamsTable tr td:nth-child(3) {
            text-transform: inherit;
        }
    </style>
@endsection

@section('content')

<div class="row">
    <div class="col-md-12 integration-detail-section">
        <div class="white-box mb-4">
            <div class="">
                <div class="row">

                    <div class="col-md-9">
                        <img src="{{ asset('storage/companyAdmin/app_logo'); }}/{{ $app->logo }}" altc="" class="img-fluid logo" />
                    </div>
                    <div class="col-md-3">
                        <div class="rulbox">
                            <a href="{{ $app->url_1 }}" target="_blank" ><img src="{{ asset('theme/img/web-icon.png'); }}" alt="" class="img-fluid" width="17" /> {{ $app->url_name_1 }}</a>
                        </div>
                        <div class="rulbox">
                            <a href="{{ $app->url_2 }}" target="_blank" ><img src="{{ asset('theme/img/web-icon.png'); }}" alt="" class="img-fluid" width="17" /> {{ $app->url_name_2 }}</a>
                        </div>
                    </div>


                </div>
            @if(isset($integration->id) && !empty($integration->id))
                {!! Form::model($integration,array('route' => ['company.admin.integration.update',$integration->id],'method'=>'PATCH','files'=>'true','class'=>'edit-form')) !!}
            @else
                {!! Form::open(array('route' => 'company.admin.integration.save','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
            @endif
              <input type="hidden" name="app_center_id" value="{{ $app->id }}">
                <div class="description">
                    {!! $app->description !!}
                </div>
                <div class="form-group">
                    <label>API key<span>*</span></label>

                    {!! Form::text('api_key', old('api_key'), array('class' => 'form-control', 'placeholder' => 'ex. samsara_api_xxxxxxx','rows' => '4')) !!}
                </div>
                <div class="check-list">
                    <ul>
                        <li>
                            <div class="form-check">
                                {!! Form::checkbox('sync_drivers', 1, null, array('class' => 'form-check-input d-none', 'id' => 'sync_drivers')) !!}
                                <label class="form-check-label" for="sync_drivers">
                                  Sync Drivers
                                </label>
                            </div>
                        </li>
                        <li>
                            <div class="form-check">
                                {!! Form::checkbox('sync_vehicles', 1, null, array('class' => 'form-check-input d-none', 'id' => 'sync_vehicles')) !!}
                                <label class="form-check-label" for="sync_vehicles">
                                    Sync Vehicles
                                </label>
                            </div>
                        </li>
                        <li>
                            <div class="form-check">
                                {!! Form::checkbox('sync_trailers', 1, null, array('class' => 'form-check-input d-none', 'id' => 'sync_trailers')) !!}
                                <label class="form-check-label" for="sync_trailers">
                                    Sync Trailers
                                </label>
                            </div>
                        </li>
                    </ul>

                </div>
                <div class="row">
                    <div class="col-md-12">
                        @if(isset($integration->id) && !empty($integration->id))
                            <a class="btn btn-danger float-md-right m-3 destroy" href="javascript:void(0);" data-action="{{ route('company.admin.app-settings.destroy',$integration->id) }}" data-id="{{ $integration->id }}">Cancel Integration</a>
                            <button class="btn btn-success float-md-right m-3">Update Settings</button>
                        @else
                            <button class="btn btn-success float-md-right m-3">Save Settings</button>
                        @endif


                    </div>
                </div>


            {!! Form::close() !!}

            </div>
        </div>

        @if(isset($integration->id) && !empty($integration->id))
        @if($integration->sync_drivers == 1 || $integration->sync_vehicles == 1 || $integration->sync_trailers == 1)
        <div class="white-box p-3 mb-4">
            <ul>
                @if($integration->sync_drivers == 1)
                <li><a href="{{ route('company.admin.samsara.sync.getsyncdriver', ['samsara_api_key' => $integration->api_key, 'endCursor' => '0']) }}" class="btn btn-primary my-2"> Run Sync for Drivers</a></li>
                @endif
                @if($integration->sync_vehicles == 1)
                <li> <a href="{{ route('company.admin.samsara.sync.getsyncvehicles', ['samsara_api_key' => $integration->api_key, 'endCursor' => '0']) }}" class="btn btn-primary my-2"> Run Sync for Vehicles</a></li>
                @endif
                @if($integration->sync_trailers == 1)
                <li> <a href="{{ route('company.admin.samsara.sync.getsynctrailers', ['samsara_api_key' => $integration->api_key, 'endCursor' => '0']) }}" class="btn btn-primary my-2"> Run Sync for Trailers</a></li>
                @endif
            </ul>


        </div>

        <div class=" white-box p-3 ">
            <div class="col-md-12">
                <div class="employee-wrapper">
                    <ul class="nav nav-tabs" id="myTab" role="tablist">
                        @if($integration->sync_drivers == 1)
                        <li class="nav-item" role="presentation">
                            <a class="nav-link active" id="Drivers-tab" data-toggle="tab" href="#Drivers" role="tab" aria-controls="Drivers" aria-selected="true">Drivers</a>
                        </li>
                        @endif
                        @if($integration->sync_vehicles == 1)
                        <li class="nav-item" role="presentation">
                            <a class="nav-link" id="Vehicles-tab" data-toggle="tab" href="#Vehicles" role="tab" aria-controls="Vehicles" aria-selected="false">Vehicles</a>
                        </li>
                        @endif
                        @if($integration->sync_trailers == 1)
                        <li class="nav-item" role="presentation">
                            <a class="nav-link" id="Trailers-tab" data-toggle="tab" href="#Trailers" role="tab" aria-controls="leave" aria-selected="false">Trailers</a>
                        </li>
                        @endif
                    </ul>
                    <div class="tab-content" id="myTabContent">
                        <div class="tab-pane fade active show" id="Drivers" role="tabpanel" aria-labelledby="Drivers-tab">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="table-view">
                                        <div class="d-flex justify-content-end">
                                            <div class="form-group serch-txt">

                                                <input type="text" class="form-control" id="serchboxDriver" placeholder="Search..">
                                                <img src="{{ asset('theme/img/search-icon-grey.png'); }}" alt="" class="img-fluid" />
                                            </div>
                                        </div>
                                        <div class="add-responsive tbl-2 table-responsive">
                                            <table id="teamsTable" class="table dataTable">
                                                <thead>
                                                    <tr>
                                                        <th>Account ID</th>
                                                        <th>Name</th>
                                                        <th>License Number</th>
                                                        <th>Samsara Account Number</th>
                                                        <th>Status</th>
                                                        <th>Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody class="append-syncDriver">
                                                </tbody>
                                            </table>
                                            <hr>
                                            <div class="row mb-3">
                                                <div class="col-md-12 text-center">
                                                    <button type="button" class="appprevnext load-more-driver" value="">Load More</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane fade" id="Vehicles" role="tabpanel" aria-labelledby="Vehicles-tab">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="table-view">
                                        <div class="d-flex justify-content-end">
                                            <div class="form-group serch-txt">

                                                <input type="text" class="form-control" id="serchboxVihical" placeholder="Search..">
                                                <img src="{{ asset('theme/img/search-icon-grey.png'); }}" alt="" class="img-fluid" />
                                            </div>
                                        </div>
                                        <div class="add-responsive tbl-2 table-responsive">
                                            <table id="teamsTablevihical" class="table dataTable">
                                                <thead>
                                                    <tr>
                                                        <th>Account ID</th>
                                                        <th>VIN</th>
                                                        <th>Samsara Account Number</th>
                                                        <th>Status</th>
                                                        <th>Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody class="append-syncVehicles">
                                                </tbody>
                                            </table>
                                            <hr>
                                            <div class="row mb-3">
                                                <div class="col-md-12 text-center">
                                                    <button type="button" class="appprevnext load-more-vehicles" value="">Load More</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane fade  Trailers" id="Trailers" role="tabpanel" aria-labelledby="Trailers-tab">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="table-view">
                                        <div class="d-flex justify-content-end">
                                            <div class="form-group serch-txt">

                                                <input type="text" class="form-control" id="serchboxTrailers" placeholder="Search..">
                                                <img src="{{ asset('theme/img/search-icon-grey.png'); }}" alt="" class="img-fluid" />
                                            </div>
                                        </div>
                                        <div class="add-responsive tbl-2 table-responsive">
                                            <table id="teamsTabletrailers" class="table dataTable">
                                                <thead>
                                                    <tr>
                                                        <th>Account ID</th>
                                                        <th>Trailer ID</th>
                                                        <th>Samsara Account Number</th>
                                                        <th>Status</th>
                                                        <th>Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody class="append-syncTrailers">
                                                </tbody>
                                            </table>
                                            <hr>
                                            <div class="row mb-3">
                                                <div class="col-md-12 text-center">
                                                    <button type="button" class="appprevnext load-more-trailers" value="">Load More</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        @endif
        @endif


    </div>

</div>

@endsection

@section('script')

@if(isset($integration->id) && !empty($integration->id))
<script type="text/javascript">
    var loadimg = "{{ asset('theme/img/loading.gif') }}";

    var samsara_api_key = "{{ $integration->api_key }}";
    var endCursor = '';

    function syncDriver(samsara_api_key,endCursor) {

       $("#teamsTable").after('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');

        var token = $('meta[name="csrf-token"]').attr('content');
          $.ajax({
             url: "{{ route('company.admin.app-settings.sync.driver') }}",
             method: "POST",
             data: { _token : token , samsara_api_key:samsara_api_key, endCursor:endCursor},
             error: function (request, message) {
                console.log(request.responseJSON.message);
                alert("Samsara error: " + request.responseJSON.message);
             },
             success: function(response) {
                if(response.endCursor){
                    $(".load-more-driver").val(response.endCursor);
                }else{
                    $(".load-more-driver").hide();
                }
                $(".append-syncDriver").append(response.view);
                $(".loadingdiv").remove();

             }
          });

    }

    $(document).ready(function() {
        syncDriver(samsara_api_key,endCursor);
    });

    $("body").on("click",".load-more-driver",function(e){
        var endCursor = $('.load-more-driver').val();
       syncDriver(samsara_api_key,endCursor);
    });


    var endCursorVehicles = '';

    function syncVehicles(samsara_api_key,endCursorVehicles) {

       $("#teamsTablevihical").after('<div class="loadingdiv loadingvihical"><img src="'+loadimg+'" /></div>');

        var token = $('meta[name="csrf-token"]').attr('content');
          $.ajax({
             url: "{{ route('company.admin.app-settings.sync.vehicles') }}",
             method: "POST",
             data: { _token : token , samsara_api_key:samsara_api_key, endCursorVehicles:endCursorVehicles},
             error: function (request, message) {
                console.log(request.responseJSON.message);
                alert("Samsara error: " + request.responseJSON.message);
             },
             success: function(response) {

                if(response.endCursorVehicles){
                    $(".load-more-vehicles").val(response.endCursorVehicles);
                }else{
                    $(".load-more-vehicles").hide();
                }

                $(".append-syncVehicles").append(response.view);
                $(".loadingvihical").remove();

             }
          });

    }

    $(document).ready(function() {
        syncVehicles(samsara_api_key,endCursorVehicles);
    });

    $("body").on("click",".load-more-vehicles",function(e){
        var endCursorVehicles = $('.load-more-vehicles').val();
       syncVehicles(samsara_api_key,endCursorVehicles);
    });

    var endCursorTrailers = '';

    function syncTrailers(samsara_api_key,endCursorTrailers) {

       $("#teamsTabletrailers").after('<div class="loadingdiv loadingtrailer"><img src="'+loadimg+'" /></div>');

        var token = $('meta[name="csrf-token"]').attr('content');
          $.ajax({
             url: "{{ route('company.admin.app-settings.sync.trailers') }}",
             method: "POST",
             data: { _token : token , samsara_api_key:samsara_api_key, endCursorTrailers:endCursorTrailers},
             error: function (request, message) {
                console.log(request.responseJSON.message);
                alert("Samsara error: " + request.responseJSON.message);
             },
             success: function(response) {
                if(response.endCursorTrailers){
                    $(".load-more-trailers").val(response.endCursorTrailers);
                }else{
                    $(".load-more-trailers").hide();
                }

                $(".append-syncTrailers").append(response.view);
                $(".loadingtrailer").remove();
             }
          });

    }

    $(document).ready(function() {
        syncTrailers(samsara_api_key,endCursorTrailers);
    });

    $("body").on("click",".load-more-trailers",function(e){
        var endCursorTrailers = $('.load-more-trailers').val();
       syncTrailers(samsara_api_key,endCursorTrailers);
    });

    /******For Search******/

    $(document).ready(function(){
      $("#serchboxDriver").on("keyup", function() {
        var value = $(this).val().toLowerCase();
        $(".append-syncDriver tr").filter(function() {
          $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
        });
      });
    });

    $(document).ready(function(){
      $("#serchboxVihical").on("keyup", function() {
        var value = $(this).val().toLowerCase();
        $(".append-syncVehicles tr").filter(function() {
          $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
        });
      });
    });

    $(document).ready(function(){
      $("#serchboxTrailers").on("keyup", function() {
        var value = $(this).val().toLowerCase();
        $(".append-syncTrailers tr").filter(function() {
          $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
        });
      });
    });

</script>
@endif

@endsection
