@extends($companyAdminTheme)

@section('title')
    Leave Type
@endsection

@section('style')
<link rel="stylesheet" href="//code.jquery.com/ui/1.13.1/themes/base/jquery-ui.css">
<style type="text/css">
    .table-view .dataTable thead tr th {
        background-color: #305f9c;
    }
    .table-view .dataTables_scrollBody table.dataTable > thead tr th {
        padding: 0 15px !important;
    }
    .table-view .DTFC_RightBodyLiner table.dataTable > thead tr th {
        height: 0;
        padding: 0 15px !important;
        opacity: 0;
    }
</style>
@endsection

@section('content')

<div class="row mb-4">
    <div class="col-md-6 text-left">
        <a href="javascript:void(0)" class="btn blue-btn blue-link-btn" data-toggle="modal" data-target="#addLeaveModal">Add Leave</a>
    </div>
    <div class="col-md-6 text-right">
        <a href="{{ route('company.admin.leave-type.create') }}" class="btn green-btn green-link-btn">Add New</a>
    </div>
</div>


<div class="white-box table-view">
    <h3 class="table-title">Leave Type</h3>
    <div class="add-responsive">
      <table class="table data-table">
        <thead>
          <tr>
            @foreach($getField as $key => $filed)
                @if($filed == 1 && isset(config('settings.table_leave_types')[$key]['name']))
                    @if(isset(config('settings.table_leave_types')[$key]['searchBuilderType']))
                        @if( config('settings.table_leave_types')[$key]['searchBuilderType'] == 'string' )
                        <th>{{ config('settings.table_leave_types')[$key]['name'] }} <i class="fa fa-filter columnFilter table_leave_types_{{$key}}_string" data-modal="SearchByStringModal{{ $key }}"></i></th>
                        @elseif( config('settings.table_leave_types')[$key]['searchBuilderType'] == 'date' )
                        <th>{{ config('settings.table_leave_types')[$key]['name'] }} <i class="fa fa-filter columnFilter table_leave_types_{{$key}}_date" data-modal="SearchByDateModal{{ $key }}"></i></th>
                        @endif
                    @else
                        <th>{{ config('settings.table_leave_types')[$key]['name'] }}</th>
                    @endif
                @endif
            @endforeach
            <th>Action</th>
          </tr>
        </thead>
        <tbody>
        </tbody>
      </table>
    </div>
</div>

<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
    <input type="hidden" name="table_id" value="leave_types" />

    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Adjust Table Columns</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <ul class="sortableList connected-sortable droppable-area1" id="sortable">
            @foreach($getField as $key => $filed)
                @if(isset(config('settings.table_leave_types')[$key]['name']))
                  <li class="ui-state-default">
                      <div class="custom-control custom-checkbox">
                        <input type='hidden' value='0' name='field[{{ $key }}]'>
                        <input type="checkbox" class="custom-control-input" id="Check{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed == 1) checked @endif>
                        <label class="custom-control-label" for="Check{{ $key }}">{{ config('settings.table_leave_types')[$key]['name'] }}</label>
                      </div>
                      <i class="fa fa-align-justify drag-icon"></i>
                  </li>
                @endif
            @endforeach


        </ul>

      </div>
      <div class="modal-footer">
        <button type="submit" class="btn btn-primary">Save</button>
      </div>
    </div>
    {!! Form::close() !!}
  </div>
</div>

<div class="modal fade teamModal-2 blank-modal-body" id="addLeaveModal" tabindex="-1" aria-labelledby="addLeaveModal" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="addLeaveModal">Add Leave</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            {!! Form::open(array('route' => 'company.admin.add.leaves.to.user','method'=>'POST','files'=>'true','class'=>'storeReceiverForm')) !!}
                <div class="modal-body">
                    <div class=" row">

                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Year<span>*</span></label>
                                <select name="year" class="form-control" required>
                                    <option value="">Select year</option>
                                    @for ($x = 2022; $x <= 2032; $x++)
                                    <option value="{{ $x }}">{{ $x }}</option>
                                    @endfor
                                </select>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Apply To<span>*</span></label>
                                <select name="apply_to" class="form-control" required>
                                    <option value="">Select Option</option>
                                    <option value="1">All Drivers</option>
                                    <option value="2">All Dispatcher</option>
                                    <option value="3">All Manager</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn cancel-btn" data-dismiss="modal">Cancel</button>
                    <button class="btn blue-btn">Save</button>
                </div>
            {!! Form::close() !!}
        </div>
    </div>
</div>




@endsection

@section('script')

<script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
<script>


var table = $('.data-table').DataTable({
    stateSave: true,
    bSortCellsTop: true,
    language: {
        search: "",
        searchPlaceholder: "Search...",
    },
    scrollX: true,
    scrollCollapse: true,
    fixedHeader: true,
    fixedColumns: {
        leftColumns: 0, // Number of columns to be fixed on the left
        rightColumns: 1, // Number of columns to be fixed on the right
        // heightMatch: "auto"
    },
    dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
    processing: true,
    serverSide: true,
    ordering: false,
    pageLength: "{{ perPageView() }}",

    //order: [[0, "desc"]],
    //ajax: "{{ route('company.admin.leave-type.index') }}",
    ajax: {
        url: "{{ route('company.admin.leave-type.index') }}",
        data: function (d) {
            <?php foreach($getField as $key => $filed): ?>
            d.search_string_value_{{$key}} = $('#search_string_{{$key}}').val();
            d.search_string_name_{{$key}} = $('#stringKey{{$key}}').val();
            d.search_string_type_{{$key}} = $('#stringType{{$key}}').val();
            d.search_table_name_{{$key}} = $('#stringTableType{{$key}}').val();
            d.search_string_condition_{{$key}} = $("input[type='radio'][name='condition{{$key}}']:checked").val();
            d.search_string_sort_{{$key}} = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();

            d.search_date_from_value_{{$key}} = $('#search_date_from_date{{$key}}').val();
            d.search_date_to_value_{{$key}} = $('#search_date_end_from_date{{$key}}').val();
            d.search_date_name_{{$key}} = $('#dateKey{{$key}}').val();
            d.search_date_type_{{$key}} = $('#dateType{{$key}}').val();
            d.search_table_name_{{$key}} = $('#dateTableType{{$key}}').val();
            d.search_date_condition_{{$key}} = $("input[type='radio'][name='condition{{$key}}']:checked").val();
            d.search_date_sort_{{$key}} = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();
            <?php endforeach; ?>
        }
        },
    columns: [
        <?php foreach($getField as $key => $filed): ?>
          <?php if($filed == 1): ?>
            <?php if(isset(config('settings.table_leave_types')[$key]['name'])): ?>
                <?php if(config("settings.table_leave_types")[$key]["orderable"] == 1 && config("settings.table_leave_types")[$key]["searchable"] == 1): ?>
                  { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                <?php elseif(config("settings.table_leave_types")[$key]["orderable"] == 1): ?>
                  { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                <?php elseif(config("settings.table_leave_types")[$key]["searchable"] == 1): ?>
                  { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                <?php else: ?>
                  { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                <?php endif; ?>
            <?php endif; ?>
          <?php endif; ?>
        <?php endforeach; ?>
        { data: 'action', name: 'action', orderable: false, searchable: false }
    ]
});

$('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3"><i class="fa fa-refresh"></i> Refresh</a>').prependTo(".dataTables_filter");
        $('<a href="javascript:void(0);" id="clearAll{{ str_replace("settings.", "", $tableName) }}" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tableName) }} {{ str_replace("settings.", "", $tableName) }} ml-3 d-none">Clear filters</a>').prependTo(".dataTables_filter");
$('<button type="button" class="btn btn-primary ml-3" data-toggle="modal" data-target="#exampleModal">Columns</button>').appendTo(".dataTables_filter");

/*$(document).ready(function() {
    $('.data-table thead tr').clone(true).appendTo('.data-table thead');
    $('.data-table thead tr:eq(1) th').each( function (i) {

        var title = $(this).text();
        console.log(title);
        var getClass = $(this).attr("class");
        if(getClass == 'sorting'){
          var search_value = table.column(i).search();

          if(title == 'Half Day Request' || title == 'Enforce Allowance' || title == 'Register In The Past'){
            $(this).html( '<select class="sercol esejo'+i+'" onclick="stopPropagation(event);"><option value="">Select Option</option><option value="1">Active</option><option value="0">Inactive</option></select>' );
            $('.esejo'+i+' option[value="'+search_value+'"]').prop('selected', true);

          }else{
            $(this).html( '<input type="text" value="'+search_value+'" placeholder=" Search '+title+'" class="sercol" onclick="stopPropagation(event);" />' );
          }


          $( 'input,select', this ).on( 'keyup change', function () {
              if ( table.column(i).search() !== this.value ) {
                  table
                      .column(i)
                      .search( this.value )
                      .draw();
              }
          });
        }else{
          $(this).html('');
        }


    });
});*/

$( function() {
  $("#sortable").sortable();
} );

</script>

@endsection
