@extends($companyAdminTheme)

@section('title')
    Lists
@endsection

@section('style')
    <link rel="stylesheet" type="text/css" href="//code.jquery.com/ui/1.13.1/themes/base/jquery-ui.css">
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/buttons/2.2.3/css/buttons.dataTables.min.css">
    <style type="text/css">
        /* Datatable */
        .cusotdiv {
            padding-right: 16px !important;
            margin-bottom: 4px !important;
        }
        .cusotdiv2 {
            display: flex;
            justify-content: end;
            align-items: center;
            border: 1px solid #d8d8dd;
            border-radius: 8px;
            padding: 8px;
        }
        .dataTables_length {
            display: block;
        }
        .dataTables_length label {
            margin-bottom: 0;
            padding-left: 10px!important;
        }
        .dt-buttons {
            margin-left: .5rem;
        }
        .dt-button.btn {
            padding: 6px 12px;
            line-height: 1.5;
            border: 0 !important;
            margin-bottom: 0 !important;
        }
        /* Datatable */
        .dispatch-lists .dataTable thead {
            background-color: transparent;
        }
        .dispatch-lists .dataTable thead tr th {
            background-color: #305f9c;
        }
        .dispatch-lists .dataTable thead tr th:first-of-type {
            border-radius: 10px 0 0 10px;
            overflow: hidden;
        }
        .dispatch-lists .dataTable thead tr th:last-of-type {
            border-radius: 0 10px 10px 0;
            overflow: hidden;
        }
        /* Thead th Line Remove */
        .dispatch-lists .dataTable thead tr th::before{
            display: none;
        }
        /*  Scroll Heading Hide */
        .dispatch-lists .dataTables_scrollBody table.dataTable > thead tr th {
            padding: 0 15px !important;
        }
        .dispatch-lists .DTFC_RightBodyLiner table.dataTable > thead tr th {
            height: 0;
            padding: 0 15px !important;
            opacity: 0;
        }
        /* tooltip */
        .dispatch-lists .dataTables_wrapper tbody .trailer-tooltip {
            position: absolute;
            background-color: #ffffff;
            z-index: 11;
            padding: 5px 10px;
            box-shadow: 0 0 5px rgb(0 0 0 / 50%);
            border-radius: 5px;
            max-height: 120px;
            overflow: auto;
            overflow-x: hidden;
            right: 5px;
            top: 75%;
            min-width: 100%;
            width: auto;
            bottom: auto;
        }
        .dispatch-lists .dataTables_wrapper tbody .trailer-tooltip ul,
        .dispatch-lists .dataTables_wrapper tbody .trailer-tooltip ul li {
            text-align: left;
        }
        .dispatch-lists .dataTables_wrapper tbody tr:last-of-type .trailer-tooltip,
        .dispatch-lists .dataTables_wrapper tbody tr:nth-last-of-type(2) .trailer-tooltip,
        .dispatch-lists .dataTables_wrapper tbody tr:nth-last-of-type(3) .trailer-tooltip {
            top: auto;
            bottom: 75%;
        }
    </style>
    <style type="text/css">
        /* Tabs */
        .bb-tabs .nav-tabs a {
            padding: 0 16px 4px;
            font-weight: 500;
            border-bottom: 1px solid #d8d8dd !important;
        }
        .bb-tabs .nav-tabs a.active,.bb-tabs .nav-tabs a:hover {
            color: #305f9c !important;
        }
        .bb-tabs .nav-tabs a:before {
            content: '';
            position: absolute;
            top: auto !important;
            bottom: -2px;
            left: auto;
            right: 0;
            width: 0;
            height: 3px;
            background-color: #305f9c;
        }
        .bb-tabs .nav-tabs a.active:before {
            width: 100%;
            left: 0;
            right: 0;
        }
        .bb-tabs .nav-tabs a:hover:before {
            right: auto;
            width: 100%;
            left: 0;
        }
        /* Tab Content */
        .tab-content .bb-tabs ul li {
            padding: 0;
        }
        .tab-content .bb-tabs ul li a {
            padding: 0 36px 4px;
        }
        /* Media */
        @media (max-width:991px){
            .tab-content .bb-tabs ul li a,.bb-tabs .nav-tabs a {
                padding: 0 12px 4px;
            }
        }
        @media (max-width:575px){
            .row>*{
                -ms-flex: 0 0 100%;
                flex: 0 0 100%;
                max-width: 100%;
            }
        }
        @media (min-width:576px){
            .row-cols-sm-2 > *{
                -ms-flex: 0 0 50%;
                flex: 0 0 50%;
                max-width: 50%;
            }
        }
        @media (min-width: 768px){
            .row-cols-lg-3 > *{
                -ms-flex: 0 0 33.33%;
                flex: 0 0 33.33%;
                max-width: 33.33%;
            }
        }
        @media (min-width:1200px){
            .row-cols-xl-5 > *{
                -ms-flex: 0 0 20% ;
                flex: 0 0 20% ;
                max-width: 20% ;
            }
            .g-xl-3 > * {
                padding-left: 16px;
                padding-right: 16px;
                margin-top: 16px;
            }
        }
    </style>
@endsection

@section('content')
    <div class="dispatch-lists">
        <h2 class="fw-bold">Lists</h2>
        <nav class="bb-tabs">
            <input type="hidden" name="active_tab" id="active_tab" value="">
            <ul class="nav nav-tabs w-100 pb-0" id="nav-tab" role="tablist">
                <li class="nav-item">
                    <a
                        class="nav-link active"
                        id="nav-drivers-tab"
                        data-toggle="tab"
                        href="#nav-drivers"
                        type="button"
                        role="tab"
                        aria-controls="nav-drivers"
                        aria-selected="true">Drivers</a>
                </li>
                <li class="nav-item">
                    <a
                        class="nav-link"
                        id="nav-trucks-tab"
                        data-toggle="tab"
                        href="#nav-trucks"
                        type="button"
                        role="tab"
                        aria-controls="nav-trucks"
                        aria-selected="false">Trucks</a>
                </li>
                <li class="nav-item">
                    <a
                        class="nav-link"
                        id="nav-trailers-tab"
                        data-toggle="tab"
                        href="#nav-trailers"
                        type="button"
                        role="tab"
                        aria-controls="nav-trailers"
                        aria-selected="false">Trailers</a>
                </li>
                <li class="nav-item">
                    <a
                        class="nav-link"
                        id="nav-terminals-tab"
                        data-toggle="tab"
                        href="#nav-terminals"
                        type="button"
                        role="tab"
                        aria-controls="nav-terminals"
                        aria-selected="false">Terminals</a>
                </li>
                <li class="nav-item">
                    <a
                        class="nav-link"
                        id="nav-customers-tab"
                        data-toggle="tab"
                        href="#nav-customers"
                        type="button"
                        role="tab"
                        aria-controls="nav-customers"
                        aria-selected="false">Customers</a>
                </li>
                <li class="nav-item">
                    <a
                        class="nav-link"
                        id="nav-venders-tab"
                        data-toggle="tab"
                        href="#nav-venders"
                        type="button"
                        role="tab"
                        aria-controls="nav-venders"
                        aria-selected="false">Venders</a>
                </li>
            </ul>
        </nav>
        <div class="tab-content" id="nav-tabContent">
            <div class="tab-pane fade pt-4 active show" id="nav-drivers" role="tabpanel" aria-labelledby="nav-drivers-tab">
                <div class="d-md-flex justify-content-between align-items-center">
                    <nav class="bb-tabs">
                        <ul class="nav nav-tabs w-100 p-0" id="nav-tab1" role="tablist">
                            <li class="nav-item">
                                <a
                                    class="nav-link active"
                                    id="nav-drivers-all-tab"
                                    data-toggle="tab"
                                    href="#nav-drivers-all"
                                    type="button"
                                    role="tab"
                                    aria-controls="nav-drivers-all"
                                    aria-selected="true">All</a>
                            </li>
                            <li class="nav-item">
                                <a
                                    class="nav-link"
                                    id="nav-drivers-company-tab"
                                    data-toggle="tab"
                                    href="#nav-drivers-company"
                                    type="button"
                                    role="tab"
                                    aria-controls="nav-drivers-company"
                                    aria-selected="false">Company Drivers</a>
                            </li>
                            <li class="nav-item">
                                <a
                                    class="nav-link"
                                    id="nav-drivers-owner-operators-tab"
                                    data-toggle="tab"
                                    href="#nav-drivers-owner-operators"
                                    type="button"
                                    role="tab"
                                    aria-controls="nav-drivers-owner-operators"
                                    aria-selected="false">Owner Operators</a>
                            </li>
                        </ul>
                    </nav>
                </div>
                <div class="tab-content" id="nav-tabContent">
                    <div class="tab-pane fade active show" id="nav-drivers-all" role="tabpanel" aria-labelledby="nav-drivers-all-tab">
                        <ul class="d-flex align-items-center justify-content-end">
                            <li>
                                <a href="javascript:void(0);" class="text-blue fw-600" data-isActive="{{ $driverWidgetActive == '1' ? '0' : '1' }}" data-tab="driver">
                                    @if($driverWidgetActive == '1')
                                        Hide Widgets
                                        <span class="ml-2">
                                            <img src="{{ asset('theme/images/eye.svg') }}" alt="Hide Widgets" class="img-fluid" />
                                        </span>
                                    @else
                                        Show Widgets
                                        <span class="ml-2">
                                            <img src="{{ asset('theme/images/eye.svg') }}" alt="Hide Widgets" class="img-fluid" />
                                        </span>
                                    @endif
                                </a>
                            </li>
                        </ul>
                        <div class="row row-cols-sm-2 row-cols-lg-3 row-cols-xl-5 g-xl-3 g-2 widget-row {{ $driverWidgetActive == '0' ? 'd-none' : '' }}">
                            <div class="col">
                                <div class="dispatchHubNew-box">
                                    <div>
                                        <h2>{{ sprintf('%02d', $totalActiveDrivers) }}</h2>
                                        <p>Active Drivers</p>
                                    </div>
                                    <div>
                                        <img src="{{ asset('theme/images/active-drivers.svg') }}" class="img-fluid float-right" alt="Icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col">
                                <div class="dispatchHubNew-box">
                                    <div>
                                        <h2>{{ sprintf('%02d', $totalOosDrivers) }}</h2>
                                        <p>Out of Service Drivers</p>
                                    </div>
                                    <div>
                                        <img src="{{ asset('theme/images/out-of-service-drivers.svg') }}" class="img-fluid float-right" alt="Icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col">
                                <div class="dispatchHubNew-box">
                                    <div>
                                        <h2>{{ sprintf('%02d', $totalOwnerOperators) }}</h2>
                                        <p>Owner Operators</p>
                                    </div>
                                    <div>
                                        <img src="{{ asset('theme/images/owner-operators.svg') }}" class="img-fluid float-right" alt="Icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col">
                                <div class="dispatchHubNew-box">
                                    <div>
                                        <h2>{{ sprintf('%02d', $totalCompanyDrivers) }}</h2>
                                        <p>Company Drivers</p>
                                    </div>
                                    <div>
                                        <img src="{{ asset('theme/images/company-drivers.svg') }}" class="img-fluid float-right" alt="Icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col">
                                <div class="dispatchHubNew-box">
                                    <div>
                                        <h2>{{ sprintf('%02d', $totalDrivers) }}</h2>
                                        <p>Total Drivers</p>
                                    </div>
                                    <div>
                                        <img src="{{ asset('theme/images/drivers.svg') }}" class="img-fluid float-right" alt="Icon">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="white-box table-view">
                            <div class="add-responsive mt-3">
                                <table id="drivers-all-data-table" class="table drivers-all-data-table display w-100">
                                    <thead>
                                        <tr>
                                            @foreach($getField2 as $key => $filed)
                                                @if($filed == 1 && isset(config('settings.table_lists_drivers')[$key]['name']))
                                                    @if(isset(config('settings.table_lists_drivers')[$key]['searchBuilderType']))
                                                        @if( config('settings.table_lists_drivers')[$key]['searchBuilderType'] == 'string' )
                                                            <th>{{ config('settings.table_lists_drivers')[$key]['name'] }} <i class="fa fa-filter columnFilter table_lists_drivers_{{ $key }}_string" data-table="table1" data-modal="SearchByStringModal{{ $key }}table1"></i></th>
                                                        @elseif( config('settings.table_lists_drivers')[$key]['searchBuilderType'] == 'date' )
                                                            <th>{{ config('settings.table_lists_drivers')[$key]['name'] }} <i class="fa fa-filter columnFilter table_lists_drivers_{{ $key }}_date" data-table="table1" data-modal="SearchByDateModal{{ $key }}table1"></i></th>
                                                        @endif
                                                    @else
                                                        <th>{{ config('settings.table_lists_drivers')[$key]['name'] }}</th>
                                                    @endif
                                                @endif
                                            @endforeach
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="nav-drivers-company" role="tabpanel" aria-labelledby="nav-drivers-company-tab">
                        <div class="white-box table-view">
                            <div class="add-responsive mt-3">
                                <table id="drivers-company-data-table" class="table drivers-company-data-table display w-100">
                                    <thead>
                                        <tr>
                                            @foreach($getField2 as $key => $filed)
                                                @if($filed == 1 && isset(config('settings.table_lists_drivers')[$key]['name']))
                                                    @if(isset(config('settings.table_lists_drivers')[$key]['searchBuilderType']))
                                                        @if( config('settings.table_lists_drivers')[$key]['searchBuilderType'] == 'string' )
                                                            <th>{{ config('settings.table_lists_drivers')[$key]['name'] }} <i class="fa fa-filter columnFilter table_lists_drivers_{{ $key }}_string" data-table="table2" data-modal="SearchByStringModal{{ $key }}table2"></i></th>
                                                        @elseif( config('settings.table_lists_drivers')[$key]['searchBuilderType'] == 'date' )
                                                            <th>{{ config('settings.table_lists_drivers')[$key]['name'] }} <i class="fa fa-filter columnFilter table_lists_drivers_{{ $key }}_date" data-table="table2" data-modal="SearchByDateModal{{ $key }}table2"></i></th>
                                                        @endif
                                                    @else
                                                        <th>{{ config('settings.table_lists_drivers')[$key]['name'] }}</th>
                                                    @endif
                                                @endif
                                            @endforeach
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="nav-drivers-owner-operators" role="tabpanel" aria-labelledby="nav-drivers-owner-operators-tab">
                        <div class="white-box table-view">
                            <div class="add-responsive mt-3">
                                <table id="drivers-owner-operators-data-table" class="table drivers-owner-operators-data-table display w-100">
                                    <thead>
                                        <tr>
                                            @foreach($getField2 as $key => $filed)
                                                @if($filed == 1 && isset(config('settings.table_lists_drivers')[$key]['name']))
                                                    @if(isset(config('settings.table_lists_drivers')[$key]['searchBuilderType']))
                                                        @if( config('settings.table_lists_drivers')[$key]['searchBuilderType'] == 'string' )
                                                            <th>{{ config('settings.table_lists_drivers')[$key]['name'] }} <i class="fa fa-filter columnFilter table_lists_drivers_{{ $key }}_string" data-table="table3" data-modal="SearchByStringModal{{ $key }}table3"></i></th>
                                                        @elseif( config('settings.table_lists_drivers')[$key]['searchBuilderType'] == 'date' )
                                                            <th>{{ config('settings.table_lists_drivers')[$key]['name'] }} <i class="fa fa-filter columnFilter table_lists_drivers_{{ $key }}_date" data-table="table3" data-modal="SearchByDateModal{{ $key }}table3"></i></th>
                                                        @endif
                                                    @else
                                                        <th>{{ config('settings.table_lists_drivers')[$key]['name'] }}</th>
                                                    @endif
                                                @endif
                                            @endforeach
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="tab-pane fade pt-4" id="nav-trucks" role="tabpanel" aria-labelledby="nav-trucks-tab">
                <div class="d-md-flex justify-content-between align-items-center">
                    <nav class="bb-tabs">
                        <ul class="nav nav-tabs w-100 p-0" id="nav-tab2" role="tablist">
                            <li class="nav-item">
                                <a
                                    class="nav-link active"
                                    id="nav-trucks-all-tab"
                                    data-toggle="tab"
                                    href="#nav-trucks-all"
                                    type="button"
                                    role="tab"
                                    aria-controls="nav-trucks-all"
                                    aria-selected="true">All</a>
                            </li>
                            <li class="nav-item">
                                <a
                                    class="nav-link"
                                    id="nav-trucks-company-tab"
                                    data-toggle="tab"
                                    href="#nav-trucks-company"
                                    type="button"
                                    role="tab"
                                    aria-controls="nav-trucks-company"
                                    aria-selected="false">Company Trucks</a>
                            </li>
                            <li class="nav-item">
                                <a
                                    class="nav-link"
                                    id="nav-trucks-others-tab"
                                    data-toggle="tab"
                                    href="#nav-trucks-others"
                                    type="button"
                                    role="tab"
                                    aria-controls="nav-trucks-others"
                                    aria-selected="false">Others</a>
                            </li>
                        </ul>
                    </nav>
                </div>
                <div class="tab-content" id="nav-tabContent">
                    <div class="tab-pane fade active show" id="nav-trucks-all" role="tabpanel" aria-labelledby="nav-trucks-all-tab">
                        <ul class="d-flex align-items-center justify-content-end">
                            <li>
                                <a href="javascript:void(0);" class="text-blue fw-600" data-isActive="{{ $truckWidgetActive == '1' ? '0' : '1' }}" data-tab="truck">
                                    @if($truckWidgetActive == '1')
                                        Hide Widgets
                                        <span class="ml-2">
                                            <img src="{{ asset('theme/images/eye.svg') }}" alt="Hide Widgets" class="img-fluid" />
                                        </span>
                                    @else
                                        Show Widgets
                                        <span class="ml-2">
                                            <img src="{{ asset('theme/images/eye.svg') }}" alt="Hide Widgets" class="img-fluid" />
                                        </span>
                                    @endif
                                </a>
                            </li>
                        </ul>
                        <div class="row row-cols-sm-2 row-cols-lg-3 row-cols-xl-5 g-xl-3 g-2 widget-row {{ $truckWidgetActive == '0' ? 'd-none' : '' }}">
                            <div class="col">
                                <div class="dispatchHubNew-box">
                                    <div>
                                        <h2>{{ sprintf('%02d', $totalTrucks) }}</h2>
                                        <p>Total Truck Count</p>
                                    </div>
                                    <div>
                                        <img src="{{ asset('theme/images/trucks.svg') }}" class="img-fluid float-right" alt="Icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col">
                                <div class="dispatchHubNew-box">
                                    <div>
                                        <h2>{{ sprintf('%02d', $totalActiveTrucks) }}</h2>
                                        <p>Active Trucks</p>
                                    </div>
                                    <div>
                                        <img src="{{ asset('theme/images/active-trucks.svg') }}" class="img-fluid float-right" alt="Icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col">
                                <div class="dispatchHubNew-box">
                                    <div>
                                        <h2>{{ sprintf('%02d', $totalInactiveTrucks) }}</h2>
                                        <p>Inactive Trucks</p>
                                    </div>
                                    <div>
                                        <img src="{{ asset('theme/images/inactive-trucks.svg') }}" class="img-fluid float-right" alt="Icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col">
                                <div class="dispatchHubNew-box">
                                    <div>
                                        <h2>00</h2>
                                        <p>Overdue PM'S</p>
                                    </div>
                                    <div>
                                        <img src="{{ asset('theme/images/overdue-pms.svg') }}" class="img-fluid float-right" alt="Icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col">
                                <div class="dispatchHubNew-box">
                                    <div>
                                        <h2>00</h2>
                                        <p>Open Repairs</p>
                                    </div>
                                    <div>
                                        <img src="{{ asset('theme/images/open-repairs.svg') }}" class="img-fluid float-right" alt="Icon">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="white-box table-view">
                            <div class="add-responsive mt-3">
                                <table id="trucks-all-data-table" class="table trucks-all-data-table display w-100">
                                    <thead>
                                        <tr>
                                            @foreach($getField3 as $key => $filed)
                                                @if($filed == 1 && isset(config('settings.table_lists_trucks')[$key]['name']))
                                                    @if(isset(config('settings.table_lists_trucks')[$key]['searchBuilderType']))
                                                        @if( config('settings.table_lists_trucks')[$key]['searchBuilderType'] == 'string' )
                                                            <th>{{ config('settings.table_lists_trucks')[$key]['name'] }} <i class="fa fa-filter columnFilter table_lists_trucks_{{ $key }}_string" data-table="table4" data-modal="SearchByStringModal{{ $key }}table4"></i></th>
                                                        @elseif( config('settings.table_lists_trucks')[$key]['searchBuilderType'] == 'date' )
                                                            <th>{{ config('settings.table_lists_trucks')[$key]['name'] }} <i class="fa fa-filter columnFilter table_lists_trucks_{{ $key }}_date" data-table="table4" data-modal="SearchByDateModal{{ $key }}table4"></i></th>
                                                        @endif
                                                    @else
                                                        <th>{{ config('settings.table_lists_trucks')[$key]['name'] }}</th>
                                                    @endif
                                                @endif
                                            @endforeach
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="nav-trucks-company" role="tabpanel" aria-labelledby="nav-trucks-company-tab">
                        <div class="white-box table-view">
                            <div class="add-responsive mt-3">
                                <table id="trucks-company-data-table" class="table trucks-company-data-table display w-100">
                                    <thead>
                                        <tr>
                                            @foreach($getField3 as $key => $filed)
                                                @if($filed == 1 && isset(config('settings.table_lists_trucks')[$key]['name']))
                                                    @if(isset(config('settings.table_lists_trucks')[$key]['searchBuilderType']))
                                                        @if( config('settings.table_lists_trucks')[$key]['searchBuilderType'] == 'string' )
                                                            <th>{{ config('settings.table_lists_trucks')[$key]['name'] }} <i class="fa fa-filter columnFilter table_lists_trucks_{{ $key }}_string" data-table="table5" data-modal="SearchByStringModal{{ $key }}table5"></i></th>
                                                        @elseif( config('settings.table_lists_trucks')[$key]['searchBuilderType'] == 'date' )
                                                            <th>{{ config('settings.table_lists_trucks')[$key]['name'] }} <i class="fa fa-filter columnFilter table_lists_trucks_{{ $key }}_date" data-table="table5" data-modal="SearchByDateModal{{ $key }}table5"></i></th>
                                                        @endif
                                                    @else
                                                        <th>{{ config('settings.table_lists_trucks')[$key]['name'] }}</th>
                                                    @endif
                                                @endif
                                            @endforeach
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="nav-trucks-others" role="tabpanel" aria-labelledby="nav-trucks-others-tab">
                        <div class="white-box table-view">
                            <div class="add-responsive mt-3">
                                <table id="trucks-others-data-table" class="table trucks-others-data-table display w-100">
                                    <thead>
                                        <tr>
                                            @foreach($getField3 as $key => $filed)
                                                @if($filed == 1 && isset(config('settings.table_lists_trucks')[$key]['name']))
                                                    @if(isset(config('settings.table_lists_trucks')[$key]['searchBuilderType']))
                                                        @if( config('settings.table_lists_trucks')[$key]['searchBuilderType'] == 'string' )
                                                            <th>{{ config('settings.table_lists_trucks')[$key]['name'] }} <i class="fa fa-filter columnFilter table_lists_trucks_{{ $key }}_string" data-table="table6" data-modal="SearchByStringModal{{ $key }}table6"></i></th>
                                                        @elseif( config('settings.table_lists_trucks')[$key]['searchBuilderType'] == 'date' )
                                                            <th>{{ config('settings.table_lists_trucks')[$key]['name'] }} <i class="fa fa-filter columnFilter table_lists_trucks_{{ $key }}_date" data-table="table6" data-modal="SearchByDateModal{{ $key }}table6"></i></th>
                                                        @endif
                                                    @else
                                                        <th>{{ config('settings.table_lists_trucks')[$key]['name'] }}</th>
                                                    @endif
                                                @endif
                                            @endforeach
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="tab-pane fade pt-4" id="nav-trailers" role="tabpanel" aria-labelledby="nav-trailers-tab">
                <div class="d-md-flex justify-content-between align-items-center">
                    <nav class="bb-tabs">
                        <ul class="nav nav-tabs w-100 p-0" id="nav-tab3" role="tablist">
                            <li class="nav-item">
                                <a
                                    class="nav-link active"
                                    id="nav-trailers-all-tab"
                                    data-toggle="tab"
                                    href="#nav-trailers-all"
                                    type="button"
                                    role="tab"
                                    aria-controls="nav-trailers-all"
                                    aria-selected="true">All</a>
                            </li>
                            <li class="nav-item">
                                <a
                                    class="nav-link"
                                    id="nav-trailers-company-tab"
                                    data-toggle="tab"
                                    href="#nav-trailers-company"
                                    type="button"
                                    role="tab"
                                    aria-controls="nav-trailers-company"
                                    aria-selected="false">Company Trailers</a>
                            </li>
                            <li class="nav-item">
                                <a
                                    class="nav-link"
                                    id="nav-trailers-others-tab"
                                    data-toggle="tab"
                                    href="#nav-trailers-others"
                                    type="button"
                                    role="tab"
                                    aria-controls="nav-trailers-others"
                                    aria-selected="false">Others</a>
                            </li>
                        </ul>
                    </nav>
                </div>
                <div class="tab-content" id="nav-tabContent">
                    <div class="tab-pane fade active show" id="nav-trailers-all" role="tabpanel" aria-labelledby="nav-trailers-all-tab">
                        <ul class="d-flex align-items-center justify-content-end">
                            <li>
                                <a href="javascript:void(0);" class="text-blue fw-600" data-isActive="{{ $trailerWidgetActive == '1' ? '0' : '1' }}" data-tab="trailer">
                                    @if($trailerWidgetActive == '1')
                                        Hide Widgets
                                        <span class="ml-2">
                                            <img src="{{ asset('theme/images/eye.svg') }}" alt="Hide Widgets" class="img-fluid" />
                                        </span>
                                    @else
                                        Show Widgets
                                        <span class="ml-2">
                                            <img src="{{ asset('theme/images/eye.svg') }}" alt="Hide Widgets" class="img-fluid" />
                                        </span>
                                    @endif
                                </a>
                            </li>
                        </ul>
                        <div class="row row-cols-sm-2 row-cols-lg-3 row-cols-xl-5 g-xl-3 g-2 widget-row {{ $trailerWidgetActive == '0' ? 'd-none' : '' }}">
                            <div class="col">
                                <div class="dispatchHubNew-box">
                                    <div>
                                        <h2>{{ sprintf('%02d', $totalTrailers) }}</h2>
                                        <p>Total Trailer Count</p>
                                    </div>
                                    <div>
                                        <img src="{{ asset('theme/images/trailers.svg') }}" class="img-fluid float-right" alt="Icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col">
                                <div class="dispatchHubNew-box">
                                    <div>
                                        <h2>{{ sprintf('%02d', $totalActiveTrailers) }}</h2>
                                        <p>Active Trailers</p>
                                    </div>
                                    <div>
                                        <img src="{{ asset('theme/images/active-trailers.svg') }}" class="img-fluid float-right" alt="Icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col">
                                <div class="dispatchHubNew-box">
                                    <div>
                                        <h2>{{ sprintf('%02d', $totalInactiveTrailers) }}</h2>
                                        <p>Inactive Trailers</p>
                                    </div>
                                    <div>
                                        <img src="{{ asset('theme/images/inactive-trailers.svg') }}" class="img-fluid float-right" alt="Icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col">
                                <div class="dispatchHubNew-box">
                                    <div>
                                        <h2>00</h2>
                                        <p>Overdue PM'S</p>
                                    </div>
                                    <div>
                                        <img src="{{ asset('theme/images/overdue-pms.svg') }}" class="img-fluid float-right" alt="Icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col">
                                <div class="dispatchHubNew-box">
                                    <div>
                                        <h2>00</h2>
                                        <p>Open Repairs</p>
                                    </div>
                                    <div>
                                        <img src="{{ asset('theme/images/open-repairs.svg') }}" class="img-fluid float-right" alt="Icon">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="white-box table-view">
                            <div class="add-responsive mt-3">
                                <table id="trailers-all-data-table" class="table trailers-all-data-table display w-100">
                                    <thead>
                                        <tr>
                                            @foreach($getField4 as $key => $filed)
                                                @if($filed == 1 && isset(config('settings.table_lists_trailers')[$key]['name']))
                                                    @if(isset(config('settings.table_lists_trailers')[$key]['searchBuilderType']))
                                                        @if( config('settings.table_lists_trailers')[$key]['searchBuilderType'] == 'string' )
                                                            <th>{{ config('settings.table_lists_trailers')[$key]['name'] }} <i class="fa fa-filter columnFilter table_lists_trailers_{{ $key }}_string" data-table="table7" data-modal="SearchByStringModal{{ $key }}table7"></i></th>
                                                        @elseif( config('settings.table_lists_trailers')[$key]['searchBuilderType'] == 'date' )
                                                            <th>{{ config('settings.table_lists_trailers')[$key]['name'] }} <i class="fa fa-filter columnFilter table_lists_trailers_{{ $key }}_date" data-table="table7" data-modal="SearchByDateModal{{ $key }}table7"></i></th>
                                                        @endif
                                                    @else
                                                        <th>{{ config('settings.table_lists_trailers')[$key]['name'] }}</th>
                                                    @endif
                                                @endif
                                            @endforeach
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="nav-trailers-company" role="tabpanel" aria-labelledby="nav-trailers-company-tab">
                        <div class="white-box table-view">
                            <div class="add-responsive mt-3">
                                <table id="trailers-company-data-table" class="table trailers-company-data-table display w-100">
                                    <thead>
                                        <tr>
                                            @foreach($getField4 as $key => $filed)
                                                @if($filed == 1 && isset(config('settings.table_lists_trailers')[$key]['name']))
                                                    @if(isset(config('settings.table_lists_trailers')[$key]['searchBuilderType']))
                                                        @if( config('settings.table_lists_trailers')[$key]['searchBuilderType'] == 'string' )
                                                            <th>{{ config('settings.table_lists_trailers')[$key]['name'] }} <i class="fa fa-filter columnFilter table_lists_trailers_{{ $key }}_string" data-table="table8" data-modal="SearchByStringModal{{ $key }}table8"></i></th>
                                                        @elseif( config('settings.table_lists_trailers')[$key]['searchBuilderType'] == 'date' )
                                                            <th>{{ config('settings.table_lists_trailers')[$key]['name'] }} <i class="fa fa-filter columnFilter table_lists_trailers_{{ $key }}_date" data-table="table8" data-modal="SearchByDateModal{{ $key }}table8"></i></th>
                                                        @endif
                                                    @else
                                                        <th>{{ config('settings.table_lists_trailers')[$key]['name'] }}</th>
                                                    @endif
                                                @endif
                                            @endforeach
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="nav-trailers-others" role="tabpanel" aria-labelledby="nav-trailers-others-tab">
                        <div class="white-box table-view">
                            <div class="add-responsive mt-3">
                                <table id="trailers-others-data-table" class="table trailers-others-data-table display w-100">
                                    <thead>
                                        <tr>
                                            @foreach($getField4 as $key => $filed)
                                                @if($filed == 1 && isset(config('settings.table_lists_trailers')[$key]['name']))
                                                    @if(isset(config('settings.table_lists_trailers')[$key]['searchBuilderType']))
                                                        @if( config('settings.table_lists_trailers')[$key]['searchBuilderType'] == 'string' )
                                                            <th>{{ config('settings.table_lists_trailers')[$key]['name'] }} <i class="fa fa-filter columnFilter table_lists_trailers_{{ $key }}_string" data-table="table9" data-modal="SearchByStringModal{{ $key }}table9"></i></th>
                                                        @elseif( config('settings.table_lists_trailers')[$key]['searchBuilderType'] == 'date' )
                                                            <th>{{ config('settings.table_lists_trailers')[$key]['name'] }} <i class="fa fa-filter columnFilter table_lists_trailers_{{ $key }}_date" data-table="table9" data-modal="SearchByDateModal{{ $key }}table9"></i></th>
                                                        @endif
                                                    @else
                                                        <th>{{ config('settings.table_lists_trailers')[$key]['name'] }}</th>
                                                    @endif
                                                @endif
                                            @endforeach
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="tab-pane fade pt-4" id="nav-terminals" role="tabpanel" aria-labelledby="nav-terminals-tab"></div>
            <div class="tab-pane fade pt-4" id="nav-customers" role="tabpanel" aria-labelledby="nav-customers-tab"></div>
            <div class="tab-pane fade pt-4" id="nav-venders" role="tabpanel" aria-labelledby="nav-venders-tab"></div>
        </div>
    </div>
@endsection

@section('modal')
    <div class="modal fade" id="driversColumnsModal" tabindex="-1" role="dialog" aria-labelledby="driversColumnsModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            {!! Form::open(array(
                    'route'     => 'company.admin.bookmarks.store',
                    'method'    => 'POST',
                    'files'     => 'true',
                    'class'     => 'store-form'
                )
            ) !!}
                <input type="hidden" name="table_id" value="lists_drivers" />
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="driversColumnsModalLabel">Adjust Table Columns</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <ul class="sortableList connected-sortable droppable-area1" id="driversSortable">
                            @foreach($getField2 as $key => $filed)
                                @if(isset(config('settings.table_lists_drivers')[$key]['name']))
                                    <li class="ui-state-default">
                                        <div class="custom-control custom-checkbox">
                                            <input type='hidden' value='0' name='field[{{ $key }}]'>
                                            <input type="checkbox" class="custom-control-input" id="driversCheck{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed == 1) checked @endif>
                                            <label class="custom-control-label" for="driversCheck{{ $key }}">{{ config('settings.table_lists_drivers')[$key]['name'] }}</label>
                                        </div>
                                        <i class="fa fa-align-justify drag-icon"></i>
                                    </li>
                                @endif
                            @endforeach
                        </ul>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>
    <div class="modal fade" id="trucksColumnsModal" tabindex="-1" role="dialog" aria-labelledby="trucksColumnsModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            {!! Form::open(array(
                    'route'     => 'company.admin.bookmarks.store',
                    'method'    => 'POST',
                    'files'     => 'true',
                    'class'     => 'store-form'
                )
            ) !!}
                <input type="hidden" name="table_id" value="lists_trucks" />
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="trucksColumnsModalLabel">Adjust Table Columns</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <ul class="sortableList connected-sortable droppable-area1" id="trucksSortable">
                            @foreach($getField3 as $key => $filed)
                                @if(isset(config('settings.table_lists_trucks')[$key]['name']))
                                    <li class="ui-state-default">
                                        <div class="custom-control custom-checkbox">
                                            <input type='hidden' value='0' name='field[{{ $key }}]'>
                                            <input type="checkbox" class="custom-control-input" id="trucksCheck{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed == 1) checked @endif>
                                            <label class="custom-control-label" for="trucksCheck{{ $key }}">{{ config('settings.table_lists_trucks')[$key]['name'] }}</label>
                                        </div>
                                        <i class="fa fa-align-justify drag-icon"></i>
                                    </li>
                                @endif
                            @endforeach
                        </ul>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>
    <div class="modal fade" id="trailersColumnsModal" tabindex="-1" role="dialog" aria-labelledby="trailersColumnsModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            {!! Form::open(array(
                    'route'     => 'company.admin.bookmarks.store',
                    'method'    => 'POST',
                    'files'     => 'true',
                    'class'     => 'store-form'
                )
            ) !!}
                <input type="hidden" name="table_id" value="lists_trailers" />
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="trailersColumnsModalLabel">Adjust Table Columns</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <ul class="sortableList connected-sortable droppable-area1" id="trailersSortable">
                            @foreach($getField4 as $key => $filed)
                                @if(isset(config('settings.table_lists_trailers')[$key]['name']))
                                    <li class="ui-state-default">
                                        <div class="custom-control custom-checkbox">
                                            <input type='hidden' value='0' name='field[{{ $key }}]'>
                                            <input type="checkbox" class="custom-control-input" id="trailersCheck{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed == 1) checked @endif>
                                            <label class="custom-control-label" for="trailersCheck{{ $key }}">{{ config('settings.table_lists_trailers')[$key]['name'] }}</label>
                                        </div>
                                        <i class="fa fa-align-justify drag-icon"></i>
                                    </li>
                                @endif
                            @endforeach
                        </ul>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>
@endsection

@section('script')
    <script type="text/javascript" src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
    <script type="text/javascript" src="https://cdn.datatables.net/buttons/2.2.3/js/dataTables.buttons.min.js"></script>
    <script type="text/javascript">
        $(document).ready(function() {
            // Get active parent tab on page load
            var currentParentTab    = $('.bb-tabs #nav-tab a[data-toggle="tab"].active');
            // Check if currentParentTab exists
            if (currentParentTab.length > 0) {
                // Log the ID of the active parent tab
                // console.log("Active Parent Tab on Page Load:", currentParentTab.attr('id'));
                // Log the href attribute of the active parent tab
                // console.log("Active Parent Tab Href on Page Load:", currentParentTab.attr('href'));

                // Get the href attribute of the active parent tab
                var parentTabHref   = currentParentTab.attr('href');

                // Find the active child tab within the active parent tab
                var currentChildTab = $(parentTabHref).find('.nav-tabs a[data-toggle="tab"].active');
                // Check if currentChildTab exists
                if (currentChildTab.length > 0) {
                    // Log the ID of the active child tab
                    // console.log("Active Child Tab on Page Load:", currentChildTab.attr('id'));
                    // Log the href attribute of the active child tab
                    // console.log("Active Child Tab Href on Page Load:", currentChildTab.attr('href'));

                    nextTabPaneView(currentChildTab.attr('href'));
                } else {
                    // console.log("No active child tab found within the active parent tab.");
                }
            } else {
                // console.log("No active parent tab found.");
            }
        });
    </script>
    <script type="text/javascript">
        var table1;
        var table2;
        var table3;
        var table4;
        var table5;
        var table6;
        var table7;
        var table8;
        var table9;
        $(document).ready(function() {
            $('.bb-tabs #nav-tab a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
                // console.log("Parent Tab shown!");
                var activeParentHash    = $(e.target).attr('href');
                // console.log("Active parent href:", activeParentHash);

                if(activeParentHash !== 'undefined') {
                    // Find the active child tab within the active parent tab
                    var activeChildHash = $(activeParentHash).find('a.nav-link.active[data-toggle="tab"]').attr('href'); // $(activeParentHash).find('.tab-pane.active').attr('id');
                    // console.log("Active child href:", activeChildHash);

                    if(activeParentHash === '#nav-drivers') {
                        if (activeChildHash === '#nav-drivers-all') {
                            if (table1 !== 'undefined' && $.fn.DataTable.isDataTable('.drivers-all-data-table')) {
                                // console.log("Adjusting columns for table1...");

                                // Adjust column widths without redrawing
                                table1.columns.adjust().fixedColumns().relayout(); // table1.columns.adjust().draw();
                            } else {
                                nextTabPaneView(activeChildHash);
                            }
                        } else if(activeChildHash === '#nav-drivers-company') {
                            if(table2 !== 'undefined' && $.fn.DataTable.isDataTable('.drivers-company-data-table')) {
                                // console.log("Adjusting columns for table2...");

                                // Adjust column widths without redrawing
                                table2.columns.adjust().fixedColumns().relayout(); // table2.columns.adjust().draw();
                            } else {
                                nextTabPaneView(activeChildHash);
                            }
                        } else if(activeChildHash === '#nav-drivers-owner-operators') {
                            if(table3 !== 'undefined' && $.fn.DataTable.isDataTable('.drivers-owner-operators-data-table')) {
                                // console.log("Adjusting columns for table3...");

                                // Adjust column widths without redrawing
                                table3.columns.adjust().fixedColumns().relayout(); // table3.columns.adjust().draw();
                            } else {
                                nextTabPaneView(activeChildHash);
                            }
                        }
                    } else if (activeParentHash === '#nav-trucks') {
                        if (activeChildHash === '#nav-trucks-all') {
                            if (table4 !== 'undefined' && $.fn.DataTable.isDataTable('.trucks-all-data-table')) {
                                // console.log("Adjusting columns for table4...");

                                // Adjust column widths without redrawing
                                table4.columns.adjust().fixedColumns().relayout(); // table4.columns.adjust().draw();
                            } else {
                                nextTabPaneView(activeChildHash);
                            }
                        } else if(activeChildHash === '#nav-trucks-company') {
                            if(table5 !== 'undefined' && $.fn.DataTable.isDataTable('.trucks-company-data-table')) {
                                // console.log("Adjusting columns for table5...");

                                // Adjust column widths without redrawing
                                table5.columns.adjust().fixedColumns().relayout(); // table5.columns.adjust().draw();
                            } else {
                                nextTabPaneView(activeChildHash);
                            }
                        } else if(activeChildHash === '#nav-trucks-others') {
                            if(table6 !== 'undefined' && $.fn.DataTable.isDataTable('.trucks-others-data-table')) {
                                // console.log("Adjusting columns for table6...");

                                // Adjust column widths without redrawing
                                table6.columns.adjust().fixedColumns().relayout(); // table6.columns.adjust().draw();
                            } else {
                                nextTabPaneView(activeChildHash);
                            }
                        }
                    } else if (activeParentHash === '#nav-trailers') {
                        if (activeChildHash === '#nav-trailers-all') {
                            if (table7 !== 'undefined' && $.fn.DataTable.isDataTable('.trailers-all-data-table')) {
                                // console.log("Adjusting columns for table7...");

                                // Adjust column widths without redrawing
                                table7.columns.adjust().fixedColumns().relayout(); // table7.columns.adjust().draw();
                            } else {
                                nextTabPaneView(activeChildHash);
                            }
                        } else if(activeChildHash === '#nav-trailers-company') {
                            if(table8 !== 'undefined' && $.fn.DataTable.isDataTable('.trailers-company-data-table')) {
                                // console.log("Adjusting columns for table8...");

                                // Adjust column widths without redrawing
                                table8.columns.adjust().fixedColumns().relayout(); // table8.columns.adjust().draw();
                            } else {
                                nextTabPaneView(activeChildHash);
                            }
                        } else if(activeChildHash === '#nav-trailers-others') {
                            if(table9 !== 'undefined' && $.fn.DataTable.isDataTable('.trailers-others-data-table')) {
                                // console.log("Adjusting columns for table9...");

                                // Adjust column widths without redrawing
                                table9.columns.adjust().fixedColumns().relayout(); // table9.columns.adjust().draw();
                            } else {
                                nextTabPaneView(activeChildHash);
                            }
                        }
                    }
                }
            });

            // Drivers Tab Start
            $('.bb-tabs #nav-tab1 a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
                // console.log("Driver Child Tab shown!");

                var targetHash                  = $(e.target).attr('href');
                if (targetHash !== 'undefined') {
                    if (targetHash === '#nav-drivers-all') {
                        if (table1 !== 'undefined' && $.fn.DataTable.isDataTable('.drivers-all-data-table')) {
                            // console.log("Adjusting columns for table1...");

                            // Adjust column widths without redrawing
                            table1.columns.adjust().fixedColumns().relayout(); // table1.columns.adjust().draw();
                        } else {
                            nextTabPaneView(targetHash);
                        }
                    } else if(targetHash === '#nav-drivers-company') {
                        if (table2 !== 'undefined' && $.fn.DataTable.isDataTable('.drivers-company-data-table')) {
                            // console.log("Adjusting columns for table2...");

                            // Adjust column widths without redrawing
                            table2.columns.adjust().fixedColumns().relayout(); // table2.columns.adjust().draw();
                        } else {
                            nextTabPaneView(targetHash);
                        }
                    } else if(targetHash === '#nav-drivers-owner-operators') {
                        if (table3 !== 'undefined' && $.fn.DataTable.isDataTable('.drivers-owner-operators-data-table')) {
                            // console.log("Adjusting columns for table3...");

                            // Adjust column widths without redrawing
                            table3.columns.adjust().fixedColumns().relayout(); // table3.columns.adjust().draw();
                        } else {
                            nextTabPaneView(targetHash);
                        }
                    }
                }
            });

            $("#driversSortable").sortable();
            // Drivers Tab End

            // Truck Tab Start
            $('.bb-tabs #nav-tab2 a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
                // console.log("Truck Child Tab shown!");

                var targetHash                  = $(e.target).attr('href');
                if (targetHash !== 'undefined') {
                    if (targetHash === '#nav-trucks-all') {
                        if (table4 !== 'undefined' && $.fn.DataTable.isDataTable('.trucks-all-data-table')) {
                            // console.log("Adjusting columns for table4...");

                            // Adjust column widths without redrawing
                            table4.columns.adjust().fixedColumns().relayout(); // table4.columns.adjust().draw();
                        } else {
                            nextTabPaneView(targetHash);
                        }
                    } else if(targetHash === '#nav-trucks-company') {
                        if(table5 !== 'undefined' && $.fn.DataTable.isDataTable('.trucks-company-data-table')) {
                            // console.log("Adjusting columns for table5...");

                            // Adjust column widths without redrawing
                            table5.columns.adjust().fixedColumns().relayout(); // table5.columns.adjust().draw();
                        } else {
                            nextTabPaneView(targetHash);
                        }
                    } else if(targetHash === '#nav-trucks-others') {
                        if(table6 !== 'undefined' && $.fn.DataTable.isDataTable('.trucks-others-data-table')) {
                            // console.log("Adjusting columns for table6...");

                            // Adjust column widths without redrawing
                            table6.columns.adjust().fixedColumns().relayout(); // table6.columns.adjust().draw();
                        } else {
                            nextTabPaneView(targetHash);
                        }
                    }
                }
            });

            $("#trucksSortable").sortable();
            // Truck Tab End

            // Trailer Tab Start
            $('.bb-tabs #nav-tab3 a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
                // console.log("Trailers Child Tab shown!");

                var targetHash                  = $(e.target).attr('href');
                if (targetHash !== 'undefined') {
                    if (targetHash === '#nav-trailers-all') {
                        if (table7 !== 'undefined' && $.fn.DataTable.isDataTable('.trailers-all-data-table')) {
                            // console.log("Adjusting columns for table7...");

                            // Adjust column widths without redrawing
                            table7.columns.adjust().fixedColumns().relayout(); // table7.columns.adjust().draw();
                        } else {
                            nextTabPaneView(targetHash);
                        }
                    } else if(targetHash === '#nav-trailers-company') {
                        if(table8 !== 'undefined' && $.fn.DataTable.isDataTable('.trailers-company-data-table')) {
                            // console.log("Adjusting columns for table8...");

                            // Adjust column widths without redrawing
                            table8.columns.adjust().fixedColumns().relayout(); // table8.columns.adjust().draw();
                        } else {
                            nextTabPaneView(targetHash);
                        }
                    } else if(targetHash === '#nav-trailers-others') {
                        if(table9 !== 'undefined' && $.fn.DataTable.isDataTable('.trailers-others-data-table')) {
                            // console.log("Adjusting columns for table9...");

                            // Adjust column widths without redrawing
                            table9.columns.adjust().fixedColumns().relayout(); // table9.columns.adjust().draw();
                        } else {
                            nextTabPaneView(targetHash);
                        }
                    }
                }
            });

            $("#trailersSortable").sortable();
            // Trailer Tab End
        });
        function nextTabPaneView(hash) {
            if (hash === '#nav-drivers-all') {
                if (!$.fn.DataTable.isDataTable('.drivers-all-data-table')) {
                    // console.log('Table1 dataTable does not exist.');

                    // All
                    table1 = $('.drivers-all-data-table').DataTable({
                        stateSave: true,
                        bSortCellsTop: true,
                        language: {
                            search: "",
                            searchPlaceholder: "Search...",
                        },
                        scrollX: true,
                        scrollCollapse: true,
                        fixedHeader: true,
                        fixedColumns: {
                            leftColumns: 0, // Number of columns to be fixed on the left
                            rightColumns: 1, // Number of columns to be fixed on the right
                            // heightMatch: "auto"
                        },
                        processing: true,
                        serverSide: true,
                        searching: true,
                        ordering: false,
                        info: false,
                        paging: true,
                        pageLength: "{{ perPageView() }}",
                        lengthChange: true,
                        dom: "<'row cusotdiv px-3'<'col-sm-12 col-md-12 cusotdiv2'flB>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-12'p>>",
                        buttons: [
                            {
                                text: 'Columns',
                                className: 'btn btn-primary',
                                attr: {
                                    'data-toggle': 'modal',
                                    'data-target': '#driversColumnsModal'
                                }
                            },
                            {
                                text: '<i class="fa fa-plus" aria-hidden="true"></i>',
                                className: 'btn btn-primary',
                                action: function () {
                                    window.location.href = '{{ route("company.admin.drivers.create") }}';
                                }
                            }
                        ],
                        ajax: {
                            url: "{{ route('company.admin.lists.drivers.all') }}",
                            type:'POST',
                            dataType: "json",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            data: function (d) {
                                // Additional key-value pairs
                                if($('#nav-drivers-all .dataTables_filter select.cdstatus-filter').length > 0){
                                    var cdstatus                                = $('#nav-drivers-all .dataTables_filter select.cdstatus-filter').val();
                                    d.cdstatus                                  = cdstatus;
                                }else{
                                    d.cdstatus                                  = '0';
                                }
                                // Add more key-value pairs as needed

                                // Get the table number (you may replace this with your actual table number logic)
                                var tableNo                                     = 1;

                                // Extra parameters for the additional AJAX call
                                var extraParams                                 = generateSearchStringValues(tableNo);

                                // Merge existing parameters (d) with extraParams
                                return $.extend({}, d, extraParams);
                            },
                            beforeSend: function () {
                                if (typeof table1 != 'undefined' && table1.hasOwnProperty('settings')) {
                                    table1.settings()[0].jqXHR.abort();
                                }
                            }
                        },
                        columns: [
                            <?php foreach($getField2 as $key => $filed): ?>
                                <?php if($filed == 1): ?>
                                    <?php if(isset(config('settings.table_lists_drivers')[$key]['name'])): ?>
                                        <?php if(config("settings.table_lists_drivers")[$key]["orderable"] == 1 && config("settings.table_lists_drivers")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                                        <?php elseif(config("settings.table_lists_drivers")[$key]["orderable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                                        <?php elseif(config("settings.table_lists_drivers")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                                        <?php else: ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php endforeach; ?>
                            { data: 'action', name: 'action', orderable: false, searchable: false }
                        ]
                    });

                    $('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3" data-tablevariable="table1"><i class="fa fa-refresh"></i> Refresh</a>').prependTo('#nav-drivers-all .dataTables_filter');
                    $('<a href="javascript:void(0);" id="clearAll{{ str_replace("settings.", "", $tables[0]["table"] ?? "") }}_table1" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tables[0]["table"] ?? "") }} {{ str_replace("settings.", "", $tables[0]["table"] ?? "") }} ml-3 d-none" data-tablevariable="table1">Clear filters</a>').prependTo('#nav-drivers-all .dataTables_filter');
                    // Status Filter
                    setTimeout(function() {
                        $(`<div class="pull-right cusotmdow pl-3">
                            <select class="form-control form-control-sm cdstatus-filter" data-table="table1">
                                <option value="">All</option>
                                <option value="0" selected>Active</option>
                                <option value="1">OOS</option>
                                <option value="2">Terminated</option>
                                <option value="3">Rehire</option>
                            </select>
                        </div>`).appendTo('#nav-drivers-all .dataTables_filter');
                    }, 1000);
                } else {
                    // console.log('Table1 dataTable exists.');
                }
            } else if(hash === '#nav-drivers-company') {
                if (!$.fn.DataTable.isDataTable('.drivers-company-data-table')) {
                    // console.log('Table2 dataTable does not exist.');

                    // Company
                    table2 = $('.drivers-company-data-table').DataTable({
                        stateSave: true,
                        bSortCellsTop: true,
                        language: {
                            search: "",
                            searchPlaceholder: "Search...",
                        },
                        scrollX: true,
                        scrollCollapse: true,
                        fixedHeader: true,
                        fixedColumns: {
                            leftColumns: 0, // Number of columns to be fixed on the left
                            rightColumns: 1, // Number of columns to be fixed on the right
                            // heightMatch: "auto"
                        },
                        processing: true,
                        serverSide: true,
                        searching: true,
                        ordering: false,
                        info: false,
                        paging: true,
                        pageLength: "{{ perPageView() }}",
                        lengthChange: true,
                        dom: "<'row cusotdiv px-3'<'col-sm-12 col-md-12 cusotdiv2'flB>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-12'p>>",
                        buttons: [
                            {
                                text: 'Columns',
                                className: 'btn btn-primary',
                                attr: {
                                    'data-toggle': 'modal',
                                    'data-target': '#driversColumnsModal'
                                }
                            },
                            {
                                text: '<i class="fa fa-plus" aria-hidden="true"></i>',
                                className: 'btn btn-primary',
                                action: function () {
                                    window.location.href = '{{ route("company.admin.drivers.create") }}';
                                }
                            }
                        ],
                        ajax: {
                            url: "{{ route('company.admin.lists.drivers.all') }}",
                            type:'POST',
                            dataType: "json",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            data: function (d) {
                                // Additional key-value pairs
                                d.extra_is_company_driver                       = '1'; // 0 = Owner Operator, 1 = Company Driver, 2 = Subcontractor
                                if($('#nav-drivers-company .dataTables_filter select.cdstatus-filter').length > 0){
                                    var cdstatus                                = $('#nav-drivers-company .dataTables_filter select.cdstatus-filter').val();
                                    d.cdstatus                                  = cdstatus;
                                }else{
                                    d.cdstatus                                  = '0';
                                }
                                // Add more key-value pairs as needed

                                // Get the table number (you may replace this with your actual table number logic)
                                var tableNo                                     = 2;

                                // Extra parameters for the additional AJAX call
                                var extraParams                                 = generateSearchStringValues(tableNo);

                                // Merge existing parameters (d) with extraParams
                                return $.extend({}, d, extraParams);
                            },
                            beforeSend: function () {
                                if (typeof table2 != 'undefined' && table2.hasOwnProperty('settings')) {
                                    table2.settings()[0].jqXHR.abort();
                                }
                            }
                        },
                        columns: [
                            <?php foreach($getField2 as $key => $filed): ?>
                                <?php if($filed == 1): ?>
                                    <?php if(isset(config('settings.table_lists_drivers')[$key]['name'])): ?>
                                        <?php if(config("settings.table_lists_drivers")[$key]["orderable"] == 1 && config("settings.table_lists_drivers")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                                        <?php elseif(config("settings.table_lists_drivers")[$key]["orderable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                                        <?php elseif(config("settings.table_lists_drivers")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                                        <?php else: ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php endforeach; ?>
                            { data: 'action', name: 'action', orderable: false, searchable: false }
                        ]
                    });

                    $('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3" data-tablevariable="table2"><i class="fa fa-refresh"></i> Refresh</a>').prependTo('#nav-drivers-company .dataTables_filter');
                    $('<a href="javascript:void(0);" id="clearAll{{ str_replace("settings.", "", $tables[1]["table"] ?? "") }}_table2" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tables[1]["table"] ?? "") }} {{ str_replace("settings.", "", $tables[1]["table"] ?? "") }} ml-3 d-none" data-tablevariable="table2">Clear filters</a>').prependTo('#nav-drivers-company .dataTables_filter');
                    // Status Filter
                    setTimeout(function() {
                        $(`<div class="pull-right cusotmdow pl-3">
                            <select class="form-control form-control-sm cdstatus-filter" data-table="table2">
                                <option value="">All</option>
                                <option value="0" selected>Active</option>
                                <option value="1">OOS</option>
                                <option value="2">Terminated</option>
                                <option value="3">Rehire</option>
                            </select>
                        </div>`).appendTo('#nav-drivers-company .dataTables_filter');
                    }, 1000);
                } else {
                    // console.log('Table2 dataTable exists.');
                }
            } else if(hash === '#nav-drivers-owner-operators') {
                if (!$.fn.DataTable.isDataTable('.drivers-owner-operators-data-table')) {
                    // console.log('Table3 dataTable does not exist.');

                    // Owner Operators
                    table3 = $('.drivers-owner-operators-data-table').DataTable({
                        stateSave: true,
                        bSortCellsTop: true,
                        language: {
                            search: "",
                            searchPlaceholder: "Search...",
                        },
                        scrollX: true,
                        scrollCollapse: true,
                        fixedHeader: true,
                        fixedColumns: {
                            leftColumns: 0, // Number of columns to be fixed on the left
                            rightColumns: 1, // Number of columns to be fixed on the right
                            // heightMatch: "auto"
                        },
                        processing: true,
                        serverSide: true,
                        searching: true,
                        ordering: false,
                        info: false,
                        paging: true,
                        pageLength: "{{ perPageView() }}",
                        lengthChange: true,
                        dom: "<'row cusotdiv px-3'<'col-sm-12 col-md-12 cusotdiv2'flB>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-12'p>>",
                        buttons: [
                            {
                                text: 'Columns',
                                className: 'btn btn-primary',
                                attr: {
                                    'data-toggle': 'modal',
                                    'data-target': '#driversColumnsModal'
                                }
                            },
                            {
                                text: '<i class="fa fa-plus" aria-hidden="true"></i>',
                                className: 'btn btn-primary',
                                action: function () {
                                    window.location.href = '{{ route("company.admin.drivers.create") }}';
                                }
                            }
                        ],
                        ajax: {
                            url: "{{ route('company.admin.lists.drivers.all') }}",
                            type:'POST',
                            dataType: "json",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            data: function (d) {
                                // Additional key-value pairs
                                d.extra_is_company_driver                       = '0'; // 0 = Owner Operator, 1 = Company Driver, 2 = Subcontractor
                                if($('#nav-drivers-owner-operators .dataTables_filter select.cdstatus-filter').length > 0){
                                    var cdstatus                                = $('#nav-drivers-owner-operators .dataTables_filter select.cdstatus-filter').val();
                                    d.cdstatus                                  = cdstatus;
                                }else{
                                    d.cdstatus                                  = '0';
                                }
                                // Add more key-value pairs as needed

                                // Get the table number (you may replace this with your actual table number logic)
                                var tableNo                                     = 3;

                                // Extra parameters for the additional AJAX call
                                var extraParams                                 = generateSearchStringValues(tableNo);

                                // Merge existing parameters (d) with extraParams
                                return $.extend({}, d, extraParams);
                            },
                            beforeSend: function () {
                                if (typeof table3 != 'undefined' && table3.hasOwnProperty('settings')) {
                                    table3.settings()[0].jqXHR.abort();
                                }
                            }
                        },
                        columns: [
                            <?php foreach($getField2 as $key => $filed): ?>
                                <?php if($filed == 1): ?>
                                    <?php if(isset(config('settings.table_lists_drivers')[$key]['name'])): ?>
                                        <?php if(config("settings.table_lists_drivers")[$key]["orderable"] == 1 && config("settings.table_lists_drivers")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                                        <?php elseif(config("settings.table_lists_drivers")[$key]["orderable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                                        <?php elseif(config("settings.table_lists_drivers")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                                        <?php else: ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php endforeach; ?>
                            { data: 'action', name: 'action', orderable: false, searchable: false }
                        ]
                    });

                    $('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3" data-tablevariable="table3"><i class="fa fa-refresh"></i> Refresh</a>').prependTo('#nav-drivers-owner-operators .dataTables_filter');
                    $('<a href="javascript:void(0);" id="clearAll{{ str_replace("settings.", "", $tables[2]["table"] ?? "") }}_table3" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tables[2]["table"] ?? "") }} {{ str_replace("settings.", "", $tables[2]["table"] ?? "") }} ml-3 d-none" data-tablevariable="table3">Clear filters</a>').prependTo('#nav-drivers-owner-operators .dataTables_filter');
                    // Status Filter
                    setTimeout(function() {
                        $(`<div class="pull-right cusotmdow pl-3">
                            <select class="form-control form-control-sm cdstatus-filter" data-table="table3">
                                <option value="">All</option>
                                <option value="0" selected>Active</option>
                                <option value="1">OOS</option>
                                <option value="2">Terminated</option>
                                <option value="3">Rehire</option>
                            </select>
                        </div>`).appendTo('#nav-drivers-owner-operators .dataTables_filter');
                    }, 1000);
                } else {
                    // console.log('Table3 dataTable exists.');
                }
            } else if(hash === '#nav-trucks-all') {
                if (!$.fn.DataTable.isDataTable('.trucks-all-data-table')) {
                    // console.log('Table4 dataTable does not exist.');

                    // All
                    table4 = $('.trucks-all-data-table').DataTable({
                        stateSave: true,
                        bSortCellsTop: true,
                        language: {
                            search: "",
                            searchPlaceholder: "Search...",
                        },
                        scrollX: true,
                        scrollCollapse: true,
                        fixedHeader: true,
                        fixedColumns: {
                            leftColumns: 0, // Number of columns to be fixed on the left
                            rightColumns: 1, // Number of columns to be fixed on the right
                            // heightMatch: "auto"
                        },
                        processing: true,
                        serverSide: true,
                        searching: true,
                        ordering: false,
                        info: false,
                        paging: true,
                        pageLength: "{{ perPageView() }}",
                        lengthChange: true,
                        dom: "<'row cusotdiv px-3'<'col-sm-12 col-md-12 cusotdiv2'flB>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-12'p>>",
                        buttons: [
                            {
                                text: 'Columns',
                                className: 'btn btn-primary',
                                attr: {
                                    'data-toggle': 'modal',
                                    'data-target': '#trucksColumnsModal'
                                }
                            },
                            {
                                text: '<i class="fa fa-plus" aria-hidden="true"></i>',
                                className: 'btn btn-primary',
                                action: function () {
                                    window.location.href = '{{ route("company.admin.trucks.create") }}';
                                }
                            }
                        ],
                        ajax: {
                            url: "{{ route('company.admin.lists.trucks.all') }}",
                            type:'POST',
                            dataType: "json",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            data: function (d) {
                                // Additional key-value pairs
                                if($('#nav-trucks-all .dataTables_filter select.cdstatus-filter').length > 0){
                                    var cdstatus                                = $('#nav-trucks-all .dataTables_filter select.cdstatus-filter').val();
                                    d.cdstatus                                  = cdstatus;
                                }else{
                                    d.cdstatus                                  = '0';
                                }
                                // Add more key-value pairs as needed

                                // Get the table number (you may replace this with your actual table number logic)
                                var tableNo                                     = 4;

                                // Extra parameters for the additional AJAX call
                                var extraParams                                 = generateSearchStringValues(tableNo, 'trucks');

                                // Merge existing parameters (d) with extraParams
                                return $.extend({}, d, extraParams);
                            },
                            beforeSend: function () {
                                if (typeof table4 != 'undefined' && table4.hasOwnProperty('settings')) {
                                    table4.settings()[0].jqXHR.abort();
                                }
                            }
                        },
                        columns: [
                            <?php foreach($getField3 as $key => $filed): ?>
                                <?php if($filed == 1): ?>
                                    <?php if(isset(config('settings.table_lists_trucks')[$key]['name'])): ?>
                                        <?php if(config("settings.table_lists_trucks")[$key]["orderable"] == 1 && config("settings.table_lists_trucks")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                                        <?php elseif(config("settings.table_lists_trucks")[$key]["orderable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                                        <?php elseif(config("settings.table_lists_trucks")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                                        <?php else: ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php endforeach; ?>
                            { data: 'action', name: 'action', orderable: false, searchable: false }
                        ]
                    });

                    $('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3" data-tablevariable="table4"><i class="fa fa-refresh"></i> Refresh</a>').prependTo('#nav-trucks-all .dataTables_filter');
                    $('<a href="javascript:void(0);" id="clearAll{{ str_replace("settings.", "", $tables[3]["table"] ?? "") }}_table4" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tables[3]["table"] ?? "") }} {{ str_replace("settings.", "", $tables[3]["table"] ?? "") }} ml-3 d-none" data-tablevariable="table4">Clear filters</a>').prependTo('#nav-trucks-all .dataTables_filter');
                    // Status Filter
                    setTimeout(function() {
                        $(`<div class="pull-right cusotmdow pl-3">
                            <select class="form-control form-control-sm cdstatus-filter" data-table="table4">
                                <option value="">All</option>
                                <option value="0" selected>Active</option>
                                <option value="1">OOS</option>
                                <option value="2">Terminated</option>
                                <option value="3">Rehire</option>
                            </select>
                        </div>`).appendTo('#nav-trucks-all .dataTables_filter');
                    }, 1000);
                } else {
                    // console.log('Table4 dataTable exists.');
                }
            } else if(hash === '#nav-trucks-company') {
                if (!$.fn.DataTable.isDataTable('.trucks-company-data-table')) {
                    // console.log('Table5 dataTable does not exist.');

                    // Company
                    table5 = $('.trucks-company-data-table').DataTable({
                        stateSave: true,
                        bSortCellsTop: true,
                        language: {
                            search: "",
                            searchPlaceholder: "Search...",
                        },
                        scrollX: true,
                        scrollCollapse: true,
                        fixedHeader: true,
                        fixedColumns: {
                            leftColumns: 0, // Number of columns to be fixed on the left
                            rightColumns: 1, // Number of columns to be fixed on the right
                            // heightMatch: "auto"
                        },
                        processing: true,
                        serverSide: true,
                        searching: true,
                        ordering: false,
                        info: false,
                        paging: true,
                        pageLength: "{{ perPageView() }}",
                        lengthChange: true,
                        dom: "<'row cusotdiv px-3'<'col-sm-12 col-md-12 cusotdiv2'flB>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-12'p>>",
                        buttons: [
                            {
                                text: 'Columns',
                                className: 'btn btn-primary',
                                attr: {
                                    'data-toggle': 'modal',
                                    'data-target': '#trucksColumnsModal'
                                }
                            },
                            {
                                text: '<i class="fa fa-plus" aria-hidden="true"></i>',
                                className: 'btn btn-primary',
                                action: function () {
                                    window.location.href = '{{ route("company.admin.trucks.create") }}';
                                }
                            }
                        ],
                        ajax: {
                            url: "{{ route('company.admin.lists.trucks.all') }}",
                            type:'POST',
                            dataType: "json",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            data: function (d) {
                                // Additional key-value pairs
                                if($('#nav-trucks-company .dataTables_filter select.cdstatus-filter').length > 0){
                                    var cdstatus                                = $('#nav-trucks-company .dataTables_filter select.cdstatus-filter').val();
                                    d.cdstatus                                  = cdstatus;
                                }else{
                                    d.cdstatus                                  = '0';
                                }
                                // Add more key-value pairs as needed

                                // Get the table number (you may replace this with your actual table number logic)
                                var tableNo                                     = 5;

                                // Extra parameters for the additional AJAX call
                                var extraParams                                 = generateSearchStringValues(tableNo, 'trucks');

                                // Merge existing parameters (d) with extraParams
                                return $.extend({}, d, extraParams);
                            },
                            beforeSend: function () {
                                if (typeof table5 != 'undefined' && table5.hasOwnProperty('settings')) {
                                    table5.settings()[0].jqXHR.abort();
                                }
                            }
                        },
                        columns: [
                            <?php foreach($getField3 as $key => $filed): ?>
                                <?php if($filed == 1): ?>
                                    <?php if(isset(config('settings.table_lists_trucks')[$key]['name'])): ?>
                                        <?php if(config("settings.table_lists_trucks")[$key]["orderable"] == 1 && config("settings.table_lists_trucks")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                                        <?php elseif(config("settings.table_lists_trucks")[$key]["orderable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                                        <?php elseif(config("settings.table_lists_trucks")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                                        <?php else: ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php endforeach; ?>
                            { data: 'action', name: 'action', orderable: false, searchable: false }
                        ]
                    });

                    $('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3" data-tablevariable="table5"><i class="fa fa-refresh"></i> Refresh</a>').prependTo('#nav-trucks-company .dataTables_filter');
                    $('<a href="javascript:void(0);" id="clearAll{{ str_replace("settings.", "", $tables[4]["table"] ?? "") }}_table5" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tables[4]["table"] ?? "") }} {{ str_replace("settings.", "", $tables[4]["table"] ?? "") }} ml-3 d-none" data-tablevariable="table5">Clear filters</a>').prependTo('#nav-trucks-company .dataTables_filter');
                    // Status Filter
                    setTimeout(function() {
                        $(`<div class="pull-right cusotmdow pl-3">
                            <select class="form-control form-control-sm cdstatus-filter" data-table="table5">
                                <option value="">All</option>
                                <option value="0" selected>Active</option>
                                <option value="1">OOS</option>
                                <option value="2">Terminated</option>
                                <option value="3">Rehire</option>
                            </select>
                        </div>`).appendTo('#nav-trucks-company .dataTables_filter');
                    }, 1000);
                } else {
                    // console.log('Table5 dataTable exists.');
                }
            } else if(hash === '#nav-trucks-others') {
                if (!$.fn.DataTable.isDataTable('.trucks-others-data-table')) {
                    // console.log('Table6 dataTable does not exist.');

                    // Others
                    table6 = $('.trucks-others-data-table').DataTable({
                        stateSave: true,
                        bSortCellsTop: true,
                        language: {
                            search: "",
                            searchPlaceholder: "Search...",
                        },
                        scrollX: true,
                        scrollCollapse: true,
                        fixedHeader: true,
                        fixedColumns: {
                            leftColumns: 0, // Number of columns to be fixed on the left
                            rightColumns: 1, // Number of columns to be fixed on the right
                            // heightMatch: "auto"
                        },
                        processing: true,
                        serverSide: true,
                        searching: true,
                        ordering: false,
                        info: false,
                        paging: true,
                        pageLength: "{{ perPageView() }}",
                        lengthChange: true,
                        dom: "<'row cusotdiv px-3'<'col-sm-12 col-md-12 cusotdiv2'flB>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-12'p>>",
                        buttons: [
                            {
                                text: 'Columns',
                                className: 'btn btn-primary',
                                attr: {
                                    'data-toggle': 'modal',
                                    'data-target': '#trucksColumnsModal'
                                }
                            },
                            {
                                text: '<i class="fa fa-plus" aria-hidden="true"></i>',
                                className: 'btn btn-primary',
                                action: function () {
                                    window.location.href = '{{ route("company.admin.trucks.create") }}';
                                }
                            }
                        ],
                        ajax: {
                            url: "{{ route('company.admin.lists.trucks.all') }}",
                            type:'POST',
                            dataType: "json",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            data: function (d) {
                                // Additional key-value pairs
                                if($('#nav-trucks-others .dataTables_filter select.cdstatus-filter').length > 0){
                                    var cdstatus                                = $('#nav-trucks-others .dataTables_filter select.cdstatus-filter').val();
                                    d.cdstatus                                  = cdstatus;
                                }else{
                                    d.cdstatus                                  = '0';
                                }
                                // Add more key-value pairs as needed

                                // Get the table number (you may replace this with your actual table number logic)
                                var tableNo                                     = 6;

                                // Extra parameters for the additional AJAX call
                                var extraParams                                 = generateSearchStringValues(tableNo, 'trucks');

                                // Merge existing parameters (d) with extraParams
                                return $.extend({}, d, extraParams);
                            },
                            beforeSend: function () {
                                if (typeof table6 != 'undefined' && table6.hasOwnProperty('settings')) {
                                    table6.settings()[0].jqXHR.abort();
                                }
                            }
                        },
                        columns: [
                            <?php foreach($getField3 as $key => $filed): ?>
                                <?php if($filed == 1): ?>
                                    <?php if(isset(config('settings.table_lists_trucks')[$key]['name'])): ?>
                                        <?php if(config("settings.table_lists_trucks")[$key]["orderable"] == 1 && config("settings.table_lists_trucks")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                                        <?php elseif(config("settings.table_lists_trucks")[$key]["orderable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                                        <?php elseif(config("settings.table_lists_trucks")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                                        <?php else: ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php endforeach; ?>
                            { data: 'action', name: 'action', orderable: false, searchable: false }
                        ]
                    });

                    $('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3" data-tablevariable="table6"><i class="fa fa-refresh"></i> Refresh</a>').prependTo('#nav-trucks-others .dataTables_filter');
                    $('<a href="javascript:void(0);" id="clearAll{{ str_replace("settings.", "", $tables[5]["table"] ?? "") }}_table6" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tables[5]["table"] ?? "") }} {{ str_replace("settings.", "", $tables[5]["table"] ?? "") }} ml-3 d-none" data-tablevariable="table6">Clear filters</a>').prependTo('#nav-trucks-others .dataTables_filter');
                    // Status Filter
                    setTimeout(function() {
                        $(`<div class="pull-right cusotmdow pl-3">
                            <select class="form-control form-control-sm cdstatus-filter" data-table="table6">
                                <option value="">All</option>
                                <option value="0" selected>Active</option>
                                <option value="1">OOS</option>
                                <option value="2">Terminated</option>
                                <option value="3">Rehire</option>
                            </select>
                        </div>`).appendTo('#nav-trucks-others .dataTables_filter');
                    }, 1000);
                } else {
                    // console.log('Table6 dataTable exists.');
                }
            } else if(hash === '#nav-trailers-all') {
                if (!$.fn.DataTable.isDataTable('.trailers-all-data-table')) {
                    // console.log('Table7 dataTable does not exist.');

                    // All
                    table7 = $('.trailers-all-data-table').DataTable({
                        stateSave: true,
                        bSortCellsTop: true,
                        language: {
                            search: "",
                            searchPlaceholder: "Search...",
                        },
                        scrollX: true,
                        scrollCollapse: true,
                        fixedHeader: true,
                        fixedColumns: {
                            leftColumns: 0, // Number of columns to be fixed on the left
                            rightColumns: 1, // Number of columns to be fixed on the right
                            // heightMatch: "auto"
                        },
                        processing: true,
                        serverSide: true,
                        searching: true,
                        ordering: false,
                        info: false,
                        paging: true,
                        pageLength: "{{ perPageView() }}",
                        lengthChange: true,
                        dom: "<'row cusotdiv px-3'<'col-sm-12 col-md-12 cusotdiv2'flB>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-12'p>>",
                        buttons: [
                            {
                                text: 'Columns',
                                className: 'btn btn-primary',
                                attr: {
                                    'data-toggle': 'modal',
                                    'data-target': '#trailersColumnsModal'
                                }
                            },
                            {
                                text: '<i class="fa fa-plus" aria-hidden="true"></i>',
                                className: 'btn btn-primary',
                                action: function () {
                                    window.location.href = '{{ route("company.admin.trailers.create") }}';
                                }
                            }
                        ],
                        ajax: {
                            url: "{{ route('company.admin.lists.trailers.all') }}",
                            type:'POST',
                            dataType: "json",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            data: function (d) {
                                // Additional key-value pairs
                                if($('#nav-trailers-all .dataTables_filter select.cdstatus-filter').length > 0){
                                    var cdstatus                                = $('#nav-trailers-all .dataTables_filter select.cdstatus-filter').val();
                                    d.cdstatus                                  = cdstatus;
                                }else{
                                    d.cdstatus                                  = '0';
                                }
                                // Add more key-value pairs as needed

                                // Get the table number (you may replace this with your actual table number logic)
                                var tableNo                                     = 7;

                                // Extra parameters for the additional AJAX call
                                var extraParams                                 = generateSearchStringValues(tableNo, 'trailers');

                                // Merge existing parameters (d) with extraParams
                                return $.extend({}, d, extraParams);
                            },
                            beforeSend: function () {
                                if (typeof table7 != 'undefined' && table7.hasOwnProperty('settings')) {
                                    table7.settings()[0].jqXHR.abort();
                                }
                            }
                        },
                        columns: [
                            <?php foreach($getField4 as $key => $filed): ?>
                                <?php if($filed == 1): ?>
                                    <?php if(isset(config('settings.table_lists_trailers')[$key]['name'])): ?>
                                        <?php if(config("settings.table_lists_trailers")[$key]["orderable"] == 1 && config("settings.table_lists_trailers")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                                        <?php elseif(config("settings.table_lists_trailers")[$key]["orderable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                                        <?php elseif(config("settings.table_lists_trailers")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                                        <?php else: ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php endforeach; ?>
                            { data: 'action', name: 'action', orderable: false, searchable: false }
                        ]
                    });

                    $('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3" data-tablevariable="table7"><i class="fa fa-refresh"></i> Refresh</a>').prependTo('#nav-trailers-all .dataTables_filter');
                    $('<a href="javascript:void(0);" id="clearAll{{ str_replace("settings.", "", $tables[6]["table"] ?? "") }}_table7" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tables[6]["table"] ?? "") }} {{ str_replace("settings.", "", $tables[6]["table"] ?? "") }} ml-3 d-none" data-tablevariable="table7">Clear filters</a>').prependTo('#nav-trailers-all .dataTables_filter');
                    // Status Filter
                    setTimeout(function() {
                        $(`<div class="pull-right cusotmdow pl-3">
                            <select class="form-control form-control-sm cdstatus-filter" data-table="table7">
                                <option value="">All</option>
                                <option value="0" selected>Active</option>
                                <option value="1">OOS</option>
                                <option value="2">Terminated</option>
                                <option value="3">Rehire</option>
                            </select>
                        </div>`).appendTo('#nav-trailers-all .dataTables_filter');
                    }, 1000);
                } else {
                    // console.log('Table7 dataTable exists.');
                }
            } else if(hash === '#nav-trailers-company') {
                if (!$.fn.DataTable.isDataTable('.trailers-company-data-table')) {
                    // console.log('Table8 dataTable does not exist.');

                    // Company
                    table8 = $('.trailers-company-data-table').DataTable({
                        stateSave: true,
                        bSortCellsTop: true,
                        language: {
                            search: "",
                            searchPlaceholder: "Search...",
                        },
                        scrollX: true,
                        scrollCollapse: true,
                        fixedHeader: true,
                        fixedColumns: {
                            leftColumns: 0, // Number of columns to be fixed on the left
                            rightColumns: 1, // Number of columns to be fixed on the right
                            // heightMatch: "auto"
                        },
                        processing: true,
                        serverSide: true,
                        searching: true,
                        ordering: false,
                        info: false,
                        paging: true,
                        pageLength: "{{ perPageView() }}",
                        lengthChange: true,
                        dom: "<'row cusotdiv px-3'<'col-sm-12 col-md-12 cusotdiv2'flB>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-12'p>>",
                        buttons: [
                            {
                                text: 'Columns',
                                className: 'btn btn-primary',
                                attr: {
                                    'data-toggle': 'modal',
                                    'data-target': '#trailersColumnsModal'
                                }
                            },
                            {
                                text: '<i class="fa fa-plus" aria-hidden="true"></i>',
                                className: 'btn btn-primary',
                                action: function () {
                                    window.location.href = '{{ route("company.admin.trailers.create") }}';
                                }
                            }
                        ],
                        ajax: {
                            url: "{{ route('company.admin.lists.trailers.all') }}",
                            type:'POST',
                            dataType: "json",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            data: function (d) {
                                // Additional key-value pairs
                                if($('#nav-trailers-company .dataTables_filter select.cdstatus-filter').length > 0){
                                    var cdstatus                                = $('#nav-trailers-company .dataTables_filter select.cdstatus-filter').val();
                                    d.cdstatus                                  = cdstatus;
                                }else{
                                    d.cdstatus                                  = '0';
                                }
                                // Add more key-value pairs as needed

                                // Get the table number (you may replace this with your actual table number logic)
                                var tableNo                                     = 8;

                                // Extra parameters for the additional AJAX call
                                var extraParams                                 = generateSearchStringValues(tableNo, 'trailers');

                                // Merge existing parameters (d) with extraParams
                                return $.extend({}, d, extraParams);
                            },
                            beforeSend: function () {
                                if (typeof table8 != 'undefined' && table8.hasOwnProperty('settings')) {
                                    table8.settings()[0].jqXHR.abort();
                                }
                            }
                        },
                        columns: [
                            <?php foreach($getField4 as $key => $filed): ?>
                                <?php if($filed == 1): ?>
                                    <?php if(isset(config('settings.table_lists_trailers')[$key]['name'])): ?>
                                        <?php if(config("settings.table_lists_trailers")[$key]["orderable"] == 1 && config("settings.table_lists_trailers")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                                        <?php elseif(config("settings.table_lists_trailers")[$key]["orderable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                                        <?php elseif(config("settings.table_lists_trailers")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                                        <?php else: ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php endforeach; ?>
                            { data: 'action', name: 'action', orderable: false, searchable: false }
                        ]
                    });

                    $('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3" data-tablevariable="table8"><i class="fa fa-refresh"></i> Refresh</a>').prependTo('#nav-trailers-company .dataTables_filter');
                    $('<a href="javascript:void(0);" id="clearAll{{ str_replace("settings.", "", $tables[7]["table"] ?? "") }}_table8" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tables[7]["table"] ?? "") }} {{ str_replace("settings.", "", $tables[7]["table"] ?? "") }} ml-3 d-none" data-tablevariable="table8">Clear filters</a>').prependTo('#nav-trailers-company .dataTables_filter');
                    // Status Filter
                    setTimeout(function() {
                        $(`<div class="pull-right cusotmdow pl-3">
                            <select class="form-control form-control-sm cdstatus-filter" data-table="table8">
                                <option value="">All</option>
                                <option value="0" selected>Active</option>
                                <option value="1">OOS</option>
                                <option value="2">Terminated</option>
                                <option value="3">Rehire</option>
                            </select>
                        </div>`).appendTo('#nav-trailers-company .dataTables_filter');
                    }, 1000);
                } else {
                    // console.log('Table8 dataTable exists.');
                }
            } else if(hash === '#nav-trailers-others') {
                if (!$.fn.DataTable.isDataTable('.trailers-others-data-table')) {
                    // console.log('Table9 dataTable does not exist.');

                    // Others
                    table9 = $('.trailers-others-data-table').DataTable({
                        stateSave: true,
                        bSortCellsTop: true,
                        language: {
                            search: "",
                            searchPlaceholder: "Search...",
                        },
                        scrollX: true,
                        scrollCollapse: true,
                        fixedHeader: true,
                        fixedColumns: {
                            leftColumns: 0, // Number of columns to be fixed on the left
                            rightColumns: 1, // Number of columns to be fixed on the right
                            // heightMatch: "auto"
                        },
                        processing: true,
                        serverSide: true,
                        searching: true,
                        ordering: false,
                        info: false,
                        paging: true,
                        pageLength: "{{ perPageView() }}",
                        lengthChange: true,
                        dom: "<'row cusotdiv px-3'<'col-sm-12 col-md-12 cusotdiv2'flB>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-12'p>>",
                        buttons: [
                            {
                                text: 'Columns',
                                className: 'btn btn-primary',
                                attr: {
                                    'data-toggle': 'modal',
                                    'data-target': '#trailersColumnsModal'
                                }
                            },
                            {
                                text: '<i class="fa fa-plus" aria-hidden="true"></i>',
                                className: 'btn btn-primary',
                                action: function () {
                                    window.location.href = '{{ route("company.admin.trailers.create") }}';
                                }
                            }
                        ],
                        ajax: {
                            url: "{{ route('company.admin.lists.trailers.all') }}",
                            type:'POST',
                            dataType: "json",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            data: function (d) {
                                // Additional key-value pairs
                                if($('#nav-trailers-others .dataTables_filter select.cdstatus-filter').length > 0){
                                    var cdstatus                                = $('#nav-trailers-others .dataTables_filter select.cdstatus-filter').val();
                                    d.cdstatus                                  = cdstatus;
                                }else{
                                    d.cdstatus                                  = '0';
                                }
                                // Add more key-value pairs as needed
                                
                                // Get the table number (you may replace this with your actual table number logic)
                                var tableNo                                     = 9;

                                // Extra parameters for the additional AJAX call
                                var extraParams                                 = generateSearchStringValues(tableNo, 'trailers');

                                // Merge existing parameters (d) with extraParams
                                return $.extend({}, d, extraParams);
                            },
                            beforeSend: function () {
                                if (typeof table9 != 'undefined' && table9.hasOwnProperty('settings')) {
                                    table9.settings()[0].jqXHR.abort();
                                }
                            }
                        },
                        columns: [
                            <?php foreach($getField4 as $key => $filed): ?>
                                <?php if($filed == 1): ?>
                                    <?php if(isset(config('settings.table_lists_trailers')[$key]['name'])): ?>
                                        <?php if(config("settings.table_lists_trailers")[$key]["orderable"] == 1 && config("settings.table_lists_trailers")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                                        <?php elseif(config("settings.table_lists_trailers")[$key]["orderable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                                        <?php elseif(config("settings.table_lists_trailers")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                                        <?php else: ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php endforeach; ?>
                            { data: 'action', name: 'action', orderable: false, searchable: false }
                        ]
                    });

                    $('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3" data-tablevariable="table9"><i class="fa fa-refresh"></i> Refresh</a>').prependTo('#nav-trailers-others .dataTables_filter');
                    $('<a href="javascript:void(0);" id="clearAll{{ str_replace("settings.", "", $tables[8]["table"] ?? "") }}_table9" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tables[8]["table"] ?? "") }} {{ str_replace("settings.", "", $tables[8]["table"] ?? "") }} ml-3 d-none" data-tablevariable="table9">Clear filters</a>').prependTo('#nav-trailers-others .dataTables_filter');
                    // Status Filter
                    setTimeout(function() {
                        $(`<div class="pull-right cusotmdow pl-3">
                            <select class="form-control form-control-sm cdstatus-filter" data-table="table9">
                                <option value="">All</option>
                                <option value="0" selected>Active</option>
                                <option value="1">OOS</option>
                                <option value="2">Terminated</option>
                                <option value="3">Rehire</option>
                            </select>
                        </div>`).appendTo('#nav-trailers-others .dataTables_filter');
                    }, 1000);
                } else {
                    // console.log('Table9 dataTable exists.');
                }
            }
        }
        function generateSearchStringValues(tableNo, type="drivers") {
            var searchParams            = {};

            if(type == "trucks"){
                <?php foreach($getField3 as $key => $filed): ?>
                    searchParams['search_string_value_{{ $key }}']                  = $('#search_string_{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_name_{{ $key }}']                   = $('#stringKey{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_type_{{ $key }}']                   = $('#stringType{{ $key }}_table'+tableNo).val();
                    searchParams['search_table_name_{{ $key }}']                    = $('#stringTableType{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_col_alias_{{ $key }}']              = $('#stringColAlias{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_condition_{{ $key }}']              = $("input[type='radio'][name='condition{{ $key }}']:checked").val();
                    searchParams['search_string_sort_{{ $key }}']                   = $("input[type='radio'][name='string_sort_{{ $key }}']:checked").val();

                    searchParams['search_string_relation_table_{{ $key }}']         = $('#stringRelationTable{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_col_name1_{{ $key }}']              = $('#stringColName1{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_col_name2_{{ $key }}']              = $('#stringColName2{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_static_{{ $key }}']                 = $('#stringStatic{{ $key }}_table'+tableNo).val();

                    searchParams['search_string_having_{{ $key }}']                 = $('#stringHaving{{ $key }}_table'+tableNo).val();

                    searchParams['search_string_col_alias1_name_{{ $key }}']        = $('#stringColAl1{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_col_alias2_name_{{ $key }}']        = $('#stringColAl2{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_col_alias3_name_{{ $key }}']        = $('#stringColAl3{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_col_alias4_name_{{ $key }}']        = $('#stringColAl4{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_col_alias5_name_{{ $key }}']        = $('#stringColAl5{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_col_alias6_name_{{ $key }}']        = $('#stringColAl6{{ $key }}_table'+tableNo).val();

                    searchParams['search_date_from_value_{{ $key }}']               = $('#search_date_{{ $key }}_table'+tableNo).val();
                    searchParams['search_date_to_value_{{ $key }}']                 = $('#search_date_end_{{ $key }}_table'+tableNo).val();
                    searchParams['search_date_name_{{ $key }}']                     = $('#dateKey{{ $key }}_table'+tableNo).val();
                    searchParams['search_date_type_{{ $key }}']                     = $('#dateType{{ $key }}_table'+tableNo).val();
                    searchParams['search_date_table_name_{{ $key }}']               = $('#dateTableType{{ $key }}_table'+tableNo).val();
                    searchParams['search_date_condition_{{ $key }}']                = $("input[type='radio'][name='conditiondate{{ $key }}']:checked").val();
                    searchParams['search_date_sort_{{ $key }}']                     = $("input[type='radio'][name='date_sort_{{ $key }}']:checked").val();
                <?php endforeach; ?>
            }else if(type == "trailers"){
                <?php foreach($getField4 as $key => $filed): ?>
                    searchParams['search_string_value_{{ $key }}']                  = $('#search_string_{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_name_{{ $key }}']                   = $('#stringKey{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_type_{{ $key }}']                   = $('#stringType{{ $key }}_table'+tableNo).val();
                    searchParams['search_table_name_{{ $key }}']                    = $('#stringTableType{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_col_alias_{{ $key }}']              = $('#stringColAlias{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_condition_{{ $key }}']              = $("input[type='radio'][name='condition{{ $key }}']:checked").val();
                    searchParams['search_string_sort_{{ $key }}']                   = $("input[type='radio'][name='string_sort_{{ $key }}']:checked").val();

                    searchParams['search_string_relation_table_{{ $key }}']         = $('#stringRelationTable{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_col_name1_{{ $key }}']              = $('#stringColName1{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_col_name2_{{ $key }}']              = $('#stringColName2{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_static_{{ $key }}']                 = $('#stringStatic{{ $key }}_table'+tableNo).val();

                    searchParams['search_string_having_{{ $key }}']                 = $('#stringHaving{{ $key }}_table'+tableNo).val();

                    searchParams['search_string_col_alias1_name_{{ $key }}']        = $('#stringColAl1{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_col_alias2_name_{{ $key }}']        = $('#stringColAl2{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_col_alias3_name_{{ $key }}']        = $('#stringColAl3{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_col_alias4_name_{{ $key }}']        = $('#stringColAl4{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_col_alias5_name_{{ $key }}']        = $('#stringColAl5{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_col_alias6_name_{{ $key }}']        = $('#stringColAl6{{ $key }}_table'+tableNo).val();

                    searchParams['search_date_from_value_{{ $key }}']               = $('#search_date_{{ $key }}_table'+tableNo).val();
                    searchParams['search_date_to_value_{{ $key }}']                 = $('#search_date_end_{{ $key }}_table'+tableNo).val();
                    searchParams['search_date_name_{{ $key }}']                     = $('#dateKey{{ $key }}_table'+tableNo).val();
                    searchParams['search_date_type_{{ $key }}']                     = $('#dateType{{ $key }}_table'+tableNo).val();
                    searchParams['search_date_table_name_{{ $key }}']               = $('#dateTableType{{ $key }}_table'+tableNo).val();
                    searchParams['search_date_condition_{{ $key }}']                = $("input[type='radio'][name='conditiondate{{ $key }}']:checked").val();
                    searchParams['search_date_sort_{{ $key }}']                     = $("input[type='radio'][name='date_sort_{{ $key }}']:checked").val();
                <?php endforeach; ?>
            }else{
                <?php foreach($getField2 as $key => $filed): ?>
                    searchParams['search_string_value_{{ $key }}']                  = $('#search_string_{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_name_{{ $key }}']                   = $('#stringKey{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_type_{{ $key }}']                   = $('#stringType{{ $key }}_table'+tableNo).val();
                    searchParams['search_table_name_{{ $key }}']                    = $('#stringTableType{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_col_alias_{{ $key }}']              = $('#stringColAlias{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_condition_{{ $key }}']              = $("input[type='radio'][name='condition{{ $key }}']:checked").val();
                    searchParams['search_string_sort_{{ $key }}']                   = $("input[type='radio'][name='string_sort_{{ $key }}']:checked").val();

                    searchParams['search_string_relation_table_{{ $key }}']         = $('#stringRelationTable{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_col_name1_{{ $key }}']              = $('#stringColName1{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_col_name2_{{ $key }}']              = $('#stringColName2{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_static_{{ $key }}']                 = $('#stringStatic{{ $key }}_table'+tableNo).val();

                    searchParams['search_string_having_{{ $key }}']                 = $('#stringHaving{{ $key }}_table'+tableNo).val();

                    searchParams['search_string_col_alias1_name_{{ $key }}']        = $('#stringColAl1{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_col_alias2_name_{{ $key }}']        = $('#stringColAl2{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_col_alias3_name_{{ $key }}']        = $('#stringColAl3{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_col_alias4_name_{{ $key }}']        = $('#stringColAl4{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_col_alias5_name_{{ $key }}']        = $('#stringColAl5{{ $key }}_table'+tableNo).val();
                    searchParams['search_string_col_alias6_name_{{ $key }}']        = $('#stringColAl6{{ $key }}_table'+tableNo).val();

                    searchParams['search_date_from_value_{{ $key }}']               = $('#search_date_{{ $key }}_table'+tableNo).val();
                    searchParams['search_date_to_value_{{ $key }}']                 = $('#search_date_end_{{ $key }}_table'+tableNo).val();
                    searchParams['search_date_name_{{ $key }}']                     = $('#dateKey{{ $key }}_table'+tableNo).val();
                    searchParams['search_date_type_{{ $key }}']                     = $('#dateType{{ $key }}_table'+tableNo).val();
                    searchParams['search_date_table_name_{{ $key }}']               = $('#dateTableType{{ $key }}_table'+tableNo).val();
                    searchParams['search_date_condition_{{ $key }}']                = $("input[type='radio'][name='conditiondate{{ $key }}']:checked").val();
                    searchParams['search_date_sort_{{ $key }}']                     = $("input[type='radio'][name='date_sort_{{ $key }}']:checked").val();
                <?php endforeach; ?>
            }

            return searchParams;
        }
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('a[data-tab][data-isActive]').click(function(event){
                event.preventDefault();
                // console.log('Click Widgets Link');
                // return false;

                var that        = $(this);
                var tab         = that.attr('data-tab');
                var isActive    = that.attr('data-isActive');
                if((tab && $.inArray(tab, ['driver', 'truck', 'trailer']) !== -1) && isActive){
                    $.ajax({
                        type: 'POST',
                        url: "{{ route('company.admin.lists.widgets.save') }}",
                        data: {
                            tab: tab,
                            isActive: isActive
                        },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        success: function(response) {
                            if(response.success){
                                if(isActive == '0'){
                                    that.attr('data-isActive', 1);
                                    that.html(`Show Widgets
                                        <span class="ml-2">
                                            <img src="{{ asset('theme/images/eye.svg') }}" alt="Show Widgets" class="img-fluid" />
                                        </span>`
                                    );
                                    that.closest('ul').next('div').addClass('d-none')
                                }else{
                                    that.attr('data-isActive', 0);
                                    that.html(`Hide Widgets
                                        <span class="ml-2">
                                            <img src="{{ asset('theme/images/eye.svg') }}" alt="Hide Widgets" class="img-fluid" />
                                        </span>`
                                    );
                                    that.closest('ul').next('div').removeClass('d-none');
                                }
                            }
                        }
                    });
                }
                return false;
            });
        });
        $(document).on('change', '.cdstatus-filter', function(event) {
            var that        = $(this);
            var table       = that.attr('data-table');
            var value       = that.val();
            if (table == 'table1' && table1 !== 'undefined' && $.fn.DataTable.isDataTable('.drivers-all-data-table')) {
                table1.ajax.reload(); // table1.ajax.reload(null, false);
            }
            if (table == 'table2' && table2 !== 'undefined' && $.fn.DataTable.isDataTable('.drivers-company-data-table')) {
                table2.ajax.reload(); // table2.ajax.reload(null, false);
            }
            if (table == 'table3' && table3 !== 'undefined' && $.fn.DataTable.isDataTable('.drivers-owner-operators-data-table')) {
                table3.ajax.reload(); // table3.ajax.reload(null, false);
            }
            if (table == 'table4' && table4 !== 'undefined' && $.fn.DataTable.isDataTable('.trucks-all-data-table')) {
                table4.ajax.reload(); // table4.ajax.reload(null, false);
            }
            if (table == 'table5' && table5 !== 'undefined' && $.fn.DataTable.isDataTable('.trucks-company-data-table')) {
                table5.ajax.reload(); // table5.ajax.reload(null, false);
            }
            if (table == 'table6' && table6 !== 'undefined' && $.fn.DataTable.isDataTable('.trucks-others-data-table')) {
                table6.ajax.reload(); // table6.ajax.reload(null, false);
            }
            if (table == 'table7' && table7 !== 'undefined' && $.fn.DataTable.isDataTable('.trailers-all-data-table')) {
                table7.ajax.reload(); // table7.ajax.reload(null, false);
            }
            if (table == 'table8' && table8 !== 'undefined' && $.fn.DataTable.isDataTable('.trailers-company-data-table')) {
                table8.ajax.reload(); // table8.ajax.reload(null, false);
            }
            if (table == 'table9' && table9 !== 'undefined' && $.fn.DataTable.isDataTable('.trailers-others-data-table')) {
                table9.ajax.reload(); // table9.ajax.reload(null, false);
            }
        });
        $(document).on('click', '.multiple-trailers', function(event) {
            event.preventDefault();
            // console.log('Multiple Trailers');
            // return false;

            var that            = $(this);
            var tooltip         = that.parent().find('.trailer-tooltip');
            if(tooltip.hasClass('d-none')){
                that.closest('.dataTables_wrapper').find('.trailer-tooltip').addClass('d-none');
                tooltip.removeClass('d-none');
            }else{
                tooltip.addClass('d-none');
            }
        });
    </script>
@endsection
