@if($appointment->status != 1)
    <div class="modal-body p-0">
        <div class="modal-padding">
            <p>Requested Appointment Date/Time</p>
            <div class="row justify-content-between">
                <div class="col-auto">
                    <div class="form-group mb-0">
                        <label for="">Requested Date</label>
                        <span class="input-value">{{ date('m/d/Y', strtotime($appointment->request_date)) }} <img src="{{ asset('theme/images/proRouter-date.svg') }}" alt="img"></span>
                    </div>
                </div>
                <div class="col-auto">
                    <div class="form-group mb-0">
                        <label for="">Requested Time</label>
                        <span class="input-value">{{ date('h:i A', strtotime($appointment->request_time)) }} <img src="{{ asset('theme/images/proRouter-time.svg') }}" alt="img"></span>
                    </div>
                </div>
            </div>
        </div>
        <hr class="m-0">
        <div class="modal-padding">
            @php
                $latestLog = $appointment->logs()->latest()->first();
            @endphp
            @if(isset($latestLog))
                @if($latestLog->review_status == 3)
                    <p>Proposed Date/Time</p>
                    <div class="row justify-content-between">
                        <div class="col-auto">
                            <div class="form-group mb-md-4 mb-3">
                                <label for="">Proposed Date</label>
                                <span class="input-value">{{ date('m/d/Y', strtotime($latestLog->date)) }} <img src="{{ asset('theme/images/proRouter-date.svg') }}" alt="img"></span>
                            </div>
                        </div>
                        <div class="col-auto">
                            <div class="form-group mb-md-4 mb-3">
                                <label for="">Proposed Time</label>
                                <span class="input-value">{{ date('h:i A', strtotime($latestLog->time)) }} <img src="{{ asset('theme/images/proRouter-time.svg') }}" alt="img"></span>
                            </div>
                        </div>
                    </div>
                @elseif($latestLog->review_status == 2)
                    <p>Rejected Date/Time</p>
                    <div class="row justify-content-between">
                        <div class="col-auto">
                            <div class="form-group mb-md-4 mb-3">
                                <label for="">Rejected Date</label>
                                <span class="input-value">{{ date('m/d/Y', strtotime($latestLog->date)) }} <img src="{{ asset('theme/images/proRouter-date.svg') }}" alt="img"></span>
                            </div>
                        </div>
                        <div class="col-auto">
                            <div class="form-group mb-md-4 mb-3">
                                <label for="">Rejected Time</label>
                                <span class="input-value">{{ date('h:i A', strtotime($latestLog->time)) }} <img src="{{ asset('theme/images/proRouter-time.svg') }}" alt="img"></span>
                            </div>
                        </div>
                    </div>
                @endif
                @if(isset($latestLog->review_user_type))
                    @if($latestLog->review_user_type == 'Customer' || $latestLog->review_user_type == 'Broker Contact' || $latestLog->review_user_type == 'Broker')
                        <div class="mb-md-4 mb-3">
                            <p>Reply From</p>
                            <div class="row">
                                <div class="col-auto">
                                    <span class="input-value">{{ $latestLog->reply_from }}</span>
                                </div>
                                <div class="col-auto">
                                    <span class="input-value">{{ date('m/d/Y h:i A', strtotime($latestLog->review_at)) }}</span>
                                </div>
                            </div>
                        </div>
                    @endif
                @endif
            @endif
            <div>
                <p class="mb-2">Appointment Confirmation Numbers</p>
                <span class="input-value">{{ $appointment->confirmation_numbers }}</span>
            </div>
        </div>
        <hr class="m-0">
        <div class="modal-padding">
            <form class="penReqFrm" name="penReqFrm" id="penReqFrm" autocomplete="off">
                <input type="hidden" name="id" value="{{ $appointment->id }}">
                <div class="custom-control custom-checkbox mb-2">
                    <input type="checkbox" class="custom-control-input" id="pen_req_another_app" name="pen_req_another_app" value="1">
                    <label class="custom-control-label pl-2" for="pen_req_another_app">Request Another Appointment Time</label>
                </div>
                <div class="another-appointment-div d-none">
                    <p>Request Appointment Date/Time</p>
                    <div class="row">
                        <div class=" col-sm-6">
                            <div class="form-group">
                                <label for="pen_req_date">Requested Date</label>
                                <div class="position-relative position-group">
                                    <input type="text" class="form-control" name="pen_req_date" id="pen_req_date" data-parsley-errors-container="#pen_req_date-error">
                                    <img src="{{ asset('theme/images/proRouter-date.svg') }}" alt="icon">
                                </div>
                                <div id="pen_req_date-error"></div>
                            </div>
                        </div>
                        <div class=" col-sm-6">
                            <div class="form-group">
                                <label for="pen_req_time">Requested Time</label>
                                <div class="position-relative position-group">
                                    <input type="text" class="form-control" name="pen_req_time" id="pen_req_time" data-parsley-errors-container="#pen_req_time-error">
                                    <img src="{{ asset('theme/images/proRouter-time.svg') }}" alt="icon">
                                </div>
                                <div id="pen_req_time-error"></div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group mb-0">
                    <label for="pen_req_note">Request Notes</label>
                    <textarea class="form-control" id="pen_req_note" name="pen_req_note" rows="6">{{ $latestLog->note ?? '' }}</textarea>
                </div>
            </form>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
        <button type="button" class="btn btn-blueBr pen-req-appointment-reject-btn d-none" data-review_status="2">Reject</button>
        <button type="button" class="btn btn-blue pen-req-appointment-save-btn" data-review_status="1">Accept</button>
    </div>
@else
    <div class="modal-body p-0">
        @php
            $approved_by        =  '';
            $approved_date_time =  '';
            $approved_on        = '';
        @endphp
        @if(isset($appointment->logs) && $appointment->logs->isNotEmpty())
            <div class="modal-padding">
                <div class="timelineApp-block">
                    @foreach($appointment->logs as $key => $log)
                        @if($loop->first)
                            <div class="timelineApp-main">
                                <div class="timelineApp-dot"></div>
                                <div class="">
                                    <h6>Request Appointment</h6>
                                    <div class="timelineApp-content">
                                        <p>Appointment Request</p>
                                        <div class="table-responsive">
                                            <table>
                                                <tr>
                                                    <td>Date/Time:</td>
                                                    <td>{{ date('m/d/Y h:i A', strtotime($log->date.' '.$log->time)) }}</td>
                                                </tr>
                                                <tr>
                                                    <td>Sent On :</td>
                                                    <td>{{ date('m/d/Y h:i A', strtotime($log->review_at)) }}</td>
                                                </tr>
                                                <tr>
                                                    <td>Sender:</td>
                                                    <td>
                                                        @if(isset($log->reviewer))
                                                            @if($log->review_user_type == 'Customer')
                                                                {{ $log->reviewer->name ?? '' }}
                                                            @elseif($log->review_user_type == 'Broker Contact')
                                                                {{ $log->reviewer->name ?? '' }}
                                                            @elseif($log->review_user_type == 'Broker')
                                                                {{ $log->reviewer->name ?? '' }}
                                                            @elseif($log->review_user_type == 'Company Admin')
                                                                {{ $log->reviewer->full_name ?? '' }}
                                                            @endif
                                                        @endif
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>Source:</td>
                                                    <td>
                                                        @if($log->source == '2')
                                                            SMS
                                                        @else
                                                            Email
                                                        @endif
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>Notes:</td>
                                                    <td>{{ $log->note }}</td>
                                                </tr>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @elseif($loop->last)
                            @if($log->review_user_type == 'Customer')
                                @php
                                    $approved_by            =  $log->review_customer->name ?? '';
                                    if($approved_by!=''){
                                        if($log->source == '2'){
                                            $approved_by    .= ' (SMS)';
                                        }else{
                                            $approved_by    .= ' (Email)';
                                        }
                                    }
                                @endphp
                            @elseif($log->review_user_type == 'Broker Contact')
                                @php
                                    $approved_by            =  $log->review_broker_contact->name ?? '';
                                    if($approved_by!=''){
                                        if($log->source == '2'){
                                            $approved_by    .= ' (SMS)';
                                        }else{
                                            $approved_by    .= ' (Email)';
                                        }
                                    }
                                @endphp
                            @elseif($log->review_user_type == 'Broker')
                                @php
                                    $approved_by            =  $log->review_broker->name ?? '';
                                    if($approved_by!=''){
                                        if($log->source == '2'){
                                            $approved_by    .= ' (SMS)';
                                        }else{
                                            $approved_by    .= ' (Email)';
                                        }
                                    }
                                @endphp
                            @elseif($log->review_user_type == 'Company Admin')
                                @php
                                    $approved_by            =  $log->review_comapny_admin->full_name ?? '';
                                @endphp
                            @endif
                            @php
                                $approved_date_time         =  date('m/d/Y h:i A', strtotime($log->date.' '.$log->time));
                                $approved_on                =  date('m/d/Y h:i A', strtotime($log->review_at));
                            @endphp
                            <div class="timelineApp-main">
                                <div class="timelineApp-dot bg-success"></div>
                                <div class="">
                                    <h6>Confirmed Appointment Time</h6>
                                    <div class="timelineApp-content">
                                        <h6>IP Address: {{ $log->ip_address }}</h6>
                                        <div class="table-responsive">
                                            <table>
                                                <tr>
                                                    <td>Date/Time:</td>
                                                    <td>{{ $approved_date_time }}</td>
                                                </tr>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @else
                            <div class="timelineApp-main">
                                <div class="timelineApp-dot"></div>
                                <div class="">
                                    <h6>Appointment Request</h6>
                                    <div class="timelineApp-content">
                                        <p>Appointment Request</p>
                                        <div class="table-responsive">
                                            <table>
                                                <tr>
                                                    <td>Date/Time:</td>
                                                    <td>{{ date('m/d/Y h:i A', strtotime($log->date.' '.$log->time)) }}</td>
                                                </tr>
                                                <tr>
                                                    <td>Sent On :</td>
                                                    <td>{{ date('m/d/Y h:i A', strtotime($log->review_at)) }}</td>
                                                </tr>
                                                <tr>
                                                    <td>Sender:</td>
                                                    <td>
                                                        @if(isset($log->reviewer))
                                                            @if($log->review_user_type == 'Customer')
                                                                {{ $log->reviewer->name ?? '' }}
                                                            @elseif($log->review_user_type == 'Broker Contact')
                                                                {{ $log->reviewer->name ?? '' }}
                                                            @elseif($log->review_user_type == 'Broker')
                                                                {{ $log->reviewer->name ?? '' }}
                                                            @elseif($log->review_user_type == 'Company Admin')
                                                                {{ $log->reviewer->full_name ?? '' }}
                                                            @endif
                                                        @endif
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>Source:</td>
                                                    <td>
                                                        @if($log->source == '2')
                                                            SMS
                                                        @else
                                                            Email
                                                        @endif
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>Notes:</td>
                                                    <td>{{ $log->note }}</td>
                                                </tr>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @endif
                    @endforeach
                </div>
            </div>
            <hr class="m-0">
        @endif
        <div class="modal-padding appLog-Apprv">
            <p>Approved By: {{ $approved_by }}</p>
            <p>Approved Date/Time: {{ $approved_date_time }}</p>
            <p>Approved Confirmation Number: {{ $appointment->confirmation_numbers }}</p>
            <p>Approved on {{ $approved_on }}</p>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
    </div>
@endif