@extends($companyAdminTheme)

@section('title')
	Load Export
@endsection

@section('style')
@endsection

@section('content')
	<button type="button" class="btn btn-blue exportData">Export</button>
@endsection

@section('script')
	<script type="text/javascript">
		$(document).on('click', 'button.exportData', function(event) {
			event.preventDefault();

			$.ajax({
			    type: 'POST',
			    url: '/company-admin/loads-export',
			    data: {
			    	id : ''
			    },
			    dataType: 'json',
			    headers: {
			        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
			    },
			    beforeSend: function() {
			    	console.log('beforeSend');
			    },
			    success: function(response) {
			    	// Handle success
	    	        console.log(response);

	    	        // Check if the response contains a file path
	    	        if (response.hasOwnProperty('assetUrl')) {
    	        		var now 				= moment();
    	        	    var timestamp 			= now.format('YYYYMMDDHHmmss');
    	        	    var filename 			= 'loads_' + timestamp + '.xlsx';

	    	            // Simulate downloading the file
	    	            var downloadLink 		= document.createElement('a');
	    	            downloadLink.href 		= response.assetUrl;
	    	            downloadLink.download 	= filename;
	    	            document.body.appendChild(downloadLink);
	    	            downloadLink.click();

	    	            // Remove the download link from the DOM
	    	            document.body.removeChild(downloadLink);
	    	        } else if (response.hasOwnProperty('error')) {
	    	            // Handle the case where the server returns an error
	    	            console.error(response.error);
	    	        } else {
	    	            // Handle unexpected response format
	    	            console.error('Unexpected response format');
	    	        }
			    },
			    complete: function() {
			    	console.log('complete');
			    },
			    error: function(jqXHR, status, exception) {
    		    	// Handle AJAX errors
	    	        var error;
			        if (jqXHR.status === 0) {
			            error = 'Not connected.\nPlease verify your network connection.';
			        } else if (jqXHR.status == 404) {
			            error = 'The requested page not found. [404]';
			        } else if (jqXHR.status == 500) {
			            error = 'Internal Server Error [500].';
			        } else if (exception === 'parsererror') {
			            error = 'Requested JSON parse failed.';
			        } else if (exception === 'timeout') {
			            error = 'Time out error.';
			        } else if (exception === 'abort') {
			            error = 'Ajax request aborted.';
			        } else {
			            error = 'Uncaught Error.\n' + jqXHR.responseText;
			        }
			        console.error(error);
			    }
			});
			return false;
		});
	</script>
@endsection