<div class="card">
    <div class="card-header" id="headingDriver">
        <h2 class="mb-0">
            <button
                class="btn btn-link btn-block text-left"
                type="button"
                data-toggle="collapse"
                data-target="#driver-info-collapsed"
                aria-expanded="true"
                aria-controls="driver-info-collapsed">
                Driver/Load Info<i class="fa fa-angle-down" aria-hidden="true"></i>
            </button>
        </h2>
    </div>
    <div
        class="collapse show"
        id="driver-info-collapsed"
        aria-labelledby="headingDriver">
        <div class="card-body driver-info-block">
            <div class="row">
                <div class="col-xl-2 col-lg-3 col-md-4 col-sm-6" id="driverDiv">
                    <div class="form-group">
                        <label>Select Driver</label>
                        <a href="javascript:void(0);" class="btn-link-orange addCoDriver"><i class="fa fa-plus"aria-hidden="true"></i> Add Co-Driver</a>
                        {!! Form::select('driver_id', ['0' => 'Driver']+getDriverListByCompany(auth()->guard('company-admin')->user()->company_id), null,
                            [
                                'class'                         => 'custom-select driver-select2 form-control driver-change',
                                'data-parsley-errors-container' => '#drivernum'
                            ]
                        ) !!}
                        <!-- <i class="fa fa-search"></i> -->
                        <!-- <input type="hidden" name="driver_required" value="1"> -->
                        <div id="drivernum"></div>
                        @error('driver_id')
                            <span class="text-danger" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                        @enderror
                    </div>
                </div>
                <div class="col-xl-2 col-lg-3 col-md-4 col-sm-6">
                    <div class="form-group broker-search">
                        <label>Truck Number</label>
                        {!! Form::text('truck_number', old('truck_number'), array(
                                'class'                         => 'form-control truck-number',
                                'placeholder'                   => 'Auto Filled from driver',
                                'data-parsley-errors-container' => '.truck-number-errors',
                                'readonly'                      => 'readonly'
                            )
                        ) !!}
                        <!-- <i class="fa fa-search"></i> -->
                        <input type="hidden" id="truckWidth" value="{{ $loadDetail->truck_width ?? '' }}">
                        <input type="hidden" id="truckHeight" value="{{ $loadDetail->truck_height ?? '' }}">
                        <input type="hidden" id="truckLength" value="{{ $loadDetail->truck_length ?? '' }}">
                    </div>
                    <div class="truck-number-errors" style="margin-top: -8px;"></div>
                    @error('truck_number')
                        <span class="text-danger" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>
                <div class="col-xl-2 col-lg-3 col-md-4 col-sm-6">
                    <div class="form-group broker-search">
                        <label>Trailer Number</label>
                        <a
                            href="javascript:void(0);"
                            class="btn-link-orange add-tranumber">
                            <i class="fa fa-plus" aria-hidden="true"></i> Add
                        </a>
                        <a
                            href="javascript:void(0);"
                            class="btn-link-orange addLinkOther-0 add-other-tranumber mr-2" data-index="0">
                            <i class="fa fa-plus" aria-hidden="true"></i> Add Other
                        </a>
                        <select
                            name="trailer_number"
                            class="custom-select trailer-number-select2 form-control truck-trailer"
                            data-parsley-errors-container="#seltrailernumber">
                            <option value="">Select Trailer</option>
                            @if(!in_array($loadDetail->trailer_number, getTrailerNumberListByCompany()))
                                @foreach(getTrailerNumberListByCompany() as $key => $trailer)
                                    <option value="{{ $key }}">{{ $trailer }}</option>
                                @endforeach
                                <option selected value="{{ $loadDetail->trailer_number }}">{{ $loadDetail->trailer_number }}</option>
                            @else
                                @foreach(getTrailerNumberListByCompany() as $key => $trailer)
                                    @if(checkOosTrailer($key) == True)
                                        @if($setting->oos_equipment != 2)
                                            <option @if($loadDetail->trailer_number == $key) selected @endif data-oos="yes" value="{{ $key }}">{{ $trailer }} - OOS</option>
                                        @endif
                                    @else
                                        <option @if($loadDetail->trailer_number == $key) selected @endif value="{{ $key }}">{{ $trailer }}</option>
                                    @endif
                                @endforeach
                            @endif
                        </select>
                        <!-- <i class="fa fa-search"></i> -->
                        <div id="seltrailernumber"></div>
                        @error('trailer_number')
                            <span class="text-danger" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                        @enderror
                    </div>
                    <div class="form-group otherBox-0 d-none">
                        <label>Trailer Number</label>
                        <a href="javascript:void(0)" class="btn-link-orange remove-other-tranumber" data-index="0"><i class="fa fa-minus" aria-hidden="true"></i> Remove</a>
                        {!! Form::text('trailerOther[0][trailer_number]', old('trailerOther[0][trailer_number]'), array('class' =>'form-control')) !!}
                    </div>
                    <div class="addtrailernumner">
                        @if(isset($load->load_trailers) && !empty($load->load_trailers))
                            @foreach($load->load_trailers as $key => $tari)
                                @php
                                    ++$key;
                                @endphp
                                <div class="form-group tranumber-coutn broker-search" id="{{ $key }}">
                                    <label>Trailer Number</label>
                                    <a
                                        href="javascript:void(0)"
                                        class="btn-link-orange remove-tranumber">
                                        <i class="fa fa-minus" aria-hidden="true"></i> Remove
                                    </a>
                                    <a
                                        href="javascript:void(0);"
                                        class="btn-link-orange addLinkOther-{{ $key }} add-other-tranumber mr-2" data-index="{{ $key }}">
                                        <i class="fa fa-plus" aria-hidden="true"></i> Add Other
                                    </a>
                                    <select
                                        name="addtrauier[{{ $key }}][trailer_number]"
                                        class="custom-select customcce{{ $key }} form-control cutrailterse trailer-number-select2"
                                        required>
                                        <option value="">Select Trailer</option>
                                        @if(!in_array($tari->trailer_number, getTrailerNumberListByCompany()))
                                            @foreach(getTrailerNumberListByCompany() as $numberList => $trailer)
                                                <option value="{{ $numberList }}">{{ $trailer }}</option>
                                            @endforeach
                                            <option selected value="{{ $tari->trailer_number }}">{{ $tari->trailer_number }}</option>
                                        @else
                                            @foreach(getTrailerNumberListByCompany() as $numberList => $trailer)
                                                @if(checkOosTrailer($numberList) == True)
                                                    @if($setting->oos_equipment != 2)
                                                        <option @if($tari->trailer_number == $numberList) selected @endif data-oos="yes" value="{{ $numberList }}">{{ $trailer }} - OOS</option>
                                                    @endif
                                                @else
                                                    <option @if($tari->trailer_number == $numberList) selected @endif value="{{ $numberList }}">{{ $trailer }}</option>
                                                @endif
                                            @endforeach
                                        @endif
                                    </select>
                                    <!-- <i class="fa fa-search"></i> -->

                                    <div class="form-group otherBox-{{ $key }} d-none mt-2">
                                        <label>Trailer Number</label>
                                        <a href="javascript:void(0)" class="btn-link-orange remove-other-tranumber" data-index="{{ $key }}"><i class="fa fa-minus" aria-hidden="true"></i> Remove</a>
                                        {!! Form::text('trailerOther['.$key.'][trailer_number]', old('trailerOther['.$key.'][trailer_number]'), array('class' =>'form-control')) !!}
                                    </div>
                                </div>
                            @endforeach
                        @endif
                    </div>
                </div>
                <div class="col-xl-2 col-lg-3 col-md-4 col-sm-6">
                    <div class="form-group">
                        <label>Trailer Type</label>
                        <select name="trailer_type" class="custom-select trailer-type form-control fil-disabled">
                            <option value="">Select</option>
                            @foreach(getTrailerTypeListByCompany(1) as $key => $trailer)
                                <option data-is_temp_required="{{ $trailer->is_temp_required }}" value="{{ $trailer->id }}"
                                    {{($loadDetail->trailer_type == $trailer->id) ? 'selected' : ''}}>{{ $trailer->name }}
                                </option>
                            @endforeach
                        </select>
                        @error('trailer_type')
                            <span class="text-danger" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                        @enderror
                    </div>
                    <div class="form-group otherBox-0 d-none">
                        <label>Trailer Type</label>
                        <select name="trailerOther[0][trailer_type]" class="custom-select form-control">
                            <option value="">Select</option>
                            @foreach(getTrailerTypeListByCompany(1) as $key => $trailer)
                                <option value="{{ $trailer->id }}" {{($trailer->name == "Other") ? 'selected' : ''}}>{{ $trailer->name }}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="addtrailertype">
                        @if(isset($load->load_trailers) && !empty($load->load_trailers))
                            @foreach($load->load_trailers as $key => $tari)
                                @php
                                    ++$key;
                                @endphp
                                <div class="form-group tranutype-coutn tratypedata{{ $key }}">
                                    <label>Trailer Type</label>
                                    <select name="addtrauier[{{ $key }}][trailer_type]"
                                        class="custom-select trailer-type-custom form-control fil-disabled" required>
                                        <option value="">Select</option>
                                        @foreach(getTrailerTypeListByCompany(1) as $typeList => $trailer)
                                            <option data-is_temp_required="{{ $trailer->is_temp_required }}"
                                                value="{{ $trailer->id }}"
                                                {{($tari->trailer_type == $trailer->id) ? 'selected' : ''}}>{{ $trailer->name }}
                                            </option>
                                        @endforeach
                                    </select>

                                    <div class="form-group otherBox-{{ $key }} d-none mt-2">
                                        <label>Trailer Type</label>
                                        <select name="trailerOther[{{$key}}][trailer_type]" class="custom-select form-control">
                                            <option value="">Select</option>
                                            @foreach(getTrailerTypeListByCompany(1) as $key => $trailer)
                                                <option value="{{ $trailer->id }}" {{($trailer->name == "Other") ? 'selected' : ''}}>{{ $trailer->name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            @endforeach
                        @endif
                    </div>
                </div>
                <div class="col-xl-2 col-lg-3 col-md-4 col-sm-6">
                    <div class="form-group">
                        <label for="ext-txt">Carrier</label>
                        {!! Form::select('carrier_id', ['' => 'Select Carrier']+getCarrierList(), null, [
                                'class' => 'custom-select carrier_id form-control fil-disabled'
                            ]
                        ) !!}
                        @if(Str::contains(request()->url(), 'edit'))
                            <input type="hidden" id="existingCarrierId" value="{{(isset($carrierDetails->carrier->id) ? $carrierDetails->carrier->id : '') ?? ''}}">
                        @endif
                    </div>
                </div>
                <div class="col-xl-2 col-lg-3 col-md-4 col-sm-6">
                    <div class="form-group">
                        <label for="ext-txt">Terminal</label>
                        {!! Form::select('terminal_id', ['' => 'Select Terminal']+getTerminalList(), null, [
                                'class' => 'custom-select terminal_id form-control fil-disabled'
                            ]
                        ) !!}
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xl-2 col-lg-3 col-md-4 col-sm-6">
                    <div class="form-group">
                        <label>Broker Load Number</label>
                        {!! Form::text('broker_load_number', old('broker_load_number'), array('class' =>
                        'form-control')) !!}
                        @error('broker_load_number')
                            <span class="text-danger" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                        @enderror
                    </div>
                </div>
                <div class="col-xl-2 col-lg-3 col-md-4 col-sm-6">
                    <div class="form-group">
                        <label>BOL Number</label>
                        {!! Form::text('bol_number', old('bol_number'), array('class' => 'form-control')) !!}
                        @error('bol_number')
                            <span class="text-danger" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                        @enderror
                    </div>
                </div>
                <div class="col-xl-2 col-lg-3 col-md-4 col-sm-6">
                    <div class="form-group">
                        <label>Pickup Number</label>
                        {!! Form::text('pickup_number', old('pickup_number'), array('class' => 'form-control'))
                        !!}
                        @error('pickup_number')
                            <span class="text-danger" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                        @enderror
                    </div>
                </div>
                <div class="col-xl-2 col-lg-3 col-md-4 col-sm-6">
                    <div class="row">
                        <div class="col-6">
                            <div class="form-group">
                                <label>Delivery Number</label>
                                {!! Form::text('delivery_number', old('delivery_number'), array(
                                        'class' => 'form-control'
                                    )
                                ) !!}
                                @error('delivery_number')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-group">
                                <label>PO Number</label>
                                {!! Form::text('po_Number', old('po_Number'), array(
                                        'class' => 'form-control'
                                    )
                                ) !!}
                                @error('po_Number')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row mb-3">
                <div class="col-xl-6 col-lg-9 col-md-12 col-sm-12">
                    <div class="row">
                        <div class="col-12">
                            <a href="javascript:void(0);" class="btn-link-orange add-btn"><i class="fa fa-plus" aria-hidden="true"></i> Add Number</a>
                        </div>
                        <div class="col-12">
                            <div class="form-group">
                                <div class="add-more-section">
                                    @if(isset($loadDetail->other_number) && is_serialized($loadDetail->other_number) && !empty($loadDetail->other_number))
                                        @php
                                            $getOtherNumbers = unserialize($loadDetail->other_number);
                                        @endphp
                                        @foreach($getOtherNumbers as $key => $onumber)
                                            <div class="row add-more mt-2">
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <input class="form-control" placeholder="Enter Name" autocomplete="new"
                                                               name="contacts[{{$key}}][other_name]" type="text"
                                                               value="{{ $onumber['other_name'] }}">
                                                    </div>
                                                </div>
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <input class="form-control" placeholder="Enter Number" autocomplete="new"
                                                               name="contacts[{{$key}}][other_number]" type="text"
                                                               value="{{ $onumber['other_number'] }}">
                                                        <span class="error contacts_1_email_error text-danger"></span>
                                                    </div>
                                                </div>
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <button type="button" class="btn btn-danger btn-sm remove-btn"><i
                                                                class="fa fa-minus"></i></button>
                                                    </div>
                                                </div>
                                            </div>
                                        @endforeach
                                    @endif
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xl-2 col-lg-3 col-md-4 col-sm-6">
                    <div class="row">
                        <div class="col-6 pr-2">
                            <div class="form-group">
                                <label>Weight</label>
                                {!! Form::number('weight', old('weight'), array(
                                        'class' => 'form-control number',
                                        'min' => 0,
                                        'step' => .01
                                    )
                                ) !!}
                                @error('weight')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-6 pl-2">
                            <div class="form-group">
                                <label>Temp</label>
                                <input type="hidden" id="oldtemp" value="{{ $loadDetail->temp ?? ''  }}">
                                {!! Form::number('temp', old('temp'), array(
                                        'class' => 'form-control',
                                        'step'  => 'any'
                                    )
                                ) !!}
                                @error('temp')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xl-1 col-lg-2 col-md-3 col-sm-5 self-dispatch-group swichblock" style="display:none;">
                    <div class="form-group">
                        <label>Is Disable</label>
                        <div class="custom-control custom-switch">
                            {!! Form::checkbox('temp_is_disable', 1, null, array(
                                    'class' => 'custom-control-input',
                                    'id'    => 'temp_is_disable'
                                )
                            ) !!}
                            <label class="custom-control-label" for="temp_is_disable"></label>
                        </div>
                    </div>
                </div>
                <div class="col-xl-2 col-lg-3 col-md-4 col-sm-6">
                    <div class="form-group">
                        <label>Load Type</label>
                        {!! Form::select('load_type_2', ['0' => 'Full Truck','1' => 'LTL'], null, ['class' => 'custom-select form-control']) !!}
                    </div>
                </div>
                <div class="col-xl-2 col-lg-3 col-md-4 col-sm-6">
                    <div class="form-group">
                        <label>Commodity</label>
                        {!! Form::select('commodity', [
                            '' => 'Commodity']+getCompanyAdminCommodityList(auth()->guard('company-admin')->user()->company_id),
                            null,
                            [
                                'class'                         => 'custom-select commodity-select2 form-control',
                                'data-parsley-errors-container' => '#commodity_erri'
                            ]
                        ) !!}
                    </div>
                </div>
                <div class="col-xl-2 col-lg-3 col-md-4 col-sm-6">
                    <div class="form-group">
                        <label>Load Value</label>
                        <div class="input-group mb-3">
                            <div class="input-group-prepend">
                                <span class="input-group-text">$</span>
                            </div>
                            {!! Form::number('load_value', old('load_value'), array('class' => 'form-control number', 'min' => 0, 'step' => .01)) !!}
                        </div>
                    </div>
                </div>
                <div class="col-xl-2 col-lg-3 col-md-4 col-sm-6">
                    <div class="form-group">
                        <label>Hazardous Load</label>
                        {!! Form::select('hazardous_load', ['0' => 'No','1' => 'Yes'], null, ['class' => 'custom-select form-control', 'id' => 'hazardousLoad']) !!}
                    </div>
                </div>
                <div class="col-xl-2 col-lg-3 col-md-4 col-sm-6 {{((isset($loadDetail->hazardous_load) && $loadDetail->hazardous_load == '1') ? '' : 'd-none')}}" id="divHazardousOption">
                    <div class="form-group">
                        <label>Hazardous Options</label>
                        {!! Form::select('hazardous_options[]',
                            getHazardousOptions(),
                            ((isset($loadDetail->hazardous_options) && $loadDetail->hazardous_options != "") ? explode(',', $loadDetail->hazardous_options) : null),
                            [
                                'class'     => 'custom-select hazardousOptions form-control',
                                //'multiple'  => 'multiple'
                            ]
                        ) !!}
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xl-2 col-lg-3 col-md-4 col-sm-6">
                    <div class="form-group">
                        <label>Booked By</label>
                        {!! Form::select('booked_by', [
                            ''  => 'Booked By',
                            '0' => 'Self Dispatch'
                            ]+getCompanyAdminListByCompany(auth()->guard('company-admin')->user()->company_id),
                            null,
                            [
                                'class'                         => 'custom-select bookedby-select2 form-control booked-by',
                                'required'                      => 'required',
                                'data-parsley-errors-container' => '#booked_by_erri'
                            ]
                        ) !!}
                        <div id="booked_by_erri"></div>
                        @error('booked_by')
                            <span class="text-danger" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                        @enderror
                    </div>
                </div>
                <div class="col-xl-2 col-lg-3 col-md-4 col-sm-6 self-dispatch-group">
                    <div class="form-group">
                        <label class="Self-Dispatch-lable">Self-Dispatch</label>
                        <div class="custom-control custom-switch">
                            {!! Form::checkbox('self_dispatch', 1, null, array('class' =>
                            'custom-control-input self-dispatch', 'id' => 'self_dispatch')) !!}
                            <label class="custom-control-label" for="self_dispatch"></label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xl-4 col-lg-6 col-md-8 col-sm-12 sigale">
                    <div class="single-collapse">
                        <div class="">
                            <button
                                class="btn btn-primary"
                                type="button"
                                data-toggle="collapse"
                                data-target="#collapseExample"
                                aria-expanded="false"
                                aria-controls="collapseExample">
                                    Select Load Requirements
                                    <img src="{{ asset('theme/images/sort-down-solid.svg') }}" />
                            </button>
                        </div>
                        <div class="collapse" id="collapseExample">
                            <div class="card-body">
                                <div class="load-requirements-table table-responsive">
                                    <table class="table mt-0" id="tbl">
                                        <thead>
                                        <tr>
                                            <th scope="col">QTY</th>
                                            <th scope="col">ITEM</th>
                                            <th scope="col">
                                                <a
                                                    href="javascript:void(0);"
                                                    class="btn-link-orange asdquerymetn">
                                                    <i class="fa fa-plus" aria-hidden="true"></i>
                                                    Add
                                                </a>
                                            </th>
                                        </tr>
                                        </thead>
                                        <tbody id="LoadRequirementTable"></tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
