@extends($companyAdminTheme)

@section('title')
    Loads
@endsection

@section('style')
    <link rel="stylesheet" type="text/css" href="//code.jquery.com/ui/1.13.1/themes/base/jquery-ui.css">
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/buttons/2.2.3/css/buttons.dataTables.min.css">
    <style type="text/css">
        .load-btn label{width: 99px !important}
        .load-edit-link{text-decoration: underline}
    </style>
    <style type="text/css">
        .cusotdiv2 {display: flex;justify-content: end;align-items: center;}
        .dataTables_length {display: block;}
        .dataTables_length label {margin-bottom: 0;padding-left: 10px!important;}
        .dt-buttons {margin-left: .5rem;}
        .dt-button.btn {
            padding: 6px 12px;
            line-height: 1.5;
            border: 0 !important;
            margin-bottom: 0 !important;
        }
    </style>
@endsection

@section('content')
    <input type="hidden" id="getTableName" value="{{ str_replace('settings.', '', $tableName) }}">
    <input type="hidden" name="previous_tab" id="previous_tab">
    <!-- Tab & Content -->
    <ul class="nav nav-tabs" id="myTab" role="tablist">
        <li class="nav-item" role="presentation">
            <a data-table="table1" class="nav-link active" id="All-tab" data-toggle="tab" href="#All" role="tab" aria-controls="All" aria-selected="true">Active</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table2" class="nav-link" id="View-tab" data-toggle="tab" href="#NewLoad" role="tab" aria-controls="View" aria-selected="false">Ready to Bill</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table3" class="nav-link" id="Delivered-tab" data-toggle="tab" href="#delivered" role="tab" aria-controls="View" aria-selected="false">Delivered</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table4" class="nav-link" id="leave-tab" data-toggle="tab" href="#CompleteLoad" role="tab" aria-controls="CompleteLoad" aria-selected="false">Complete</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table5" class="nav-link" id="onhold-tab" data-toggle="tab" href="#onhold" role="tab" aria-controls="onhold" aria-selected="false">On Hold</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table6" class="nav-link" id="cancel-tab" data-toggle="tab" href="#Cancel" role="tab" aria-controls="Cancel" aria-selected="false">Cancelled</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table7" class="nav-link" id="unoccupied-tab" data-toggle="tab" href="#unoccupied" role="tab" aria-controls="unoccupied" aria-selected="false">Unoccupied</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table8" class="nav-link" id="allload-tab" data-toggle="tab" href="#allload" role="tab" aria-controls="allload" aria-selected="false">All Loads</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table9" class="nav-link" id="oosapproval-tab" data-toggle="tab" href="#oosapproval" role="tab" aria-controls="oosapproval" aria-selected="false">OOS Pending</a>
        </li>
    </ul>
    <div class="tab-content" id="myTabContent">
        @foreach( $tables as $k => $v )
            <div class="tab-pane fade @if( $v['name'] == 'table1' ) show active @endif" id="{{ $v['id'] }}" role="tabpanel" aria-labelledby="{{ $v['id'] }}-tab">
                @if( $v['name'] == 'table1' )
                    <div class="row">
                        <div class="col-md-3 col-sm-6">
                            <div class="white-box mb-4">
                                <div class="box-padding employee-box">
                                    <span class="big-ttl">Active Loads</span>
                                    <h5 class="centr">{{ totalActiveLoads() }}</h5>
                                    <ul class="per-data">
                                        <li>This years</li>
                                        <li class="blue"><span><img src="{{ asset('theme/img/top-arrow.png') }}" alt=""></span> 5%</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 col-sm-6">
                            <div class="white-box mb-4">
                                <div class="box-padding employee-box">
                                    <span class="big-ttl">Ready to Bill</span>
                                    <h5 class="centr">{{ totalReadyToBillLoads() }}</h5>
                                    <ul class="per-data">
                                        <li>This years</li>
                                        <li class="blue"><span><img src="{{ asset('theme/img/top-arrow.png') }}" alt=""></span> 5%</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 col-sm-6">
                            <div class="white-box mb-4">
                                <div class="box-padding employee-box">
                                    <span class="big-ttl">Completed Loads</span>
                                    <h5 class="centr">{{ totalCompletedLoads() }}</h5>
                                    <ul class="per-data">
                                        <li>This years</li>
                                        <li class="blue"><span><img src="{{ asset('theme/img/top-arrow.png') }}" alt=""></span> 5%</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 col-sm-6">
                            <div class="white-box mb-4">
                                <div class="box-padding employee-box">
                                    <span class="big-ttl">Total Loads</span>
                                    <h5 class="centr">{{ totalLoads() }}</h5>
                                    <ul class="per-data">
                                        <li>This years</li>
                                        <li class="orange"><span><img src="{{ asset('theme/img/down-arrow.png') }}" alt=""></span> 5%</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                @endif
                <div class="white-box table-view">
                    <h3 class="table-title">Loads</h3>
                    <div class="table-responsive">
                        <table class="table {{ $v['class'] }}">
                            <thead>
                                <tr>
                                    @foreach($getField as $key => $filed)
                                        @if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name']))
                                            @if(isset(config('settings.table_loads_active')[$key]['searchBuilderType']))
                                                @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                                    @if( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'string' )
                                                        <th class="notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter columnFilter table_loads_active_{{ $key }}_string" data-table="{{ $v['name'] }}" data-modal="SearchByStringModal{{ $key }}{{ $v['name'] }}"></i></th>
                                                    @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'date' )
                                                        <th class="notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter columnFilter table_loads_active_{{ $key }}_date" data-table="{{ $v['name'] }}" data-modal="SearchByDateModal{{ $key }}{{ $v['name'] }}"></i></th>
                                                    @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'status' )
                                                        <th class="notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter columnFilter table_loads_active_{{ $key }}_status" data-table="{{ $v['name'] }}" data-modal="SearchByStatusModal{{ $key }}{{ $v['name'] }}"></i></th>
                                                    @endif
                                                @else
                                                    @if( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'string' )
                                                        <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter columnFilter table_loads_active_{{ $key }}_string" data-table="{{ $v['name'] }}" data-modal="SearchByStringModal{{ $key }}{{ $v['name'] }}"></i></th>
                                                    @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'date' )
                                                        <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter columnFilter table_loads_active_{{ $key }}_date" data-table="{{ $v['name'] }}" data-modal="SearchByDateModal{{ $key }}{{ $v['name'] }}"></i></th>
                                                    @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'status' )
                                                        <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter columnFilter table_loads_active_{{ $key }}_status" data-table="{{ $v['name'] }}" data-modal="SearchByStatusModal{{ $key }}{{ $v['name'] }}"></i></th>
                                                    @endif
                                                @endif
                                            @else
                                                @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                                    <th class="notsech">{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                                @else
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                                @endif
                                            @endif
                                        @endif
                                    @endforeach
                                </tr>
                            </thead>
                            <tbody class="loadTableBody"></tbody>
                        </table>
                    </div>
                </div>
            </div>
        @endforeach
    </div>
    <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
                <input type="hidden" name="table_id" value="loads_active" />

                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Adjust Table Columns</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                            @foreach($getField as $key => $filed)
                                @if(isset(config('settings.table_loads_active')[$key]['name']))
                                    <li class="ui-state-default">
                                        <div class="custom-control custom-checkbox">
                                            <input type='hidden' value='0' name='field[{{ $key }}]'>
                                            <input type="checkbox" class="custom-control-input" id="Check{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed == 1) checked @endif>
                                            <label class="custom-control-label" for="Check{{ $key }}">{{ config('settings.table_loads_active')[$key]['name'] }}</label>
                                        </div>
                                        <i class="fa fa-align-justify drag-icon"></i>
                                    </li>
                                @endif
                            @endforeach
                        </ul>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>
@endsection

@section('script')
    <script type="text/javascript" src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
    <script type="text/javascript" src="https://cdn.datatables.net/buttons/2.2.3/js/dataTables.buttons.min.js"></script>
    <script type="text/javascript">
        $(document).ready(function() {
            // Get the active current tab on page load
            var currentTab          = $('#myTab a[data-toggle="tab"].active');
            // Check if the currentTab element exists
            if (currentTab.length > 0) {
                // Log the ID of the active current tab
                // console.log("Active Current Tab on Page Load:", currentTab.attr('id'));
                // Log the href attribute of the active current tab
                // console.log("Active Current Tab Href on Page Load:", currentTab.attr('href'));

                // Get the href attribute of the active current tab
                var currentTabHref  = currentTab.attr('href');
                nextTabPaneView(currentTabHref);
            } else {
                // console.log("No active current tab found.");
            }
        });
    </script>
    <script type="text/javascript">
        var table1;
        var table2;
        var table3;
        var table4;
        var table5;
        var table6;
        var table7;
        var table8;
        var table9;
        $(document).ready(function() {
            // Loads Tab Start
            $('#myTab a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
                // console.log("Load tab shown!");

                var targetHash                  = $(e.target).attr('href');
                if(targetHash !== 'undefined') {
                    if (targetHash === '#All') {
                        if (table1 !== 'undefined' && $.fn.DataTable.isDataTable('.data-table')) {
                            // console.log("Adjusting columns for table1...");
                        } else {
                            nextTabPaneView(targetHash);
                        }
                    } else if(targetHash === '#NewLoad') {
                        if(table2 !== 'undefined' && $.fn.DataTable.isDataTable('.new-load-data-table')) {
                            // console.log("Adjusting columns for table2...");
                        } else {
                            nextTabPaneView(targetHash);
                        }
                    } else if(targetHash === '#delivered') {
                        if(table3 !== 'undefined' && $.fn.DataTable.isDataTable('.delivered-data-table')) {
                            // console.log("Adjusting columns for table3...");
                        } else {
                            nextTabPaneView(targetHash);
                        }
                    } else if(targetHash === '#CompleteLoad') {
                        if(table4 !== 'undefined' && $.fn.DataTable.isDataTable('.complete-load-data-table')) {
                            // console.log("Adjusting columns for table4...");
                        } else {
                            nextTabPaneView(targetHash);
                        }
                    } else if(targetHash === '#onhold') {
                        if(table5 !== 'undefined' && $.fn.DataTable.isDataTable('.onhold-load-data-table')) {
                            // console.log("Adjusting columns for table5...");
                        } else {
                            nextTabPaneView(targetHash);
                        }
                    } else if(targetHash === '#Cancel') {
                        if(table6 !== 'undefined' && $.fn.DataTable.isDataTable('.cancel-load-data-table')) {
                            // console.log("Adjusting columns for table6...");
                        } else {
                            nextTabPaneView(targetHash);
                        }
                    } else if(targetHash === '#unoccupied') {
                        if(table7 !== 'undefined' && $.fn.DataTable.isDataTable('.unoccupied-load-data-table')) {
                            // console.log("Adjusting columns for table7...");
                        } else {
                            nextTabPaneView(targetHash);
                        }
                    } else if(targetHash === '#allload') {
                        if(table8 !== 'undefined' && $.fn.DataTable.isDataTable('.allload-load-data-table')) {
                            // console.log("Adjusting columns for table8...");
                        } else {
                            nextTabPaneView(targetHash);
                        }
                    } else if(targetHash === '#oosapproval') {
                        if(table9 !== 'undefined' && $.fn.DataTable.isDataTable('.oosapproval-load-data-table')) {
                            // console.log("Adjusting columns for table9...");
                        } else {
                            nextTabPaneView(targetHash);
                        }
                    }
                }
            });

            $("#sortable").sortable();
            // Loads Tab End
        });
        function nextTabPaneView(hash) {
            if (hash === '#All') {
                if (!$.fn.DataTable.isDataTable('.data-table')) {
                    // console.log('Table1 dataTable does not exist.');

                    // Active
                    table1                  = $('.data-table').DataTable({
                        stateSave: true,
                        bSortCellsTop: true,
                        language: {
                            search: "",
                            searchPlaceholder: "Search...",
                        },
                        fixedHeader: true,
                        processing: true,
                        serverSide: true,
                        searching: true,
                        ordering: false,
                        info: false,
                        paging: true,
                        pageLength: "{{ perPageView() }}",
                        lengthChange: true,
                        dom: "<'row cusotdiv'<'col-sm-12 col-md-12 cusotdiv2'flB>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-12'p>>",
                        buttons: [
                            {
                                text: 'Export',
                                className: 'btn btn-primary',
                                action: function (e, dt, button, config) {
                                    // console.log('Export Button Clicked!');
                                    // return false;

                                    var filterMontYear = $('#myTabContent .tab-pane.active .dataTables_length').find('.datepicker-month-year').val() || '';

                                    if(filterMontYear !== ''){
                                        if(filterMontYear.length < 7) {
                                            toastr.error('Please select valid Month & Year', 'Error Alert', { timeOut: 5000 });
                                        }else{
                                            // Get the table number (you may replace this with your actual table number logic)
                                            var tableNo     = 1;

                                            // Extra parameters for the additional AJAX call
                                            var extraParams = $.extend({}, { export: 1, filterMontYear: filterMontYear }, generateSearchStringValues(tableNo));

                                            // Make an additional AJAX call with extra parameters
                                            $.ajax({
                                                url: '{{ route("company.admin.active.loads.index") }}',
                                                type: 'POST',
                                                data: $.extend({}, table1.ajax.params(), extraParams),
                                                dataType: 'json',
                                                headers: {
                                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                                },
                                                beforeSend: function() {
                                                    // console.log('beforeSend');
                                                    button.html('Exporting...');
                                                },
                                                success: function (response) {
                                                    // Handle success
                                                    // console.log(response);

                                                    // Check if the response contains a file path
                                                    if (response.hasOwnProperty('assetUrl')) {
                                                        var now                 = moment();
                                                        var timestamp           = now.format('YYYYMMDDHHmmss');
                                                        var filename            = 'loads_' + timestamp + '.xlsx';

                                                        // Simulate downloading the file
                                                        var downloadLink        = document.createElement('a');
                                                        downloadLink.href       = response.assetUrl;
                                                        downloadLink.download   = filename;
                                                        document.body.appendChild(downloadLink);
                                                        downloadLink.click();

                                                        // Remove the download link from the DOM
                                                        document.body.removeChild(downloadLink);
                                                    } else if (response.hasOwnProperty('error')) {
                                                        // Handle the case where the server returns an error
                                                        console.error(response.error);
                                                    } else {
                                                        // Handle unexpected response format
                                                        console.error('Unexpected response format');
                                                    }
                                                },
                                                complete: function() {
                                                    // console.log('complete');
                                                    button.html('Export');
                                                    toastr.success('Loads exported successfully', 'Success Alert', {timeOut: 5000});
                                                },
                                                error: function(jqXHR, status, exception) {
                                                    // Handle AJAX errors
                                                    var error;
                                                    if (jqXHR.status === 0) {
                                                        error = 'Not connected.\nPlease verify your network connection.';
                                                    } else if (jqXHR.status == 404) {
                                                        error = 'The requested page not found. [404]';
                                                    } else if (jqXHR.status == 500) {
                                                        error = 'Internal Server Error [500].';
                                                    } else if (exception === 'parsererror') {
                                                        error = 'Requested JSON parse failed.';
                                                    } else if (exception === 'timeout') {
                                                        error = 'Time out error.';
                                                    } else if (exception === 'abort') {
                                                        error = 'Ajax request aborted.';
                                                    } else {
                                                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                                                    }
                                                    console.error(error);
                                                }
                                            });
                                        }
                                    }else{
                                        $('#myTabContent .tab-pane.active .dataTables_length').find('.datepicker-month-year').focus();
                                        toastr.error('Month & Year cannot be empty', 'Error Alert', { timeOut: 5000 });
                                    }
                                }
                            },
                            {
                                text: 'Columns',
                                className: 'btn btn-primary',
                                attr: {
                                    'data-toggle': 'modal',
                                    'data-target': '#exampleModal'
                                }
                            }
                        ],
                        ajax: {
                            url: "{{ route('company.admin.active.loads.index') }}",
                            type:'POST',
                            dataType: "json",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            data: function (d) {
                                d.filterMontYear = $('#myTabContent .tab-pane.active .dataTables_length').find('.datepicker-month-year').val() || '';

                                // Get the table number (you may replace this with your actual table number logic)
                                var tableNo     = 1;

                                // Extra parameters for the additional AJAX call
                                var extraParams = generateSearchStringValues(tableNo);

                                // Merge existing parameters (d) with extraParams
                                return $.extend({}, d, extraParams);
                            },
                            beforeSend: function () {
                                if (typeof table1 != 'undefined' && table1.hasOwnProperty('settings')) {
                                    table1.settings()[0].jqXHR.abort();
                                }
                            }
                        },
                        columns: [
                            <?php foreach($getField as $key => $filed): ?>
                                <?php if($filed == 1): ?>
                                    <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                                        <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                                        <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                                        <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                                        <?php else: ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php endforeach; ?>
                        ]
                    });

                    @php
                        $table1arry         = [];
                        if(isset($tables) && !empty($tables)){
                            $table1key      = array_search('table1', array_column($tables, 'name'));
                            if($table1key!==false){
                                $table1arry = $tables[$table1key];
                            }
                        }
                    @endphp
                    @if(!empty($table1arry))
                        $('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3" data-tablevariable="{{ $table1arry["name"] }}"><i class="fa fa-refresh"></i> Refresh</a>').prependTo('#{{ $table1arry["id"] }} .dataTables_filter');
                        $('<a href="javascript:void(0);" id="clearAll{{ str_replace("settings.", "", $tableName) }}_{{ $table1arry["name"] }}" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tableName) }} {{ str_replace("settings.", "", $tableName) }} ml-3 d-none" data-tablevariable="{{ $table1arry["name"] }}">Clear filters</a>').prependTo('#{{ $table1arry["id"] }} .dataTables_filter');
                        //
                        $('<label><input type="text" class="form-control form-control-sm datepicker-month-year" placeholder="MM/YYYY"></label>').appendTo('#{{ $table1arry["id"] }} .dataTables_length');
                        $('#{{ $table1arry["id"] }} .datepicker-month-year').datepicker({
                            format: 'mm/yyyy',
                            startView: 'months',
                            minViewMode: 'months',
                            autoclose: true,
                            clearBtn: true
                        }).on('keydown past', function(ev) {
                            if(ev.keyCode === 8 || ev.keyCode === 46){
                                return true;
                            }
                            return false;
                        }).on('changeDate', function(ev) {
                            var tableName   = $('#myTab li>.active').attr('data-table');
                            window[tableName].draw();
                        });
                    @endif
                } else {
                    // console.log('Table1 dataTable exists.');
                }
            } else if(hash === '#NewLoad') {
                if (!$.fn.DataTable.isDataTable('.new-load-data-table')) {
                    // console.log('Table2 dataTable does not exist.');

                    // Ready to Bill
                    table2                  = $('.new-load-data-table').DataTable({
                        stateSave: true,
                        bSortCellsTop: true,
                        language: {
                            search: "",
                            searchPlaceholder: "Search...",
                        },
                        fixedHeader: true,
                        processing: true,
                        serverSide: true,
                        searching: true,
                        ordering: false,
                        info: false,
                        paging: true,
                        pageLength: "{{ perPageView() }}",
                        lengthChange: true,
                        dom: "<'row cusotdiv'<'col-sm-12 col-md-12 cusotdiv2'flB>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-12'p>>",
                        buttons: [
                            {
                                text: 'Export',
                                className: 'btn btn-primary',
                                action: function (e, dt, button, config) {
                                    // console.log('Export Button Clicked!');
                                    // return false;

                                    var filterMontYear = $('#myTabContent .tab-pane.active .dataTables_length').find('.datepicker-month-year').val() || '';

                                    if(filterMontYear !== ''){
                                        if(filterMontYear.length < 7) {
                                            toastr.error('Please select valid Month & Year', 'Error Alert', { timeOut: 5000 });
                                        }else{
                                            // Get the table number (you may replace this with your actual table number logic)
                                            var tableNo     = 2;

                                            // Extra parameters for the additional AJAX call
                                            var extraParams = $.extend({}, { export: 1, filterMontYear: filterMontYear }, generateSearchStringValues(tableNo));

                                            // Make an additional AJAX call with extra parameters
                                            $.ajax({
                                                url: '{{ route("company.admin.new.loads.index") }}',
                                                type: 'POST',
                                                data: $.extend({}, table2.ajax.params(), extraParams),
                                                dataType: 'json',
                                                headers: {
                                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                                },
                                                beforeSend: function() {
                                                    // console.log('beforeSend');
                                                    button.html('Exporting...');
                                                },
                                                success: function (response) {
                                                    // Handle success
                                                    // console.log(response);

                                                    // Check if the response contains a file path
                                                    if (response.hasOwnProperty('assetUrl')) {
                                                        var now                 = moment();
                                                        var timestamp           = now.format('YYYYMMDDHHmmss');
                                                        var filename            = 'loads_' + timestamp + '.xlsx';

                                                        // Simulate downloading the file
                                                        var downloadLink        = document.createElement('a');
                                                        downloadLink.href       = response.assetUrl;
                                                        downloadLink.download   = filename;
                                                        document.body.appendChild(downloadLink);
                                                        downloadLink.click();

                                                        // Remove the download link from the DOM
                                                        document.body.removeChild(downloadLink);
                                                    } else if (response.hasOwnProperty('error')) {
                                                        // Handle the case where the server returns an error
                                                        console.error(response.error);
                                                    } else {
                                                        // Handle unexpected response format
                                                        console.error('Unexpected response format');
                                                    }
                                                },
                                                complete: function() {
                                                    // console.log('complete');
                                                    button.html('Export');
                                                    toastr.success('Loads exported successfully', 'Success Alert', {timeOut: 5000});
                                                },
                                                error: function(jqXHR, status, exception) {
                                                    // Handle AJAX errors
                                                    var error;
                                                    if (jqXHR.status === 0) {
                                                        error = 'Not connected.\nPlease verify your network connection.';
                                                    } else if (jqXHR.status == 404) {
                                                        error = 'The requested page not found. [404]';
                                                    } else if (jqXHR.status == 500) {
                                                        error = 'Internal Server Error [500].';
                                                    } else if (exception === 'parsererror') {
                                                        error = 'Requested JSON parse failed.';
                                                    } else if (exception === 'timeout') {
                                                        error = 'Time out error.';
                                                    } else if (exception === 'abort') {
                                                        error = 'Ajax request aborted.';
                                                    } else {
                                                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                                                    }
                                                    console.error(error);
                                                }
                                            });
                                        }
                                    }else{
                                        $('#myTabContent .tab-pane.active .dataTables_length').find('.datepicker-month-year').focus();
                                        toastr.error('Month & Year cannot be empty', 'Error Alert', { timeOut: 5000 });
                                    }
                                }
                            },
                            {
                                text: 'Columns',
                                className: 'btn btn-primary',
                                attr: {
                                    'data-toggle': 'modal',
                                    'data-target': '#exampleModal'
                                }
                            },
                        ],
                        ajax: {
                            url: "{{ route('company.admin.new.loads.index') }}",
                            type:'POST',
                            dataType: "json",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            url: "{{ route('company.admin.new.loads.index') }}",
                            data: function (d) {
                                d.filterMontYear = $('#myTabContent .tab-pane.active .dataTables_length').find('.datepicker-month-year').val() || '';

                                // Get the table number (you may replace this with your actual table number logic)
                                var tableNo     = 2;

                                // Extra parameters for the additional AJAX call
                                var extraParams = generateSearchStringValues(tableNo);

                                // Merge existing parameters (d) with extraParams
                                return $.extend({}, d, extraParams);
                            },
                            beforeSend: function () {
                                if (typeof table2 != 'undefined' && table2.hasOwnProperty('settings')) {
                                    table2.settings()[0].jqXHR.abort();
                                }
                            }
                        },
                        columns: [
                            <?php foreach($getField as $key => $filed): ?>
                                <?php if($filed == 1): ?>
                                    <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                                        <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                                        <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                                        <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                                        <?php else: ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php endforeach; ?>
                        ]
                    });

                    @php
                        $table2arry         = [];
                        if(isset($tables) && !empty($tables)){
                            $table2key      = array_search('table2', array_column($tables, 'name'));
                            if($table2key!==false){
                                $table2arry = $tables[$table2key];
                            }
                        }
                    @endphp
                    @if(!empty($table2arry))
                        $('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3" data-tablevariable="{{ $table2arry["name"] }}"><i class="fa fa-refresh"></i> Refresh</a>').prependTo('#{{ $table2arry["id"] }} .dataTables_filter');
                        $('<a href="javascript:void(0);" id="clearAll{{ str_replace("settings.", "", $tableName) }}_{{ $table2arry["name"] }}" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tableName) }} {{ str_replace("settings.", "", $tableName) }} ml-3 d-none" data-tablevariable="{{ $table2arry["name"] }}">Clear filters</a>').prependTo('#{{ $table2arry["id"] }} .dataTables_filter');
                        //
                        $('<label><input type="text" class="form-control form-control-sm datepicker-month-year" placeholder="MM/YYYY"></label>').appendTo('#{{ $table2arry["id"] }} .dataTables_length');
                        $('#{{ $table2arry["id"] }} .datepicker-month-year').datepicker({
                            format: 'mm/yyyy',
                            startView: 'months',
                            minViewMode: 'months',
                            autoclose: true,
                            clearBtn: true
                        }).on('keydown past', function(ev) {
                            if(ev.keyCode === 8 || ev.keyCode === 46){
                                return true;
                            }
                            return false;
                        }).on('changeDate', function(ev) {
                            var tableName   = $('#myTab li>.active').attr('data-table');
                            window[tableName].draw();
                        });
                    @endif
                } else {
                    // console.log('Table2 dataTable exists.');
                }
            } else if(hash === '#delivered') {
                if (!$.fn.DataTable.isDataTable('.delivered-data-table')) {
                    // console.log('Table3 dataTable does not exist.');

                    // Delivered
                    table3                  = $('.delivered-data-table').DataTable({
                        stateSave: true,
                        bSortCellsTop: true,
                        language: {
                            search: "",
                            searchPlaceholder: "Search...",
                        },
                        fixedHeader: true,
                        processing: true,
                        serverSide: true,
                        searching: true,
                        ordering: false,
                        info: false,
                        paging: true,
                        pageLength: "{{ perPageView() }}",
                        lengthChange: true,
                        dom: "<'row cusotdiv'<'col-sm-12 col-md-12 cusotdiv2'flB>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-12'p>>",
                        buttons: [
                            {
                                text: 'Export',
                                className: 'btn btn-primary',
                                action: function (e, dt, button, config) {
                                    // console.log('Export Button Clicked!');
                                    // return false;

                                    var filterMontYear = $('#myTabContent .tab-pane.active .dataTables_length').find('.datepicker-month-year').val() || '';

                                    if(filterMontYear !== ''){
                                        if(filterMontYear.length < 7) {
                                            toastr.error('Please select valid Month & Year', 'Error Alert', { timeOut: 5000 });
                                        }else{
                                            // Get the table number (you may replace this with your actual table number logic)
                                            var tableNo     = 3;

                                            // Extra parameters for the additional AJAX call
                                            var extraParams = $.extend({}, { export: 1, filterMontYear: filterMontYear }, generateSearchStringValues(tableNo));

                                            // Make an additional AJAX call with extra parameters
                                            $.ajax({
                                                url: '{{ route("company.admin.delivered.loads.index") }}',
                                                type: 'POST',
                                                data: $.extend({}, table3.ajax.params(), extraParams),
                                                dataType: 'json',
                                                headers: {
                                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                                },
                                                beforeSend: function() {
                                                    // console.log('beforeSend');
                                                    button.html('Exporting...');
                                                },
                                                success: function (response) {
                                                    // Handle success
                                                    // console.log(response);

                                                    // Check if the response contains a file path
                                                    if (response.hasOwnProperty('assetUrl')) {
                                                        var now                 = moment();
                                                        var timestamp           = now.format('YYYYMMDDHHmmss');
                                                        var filename            = 'loads_' + timestamp + '.xlsx';

                                                        // Simulate downloading the file
                                                        var downloadLink        = document.createElement('a');
                                                        downloadLink.href       = response.assetUrl;
                                                        downloadLink.download   = filename;
                                                        document.body.appendChild(downloadLink);
                                                        downloadLink.click();

                                                        // Remove the download link from the DOM
                                                        document.body.removeChild(downloadLink);
                                                    } else if (response.hasOwnProperty('error')) {
                                                        // Handle the case where the server returns an error
                                                        console.error(response.error);
                                                    } else {
                                                        // Handle unexpected response format
                                                        console.error('Unexpected response format');
                                                    }
                                                },
                                                complete: function() {
                                                    // console.log('complete');
                                                    button.html('Export');
                                                    toastr.success('Loads exported successfully', 'Success Alert', {timeOut: 5000});
                                                },
                                                error: function(jqXHR, status, exception) {
                                                    // Handle AJAX errors
                                                    var error;
                                                    if (jqXHR.status === 0) {
                                                        error = 'Not connected.\nPlease verify your network connection.';
                                                    } else if (jqXHR.status == 404) {
                                                        error = 'The requested page not found. [404]';
                                                    } else if (jqXHR.status == 500) {
                                                        error = 'Internal Server Error [500].';
                                                    } else if (exception === 'parsererror') {
                                                        error = 'Requested JSON parse failed.';
                                                    } else if (exception === 'timeout') {
                                                        error = 'Time out error.';
                                                    } else if (exception === 'abort') {
                                                        error = 'Ajax request aborted.';
                                                    } else {
                                                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                                                    }
                                                    console.error(error);
                                                }
                                            });
                                        }
                                    }else{
                                        $('#myTabContent .tab-pane.active .dataTables_length').find('.datepicker-month-year').focus();
                                        toastr.error('Month & Year cannot be empty', 'Error Alert', { timeOut: 5000 });
                                    }
                                }
                            },
                            {
                                text: 'Columns',
                                className: 'btn btn-primary',
                                attr: {
                                    'data-toggle': 'modal',
                                    'data-target': '#exampleModal'
                                }
                            }
                        ],
                        ajax: {
                            url: "{{ route('company.admin.delivered.loads.index') }}",
                            type:'POST',
                            dataType: "json",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            data: function (d) {
                                d.filterMontYear = $('#myTabContent .tab-pane.active .dataTables_length').find('.datepicker-month-year').val() || '';

                                // Get the table number (you may replace this with your actual table number logic)
                                var tableNo     = 3;

                                // Extra parameters for the additional AJAX call
                                var extraParams = generateSearchStringValues(tableNo);

                                // Merge existing parameters (d) with extraParams
                                return $.extend({}, d, extraParams);
                            },
                            beforeSend: function () {
                                if (typeof table3 != 'undefined' && table3.hasOwnProperty('settings')) {
                                    table3.settings()[0].jqXHR.abort();
                                }
                            }
                        },
                        columns: [
                            <?php foreach($getField as $key => $filed): ?>
                                <?php if($filed == 1): ?>
                                    <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                                        <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                                        <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                                        <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                                        <?php else: ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php endforeach; ?>
                        ]
                    });

                    @php
                        $table3arry         = [];
                        if(isset($tables) && !empty($tables)){
                            $table3key      = array_search('table3', array_column($tables, 'name'));
                            if($table3key!==false){
                                $table3arry = $tables[$table3key];
                            }
                        }
                    @endphp
                    @if(!empty($table3arry))
                        $('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3" data-tablevariable="{{ $table3arry["name"] }}"><i class="fa fa-refresh"></i> Refresh</a>').prependTo('#{{ $table3arry["id"] }} .dataTables_filter');
                        $('<a href="javascript:void(0);" id="clearAll{{ str_replace("settings.", "", $tableName) }}_{{ $table3arry["name"] }}" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tableName) }} {{ str_replace("settings.", "", $tableName) }} ml-3 d-none" data-tablevariable="{{ $table3arry["name"] }}">Clear filters</a>').prependTo('#{{ $table3arry["id"] }} .dataTables_filter');
                        //
                        $('<label><input type="text" class="form-control form-control-sm datepicker-month-year" placeholder="MM/YYYY"></label>').appendTo('#{{ $table3arry["id"] }} .dataTables_length');
                        $('#{{ $table3arry["id"] }} .datepicker-month-year').datepicker({
                            format: 'mm/yyyy',
                            startView: 'months',
                            minViewMode: 'months',
                            autoclose: true,
                            clearBtn: true
                        }).on('keydown past', function(ev) {
                            if(ev.keyCode === 8 || ev.keyCode === 46){
                                return true;
                            }
                            return false;
                        }).on('changeDate', function(ev) {
                            var tableName   = $('#myTab li>.active').attr('data-table');
                            window[tableName].draw();
                        });
                    @endif
                } else {
                    // console.log('Table3 dataTable exists.');
                }
            } else if(hash === '#CompleteLoad') {
                if (!$.fn.DataTable.isDataTable('.complete-load-data-table')) {
                    // console.log('Table4 dataTable does not exist.');

                    // Complete
                    table4                  = $('.complete-load-data-table').DataTable({
                        stateSave: true,
                        bSortCellsTop: true,
                        language: {
                            search: "",
                            searchPlaceholder: "Search...",
                        },
                        fixedHeader: true,
                        processing: true,
                        serverSide: true,
                        searching: true,
                        ordering: false,
                        info: false,
                        paging: true,
                        pageLength: "{{ perPageView() }}",
                        lengthChange: true,
                        dom: "<'row cusotdiv'<'col-sm-12 col-md-12 cusotdiv2'flB>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-12'p>>",
                        buttons: [
                            {
                                text: 'Export',
                                className: 'btn btn-primary',
                                action: function (e, dt, button, config) {
                                    // console.log('Export Button Clicked!');
                                    // return false;

                                    var filterMontYear = $('#myTabContent .tab-pane.active .dataTables_length').find('.datepicker-month-year').val() || '';

                                    if(filterMontYear !== ''){
                                        if(filterMontYear.length < 7) {
                                            toastr.error('Please select valid Month & Year', 'Error Alert', { timeOut: 5000 });
                                        }else{
                                            // Get the table number (you may replace this with your actual table number logic)
                                            var tableNo     = 4;

                                            // Extra parameters for the additional AJAX call
                                            var extraParams = $.extend({}, { export: 1, filterMontYear: filterMontYear }, generateSearchStringValues(tableNo));

                                            // Make an additional AJAX call with extra parameters
                                            $.ajax({
                                                url: '{{ route("company.admin.complete.loads.index") }}',
                                                type: 'POST',
                                                data: $.extend({}, table4.ajax.params(), extraParams),
                                                dataType: 'json',
                                                headers: {
                                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                                },
                                                beforeSend: function() {
                                                    // console.log('beforeSend');
                                                    button.html('Exporting...');
                                                },
                                                success: function (response) {
                                                    // Handle success
                                                    // console.log(response);

                                                    // Check if the response contains a file path
                                                    if (response.hasOwnProperty('assetUrl')) {
                                                        var now                 = moment();
                                                        var timestamp           = now.format('YYYYMMDDHHmmss');
                                                        var filename            = 'loads_' + timestamp + '.xlsx';

                                                        // Simulate downloading the file
                                                        var downloadLink        = document.createElement('a');
                                                        downloadLink.href       = response.assetUrl;
                                                        downloadLink.download   = filename;
                                                        document.body.appendChild(downloadLink);
                                                        downloadLink.click();

                                                        // Remove the download link from the DOM
                                                        document.body.removeChild(downloadLink);
                                                    } else if (response.hasOwnProperty('error')) {
                                                        // Handle the case where the server returns an error
                                                        console.error(response.error);
                                                    } else {
                                                        // Handle unexpected response format
                                                        console.error('Unexpected response format');
                                                    }
                                                },
                                                complete: function() {
                                                    // console.log('complete');
                                                    button.html('Export');
                                                    toastr.success('Loads exported successfully', 'Success Alert', {timeOut: 5000});
                                                },
                                                error: function(jqXHR, status, exception) {
                                                    // Handle AJAX errors
                                                    var error;
                                                    if (jqXHR.status === 0) {
                                                        error = 'Not connected.\nPlease verify your network connection.';
                                                    } else if (jqXHR.status == 404) {
                                                        error = 'The requested page not found. [404]';
                                                    } else if (jqXHR.status == 500) {
                                                        error = 'Internal Server Error [500].';
                                                    } else if (exception === 'parsererror') {
                                                        error = 'Requested JSON parse failed.';
                                                    } else if (exception === 'timeout') {
                                                        error = 'Time out error.';
                                                    } else if (exception === 'abort') {
                                                        error = 'Ajax request aborted.';
                                                    } else {
                                                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                                                    }
                                                    console.error(error);
                                                }
                                            });
                                        }
                                    }else{
                                        toastr.error('Month & Year cannot be empty', 'Error Alert', { timeOut: 5000 });
                                    }
                                }
                            },
                            {
                                text: 'Columns',
                                className: 'btn btn-primary',
                                attr: {
                                    'data-toggle': 'modal',
                                    'data-target': '#exampleModal'
                                }
                            }
                        ],
                        ajax: {
                            url: "{{ route('company.admin.complete.loads.index') }}",
                            type:'POST',
                            dataType: "json",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            data: function (d) {
                                d.filterMontYear = $('#myTabContent .tab-pane.active .dataTables_length').find('.datepicker-month-year').val() || '';

                                // Get the table number (you may replace this with your actual table number logic)
                                var tableNo     = 4;

                                // Extra parameters for the additional AJAX call
                                var extraParams = generateSearchStringValues(tableNo);

                                // Merge existing parameters (d) with extraParams
                                return $.extend({}, d, extraParams);
                            },
                            beforeSend: function () {
                                if (typeof table4 != 'undefined' && table4.hasOwnProperty('settings')) {
                                    table4.settings()[0].jqXHR.abort();
                                }
                            }
                        },
                        columns: [
                            <?php foreach($getField as $key => $filed): ?>
                                <?php if($filed == 1): ?>
                                    <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                                        <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                                        <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                                        <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                                        <?php else: ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php endforeach; ?>
                        ]
                    });

                    @php
                        $table4arry         = [];
                        if(isset($tables) && !empty($tables)){
                            $table4key      = array_search('table4', array_column($tables, 'name'));
                            if($table4key!==false){
                                $table4arry = $tables[$table4key];
                            }
                        }
                    @endphp
                    @if(!empty($table4arry))
                        $('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3" data-tablevariable="{{ $table4arry["name"] }}"><i class="fa fa-refresh"></i> Refresh</a>').prependTo('#{{ $table4arry["id"] }} .dataTables_filter');
                        $('<a href="javascript:void(0);" id="clearAll{{ str_replace("settings.", "", $tableName) }}_{{ $table4arry["name"] }}" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tableName) }} {{ str_replace("settings.", "", $tableName) }} ml-3 d-none" data-tablevariable="{{ $table4arry["name"] }}">Clear filters</a>').prependTo('#{{ $table4arry["id"] }} .dataTables_filter');
                        //
                        $('<label><input type="text" class="form-control form-control-sm datepicker-month-year" placeholder="MM/YYYY"></label>').appendTo('#{{ $table4arry["id"] }} .dataTables_length');
                        $('#{{ $table4arry["id"] }} .datepicker-month-year').datepicker({
                            format: 'mm/yyyy',
                            startView: 'months',
                            minViewMode: 'months',
                            autoclose: true,
                            clearBtn: true
                        }).on('keydown past', function(ev) {
                            if(ev.keyCode === 8 || ev.keyCode === 46){
                                return true;
                            }
                            return false;
                        }).on('changeDate', function(ev) {
                            var tableName   = $('#myTab li>.active').attr('data-table');
                            window[tableName].draw();
                        });
                    @endif
                } else {
                    // console.log('Table4 dataTable exists.');
                }
            } else if(hash === '#onhold') {
                if (!$.fn.DataTable.isDataTable('.onhold-load-data-table')) {
                    // console.log('Table5 dataTable does not exist.');

                    // On Hold
                    table5                  = $('.onhold-load-data-table').DataTable({
                        stateSave: true,
                        bSortCellsTop: true,
                        language: {
                            search: "",
                            searchPlaceholder: "Search...",
                        },
                        fixedHeader: true,
                        processing: true,
                        serverSide: true,
                        searching: true,
                        ordering: false,
                        info: false,
                        paging: true,
                        pageLength: "{{ perPageView() }}",
                        lengthChange: true,
                        dom: "<'row cusotdiv'<'col-sm-12 col-md-12 cusotdiv2'flB>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-12'p>>",
                        buttons: [
                            {
                                text: 'Export',
                                className: 'btn btn-primary',
                                action: function (e, dt, button, config) {
                                    // console.log('Export Button Clicked!');
                                    // return false;

                                    var filterMontYear = $('#myTabContent .tab-pane.active .dataTables_length').find('.datepicker-month-year').val() || '';

                                    if(filterMontYear !== ''){
                                        if(filterMontYear.length < 7) {
                                            toastr.error('Please select valid Month & Year', 'Error Alert', { timeOut: 5000 });
                                        }else{
                                            // Get the table number (you may replace this with your actual table number logic)
                                            var tableNo     = 5;

                                            // Extra parameters for the additional AJAX call
                                            var extraParams = $.extend({}, { export: 1, filterMontYear: filterMontYear  }, generateSearchStringValues(tableNo));

                                            // Make an additional AJAX call with extra parameters
                                            $.ajax({
                                                url: '{{ route("company.admin.onhold.loads.index") }}',
                                                type: 'POST',
                                                data: $.extend({}, table5.ajax.params(), extraParams),
                                                dataType: 'json',
                                                headers: {
                                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                                },
                                                beforeSend: function() {
                                                    // console.log('beforeSend');
                                                    button.html('Exporting...');
                                                },
                                                success: function (response) {
                                                    // Handle success
                                                    // console.log(response);

                                                    // Check if the response contains a file path
                                                    if (response.hasOwnProperty('assetUrl')) {
                                                        var now                 = moment();
                                                        var timestamp           = now.format('YYYYMMDDHHmmss');
                                                        var filename            = 'loads_' + timestamp + '.xlsx';

                                                        // Simulate downloading the file
                                                        var downloadLink        = document.createElement('a');
                                                        downloadLink.href       = response.assetUrl;
                                                        downloadLink.download   = filename;
                                                        document.body.appendChild(downloadLink);
                                                        downloadLink.click();

                                                        // Remove the download link from the DOM
                                                        document.body.removeChild(downloadLink);
                                                    } else if (response.hasOwnProperty('error')) {
                                                        // Handle the case where the server returns an error
                                                        console.error(response.error);
                                                    } else {
                                                        // Handle unexpected response format
                                                        console.error('Unexpected response format');
                                                    }
                                                },
                                                complete: function() {
                                                    // console.log('complete');
                                                    button.html('Export');
                                                    toastr.success('Loads exported successfully', 'Success Alert', {timeOut: 5000});
                                                },
                                                error: function(jqXHR, status, exception) {
                                                    // Handle AJAX errors
                                                    var error;
                                                    if (jqXHR.status === 0) {
                                                        error = 'Not connected.\nPlease verify your network connection.';
                                                    } else if (jqXHR.status == 404) {
                                                        error = 'The requested page not found. [404]';
                                                    } else if (jqXHR.status == 500) {
                                                        error = 'Internal Server Error [500].';
                                                    } else if (exception === 'parsererror') {
                                                        error = 'Requested JSON parse failed.';
                                                    } else if (exception === 'timeout') {
                                                        error = 'Time out error.';
                                                    } else if (exception === 'abort') {
                                                        error = 'Ajax request aborted.';
                                                    } else {
                                                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                                                    }
                                                    console.error(error);
                                                }
                                            });
                                        }
                                    }else{
                                        $('#myTabContent .tab-pane.active .dataTables_length').find('.datepicker-month-year').focus();
                                        toastr.error('Month & Year cannot be empty', 'Error Alert', { timeOut: 5000 });
                                    }
                                }
                            },
                            {
                                text: 'Columns',
                                className: 'btn btn-primary',
                                attr: {
                                    'data-toggle': 'modal',
                                    'data-target': '#exampleModal'
                                }
                            }
                        ],
                        ajax: {
                            url: "{{ route('company.admin.onhold.loads.index') }}",
                            type:'POST',
                            dataType: "json",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            data: function (d) {
                                d.filterMontYear = $('#myTabContent .tab-pane.active .dataTables_length').find('.datepicker-month-year').val() || '';

                                // Get the table number (you may replace this with your actual table number logic)
                                var tableNo     = 5;

                                // Extra parameters for the additional AJAX call
                                var extraParams = generateSearchStringValues(tableNo);

                                // Merge existing parameters (d) with extraParams
                                return $.extend({}, d, extraParams);
                            },
                            beforeSend: function () {
                                if (typeof table5 != 'undefined' && table5.hasOwnProperty('settings')) {
                                    table5.settings()[0].jqXHR.abort();
                                }
                            }
                        },
                        columns: [
                            <?php foreach($getField as $key => $filed): ?>
                                <?php if($filed == 1): ?>
                                    <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                                        <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                                        <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                                        <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                                        <?php else: ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php endforeach; ?>
                        ]
                    });

                    @php
                        $table5arry         = [];
                        if(isset($tables) && !empty($tables)){
                            $table5key      = array_search('table5', array_column($tables, 'name'));
                            if($table5key!==false){
                                $table5arry = $tables[$table5key];
                            }
                        }
                    @endphp
                    @if(!empty($table5arry))
                        $('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3" data-tablevariable="{{ $table5arry["name"] }}"><i class="fa fa-refresh"></i> Refresh</a>').prependTo('#{{ $table5arry["id"] }} .dataTables_filter');
                        $('<a href="javascript:void(0);" id="clearAll{{ str_replace("settings.", "", $tableName) }}_{{ $table5arry["name"] }}" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tableName) }} {{ str_replace("settings.", "", $tableName) }} ml-3 d-none" data-tablevariable="{{ $table5arry["name"] }}">Clear filters</a>').prependTo('#{{ $table5arry["id"] }} .dataTables_filter');
                        //
                        $('<label><input type="text" class="form-control form-control-sm datepicker-month-year" placeholder="MM/YYYY"></label>').appendTo('#{{ $table5arry["id"] }} .dataTables_length');
                        $('#{{ $table5arry["id"] }} .datepicker-month-year').datepicker({
                            format: 'mm/yyyy',
                            startView: 'months',
                            minViewMode: 'months',
                            autoclose: true,
                            clearBtn: true
                        }).on('keydown past', function(ev) {
                            if(ev.keyCode === 8 || ev.keyCode === 46){
                                return true;
                            }
                            return false;
                        }).on('changeDate', function(ev) {
                            var tableName   = $('#myTab li>.active').attr('data-table');
                            window[tableName].draw();
                        });
                    @endif
                } else {
                    // console.log('Table5 dataTable exists.');
                }
            } else if(hash === '#Cancel') {
                if (!$.fn.DataTable.isDataTable('.cancel-load-data-table')) {
                    // console.log('Table6 dataTable does not exist.');

                    // Cancelled
                    table6                  = $('.cancel-load-data-table').DataTable({
                        stateSave: true,
                        bSortCellsTop: true,
                        language: {
                            search: "",
                            searchPlaceholder: "Search...",
                        },
                        fixedHeader: true,
                        processing: true,
                        serverSide: true,
                        searching: true,
                        ordering: false,
                        info: false,
                        paging: true,
                        pageLength: "{{ perPageView() }}",
                        lengthChange: true,
                        dom: "<'row cusotdiv'<'col-sm-12 col-md-12 cusotdiv2'flB>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-12'p>>",
                        buttons: [
                            {
                                text: 'Export',
                                className: 'btn btn-primary',
                                action: function (e, dt, button, config) {
                                    // console.log('Export Button Clicked!');
                                    // return false;

                                    var filterMontYear = $('#myTabContent .tab-pane.active .dataTables_length').find('.datepicker-month-year').val() || '';

                                    if(filterMontYear !== ''){
                                        if(filterMontYear.length < 7) {
                                            toastr.error('Please select valid Month & Year', 'Error Alert', { timeOut: 5000 });
                                        }else{
                                            // Get the table number (you may replace this with your actual table number logic)
                                            var tableNo     = 6;

                                            // Extra parameters for the additional AJAX call
                                            var extraParams = $.extend({}, { export: 1, filterMontYear: filterMontYear }, generateSearchStringValues(tableNo));

                                            // Make an additional AJAX call with extra parameters
                                            $.ajax({
                                                url: '{{ route("company.admin.cancel.loads.index") }}',
                                                type: 'POST',
                                                data: $.extend({}, table6.ajax.params(), extraParams),
                                                dataType: 'json',
                                                headers: {
                                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                                },
                                                beforeSend: function() {
                                                    // console.log('beforeSend');
                                                    button.html('Exporting...');
                                                },
                                                success: function (response) {
                                                    // Handle success
                                                    // console.log(response);

                                                    // Check if the response contains a file path
                                                    if (response.hasOwnProperty('assetUrl')) {
                                                        var now                 = moment();
                                                        var timestamp           = now.format('YYYYMMDDHHmmss');
                                                        var filename            = 'loads_' + timestamp + '.xlsx';

                                                        // Simulate downloading the file
                                                        var downloadLink        = document.createElement('a');
                                                        downloadLink.href       = response.assetUrl;
                                                        downloadLink.download   = filename;
                                                        document.body.appendChild(downloadLink);
                                                        downloadLink.click();

                                                        // Remove the download link from the DOM
                                                        document.body.removeChild(downloadLink);
                                                    } else if (response.hasOwnProperty('error')) {
                                                        // Handle the case where the server returns an error
                                                        console.error(response.error);
                                                    } else {
                                                        // Handle unexpected response format
                                                        console.error('Unexpected response format');
                                                    }
                                                },
                                                complete: function() {
                                                    // console.log('complete');
                                                    button.html('Export');
                                                    toastr.success('Loads exported successfully', 'Success Alert', {timeOut: 5000});
                                                },
                                                error: function(jqXHR, status, exception) {
                                                    // Handle AJAX errors
                                                    var error;
                                                    if (jqXHR.status === 0) {
                                                        error = 'Not connected.\nPlease verify your network connection.';
                                                    } else if (jqXHR.status == 404) {
                                                        error = 'The requested page not found. [404]';
                                                    } else if (jqXHR.status == 500) {
                                                        error = 'Internal Server Error [500].';
                                                    } else if (exception === 'parsererror') {
                                                        error = 'Requested JSON parse failed.';
                                                    } else if (exception === 'timeout') {
                                                        error = 'Time out error.';
                                                    } else if (exception === 'abort') {
                                                        error = 'Ajax request aborted.';
                                                    } else {
                                                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                                                    }
                                                    console.error(error);
                                                }
                                            });
                                        }
                                    }else{
                                        $('#myTabContent .tab-pane.active .dataTables_length').find('.datepicker-month-year').focus();
                                        toastr.error('Month & Year cannot be empty', 'Error Alert', { timeOut: 5000 });
                                    }
                                }
                            },
                            {
                                text: 'Columns',
                                className: 'btn btn-primary',
                                attr: {
                                    'data-toggle': 'modal',
                                    'data-target': '#exampleModal'
                                }
                            }
                        ],
                        ajax: {
                            url: "{{ route('company.admin.cancel.loads.index') }}",
                            type:'POST',
                            dataType: "json",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            data: function (d) {
                                d.filterMontYear = $('#myTabContent .tab-pane.active .dataTables_length').find('.datepicker-month-year').val() || '';

                                // Get the table number (you may replace this with your actual table number logic)
                                var tableNo     = 6;

                                // Extra parameters for the additional AJAX call
                                var extraParams = generateSearchStringValues(tableNo);

                                // Merge existing parameters (d) with extraParams
                                return $.extend({}, d, extraParams);
                            },
                            beforeSend: function () {
                                if (typeof table6 != 'undefined' && table6.hasOwnProperty('settings')) {
                                    table6.settings()[0].jqXHR.abort();
                                }
                            }
                        },
                        columns: [
                            <?php foreach($getField as $key => $filed): ?>
                                <?php if($filed == 1): ?>
                                    <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                                        <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                                        <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                                        <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                                        <?php else: ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php endforeach; ?>
                        ]
                    });

                    @php
                        $table6arry         = [];
                        if(isset($tables) && !empty($tables)){
                            $table6key      = array_search('table6', array_column($tables, 'name'));
                            if($table6key!==false){
                                $table6arry = $tables[$table6key];
                            }
                        }
                    @endphp
                    @if(!empty($table6arry))
                        $('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3" data-tablevariable="{{ $table6arry["name"] }}"><i class="fa fa-refresh"></i> Refresh</a>').prependTo('#{{ $table6arry["id"] }} .dataTables_filter');
                        $('<a href="javascript:void(0);" id="clearAll{{ str_replace("settings.", "", $tableName) }}_{{ $table6arry["name"] }}" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tableName) }} {{ str_replace("settings.", "", $tableName) }} ml-3 d-none" data-tablevariable="{{ $table6arry["name"] }}">Clear filters</a>').prependTo('#{{ $table6arry["id"] }} .dataTables_filter');
                        //
                        $('<label><input type="text" class="form-control form-control-sm datepicker-month-year" placeholder="MM/YYYY"></label>').appendTo('#{{ $table6arry["id"] }} .dataTables_length');
                        $('#{{ $table6arry["id"] }} .datepicker-month-year').datepicker({
                            format: 'mm/yyyy',
                            startView: 'months',
                            minViewMode: 'months',
                            autoclose: true,
                            clearBtn: true
                        }).on('keydown past', function(ev) {
                            if(ev.keyCode === 8 || ev.keyCode === 46){
                                return true;
                            }
                            return false;
                        }).on('changeDate', function(ev) {
                            var tableName   = $('#myTab li>.active').attr('data-table');
                            window[tableName].draw();
                        });
                    @endif
                } else {
                    // console.log('Table6 dataTable exists.');
                }
            } else if(hash === '#unoccupied') {
                if (!$.fn.DataTable.isDataTable('.unoccupied-load-data-table')) {
                    // console.log('Table7 dataTable does not exist.');

                    // Unoccupied
                    table7                  = $('.unoccupied-load-data-table').DataTable({
                        stateSave: true,
                        bSortCellsTop: true,
                        language: {
                            search: "",
                            searchPlaceholder: "Search...",
                        },
                        fixedHeader: true,
                        processing: true,
                        serverSide: true,
                        searching: true,
                        ordering: false,
                        info: false,
                        paging: true,
                        pageLength: "{{ perPageView() }}",
                        lengthChange: true,
                        dom: "<'row cusotdiv'<'col-sm-12 col-md-12 cusotdiv2'flB>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-12'p>>",
                        buttons: [
                            {
                                text: 'Export',
                                className: 'btn btn-primary',
                                action: function (e, dt, button, config) {
                                    // console.log('Export Button Clicked!');
                                    // return false;

                                    var filterMontYear = $('#myTabContent .tab-pane.active .dataTables_length').find('.datepicker-month-year').val() || '';

                                    if(filterMontYear !== ''){
                                        if(filterMontYear.length < 7) {
                                            toastr.error('Please select valid Month & Year', 'Error Alert', { timeOut: 5000 });
                                        }else{
                                            // Get the table number (you may replace this with your actual table number logic)
                                            var tableNo     = 7;

                                            // Extra parameters for the additional AJAX call
                                            var extraParams = $.extend({}, { export: 1, filterMontYear: filterMontYear }, generateSearchStringValues(tableNo));

                                            // Make an additional AJAX call with extra parameters
                                            $.ajax({
                                                url: '{{ route("company.admin.unoccupied.loads.index") }}',
                                                type: 'POST',
                                                data: $.extend({}, table7.ajax.params(), extraParams),
                                                dataType: 'json',
                                                headers: {
                                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                                },
                                                beforeSend: function() {
                                                    // console.log('beforeSend');
                                                    button.html('Exporting...');
                                                },
                                                success: function (response) {
                                                    // Handle success
                                                    // console.log(response);

                                                    // Check if the response contains a file path
                                                    if (response.hasOwnProperty('assetUrl')) {
                                                        var now                 = moment();
                                                        var timestamp           = now.format('YYYYMMDDHHmmss');
                                                        var filename            = 'loads_' + timestamp + '.xlsx';

                                                        // Simulate downloading the file
                                                        var downloadLink        = document.createElement('a');
                                                        downloadLink.href       = response.assetUrl;
                                                        downloadLink.download   = filename;
                                                        document.body.appendChild(downloadLink);
                                                        downloadLink.click();

                                                        // Remove the download link from the DOM
                                                        document.body.removeChild(downloadLink);
                                                    } else if (response.hasOwnProperty('error')) {
                                                        // Handle the case where the server returns an error
                                                        console.error(response.error);
                                                    } else {
                                                        // Handle unexpected response format
                                                        console.error('Unexpected response format');
                                                    }
                                                },
                                                complete: function() {
                                                    // console.log('complete');
                                                    button.html('Export');
                                                    toastr.success('Loads exported successfully', 'Success Alert', {timeOut: 5000});
                                                },
                                                error: function(jqXHR, status, exception) {
                                                    // Handle AJAX errors
                                                    var error;
                                                    if (jqXHR.status === 0) {
                                                        error = 'Not connected.\nPlease verify your network connection.';
                                                    } else if (jqXHR.status == 404) {
                                                        error = 'The requested page not found. [404]';
                                                    } else if (jqXHR.status == 500) {
                                                        error = 'Internal Server Error [500].';
                                                    } else if (exception === 'parsererror') {
                                                        error = 'Requested JSON parse failed.';
                                                    } else if (exception === 'timeout') {
                                                        error = 'Time out error.';
                                                    } else if (exception === 'abort') {
                                                        error = 'Ajax request aborted.';
                                                    } else {
                                                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                                                    }
                                                    console.error(error);
                                                }
                                            });
                                        }
                                    }else{
                                        $('#myTabContent .tab-pane.active .dataTables_length').find('.datepicker-month-year').focus();
                                        toastr.error('Month & Year cannot be empty', 'Error Alert', { timeOut: 5000 });
                                    }
                                }
                            },
                            {
                                text: 'Columns',
                                className: 'btn btn-primary',
                                attr: {
                                    'data-toggle': 'modal',
                                    'data-target': '#exampleModal'
                                }
                            }
                        ],
                        ajax: {
                            url: "{{ route('company.admin.unoccupied.loads.index') }}",
                            type:'POST',
                            dataType: "json",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            data: function (d) {
                                d.filterMontYear = $('#myTabContent .tab-pane.active .dataTables_length').find('.datepicker-month-year').val() || '';

                                // Get the table number (you may replace this with your actual table number logic)
                                var tableNo     = 7;

                                // Extra parameters for the additional AJAX call
                                var extraParams = generateSearchStringValues(tableNo);

                                // Merge existing parameters (d) with extraParams
                                return $.extend({}, d, extraParams);
                            },
                            beforeSend: function () {
                                if (typeof table7 != 'undefined' && table7.hasOwnProperty('settings')) {
                                    table7.settings()[0].jqXHR.abort();
                                }
                            }
                        },
                        columns: [
                            <?php foreach($getField as $key => $filed): ?>
                                <?php if($filed == 1): ?>
                                    <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                                        <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                                        <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                                        <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                                        <?php else: ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php endforeach; ?>
                        ]
                    });

                    @php
                        $table7arry         = [];
                        if(isset($tables) && !empty($tables)){
                            $table7key      = array_search('table7', array_column($tables, 'name'));
                            if($table7key!==false){
                                $table7arry = $tables[$table7key];
                            }
                        }
                    @endphp
                    @if(!empty($table7arry))
                        $('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3" data-tablevariable="{{ $table7arry["name"] }}"><i class="fa fa-refresh"></i> Refresh</a>').prependTo('#{{ $table7arry["id"] }} .dataTables_filter');
                        $('<a href="javascript:void(0);" id="clearAll{{ str_replace("settings.", "", $tableName) }}_{{ $table7arry["name"] }}" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tableName) }} {{ str_replace("settings.", "", $tableName) }} ml-3 d-none" data-tablevariable="{{ $table7arry["name"] }}">Clear filters</a>').prependTo('#{{ $table7arry["id"] }} .dataTables_filter');
                        //
                        $('<label><input type="text" class="form-control form-control-sm datepicker-month-year" placeholder="MM/YYYY"></label>').appendTo('#{{ $table7arry["id"] }} .dataTables_length');
                        $('#{{ $table7arry["id"] }} .datepicker-month-year').datepicker({
                            format: 'mm/yyyy',
                            startView: 'months',
                            minViewMode: 'months',
                            autoclose: true,
                            clearBtn: true
                        }).on('keydown past', function(ev) {
                            if(ev.keyCode === 8 || ev.keyCode === 46){
                                return true;
                            }
                            return false;
                        }).on('changeDate', function(ev) {
                            var tableName   = $('#myTab li>.active').attr('data-table');
                            window[tableName].draw();
                        });
                    @endif
                } else {
                    // console.log('Table7 dataTable exists.');
                }
            } else if(hash === '#allload') {
                if (!$.fn.DataTable.isDataTable('.allload-load-data-table')) {
                    // console.log('Table8 dataTable does not exist.');

                    // All Loads
                    table8                  = $('.allload-load-data-table').DataTable({
                        stateSave: true,
                        bSortCellsTop: true,
                        language: {
                            search: "",
                            searchPlaceholder: "Search...",
                        },
                        fixedHeader: true,
                        processing: true,
                        serverSide: true,
                        searching: true,
                        ordering: false,
                        info: false,
                        paging: true,
                        pageLength: "{{ perPageView() }}",
                        lengthChange: true,
                        dom: "<'row cusotdiv'<'col-sm-12 col-md-12 cusotdiv2'flB>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-12'p>>",
                        buttons: [
                            {
                                text: 'Export',
                                className: 'btn btn-primary',
                                action: function (e, dt, button, config) {
                                    // console.log('Export Button Clicked!');
                                    // return false;

                                    var filterMontYear = $('#myTabContent .tab-pane.active .dataTables_length').find('.datepicker-month-year').val() || '';

                                    if(filterMontYear !== ''){
                                        if(filterMontYear.length < 7) {
                                            toastr.error('Please select valid Month & Year', 'Error Alert', { timeOut: 5000 });
                                        }else{
                                            // Get the table number (you may replace this with your actual table number logic)
                                            var tableNo     = 8;

                                            // Extra parameters for the additional AJAX call
                                            var extraParams = $.extend({}, { export: 1, filterMontYear: filterMontYear }, generateSearchStringValues(tableNo));

                                            // Make an additional AJAX call with extra parameters
                                            $.ajax({
                                                url: '{{ route("company.admin.allload.loads.index") }}',
                                                type: 'POST',
                                                data: $.extend({}, table8.ajax.params(), extraParams),
                                                dataType: 'json',
                                                headers: {
                                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                                },
                                                beforeSend: function() {
                                                    // console.log('beforeSend');
                                                    button.html('Exporting...');
                                                },
                                                success: function (response) {
                                                    // Handle success
                                                    // console.log(response);

                                                    // Check if the response contains a file path
                                                    if (response.hasOwnProperty('assetUrl')) {
                                                        var now                 = moment();
                                                        var timestamp           = now.format('YYYYMMDDHHmmss');
                                                        var filename            = 'loads_' + timestamp + '.xlsx';

                                                        // Simulate downloading the file
                                                        var downloadLink        = document.createElement('a');
                                                        downloadLink.href       = response.assetUrl;
                                                        downloadLink.download   = filename;
                                                        document.body.appendChild(downloadLink);
                                                        downloadLink.click();

                                                        // Remove the download link from the DOM
                                                        document.body.removeChild(downloadLink);
                                                    } else if (response.hasOwnProperty('error')) {
                                                        // Handle the case where the server returns an error
                                                        console.error(response.error);
                                                    } else {
                                                        // Handle unexpected response format
                                                        console.error('Unexpected response format');
                                                    }
                                                },
                                                complete: function() {
                                                    // console.log('complete');
                                                    button.html('Export');
                                                    toastr.success('Loads exported successfully', 'Success Alert', {timeOut: 5000});
                                                },
                                                error: function(jqXHR, status, exception) {
                                                    // Handle AJAX errors
                                                    var error;
                                                    if (jqXHR.status === 0) {
                                                        error = 'Not connected.\nPlease verify your network connection.';
                                                    } else if (jqXHR.status == 404) {
                                                        error = 'The requested page not found. [404]';
                                                    } else if (jqXHR.status == 500) {
                                                        error = 'Internal Server Error [500].';
                                                    } else if (exception === 'parsererror') {
                                                        error = 'Requested JSON parse failed.';
                                                    } else if (exception === 'timeout') {
                                                        error = 'Time out error.';
                                                    } else if (exception === 'abort') {
                                                        error = 'Ajax request aborted.';
                                                    } else {
                                                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                                                    }
                                                    console.error(error);
                                                }
                                            });
                                        }
                                    }else{
                                        $('#myTabContent .tab-pane.active .dataTables_length').find('.datepicker-month-year').focus();
                                        toastr.error('Month & Year cannot be empty', 'Error Alert', { timeOut: 5000 });
                                    }
                                }
                            },
                            {
                                text: 'Columns',
                                className: 'btn btn-primary',
                                attr: {
                                    'data-toggle': 'modal',
                                    'data-target': '#exampleModal'
                                }
                            }
                        ],
                        ajax: {
                            url: '{{ route("company.admin.allload.loads.index") }}',
                            type:'POST',
                            dataType: 'json',
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            data: function (d) {
                                d.filterMontYear = $('#myTabContent .tab-pane.active .dataTables_length').find('.datepicker-month-year').val() || '';

                                // Get the table number (you may replace this with your actual table number logic)
                                var tableNo     = 8;

                                // Extra parameters for the additional AJAX call
                                var extraParams = generateSearchStringValues(tableNo);

                                // Merge existing parameters (d) with extraParams
                                return $.extend({}, d, extraParams);
                            },
                            beforeSend: function () {
                                if (typeof table8 != 'undefined' && table8.hasOwnProperty('settings')) {
                                    table8.settings()[0].jqXHR.abort();
                                }
                            }
                        },
                        columns: [
                            <?php foreach($getField as $key => $filed): ?>
                                <?php if($filed == 1): ?>
                                    <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                                        <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                                        <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                                        <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                                        <?php else: ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php endforeach; ?>
                        ]
                    });

                    @php
                        $table8arry         = [];
                        if(isset($tables) && !empty($tables)){
                            $table8key      = array_search('table8', array_column($tables, 'name'));
                            if($table8key!==false){
                                $table8arry = $tables[$table8key];
                            }
                        }
                    @endphp
                    @if(!empty($table8arry))
                        $('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3" data-tablevariable="{{ $table8arry["name"] }}"><i class="fa fa-refresh"></i> Refresh</a>').prependTo('#{{ $table8arry["id"] }} .dataTables_filter');
                        $('<a href="javascript:void(0);" id="clearAll{{ str_replace("settings.", "", $tableName) }}_{{ $table8arry["name"] }}" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tableName) }} {{ str_replace("settings.", "", $tableName) }} ml-3 d-none" data-tablevariable="{{ $table8arry["name"] }}">Clear filters</a>').prependTo('#{{ $table8arry["id"] }} .dataTables_filter');
                        //
                        $('<label><input type="text" class="form-control form-control-sm datepicker-month-year" placeholder="MM/YYYY"></label>').appendTo('#{{ $table8arry["id"] }} .dataTables_length');
                        $('#{{ $table8arry["id"] }} .datepicker-month-year').datepicker({
                            format: 'mm/yyyy',
                            startView: 'months',
                            minViewMode: 'months',
                            autoclose: true,
                            clearBtn: true
                        }).on('keydown past', function(ev) {
                            if(ev.keyCode === 8 || ev.keyCode === 46){
                                return true;
                            }
                            return false;
                        }).on('changeDate', function(ev) {
                            var tableName   = $('#myTab li>.active').attr('data-table');
                            window[tableName].draw();
                        });
                    @endif
                } else {
                    // console.log('Table8 dataTable exists.');
                }
            } else if(hash === '#oosapproval') {
                if (!$.fn.DataTable.isDataTable('.oosapproval-load-data-table')) {
                    // console.log('Table9 dataTable does not exist.');

                    // OOS Pending
                    table9                  = $('.oosapproval-load-data-table').DataTable({
                        stateSave: true,
                        bSortCellsTop: true,
                        language: {
                            search: "",
                            searchPlaceholder: "Search...",
                        },
                        fixedHeader: true,
                        processing: true,
                        serverSide: true,
                        searching: true,
                        ordering: false,
                        info: false,
                        paging: true,
                        pageLength: "{{ perPageView() }}",
                        lengthChange: true,
                        dom: "<'row cusotdiv'<'col-sm-12 col-md-12 cusotdiv2'flB>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-12'p>>",
                        buttons: [
                            {
                                text: 'Export',
                                className: 'btn btn-primary',
                                action: function (e, dt, button, config) {
                                    // console.log('Export Button Clicked!');
                                    // return false;

                                    var filterMontYear = $('#myTabContent .tab-pane.active .dataTables_length').find('.datepicker-month-year').val() || '';

                                    if(filterMontYear !== ''){
                                        if(filterMontYear.length < 7) {
                                            toastr.error('Please select valid Month & Year', 'Error Alert', { timeOut: 5000 });
                                        }else{
                                            // Get the table number (you may replace this with your actual table number logic)
                                            var tableNo     = 9;

                                            // Extra parameters for the additional AJAX call
                                            var extraParams = $.extend({}, { export: 1, filterMontYear: filterMontYear }, generateSearchStringValues(tableNo));

                                            // Make an additional AJAX call with extra parameters
                                            $.ajax({
                                                url: '{{ route("company.admin.oos.pending.loads.index") }}',
                                                type: 'POST',
                                                data: $.extend({}, table9.ajax.params(), extraParams),
                                                dataType: 'json',
                                                headers: {
                                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                                },
                                                beforeSend: function() {
                                                    // console.log('beforeSend');
                                                    button.html('Exporting...');
                                                },
                                                success: function (response) {
                                                    // Handle success
                                                    // console.log(response);

                                                    // Check if the response contains a file path
                                                    if (response.hasOwnProperty('assetUrl')) {
                                                        var now                 = moment();
                                                        var timestamp           = now.format('YYYYMMDDHHmmss');
                                                        var filename            = 'loads_' + timestamp + '.xlsx';

                                                        // Simulate downloading the file
                                                        var downloadLink        = document.createElement('a');
                                                        downloadLink.href       = response.assetUrl;
                                                        downloadLink.download   = filename;
                                                        document.body.appendChild(downloadLink);
                                                        downloadLink.click();

                                                        // Remove the download link from the DOM
                                                        document.body.removeChild(downloadLink);
                                                    } else if (response.hasOwnProperty('error')) {
                                                        // Handle the case where the server returns an error
                                                        console.error(response.error);
                                                    } else {
                                                        // Handle unexpected response format
                                                        console.error('Unexpected response format');
                                                    }
                                                },
                                                complete: function() {
                                                    // console.log('complete');
                                                    button.html('Export');
                                                    toastr.success('Loads exported successfully', 'Success Alert', {timeOut: 5000});
                                                },
                                                error: function(jqXHR, status, exception) {
                                                    // Handle AJAX errors
                                                    var error;
                                                    if (jqXHR.status === 0) {
                                                        error = 'Not connected.\nPlease verify your network connection.';
                                                    } else if (jqXHR.status == 404) {
                                                        error = 'The requested page not found. [404]';
                                                    } else if (jqXHR.status == 500) {
                                                        error = 'Internal Server Error [500].';
                                                    } else if (exception === 'parsererror') {
                                                        error = 'Requested JSON parse failed.';
                                                    } else if (exception === 'timeout') {
                                                        error = 'Time out error.';
                                                    } else if (exception === 'abort') {
                                                        error = 'Ajax request aborted.';
                                                    } else {
                                                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                                                    }
                                                    console.error(error);
                                                }
                                            });
                                        }
                                    }else{
                                        $('#myTabContent .tab-pane.active .dataTables_length').find('.datepicker-month-year').focus();
                                        toastr.error('Month & Year cannot be empty', 'Error Alert', { timeOut: 5000 });
                                    }
                                }
                            },
                            {
                                text: 'Columns',
                                className: 'btn btn-primary',
                                attr: {
                                    'data-toggle': 'modal',
                                    'data-target': '#exampleModal'
                                }
                            }
                        ],
                        ajax: {
                            url: "{{ route('company.admin.oos.pending.loads.index') }}",
                            type:'POST',
                            dataType: "json",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            data: function (d) {
                                d.filterMontYear = $('#myTabContent .tab-pane.active .dataTables_length').find('.datepicker-month-year').val() || '';

                                // Get the table number (you may replace this with your actual table number logic)
                                var tableNo     = 9;

                                // Extra parameters for the additional AJAX call
                                var extraParams = generateSearchStringValues(tableNo);

                                // Merge existing parameters (d) with extraParams
                                return $.extend({}, d, extraParams);
                            },
                            beforeSend: function () {
                                if (typeof table9 != 'undefined' && table9.hasOwnProperty('settings')) {
                                    table9.settings()[0].jqXHR.abort();
                                }
                            }
                        },
                        columns: [
                            <?php foreach($getField as $key => $filed): ?>
                                <?php if($filed == 1): ?>
                                    <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                                        <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                                        <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                                        <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                                        <?php else: ?>
                                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php endforeach; ?>
                        ]
                    });

                    @php
                        $table9arry         = [];
                        if(isset($tables) && !empty($tables)){
                            $table9key      = array_search('table9', array_column($tables, 'name'));
                            if($table9key!==false){
                                $table9arry = $tables[$table9key];
                            }
                        }
                    @endphp
                    @if(!empty($table9arry))
                        $('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3" data-tablevariable="{{ $table9arry["name"] }}"><i class="fa fa-refresh"></i> Refresh</a>').prependTo('#{{ $table9arry["id"] }} .dataTables_filter');
                        $('<a href="javascript:void(0);" id="clearAll{{ str_replace("settings.", "", $tableName) }}_{{ $table9arry["name"] }}" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tableName) }} {{ str_replace("settings.", "", $tableName) }} ml-3 d-none" data-tablevariable="{{ $table9arry["name"] }}">Clear filters</a>').prependTo('#{{ $table9arry["id"] }} .dataTables_filter');
                        //
                        $('<label><input type="text" class="form-control form-control-sm datepicker-month-year" placeholder="MM/YYYY"></label>').appendTo('#{{ $table9arry["id"] }} .dataTables_length');
                        $('#{{ $table9arry["id"] }} .datepicker-month-year').datepicker({
                            format: 'mm/yyyy',
                            startView: 'months',
                            minViewMode: 'months',
                            autoclose: true,
                            clearBtn: true
                        }).on('keydown past', function(ev) {
                            if(ev.keyCode === 8 || ev.keyCode === 46){
                                return true;
                            }
                            return false;
                        }).on('changeDate', function(ev) {
                            var tableName   = $('#myTab li>.active').attr('data-table');
                            window[tableName].draw();
                        });
                    @endif
                } else {
                    // console.log('Table9 dataTable exists.');
                }
            }
        }
        function generateSearchStringValues(tableNo) {
            var searchParams                = {};

            <?php foreach($getField as $key => $filed): ?>
                searchParams['search_string_value_{{ $key }}']                  = $('#search_string_{{ $key }}_table'+tableNo).val();
                searchParams['search_string_name_{{ $key }}']                   = $('#stringKey{{ $key }}_table'+tableNo).val();
                searchParams['search_string_type_{{ $key }}']                   = $('#stringType{{ $key }}_table'+tableNo).val();
                searchParams['search_table_name_{{ $key }}']                    = $('#stringTableType{{ $key }}_table'+tableNo).val();
                searchParams['search_string_col_alias_{{ $key }}']              = $('#stringColAlias{{ $key }}_table'+tableNo).val();
                searchParams['search_string_condition_{{ $key }}']              = $("input[type='radio'][name='condition{{ $key }}']:checked").val();
                searchParams['search_string_sort_{{ $key }}']                   = $("input[type='radio'][name='string_sort_{{ $key }}']:checked").val();
                
                searchParams['search_string_relation_table_{{ $key }}']         = $('#stringRelationTable{{ $key }}_table'+tableNo).val();
                searchParams['search_string_col_name1_{{ $key }}']              = $('#stringColName1{{ $key }}_table'+tableNo).val();
                searchParams['search_string_col_name2_{{ $key }}']              = $('#stringColName2{{ $key }}_table'+tableNo).val();
                searchParams['search_string_static_{{ $key }}']                 = $('#stringStatic{{ $key }}_table'+tableNo).val();

                searchParams['search_string_having_{{ $key }}']                 = $('#stringHaving{{ $key }}_table'+tableNo).val();

                searchParams['search_string_col_alias1_name_{{ $key }}']        = $('#stringColAl1{{ $key }}_table'+tableNo).val();
                searchParams['search_string_col_alias2_name_{{ $key }}']        = $('#stringColAl2{{ $key }}_table'+tableNo).val();
                searchParams['search_string_col_alias3_name_{{ $key }}']        = $('#stringColAl3{{ $key }}_table'+tableNo).val();
                searchParams['search_string_col_alias4_name_{{ $key }}']        = $('#stringColAl4{{ $key }}_table'+tableNo).val();
                searchParams['search_string_col_alias5_name_{{ $key }}']        = $('#stringColAl5{{ $key }}_table'+tableNo).val();
                searchParams['search_string_col_alias6_name_{{ $key }}']        = $('#stringColAl6{{ $key }}_table'+tableNo).val();

                searchParams['search_date_from_value_{{ $key }}']               = $('#search_date_{{ $key }}_table'+tableNo).val();
                searchParams['search_date_to_value_{{ $key }}']                 = $('#search_date_end_{{ $key }}_table'+tableNo).val();
                searchParams['search_date_name_{{ $key }}']                     = $('#dateKey{{ $key }}_table'+tableNo).val();
                searchParams['search_date_type_{{ $key }}']                     = $('#dateType{{ $key }}_table'+tableNo).val();
                searchParams['search_date_table_name_{{ $key }}']               = $('#dateTableType{{ $key }}_table'+tableNo).val();
                searchParams['search_date_condition_{{ $key }}']                = $("input[type='radio'][name='conditiondate{{ $key }}']:checked").val();
                searchParams['search_date_sort_{{ $key }}']                     = $("input[type='radio'][name='date_sort_{{ $key }}']:checked").val();

                <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                    searchParams['search_status_value_{{ $key }}_{{ $ke }}']    = $("#conditionstatus_{{ $key }}_{{ $ke }}_table"+tableNo+":checked").val();
                <?php endforeach; ?>

                searchParams['search_status_condition_{{ $key }}']              = $('#is_status_condition_applied{{ $key }}_table'+tableNo).val();
                searchParams['search_status_name_{{ $key }}']                   = $('#statusOrgColName{{ $key }}_table'+tableNo).val();
                searchParams['search_status_table_name_{{ $key }}']             = $('#statusTableType{{ $key }}_table'+tableNo).val();
                searchParams['search_status_sort_{{ $key }}']                   = $("input[type='radio'][name='status_sort_{{ $key }}']:checked").val();
                searchParams['search_status_sort_column_{{ $key }}']            = $("#statusOrderColName{{ $key }}_table"+tableNo).val();
            <?php endforeach; ?>

            return searchParams;
        }
        function loader(){
            Swal.fire({
                title: '<h5 class="font-weight-bold">Please wait...</h5>',
                allowEscapeKey: false,
                allowOutsideClick: false,
                didOpen: () => {
                    Swal.showLoading()
                }
            });
        }
    </script>
    <script type="text/javascript">
        $(document).on('change', '.datepicker-month-year', function (){
            if($(this).val() === ''){
                var tableName   = $('#myTab li>.active').attr('data-table');
                window[tableName].draw();
            }
        });
    </script>
@endsection