<!doctype html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <style type="text/css">
        .highcharts-axis-labels.highcharts-yaxis-labels{
            display:none;
        }
        @media print{
            @page {
                size: landscape;
                margin: 0;
            }
            body{
                -webkit-print-color-adjust:exact !important;
                print-color-adjust:exact !important;
            }
        }
    </style>
</head>
<body>
    <table cellspacing="0" cellpadding="0" style="background-color: white; width: 816px;height: 1058px; margin: auto;    border-radius: 18px;border: 1px solid #CCCCCC; padding:18px; border-collapse: collapse;border-spacing: 0;word-wrap: break-word;">
        <thead>
            <tr>
                <th>
                    <h1 style="text-align: center;font-size: 17px;color: #305f9c; font-weight: bold;font-weight: bold;margin-left: 0px;text-align: center;line-height: 23px;font-family: 'Open Sans', sans-serif;margin: 0;padding-top: 12px;">{{ $year.' Week '.$week }}</h1>
                    <p style="text-align: center;font-size: 14px;margin-top: 3px;line-height: 19px;color: #305f9c; font-weight: bold;font-weight: 600;font-family: 'Open Sans', sans-serif;margin: 0;padding-bottom: 12px;">Week Ending {{ $weekEndingDate }}</p>
                </th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td style="vertical-align: top; padding: 8px;border-collapse: collapse;border-spacing: 0; width: 100%;" cellspacing="0" cellpadding="0">
                    @php
                        $sunday              = \Carbon\Carbon::parse($startDate)->format('m/d/Y');
                        $sunday_name         = \Carbon\Carbon::parse($startDate)->format('l');
                        $monday              = \Carbon\Carbon::parse($startDate)->addDay()->format('m/d/Y');
                        $monday_name         = \Carbon\Carbon::parse($startDate)->addDay()->format('l');
                        $tuesday             = \Carbon\Carbon::parse($startDate)->addDays(2)->format('m/d/Y');
                        $tuesday_name        = \Carbon\Carbon::parse($startDate)->addDays(2)->format('l');
                        $wednesday           = \Carbon\Carbon::parse($startDate)->addDays(3)->format('m/d/Y');
                        $wednesday_name      = \Carbon\Carbon::parse($startDate)->addDays(3)->format('l');
                        $thursday            = \Carbon\Carbon::parse($startDate)->addDays(4)->format('m/d/Y');
                        $thursday_name       = \Carbon\Carbon::parse($startDate)->addDays(4)->format('l');
                        $friday              = \Carbon\Carbon::parse($startDate)->addDays(5)->format('m/d/Y');
                        $friday_name         = \Carbon\Carbon::parse($startDate)->addDays(5)->format('l');
                        $saturday            = \Carbon\Carbon::parse($endDate)->format('m/d/Y');
                        $saturday_name       = \Carbon\Carbon::parse($endDate)->format('l');
                        $days = [$sunday,$monday,$tuesday,$wednesday,$thursday,$friday,$saturday];

                        $chartarray     = array();
                        $ch             = 0;
                    @endphp
                    <table style="border-collapse: collapse;border-spacing: 0; width: 100%;" cellspacing="0" cellpadding="0">
                        <thead>
                            <tr style="background-color: #305F9C; font-weight: bold;color: white;">
                                <th style="font-size: 8px; padding: 4px;font-family: sans-serif;text-align: center;width: 78px;min-width: 78px;max-width: 78px;">
                                    Driver
                                </th>
                                <th style="font-size: 8px; padding: 4px;font-family: sans-serif;text-align: center;width: 55px;min-width: 70px;max-width: 55px;">
                                    Occupancy Based Revenue
                                </th>
                                <th style="font-size: 8px; padding: 4px;font-family: sans-serif;text-align: center;width: 55px;min-width: 70px;max-width: 55px;">
                                    Occupancy
                                </th>
                                <th style="font-size: 8px; padding: 4px;font-family: sans-serif;text-align: center;width: 55px;min-width: 70px;max-width: 55px;">
                                    Revenue
                                </th>
                                <th style="font-size: 8px; padding: 4px;font-family: sans-serif;text-align: center; width: 30px; min-width: 30px;max-width: 30px;">
                                    Mileage
                                </th>
                                <th style="font-size: 8px; padding: 4px;font-family: sans-serif;text-align: center;width: 45px; min-width: 45px;max-width: 45px;">
                                    CPM
                                </th>
                                <th style="font-size: 8px; padding: 4px;font-family: sans-serif;text-align: center;width: 58px; min-width: 58px;max-width: 58px;">
                                </th>
                                <th style="font-size: 8px; padding: 2px;font-family: sans-serif;text-align: center;width: 58PX; min-width: 58px;max-width: 58px;">
                                    {{ $sunday_name }}<br>{{ $sunday }}
                                </th>
                                <th style="font-size: 8px; padding: 2px;font-family: sans-serif;text-align: center;width: 58PX; min-width: 58px;max-width: 58px;">
                                    {{ $monday_name }}<br>{{ $monday }}
                                </th>
                                <th style="font-size: 8px; padding: 2px;font-family: sans-serif;text-align: center;width: 58PX; min-width: 58px;max-width: 58px;">
                                    {{ $tuesday_name }}<br>{{ $tuesday }}
                                </th>
                                <th style="font-size: 8px; padding: 2px;font-family: sans-serif;text-align: center;width: 58PX; min-width: 58px;max-width: 58px;">
                                    {{ $wednesday_name }}<br>{{ $wednesday }}
                                </th>
                                <th style="font-size: 8px; padding: 2px;font-family: sans-serif;text-align: center;width: 58PX; min-width: 58px;max-width: 58px;">
                                    {{ $thursday_name }}<br>{{ $thursday }}
                                </th>
                                <th style="font-size: 8px; padding: 2px;font-family: sans-serif;text-align: center;width: 58PX; min-width: 58px;max-width: 58px;">
                                    {{ $friday_name }}<br>{{ $friday }}
                                </th>
                                <th style="font-size: 8px; padding: 2px;font-family: sans-serif;text-align: center;width: 58PX; min-width: 58px;max-width: 58px;">
                                    {{ $saturday_name }}<br>{{ $saturday }}
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            @php
                                $chartarray = array();
                                $ch = 0;
                            @endphp
                            @if(count($loads))
                                @php
                                    $chartarray = array();
                                    $ch = 0;
                                @endphp
                                @foreach ($loads as $load)
                                    @php
                                        $driver_id = isset($load->driver_id) ? $load->driver_id : $load->id;
                                        $getTargetByDate = getTargetRevenueMilesByDate($startDate,$endDate,$driver_id);
                                        $getLoadGrossRevenue = getLoadGrossRevenue($startDate,$endDate,$driver_id,$load,$trailer_type,$dispatcher);
                                        $getLoadOccupancy = round(getLoadOccupancy($startDate,$endDate,$driver_id,$load,$trailer_type,$dispatcher));
                                        $getLoadTargetOvnerUnder = getLoadTargetOvnerUnder($startDate,$endDate,$driver_id,$getTargetByDate['revenue'],$load,$trailer_type,$dispatcher);
                                    @endphp
                                    <tr>
                                        <td colspan="14" style="padding: 4px 0; border-collapse: collapse;border-spacing: 0; width: 100%;" cellspacing="0" cellpadding="0">
                                            <div style="border: 1px solid #CCCCCC;border-radius: 10px;">
                                                <table style="border-collapse: collapse;border-spacing: 0;width: 100%;" cellspacing="0" cellpadding="0">
                                                    <tbody>
                                                        <tr>
                                                            <td style="font-size: 8px; padding: 0px 4px;font-family: sans-serif;text-align: center;margin: 5px 0;width: 78px; min-width: 78px;max-width: 78px;font-weight: bold;">
                                                                {{ $load->last_name }}, {{ $load->first_name }}
                                                                <span style="@if ($getLoadTargetOvnerUnder < 0) color:#FF1010; @elseif ($getLoadTargetOvnerUnder > 0) color:#305F9C; @endif display: block;">
                                                                    @php
                                                                        $fmt = new \NumberFormatter('en_US', \NumberFormatter::CURRENCY);
                                                                        echo $fmt->formatCurrency($getLoadTargetOvnerUnder, "USD");
                                                                    @endphp
                                                                </span>
                                                            </td>
                                                            @php
                                                                $getOccupancyBasedRevenue = getOccupancyBasedRevenue2($getLoadGrossRevenue, $getLoadOccupancy, $getTargetByDate['revenue']);
                                                                $getOccupancyBasedRevenue = round($getOccupancyBasedRevenue);
                                                                $chartarray[$ch]['driver_id'] = $driver_id;
                                                                $chartarray[$ch]['getOccupancyBasedRevenue'] = $getOccupancyBasedRevenue;
                                                            @endphp
                                                            <td style="font-size: 8px; padding: 0px 4px;font-family: sans-serif;text-align: center;margin: 5px 0;width: 55px; min-width: 70px;max-width: 55px;font-weight: bold;">
                                                                {{--<img alt="" src="https://html.spaculus.info/SEO/graph.png" style="max-width: 50px;" />--}}
                                                                <div id="OccupancyBasedRevenueChart{{ $driver_id }}" class="chart-container"></div>
                                                            </td>
                                                            @php
                                                                $chartarray[$ch]['getLoadOccupancy'] = $getLoadOccupancy;
                                                                $chartarray[$ch]['getLoadOccupancyGoal'] = $getTargetByDate['occupancy'];
                                                            @endphp
                                                            <td style="font-size: 8px; padding: 0px 4px;font-family: sans-serif;text-align: center;margin: 5px 0;width: 55px; min-width: 70px;max-width: 55px;font-weight: bold;">
                                                                {{--<img alt="" src="https://html.spaculus.info/SEO/graph.png" style="max-width: 50px;" />--}}
                                                                <div id="getLoadOccupancy{{ $driver_id }}" class="chart-container"></div>
                                                            </td>
                                                            @php
                                                                $fmt = new \NumberFormatter('en_US', \NumberFormatter::CURRENCY);
                                                                $targetRevenu = $getTargetByDate['revenue'];
                                                                $chartarray[$ch]['getLoadTargetRevenue'] = round($getTargetByDate['revenue']);
                                                                $chartarray[$ch]['getLoadGrossRevenue'] = round($getLoadGrossRevenue);
                                                            @endphp
                                                            <td style="font-size: 8px; padding: 0px 4px;font-family: sans-serif;text-align: center;margin: 5px 0;width: 55px; min-width: 70px;max-width: 55px;font-weight: bold;">
                                                                {{--<img alt="" src="https://html.spaculus.info/SEO/graph.png" style="max-width: 50px;" />--}}
                                                                <div id="getLoadGrossRevenue{{ $driver_id }}" class="chart-container"></div>
                                                            </td>
                                                            @php
                                                                $getLoadMileage = getLoadTotalMileage($startDate,$endDate,$driver_id,$load,$trailer_type,$dispatcher);
                                                            @endphp
                                                            <td style="font-size: 8px; padding: 0px 4px;font-family: sans-serif;text-align: center;margin: 5px 0;width: 30px; min-width: 30px;max-width: 30px;font-weight: bold;">{{ number_format($getLoadMileage) }}</td>
                                                            @php
                                                                $getLoadCPM = getLoadTotalMileCPM($startDate,$endDate,$driver_id,$load,$trailer_type,$dispatcher);
                                                                $fmt = new \NumberFormatter('en_US', \NumberFormatter::CURRENCY);
                                                            @endphp
                                                            <td style="font-size: 8px; padding: 0px 4px;font-family: sans-serif;text-align: center;margin: 5px 0;width: 45px; min-width: 45px;max-width: 45px;font-weight: bold;">
                                                                @php
                                                                    echo $fmt->formatCurrency($getLoadCPM, "USD");
                                                                @endphp
                                                            </td>
                                                            <td>
                                                                @php
                                                                    $weekTotal = [];
                                                                    $m = 0;
                                                                @endphp
                                                                <div style="border-left: 1px solid #CCCCCC; width: 100%;z-index: 2; overflow: hidden;">
                                                                    <table style="border-collapse: collapse;border-spacing: 0;width: 100%;z-index: -1; " cellspacing="0" cellpadding="0">
                                                                        <tbody>
                                                                            <tr>
                                                                                <th style="font-size: 8px; padding: 5px;font-family: sans-serif;text-align: left;width: 58px; min-width: 58px;max-width: 58px;border-width: 0px 1px 1px 0px;border-style: solid; border-color: #CCCCCC; background-color: #F6F6F6B3;     color: #305F9C; font-weight: bold;">
                                                                                    Load No.
                                                                                </th>
                                                                                @foreach($days as $day)
                                                                                    @php
                                                                                        $get_load_by_date = getLoadByDate($day, $load, null, $trailer_type, $dispatcher);
                                                                                    @endphp
                                                                                    <td style="font-size: 8px; padding: 4px;font-family: sans-serif;text-align: left;width: 58px; min-width: 58px;max-width: 58px;border: 1px solid #CCCCCC;border-top: none; {{ $loop->last ? 'border-right: none;' : '' }} font-weight: 600;">
                                                                                        @if(count($get_load_by_date) == 1)
                                                                                            @foreach ($get_load_by_date as $loadBydate)
                                                                                                {{ $loadBydate->load_type == 0 || $loadBydate->load_type == 6 ? $loadBydate->load_number : getLoadTypeList()[$loadBydate->load_type] }}
                                                                                            @endforeach
                                                                                        @elseif(count($get_load_by_date) > 1)
                                                                                            <ul style="padding: 0px;margin: 0px;" type="none">
                                                                                            @foreach ($get_load_by_date as $loadBydate)
                                                                                                <li style="margin: 2px 0px;">{{ $loadBydate->load_type == 0 || $loadBydate->load_type == 6 ? $loadBydate->load_number : getLoadTypeList()[$loadBydate->load_type] }}</li>
                                                                                            @endforeach
                                                                                            </ul>
                                                                                        @else
                                                                                            &nbsp;
                                                                                        @endif
                                                                                    </td>
                                                                                @endforeach
                                                                            </tr>
                                                                            <tr>
                                                                                <th style="font-size: 8px; padding: 5px;font-family: sans-serif;text-align: left;width: 58px; min-width: 58px;max-width: 58px;border-width: 0px 1px 1px 0px;border-style: solid; border-color: #CCCCCC; background-color: #F6F6F6B3;     color: #305F9C; font-weight: bold;">
                                                                                    Location
                                                                                </th>
                                                                                @foreach($days as $day)
                                                                                    @php
                                                                                        $get_load_by_date = getLoadByDate($day, $load, null, $trailer_type, $dispatcher);
                                                                                    @endphp
                                                                                    <td style="font-size: 8px; padding: 4px;font-family: sans-serif;text-align: left;width: 58px; min-width: 58px;max-width: 58px;border: 1px solid #CCCCCC;border-top: none;font-weight: 600;">
                                                                                        @if (count($get_load_by_date) == 1)
                                                                                            @foreach ($get_load_by_date as $loadBydate)
                                                                                                @if (!is_null(getAddressCityState($loadBydate->shipper_city, $loadBydate->shipper_state)) && !is_null(getAddressCityState($loadBydate->delivery_city, $loadBydate->delivery_state)))
                                                                                                    <p>{{ getAddressCityState($loadBydate->delivery_city, $loadBydate->delivery_state) }}</p>
                                                                                                @else
                                                                                                    &nbsp;
                                                                                                @endif
                                                                                            @endforeach
                                                                                        @elseif(count($get_load_by_date) > 1)
                                                                                            <ul style="padding: 0px;margin: 0px;" type="none">
                                                                                            @foreach ($get_load_by_date as $loadBydate)
                                                                                                <li style="margin: 5px 0px;">
                                                                                                @if (in_array($loadBydate->load_type, [1, 2, 3, 4, 5]))
                                                                                                    {{ getLoadTypeList()[$loadBydate->load_type] }}
                                                                                                @else
                                                                                                    {{ $loadBydate->load_number }}
                                                                                                @endif -
                                                                                                {{ getAddressCityState($loadBydate->delivery_city, $loadBydate->delivery_state) }}
                                                                                                </li>
                                                                                            @endforeach
                                                                                            </ul>
                                                                                        @else
                                                                                            &nbsp;
                                                                                        @endif
                                                                                    </td>
                                                                                @endforeach
                                                                            </tr>
                                                                            <tr>
                                                                                <th style="font-size: 8px; padding: 5px;font-family: sans-serif;text-align: left;width: 58px; min-width: 58px;max-width: 58px;border-width: 0px 1px 1px 0px;border-style: solid; border-color: #CCCCCC; background-color: #F6F6F6B3;     color: #305F9C; font-weight: bold;">
                                                                                    Miles
                                                                                </th>
                                                                                @foreach($days as $day)
                                                                                    @php
                                                                                        $get_load_by_date = getLoadByDate($day, $load, null, $trailer_type, $dispatcher);
                                                                                    @endphp
                                                                                    <td style="font-size: 8px; padding: 4px;font-family: sans-serif;text-align: left;width: 58px; min-width: 58px;max-width: 58px;border: 1px solid #CCCCCC;border-top: none;font-weight: 600;">
                                                                                        @php
                                                                                            $tm = 0;
                                                                                            $miles = [];
                                                                                        @endphp
                                                                                        @if(count($get_load_by_date) == 1)
                                                                                            <ul style="padding: 0px;margin: 0px;" type="none">
                                                                                            @foreach ($get_load_by_date as $loadBydate)
                                                                                                @if ($day == \Carbon\Carbon::parse($loadBydate->actual_delivery_date)->format('m/d/Y'))
                                                                                                    @php
                                                                                                        $cal_miles = getLoadTotalMiles($loadBydate);
                                                                                                    @endphp
                                                                                                @else
                                                                                                    @php
                                                                                                        $cal_miles = 0;
                                                                                                    @endphp
                                                                                                @endif
                                                                                                @php
                                                                                                    $cal_miles = floatval(str_replace(',', '', $cal_miles));
                                                                                                    $miles[$tm] = $cal_miles;
                                                                                                @endphp
                                                                                                @if(isset($cal_miles) && $cal_miles!='' && $cal_miles > 0)
                                                                                                    <li>Total: {{ number_format($cal_miles) }}</li>
                                                                                                    <li>Deadhead: {{ (int)$loadBydate->emlity_miles }}</li>
                                                                                                    <li>Loaded: {{ (int)$loadBydate->loaded_miles }}</li>
                                                                                                @endif
                                                                                                @php $tm++; @endphp
                                                                                            @endforeach
                                                                                            </ul>
                                                                                        @elseif(count($get_load_by_date) > 1)
                                                                                            @php $html = '<ul style="padding: 0px;margin: 0px;" type="none">'; @endphp
                                                                                            @foreach ($get_load_by_date as $loadBydate)
                                                                                                @if($day == \Carbon\Carbon::parse($loadBydate->actual_delivery_date)->format('m/d/Y'))
                                                                                                    @php $cal_miles = getLoadTotalMiles($loadBydate); @endphp
                                                                                                @else
                                                                                                    @php $cal_miles = 0; @endphp
                                                                                                @endif
                                                                                                @php
                                                                                                    $cal_miles = floatval(str_replace(',', '', $cal_miles));
                                                                                                    $miles[$tm] = $cal_miles;
                                                                                                @endphp
                                                                                                @php $name = ''; @endphp
                                                                                                @if (in_array($loadBydate->load_type, [1, 2, 3, 4, 5]))
                                                                                                    @php $name = getLoadTypeList()[$loadBydate->load_type]; @endphp
                                                                                                @else
                                                                                                    @php $name = $loadBydate->load_number; @endphp
                                                                                                @endif
                                                                                                @php $html .= '<li style="margin: 5px 0px;">'.$name.'
                                                                                                    <ul style="padding: 0px;margin: 0px;" type="none">
                                                                                                        <li>Deadhead: '.(int)$loadBydate->empty_miles.'</li>
                                                                                                        <li>Loaded: '.(int)$loadBydate->loaded_miles.'</li>
                                                                                                        <li>Total: '.number_format($cal_miles).'</li>
                                                                                                    </ul>
                                                                                                </li>'; @endphp
                                                                                                @php $tm++; @endphp
                                                                                            @endforeach
                                                                                            @php $html .= '</ul>'; @endphp
                                                                                            @php $total_miles = array_sum($miles); @endphp
                                                                                            @if($total_miles > 0)
                                                                                                <p style="margin: 5px 0px;">Total Mile: {{ number_format($total_miles) }}</p>
                                                                                                {!! $html !!}
                                                                                            @endif
                                                                                        @else
                                                                                            &nbsp;
                                                                                        @endif
                                                                                    </td>
                                                                                @endforeach
                                                                            </tr>
                                                                            <tr>
                                                                                <th style="font-size: 8px; padding: 5px;font-family: sans-serif;text-align: left;width: 58px; min-width: 58px;max-width: 58px;border-width: 0px 1px 1px 0px;border-style: solid; border-color: #CCCCCC; background-color: #F6F6F6B3;     color: #305F9C; font-weight: bold;">
                                                                                    Revenue
                                                                                </th>
                                                                                @foreach($days as $day)
                                                                                    @php
                                                                                        $get_load_by_date = getLoadByDate($day, $load, null, $trailer_type, $dispatcher);
                                                                                    @endphp
                                                                                    <td style="font-size: 8px; padding: 4px;font-family: sans-serif;text-align: left;width: 58px; min-width: 58px;max-width: 58px;border: 1px solid #CCCCCC;border-top: none;font-weight: 600;">
                                                                                        @php
                                                                                            $tr = 0;
                                                                                            $total_revenue = [];
                                                                                        @endphp
                                                                                        @if(count($get_load_by_date) == 1)
                                                                                            @foreach ($get_load_by_date as $loadBydate)
                                                                                                @if ($day == \Carbon\Carbon::parse($loadBydate->actual_delivery_date)->format('m/d/Y'))
                                                                                                    @if ($loadBydate->is_disable == 0)
                                                                                                        @php $cal_revenue   = getLoadRevenue($loadBydate) @endphp
                                                                                                    @else
                                                                                                        @php $cal_revenue   = getLoadPay($loadBydate) @endphp
                                                                                                    @endif
                                                                                                @else
                                                                                                    @php $cal_revenue = '$0'; @endphp
                                                                                                @endif
                                                                                                @php $total_revenue[$tr] = $cal_revenue; @endphp
                                                                                                @php $total_revenue_amt = floatval(str_replace(',', '', str_replace('$', '', $cal_revenue))); @endphp
                                                                                                @if($total_revenue_amt > 0)
                                                                                                    {{ "$" . number_format($total_revenue_amt, 2) }}
                                                                                                @endif
                                                                                                @php $tr++; @endphp
                                                                                            @endforeach
                                                                                        @elseif(count($get_load_by_date) > 1)
                                                                                            @php  $html = '<ul style="padding: 0px;margin: 0px;" type="none">'; @endphp
                                                                                            @foreach ($get_load_by_date as $loadBydate)
                                                                                                @if($day == \Carbon\Carbon::parse($loadBydate->actual_delivery_date)->format('m/d/Y'))
                                                                                                    @if ($loadBydate->is_disable == 0)
                                                                                                        @php $cal_revenue = getLoadRevenue($loadBydate) @endphp
                                                                                                    @else
                                                                                                        @php $cal_revenue = getLoadPay($loadBydate) @endphp
                                                                                                    @endif
                                                                                                @else
                                                                                                    @php $cal_revenue = '$0'; @endphp
                                                                                                @endif
                                                                                                @php $total_revenue[$tr] = $cal_revenue; @endphp
                                                                                                @php $name = ''; @endphp
                                                                                                @if (in_array($loadBydate->load_type, [1, 2, 3, 4, 5]))
                                                                                                    @php $name = getLoadTypeList()[$loadBydate->load_type]; @endphp
                                                                                                @else
                                                                                                    @php $name = $loadBydate->load_number; @endphp
                                                                                                @endif
                                                                                                @php  $html .= '<li style="margin: 5px 0px;">'.$name.': '.$cal_revenue.'</li>'; @endphp
                                                                                                @php $tr++; @endphp
                                                                                            @endforeach
                                                                                            @php $html .= '</ul>'; @endphp
                                                                                            @php
                                                                                                $formatted_revenue = [];
                                                                                                if(!empty($total_revenue)){
                                                                                                    foreach ($total_revenue as $key => $value) {
                                                                                                        $formatted_revenue[]= floatval(str_replace(',', '', str_replace('$', '', $value)));
                                                                                                    }
                                                                                                }
                                                                                                $total_revenue_amt = array_sum($formatted_revenue);
                                                                                            @endphp
                                                                                            @if($total_revenue_amt > 0)
                                                                                                <p style="margin: 5px 0px;">Total: {{ "$" . number_format($total_revenue_amt, 2) }}</p>
                                                                                                {!! $html !!}
                                                                                            @endif
                                                                                        @else
                                                                                            &nbsp;
                                                                                        @endif
                                                                                    </td>
                                                                                @endforeach
                                                                            </tr>
                                                                            <tr>
                                                                                <th style="font-size: 8px; padding: 5px;font-family: sans-serif;text-align: left;width: 58px; min-width: 58px;max-width: 58px;border-width: 0px 1px 1px 0px;border-style: solid; border-color: #CCCCCC; background-color: #F6F6F6B3;     color: #305F9C; font-weight: bold;">
                                                                                    Week Total
                                                                                </th>
                                                                                @foreach($days as $day)
                                                                                    @php
                                                                                        $get_load_by_date = getLoadByDate($day, $load, null, $trailer_type, $dispatcher);
                                                                                    @endphp
                                                                                    <td style="font-size: 8px; padding: 4px;font-family: sans-serif;text-align: left;width: 58px; min-width: 58px;max-width: 58px;border: 1px solid #CCCCCC;border-top: none;font-weight: 600;">
                                                                                        @if (count($get_load_by_date) == 1)
                                                                                            @foreach ($get_load_by_date as $loadBydate)
                                                                                                @if ($day == \Carbon\Carbon::parse($loadBydate->actual_delivery_date)->format('m/d/Y'))
                                                                                                    @if ($loadBydate->is_disable == 0)
                                                                                                        @php $weekTotal[] = getLoadRevenueFloat($loadBydate); @endphp
                                                                                                    @else
                                                                                                        @php $weekTotal[] = getLoadPayFloat($loadBydate); @endphp
                                                                                                    @endif
                                                                                                    @php $arrysum = array_sum($weekTotal); @endphp
                                                                                                    @if($arrysum > 0)
                                                                                                        {{ getLoadTargetRevenue($arrysum) }}
                                                                                                    @endif
                                                                                                @else
                                                                                                    &nbsp;
                                                                                                @endif
                                                                                            @endforeach
                                                                                        @elseif(count($get_load_by_date) > 1)
                                                                                            @php $w_revenue = []; @endphp
                                                                                            @foreach ($get_load_by_date as $loadBydate)
                                                                                                @if ($day == \Carbon\Carbon::parse($loadBydate->actual_delivery_date)->format('m/d/Y'))
                                                                                                    @if ($loadBydate->is_disable == 0)
                                                                                                        @php $w_revenue[] = getLoadRevenueFloat($loadBydate); @endphp
                                                                                                    @else
                                                                                                        @php $w_revenue[] = getLoadPayFloat($loadBydate); @endphp
                                                                                                    @endif
                                                                                                @endif
                                                                                            @endforeach
                                                                                            @php $warray = array_filter($w_revenue); @endphp
                                                                                            @if(!empty($warray))
                                                                                                @php
                                                                                                    $warrysum = array_sum($warray);
                                                                                                    $weekTotal[] = $warrysum;
                                                                                                @endphp
                                                                                                @php $arrysum = array_sum($weekTotal); @endphp
                                                                                                @if($arrysum > 0)
                                                                                                    {{ getLoadTargetRevenue($arrysum) }}
                                                                                                @endif
                                                                                            @endif
                                                                                        @else
                                                                                            &nbsp;
                                                                                        @endif
                                                                                    </td>
                                                                                @endforeach
                                                                            </tr>
                                                                            <tr>
                                                                                <th style="font-size: 8px; padding: 5px;font-family: sans-serif;text-align: left;width: 58px; min-width: 58px;max-width: 58px;border-width: 0px 1px 0px 0px;border-style: solid; border-color: #CCCCCC; background-color: #F6F6F6B3;     color: #305F9C; font-weight: bold;">
                                                                                    CPM
                                                                                </th>
                                                                                @foreach($days as $day)
                                                                                    @php
                                                                                        $get_load_by_date = getLoadByDate($day, $load, null, $trailer_type, $dispatcher);
                                                                                    @endphp
                                                                                    <td style="font-size: 8px; padding: 4px;font-family: sans-serif;text-align: left;width: 58px; min-width: 58px;max-width: 58px;border: 1px solid #CCCCCC;border-bottom: none;{{ $loop->last ? 'border-right: none;' : '' }}font-weight: 600;">
                                                                                        @if(count($get_load_by_date) == 1)
                                                                                            @php
                                                                                                $cpm_miles = 0;
                                                                                                $cpm_revenue = '$0';
                                                                                            @endphp
                                                                                            @foreach ($get_load_by_date as $loadBydate)
                                                                                                @if ($day == \Carbon\Carbon::parse($loadBydate->actual_delivery_date)->format('m/d/Y'))
                                                                                                    @php
                                                                                                        $cpm_miles = getLoadTotalMiles($loadBydate);
                                                                                                        $cpm_miles = floatval(str_replace(',', '', $cpm_miles));
                                                                                                    @endphp
                                                                                                    @if ($loadBydate->is_disable == 0)
                                                                                                        @php $cpm_revenue   = getLoadRevenue($loadBydate) @endphp
                                                                                                    @else
                                                                                                        @php $cpm_revenue   = getLoadPay($loadBydate) @endphp
                                                                                                    @endif
                                                                                                @endif
                                                                                            @endforeach
                                                                                            @if($cpm_revenue!='$0' && $cpm_miles > 0)
                                                                                                {{ getLoadSingleCPM2($cpm_revenue,$cpm_miles) }}
                                                                                            @else
                                                                                                &nbsp;
                                                                                            @endif
                                                                                        @elseif(count($get_load_by_date) > 1)
                                                                                            @php $cpm_arry = []; @endphp
                                                                                            @php  $html = '<ul style="padding: 0px;margin: 0px;" type="none">'; @endphp
                                                                                            @foreach ($get_load_by_date as $loadBydate)
                                                                                                @php
                                                                                                    $cpm = '$0';
                                                                                                    $cpm_miles = 0;
                                                                                                    $cpm_revenue = '$0';
                                                                                                @endphp
                                                                                                @if ($day == \Carbon\Carbon::parse($loadBydate->actual_delivery_date)->format('m/d/Y'))
                                                                                                    @php
                                                                                                        $cpm_miles = getLoadTotalMiles($loadBydate);
                                                                                                        $cpm_miles = floatval(str_replace(',', '', $cpm_miles));
                                                                                                    @endphp
                                                                                                    @if ($loadBydate->is_disable == 0)
                                                                                                        @php $cpm_revenue = getLoadRevenue($loadBydate) @endphp
                                                                                                    @else
                                                                                                        @php $cpm_revenue = getLoadPay($loadBydate) @endphp
                                                                                                    @endif
                                                                                                @endif
                                                                                                @if($cpm_revenue!='$0' && $cpm_miles > 0)
                                                                                                    @php
                                                                                                        $cpm = getLoadSingleCPM2($cpm_revenue,$cpm_miles);
                                                                                                        $formatted_cpm = floatval(str_replace(',', '', str_replace('$', '', $cpm)));
                                                                                                        if($formatted_cpm > 0){
                                                                                                            $cpm_arry[]= $formatted_cpm;
                                                                                                        }
                                                                                                    @endphp
                                                                                                @endif
                                                                                                @php $name = ''; @endphp
                                                                                                @if (in_array($loadBydate->load_type, [1, 2, 3, 4, 5]))
                                                                                                    @php $name = getLoadTypeList()[$loadBydate->load_type]; @endphp
                                                                                                @else
                                                                                                    @php $name = $loadBydate->load_number; @endphp
                                                                                                @endif
                                                                                                @php  $html .= '<li style="margin: 5px 0px;">'.$name.': '.$cpm.'</li>'; @endphp
                                                                                            @endforeach
                                                                                            @php $html .= '</ul>'; @endphp
                                                                                            @php
                                                                                                $cpm_arry = array_filter($cpm_arry);
                                                                                                $total_count = count($cpm_arry);
                                                                                                $total_cpm = array_sum($cpm_arry);
                                                                                                $cpm_avg = 0;
                                                                                                if($total_count > 0 && $total_cpm > 0){
                                                                                                    $cpm_avg = $total_cpm/$total_count;
                                                                                                }
                                                                                            @endphp
                                                                                            <p style="margin: 5px 0px;">Total: {{ "$" . number_format((float)$cpm_avg, 2, '.', '') }}</p>
                                                                                            {!! $html !!}
                                                                                        @else
                                                                                            &nbsp;
                                                                                        @endif
                                                                                    </td>
                                                                                @endforeach
                                                                            </tr>
                                                                        </tbody>
                                                                    </table>
                                                                </div>
                                                            </td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </td>
                                    </tr>
                                    @php
                                        $ch++;
                                    @endphp
                                @endforeach
                            @else
                                <tr style="font-size: 8px; padding: 4px;font-family: sans-serif;text-align: center;margin: 5px 0;width: 55px; min-width: 55px;max-width: 55px;font-weight: bold;">
                                    <td colspan="14" style="padding: 4px 0; border-collapse: collapse;border-spacing: 0; width: 100%;" cellspacing="0" cellpadding="0">No data available</td>
                                </tr>
                            @endif
                        </tbody>
                    </table>
                </td>
            </tr>
        </tbody>
    </table>
    <script src="https://code.highcharts.com/highcharts.js"></script>
    <script src="https://code.highcharts.com/highcharts-more.js"></script>
    <script src="https://code.highcharts.com/modules/solid-gauge.js"></script>
    @foreach($chartarray as $chart)
        @php
             $getOccupancyBasedRevenue = $chart["getOccupancyBasedRevenue"];
        @endphp
        <script type="text/javascript">
            var fleetOccupancy = parseInt('{{ $getOccupancyBasedRevenue }}');

            if(fleetOccupancy > 100){
                fleetOccupancy = 100;
            }
            Highcharts.chart('OccupancyBasedRevenueChart{{ $chart["driver_id"] }}', {
                chart: {
                    type: 'solidgauge',
                    plotBorderWidth: 0,
                    plotShadow: false,
                    plotBackgroundColor: null,
                    marginLeft:0,
                    marginRight:0,
                    marginTop:0,
                    spacingTop: 0,
                    spacingBottom: 0,
                    spacingLeft: 0,
                    spacingRight: 0,
                    marginBottom: 0,
                    height: 110,
                    width: 70,
                },
                title: {
                    text: null
                },
                exporting: {
                    enabled: true
                },
                credits: {
                    enabled: false
                },
                pane: {
                    size: '69%',
                    center: ['50%', '60%'],
                    startAngle: -100,
                    endAngle: 100,
                    background: null
                },
                tooltip: {
                    enabled: false
                },
                yAxis: {
                    min: 0,
                    max: 100,
                    minorTickInterval: 'auto',
                    minorTickWidth: 0.5,
                    minorTickLength: 5,
                    minorTickPosition: 'inside',
                    minorTickColor: '#000000',
                    tickTickInterval: '5',
                    tickWidth: 0.5,
                    tickLength: 8,
                    tickPosition: 'inside',
                    tickColor: '#3f3b3b',
                    tickAmount: 5,
                    gridLineWidth: 0,
                    gridLineColor: 'transparent',
                    labels: {
                        enabled: false
                    },
                    title: {
                        text: null
                    },
                },
                plotOptions: {
                    solidgauge: {
                        dataLabels: {
                            y: -6,
                            borderWidth: 0,
                            useHTML: true,
                        }
                    }
                },
                series: [
                    {
                        name: 'Occupancy',
                        data: [{
                            color: '#49A7DE',
                            y: fleetOccupancy
                        }],
                        dataLabels: {
                            style: {
                                textAlign: 'center',
                            },
                            format: '<div class="graph-txt" style="margin-left: 2px;">' +
                                '<p style="margin: 0px;font-size: 12px;">{y}%</p>' +
                                '<span style="color: #305F9C; font-weight: bold; line-height: 10px;font-size: 8px;">Occupancy<br/>Based Revenue </span><br/>' +
                                '</div>',
                        },
                        innerRadius:'115%',
                        radius: '145%'
                    }
                ]
            });
        </script>
        <script type="text/javascript">
            var fleetOccupancy                  = parseInt('{{ $chart["getLoadOccupancy"] }}');
            var occupancyGoal                   = parseInt('{{ $chart["getLoadOccupancyGoal"] }}');

            if(fleetOccupancy > 100){
                fleetOccupancy                  = 100;
            }
            Highcharts.chart('getLoadOccupancy{{ $chart["driver_id"] }}', {
                chart: {
                    type: 'solidgauge',
                    plotBorderWidth: 0,
                    plotShadow: false,
                    plotBackgroundColor: null,
                    marginLeft:0,
                    marginRight:0,
                    marginTop:0,
                    spacingTop: 0,
                    spacingBottom: 0,
                    spacingLeft: 0,
                    spacingRight: 0,
                    marginBottom: 0,
                    height: 110,
                    width: 70,
                },
                title: {
                    text: null
                },
                exporting: {
                    enabled: true
                },
                credits: {
                    enabled: false
                },
                pane: {
                    size: '69%',
                    center: ['50%', '60%'],
                    startAngle: -100,
                    endAngle: 100,
                    background: null
                },
                tooltip: {
                    enabled: false
                },
                yAxis: {
                    min: 0,
                    max: 100,
                    minorTickInterval: 'auto',
                    minorTickWidth: 0.5,
                    minorTickLength: 5,
                    minorTickPosition: 'inside',
                    minorTickColor: '#000000',
                    tickTickInterval: '5',
                    tickWidth: 0.5,
                    tickLength: 8,
                    tickPosition: 'inside',
                    tickColor: '#3f3b3b',
                    tickAmount: 5,
                    gridLineWidth: 0,
                    gridLineColor: 'transparent',
                    labels: {
                        enabled: false
                    },
                    title: {
                        text: null
                    },
                },
                plotOptions: {
                    solidgauge: {
                        dataLabels: {
                            y: -6,
                            borderWidth: 0,
                            useHTML: true,
                        }
                    }
                },
                series: [
                    {
                        name: 'Occupancy',
                        data: [{
                            color: '#49A7DE',
                            y: fleetOccupancy
                        }],
                        dataLabels: {
                            style: {
                                textAlign: 'center',
                            },
                            format: '<div class="graph-txt" style="margin-left: 2px;">' +
                                '<p style="margin: 0px;font-size: 12px;">{y}%</p>' +
                                '<span style="color: #305F9C; font-weight: bold; line-height: 10px;font-size: 8px;">Occupancy: '+fleetOccupancy+'%</span><br/>' +
                                '<span style="color: #305F9C; font-weight: bold; line-height: 10px;font-size: 8px;">Target: '+occupancyGoal+'%</span><br/>' +
                                '</div>',
                        },
                        innerRadius:'115%',
                        radius: '145%'
                    }
                ]
            });
        </script>
        <script type="text/javascript">
            var plotColor                       = "#E02020";
            var actualRevenue                   = parseInt('{{ $chart["getLoadGrossRevenue"] }}');
            var targetRevenue                   = parseInt('{{ $chart["getLoadTargetRevenue"] }}');
            if(actualRevenue >= targetRevenue){
                plotColor                       =  "#04c71b";
            }

            var clcRevenue                      = 0;
            if(targetRevenue > 0 || actualRevenue > 0){
                if(actualRevenue > 0 && targetRevenue > 0){
                    clcRevenue                  = (actualRevenue / targetRevenue) * 100;
                    if(clcRevenue > 100){
                        clcRevenue              = 100;
                    }
                }else if(actualRevenue > 0 && targetRevenue == 0){
                    clcRevenue                  = 100;
                }
                clcRevenue                      = parseInt(clcRevenue);
            }

            var fontSize                        = '19px';
            if(actualRevenue >= 10000){
                fontSize                        = '18px';
            }
            Highcharts.chart('getLoadGrossRevenue{{ $chart["driver_id"] }}', {
                chart: {
                    type: 'solidgauge',
                    plotBorderWidth: 0,
                    plotShadow: false,
                    plotBackgroundColor: null,
                    marginLeft:0,
                    marginRight:0,
                    marginTop:0,
                    spacingTop: 0,
                    spacingBottom: 0,
                    spacingLeft: 0,
                    spacingRight: 0,
                    marginBottom: 0,
                    height: 110,
                    width: 70,
                },
                title: {
                    text: null
                },
                exporting: {
                    enabled: true
                },
                credits: {
                    enabled: false
                },
                pane: {
                    size: '69%',
                    center: ['50%', '60%'],
                    startAngle: -100,
                    endAngle: 100,
                    background: null
                },
                tooltip: {
                    enabled: false
                },
                yAxis: {
                    min: 0,
                    max: 100,
                    minorTickInterval: 'auto',
                    minorTickWidth: 0.5,
                    minorTickLength: 5,
                    minorTickPosition: 'inside',
                    minorTickColor: '#000000',
                    tickTickInterval: '5',
                    tickWidth: 0.5,
                    tickLength: 8,
                    tickPosition: 'inside',
                    tickColor: '#3f3b3b',
                    tickAmount: 5,
                    gridLineWidth: 0,
                    gridLineColor: 'transparent',
                    labels: {
                        enabled: false
                    },
                    title: {
                        text: null
                    },
                },
                plotOptions: {
                    solidgauge: {
                        dataLabels: {
                            y: -6,
                            borderWidth: 0,
                            useHTML: true,
                        }
                    }
                },
                series: [
                    {
                        name: 'Revenue',
                        data: [{
                            color: '#49A7DE',
                            y: clcRevenue,
                        }],
                        dataLabels: {
                            style: {
                                textAlign: 'center',
                            },
                            format: '<div class="graph-txt" style="margin-left: 2px;">' +
                                '<p style="margin: 0px;font-size: 12px;">{y}%</p>' +
                                '<span style="color: #305F9C; font-weight: bold; line-height: 10px;font-size: 8px;">Actual: {{ $fmt->formatCurrency($chart["getLoadGrossRevenue"], "USD") }}</span><br/>' +
                                '<span style="color: #305F9C; font-weight: bold; line-height: 10px;font-size: 8px;">Target: {{ $fmt->formatCurrency($chart["getLoadTargetRevenue"], "USD") }}</span><br/>' +
                                '</div>',
                        },
                        innerRadius:'115%',
                        radius: '145%'
                    }
                ]
            });
        </script>
    @endforeach
</body>
</html>
