@php
   $sunday              = \Carbon\Carbon::parse($startDate)->format('m/d/Y');
   $sunday_name         = \Carbon\Carbon::parse($startDate)->format('l');

   $monday              = \Carbon\Carbon::parse($startDate)->addDay()->format('m/d/Y');
   $monday_name         = \Carbon\Carbon::parse($startDate)->addDay()->format('l');

   $tuesday             = \Carbon\Carbon::parse($startDate)->addDays(2)->format('m/d/Y');
   $tuesday_name        = \Carbon\Carbon::parse($startDate)->addDays(2)->format('l');

   $wednesday           = \Carbon\Carbon::parse($startDate)->addDays(3)->format('m/d/Y');
   $wednesday_name      = \Carbon\Carbon::parse($startDate)->addDays(3)->format('l');

   $thursday            = \Carbon\Carbon::parse($startDate)->addDays(4)->format('m/d/Y');
   $thursday_name       = \Carbon\Carbon::parse($startDate)->addDays(4)->format('l');

   $friday              = \Carbon\Carbon::parse($startDate)->addDays(5)->format('m/d/Y');
   $friday_name         = \Carbon\Carbon::parse($startDate)->addDays(5)->format('l');

   //$saturday          = \Carbon\Carbon::parse($startDate)->addDays(6)->format('m/d/Y');
   //$saturday_name     = \Carbon\Carbon::parse($startDate)->addDays(6)->format('l');

   $saturday            = \Carbon\Carbon::parse($endDate)->format('m/d/Y');
   $saturday_name       = \Carbon\Carbon::parse($endDate)->format('l');

   $days                = [$sunday,$monday,$tuesday,$wednesday,$thursday,$friday,$saturday];
@endphp

@if($skip == 0)
    <style type="text/css">
        .highcharts-axis-labels.highcharts-yaxis-labels{
            display:none;
        }
    </style>
    {{--<table class="table fixed_header">--}}
    <table class="table table-new table-fixed">
        <thead>
            <tr class="h-row table-header" >
                <th class="header__item"><a id="SortDriver" class="filter__link" href="javascript:void(0)">Driver</a></th>
                <th class="header__item"><a id="SortOccupancyBaseRevenue" class="filter__link filter__link--number" href="javascript:void(0)">Occupancy <br/>Based Revenue</a></th>
                <th class="header__item"><a id="SortOccupancy" class="filter__link filter__link--number" href="javascript:void(0)">Occupancy</a></th>
                <!-- <th class="header__item"><a id="SortTargetRevenue" class="filter__link filter__link--number" href="javascript:void(0)">Target Revenue</a></th> -->
                <th class="header__item"><a id="SortGrossRevenue" class="filter__link filter__link--number" href="javascript:void(0)">Revenue</a></th>
                <th class="mileage_th header__item"><a id="SortMileage" class="filter__link filter__link--number" href="javascript:void(0)">Mileage</a></th>
                <th class="cpm_th header__item"><a id="SortCPM" class="filter__link filter__link--number" href="javascript:void(0)">CPM</a></th>
                {{--<th>Week Ending {{ $saturday }}</th>--}}
                <th class="inner-table-hadding"></th>
                <th>{{ $sunday_name }} <span>{{ $sunday }}</span></th>
                <th>{{ $monday_name }} <span>{{ $monday }}</span></th>
                <th>{{ $tuesday_name }} <span>{{ $tuesday }}</span></th>
                <th>{{ $wednesday_name }} <span>{{ $wednesday }}</span></th>
                <th>{{ $thursday_name }} <span>{{ $thursday }}</span></th>
                <th>{{ $friday_name }} <span>{{ $friday }}</span></th>
                <th>{{ $saturday_name }} <span>{{ $saturday }}</span></th>
                {{--<th>Target Over/Under</th>--}}
            </tr>
        </thead>
        <tbody class="BI_tablebody table-content parent-tbody-data" style="overflow-x:hidden;">
@endif
    <!--  -->
    @php
        $chartarray     = array();
        $ch             = 0;
    @endphp
    @if(count($loads))
        @php
            $chartarray = array();
            $ch         = 0;
        @endphp
        @foreach ($loads as $load)
            @php
                $driver_id                                                  = isset($load->driver_id) ? $load->driver_id : $load->id;
                $getTargetByDate                                            = getTargetRevenueMilesByDate($startDate,$endDate,$driver_id);
                $getLoadGrossRevenue                                        = getLoadGrossRevenue($startDate,$endDate,$driver_id,$load,$trailer_type,$dispatcher);
                $getLoadOccupancy                                           = round(getLoadOccupancy($startDate,$endDate,$driver_id,$load,$trailer_type,$dispatcher));
                $getLoadTargetOvnerUnder                                    = getLoadTargetOvnerUnder($startDate,$endDate,$driver_id,$getTargetByDate['revenue'],$load,$trailer_type,$dispatcher);
            @endphp
            <tr class="table-row">
                <td class="text-center table-data" data-value="{{ strtolower($load->last_name) }}">
                    {{--remove span tag and add p tag--}}
                    <p href="javascript:void(0)" class="show-available-driver" data-driver-id="{{ $driver_id }}" data-toggle="modal" data-target="#availableDriverModal">
                        {{ $load->last_name }}, {{ $load->first_name }}
                    </p>
                    {{--<small class="down">{{ $load->team_name }} 12585</small>--}}
                    {{--add span tag--}}
                    <span class="down" style="@if ($getLoadTargetOvnerUnder < 0) color:#FF1010; @elseif ($getLoadTargetOvnerUnder > 0) color:#305F9C; @endif">
                        @php
                            $fmt                                            = new \NumberFormatter('en_US', \NumberFormatter::CURRENCY);
                            echo $fmt->formatCurrency($getLoadTargetOvnerUnder, "USD");
                        @endphp
                    </span>
                </td>
                @php
                    $getOccupancyBasedRevenue                               = getOccupancyBasedRevenue2($getLoadGrossRevenue, $getLoadOccupancy, $getTargetByDate['revenue']);
                    $getOccupancyBasedRevenue                               = round($getOccupancyBasedRevenue);
                    $chartarray[$ch]['driver_id']                           = $driver_id;
                    $chartarray[$ch]['getOccupancyBasedRevenue']            = $getOccupancyBasedRevenue;
                @endphp
                <td data-value="{{ $getOccupancyBasedRevenue }}" class="table-data graph-box">
                    <div id="OccupancyBasedRevenueChart{{ $driver_id }}" class="chart-container"></div>
                </td>
                @php
                    $chartarray[$ch]['getLoadOccupancy']                    = $getLoadOccupancy;
                    $chartarray[$ch]['getLoadOccupancyGoal']                = $getTargetByDate['occupancy'];
                @endphp
                <td data-value="{{ $getLoadOccupancy }}" class="table-data graph-box">
                    <div id="getLoadOccupancy{{ $driver_id }}" class="chart-container"></div>
                </td>
                {{--
                    <td data-value="{{ $load->wgrr_seasonal }}" class="table-data">
                        {{ getLoadTargetRevenue($load->wgrr_seasonal) }}
                    </td>
                --}}
                @php
                    $fmt                                                    = new \NumberFormatter('en_US', \NumberFormatter::CURRENCY);
                    $targetRevenu                                           = $getTargetByDate['revenue'];
                    $chartarray[$ch]['getLoadTargetRevenue']                = round($getTargetByDate['revenue']);
                    $chartarray[$ch]['getLoadGrossRevenue']                 = round($getLoadGrossRevenue);
                @endphp
                <td data-value="{{ round($getLoadGrossRevenue) }}" class="table-data graph-box">
                    <div id="getLoadGrossRevenue{{ $driver_id }}" class="chart-container"></div>
                </td>
                @php
                    $getLoadMileage                                         = getLoadTotalMileage($startDate,$endDate,$driver_id,$load,$trailer_type,$dispatcher);
                @endphp
                <td data-value="{{ $getLoadMileage }}" class="mileage_th table-data">{{ number_format($getLoadMileage) }}</td>
                @php
                    $getLoadCPM                                             = getLoadTotalMileCPM($startDate,$endDate,$driver_id,$load,$trailer_type,$dispatcher);
                    $fmt                                                    = new \NumberFormatter('en_US', \NumberFormatter::CURRENCY);
                @endphp
                <td data-value="{{ $getLoadCPM }}" class="cpm_th table-data">
                    @php
                        echo $fmt->formatCurrency($getLoadCPM, "USD");
                    @endphp
                </td>
                <td class="inner-table inner-table-hadding">
                    <div>
                        <table class="mt-0">
                            <tr class="">
                                <td class="cnt-icon text-left">Load No.</td>
                            </tr>
                            <tr class="">
                                <td class="cnt-icon text-left">Location</td>
                            </tr>
                            <tr>
                                <td class="cnt-icon text-left">Miles</td>
                            </tr>
                            <tr>
                                <td class="cnt-icon text-left">Revenue</td>
                            </tr>
                            <tr>
                                <td class="cnt-icon text-left">Week Total</td>
                            </tr>
                            <tr>
                                <td class="cnt-icon text-left">CPM</td>
                            </tr>
                        </table>
                    </div>
                </td>
                @php
                    $weekTotal                                              = [];
                    $m                                                      = 0;
                @endphp
                @foreach($days as $day)
                    @php
                        $get_load_by_date                                   = getLoadByDate($day, $load, null, $trailer_type, $dispatcher);
                    @endphp

                    <td class="inner-table">
                        <div>
                            <table class="mt-0">
                                <tr class="brg-{!! getLoadColor($get_load_by_date) !!}">
                                    <td class="cnt-icon">
                                        @if (count($get_load_by_date) == 1)
                                            @foreach ($get_load_by_date as $loadBydate)
                                                {{-- Get Load > Communication Internal & Initial Notes - DP-252 - START --}}
                                                @php
                                                    $loadNotes = getLoadInternalOrInitialNotes($loadBydate->load_id);
                                                @endphp
                                                {{-- Get Load > Communication Internal & Initial Notes - DP-252 - END --}}
                                                @if ($loadBydate->is_disable == 0)
                                                    <a href="{{ route('company.admin.loads.edit',base64Encode($loadBydate->load_id)) }}?from=load_by_week" class="text-dark {{ (!empty($loadNotes)) ? 'single-loads' : '' }}" target="_blank">
                                                        {{ $loadBydate->load_type == 0 || $loadBydate->load_type == 6 ? $loadBydate->load_number : getLoadTypeList()[$loadBydate->load_type] }} {!! (!empty($loadNotes)) ? '<i class="fa fa-info-circle note-info" aria-hidden="true"></i>' : '' !!}
                                                    </a>
                                                    @if (!empty($loadNotes))
                                                        @php $loadNoteLengths = array_map('strlen', $loadNotes); @endphp
                                                        <div class="load-detail" style="display:none;">
                                                            <ul>
                                                                <li class="load-detail-listing">
                                                                    <div class="px-1 load-detail-listing-text">
                                                                        @foreach ($loadNotes as $loadNote)
                                                                            <p class="mb-1 text-dark text-justify">{{ $loadNote ?? '' }}</p>
                                                                        @endforeach
                                                                    </div>
                                                                </li>
                                                            </ul>
                                                            <div class="d-flex justify-content-right">
                                                                <a href="javascript:void(0);" class="btn-load-detail-listing ml-auto text-blue @if(max($loadNoteLengths) < 52) d-none @endif">
                                                                    Expand <i class="fa fa-expand" aria-hidden="true"></i>
                                                                </a>
                                                            </div>
                                                        </div>
                                                    @endif
                                                @else
                                                    <a href="{{ route('company.admin.loads.show',base64Encode($loadBydate->load_detail_id)) }}" class="text-dark {{ (!empty($loadNotes)) ? 'single-loads' : '' }}" target="_blank">
                                                        {{ $loadBydate->load_type == 0 || $loadBydate->load_type == 6 ? $loadBydate->load_number : getLoadTypeList()[$loadBydate->load_type] }} {!! (!empty($loadNotes)) ? '<i class="fa fa-info-circle note-info" aria-hidden="true"></i>' : '' !!}
                                                    </a>
                                                    @if (!empty($loadNotes))
                                                        @php $loadNoteLengths = array_map('strlen', $loadNotes); @endphp
                                                        <div class="load-detail load-detail-listing" style="display:none;">
                                                            <ul>
                                                                <li class="load-detail-listing">
                                                                    <div class="px-1 load-detail-listing-text">
                                                                        @foreach ($loadNotes as $loadNote)
                                                                            <p class="mb-1 text-dark text-justify">{{ $loadNote ?? '' }}</p>
                                                                        @endforeach
                                                                    </div>
                                                                </li>
                                                            </ul>
                                                            <div class="d-flex justify-content-right">
                                                                <a href="javascript:void(0);" class="btn-load-detail-listing ml-auto text-blue @if(max($loadNoteLengths) < 52) d-none @endif">
                                                                    Expand <i class="fa fa-expand" aria-hidden="true"></i>
                                                                </a>
                                                            </div>
                                                        </div>
                                                    @endif
                                                @endif
                                            @endforeach
                                        @elseif(count($get_load_by_date) > 1)
                                            {{-- Get Load > Communication Internal & Initial Notes - DP-252 - START --}}
                                            @php
                                                $loadNotes = [];
                                                foreach ($get_load_by_date as $loadBydate) {
                                                    $loadNotes[$loadBydate->load_id] = getLoadInternalOrInitialNotes($loadBydate->load_id);
                                                }
                                            @endphp
                                            {{-- Get Load > Communication Internal & Initial Notes - DP-252 - END --}}

                                            <span class="multiple-loads">{!! getLoadTitle($get_load_by_date) !!} {!! (!empty(array_filter($loadNotes))) ? '<i class="fa fa-info-circle note-info" aria-hidden="true"></i>' : '' !!}</span>
                                            <div class="load-detail" style="display:none;">
                                                <ul>
                                                    @foreach ($get_load_by_date as $loadBydate)
                                                        <li class="text-{!! getLoadColorClass($loadBydate->load_status) !!} {{ (!empty(array_filter($loadNotes))) ? 'load-detail-listing' : '' }}">
                                                            @if ($loadBydate->is_disable == 0)
                                                                <div class="px-1">
                                                                    <a href="{{ route('company.admin.loads.edit',base64Encode($loadBydate->load_id)) }}?from=load_by_week" class="text-dark {{ (!empty(array_filter($loadNotes))) ? 'font-weight-bold' : '' }}" target="_blank">
                                                                        {{ $loadBydate->load_type == 0 || $loadBydate->load_type == 6 ? $loadBydate->load_number : getLoadTypeList()[$loadBydate->load_type] }}{{ (!empty(array_filter($loadNotes))) ? ': ' : '' }}
                                                                    </a>
                                                                </div>
                                                                @if (!empty(array_filter($loadNotes)))
                                                                    @if (!empty($loadNotes[$loadBydate->load_id]))
                                                                        <div class="px-1 load-detail-listing-text">
                                                                            @foreach ($loadNotes[$loadBydate->load_id] as $loadNote)
                                                                                <p class="mb-1 text-dark text-justify">{{ $loadNote ?? '' }}</p>
                                                                            @endforeach
                                                                        </div>
                                                                    @else
                                                                        <div class="px-1 text-dark load-detail-listing-text">
                                                                            No notes found.
                                                                        </div>
                                                                    @endif
                                                                @endif
                                                            @else
                                                                <div class="px-1">
                                                                    <a href="{{ route('company.admin.loads.show',base64Encode($loadBydate->load_detail_id)) }}" class="text-dark {{ (!empty(array_filter($loadNotes))) ? 'font-weight-bold' : '' }}" target="_blank">
                                                                        {{ $loadBydate->load_type == 0 || $loadBydate->load_type == 6 ? $loadBydate->load_number : getLoadTypeList()[$loadBydate->load_type] }}{{ (!empty(array_filter($loadNotes))) ? ': ' : '' }}
                                                                    </a>
                                                                </div>
                                                                @if (!empty(array_filter($loadNotes)))
                                                                    @if (!empty($loadNotes[$loadBydate->load_id]))
                                                                        <div class="px-1 load-detail-listing-text">
                                                                            @foreach ($loadNotes[$loadBydate->load_id] as $loadNote)
                                                                                <p class="mb-1 text-dark text-justify">{{ $loadNote ?? '' }}</p>
                                                                            @endforeach
                                                                        </div>
                                                                    @else
                                                                        <div class="px-1 text-dark load-detail-listing-text">
                                                                            No notes found.
                                                                        </div>
                                                                    @endif
                                                                @endif
                                                            @endif
                                                        </li>
                                                    @endforeach
                                                </ul>
                                                @if (!empty(array_filter($loadNotes)))
                                                    @php $loadNoteLengths = array_map('strlen', array_merge(...array_values($loadNotes))); @endphp
                                                    <div class="d-flex justify-content-right">
                                                        <a href="javascript:void(0);" class="btn-load-detail-listing ml-auto text-blue @if(max($loadNoteLengths) < 52) d-none @endif">
                                                            Expand <i class="fa fa-expand" aria-hidden="true"></i>
                                                        </a>
                                                    </div>
                                                @endif
                                            </div>
                                        @else
                                            {{--
                                                <a href="{{ route('company.admin.loads.create') }}?from=load_by_week&driver_id={{ $driver_id }}&shipper_date={{ $day }}" target="_blank"><img src="{{ asset('theme/img/blue-plus.png') }}" class="" alt=""></a>
                                            --}}
                                            <a
                                                href="javascript:void(0);"
                                                class="weekly-create-load-btn"
                                                data-from="load_by_week"
                                                data-driver_name="{{ $load->last_name }}, {{ $load->first_name }}"
                                                data-driver_id="{{ $driver_id }}"
                                                data-shipper_date="{{ $day }}"
                                                data-url="{{ route('company.admin.loads.create') }}?from=load_by_week&driver_id={{ $driver_id }}&shipper_date={{ $day }}">
                                                <img src="{{ asset('theme/img/blue-plus.png') }}" alt="Add">
                                            </a>
                                        @endif
                                    </td>
                                </tr>
                                <tr class="brg-{!! getLoadColor($get_load_by_date) !!}">
                                    <td class="cnt-icon">
                                        @if (count($get_load_by_date) == 1)
                                            @foreach ($get_load_by_date as $loadBydate)
                                                @if (
                                                    !is_null(getAddressCityState($loadBydate->shipper_city, $loadBydate->shipper_state)) &&
                                                    !is_null(getAddressCityState($loadBydate->delivery_city, $loadBydate->delivery_state))
                                                )
                                                    <p class="singal-location">{{ getAddressCityState($loadBydate->delivery_city, $loadBydate->delivery_state) }}</p>
                                                @else
                                                    &nbsp;
                                                @endif
                                            @endforeach
                                        @elseif(count($get_load_by_date) > 1)
                                            {{--<span class="multiple-loads">{{ count($get_load_by_date) }} Loads</span>--}}
                                            <span class="multiple-loads">Multiple</span>
                                            <div class="load-detail" style="display:none;">
                                                <ul>
                                                    @foreach ($get_load_by_date as $loadBydate)
                                                        <li>
                                                            @if ($loadBydate->is_disable == 0)
                                                                <a href="{{ route('company.admin.loads.edit',base64Encode($loadBydate->load_id)) }}?from=load_by_week" class="text-dark" target="_blank">
                                                                    @if (in_array($loadBydate->load_type, [1, 2, 3, 4, 5]))
                                                                        {{ getLoadTypeList()[$loadBydate->load_type] }}
                                                                    @else
                                                                        {{ $loadBydate->load_number }}
                                                                    @endif -
                                                                    {{ getAddressCityState($loadBydate->delivery_city, $loadBydate->delivery_state) }}
                                                                </a>
                                                            @else
                                                                <a href="{{ route('company.admin.loads.show',base64Encode($loadBydate->load_detail_id)) }}" class="text-dark" target="_blank">
                                                                    @if (in_array($loadBydate->load_type, [1, 2, 3, 4, 5]))
                                                                        {{ getLoadTypeList()[$loadBydate->load_type] }}
                                                                    @else
                                                                        {{ $loadBydate->load_number }}
                                                                    @endif -
                                                                    {{ getAddressCityState($loadBydate->delivery_city, $loadBydate->delivery_state) }}
                                                                </a>
                                                            @endif
                                                        </li>
                                                    @endforeach
                                                </ul>
                                            </div>
                                        @else
                                            &nbsp;
                                        @endif
                                    </td>
                                </tr>
                                <tr>
                                    <td class="cnt-icon">
                                        @php
                                            $tm                             = 0;
                                            $miles                          = [];
                                        @endphp
                                        @if (count($get_load_by_date) == 1)
                                            @foreach ($get_load_by_date as $loadBydate)
                                                @if ($day == \Carbon\Carbon::parse($loadBydate->actual_delivery_date)->format('m/d/Y'))
                                                    @php
                                                        $cal_miles          = getLoadTotalMiles($loadBydate);
                                                    @endphp
                                                @else
                                                    @php
                                                        $cal_miles          = 0;
                                                    @endphp
                                                @endif
                                                @php
                                                    $cal_miles              = floatval(str_replace(',', '', $cal_miles));
                                                    $miles[$tm]             = $cal_miles;
                                                @endphp
                                                @if(isset($cal_miles) && $cal_miles!='' && $cal_miles > 0)
                                                    <span class="multiple-loads">{{ number_format($cal_miles) }}</span>
                                                    <div class="load-detail" style="display:none;">
                                                        <ul>
                                                            <li><a href="javascript:void(0);" class="text-dark">Deadhead: {{ (int)$loadBydate->empty_miles }}</a></li>
                                                            <li><a href="javascript:void(0);" class="text-dark">Loaded: {{ (int)$loadBydate->loaded_miles }}</a></li>
                                                        </ul>
                                                    </div>
                                                @endif
                                                <!--  -->
                                                @php $tm++; @endphp
                                            @endforeach
                                        @elseif(count($get_load_by_date) > 1)
                                            @php
                                                $html                       = '<div class="load-detail" style="display:none;"><ul>';
                                            @endphp
                                            @foreach ($get_load_by_date as $loadBydate)
                                                @if ($day == \Carbon\Carbon::parse($loadBydate->actual_delivery_date)->format('m/d/Y'))
                                                    @php
                                                        $cal_miles          = getLoadTotalMiles($loadBydate);
                                                    @endphp
                                                @else
                                                    @php
                                                        $cal_miles          = 0;
                                                    @endphp
                                                @endif
                                                @php
                                                    $cal_miles              = floatval(str_replace(',', '', $cal_miles));
                                                    $miles[$tm]             = $cal_miles;
                                                @endphp
                                                <!--  -->
                                                @php
                                                    $name                   = '';
                                                @endphp
                                                @if (in_array($loadBydate->load_type, [1, 2, 3, 4, 5]))
                                                    @php
                                                        $name               = getLoadTypeList()[$loadBydate->load_type];
                                                    @endphp
                                                @else
                                                    @php
                                                        $name               = $loadBydate->load_number;
                                                    @endphp
                                                @endif
                                                @php
                                                    $html                  .= '<li>';
                                                @endphp
                                                @if ($loadBydate->is_disable == 0)
                                                    <?php
                                                        $title              = 'Deadhead: '.(int)$loadBydate->empty_miles.', Loaded: '.(int)$loadBydate->loaded_miles;
                                                        $html              .= '<a href="'.route('company.admin.loads.edit',base64Encode($loadBydate->load_id)).'?from=load_by_week" class="text-dark" target="_blank"><span title="'.$title.'">'.$name.' - '.number_format($cal_miles).'</span></a>';
                                                    ?>
                                                @else
                                                    <?php
                                                        $title              = 'Deadhead: '.(int)$loadBydate->empty_miles.', Loaded: '.(int)$loadBydate->loaded_miles;
                                                        $html              .= '<a href="'.route('company.admin.loads.show',base64Encode($loadBydate->load_id)).'" class="text-dark" target="_blank"><span title="'.$title.'">'.$name.' - '.number_format($cal_miles).'</span></a>';
                                                    ?>
                                                @endif
                                                @php
                                                    $html                  .= '</li>';
                                                @endphp
                                                <!--  -->
                                                @php $tm++; @endphp
                                            @endforeach
                                            @php
                                                $html                      .= '</ul></div>';
                                            @endphp
                                            @php
                                                $total_miles                = array_sum($miles);
                                            @endphp
                                            @if($total_miles > 0)
                                                <span class="multiple-loads">{{ number_format($total_miles) }}</span>
                                                {!! $html !!}
                                            @endif
                                        @else
                                            &nbsp;
                                        @endif
                                    </td>
                                </tr>
                                <tr>
                                    <td class="cnt-icon">
                                        @php
                                            $tr                             = 0;
                                            $total_revenue                  = [];
                                        @endphp
                                        @if (count($get_load_by_date) == 1)
                                            @foreach ($get_load_by_date as $loadBydate)
                                                @if ($day == \Carbon\Carbon::parse($loadBydate->actual_delivery_date)->format('m/d/Y'))
                                                    @if ($loadBydate->is_disable == 0)
                                                        @php $cal_revenue   = getLoadRevenue($loadBydate) @endphp
                                                    @else
                                                        @php $cal_revenue   = getLoadPay($loadBydate) @endphp
                                                    @endif
                                                @else
                                                    @php $cal_revenue       = '$0'; @endphp
                                                @endif
                                                @php
                                                    $total_revenue[$tr]     = $cal_revenue;
                                                @endphp
                                                @php
                                                    $total_revenue_amt      = floatval(str_replace(',', '', str_replace('$', '', $cal_revenue)));
                                                @endphp
                                                @if($total_revenue_amt > 0)
                                                    {{ "$" . number_format($total_revenue_amt, 2) }}
                                                @endif
                                                <!--  -->
                                                @php $tr++; @endphp
                                            @endforeach
                                        @elseif(count($get_load_by_date) > 1)
                                            @php
                                                $html                       = '<div class="load-detail" style="display:none;"><ul>';
                                            @endphp
                                            @foreach ($get_load_by_date as $loadBydate)
                                                @if ($day == \Carbon\Carbon::parse($loadBydate->actual_delivery_date)->format('m/d/Y'))
                                                    @if ($loadBydate->is_disable == 0)
                                                        @php $cal_revenue   = getLoadRevenue($loadBydate) @endphp
                                                    @else
                                                        @php $cal_revenue   = getLoadPay($loadBydate) @endphp
                                                    @endif
                                                @else
                                                    @php $cal_revenue       = '$0'; @endphp
                                                @endif
                                                @php
                                                    $total_revenue[$tr]     = $cal_revenue;
                                                @endphp
                                                <!--  -->
                                                @php
                                                    $name                   = '';
                                                @endphp
                                                @if (in_array($loadBydate->load_type, [1, 2, 3, 4, 5]))
                                                    @php
                                                        $name               = getLoadTypeList()[$loadBydate->load_type];
                                                    @endphp
                                                @else
                                                    @php
                                                        $name               = $loadBydate->load_number;
                                                    @endphp
                                                @endif
                                                @php
                                                    $html                  .= '<li>';
                                                @endphp
                                                @if ($loadBydate->is_disable == 0)
                                                    <?php
                                                        $html              .= '<a href="'.route('company.admin.loads.edit',base64Encode($loadBydate->load_id)).'?from=load_by_week" class="text-dark" target="_blank">'.$name.' - '.$cal_revenue.'</a>';
                                                    ?>
                                                @else
                                                    <?php
                                                        $html              .= '<a href="'.route('company.admin.loads.show',base64Encode($loadBydate->load_id)).'" class="text-dark" target="_blank">'.$name.' - '.$cal_revenue.'</a>';
                                                    ?>
                                                @endif
                                                @php
                                                    $html                  .= '</li>';
                                                @endphp
                                                <!--  -->
                                                @php $tr++; @endphp
                                            @endforeach
                                            @php
                                                $html                      .= '</ul></div>';
                                            @endphp
                                            @php
                                                $formatted_revenue          = [];
                                                if(!empty($total_revenue)){
                                                    foreach ($total_revenue as $key => $value) {
                                                        $formatted_revenue[]= floatval(str_replace(',', '', str_replace('$', '', $value)));
                                                    }
                                                }
                                                $total_revenue_amt          = array_sum($formatted_revenue);
                                            @endphp
                                            @if($total_revenue_amt > 0)
                                                <span class="multiple-loads">{{ "$" . number_format($total_revenue_amt, 2) }}</span>
                                                {!! $html !!}
                                            @endif
                                        @else
                                            &nbsp;
                                        @endif
                                    </td>
                                </tr>
                                <tr class="weektot">
                                    <td class="cnt-icon">
                                        @if (count($get_load_by_date) == 1)
                                            @foreach ($get_load_by_date as $loadBydate)
                                                @if ($day == \Carbon\Carbon::parse($loadBydate->actual_delivery_date)->format('m/d/Y'))
                                                    @if ($loadBydate->is_disable == 0)
                                                        @php $weekTotal[]   = getLoadRevenueFloat($loadBydate); @endphp
                                                    @else
                                                        @php $weekTotal[]   = getLoadPayFloat($loadBydate); @endphp
                                                    @endif
                                                    @php $arrysum           = array_sum($weekTotal); @endphp
                                                    @if($arrysum > 0)
                                                        {{ getLoadTargetRevenue($arrysum) }}
                                                    @endif
                                                @else
                                                    &nbsp;
                                                @endif
                                            @endforeach
                                        @elseif(count($get_load_by_date) > 1)
                                            @php
                                                $w_revenue                  = [];
                                            @endphp
                                            @foreach ($get_load_by_date as $loadBydate)
                                                @if ($day == \Carbon\Carbon::parse($loadBydate->actual_delivery_date)->format('m/d/Y'))
                                                    @if ($loadBydate->is_disable == 0)
                                                        @php $w_revenue[]   = getLoadRevenueFloat($loadBydate); @endphp
                                                    @else
                                                        @php $w_revenue[]   = getLoadPayFloat($loadBydate); @endphp
                                                    @endif
                                                @endif
                                            @endforeach
                                            @php
                                                $warray                     = array_filter($w_revenue);
                                            @endphp
                                            @if(!empty($warray))
                                                @php
                                                    $warrysum               = array_sum($warray);
                                                    $weekTotal[]            = $warrysum;
                                                @endphp
                                                @php $arrysum               = array_sum($weekTotal); @endphp
                                                @if($arrysum > 0)
                                                    {{ getLoadTargetRevenue($arrysum) }}
                                                @endif
                                            @endif
                                        @else
                                            &nbsp;
                                        @endif
                                    </td>
                                </tr>
                                <tr>
                                    <td class="cnt-icon">
                                        @if (count($get_load_by_date) == 1)
                                            @php
                                                $cpm_miles                  = 0;
                                                $cpm_revenue                = '$0';
                                            @endphp
                                            @foreach ($get_load_by_date as $loadBydate)
                                                @if ($day == \Carbon\Carbon::parse($loadBydate->actual_delivery_date)->format('m/d/Y'))
                                                    @php
                                                        $cpm_miles          = getLoadTotalMiles($loadBydate);
                                                        $cpm_miles          = floatval(str_replace(',', '', $cpm_miles));
                                                    @endphp
                                                    @if ($loadBydate->is_disable == 0)
                                                        @php $cpm_revenue   = getLoadRevenue($loadBydate) @endphp
                                                    @else
                                                        @php $cpm_revenue   = getLoadPay($loadBydate) @endphp
                                                    @endif
                                                @endif
                                            @endforeach
                                            @if($cpm_revenue!='$0' && $cpm_miles > 0)
                                                {{ getLoadSingleCPM2($cpm_revenue,$cpm_miles) }}
                                            @else
                                                &nbsp;
                                            @endif
                                        @elseif(count($get_load_by_date) > 1)
                                            @php
                                                $cpm_arry                   = [];
                                            @endphp
                                            @php
                                                $html                       = '<div class="load-detail" style="display:none;"><ul>';
                                            @endphp
                                            @foreach ($get_load_by_date as $loadBydate)
                                                @php
                                                    $cpm                    = '$0';
                                                    $cpm_miles              = 0;
                                                    $cpm_revenue            = '$0';
                                                @endphp
                                                @if ($day == \Carbon\Carbon::parse($loadBydate->actual_delivery_date)->format('m/d/Y'))
                                                    @php
                                                        $cpm_miles          = getLoadTotalMiles($loadBydate);
                                                        $cpm_miles          = floatval(str_replace(',', '', $cpm_miles));
                                                    @endphp
                                                    @if ($loadBydate->is_disable == 0)
                                                        @php $cpm_revenue   = getLoadRevenue($loadBydate) @endphp
                                                    @else
                                                        @php $cpm_revenue   = getLoadPay($loadBydate) @endphp
                                                    @endif
                                                @endif
                                                @if($cpm_revenue!='$0' && $cpm_miles > 0)
                                                    @php
                                                        $cpm                = getLoadSingleCPM2($cpm_revenue,$cpm_miles);
                                                        $formatted_cpm      = floatval(str_replace(',', '', str_replace('$', '', $cpm)));
                                                        if($formatted_cpm > 0){
                                                            $cpm_arry[]     = $formatted_cpm;
                                                        }
                                                    @endphp
                                                @endif
                                                <!--  -->
                                                @php
                                                    $name                   = '';
                                                @endphp
                                                @if (in_array($loadBydate->load_type, [1, 2, 3, 4, 5]))
                                                    @php
                                                        $name               = getLoadTypeList()[$loadBydate->load_type];
                                                    @endphp
                                                @else
                                                    @php
                                                        $name               = $loadBydate->load_number;
                                                    @endphp
                                                @endif
                                                @php
                                                    $html                  .= '<li>';
                                                @endphp
                                                @if ($loadBydate->is_disable == 0)
                                                    <?php
                                                        $html              .= '<a href="'.route('company.admin.loads.edit',base64Encode($loadBydate->load_id)).'?from=load_by_week" class="text-dark" target="_blank">'.$name.' - '.$cpm.'</a>';
                                                    ?>
                                                @else
                                                    <?php
                                                        $html              .= '<a href="'.route('company.admin.loads.show',base64Encode($loadBydate->load_id)).'" class="text-dark" target="_blank">'.$name.' - '.$cpm.'</a>';
                                                    ?>
                                                @endif
                                                @php
                                                    $html                  .= '</li>';
                                                @endphp
                                                <!--  -->
                                            @endforeach
                                            @php
                                                $html                      .= '</ul></div>';
                                            @endphp
                                            @php
                                                $cpm_arry                   = array_filter($cpm_arry);
                                                $total_count                = count($cpm_arry);
                                                $total_cpm                  = array_sum($cpm_arry);
                                                $cpm_avg                    = 0;
                                                if($total_count > 0 && $total_cpm > 0){
                                                    $cpm_avg                = $total_cpm/$total_count;
                                                }
                                            @endphp
                                            <span class="multiple-loads">{{ "$" . number_format((float)$cpm_avg, 2, '.', '') }}</span>
                                            {!! $html !!}
                                        @else
                                            &nbsp;
                                        @endif
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </td>
                @endforeach
                {{--
                    @php
                        $getLoadTargetOvnerUnder                            = getLoadTargetOvnerUnder($startDate,$endDate,$driver_id,$targetRevenu,$load,$trailer_type,$dispatcher);
                    @endphp
                    <td class="@if ($getLoadTargetOvnerUnder < 0) text-red @elseif ($getLoadTargetOvnerUnder > 0) text-green @endif">
                        @php
                            $fmt                                            = new \NumberFormatter('en_US', \NumberFormatter::CURRENCY);
                            echo $fmt->formatCurrency($getLoadTargetOvnerUnder, "USD");
                        @endphp
                    </td>
                --}}
            </tr>
            @php
                $ch++;
            @endphp
        @endforeach
    @else
        @if($skip == 0)
            {{--
                <tr class="text-center">
                    <td colspan="2">No data available</td>
                </tr>
            --}}
            <tr class="before-none">
                <td colspan="14" class="m-auto w-100 font-weight-bold text-center" style="font-size: 18px !important;max-width: 220px;">No data available</td>
            </tr>
        @endif
    @endif
    <!--  -->
@if($skip == 0)
        </tbody>
    </table>
@endif

@if($load_count != 8 && $load_count > 0)
    <input type="hidden" value="<?php echo $load_count; ?>" name="load_count" class="load_count" />
@endif

@foreach($chartarray as $chart)
    @php
       /*
        if($chart["getOccupancyBasedRevenue"] > 100){
            $getOccupancyBasedRevenue       = 100;
        }else{
            $getOccupancyBasedRevenue       = $chart["getOccupancyBasedRevenue"];
        }
       */
        $getOccupancyBasedRevenue           = $chart["getOccupancyBasedRevenue"];
    @endphp
    <script type="text/javascript">
        var fleetOccupancy                  = parseInt('{{ $getOccupancyBasedRevenue }}');

        if(fleetOccupancy > 100){
            fleetOccupancy                  = 100;
        }

        {{--
            var plotColor                   = "#E02020";
            var occupancyGoal               = 50;
            if(fleetOccupancy >= occupancyGoal){
                plotColor                   =  "#04c71b";
            }
            Highcharts.chart('OccupancyBasedRevenueChart{{ $chart["driver_id"] }}', {
                chart: {
                    type: 'gauge',
                    plotBackgroundColor: null,
                    //plotBackgroundImage: null,
                    plotBorderWidth: 0,
                    plotShadow: false,
                    //backgroundColor: null,
                    marginLeft:0,
                    marginRight:0,
                    marginTop:0,
                    spacingTop: 0,
                    spacingBottom: 0,
                    spacingLeft: 0,
                    spacingRight: 0,
                    height: 140,
                    // width: 125,
                    marginBottom: 0,
                },
                title: {
                    text: null
                },
                exporting: {
                    enabled: true
                },
                //background: null,
                credits: {
                    enabled: false
                },
                pane: [{
                    startAngle: -100,
                    endAngle: 100,
                    center: ['50%', '60%'],
                    background: null,
                }, {
                    startAngle: -100,
                    endAngle: 100,
                    center: ['50%', '60%'],
                    background: null
                }],
                yAxis: [{
                    min: 0,
                    max: 100,
                    lineColor: null,
                    minorTickInterval: 'auto',
                    minorTickWidth: 0,
                    minorTickLength: 0,
                    minorTickPosition: 'outside',
                    minorTickColor: '#fff',
                    tickPixelInterval: '10',
                    tickWidth: 1,
                    tickLength: 10,
                    tickPosition: 'inside',
                    tickColor: '#fff',
                    labels: {
                        step: 10,
                        distance: -40,
                        useHTML: true,
                        style: {
                            fontFamily: 'Roboto',
                            fontWeight: '400',
                            fontSize: '75%',
                            left: '100%',
                            textShadow: '0',
                            color: '#aaaaaa'
                        }
                    },
                    title: {
                        text: null
                    },
                    plotBands: [
                        {
                            from: 0,
                            to: 100,
                            color: '#e7f2f8',
                            innerRadius: '85%',
                            outerRadius: '105%'
                        },
                        {
                            from: 0,
                            to: fleetOccupancy,
                            color: plotColor,
                            innerRadius: '85%',
                            outerRadius: '105%',
                        }
                    ]
                }, {
                    pane: 1,
                    min: 0,
                    max: 100,
                    labels: {
                        enabled: false
                    },
                    tickWidth: 0,
                    tickLength: 0,
                    minorTickWidth: 0,
                    minorTickLength: 0,
                    lineWidth: 0
                }],
                plotOptions: {
                    gauge: {
                        dataLabels: {
                            enabled: true,
                            useHTML: true,
                            formatter: function () {
                                var mbps = this.y;
                                return '<span class="rpGaugeLabel" style="text-align:center;display:block;">' + mbps + '%<span style="font-size:88%;text-align:center;display:block;">Occupancy</span></span>';
                            },
                            style: {
                                fontFamily: 'Roboto',
                                fontWeight: '300',
                                fontSize: '113%',
                                textShadow: '0',
                                color: '#666'
                            },
                            borderColor: 'transparent',
                        },
                        dial: {
                            radius: '95%',
                            backgroundColor: '#ccc',
                            borderWidth: 0,
                            baseWidth: 5,
                            topWidth: 1,
                            baseLength: '40%', // of radius
                            rearLength: '0%'
                        },
                        pivot: {
                            backgroundColor: '#bbb',
                            radius: 7
                        }
                    }
                },
                series: [
                    {
                        dataLabels: {
                            format:
                            '<div class="graph-txt">' +
                            '<span >Occupancy Based<br/> Revenue: '+fleetOccupancy+'%</span><br/>' +
                            '</div>'
                        },
                        yAxis: 1,
                        name: 'Occupancy',
                        data: [fleetOccupancy],
                        tooltip: {
                            valueSuffix: '%'
                        },
                    },
                    {
                        name: 'Goal',
                        isRectanglePoint: false,
                        type: 'gauge',
                        data: [occupancyGoal],
                        tooltip: {
                            valueSuffix: '%'
                        },
                        dial: {
                            backgroundColor: Highcharts.getOptions().colors[2],
                            rearLength: '-81%',
                            topWidth: '4',
                            borderWidth: '0',
                            radius: '105%',
                            baseLength: '90%'
                        },
                        pivot: {
                            radius: 0
                        }
                    }
                ]
            });
        --}}

        Highcharts.chart('OccupancyBasedRevenueChart{{ $chart["driver_id"] }}', {
            chart: {
                type: 'solidgauge',
                //backgroundColor: 'yellow',
                plotBorderWidth: 0,
                plotShadow: false,
                plotBackgroundColor: null,
                //plotBackgroundImage: null,
                marginLeft:0,
                marginRight:0,
                marginTop:0,
                spacingTop: 0,
                spacingBottom: 0,
                spacingLeft: 0,
                spacingRight: 0,
                marginBottom: 0,
                height: 160,
                width: 120,
            },
            title: {
                text: null
            },
            exporting: {
                enabled: true
            },
            credits: {
                enabled: false
            },
            pane: {
                size: '69%',
                center: ['50%', '60%'],
                startAngle: -100,
                endAngle: 100,
                background: null
            },
            tooltip: {
                enabled: false
            },
            yAxis: {
                min: 0,
                max: 100,
                minorTickInterval: 'auto',
                minorTickWidth: 0.5,
                minorTickLength: 5,
                minorTickPosition: 'inside',
                minorTickColor: '#000000',
                tickTickInterval: '5',
                tickWidth: 0.5,
                tickLength: 8,
                tickPosition: 'inside',
                tickColor: '#3f3b3b',
                tickAmount: 5,
                gridLineWidth: 0,
                gridLineColor: 'transparent',
                labels: {
                    enabled: false
                },
                title: {
                    text: null
                },
            },
            plotOptions: {
                solidgauge: {
                    dataLabels: {
                        y: -6,
                        borderWidth: 0,
                        useHTML: true,
                    }
                }
            },
            series: [
                {
                    name: 'Occupancy',
                    data: [{
                        color: '#49A7DE',
                        y: fleetOccupancy
                    }],
                    dataLabels: {
                        format: '<div class="graph-txt">' +
                            '<p class="mb-2" style="text-align:center; font-size: 20px;">{y}%</p>' +
                            '<span style="font-size: 12px;">Occupancy<br/>Based Revenue </span><br/>' +
                            '</div>',
                    },
                    innerRadius:'115%',
                    radius: '145%'
                }
            ]
        });
    </script>
    <script type="text/javascript">
        var fleetOccupancy                  = parseInt('{{ $chart["getLoadOccupancy"] }}');
        var occupancyGoal                   = parseInt('{{ $chart["getLoadOccupancyGoal"] }}');

        if(fleetOccupancy > 100){
            fleetOccupancy                  = 100;
        }

        {{--
            var plotColor                   = "#E02020";
            if(fleetOccupancy >= occupancyGoal){
                plotColor                   =  "#04c71b";
            }
            Highcharts.chart('getLoadOccupancy{{ $chart["driver_id"] }}', {
                chart: {
                    type: 'gauge',
                    plotBackgroundColor: null,
                    //plotBackgroundImage: null,
                    plotBorderWidth: 0,
                    plotShadow: false,
                    //backgroundColor: null,
                    marginLeft:0,
                    marginRight:0,
                    marginTop:0,
                    spacingTop: 0,
                    spacingBottom: 0,
                    spacingLeft: 0,
                    spacingRight: 0,
                    height: 140,
                    // width: 125,
                    marginBottom: 0,
                },
                title: {
                    text: null
                },
                exporting: {
                    enabled: true
                },
                //background: null,
                credits: {
                    enabled: false
                },
                pane: [{
                    startAngle: -100,
                    endAngle: 100,
                    center: ['50%', '60%'],
                    background: null,
                }, {
                    startAngle: -100,
                    endAngle: 100,
                    center: ['50%', '60%'],
                    background: null
                }],
                yAxis: [{
                    min: 0,
                    max: 100,
                    lineColor: null,
                    minorTickInterval: 'auto',
                    minorTickWidth: 0,
                    minorTickLength: 0,
                    minorTickPosition: 'outside',
                    minorTickColor: '#fff',
                    tickPixelInterval: '10',
                    tickWidth: 1,
                    tickLength: 10,
                    tickPosition: 'inside',
                    tickColor: '#fff',
                    labels: {
                        step: 10,
                        distance: -40,
                        useHTML: true,
                        style: {
                            fontFamily: 'Roboto',
                            fontWeight: '400',
                            fontSize: '75%',
                            left: '100%',
                            textShadow: '0',
                            color: '#aaaaaa'
                        }
                    },
                    title: {
                        text: null
                    },
                    plotBands: [
                        {
                            from: 0,
                            to: 100,
                            color: '#e7f2f8',
                            innerRadius: '85%',
                            outerRadius: '105%'
                        },
                        {
                            from: 0,
                            to: fleetOccupancy,
                            color: plotColor,
                            innerRadius: '85%',
                            outerRadius: '105%',
                        }
                    ]
                }, {
                    pane: 1,
                    min: 0,
                    max: 100,
                    labels: {
                        enabled: false
                    },
                    tickWidth: 0,
                    tickLength: 0,
                    minorTickWidth: 0,
                    minorTickLength: 0,
                    lineWidth: 0
                }],
                plotOptions: {
                    gauge: {
                        dataLabels: {
                            enabled: true,
                            useHTML: true,
                            formatter: function () {
                                var mbps = this.y;
                                return '<span class="rpGaugeLabel" style="text-align:center;display:block;">' + mbps + '%<span style="font-size:88%;text-align:center;display:block;">Occupancy</span></span>';
                            },
                            style: {
                                fontFamily: 'Roboto',
                                fontWeight: '300',
                                fontSize: '113%',
                                textShadow: '0',
                                color: '#666'
                            },
                            borderColor: 'transparent',
                        },
                        dial: {
                            radius: '95%',
                            backgroundColor: '#ccc',
                            borderWidth: 0,
                            baseWidth: 5,
                            topWidth: 1,
                            baseLength: '40%', // of radius
                            rearLength: '0%'
                        },
                        pivot: {
                            backgroundColor: '#bbb',
                            radius: 7
                        }
                    }
                },
                series: [
                    {
                        dataLabels: {
                            format:
                            '<div class="graph-txt">' +
                            '<span >Occupancy: '+fleetOccupancy+'%</span><br/>' +
                            '<span >Goal: '+occupancyGoal+'%</span><br/>' +
                            '</div>'
                        },
                        yAxis: 1,
                        name: 'Occupancy',
                        data: [fleetOccupancy],
                        tooltip: {
                            valueSuffix: '%'
                        },
                    },
                    {
                        name: 'Goal',
                        isRectanglePoint: false,
                        type: 'gauge',
                        data: [occupancyGoal],
                        tooltip: {
                            valueSuffix: '%'
                        },
                        dial: {
                            backgroundColor: Highcharts.getOptions().colors[2],
                            rearLength: '-81%',
                            topWidth: '4',
                            borderWidth: '0',
                            radius: '105%',
                            baseLength: '90%'
                        },


                        pivot: {
                            radius: 0
                        }
                    }
                ]
            });
        --}}

        Highcharts.chart('getLoadOccupancy{{ $chart["driver_id"] }}', {
            chart: {
                type: 'solidgauge',
                //backgroundColor: 'yellow',
                plotBorderWidth: 0,
                plotShadow: false,
                plotBackgroundColor: null,
                //plotBackgroundImage: null,
                marginLeft:0,
                marginRight:0,
                marginTop:0,
                spacingTop: 0,
                spacingBottom: 0,
                spacingLeft: 0,
                spacingRight: 0,
                marginBottom: 0,
                height: 160,
                width: 120,
            },
            title: {
                text: null
            },
            exporting: {
                enabled: true
            },
            credits: {
                enabled: false
            },
            pane: {
                size: '69%',
                center: ['50%', '60%'],
                startAngle: -100,
                endAngle: 100,
                background: null
            },
            tooltip: {
                enabled: false
            },
            yAxis: {
                min: 0,
                max: 100,
                minorTickInterval: 'auto',
                minorTickWidth: 0.5,
                minorTickLength: 5,
                minorTickPosition: 'inside',
                minorTickColor: '#000000',
                tickTickInterval: '5',
                tickWidth: 0.5,
                tickLength: 8,
                tickPosition: 'inside',
                tickColor: '#3f3b3b',
                tickAmount: 5,
                gridLineWidth: 0,
                gridLineColor: 'transparent',
                labels: {
                    enabled: false
                },
                title: {
                    text: null
                },
            },
            plotOptions: {
                solidgauge: {
                    dataLabels: {
                        y: -6,
                        borderWidth: 0,
                        useHTML: true,
                    }
                }
            },
            series: [
                {
                    name: 'Occupancy',
                    data: [{
                        color: '#49A7DE',
                        y: fleetOccupancy
                    }],
                    dataLabels: {
                        format: '<div class="graph-txt">' +
                            '<p class="mb-2" style="text-align:center; font-size: 20px;">{y}%</p>' +
                            '<span style="font-size: 12px;">Occupancy: '+fleetOccupancy+'%</span><br/>' +
                            '<span style="font-size: 12px;">Target: '+occupancyGoal+'%</span><br/>' +
                            '</div>',
                    },
                    innerRadius:'115%',
                    radius: '145%'
                }
            ]
        });
    </script>
    <script type="text/javascript">
        var plotColor                       = "#E02020";
        var actualRevenue                   = parseInt('{{ $chart["getLoadGrossRevenue"] }}');
        var targetRevenue                   = parseInt('{{ $chart["getLoadTargetRevenue"] }}');
        if(actualRevenue >= targetRevenue){
            plotColor                       =  "#04c71b";
        }

        let clcRevenue                      = 0;
        if(targetRevenue > 0 || actualRevenue > 0){
            if(actualRevenue > 0 && targetRevenue > 0){
                clcRevenue                  = (actualRevenue / targetRevenue) * 100;
                if(clcRevenue > 100){
                    clcRevenue              = 100;
                }
            }else if(actualRevenue > 0 && targetRevenue == 0){
                clcRevenue                  = 100;
            }
            clcRevenue                      = parseInt(clcRevenue);
        }

        let fontSize                        = '19px';
        if(actualRevenue >= 10000){
            fontSize                        = '18px';
        }

        {{--
            var maxRevenue                  = 100;
            if(targetRevenue > actualRevenue){
                if(targetRevenue > 0){
                    maxRevenue              = targetRevenue;
                }
            }else{
                if(actualRevenue > 0){
                    maxRevenue              = actualRevenue;
                }
            }
            Highcharts.chart('getLoadGrossRevenue{{ $chart["driver_id"] }}', {
                chart: {
                    type: 'gauge',
                    plotBackgroundColor: null,
                    //plotBackgroundImage: null,
                    plotBorderWidth: 0,
                    plotShadow: false,
                    //backgroundColor: null,
                    marginLeft:0,
                    marginRight:0,
                    marginTop:0,
                    spacingTop: 0,
                    spacingBottom: 0,
                    spacingLeft: 0,
                    spacingRight: 0,
                    height: 140,
                    // width: 125,
                    marginBottom: 0,
                },
                title: {
                    text: null
                },
                exporting: {
                    enabled: true
                },
                //background: null,
                credits: {
                    enabled: false
                },
                pane: [{
                    startAngle: -100,
                    endAngle: 100,
                    center: ['50%', '60%'],
                    background: null,
                }, {
                    startAngle: -100,
                    endAngle: 100,
                    center: ['50%', '60%'],
                    background: null
                }],
                yAxis: [{
                    min: 0,
                    max: maxRevenue,
                    lineColor: null,
                    minorTickInterval: 'auto',
                    minorTickWidth: 0,
                    minorTickLength: 0,
                    minorTickPosition: 'outside',
                    minorTickColor: '#fff',
                    tickPixelInterval: '10',
                    tickWidth: 1,
                    tickLength: 10,
                    tickPosition: 'inside',
                    tickColor: '#fff',
                    labels: {
                        step: 5,
                        distance: -35,
                        useHTML: true,
                        style: {
                            fontFamily: 'Roboto',
                            fontWeight: '400',
                            fontSize: '75%',
                            left: '100%',
                            textShadow: '0',
                            color: '#aaaaaa'
                        }
                    },
                    title: {
                        text: null
                    },
                    plotBands: [
                        {
                            from: 0,
                            to: maxRevenue,
                            color: '#e7f2f8',
                            innerRadius: '85%',
                            outerRadius: '105%'
                        },
                        {
                            from: 0,
                            to: actualRevenue,
                            color: plotColor,
                            innerRadius: '85%',
                            outerRadius: '105%',
                        }
                    ]
                }, {
                    pane: 1,
                    min: 0,
                    max: maxRevenue,
                    labels: {
                        enabled: false
                    },
                    tickWidth: 0,
                    tickLength: 0,
                    minorTickWidth: 0,
                    minorTickLength: 0,
                    lineWidth: 0
                }],
                plotOptions: {
                    gauge: {
                        dataLabels: {
                            enabled: true,
                            useHTML: true,
                            formatter: function () {
                                var revenue = this.y;
                                return '$'+Highcharts.numberFormat(revenue, 2, '.', ',');
                            },
                            style: {
                                fontFamily: 'Roboto',
                                fontWeight: '300',
                                fontSize: '113%',
                                textShadow: '0',
                                color: '#666'
                            },
                            borderColor: 'transparent',
                        },
                        dial: {
                            radius: '95%',
                            backgroundColor: '#ccc',
                            borderWidth: 0,
                            baseWidth: 5,
                            topWidth: 1,
                            baseLength: '40%', // of radius
                            rearLength: '0%'
                        },
                        pivot: {
                            backgroundColor: '#bbb',
                            radius: 7
                        }
                    }
                },
                series: [
                    {
                        dataLabels: {
                            format:
                            '<div class="graph-txt">' +
                            '<span >Actual: {{ $fmt->formatCurrency($chart["getLoadGrossRevenue"], "USD") }}</span><br/>' +
                            '<span >Target: {{ $fmt->formatCurrency($chart["getLoadTargetRevenue"], "USD") }}</span><br/>' +
                            '</div>'
                        },
                        yAxis: 1,
                        name: 'Revenue',
                        data: [actualRevenue],
                        tooltip: {
                            valuePrefix: '$'
                        },
                    },
                    {
                        name: 'Goal',
                        isRectanglePoint: false,
                        type: 'gauge',
                        data: [targetRevenue],
                        tooltip: {
                            shared: true,
                            headerFormat: "",
                            pointFormatter: function() {
                                return "\u003cspan style=\"color:" + this.series.color + "\"\u003e■\u003c/span\u003e " + this.series.name + ": \u003cb\u003e$" + Highcharts.numberFormat(this.y, 2, '.', ',') + "\u003c/b\u003e\u003cbr/\u003e"
                            }
                        },
                        dial: {
                            backgroundColor: Highcharts.getOptions().colors[2],
                            rearLength: '-81%',
                            topWidth: '4',
                            borderWidth: '0',
                            radius: '105%',
                            baseLength: '90%'
                        },
                        dataLabels: {
                            enabled: true
                        },
                        pivot: {
                            radius: 0
                        }
                    }
                ]
            });
        --}}

        Highcharts.chart('getLoadGrossRevenue{{ $chart["driver_id"] }}', {
            chart: {
                type: 'solidgauge',
                //backgroundColor: 'yellow',
                plotBorderWidth: 0,
                plotShadow: false,
                plotBackgroundColor: null,
                //plotBackgroundImage: null,
                marginLeft:0,
                marginRight:0,
                marginTop:0,
                spacingTop: 0,
                spacingBottom: 0,
                spacingLeft: 0,
                spacingRight: 0,
                marginBottom: 0,
                height: 160,
                width: 120,
            },
            title: {
                text: null
            },
            exporting: {
                enabled: true
            },
            credits: {
                enabled: false
            },
            pane: {
                size: '69%',
                center: ['50%', '60%'],
                startAngle: -100,
                endAngle: 100,
                background: null
            },
            tooltip: {
                enabled: false
            },
            yAxis: {
                min: 0,
                max: 100,
                minorTickInterval: 'auto',
                minorTickWidth: 0.5,
                minorTickLength: 5,
                minorTickPosition: 'inside',
                minorTickColor: '#000000',
                tickTickInterval: '5',
                tickWidth: 0.5,
                tickLength: 8,
                tickPosition: 'inside',
                tickColor: '#3f3b3b',
                tickAmount: 5,
                gridLineWidth: 0,
                gridLineColor: 'transparent',
                labels: {
                    enabled: false
                },
                title: {
                    text: null
                },
            },
            plotOptions: {
                solidgauge: {
                    dataLabels: {
                        y: -6,
                        borderWidth: 0,
                        useHTML: true,
                    }
                }
            },
            series: [
                {
                    name: 'Revenue',
                    data: [{
                        color: '#49A7DE',
                        y: clcRevenue,
                    }],
                    dataLabels: {
                        format: '<div class="graph-txt">' +
                            '<p class="mb-2" style="text-align:center; font-size: '+ fontSize +';">{y}%</p>' +
                            '<span style="font-size: 12px;">Actual: {{ $fmt->formatCurrency($chart["getLoadGrossRevenue"], "USD") }}</span><br/>' +
                            '<span style="font-size: 12px;">Target: {{ $fmt->formatCurrency($chart["getLoadTargetRevenue"], "USD") }}</span><br/>' +
                            '</div>',
                    },
                    innerRadius:'115%',
                    radius: '145%'
                }
            ]
        });
    </script>
@endforeach

<style type="text/css">
   #container {
        min-width: 360px;
        max-width: 800px;
        margin: 0 auto;
    }
    .highcharts-tooltip table th {
        padding-bottom: 0.2em;
        border-bottom: 1px solid silver;
    }
</style>
