@extends($companyAdminTheme)

@section('title')
    Maintenance Create
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
        .select2-container{
            width: 100% !important;
        }
        .select2-container .select2-selection--single{
            height: 39px;
        }
        .select2-container--default .select2-selection--single{
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered{
            line-height: 36px;
            font-size: 17px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow{
            height: 31px;
        }
        .btn-group-toggle label {width: 38px;border-radius: 100% !important;font-size: 16px;}
    </style>
@endsection

@section('content')
    {!! Form::open(array('route' => 'company.admin.maintenances.store','method'=>'POST','files'=>'true','class'=>'storeMaintenanceForm')) !!}
        <div class="row">
            <div class="col-lg-6">
                <div class="white-box mb-2">
                    <h4 class="box-title">Maintenance Basic Info Ticket</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Equipment Type<span>*</span></label>
                                    {!! Form::select('equipment_type', ['' => 'Select Equipment','1' => 'Truck','2' => 'Trailer'], request()->get('equipment_type'), ['class' => 'form-control select2','data-parsley-errors-container'=>'#equipment_type','required' => 'required']) !!}
                                    <div id="equipment_type"></div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group truckNamber">
                                    <label>Truck Number<span>*</span></label>
                                    {!! Form::select('truck_namber', ['' => 'Select Truck']+getTruckList(), request()->get('truck_namber'), ['class' => 'form-control select2 truck_namber','data-parsley-errors-container'=>'#truck_namber','required' => 'required']) !!}
                                    <div id="truck_namber"></div>
                                </div>
                                <div class="form-group trailerNamber custd-none">
                                    <label>Trailer Number<span>*</span></label>
                                    {!! Form::select('trailer_namber', ['' => 'Select Trailer']+getTrailerList(), request()->get('trailer_namber'), ['class' => 'trailer-type form-control select2 trailer_namber','data-parsley-errors-container'=>'#trailer_namber']) !!}
                                    <div id="trailer_namber"></div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Type<span>*</span></label>
                                    {!! Form::select('type', ['' => 'Select Type']+getMaintenanceTicketTypeList(), request()->get('type'), ['class' => 'form-control select2 type','data-parsley-errors-container'=>'#error_type','required' => 'required']) !!}
                                    <div id="error_type"></div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Maintenance Title (short description)</label>
                                    {!! Form::text('name', old('name'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                                    <span class="error name_error text-danger"></span>
                                </div>
                            </div>
                            <div class="col-md-12 mb-3 enseno">
                                <div class="form-group">
                                    <label>Notify</label>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="checkbox d-inline-block mr-2">
                                              <label class=" control-label">
                                                    {!! Form::checkbox('notify_dispatcher', 1, false, array('class' => 'form-control loadregucheck')) !!} Dispatcher
                                              </label>
                                            </div>
                                            <div class="checkbox d-inline-block mr-2">
                                              <label class=" control-label">
                                                    {!! Form::checkbox('notify_driver', 1, false, array('class' => 'form-control loadregucheck')) !!} Driver
                                              </label>
                                            </div>
                                            <div class="checkbox d-inline-block mr-2">
                                              <label class=" control-label">
                                                    {!! Form::checkbox('notify_company', 1, false, array('class' => 'form-control loadregucheck')) !!} Company
                                              </label>
                                            </div>
                                            <div class="checkbox d-inline-block mr-2">
                                              <label class=" control-label">
                                                    {!! Form::checkbox('notify_other_checkbox', 1, false, array('class' => 'form-control loadregucheck checknondriveruser')) !!} Other
                                              </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-8 selenondriveruser mb-2" style="display: none;">
                                <div class="form-group">
                                    <label>Select Users</label>
                                    {!! Form::select('notify_other', getUserListByCompany(), null, ['class' => 'select2 form-control','data-parsley-errors-container'=>'#notify_other','id'=>'privatUser3','multiple'=>'multiple','name'=>'notify_other[]']) !!}
                                    <div id="notify_other"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-2">
                    <h4 class="box-title">Vendor</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Vendor Name - <a href="javascript:void(0)" class="add-vendor-link" data-toggle="modal" data-target="#addVendorModal">Add New</a></label>
                                    {!! Form::select('vendor_id', ['' => 'Select Vendor']+getVendorList(), request()->get('vendor_id'), ['class' => 'form-control select2 vendor-select2','data-parsley-errors-container'=>'#vendor_id']) !!}
                                    <div id="vendor_id"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-2">
                    <h4 class="box-title">Due</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="form-group">
                                    <label>Due On</label>
                                    <div class="row">
                                        <div class="col-sm-3">
                                            <div class="custom-control custom-radio">
                                                <input type="radio" name="due_on" class="custom-control-input" value="1" id="due_on_date" checked>
                                                <label class="custom-control-label" for="due_on_date">Date</label>
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <div class="custom-control custom-radio">
                                                <input type="radio" name="due_on" class="custom-control-input" value="2" id="due_on_miles" >
                                                <label class="custom-control-label" for="due_on_miles">Mileage</label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="form-group due_on_date">
                            <label>Due Date ({{ $getTimeZoneId }})</label>
                            <input type="text" class="form-control datetime" name="due_date" id="due_date"/>
                        </div>
                        <div class="form-group due_on_miles">
                            <label>Mileage</label>
                            <input type="number" class="form-control" name="due_miles" />
                        </div>
                        <div class="row">
                            <div class="col-md-12 mb-2 enseno">
                                <div class="form-group">
                                    <label>Display On Calendar</label>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="checkbox d-inline-block mr-2">
                                              <label class=" control-label">
                                                    {!! Form::checkbox('display_on_calendar_dispatcher', 1, false, array('class' => 'form-control loadregucheck')) !!} Dispatcher
                                              </label>
                                            </div>
                                            <div class="checkbox d-inline-block mr-2">
                                              <label class=" control-label">
                                                    {!! Form::checkbox('display_on_calendar_driver', 1, false, array('class' => 'form-control loadregucheck')) !!} Driver
                                              </label>
                                            </div>
                                            <div class="checkbox d-inline-block mr-2">
                                              <label class=" control-label">
                                                    {!! Form::checkbox('display_on_calendar_company', 1, false, array('class' => 'form-control loadregucheck')) !!} Company
                                              </label>
                                            </div>
                                            <div class="checkbox d-inline-block mr-2">
                                              <label class=" control-label">
                                                    {!! Form::checkbox('display_on_calendar_other_checkbox', 1, false, array('class' => 'form-control loadregucheck checknondriveruser2')) !!} Other
                                              </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-8 selenondriveruser2 mb-2" style="display: none;">
                                <div class="form-group">
                                    <label>Select Users</label>
                                    {!! Form::select('display_on_calendar_other', getUserListByCompany(), null, ['class' => 'select2 form-control','data-parsley-errors-container'=>'#display_on_calendar_other','id'=>'privatUser2','multiple'=>'multiple','name'=>'display_on_calendar_other[]']) !!}
                                    <div id="display_on_calendar_other"></div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="form-group">
                                    <label>Repeats?</label>
                                    <div class="row">
                                        <div class="col-sm-4">
                                            <div class="custom-control custom-radio">
                                                <input type="radio" name="repeats" class="custom-control-input" value="1" id="does_not_repeat" checked>
                                                <label class="custom-control-label" for="does_not_repeat">Does not Repeat</label>
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <div class="custom-control custom-radio">
                                                <input type="radio" name="repeats" class="custom-control-input" value="2" id="date_repeat" >
                                                <label class="custom-control-label" for="date_repeat">Date</label>
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <div class="custom-control custom-radio">
                                                <input type="radio" name="repeats" class="custom-control-input" value="3" id="mileage_repeat" >
                                                <label class="custom-control-label" for="mileage_repeat">Mileage</label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-8 selenondriveruser3 mb-4" style="display:none;">
                                <div class="form-grop">
                                    <label>How Often?</label>
                                    {!! Form::select('how_often', ['' => 'Select often'], null, ['id' => 'how_often','class' => 'select2 form-control how_often']) !!}
                                </div>
                                <input type="hidden" name="how_often_text" class="how_often_text">
                            </div>
                            <div class="col-md-8 repeat_milage_div mb-4" style="display:none;">
                                <div class="form-grop">
                                    <label>Mileage</label>
                                    <input type="number" class="form-control" name="repeat_due_miles" />
                                </div>
                            </div>
                            <div class="how_often_end" style="display:none;">
                                <div class="col-md-12 mb-4 mt-3">
                                    <div class="form-grop">
                                        <div class="row">
                                            <div class="col-md-3">
                                                <label>Repeat Every</label>
                                            </div>
                                            <div class="col-md-2">
                                                {!! Form::number('custom_repeat_every_number', 1, array('class' => 'form-control')) !!}
                                            </div>
                                            <div class="col-md-3">
                                                {!! Form::select('custom_repeat_every_type', ['1' => 'Week','2' => 'Month','2' => 'Year'], null, ['class' => 'select2 form-control']) !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-12 ">
                                    <div class="form-group load-type">
                                        <label>Repeat On</label>
                                        <div class="btn-group btn-group-toggle d-block" data-toggle="buttons">
                                            <label class="btn btn-secondary load-type-label active">
                                            {!! Form::radio('custom_repeat_on', 0, true, array('class' => 'load-type-radio custom-control-input')) !!} S
                                            </label>
                                            <label class="btn btn-secondary load-type-label">
                                            {!! Form::radio('custom_repeat_on', 1, false, array('class' => 'load-type-radio custom-control-input')) !!} M
                                            </label>
                                            <label class="btn btn-secondary load-type-label">
                                            {!! Form::radio('custom_repeat_on', 2, false, array('class' => 'load-type-radio custom-control-input')) !!} T
                                            </label>
                                            <label class="btn btn-secondary load-type-label">
                                            {!! Form::radio('custom_repeat_on', 3, false, array('class' => 'load-type-radio custom-control-input')) !!} W
                                            </label>
                                            <label class="btn btn-secondary load-type-label">
                                            {!! Form::radio('custom_repeat_on', 4, false, array('class' => 'load-type-radio custom-control-input')) !!} T
                                            </label>
                                            <label class="btn btn-secondary load-type-label">
                                            {!! Form::radio('custom_repeat_on', 5, false, array('class' => 'load-type-radio custom-control-input')) !!} F
                                            </label>
                                            <label class="btn btn-secondary load-type-label">
                                            {!! Form::radio('custom_repeat_on', 6, false, array('class' => 'load-type-radio custom-control-input')) !!} S
                                            </label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-12 mb-3 mt-2">
                                    <div class="row">
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label>End</label>
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <div class="checkbox d-inline-block mr-2">
                                                          <label class=" control-label">
                                                                {!! Form::radio('custom_ends', 1, false, array('class' => 'form-control loadregucheck','checked' => 'checked')) !!} Never
                                                          </label>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <div class="checkbox d-inline-block mr-2">
                                                          <label class=" control-label">
                                                                {!! Form::radio('custom_ends', 2, false, array('class' => 'form-control loadregucheck')) !!} On
                                                          </label>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <div class="checkbox d-inline-block mr-2">
                                                          <label class=" control-label">
                                                                {!! Form::radio('custom_ends', 3, false, array('class' => 'form-control loadregucheck')) !!} After
                                                          </label>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6 mt-4">
                                            <div class="form-group">
                                                {!! Form::text('custom_ends_date', request()->get('custom_ends_date'), array('placeholder' => 'Select Date', 'class' => 'form-control date', )) !!}
                                                <img src="{{ asset('theme/img/calendar.png') }}" alt="default_current_time">
                                            </div>
                                            <div class="form-grop">
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        {!! Form::number('custom_ends_occurrences_number', 1, array('class' => 'form-control')) !!}
                                                    </div>
                                                    <div class="col-md-8">
                                                        {!! Form::text('custom_ends_occurrences_type', old('custom_ends_occurrences_type'), array('class' => 'form-control', 'placeholder' => 'Enter occurrences')) !!}
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-2">
                    <h4 class="box-title">Financial</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-10">
                                <div class="form-group">
                                    <label>Estimated Cost</label>
                                    {!! Form::number('estimated_cost', old('estimated_cost'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                                </div>
                            </div>
                            <div class="col-md-2 text-left">
                                <div class="form-group">
                                    <label>Quote</label>
                                    <div class="notefile">
                                        <label for="estimated_file" class="btn"><i class="fa fa-paperclip"></i></label>
                                        <input id="estimated_file" style="display: none;" type="file" name="estimated_file[]" multiple>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        @php $maintenance = '55'.rand(10,500); @endphp
        <input type="hidden" name="dummyloadid" value="{{ $maintenance }}">
    {!! Form::close() !!}
    <div class="row">
        <div class="col-lg-12">
            <div class="white-box mb-2 load-status generalAccount">
                <form action="{{ route('company.admin.notes.store')}}" method="post" enctype="multipart" class="notesave">
                    @csrf
                    <input type="hidden" name="action_id" value="{{$maintenance}}" />
                    <input type="hidden" name="action_type" value="maintenance" />
                    <input type="hidden" name="created_by" value="{{ auth()->guard('company-admin')->user()->id }}">
                    <input type="hidden" name="created_by_type" value="{{ auth()->guard('company-admin')->user()->type }}">
                    <h4 class="box-title clear-btn">Notes</h4>
                    <div class="box-padding">
                        <div class="row align-items-center">
                            <div class="col-md-12 mt-1">
                                <div class="row">
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <select class="custom-select form-control" id="NoteType" name="type">
                                                <option value="1">Public Note</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <select class="custom-select form-control" id="RequestType" name="request_type">
                                                <option value="">Select Request Type</option>
                                                @if(count(getNoteRequestType()))
                                                    @foreach (getNoteRequestType() as $key => $RequestType)
                                                        <option value="{{ $key }}">{{ $RequestType }}</option>
                                                    @endforeach
                                                @endif
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6"></div>
                                    <div class="col-md-2 text-right">
                                        <div class="form-group notefile">
                                            <label for="note_file" class="btn"><i class="fa fa-paperclip"></i></label>
                                            <input id="note_file" style="display: none;" type="file" name="note_file[]" multiple>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    {!! Form::textarea('note', old('note'), array('class' => 'form-control','rows' => 5,'placeholder' => 'Enter your message','required' => 'required')) !!}
                                </div>
                            </div>
                            <div class="col-md-9 mb-2 enseno">
                                <div class="form-group d-flex flex-wrap align-items-center">
                                    <div class="checkbox d-inline-block mr-2">
                                        <label class=" control-label"><strong>Notify: </strong>
                                    </div>
                                    <div class="checkbox d-inline-block mr-2">
                                        <label class=" control-label">
                                            {!! Form::checkbox('notify_dispatcher', 1, false, array('class' => 'form-control loadregucheck','disabled' => 'disabled')) !!} Dispatcher
                                        </label>
                                    </div>
                                    <div class="checkbox d-inline-block mr-2">
                                        <label class=" control-label">
                                            {!! Form::checkbox('notify_driver', 1, false, array('class' => 'form-control loadregucheck','disabled' => 'disabled')) !!} Driver
                                        </label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 mb-3 text-right anabocbu">
                                <button type="submit" name="submit" class="btn btn-success">Submit</button>
                            </div>
                            <div class="col-md-3 selenondriveruser4 mb-4" style="display: none;">
                                <label>Select Users</label>
                                <div class="form-group">
                                    {!! Form::select('notify_private_company_admin_id', getCompanyAdminListByCompany(), null, ['class' => 'custom-select select2 form-control','data-parsley-errors-container'=>'#booked_by_erri','id'=>'privatUser4','multiple'=>'multiple','name'=>'notify_private_company_admin_id[]']) !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
                <div class="box-padding getnotesave">
                </div>
            </div>
        </div>
    </div>
    <div class="button-bottom">
        <a href="{{ route('company.admin.maintenances.index') }}" class="cancel-btn">Cancel</a>
        <button class="submit-btn submit-form">Submit</button>
    </div>
    @include('companyAdmin.maintenance.modal.addVendor')
@endsection

@section('script')
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script src="{{ asset('theme/js/input-mask.js') }}"></script>
    <script type="text/javascript">
        if(localTimeZone!=timeZone){
            moment.tz.setDefault(timeZone);
        }
    </script>
    <script type="text/javascript">
        $('.datetime').datetimepicker({
            format: dateTimeLayout,
            useCurrent: false,
        });

        $('.submit-form').click( function() {
            $('.storeMaintenanceForm').submit();
        });

        $('.storeMaintenanceForm').parsley();

        $("select[name=equipment_type]").on('change', function() {
            var value           = this.value;
            $(".truckNamber").hide();
            $(".trailerNamber").hide();
            var driverse        = $('.truckNamber select').prop('required',false).attr('aria-describedby');
            $('#'+driverse).hide();
            var dispase         = $('.trailerNamber select').prop('required',false).attr('aria-describedby');
            $('#'+dispase).hide();

            $(".truckNamber select").prop("selectedIndex", 0);
            $(".trailerNamber select").prop("selectedIndex", 0);

            if(value == 1){
                $(".truckNamber").show(300);
                var driverse    = $('.truckNamber select').prop('required',true).attr('aria-describedby');
                $('#'+driverse).show();
            }

            if(value == 2){
                $(".trailerNamber").show(300);
                var dispase     = $('.trailerNamber select').prop('required',true).attr('aria-describedby');
                $('#'+dispase).show();
            }
        });

        $('.checknondriveruser').change(function() {
            if (this.checked) {
                $('.selenondriveruser').show('200');
                $('#privatUser3').prop('required',true);
            } else {
                $('.selenondriveruser').hide('200');
                $('#privatUser3').prop('required',false);
            }
        });

        $('.checknondriveruser2').change(function() {
            if (this.checked) {
                $('.selenondriveruser2').show('200');
                $('#privatUser2').prop('required',true);
            } else {
                $('.selenondriveruser2').hide('200');
                $('#privatUser2').prop('required',false);
            }
        });

        $("input[type=radio][name=repeats]").on('change', function() {
            var value           = this.value;
            if (value == 2) {
                $('.repeat_milage_div').hide();
                var due_date    = $('#due_date').val();
                $('.selenondriveruser3').show('200');
                $('.how_often').prop('required',true);

                // ajax for get how to often dropdown
                // var html     = '<option value="">Select Often</option>';
                // $.ajax({
                //     url: "{{ route('company.admin.maintenance.dueDate.oftenData') }}",
                //     method: "GET",
                //     data: { due_date : due_date},
                //     success: function(response) {
                //         // $(".getnotesave").html(response.view);
                //         $.each(response, function(key, value) {
                //             html += "<option value='"+key+"'>"+value+"</option>";
                //         });
                //         $('#how_often')
                //                 .html(html);
                //     }
                // });
            }else if(value == 3){
                $('.repeat_milage_div').show('200');
                $('.selenondriveruser3').hide('200');
                // $('.how_often_end').hide('200');
                $('.how_often').prop('required',false);
            }
            else {
                $('.repeat_milage_div').hide('200');
                $('.selenondriveruser3').hide('200');
                $('.how_often_end').hide('200');
                $('.how_often').prop('required',false);
            }
        });

        $('.how_often').change(function() {
            $('.how_often_text').val($( ".how_often option:selected" ).text());
            var value = this.value;
            if (value == '8') {
                $('.how_often_end').show('200');
            } else {
                $('.how_often_end').hide('200');
            }
        });

        $(".due_on_miles").hide();

        $("input[name=due_on]").on('change', function() {
            var value = this.value;
            $(".due_on_miles").hide();
            $(".due_on_date").hide();
            if(value == '1'){
                $(".due_on_date").show(300);
                $("#due_date").prop('required',true);
            }
            if(value == '2'){
                $(".due_on_miles").show(300);
                $("#due_date").prop('required',false);
            }
        });

        $('#due_date').on('dp.change', function(e){
            var due_date = $(this).val();
            // alert(due_date)
            var html = '<option value="">Select Often</option>';
            $.ajax({
                url: "{{ route('company.admin.maintenance.dueDate.oftenData') }}",
                method: "GET",
                data: { due_date : due_date},
                success: function(response) {
                    // $(".getnotesave").html(response.view);
                    $.each(response, function(key, value) {
                        html += "<option value='"+key+"'>"+value+"</option>";
                    });
                    $('#how_often').html(html);
                }
            });
        });

        $(".notesave").ajaxForm({
            beforeSubmit:  function(formData, jqForm, options) {
                var loadimg = "{{ asset('theme/img/loading.gif') }}";
                $(".getnotesave").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
            },
            complete: function (response) {
                console.log(response.responseText);
                if(response.responseText == '1'){
                    getNoteSave();
                    $('.selenondriveruser4').hide('200');
                    $('.notesave')[0].reset();
                    toastr.success('Note create successfully', 'Success Alert', {timeOut: 5000})
                }else{
                    toastr.error('Something went wrong try again in a few seconds', 'Error Alert', {timeOut: 5000})
                }
            },
        });

        function getNoteSave(){
            var token   = $('meta[name="csrf-token"]').attr('content');
            var loadimg = "{{ asset('theme/img/loading.gif') }}";
            $(".getnotesave").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
            $.ajax({
              url: "{{ route('company.admin.notes.index') }}",
              method: "GET",
              data: { _token : token, action_id : <?php echo $maintenance; ?>, action_type : 'maintenance'},
              success: function(response) {
                 $(".getnotesave").html(response.view);
              }
            });
        }

        getNoteSave();

        $('.checknondriveruser4').change(function() {
            if (this.checked) {
                $('.selenondriveruser4').show('200');
                $('#privatUser4').prop('required',true);
            } else {
                $('.selenondriveruser4').hide('200');
                $('#privatUser4').prop('required',false);
            }
        });

        /******for Vendor address search********/
        $("body").on("click", ".add-vendor-link", function() {
            $(".storeVendorForm").trigger("reset");
            $(".storeVendorForm").find('.error').text('');
        });

        // Add Shipper Store
        $(".storeVendorForm").ajaxForm({
            complete: function(response) {
                if (response.responseJSON.success) {
                    $(".storeVendorForm").trigger("reset");
                    $("#addVendorModal").modal("hide");
                    $('.error').text('');
                    getVendor();
                    toastr.success(response.responseJSON.success, 'Success Alert', {
                        timeOut: 5000
                    })
                    var cust_id = response.responseJSON.id;
                    setTimeout(function() {
                        $('.vendor-select2 option[value="' + cust_id + '"]').attr("selected", "selected").change();
                    }, 1000);

                } else {
                    $('.error').text('');
                    $.each(response.responseJSON.errors, function(key, value) {
                        var key = key.replace(/\./g, '_');
                        $.each(value, function(skey, svalue) {
                            $('.' + key + '_error').text(svalue);
                        });
                    });
                    toastr.error('Please check the form below for errors', 'Error Alert', {
                        timeOut: 5000
                    })
                }
            },
        });

        function getVendor() {
            $.ajax({
                url: "{{ route('company.admin.get.vendor.list') }}",
                method: "GET",
                data: {
                    data: 'Vendor'
                },
                success: function(response) {
                    $('.vendor-select2').html(response);
                    $('.vendor-select2').select2({
                        allowClear: true,
                        width : '100%',
                        placeholder: 'Select Vendor'
                    });
                }
            });
        }

        getVendor();

        $('.date').datetimepicker({
            format: dateLayout,
            useCurrent: false,
            //minDate: moment()
        });
    </script>
@endsection

@push('after-scripts')
    <script src="{{ asset('theme/js/trimble.js') }}"></script>
@endpush