<div class="modal-header">
    <h5 class="modal-title">Edit Appointments</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
{!! Form::model($maintenanceAppointments,array(
        'route'     => ['company.admin.maintenance-appointments.update',$maintenanceAppointments->id],
        'method'    => 'PATCH',
        'files'     => 'true',
        'class'     => 'updateAppointmentsForm'
    )
) !!}
    <div class="modal-body">
        <div class=" row">

            <div class="col-md-12">
                <div class="form-group">
                    <label>Summary<span>*</span></label>
                    {!! Form::text('summary', old('summary'), array('class' => 'form-control', 'autocomplete' => 'new', 'required' => 'required', 'data-parsley-pattern' => '^[a-zA-Z ]*$')) !!}
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <label>Description<span>*</span></label>
                    {!! Form::textarea('description', old('description'), array('class' => 'form-control', 'autocomplete' => 'new', 'required' => 'required', 'data-parsley-pattern' => '^[a-zA-Z ]*$', 'rows' => '2')) !!}
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <label>Appointment Type</label>
                    {!! Form::select('type', ['' => 'Select Type']+getMaintenanceAppointmentTypeList(), request()->get('type'), ['class' => 'form-control select2','data-parsley-errors-container'=>'#type','required' => 'required']) !!}
                </div>
            </div>
            <div class="col-md-12 geocoding" data-type="appointment">
                <div class="row">
                    <input type="hidden" class="geocoding-latitude" name="latitude" value="{{ isset($maintenanceAppointments->latitude)?$maintenanceAppointments->latitude:'' }}" autocomplete="off">
                    <input type="hidden" class="geocoding-longitude" name="longitude" value="{{ isset($maintenanceAppointments->longitude)?$maintenanceAppointments->longitude:'' }}" autocomplete="off">
                    <input type="hidden" class="geocoding-abbr" name="timezone_abbr" value="{{ isset($maintenanceAppointments->timezone_abbr)?$maintenanceAppointments->timezone_abbr:'' }}" autocomplete="off">
                    <input type="hidden" class="geocoding-verified" name="address_verified" value="{{ isset($maintenanceAppointments->address_verified)?$maintenanceAppointments->address_verified:'0' }}" autocomplete="off">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label style="width: 100%;">Address  <a href="javascript:void(0)" class="editvendoraddress" style="position:absolute;right: 0;"><small>Add Vendor Address</small></a></label>
                            {!! Form::text('address', null, array(
                                    'class'         => 'form-control geocoding-address-1',
                                    'placeholder'   => '',
                                    'required'      => 'required'
                                )
                            ) !!}
                            <span class="error address_error text-danger"></span>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Address 2</label>
                            {!! Form::text('address2', null, array(
                                    'class'         => 'form-control geocoding-address-2',
                                    'placeholder'   => ''
                                )
                            ) !!}
                            <span class="error address2_error text-danger"></span>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>City</label>
                            {!! Form::text('city', null, array(
                                    'class'         => 'form-control geocoding-city'
                                )
                            ) !!}
                            <span class="error city_error text-danger"></span>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>State</label>
                            {!! Form::text('state', null, array(
                                    'class'         => 'form-control geocoding-state',
                                    'required'      => 'required'
                                )
                            ) !!}
                            <span class="error state_error text-danger"></span>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Zip</label>
                            {!! Form::text('zip', null, array(
                                    'class'         => 'form-control geocoding-zip',
                                    'required'      => 'required'
                                )
                            ) !!}
                            <span class="error zip_error text-danger"></span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <label>Appointment Reminders Schedule</label>
                    {!! Form::select('reminders_schedule',
                        ['' => 'Select Reminders',
                        '1' => '1 hour before',
                        '2' => '2 hour before',
                        '3' => '3 hour before',
                        '4' => '4 hour before',
                        '5' => '5 hour before'
                        ],
                        request()->get('reminders_schedule'), ['class' => 'form-control select2','data-parsley-errors-container'=>'#reminders_schedule','required' => 'required']) !!}
                </div>
            </div>
            <div class="col-md-2 pr-0">
                <div class="checkbox d-inline-block mr-2">
                    <label class=" control-label">
                        {!! Form::checkbox('all_days', 1, null, array('class' => 'form-control loadregucheck all_days')) !!} All Day
                    </label>
                </div>
            </div>
            <div class="col-md-5">
                <div class="form-group">
                    <label>Start Date<span>*</span> ({{ $getTimeZoneId }})</label>
                    {!! Form::text('start_time', old('start_time'), array('class' => 'form-control datetime','id' => 'start_time', 'required' => 'required')) !!}
                </div>
            </div>
            <div class="col-md-5 end_date_div">
                <div class="form-group">
                    <label>End Date<span>*</span> ({{ $getTimeZoneId }})</label>
                    {!! Form::text('end_time', old('end_time'), array('class' => 'form-control datetime','id' => 'end_time', 'required' => 'required')) !!}
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <label>Appointment Owner</label>
                    {!! Form::select('owner', ['' => 'Select Owner']+getUserListByCompany(), null, ['class' => 'form-control select2','data-parsley-errors-container'=>'#owner','required' => 'required']) !!}
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                {{--  {{$maintenanceAppointments->attendees}}  --}}
                @php
                $attendees=[];
                if(isset($maintenanceAppointments->attendees) && $maintenanceAppointments->attendees!=""){
                    $attendees=explode(',',$maintenanceAppointments->attendees);
                }
                @endphp
                    <label>Additional Attendees</label>
                    {!! Form::select('attendees[]', ['' => 'Select Owner']+getUserListByCompany(), $attendees, ['class' => 'form-control select2','data-parsley-errors-container'=>'#owner', 'multiple' => 'multiple']) !!}
                </div>
            </div>
            <div class="col-md-12">
                <div class="checkbox d-inline-block mr-2">
                  <label class=" control-label">
                        {!! Form::checkbox('do_not_email_invitation', 1, null, array('class' => 'form-control loadregucheck')) !!} Do not email this appointment invitation
                  </label>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        @if(isset($maintenanceAppointments->address_verified) && $maintenanceAppointments->address_verified=='1')
            <button role="button" class="btn btn-success edit-appointment-geocoding-btn geocoding-btn" data-type="appointment" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verified</button>
            <button class="btn blue-btn save-btn">Save</button>
        @else
            <button role="button" class="btn btn-warning edit-appointment-geocoding-btn geocoding-btn" data-type="appointment" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify</button>
            <button class="btn blue-btn save-btn d-none">Save</button>
        @endif
        <button type="button" class="btn cancel-btn" data-dismiss="modal">Cancel</button>
    </div>
{!! Form::close() !!}
<script type="text/javascript">
    $(document).ready(function () {
        $('.datetime').datetimepicker({
            format: dateTimeLayout,
            useCurrent: false,
            //minDate: moment()
        });

        if($(".all_days").is(":checked")) {
            $('#end_time').val('');
            $(".end_date_div").hide();
        }else{
            var minDateVar = $('#start_time').val();
            $('#end_time').data("DateTimePicker").options({minDate: minDateVar});
        }
    });

    $("#start_time").on("dp.change", function (e) {
        $('#end_time').data("DateTimePicker").minDate(e.date);
    });

    $(".all_days").click(function() {
        if($(this).is(":checked")) {
            $('#end_time').prop('required',false);
            $('#end_time').val('');
            $(".end_date_div").hide('200');
        } else {
            $(".end_date_div").show('200');
        }
    });

    $(".updateAppointmentsForm").ajaxForm({
        complete: function(response) {
            if (response.responseJSON.success) {
                $(".storeReceiverForm").trigger("reset");
                $("#editAppointment").modal("hide");
                $('.error').text('');
                getAppointment();
                toastr.success(response.responseJSON.success, 'Success Alert', {
                    timeOut: 5000
                })
            } else {
                $('.error').text('');
                $.each(response.responseJSON.errors, function(key, value) {
                    var key = key.replace(/\./g, '_');
                    $.each(value, function(skey, svalue) {
                        $('.' + key + '_error').text(svalue);
                    });
                });
            }
        },
    });
</script>