@extends($companyAdminTheme)

@section('title')
    Maintenance Show
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
        .custom-progress-bar li {width: 16.5%;}
        .select2-container{
            width: 100% !important;
        }
        .select2-container .select2-selection--single{
            height: 39px;
        }
        .select2-container--default .select2-selection--single{
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered{
            line-height: 36px;
            font-size: 17px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow{
            height: 31px;
        }
        .btn-group-toggle label {width: 38px;border-radius: 100% !important;font-size: 16px;}
        /*
        .dropdown:hover .dropdown-menu {
            display: block;
            margin-top: 0; // remove the gap so it doesn't close
        }
        */
        .multi_step_form #msform #progressbar li:after {
            border: inherit !important;
            border-radius: inherit !important;
            left: inherit !important;
        }
    </style>
@endsection

@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="white-box mb-4">
                <h4 class="box-title">General Information</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Ticket Number: {{ $maintenance->ticket_number }}</label><br/>
                                <label>Name: {{ $maintenance->name }}</label>
                                <span class="error name_error text-danger"></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-12 multi_step_form">
            <div class="white-box mb-4 spl-value">
                <h4 class="box-title">Maintenance Status</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-sm-6 col-md-6 col-lg-12" id="msform">
                            <ul class="custom-progress-bar" id="progressbar">
                                <li id="new" class="{{ $maintenance->status >= 1 ? 'fill-active' : '' }}">
                                    <a href="javascript:void(0)"><span class="progress-no">1</span>New</a>
                                </li>
                                <li id="CheckAndAdvise" class="{{ $maintenance->status >= 2 ? 'fill-active' : '' }}">
                                    <a href="javascript:void(0)"><span class="progress-no">2</span>Check And Advise</a>
                                </li>
                                <li id="PendingApproval" class="{{ $maintenance->status >= 3 ? 'fill-active' : '' }}">
                                    <a href="javascript:void(0)"><span class="progress-no">3</span>Pending Approval</a>
                                </li>
                                <li id="InProgess" class="{{ $maintenance->status >= 4 ? 'fill-active' : '' }}">
                                    <a href="javascript:void(0)"><span class="progress-no">4</span>In Progess</a>
                                </li>
                                <li id="Completed" class="{{ $maintenance->status >= 5 ? 'fill-active' : '' }}">
                                    <a href="javascript:void(0)"><span class="progress-no">5</span>Completed</a>
                                </li>
                                <li id="Canceled" class="{{ $maintenance->status >= 6 ? 'fill-active' : '' }}">
                                    <a href="javascript:void(0)"><span class="progress-no">6</span>Completed</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-3">
            {!! Form::model($maintenance,array('route' => ['company.admin.maintenances.update',$maintenance->id],'method'=>'PATCH','files'=>'true','class'=>'updateMaintenanceForm')) !!}
                <input type="text" style="display:none;" name="status" class="status-input" value="{{ $maintenance->status }}">
                <input type="hidden" name="vendor_id" value="{{ $maintenance->vendor_id }}" class="vendorID" />
                <div class="row">
                    <div class="col-lg-12">
                        <div class="white-box mb-4">
                            <h4 class="box-title">Ticket Info</h4>
                            <div class="box-padding">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label>Ticket Type: @if($maintenance->equipment_type == 1) Truck @else Trailer @endif</label><br/>
                                            @if($maintenance->equipment_type == 1)
                                                <label>Truck: {{ $maintenance->truck->unit }}</label><br/>
                                            @else
                                                <label>Trailer: {{ $maintenance->trailer->trailer_id }}</label><br/>
                                            @endif
                                            @if($maintenance->due_on == 1)
                                                <label>Due Date: {{ $maintenance->due_date." ".$getTimeZoneId }}</label><br/>
                                            @else
                                                <label>Due Mileage: {{ $maintenance->due_miles }}</label><br/>
                                            @endif
                                            <label>Created By: {{ $maintenance->companyAdmin->full_name }}</label><br/>

                                            @if($maintenance->repeats == 2)
                                            <label>Repeats: {{ ($maintenance->how_often_text) ? $maintenance->how_often_text : 'Date'}}</label><br/>
                                            @elseif($maintenance->repeats == 3)
                                            <label>Repeats: Mileage</label><br/>
                                            @else
                                            <label>Repeats: @if($maintenance->repeats == 1) Does not Repeat @else Mileage @endif</label><br/>
                                            @endif

                                            @php
                                                $Userno         = [];
                                            @endphp
                                            @if($maintenance->notify_dispatcher == 1)
                                                @php $Userno[]  = 'Dispatcher'; @endphp
                                            @endif
                                            @if($maintenance->notify_driver == 1)
                                                @php $Userno[]  = 'Driver'; @endphp
                                            @endif
                                            @if($maintenance->notify_company == 1)
                                                @php $Userno[]  = 'Company'; @endphp
                                            @endif
                                            @if(strlen($maintenance->notify_other) > 3)
                                                @php $Userno[]  = 'Other'; @endphp
                                            @endif
                                            <label>Users Notified: {{ implode(', ',$Userno) }}</label><br/>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-12">
                        <div class="white-box mb-4">
                            <h4 class="box-title">Vendor Info</h4>
                            <div class="box-padding">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            @if(isset($maintenance->vendor->name) && !empty($maintenance->vendor->name))
                                                <label>Name: <a href="{{ route('company.admin.vendors.update', base64Encode($maintenance->vendor->id)) }}" target="_blank" class="vendorname">{{ $maintenance->vendor->name }}</a></label><br/>
                                                <label>Address:
                                                    @php
                                                        $vaddresses         = [];
                                                    @endphp
                                                    @if(isset($maintenance->vendor->address) && $maintenance->vendor->address!=='')
                                                        @php
                                                            $vaddresses[]   = $maintenance->vendor->address;
                                                        @endphp
                                                    @endif
                                                    @if(isset($maintenance->vendor->address_2) && $maintenance->vendor->address_2!=='')
                                                        @php
                                                            $vaddresses[]   = $maintenance->vendor->address_2;
                                                        @endphp
                                                    @endif
                                                    @if(isset($maintenance->vendor->city) && $maintenance->vendor->city!=='')
                                                        @php
                                                            $vaddresses[]   = $maintenance->vendor->city;
                                                        @endphp
                                                    @endif
                                                    @if(isset($maintenance->vendor->state) && $maintenance->vendor->state!=='')
                                                        @php
                                                            $vaddresses[]   = $maintenance->vendor->state;
                                                        @endphp
                                                    @endif
                                                    @if(isset($maintenance->vendor->zip) && $maintenance->vendor->zip!=='')
                                                        @php
                                                            $vaddresses[]   = $maintenance->vendor->zip;
                                                        @endphp
                                                    @endif
                                                    @php
                                                        $vaddresses         = implode(', ', $vaddresses);
                                                    @endphp
                                                    @if($vaddresses!='')
                                                        <span class="vendoraddress"
                                                            data-address="{{ $maintenance->vendor->address ?? '' }}"
                                                            data-address_2="{{ $maintenance->vendor->address_2 ?? '' }}"
                                                            data-city="{{ $maintenance->vendor->city ?? '' }}"
                                                            data-state="{{ $maintenance->vendor->state ?? '' }}"
                                                            data-zip="{{ $maintenance->vendor->zip ?? '' }}"
                                                            data-latitude="{{ $maintenance->vendor->latitude ?? '' }}"
                                                            data-longitude="{{ $maintenance->vendor->longitude ?? '' }}"
                                                            data-timezone_abbr="{{ $maintenance->vendor->timezone_abbr ?? '' }}"
                                                            data-address_verified="{{ $maintenance->vendor->address_verified ?? '0' }}"
                                                        >
                                                            {{ $vaddresses }}
                                                        </span>
                                                    @else
                                                        <span class="vendoraddress">None</span>
                                                    @endif
                                                </label>
                                                <br/>
                                            @else
                                                <label name>Name: <a href="javascript:void(0)" target="_blank" class="vendorname">None</a></label><br/>
                                                <label>Address:
                                                    <span class="vendoraddress">None</span>
                                                </label>
                                                <br/>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-12">
                        <div class="white-box mb-4">
                            <h4 class="box-title">Appointments</h4>
                            <div class="box-padding">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group" id="appointmentView">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-12">
                        <div class="white-box mb-4">
                            <h4 class="box-title">Financial</h4>
                            <div class="box-padding">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label>Estimated Cost</label>
                                            {!! Form::number('estimated_cost', old('estimated_cost'), array('class' => 'form-control', 'autocomplete' => 'new','required' => 'required','readonly')) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label>Final Cost</label>
                                            {!! Form::number('final_cost', old('final_cost'), array('class' => 'form-control', 'autocomplete' => 'new','readonly')) !!}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-12">
                        <div class="white-box mb-4">
                            <h4 class="box-title">Completed Info</h4>
                            <div class="box-padding">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label>Complete On ({{ $getTimeZoneId }})</label><br/>
                                            {!! Form::text('complete_on', old('complete_on'), array('class' => 'form-control datetime complete_on', 'autocomplete' => 'new','readonly')) !!}
                                            <img src="{{ asset('theme/img/calendar.png') }}" alt="default_current_time">
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label>Odometer Reading at Completion</label><br/>
                                            {!! Form::text('odometer_reading_at_completion', old('odometer_reading_at_completion'), array('class' => 'form-control', 'autocomplete' => 'new','readonly')) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label name>Warranty:
                                                @if($maintenance->warranty == 1)
                                                    None
                                                @elseif( $maintenance->warranty == 2 )
                                                    Date {{($maintenance->warranty_date) ? $maintenance->warranty_date : ''}}
                                                @else
                                                    Mileage {{ ($maintenance->warranty_mileage) ? $maintenance->warranty_mileage : ''}}
                                                @endif
                                            </label><br/>
                                        </div>
                                    </div>
                                    <div class="col-md-12 warrantydate" @if($maintenance->warranty != 2) style="display:none;" @endif>
                                        <div class="form-group due_on_date">
                                            <label>Due Date ({{ $getTimeZoneId }})</label>
                                            {!! Form::text('warranty_date', old('warranty_date'), array('class' => 'form-control datetime')) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-12 warrantymileage"  @if($maintenance->warranty != 3) style="display:none;" @endif >
                                        <div class="form-group due_on_miles">
                                            <label>Mileage</label>
                                            {!! Form::text('warranty_mileage', old('warranty_mileage'), array('class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
        <div class="col-lg-9">
            <div class="white-box mb-4 load-status generalAccount">
                <form action="{{ route('company.admin.notes.store')}}" method="post" enctype="multipart/form-data" class="notesave">
                    @csrf
                    <input type="hidden" name="action_id" value="{{$maintenance->id}}" />
                    <input type="hidden" name="action_type" value="maintenances" />
                    <input type="hidden" name="created_by" value="{{ auth()->guard('company-admin')->user()->id }}">
                    <input type="hidden" name="created_by_type" value="{{ auth()->guard('company-admin')->user()->type }}">
                    <h4 class="box-title clear-btn">Notes</h4>
                </form>
                <div class="box-padding getnotesave pt-3">
                </div>
            </div>
        </div>
        <div class="col-lg-12">
            <div class="white-box mb-4 load-status">
                <h4 class="box-title clear-btn">Ticket Files</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-8">
                            <div class="table-responsive" id="loadfile">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    {!! Form::close() !!}

    @include('companyAdmin.maintenance.modal.changeVendor')
    @include('companyAdmin.maintenance.modal.addAppointments')
    @include('companyAdmin.maintenance.modal.editAppointments')
    @include('companyAdmin.maintenance.modal.changeDueDate')
    @include('companyAdmin.maintenance.modal.updateRepeats')
@endsection

@section('script')
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script src="{{ asset('theme/js/input-mask.js') }}"></script>
    <script type="text/javascript">
        if(localTimeZone!=timeZone){
            moment.tz.setDefault(timeZone);
        }
    </script>
    <script type="text/javascript">
        $('.updateMaintenanceForm').parsley();
        $('.notesave').parsley();
        $('.filesave').parsley();
        $('.updateAppointmentsForm').parsley();
        $('.addAppointmentsForm').parsley();
        $('.updateDueDateForm').parsley();
        $('.updateRepeatsForm').parsley();

        $('.bookedby-select2').each(function() {
            var $this = $(this);
            var placeholderText = $this.find('option:first').text();
            $this.select2({
                allowClear: true,
                width : '100%',
                placeholder: placeholderText
            });
            $this.find('option:first').hide();
        });
        $('.select2').each(function() {
            var $this = $(this);
            var placeholderText = $this.find('option:first').text();
            $this.select2({
                allowClear: true,
                width : '100%',
                placeholder: placeholderText
            });
            $this.find('option:first').hide();
        });

        $(".clickToSubmit").click(function(){
            $(".update-form").submit(); // Submit the form
        });
    </script>
    <script type="text/javascript">
        $(".vednorsave").click(function(){
            var id      = $('select[name="vendor_id"]').val();
            var token   = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                url: "{{ route('company.admin.get.vendor.by.id') }}",
                method: "POST",
                data: { _token : token , id : id },
                success: function(response) {
                    $("#changeVendorModal").modal("hide");
                    $(".vendorID").val(id);
                    $(".vendorname").html(response.data.name);
                    $(".vendorname").attr("href", response.data.url);

                    var vaddresses = [];
                    if(response.data.address){
                        vaddresses.push(response.data.address);
                    }
                    if(response.data.address_2){
                        vaddresses.push(response.data.address_2);
                    }
                    if(response.data.city){
                        vaddresses.push(response.data.city);
                    }
                    if(response.data.state){
                        vaddresses.push(response.data.state);
                    }
                    if(response.data.zip){
                        vaddresses.push(response.data.zip);
                    }
                    vaddresses  = vaddresses.join(',');
                    if(vaddresses!=''){
                        $(".vendoraddress").html(vaddresses);
                        $(".vendoraddress").attr({
                            "data-address" : response.data.address ? response.data.address : '',
                            "data-address_2" : response.data.address_2 ? response.data.address_2 : '',
                            "data-city" : response.data.city ? response.data.city : '',
                            "data-state" : response.data.state ? response.data.state : '',
                            "data-zip" : response.data.zip ? response.data.zip : '',
                            "data-latitude" : response.data.latitude ? response.data.latitude : '',
                            "data-longitude" : response.data.longitude ? response.data.longitude : '',
                            "data-timezone_abbr" : response.data.timezone_abbr ? response.data.timezone_abbr : '',
                            "data-address_verified" : response.data.address_verified ? response.data.address_verified : '0'
                        });
                    }else{
                        $(".vendoraddress").html('None');
                    }
                }
            });
        });
    </script>
    <script type="text/javascript">
        $(".addvendoraddress").click(function(){
            var vendoraddress           = $('.vendoraddress');
            if(vendoraddress.html()!='' && vendoraddress.html()!='None'){
                $('#addAppointments input[name="address"]').val(vendoraddress.attr('data-address'));
                $('#addAppointments input[name="address_2"]').val(vendoraddress.attr('data-address_2'));
                $('#addAppointments input[name="city"]').val(vendoraddress.attr('data-city'));
                $('#addAppointments input[name="state"]').val(vendoraddress.attr('data-state'));
                $('#addAppointments input[name="zip"]').val(vendoraddress.attr('data-zip'));
                $('#addAppointments input[name="latitude"]').val(vendoraddress.attr('data-latitude'));
                $('#addAppointments input[name="longitude"]').val(vendoraddress.attr('data-longitude'));
                $('#addAppointments input[name="timezone_abbr"]').val(vendoraddress.attr('data-timezone_abbr'));
                var address_verified    = vendoraddress.attr('data-address_verified');
                if(address_verified=='1'){
                    $('#addAppointments input[name="address_verified"]').val(1);
                    $('#addAppointments .geocoding-btn').text('Verified').removeClass('btn-warning').addClass('btn-success');
                    $('#addAppointments .save-btn').removeClass('d-none');
                }else{
                    $('#addAppointments input[name="address_verified"]').val(0);
                }
            }
        });

        $("body").on("click", ".editvendoraddress", function () {
            var vendoraddress           = $('.vendoraddress');
            if(vendoraddress.html()!='' && vendoraddress.html()!='None'){
                $('#editAppointment input[name="address"]').val(vendoraddress.attr('data-address'));
                $('#editAppointment input[name="address_2"]').val(vendoraddress.attr('data-address_2'));
                $('#editAppointment input[name="city"]').val(vendoraddress.attr('data-city'));
                $('#editAppointment input[name="state"]').val(vendoraddress.attr('data-state'));
                $('#editAppointment input[name="zip"]').val(vendoraddress.attr('data-zip'));
                $('#editAppointment input[name="latitude"]').val(vendoraddress.attr('data-latitude'));
                $('#editAppointment input[name="longitude"]').val(vendoraddress.attr('data-longitude'));
                $('#editAppointment input[name="timezone_abbr"]').val(vendoraddress.attr('data-timezone_abbr'));
                var address_verified    = vendoraddress.attr('data-address_verified');
                if(address_verified=='1'){
                    $('#editAppointment input[name="address_verified"]').val(1);
                    $('#editAppointment .geocoding-btn').text('Verified').removeClass('btn-warning').addClass('btn-success');
                    $('#editAppointment .save-btn').removeClass('d-none');
                }else{
                    $('#editAppointment input[name="address_verified"]').val(0);
                }
            }
        });
    </script>
    <script type="text/javascript">
        // Remove Contact
        $("body").on("click", ".remove-btn", function () {
            $(this).parents(".add-more").remove();
        });

        //drop-zone2__input
        document.querySelectorAll(".drop-zone2__input").forEach((inputElement) => {
            const dropZoneElement = inputElement.closest(".drop-zone2");

            dropZoneElement.addEventListener("click", (e) => {
                inputElement.click();
            });

            inputElement.addEventListener("change", (e) => {
                if (inputElement.files.length) {
                    var filecount = inputElement.files.length;
                updateThumbnail(dropZoneElement, inputElement.files[0], filecount);
                }
            });

            dropZoneElement.addEventListener("dragover", (e) => {
                e.preventDefault();
                dropZoneElement.classList.add("drop-zone2--over");
            });

            ["dragleave", "dragend"].forEach((type) => {
                dropZoneElement.addEventListener(type, (e) => {
                dropZoneElement.classList.remove("drop-zone2--over");
                });
            });

            dropZoneElement.addEventListener("drop", (e) => {
                e.preventDefault();

                if (e.dataTransfer.files.length) {
                inputElement.files = e.dataTransfer.files;
                var filecount = e.dataTransfer.files.length;
                updateThumbnail(dropZoneElement, e.dataTransfer.files[0], filecount);
                }

                dropZoneElement.classList.remove("drop-zone2--over");
            });
        });

        function updateThumbnail(dropZoneElement, file, filecount) {
            let thumbnailElement = dropZoneElement.querySelector(".drop-zone2__thumb");

            // First time - remove the prompt
            if (dropZoneElement.querySelector(".drop-zone2__prompt")) {
                dropZoneElement.querySelector(".drop-zone2__prompt").remove();
            }

            // First time - there is no thumbnail element, so lets create it
            if (!thumbnailElement) {
                thumbnailElement = document.createElement("div");
                thumbnailElement.classList.add("drop-zone2__thumb");
                dropZoneElement.appendChild(thumbnailElement);
            }
            //var numFiles = file[0].length;

            thumbnailElement.dataset.label = filecount+' Files Selected';

            // Show thumbnail for image files
            if (file.type.startsWith("image/")) {
                const reader = new FileReader();

                reader.readAsDataURL(file);
                reader.onload = () => {
                thumbnailElement.style.backgroundImage = `url('${reader.result}')`;
                };
            } else {
                thumbnailElement.style.backgroundImage = null;
            }
        }

        function loadFileView() {
            var token = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                url: "{{ route('company.admin.documents.index') }}",
                method: "GET",
                data: { _token : token, by_id : <?php echo $maintenance->id; ?>, type : 'maintenance'},
                success: function(response) {
                    $("#loadfile").html(response.view);
                }
            });
        }

        loadFileView();

        $(".filesave").ajaxForm({
            complete: function (response) {
                if(response.responseText == '1'){
                    toastr.success('File upload successfully', 'Success Alert', {timeOut: 5000})
                    loadFileView();
                    $('.filesave')[0].reset();
                    $('.drop-zone').prepend('<span class="drop-zone__prompt">Drag and drop file here or click to browse</span>');
                    $('.drop-zone__thumb').remove();
                }else{
                    toastr.success('Upload file not supported', 'Error Alert', {timeOut: 5000})
                    loadFileView();
                }
            },
        });

        function getNoteSave(){
            var token   = $('meta[name="csrf-token"]').attr('content');
            var loadimg = "{{ asset('theme/img/loading.gif') }}";
            $(".getnotesave").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
            $.ajax({
                url: "{{ route('company.admin.notes.index') }}",
                method: "GET",
                data: { _token : token, action_id : <?php echo $maintenance->id; ?>, action_type : 'maintenance'},
                success: function(response) {
                    $(".getnotesave").html(response.view);
                }
            });
        }

        getNoteSave();

        // Add Receiver Store
        $(".notesave").ajaxForm({
            beforeSubmit:  function(formData, jqForm, options) {
                var loadimg = "{{ asset('theme/img/loading.gif') }}";
                $(".getnotesave").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
            },
            complete: function (response) {
                if(response.responseText == '1'){
                    getNoteSave();
                    $('.selenondriveruser').hide('200');
                    $('.notesave')[0].reset();
                    toastr.success('Note create successfully', 'Success Alert', {timeOut: 5000})
                }else{
                    toastr.error('Something went wrong try again in a few seconds', 'Error Alert', {timeOut: 5000})
                }
            },
        });

        $('.checknondriveruser').change(function() {
            if (this.checked) {
                $('.selenondriveruser').show('200');
                $('#privatUser').prop('required',true);
            } else {
                $('.selenondriveruser').hide('200');
                $('#privatUser').prop('required',false);
            }
        });
    </script>
    <script type="text/javascript">
        $('.date').datetimepicker({
            format: dateLayout,
            useCurrent: false,
            //minDate: moment()
        });

        $('.datetime').datetimepicker({
            format: dateTimeLayout,
            useCurrent: false,
            //minDate: moment()
        });

        $(".startDate").on("dp.change", function (e) {
            $('.endDate').data("DateTimePicker").minDate(e.date);
        });

        $('.complete_on').datetimepicker().on('dp.change', function (e) {
            $('.status-input').val(5);
            $('#new').addClass('fill-active');
            $('#CheckAndAdvise').addClass('fill-active');
            $('#PendingApproval').addClass('fill-active');
            $('#InProgess').addClass('fill-active');
            $('#Completed').addClass('fill-active');

            $('#Canceled').removeClass('fill-active');
        });

        $(document).ready(function () {
            $('#new').click(function(){
                $('.status-input').val(1);
                $('#new').addClass('fill-active');
                $('#CheckAndAdvise').removeClass('fill-active');

                $('#PendingApproval').removeClass('fill-active');
                $('#InProgess').removeClass('fill-active');
                $('#Completed').removeClass('fill-active');
                $('#Canceled').removeClass('fill-active');
            });
            $('#CheckAndAdvise').click(function(){
                $('.status-input').val('2');
                $('#new').addClass('fill-active');
                $('#CheckAndAdvise').addClass('fill-active');

                $('#PendingApproval').removeClass('fill-active');
                $('#InProgess').removeClass('fill-active');
                $('#Completed').removeClass('fill-active');
                $('#Canceled').removeClass('fill-active');
            });
            $('#PendingApproval').click(function(){
                $('.status-input').val(3);
                $('#new').addClass('fill-active');
                $('#CheckAndAdvise').addClass('fill-active');

                $('#PendingApproval').addClass('fill-active');
                $('#InProgess').removeClass('fill-active');
                $('#Completed').removeClass('fill-active');
                $('#Canceled').removeClass('fill-active');
            });
            $('#InProgess').click(function(){
                $('.status-input').val(4);
                $('#new').addClass('fill-active');
                $('#CheckAndAdvise').addClass('fill-active');

                $('#PendingApproval').addClass('fill-active');
                $('#InProgess').addClass('fill-active');
                $('#Completed').removeClass('fill-active');
                $('#Canceled').removeClass('fill-active');
            });
            $('#Completed').click(function(){
                $('.status-input').val(5);
                $('#new').addClass('fill-active');
                $('#CheckAndAdvise').addClass('fill-active');

                $('#PendingApproval').addClass('fill-active');
                $('#InProgess').addClass('fill-active');
                $('#Completed').addClass('fill-active');
                $('#Canceled').removeClass('fill-active');
            });
            $('#Canceled').click(function(){
                $('.status-input').val(6);
                $('#new').addClass('fill-active');
                $('#CheckAndAdvise').addClass('fill-active');

                $('#PendingApproval').addClass('fill-active');
                $('#InProgess').addClass('fill-active');
                $('#Completed').addClass('fill-active');
                $('#Canceled').addClass('fill-active');
            });
        });

        $(".all_days").click(function() {
            if($(this).is(":checked")) {
                $('.endDate').prop('required',false);
                $('.endDate').val('');
                $(".end_date_div").hide();
            } else {
                $(".end_date_div").show();
            }
        });

        $('.submit-form').click( function() {
            $('.updateMaintenanceForm').submit();
        });

        $("body").on("click", ".deleteAppointment", function () {
            var current_object = $(this);
            Swal.fire({
                title: "Are you sure?",
                text: "You won't be able to revert this!",
                icon: "warning",
                showCancelButton: true,
                confirmButtonColor: "#3085d6",
                cancelButtonColor: "#d33",
                confirmButtonText: "Yes, delete it!",
            }).then((result) => {
                if (result.value) {
                    var action  = current_object.attr('data-action');
                    var id      = current_object.attr('data-id');
                    var token   = $("input[name='_token']").val();
                    $.ajax({
                        url: action,
                        method: "POST",
                        data: { _token : token ,_method : 'DELETE' , id : id},
                        success: function(response) {
                            toastr.success('Deleted successfully', 'Success Alert', {timeOut: 5000})
                            getAppointment();
                        }
                   });
                }
            });
        });

        $("body").on("click", ".editAppointmentClidk", function () {
            $(".showeditappFrom").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
            var current_object  = $(this);
            var action          = current_object.attr('data-action');
            var id              = current_object.attr('data-id');
            var token           = $("input[name='_token']").val();
            $.ajax({
                url: action,
                method: "GET",
                data: { _token : token , id : id},
                success: function(response) {
                    $('.showeditappFrom').html(response.data);
                    $('.select2').each(function() {
                        var $this = $(this);
                        var placeholderText = $this.find('option:first').text();
                        $this.select2({
                            dropdownParent: $('.updateAppointmentsForm'),
                            allowClear: true,
                            width : '100%',
                            placeholder: placeholderText
                        });
                        $this.find('option:first').hide();
                    });
                 }
            });
        });

        function getAppointment(){
            $.ajax({
                url: "{{ route('company.admin.maintenance-appointments.index') }}",
                method: "GET",
                data: {data:'Receiver',maintenance_id:'{{ $maintenance->id }}'},
                success: function(response) {
                    $('#appointmentView').html(response.data);
                }
            });
        }

        getAppointment();

        $(".storeAppointmentsForm").ajaxForm({
            complete: function(response) {
                if (response.responseJSON.success) {
                    $(".storeReceiverForm").trigger("reset");
                    $("#addAppointments").modal("hide");
                    $('.error').text('');
                    getAppointment();
                    toastr.success(response.responseJSON.success, 'Success Alert', {
                        timeOut: 5000
                    })
                } else {
                    $('.error').text('');
                    $.each(response.responseJSON.errors, function(key, value) {
                        var key = key.replace(/\./g, '_');
                        $.each(value, function(skey, svalue) {
                            $('.' + key + '_error').text(svalue);
                        });
                    });
                }
            },
        });

        $(".updateDueDateForm").ajaxForm({
            complete: function(response) {
                if (response.responseJSON.success) {
                    var duedate = $('.cusmechagnedate').val();
                    var html    = '<option value="">Select Often</option>';
                    $('.currentDueDate').html(duedate);
                    // var due_date = $('.currentDueDate').html();
                    // ajax for get how to often dropdown
                    $.ajax({
                        url: "{{ route('company.admin.maintenance.dueDate.oftenData') }}",
                        method: "GET",
                        data: { due_date : duedate},
                        success: function(response) {
                            // $(".getnotesave").html(response.view);
                            $.each(response, function(key, value) {
                                html += "<option value='"+key+"'>"+value+"</option>";
                            });
                            $('#how_often').html(html);
                        }
                    });
                    $("#changeDueDateModal").modal("hide");
                    toastr.success(response.responseJSON.success, 'Success Alert', {
                        timeOut: 5000
                    })
                } else {
                    $('.error').text('');
                    $.each(response.responseJSON.errors, function(key, value) {
                        var key = key.replace(/\./g, '_');
                        $.each(value, function(skey, svalue) {
                            $('.' + key + '_error').text(svalue);
                        });
                    });
                }
            },
        });

        $(".updateRepeatsForm").ajaxForm({
            complete: function(response) {
                if (response.responseJSON.success) {
                    console.log(response.responseJSON.success);
                    var how_often = '';
                    var repeats = $("input[name='repeats']:checked").val();
                    var repeatsText = '';
                    if(repeats == '1'){
                        var repeatsText = 'Does not Repeat';
                    }
                    if(repeats == '2'){
                        var repeatsText = 'Date';
                        how_often = $("select[name='how_often'] option:selected").text();
                    }
                    if(repeats == '3'){
                        var repeatsText = 'Mileage';
                        how_often = 'Mileage';
                    }
                    $('.currentRepeats').html(how_often);
                    $("#updateRepeatsForm").modal("hide");
                    toastr.success(response.responseJSON.success, 'Success Alert', {
                        timeOut: 5000
                    })
                } else {
                    $('.error').text('');
                    $.each(response.responseJSON.errors, function(key, value) {
                        var key = key.replace(/\./g, '_');
                        $.each(value, function(skey, svalue) {
                            $('.' + key + '_error').text(svalue);
                        });
                    });
                }
            },
        });

        $("input[type=radio][name=warranty]").on('change', function() {
            var value   = this.value;
            $('.warrantydate').hide();
            $('.warrantymileage').hide();

            if (value == 2) {
                $('.warrantydate').show('200');
            }else if(value == 3) {
                $('.warrantymileage').show('200');
            } else {
                $('.warrantydate').hide('200');
                $('.warrantymileage').hide('200');
            }
        });

        $("input[type=radio][name=repeats]").on('change', function() {
            var value = this.value;
            if (value == 2) {
                $('.repeat_milage_div').hide();
                // $('#repeat_due_miles').val('');
                $('.selenondriveruser3').show('200');
                $('.how_often').prop('required',true);
                var due_date = $('.cusmechagnedate').val();
                var html = '<option value="">Select Often</option>';
                $.ajax({
                    url: "{{ route('company.admin.maintenance.dueDate.oftenData') }}",
                    method: "GET",
                    data: { due_date : due_date},
                    success: function(response) {
                        // $(".getnotesave").html(response.view);
                        $.each(response, function(key, value) {
                            html += "<option value='"+key+"'>"+value+"</option>";
                        });
                        $('#how_often').html(html);
                    }
                });
            }
            else if(value == 3){
                $('.repeat_milage_div').show('200');
                $('.selenondriveruser3').hide('200');
                // $('.how_often_end').hide('200');
                $('.how_often').prop('required',false);
            }
            else {
                $('.selenondriveruser3').hide('200');
                $('.how_often_end').hide('200');
                $('.how_often').prop('required',false);
            }
        });

        $('.how_often').change(function() {
            $('.how_often_text').val($( ".how_often option:selected" ).text());
            var value = this.value;
            if (value == '8') {
                $('.how_often_end').show('200');
            } else {
                $('.how_often_end').hide('200');
            }
        });
    </script>
@endsection

@push('after-scripts')
    <script src="{{ asset('theme/js/trimble.js') }}"></script>
@endpush
