<div class="append-form">
    {!! Form::open(array('route' => 'company.admin.managers.get.event.update','method'=>'POST','files'=>'true','class'=>'storeAddEvent')) !!}

    <div class="modal-body">

        {!! Form::hidden('company_admin_id', $eventData->company_id) !!}
        {!! Form::hidden('id', $eventData->id) !!}
        <div class="form-group">
            <label>Title<span>*</span></label>
            {!! Form::text('name', old('name', $eventData->name), ['placeholder' => 'Title', 'id' => 'name', 'class' => 'form-control']) !!}
            <span class="error title_error text-danger"></span>
        </div>
        <div class="form-group">
            <label>Address<span>*</span></label>
            {!! Form::text('address', old('address', $eventData->address), ['placeholder' => 'Address', 'id' => 'address', 'class' => 'form-control']) !!}
            <span class="error title_error text-danger"></span>
        </div>


        <div class="form-group">
            <label>Event Type</label>
            <select class="custom-select driver-select2 form-control" name="type">
                <option>Select Type</option>
                @foreach(getEventTypes() as $key => $value)
                    <option value="{{$key}}"  @if($key == $eventData->type) selected @endif>{{$value}}</option>
                @endforeach
            </select>
            <div id="drivernum"></div>
            @error('type')
            <span class="text-danger" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
            @enderror
        </div>

        <div class="form-group">
            <label>Add Icon <input type="checkbox" class="addshoicon" name="addshoicon"></label>
            <div class="row">
                <div class="col-md-12 faicon">
                    @php
                        $faicon = config('settings.icon_fa');
                    @endphp
                    @foreach($faicon as $icon)
                        <label for="{{$icon}}">
                            <i class="fa {{$icon}}"></i>
                            <input type="radio" id="{{$icon}}" name="fa_icon" value="{{$icon}}">
                        </label>
                    @endforeach
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label>Start Date<span>*</span></label>
                    {!! Form::text('from_date', old('from_date',
                        $eventData->from_date
                    ), array('class' => 'form-control eventstart', 'autocomplete' => 'off', 'required' => 'required')) !!}
                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                </div>
                <span class="error date_error text-danger"></span>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label>End Date<span>*</span></label>
                    {!! Form::text('to_date', old('to_date',
                        $eventData->to_date
                    ), array('class' => 'form-control eventend', 'autocomplete' => 'off', 'required' => 'required')) !!}
                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                </div>
                <span class="error date_error text-danger"></span>
            </div>
        </div>

        <div class="form-group">
            <label>Is Repeat</label>
            <select class="custom-select driver-select2 form-control" name="is_repeat">
                @foreach(getEventRepeat() as $key => $value)
                    <option value="{{$key}}"  @if($key == $eventData->is_repeat) selected @endif>{{$value}}</option>
                @endforeach
            </select>

        </div>

        <div class="form-group">
            <label>Notes</label>
            <textarea class="form-control" type="text" name='notes'  rows="3"> {{ old('notes', $eventData->notes) }}</textarea>
            {{--            {!! Form::textarea('notes', getEventRepeat(), null, ['class' => 'custom-select driver-select2 form-control']) !!}--}}
        </div>
    </div>
    <div class="modal-footer">
        <button class="btn blue-btn">Update</button>
        <button type="button" class="btn cancel-btn" data-dismiss="modal">Cancel</button>
    </div>
    {!! Form::close() !!}
</div>


<script>


    $('#calendar').fullCalendar('refetchEvents');

    $(".eveclFullc").click(function () {
        setTimeout(function () {
            $('#calendar').fullCalendar('refetchEvents');
        }, 500);

    });

    <?php if(isset($_GET['calendar']) && $_GET['calendar'] == 1): ?>
    setTimeout(function () {
        $('.eveclFullc').trigger('click');
    }, 300);
    <?php endif; ?>


    $('.faicon input[type="radio"]').click(function () {
        $(this).parent().addClass('active').siblings('label').removeClass('active')
    });

    $(".faicon").hide();
    $(".addshoicon").click(function () {
        if ($(this).is(":checked")) {
            $(".faicon").show(300);
        } else {
            $(".faicon").hide(200);
        }
    });

    $('.eventstart,.eventend').datetimepicker({
        format: dateTimeLayout,
        useCurrent: false,
        //minDate: moment()
    });
    $('.eventstart').datetimepicker().on('dp.change', function (e) {
        var CurrentDate = $(this).val();
        var CurrentD = moment(CurrentDate).add(0, 'day').format(dateTimeLayout);
        $('.eventend').data('DateTimePicker').minDate(CurrentD);
        $('.eventend').val(CurrentD);
    });

    $('.date').datepicker({
        autoclose: true,
        todayHighlight: true,
    });
</script>
