<form class='form-inline destroy-form' method='POST' action="{{ route('company.admin.dispatchers.delete') }}">
    
    {{ csrf_field() }}
    {{ method_field('DELETE') }} 
    {{ Form::hidden('id',$Company_admin->id) }}
    
     
    <div class="modal-body">
        <div class=" row">

            <div class="col-md-12">
                <div class="form-group">
                    <label> Date<span>*</span></label>
                    {!! Form::text('termination_date', $Company_admin->termination_date ? $Company_admin->termination_date : '', array('class' => 'form-control terminationdate','required' => 'required')) !!}
                    <span class="error termination_date_error text-danger"></span>
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <label>Reason</label>
                    {!! Form::textarea('termination_reason', $Company_admin->termination_reason, array('class' => 'form-control', 'rows' => '5','required' => 'required')) !!}
                    <span class="error termination_reason_error text-danger"></span>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label>Eligible to rehire</label>
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="custom-control custom-radio">
                                {!! Form::radio('termination_rehire', 0, $Company_admin->termination_rehire == 0 ? 'true' : '', array('class' => 'custom-control-input', 'id' => 'Entrusted')) !!}
                                <label class="custom-control-label" for="Entrusted"> No</label>
                            </div>                                
                        </div>
                        <div class="col-sm-6">
                            <div class="custom-control custom-radio">
                                {!! Form::radio('termination_rehire', 1, $Company_admin->termination_rehire == 1 ? 'true' : '', array('class' => 'custom-control-input', 'id' => 'Managed')) !!}
                                <label class="custom-control-label" for="Managed"> Yes</label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label>Abandoned Equipment</label>
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="custom-control custom-radio">
                                {!! Form::radio('termination_equipment', 0, $Company_admin->termination_equipment == 0 ? 'true' : '', array('class' => 'custom-control-input', 'id' => 'equipmentno')) !!}
                                <label class="custom-control-label" for="equipmentno"> No</label>
                            </div>                                
                        </div>
                        <div class="col-sm-6">
                            <div class="custom-control custom-radio">
                                {!! Form::radio('termination_equipment', 1, $Company_admin->termination_equipment == 1 ? 'true' : '', array('class' => 'custom-control-input', 'id' => 'equipmentyes')) !!}
                                <label class="custom-control-label" for="equipmentyes"> Yes</label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <label>Note</label>
                    {!! Form::textarea('termination_none', $Company_admin->termination_none, array('class' => 'form-control', 'rows' => '5','required' => 'required')) !!}
                    <span class="error termination_none_error text-danger"></span>
                </div>
            </div>
            
        </div>
    </div>
    <div class="modal-footer col-md-12">
        <?php if($is_disabled == 1): ?>
            <button type="submit" class="btn red-btn" name="button" value="forcedelete" >Delete Permanently</button>
            <button type="submit" class="btn blue-btn" name="button" value="restore" >Restore</button>
        <?php else: ?>
            <button type="submit" class="btn blue-btn" name="button" value="delete">Save</button>
            <button type="button" class="btn cancel-btn" data-dismiss="modal">Cancel</button>
        <?php endif; ?>    
    </div>

</form>
<script type="text/javascript">

    <?php if($is_disabled == 1): ?>
        $(".destroy-form .modal-body :input").prop("disabled", true);
    <?php endif; ?>
    

    $('.terminationdate').datepicker({
        autoclose: true,
        todayHighlight: true,
    });
    // Add Receiver Store
    $(".destroy-form").ajaxForm({
        complete: function (response) {
            console.log(response.responseJSON.success);
            if (response.responseJSON.success) {
                $(".destroy-form").trigger("reset");
                $("#terminationModal").modal("hide");
                $('.error').text('');
                toastr.success(response.responseJSON.success, 'Success Alert', {timeOut: 5000})
                $('.data-table').DataTable().ajax.reload();
            } else {
                toastr.error('Please check the form below for errors', 'Error Alert', {timeOut: 5000})
            }
        },
    });
</script>