@if(count($getNote) > 0)
    @foreach($getNote as $note)
        @if($note->type == 2)
            <div class="row cusotbope yellow">
        @else
            <div class="row cusotbope">
        @endif
            <div class="col-md-12">
                <div class="row">
                    <div class="col-md-4">
                        @if($note->created_by_type == 3)
                            <p>{{ $note->createdDriverBy->full_name }}</p>
                        @else
                            <p>{{ $note->createdBy->full_name }}</p>
                        @endif
                    </div>
                    <div class="col-md-3">
                        @if(!empty($note->request_type))
                        <p>{{ getNoteRequestType()[$note->request_type] }}</p>
                        @endif
                    </div>
                    <div class="col-md-3 text-right">
                        @if(!empty($note->created_at))
                        <p>{{ \Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $note->created_at)->setTimezone($getTimeZone)->format(getTimeLayout())." ".$getTimeZoneId }}</p>
                        @endif
                    </div>
                    <div class="col-md-2 text-right">
                        @php
                            if(!empty($note->document)){
                                $documents = unserialize($note->document);
                            }else{
                                $documents = [];
                            }
                        @endphp
                        @if(is_array($documents) && count($documents) > 0)
                        <div class="notefile">
                            <label  class="btn" data-toggle="modal" data-target="#loadNoteFile{{$note->id}}"><i class="fa fa-paperclip"></i></label>
                            <div class="modal fade teamModal" id="loadNoteFile{{$note->id}}" tabindex="-1" aria-labelledby="loadModalLabel" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-centered">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="loadModalLabel">{{ getNoteRequestType()[$note->request_type] }}</h5>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <div class="modal-body text-left mulimagbu">
                                            @foreach($documents as $document)
                                                @php
                                                    $file_path = 'storage/companyAdmin/notes/'.$document;
                                                    $type = \File::extension($file_path);
                                                @endphp
                                                @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                   <a href="{{ asset($file_path) }}" target="_blank" class="mb-3 d-block" ><img src="{{ asset($file_path) }}" alt="" class="img-fluid"></a>
                                                @else
                                                    <a href="{{ asset($file_path) }}" target="_blank" class="btn btn-outline-primary mb-3 d-block">{{ $document }}</a>
                                                @endif
                                            @endforeach
                                            <hr>
                                            <p class="teswrap"><strong>Note: </strong>{{ $note->note }}</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        @endif
                        <div class="notefile">
                            <label  class="btn destroyNote" data-action="{{ route('company.admin.notes.destroy', $note->id) }}" data-id="{{ $note->id }}"><i class="fa fa-trash"></i></label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-12">
                @if(empty($note->type))
                <p><strong>Note:</strong> {{ $note->note }}</p>
                @else
                <p><strong>{{ getNoteType()[$note->type] }}:</strong> {{ $note->note }}</p>
                @endif
                <br/>
                <div class="form-group d-flex flex-wrap align-items-center">
                    @if(!empty($note->notify_dispatcher) || !empty($note->notify_dirver) || !empty($note->notify_my) || !empty($note->notify_private))
                    <div class="checkbox d-inline-block mr-2">
                        <label class=" control-label"><strong>Notify: </strong>
                    </div>
                    @else
                        <div class="checkbox d-inline-block mr-2">
                            <label class=" control-label"><strong>Notify: null </strong>
                        </div>
                    @endif
                    @if(!empty($note->notify_dispatcher))
                    <div class="checkbox d-inline-block mr-2">
                      <label class=" control-label">
                            {!! Form::checkbox('notify_dispatcher', 1, $note->notify_dispatcher == 1 ? true : false, array('class' => 'form-control loadregucheck','disabled' => 'disabled')) !!} Dispatcher
                      </label>
                    </div>
                    @endif
                    @if(!empty($note->notify_dirver))
                    <div class="checkbox d-inline-block mr-2">
                      <label class=" control-label">
                            {!! Form::checkbox('notify_dirver', 1, $note->notify_dirver == 1 ? true : false, array('class' => 'form-control loadregucheck','disabled' => 'disabled')) !!} Dirver
                      </label>
                    </div>
                    @endif
                    @if(!empty($note->notify_my))
                    <div class="checkbox d-inline-block mr-2">
                      <label class=" control-label">
                            {!! Form::checkbox('notify_my', 1, $note->notify_my == 1 ? true : false, array('class' => 'form-control loadregucheck','disabled' => 'disabled')) !!} Add to my notifications
                      </label>
                    </div>
                    @endif
                    @if(!empty($note->notify_private))
                    <div class="checkbox d-inline-block mr-2">
                      <label class=" control-label">
                            {!! Form::checkbox('notify_private', 1, $note->notify_private == 1 ? true : false, array('class' => 'form-control loadregucheck checknondriveruser','disabled' => 'disabled')) !!} All non drivers users
                            @if($note->notify_private == 1)
                                ({{ $note->notify_private_user_name($note->id) }})
                            @endif
                      </label>
                    </div>
                    @endif
                </div>
            </div>
        </div>
    @endforeach
@endif

<script type="text/javascript">
  $("body").on("click", ".destroyNote", function () {
    var current_object = $(this);
    Swal.fire({
        title: "Are you sure?",
        text: "You won't be able to revert this!",
        icon: "warning",
        showCancelButton: true,
        confirmButtonColor: "#3085d6",
        cancelButtonColor: "#d33",
        confirmButtonText: "Yes, delete it!",
    }).then((result) => {
        if (result.value) {
            $(".getnotesave").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
            var action = current_object.attr('data-action');
            var id = current_object.attr('data-id');
            var token = $("input[name='_token']").val();

            $.ajax({
              url: action,
              method: "delete",
              data: { _token : token , id : id},
              success: function(response) {
                 toastr.success('deleted successfully', 'Success Alert', {timeOut: 5000})
                 getNoteSave();
              }
           }); 
        }
    });
});
</script>