@extends($companyAdminTheme)

@section('title')
    PM Maintenance & Services
@endsection

@section('style')
    <style type="text/css">
        .table-view .dataTable thead tr th {
            background-color: #305f9c;
        }
        .table-view .dataTables_scrollBody table.dataTable > thead tr th {
            padding: 0 15px !important;
        }
        .table-view .DTFC_RightBodyLiner table.dataTable > thead tr th {
            height: 0;
            padding: 0 15px !important;
            opacity: 0;
        }
    </style>
@endsection

@section('content')
    <div class="white-box table-view">
        <h3 class="table-title">PM Maintenance & Services</h3>
        <div class="add-responsive">
            <table class="table data-table">
                <thead>
                    <tr>
                        @foreach($getField as $key => $filed)
                            @if($filed == 1 && isset(config('settings.table_company_pm_service_profiles')[$key]['name']))
                                @if(isset(config('settings.table_company_pm_service_profiles')[$key]['searchBuilderType']))
                                    @if( config('settings.table_company_pm_service_profiles')[$key]['searchBuilderType'] == 'string' )
                                        <th>{{ config('settings.table_company_pm_service_profiles')[$key]['name'] }} <i class="fa fa-filter columnFilter table_company_pm_service_profiles_{{$key}}_string" data-modal="SearchByStringModal{{ $key }}"></i></th>
                                    @elseif( config('settings.table_company_pm_service_profiles')[$key]['searchBuilderType'] == 'date' )
                                        <th>{{ config('settings.table_company_pm_service_profiles')[$key]['name'] }} <i class="fa fa-filter columnFilter table_company_pm_service_profiles_{{$key}}_date" data-modal="SearchByDateModal{{ $key }}"></i></th>
                                    @endif
                                @else
                                    <th>{{ config('settings.table_company_pm_service_profiles')[$key]['name'] }}</th>
                                @endif
                            @endif
                        @endforeach
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>
@endsection

@section('modal')
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
                <input type="hidden" name="table_id" value="company_pm_service_profiles">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Adjust Table Columns</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                            @foreach($getField as $key => $filed)
                                @if(isset(config('settings.table_company_pm_service_profiles')[$key]['name']))
                                    <li class="ui-state-default">
                                        <div class="custom-control custom-checkbox">
                                            <input type='hidden' value='0' name='field[{{ $key }}]'>
                                            <input type="checkbox" class="custom-control-input" id="Check{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed == 1) checked @endif>
                                            <label class="custom-control-label" for="Check{{ $key }}">{{ config('settings.table_company_pm_service_profiles')[$key]['name'] }}</label>
                                        </div>
                                        <i class="fa fa-align-justify drag-icon"></i>
                                    </li>
                                @endif
                            @endforeach
                        </ul>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>
@endsection

@section('script')
    <script type="text/javascript">
        var table;
        $(document).ready(function() {
            $('#sortable').sortable();

            var table = $('.data-table').DataTable({
                stateSave: true,
                bSortCellsTop: true,
                language: {
                    search: "",
                    searchPlaceholder: "Search...",
                },
                scrollX: true,
                scrollCollapse: true,
                fixedHeader: true,
                fixedColumns: {
                    leftColumns: 0, // Number of columns to be fixed on the left
                    rightColumns: 1, // Number of columns to be fixed on the right
                    // heightMatch: "auto"
                },
                dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
                processing: true,
                serverSide: true,
                pageLength: "{{ perPageView() }}",
                ordering: false,
                order: [],
                ajax: {
                    url: "{{ route('company.admin.truck-pm-service-profiles.index') }}",
                    data: function (d) {
                        <?php foreach($getField as $key => $filed): ?>
                            d.search_string_value_{{$key}}      = $('#search_string_{{$key}}').val();
                            d.search_string_name_{{$key}}       = $('#stringKey{{$key}}').val();
                            d.search_string_type_{{$key}}       = $('#stringType{{$key}}').val();
                            d.search_table_name_{{$key}}        = $('#stringTableType{{$key}}').val();
                            d.search_string_condition_{{$key}}  = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                            d.search_string_sort_{{$key}}       = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();

                            d.search_date_from_value_{{$key}}   = $('#search_date_{{$key}}').val();
                            d.search_date_to_value_{{$key}}     = $('#search_date_end_{{$key}}').val();
                            d.search_date_name_{{$key}}         = $('#dateKey{{$key}}').val();
                            d.search_date_type_{{$key}}         = $('#dateType{{$key}}').val();
                            d.search_date_table_name_{{$key}}   = $('#dateTableType{{$key}}').val();
                            d.search_date_condition_{{$key}}    = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                            d.search_date_sort_{{$key}}         = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();
                        <?php endforeach; ?>
                    }
                },
                columns: [
                    <?php foreach($getField as $key => $filed): ?>
                        <?php if($filed == 1): ?>
                            <?php if(isset(config('settings.table_company_pm_service_profiles')[$key]['name'])): ?>
                                <?php if(config("settings.table_company_pm_service_profiles")[$key]["orderable"] == 1 && config("settings.table_company_pm_service_profiles")[$key]["searchable"] == 1): ?>
                                    { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                                <?php elseif(config("settings.table_company_pm_service_profiles")[$key]["orderable"] == 1): ?>
                                    { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                                <?php elseif(config("settings.table_company_pm_service_profiles")[$key]["searchable"] == 1): ?>
                                    { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                                <?php else: ?>
                                    { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                                <?php endif; ?>
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endforeach; ?>
                    { data: 'action', name: 'action', orderable: false, searchable: false }
                ]
            });

            $('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3"><i class="fa fa-refresh"></i> Refresh</a>').prependTo(".dataTables_filter");
            $('<a href="javascript:void(0);" id="clearAll{{ str_replace("settings.", "", $tableName) }}" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tableName) }} {{ str_replace("settings.", "", $tableName) }} ml-3 d-none">Clear filters</a>').prependTo(".dataTables_filter");
            $('<button type="button" class="btn btn-primary ml-3" data-toggle="modal" data-target="#exampleModal">Columns</button>').appendTo(".dataTables_filter");
        });
    </script>
@endsection
