@extends($companyAdminTheme)

@section('title')
    Revenue Tracker Team Details
@endsection
@section('style')
<link rel="stylesheet" href="{{ asset('theme/css/daterangepicker.css') }}">
    <style type="text/css">
        .load-btn label {
            width: 99px !important;
        }

        .load-edit-link {
            text-decoration: underline;
        }


        .highcharts-figure,
        .highcharts-data-table table {
            min-width: 220px;
            max-width: 360px;
            margin: 0em auto !important;
        }

        .highcharts-data-table table {
            font-family: Verdana, sans-serif;
            border-collapse: collapse;
            border: 1px solid #ebebeb;
            margin: 10px auto;
            text-align: center;
            width: 100%;
            max-width: 500px;
        }

        .highcharts-data-table caption {
            padding: 1em 0;
            font-size: 1.2em;
            color: #555;
        }

        .highcharts-data-table th {
            font-weight: 600;
            padding: 0.5em;
        }

        /*.gauge-table div{
            height: min-content;
        }*/
        .highcharts-announcer-container {
            display: none;
        }

        .highcharts-data-table td,
        .highcharts-data-table th,
        .highcharts-data-table caption {
            padding: 0.5em;
        }

        .highcharts-data-table thead tr,
        .highcharts-data-table tr:nth-child(even) {
            background: #f8f8f8;
        }

        .highcharts-data-table tr:hover {
            background: #f1f7ff;
        }


    </style>



    <style type="text/css">
        .load-detail {
            position: absolute;
            background-color: #ffffff;
            z-index: 1;
            padding: 5px 15px 5px 30px;
            box-shadow: 0 0 5px rgb(0 0 0 / 50%);
            border-radius: 5px;
            max-height: 120px;
            overflow: auto;
            overflow-x: hidden;
            left: 0;
            top: 26px;
            min-width: 100%;
            width: auto;
        }

        .load-detail ul, .load-detail ul li {
            list-style: disc;
            text-align: left;
        }

        .multiple-loads {
            cursor: pointer;
        }

        .highcharts-figure #container {
            height: 150px;
        }

        .highcharts-background {
            fill: transparent !important;
        }


        .highcharts-data-table table {
            font-family: Verdana, sans-serif;
            border-collapse: collapse;
            border: 1px solid #ebebeb;
            margin: 10px auto;
            text-align: center;
            width: 100%;
            max-width: 500px;
        }

        .highcharts-data-table caption {
            padding: 1em 0;
            font-size: 1.2em;
            color: #555;
        }

        .highcharts-data-table th {
            font-weight: 600;
            padding: 0.5em;
        }

        .highcharts-data-table td,
        .highcharts-data-table th,
        .highcharts-data-table caption {
            padding: 0.5em;
        }

        .highcharts-data-table thead tr,
        .highcharts-data-table tr:nth-child(even) {
            background: #f8f8f8;
        }

        .highcharts-data-table tr:hover {
            background: #f1f7ff;
        }


        .highcharts-container {
            height: 170px !important;
            margin: auto;
            left: -7px;
            top: 20px;
        }

        .highcharts-root {
            /*margin-left: -13px !important;*/
        }

        /*#SubmitForm .btn-clear{
            color: white;
            margin: auto;
            text-align: center;
             vertical-align: middle; */
        /* justify-content: center; */
        /* align-items: center;
         display: flex;
         background-color: #6c757d;
     }*/
        /*Manish-13-04-22*/
        #cover-spin {
            position: fixed;
            width: 100%;
            left: 0;
            right: 0;
            top: 0;
            bottom: 0;
            /*background-color: rgba(255, 255, 255, 0.7);*/
            z-index: 9999;
            display: none;
        }

        @-webkit-keyframes spin {
            from {
                -webkit-transform: rotate(0deg);
            }
            to {
                -webkit-transform: rotate(360deg);
            }
        }

        @keyframes spin {
            from {
                transform: rotate(0deg);
            }
            to {
                transform: rotate(360deg);
            }
        }

        #cover-spin::after {
            display: block;
            position: absolute;
            left: 48%;
            top: 40%;
            border: 5px solid #f3f3f3;
            border-radius: 50%;
            border-top: 5px solid #3498db;
            width: 50px;
            height: 50px;
            -webkit-animation: spin 2s linear infinite; /* Safari */
            animation: spin 2s linear infinite;
            content: '';

        }

        /*end*/
        .cs-report .card {background-color: transparent;border: none;}
        .seopens {position: absolute;right: 10px;top: 9px;font-size: 17px;margin-left: 10px;color: #fff;}
        .seopens:hover {font-size: 18px;margin-left: 10px;color: #eee;}
        .btn-gray {max-width: 100px;display: inline-block;line-height: 39px;width: 96px;}
    </style>
@endsection

@section('content')
<div class="row">
    <div class="col-md-6 mb-4">
        @php
            $rhdrt                      = hasDispatcherRevenueTracker();
        @endphp
        @if($rhdrt['success'])
            @if($rhdrt['type']==2)
                @php
                    $permissions        = $rhdrt['permissions'];
                    $view_all_teams     = $permissions[1];
                @endphp
                @if($view_all_teams['success'])
                    <a href="{{route('company.admin.revenue.trackers.index')}}" class="btn-gray"><i class="fa fa-angle-double-left"></i> Back</a>
                @endif
            @else
                <a href="{{route('company.admin.revenue.trackers.index')}}" class="btn-gray"><i class="fa fa-angle-double-left"></i> Back</a>
            @endif
        @endif
    </div>
   <div class="col-md-6 mb-4">
      <div class="dropdown date-selection dowpdowdate">
          <div id="reportrange" style="background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc; width: 100%">
             <i class="fa fa-calendar"></i>&nbsp;
             <span></span> <i class="fa fa-caret-down"></i>
         </div>
       </div>
   </div>
</div>
<div class="cs-report">
    <div class="row widthclass" id="getTeamAjax">
    </div>
    <input type="hidden" name="skip" id="skip" value="0" />
    <input type="hidden" name="flag" id="flag" value="0" />
    <input type="hidden" name="isnull" id="isnull" value="0" />
</div>


@endsection

@section('script')
<script src="https://code.highcharts.com/highcharts.js"></script>
<script src="https://code.highcharts.com/highcharts-more.js"></script>
<script src="https://code.highcharts.com/modules/solid-gauge.js"></script>
<script src="{{ asset('theme/js/daterangepicker.min.js') }}"></script>
<script type="text/javascript">
    if(localTimeZone!=timeZone){
        moment.tz.setDefault(timeZone);
    }
</script>
<script type="text/javascript">
    $(function() {

        var team_id = '{{ $team_id }}'

        var Weekse = localStorage.getItem('Weekse');
        var Weekee = localStorage.getItem('Weekee');
        if(Weekse){
            if(localTimeZone!=timeZone){
                var start   = moment(Weekse, 'MM/DD/YYYY').tz(timeZone);
                var end     = moment(Weekee, 'MM/DD/YYYY').tz(timeZone);
            }else{
                var start   = moment(Weekse);
                var end     = moment(Weekee);
            }
        }else{
            var start = moment().startOf('week');
            var end = moment().endOf('week');
        }

        var token = $('meta[name="csrf-token"]').attr('content');

        function cb(start, end) {
            $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));

            var start_date = start.format('MM/DD/YYYY');
            var end_date = end.format('MM/DD/YYYY');
            var skip = 0;
            $("#skip").val(0);

            localStorage.setItem('Weekse', start_date);
            localStorage.setItem('Weekee', end_date);
            
            chartAccount(start_date, end_date, skip);
        }

        $('#reportrange').daterangepicker({
            startDate: start,
            endDate: end,
            ranges: {
               'Today': [moment(), moment()],
               'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
               'Last Week': [moment().subtract(1, 'week').startOf('week'), moment().subtract(1, 'week').endOf('week')],
               'Last 30 Days': [moment().subtract(29, 'days'), moment()],
               'This Week': [moment().startOf('week'), moment().endOf('week')],
               'This Month': [moment().startOf('month'), moment().endOf('month')],
               'This Year': [moment().subtract(0, 'year').startOf('year'), moment().subtract(0, 'year').endOf('year')],
               'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')],
               'Last Year': [moment().subtract(1, 'year').startOf('year'), moment().subtract(1, 'year').endOf('year')]
            }
        }, cb);

        cb(start, end);

        function chartAccount(start_date, end_date, skip) {

            if(skip == 0){
                $("#getTeamAjax").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');   
            }else{
                $("#getTeamAjax").append('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');   
            }
            $("#flag").val(1);

            var token = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                url: "{{ route('company.admin.revenue.trackers.teamAjaxByID') }}",
                method: 'POST',
                data: { _token: token, start_date: start_date, end_date: end_date, team_id: team_id, skip: skip},
                dataType: 'json',
                cache: false,
                timeout: 60000,
                success: function(response) {
                    
                    if(skip == 0){
                        $('#getTeamAjax').html(response.view);    
                    }else{
                        $('#getTeamAjax').append(response.view);    
                    }
                    $(".loadingdiv").remove();
                    $("#flag").val(0);
                    if(!response.view){
                        $("#flag").val(1);
                    }
                }
            });
        }

         $(window).scroll(function () {
             if ($(window).scrollTop() + $(window).height() >= $(document).height() - 200) {
                var start_date = start.format('MM/DD/YYYY');
                var end_date = end.format('MM/DD/YYYY');
                var skip = parseInt($("#skip").val()) + 12;
                $("#skip").val(skip);
                var flag = parseInt($("#flag").val());
                var isnull = parseInt($("#isnull").val());
                if(flag == 0 && isnull == 0){
                    chartAccount(start_date, end_date, skip);    
                }
             }
         });

    });
</script>




@endsection