@extends($companyAdminTheme)

@section('title')
    Edit Permissions
@endsection

@section('content')

<div class="white-box table-view mb-3">
    <div class="row">
        <!-- right column -->
        <div class="col-md-12">
            <!-- Horizontal Form -->
            <div class="box box-success">
                <div class="box-header">
                    <h5>
                        Update permissions for {{$role->name}}
                    </h5>
                    <hr class="bdr-partition">
                    <!-- <h3 class="box-title pull-left"></h3> -->
                </div>
                <form
                    method="POST"
                    id="editPermissions"
                    class="form-horizontal"
                    action="{{ url('company-admin/roles/update-permissions/').'/'.$role->id }}"
                    autocomplete="off">
                    @csrf
                    <div class="box-body">
                        <div class="row">
                            <div class="col-md-12">
                                <table class="table">
                                    <tr>
                                        <td>Module</td>
                                        <td>All</td>
                                        @foreach($permissions as $permission)
                                            <td>{{$permission->name}}</td>
                                        @endforeach
                                    </tr>
                                    @foreach ($modules as $module)
                                        @php
                                            $i = 0;
                                        @endphp
                                        <tr>
                                            <td>{{$module->name}}</td>
                                            <td>
                                                @if($module->id!='39')
                                                    <div class="checkbox">
                                                        <label class=" control-label">
                                                            <input type="checkbox" name="all[]" class="all">
                                                        </label>
                                                    </div>
                                                @endif
                                            </td>
                                            @foreach($permissions as $permission)
                                                @php
                                                    $index = in_array($permission->id,$modulePermissions[$module->id]);
                                                @endphp
                                                @if(!empty($index))
                                                    @if($module->id!='39')
                                                        <td>
                                                            <div class="checkbox">
                                                                <label class=" control-label">
                                                                    <input type="checkbox" name="module_permissions[]" value="{{$modulePermissionIds[$module->id][$i]}}" @if(in_array($modulePermissionIds[$module->id][$i],$rolePermissions)) checked  @endif>
                                                                </label>
                                                            </div>
                                                        </td>
                                                    @else
                                                        <td>
                                                            <div class="checkbox-div">
                                                                <div class="checkbox">
                                                                    <input type="checkbox" name="module_permissions[]" id="view_own_team" value="{{$modulePermissionIds[$module->id][$i]}}" @if(in_array($modulePermissionIds[$module->id][$i],$rolePermissions)) checked  @endif>
                                                                    <label class="control-label" for="view_own_team" style="text-transform: none;">View own team</label>
                                                                </div>
                                                                @php
                                                                    $i = $i+1;
                                                                @endphp
                                                                <div class="checkbox">
                                                                    <input type="checkbox" name="module_permissions[]" id="view_all_eam" value="{{$modulePermissionIds[$module->id][$i]}}" @if(in_array($modulePermissionIds[$module->id][$i],$rolePermissions)) checked  @endif>
                                                                    <label class="control-label" for="view_all_eam" style="text-transform: none;">View all teams</label>
                                                                </div>
                                                            </div>
                                                        </td>
                                                    @endif
                                                    @php
                                                        $i++;
                                                    @endphp
                                                @else
                                                    <td></td>
                                                @endif
                                            @endforeach
                                        </tr>
                                    @endforeach
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="button-area text-right mt-5">
                        <a href="{{route('company.admin.role.index')}}" class="btn btn-danger">Cancel</a>
                        <button type="submit" class="btn btn-custom  " >Submit</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
@endsection

@section('script')
<script>
    $(".all").click(function(){
        if($(this).is(":checked"))
            $(this).parents("tr").find("input").prop('checked', true);
        else
            $(this).parents("tr").find("input").prop('checked', false);
    });
    $('.checkbox-div input[type=checkbox]').change(function() {
        var that        = $(this);
        var closest_div = that.closest('.checkbox-div');
        if(closest_div.length > 0){
            closest_div.find('input[type=checkbox]:checked').not(this).prop('checked', false);
        }
    });
</script>
@endsection
