@extends($companyAdminTheme)

@section('title')
    Roles and Permission
@endsection

@section('content')

<div class="table-control">
    <a href="javascript:void(0)" class="btn green-btn green-link-btn add-new-btn" >Add New Role</a>
</div>

<div class="white-box table-view mb-3 role-form-row" style="display: none;">
  <form method="POST" id="createRole" class="form-horizontal" enctype="multipart/form-data" action="{{ url('company-admin/role/store') }}" >
    @csrf
    <div class="box-body">

      <div class="row">

          <div class="col-md-4">
              <div class="form-group">

                  <div class="col-sm-12">
                  <input type="hidden" name="roleId" id="roleId" />
                  <label class=" control-label">Name <span class="required_span">*</span></label>
                  <input type="text" data-parsley-parsehtml="" maxlength="50" name="name" id="name" required class="form-control role-fields" value="">

                  </div>
              </div>
          </div>
          <div class="col-md-4">
              <div class="form-group">

                  <div class="col-sm-12">

                  <label class=" control-label">Role For<span class="required_span">*</span></label>
                  <select name="guard_name" id="default_dashboard" required class="form-control role-fields select2">
                    <option value="">Select</option>
                    <option  value="manager">Manager</option>
                    <option  value="dispatcher">Dispatcher</option>
                    <option  value="driver">Driver</option>
                  </select>

                  </div>
              </div>
          </div>
          <div class="col-md-4">
            <label class=" control-label" style="opacity: 0;">Submit data</label>
            <div class="button-area">
              <button type="submit" class="btn btn-info ">Submit</button>
              <a href="javascript:void(0)" class="btn btn-default cancel-btn btn-danger">Cancel</a>
            </div>
          </div>
      </div>
    </div>
  </form>
</div>

<div class="white-box table-view">
    <h3 class="table-title">Roles and Permission</h3>
    <div class="add-responsive">
        <table id="role_datatable" class="table data-table">
            <thead>
              <tr>
                <th>Name</th>
                <th>Role For </th>
                <th>Status</th>
                <th>Action</th>
              </tr>
            </thead>
            <tbody>
            </tbody>
        </table>
    </div>
</div>


@endsection

@section('script')

<script>
  function editRole(roleId, name,defaultDashboard)
  {

      $("#title").html("Edit role");
      $(".role-form-row").show();
      $("#createRole").attr("action","{{ url('company-admin/roles/update') }}");
      $("#name").val(name);
      $("#default_dashboard").val(defaultDashboard);
      $("#roleId").val(roleId);
      $("#createRole").parsley().reset();

  }
  $(document).ready(function() {
    $(".add-new-btn").click(function(){
      $("#createRole").parsley().reset();
      $(".role-form-row").show();
      $("#title").html("Add new role");
      $(".role-fields").val("");
      $("#createRole").attr("action","{{ url('company-admin/roles/store') }}");
    });
    $(".cancel-btn").click(function(){
      $(".role-form-row").hide();
    });

    var url = "{{ url('company-admin/roles/list') }}";
    $('#role_datatable').DataTable({
    stateSave: true,
      order:[0,'asc'],
      processing: true,
      serverSide: true,
      ordering: false,
      ajax: url,
      columns: [

        {
          data: 'name',
          name: 'name'
        },
        {
          data: 'guard_name',
          name: 'guard_name'
        },
        {
          data: 'status',
          name: 'status',
          searchable: false
        },
        {
          data: 'action',
          name: 'action',
          orderable: false,
          searchable: false
        }
      ]
    });



  });
  $('#createRole').parsley();

</script>
@endsection
