@extends($companyAdminTheme)

@section('title')
    Terminal Create
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/datepicker3.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style>
        input[type=number]::-webkit-inner-spin-button,
        input[type=number]::-webkit-outer-spin-button {
            -webkit-appearance: none;
            -moz-appearance: none;
            appearance: none;
            margin: 0;
        }
    </style>
@endsection

@section('content')
    {!! Form::open(array(
            'route'         => 'company.admin.terminals.store',
            'method'        => 'POST',
            'files'         => 'true',
            'autocomplete'  => 'off',
            'class'         => 'store-form'
        )
    ) !!}
        <div class="row">
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">Terminal Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Name<span>*</span></label>
                                    {!! Form::text('name', old('name'), array('class' => 'form-control', 'autocomplete' => 'new', 'required' => 'required')) !!}
                                    @error('name')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-12 geocoding">
                                <input type="hidden" class="geocoding-latitude" name="latitude" value="" autocomplete="off">
                                <input type="hidden" class="geocoding-longitude" name="longitude" value="" autocomplete="off">
                                <input type="hidden" class="geocoding-abbr" name="timezone_abbr" value="" autocomplete="off" data-parsley-errors-container="#timezone_abbr-errors" data-parsley-required-message="Please verify address" required>
                                <input type="hidden" class="geocoding-verified" name="address_verified" value="0" autocomplete="off">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Address<span>*</span></label>
                                            {!! Form::text('address', old('address'), array(
                                                    'class'         => 'form-control geocoding-address-1',
                                                    'placeholder'   => '',
                                                    'id'            => 'address',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Address 2</label>
                                            {!! Form::text('address_2', old('address_2'), array(
                                                    'class'         => 'form-control geocoding-address-2',
                                                    'placeholder'   => '',
                                                    'id'            => 'address_2'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>City</label>
                                            {!! Form::text('city', old('city'), array(
                                                    'class'         => 'form-control geocoding-city',
                                                    'placeholder'   => '',
                                                    'id'            => 'city'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>State<span>*</span></label>
                                            {!! Form::text('state', old('state'), array(
                                                    'class'         => 'form-control geocoding-state',
                                                    'placeholder'   => '',
                                                    'id'            => 'state',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Zip<span>*</span></label>
                                            {!! Form::text('zip', old('zip'), array(
                                                    'class'         => 'form-control geocoding-zip',
                                                    'placeholder'   => '',
                                                    'id'            => 'zip',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <button type="button" class="btn btn-warning geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify</button>
                                        <div id="timezone_abbr-errors"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Phone</label>
                                    {!! Form::text('phone', old('phone'), array('class' => 'form-control phone')) !!}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Email</label>
                                    {!! Form::email('email', old('email'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Fax</label>
                                    {!! Form::text('fax', old('fax'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">Business Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Terminal Code<span>*</span></label>
                                    {!! Form::text('terminal_code', old('terminal_code'), array('class' => 'form-control', 'autocomplete' => 'terminal_code', 'required' => 'required')) !!}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Federal ID</label>
                                    {!! Form::text('federal_id', old('federal_id'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Terminal Status</label>
                                    {!! Form::select('terminal_status', ['' => 'Select Status','1' => 'Active','0' => 'Inactive'], old('terminal_status'), ['class' => 'form-control select2', 'data-no-search' => 'true']) !!}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Terminal Type</label>
                                    {!! Form::select('terminal_type', ['' => 'Select Status','1' => 'Transport','2' => 'Brokerage'], old('terminal_type'), ['class' => 'form-control terminal_type select2', 'data-no-search' => 'true']) !!}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Start Date</label>
                                    {!! Form::text('start_date', old('start_date'), array('class' => 'form-control date', 'autocomplete' => 'off')) !!}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Parent Terminal</label>
                                    {!! Form::select('parent_terminal', ['' => 'Select Terminal']+getTerminalList(), old('parent_terminal'), ['class' => 'form-control select2', 'data-no-search' => 'true']) !!}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Carrier</label>
                                    {!! Form::select('carrier_id', ['' => 'Select Carrier']+getCarrierList(), old('parent_terminal'), ['class' => 'form-control select2', 'data-no-search' => 'true']) !!}
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <div class="drop-zone">
                                        <span class="drop-zone__prompt">Drag and drop file here or click to browse</span>
                                        <input type="file" name="documents" class="drop-zone__input" accept="image/png,image/gif,image/jpeg" >
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">Payment Information</h4>
                    <div class="box-padding">
                        <div class="row d-flex justify-content-end">
                            <div class="col-auto">
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input" id="sameaddress"><label class="custom-control-label" for="sameaddress">Same as above</label>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Payment To Name</label>
                                    {!! Form::text('bill_to_name', old('bill_to_name'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-12 geocoding">
                                <input type="hidden" class="geocoding-latitude" name="billing_latitude" value="" autocomplete="off">
                                <input type="hidden" class="geocoding-longitude" name="billing_longitude" value="" autocomplete="off">
                                <input type="hidden" class="geocoding-abbr" name="billing_timezone_abbr" value="" autocomplete="off" data-parsley-errors-container="#billing_timezone_abbr-errors" data-parsley-required-message="Please verify address" required>
                                <input type="hidden" class="geocoding-verified" name="billing_address_verified" value="0" autocomplete="off">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Payment Address<span>*</span></label>
                                            {!! Form::text('billing_address', old('billing_address'), array(
                                                    'class'         => 'form-control geocoding-address-1',
                                                    'placeholder'   => '',
                                                    'id'            => 'billing_address',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Payment Address 2</label>
                                            {!! Form::text('billing_address_2', old('billing_address_2'), array(
                                                    'class'         => 'form-control geocoding-address-2',
                                                    'placeholder'   => '',
                                                    'id'            => 'billing_address_2'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Payment City<span>*</span></label>
                                            {!! Form::text('billing_city', old('billing_city'), array(
                                                    'class'         => 'form-control geocoding-city',
                                                    'placeholder'   => '',
                                                    'id'            => 'billing_city'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Payment State<span>*</span></label>
                                            {!! Form::text('billing_state', old('billing_state'), array(
                                                    'class'         => 'form-control geocoding-state',
                                                    'placeholder'   => '',
                                                    'id'            => 'billing_state',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Payment Zip<span>*</span></label>
                                            {!! Form::text('billing_zip', old('billing_zip'), array(
                                                    'class'         => 'form-control geocoding-zip',
                                                    'placeholder'   => '',
                                                    'id'            => 'billing_zip',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <button type="button" class="btn btn-warning geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify</button>
                                        <div id="billing_timezone_abbr-errors"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Payment Phone</label>
                                    {!! Form::text('billing_phone', old('billing_phone'), array('class' => 'form-control phone', 'placeholder' => '(555) 123-1234')) !!}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Payment Email</label>
                                    {!! Form::email('billing_email', old('billing_email'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Payment Extension</label>
                                    {!! Form::text('billing_extention', old('billing_extention'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Payment Fax</label>
                                    {!! Form::number('billing_fax', old('billing_fax'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">Commissions and Payments</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12 truckcommi">
                                <div class="row">
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>Truck Commission</label>
                                           {{--
                                                {!! Form::text('truck_commision', old('truck_commision'), array('class' => 'form-control', 'autocomplete' => 'terminal_code')) !!}
                                            --}}
                                            {!! Form::number('truck_commision', old('truck_commision'), array('class' => 'form-control', 'autocomplete' => 'terminal_code', 'step' => '0.01')) !!}
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12 truckcommi2" >
                                <div class="row">
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>Brokerage Split</label>
                                            {{--
                                                {!! Form::select('brokerage_split', ['' => 'Select Split','1' => '100% / 0%','2' => '95% / 5%','3' => '90% / 10%','4' => '0% / 100%'], old('brokerage_split'), ['class' => 'form-control']) !!}
                                            --}}
                                            {!! Form::select('brokerage_split',
                                                [
                                                    ''      => 'Select Split',
                                                    '1'     => '100% / 0%',
                                                    '2'     => '95% / 5%',
                                                    '3'     => '90% / 10%',
                                                    '4'     => '85% / 15%',
                                                    '5'     => '80% / 20%',
                                                    '6'     => '75% / 25%',
                                                    '7'     => '70% / 30%',
                                                    '8'     => '65% / 35%',
                                                    '9'     => '60% / 40%',
                                                    '10'    => '55% / 45%',
                                                    '11'    => '50% / 50%',
                                                    '12'    => '45% / 55%',
                                                    '13'    => '40% / 60%',
                                                    '14'    => '35% / 65%',
                                                    '15'    => '30% / 70%',
                                                    '16'    => '25% / 75%',
                                                    '17'    => '20% / 80%',
                                                    '18'    => '15% / 85%',
                                                    '19'    => '10% / 90%',
                                                    '20'    => '5% / 95%',
                                                    '21'    => '0% / 100%',
                                                ],
                                                old('brokerage_split'),
                                                ['class' => 'form-control select2'])
                                            !!}
                                        </div>
                                    </div>
                                    <div class="col-md-8">
                                        <div class="form-group">
                                            <label>Brokerage Minimum Amount</label>
                                            {!! Form::number('brokerage_minimum_amount', old('brokerage_minimum_amount'), array('class' => 'form-control', 'autocomplete' => 'terminal_code', 'min' => '0','max' => '100', 'step' => '0.01')) !!}
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <label>Generate 1099?</label>
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('generate_1099', 1, null, array('class' => 'custom-control-input', 'id' => 'generate_1099')) !!}
                                                <label class="custom-control-label" for="generate_1099"></label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-5">
                                        <div class="form-group">
                                            <label>Settlement Day</label>
                                            {!! Form::select('preferred_settlement_day', ['' => 'Select Days','1' => 'Monday','2' => 'Tuesday','3' => 'Wednesday','4' => 'Thursday','5' => 'Friday','6' => 'Saturday','7' => 'Sunday'], old('preferred_settlement_day'), ['class' => 'form-control select2']) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-5">
                                        <div class="form-group">
                                            <label>Billing Cutoff (Time/Date)</label>
                                            {!! Form::select('billing_cutoff', ['' => 'Select Days','1' => 'Monday','2' => 'Tuesday','3' => 'Wednesday','4' => 'Thursday','5' => 'Friday','6' => 'Saturday','7' => 'Sunday'], old('billing_cutoff'), ['class' => 'form-control select2']) !!}
                                        </div>
                                    </div>
                                </div>
                            </div>

                            {{--
                                <div class="col-md-12">
                                    <hr/>
                                    <div class="form-group">
                                        <label>Bank Name</label>
                                        {!! Form::text('bank_name', old('bank_name'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Account Number</label>
                                        {!! Form::text('account_number', old('account_number'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Routing Number</label>
                                        {!! Form::text('routing_number', old('routing_number'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Bank Contact Name</label>
                                        {!! Form::text('bank_contact_name', old('bank_contact_name'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Bank Contact Email</label>
                                        {!! Form::email('bank_contact_email', old('bank_contact_email'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Name On Account</label>
                                        {!! Form::text('name_on_account', old('name_on_account'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Picture of voided check</label>
                                        {!! Form::file('picture_of_voided_check[]', ['class' => 'form-control','multiple' => 'multiple']) !!}
                                    </div>
                                </div>
                                <div class="col-lg-12">
                                    <div class="box-padding" id="banknewRow">
                                        <div class="row">
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label>Bank Contact</label>
                                                    <input type="text" name="bank_contact[]" value="" class="form-control">
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label>Bank Phone</label>
                                                    <input type="text" name="bank_phone[]" value="" class="form-control phone">
                                                </div>
                                            </div>
                                            <div class="col-md-2">
                                                <div class="form-group">
                                                    <label>Ext</label>
                                                    <input type="text" name="bext[]" value="" class="form-control">
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label>Bank Email</label>
                                                    <input type="email" name="bank_email[]" value="" class="form-control">
                                                </div>
                                            </div>
                                            <div class="col-md-1">
                                                <div class="form-group">
                                                    <label class="d-block" style="visibility: hidden;">Action</label>
                                                    <a href="javascript:void(0)" class="btn btn-success" id="bankaddRow"><i class="fa fa-plus"></i></a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            --}}
                            <div class="col-md-12">
                                <div class="box-padding" id="banknewRow">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <hr/>
                                            <div class="row">
                                                <div class="col-md-10">
                                                    <div class="form-group">
                                                        <label>Bank Name</label>
                                                        {!! Form::text('bank_name[]', old('bank_name'), array('class' => 'form-control')) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-2 pl-1">
                                                    <div class="form-group">
                                                        <label>Active Status</label>
                                                        <input type="hidden" class="bank_status" name="bank_status[]" value="1">
                                                        <div class="custom-control custom-switch">
                                                            {!! Form::checkbox('bank_active_status_0[]', 1, 'checked', array('class' => 'custom-control-input', 'id' => 'bank_active_status_0')) !!}
                                                            <label class="custom-control-label" for="bank_active_status_0"></label>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Account Number</label>
                                                {!! Form::text('account_number[]', old('account_number'), array('class' => 'form-control')) !!}
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Routing Number</label>
                                                {!! Form::text('routing_number[]', old('routing_number'), array('class' => 'form-control')) !!}
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Bank Contact Name</label>
                                                {!! Form::text('bank_contact_name[]', old('bank_contact_name'), array('class' => 'form-control')) !!}
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Bank Contact Email</label>
                                                {!! Form::email('bank_contact_email[]', old('bank_contact_email'), array('class' => 'form-control')) !!}
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Name On Account</label>
                                                {!! Form::text('name_on_account[]', old('name_on_account'), array('class' => 'form-control')) !!}
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Picture of voided check</label>
                                                {!! Form::file('picture_of_voided_check_0[]', ['class' => 'form-control','multiple' => 'multiple']) !!}
                                                <input type="hidden" name="file_input_id[]" value="0">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Bank Contact</label>
                                                        <input type="text" name="bank_contact[]" value="" class="form-control">
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Bank Phone</label>
                                                        <input type="text" name="bank_phone[]" value="" class="form-control phone">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="row">
                                                <div class="col-md-2 pr-0">
                                                    <div class="form-group">
                                                        <label>Ext</label>
                                                        <input type="text" name="bext[]" value="" class="form-control">
                                                    </div>
                                                </div>
                                                <div class="col-md-8">
                                                    <div class="form-group">
                                                        <label>Bank Email</label>
                                                        <input type="email" name="bank_email[]" value="" class="form-control">
                                                    </div>
                                                </div>
                                                <div class="col-md-1 pl-2">
                                                    <div class="form-group">
                                                        <label class="d-block" style="visibility: hidden;">Action</label>
                                                        <a href="javascript:void(0)" class="btn btn-success" id="bankaddRow"><i class="fa fa-plus"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-12">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">Additional Contacts</h4>
                    <div class="box-padding" id="newRow">
                        <div class="row">
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>Department</label>
                                    <input type="text" name="adepartment[]" value="" class="form-control">
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>Name</label>
                                    <input type="text" name="aname[]" value="" class="form-control">
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>Phone Number</label>
                                    <input type="text" name="aphone_number[]" value="" class="form-control phone">
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>Ext</label>
                                    <input type="text" name="aext[]" value="" class="form-control">
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>Email</label>
                                    <input type="email" name="aemail[]" value="" class="form-control">
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label class="d-block" style="visibility: hidden;">Action</label>
                                    <a href="javascript:void(0)" class="btn btn-success" id="addRow"><i class="fa fa-plus"></i></a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-12">
                <div class="white-box mb-4 load-status">
                    <h4 class="box-title clear-btn">Terminal Notes</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group mt-2 mb-5">
                                    <label><strong>Note:</strong> Notes for a terminal can't be add until the create terminal is saved</label>
                                    <!--a class="addmorecut" data-toggle="modal" data-target="#newFinancialModal">+ Add</a-->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-12">
                <div class="white-box mb-4 load-status">
                    <h4 class="box-title clear-btn">Terminal Files</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group mt-2 mb-5">
                                    <label><strong>Note:</strong> Load Files for a terminal can't be add until the create terminal is saved</label>
                                    <!--a class="addmorecut" data-toggle="modal" data-target="#newFinancialModal">+ Add</a-->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="button-bottom">
            <a href="{{ route('company.admin.terminals.index') }}" class="cancel-btn">Cancel</a>
            <button class="submit-btn">Submit</button>
        </div>
    {!! Form::close() !!}
@endsection

@section('script')
    <script src="{{ asset('theme/js/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script type="text/javascript">
        $( document ).ready(function() {
            $('.store-form').parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            $('.date').datepicker({
                autoclose: true,
                todayHighlight: true,
            });
        });
    </script>
    <script type="text/javascript">
        $(".truckcommi").hide(300);
        $(".truckcommi2").hide(300);
        $("body").on("change",".terminal_type",function(e){
            $(".truckcommi").hide(300);
            $(".truckcommi2").hide(300);
            var value = this.value;
            if(value == '1'){
                $(".truckcommi").show(300);
            }
            if(value == '2'){
                $(".truckcommi2").show(300);
            }
        });

        $("#sameaddress").click(function() {
            if ($("#sameaddress").is(":checked")) {
                $('input[name="bill_to_name"]').val($('input[name="name"]').val());
                $('input[name="billing_address"]').val($('input[name="address"]').val());
                $('input[name="billing_address_2"]').val($('input[name="address_2"]').val());
                $('input[name="billing_city"]').val($('input[name="city"]').val());
                $('input[name="billing_state"]').val($('input[name="state"]').val());
                $('input[name="billing_zip"]').val($('input[name="zip"]').val());
                $('input[name="billing_phone"]').val($('input[name="phone"]').val());
                $('input[name="billing_email"]').val($('input[name="email"]').val());
                $('input[name="billing_extention"]').val($('input[name="extention"]').val());
                $('input[name="billing_fax"]').val($('input[name="fax"]').val());
                //$('input[name="billing_method"]').val($('input[name="method"]').val());
                //$('input[name="factored"]').val($('input[name="factored"]').val());

                if($('input[name="billing_address"]').val()!=''){
                    $('input[name="billing_address"]').parsley().reset();
                }
                if($('input[name="billing_state"]').val()!=''){
                    $('input[name="billing_state"]').parsley().reset();
                }
                if($('input[name="billing_zip"]').val()!=''){
                    $('input[name="billing_zip"]').parsley().reset();
                }
                var address_verified    = $('input[name="address_verified"]').val();
                if(address_verified==1){
                    $('input[name="billing_latitude"]').val($('input[name="latitude"]').val());
                    $('input[name="billing_longitude"]').val($('input[name="longitude"]').val());
                    $('input[name="billing_timezone_abbr"]').val($('input[name="timezone_abbr"]').val());
                    $('input[name="billing_address_verified"]').val('1');

                    $('input[name="billing_timezone_abbr"]').parsley().reset();
                    var btn             = $('input[name="billing_latitude"]').closest('.geocoding').find('.geocoding-btn');
                    btn.text('Verified');
                    btn.removeClass("btn-warning");
                    btn.addClass("btn-success");
                }
            }else{
                $('input[name="bill_to_name"]').val('');
                $('input[name="billing_address"]').val('');
                $('input[name="billing_address_2"]').val('');
                $('input[name="billing_city"]').val('');
                $('input[name="billing_state"]').val('');
                $('input[name="billing_zip"]').val('');
                $('input[name="billing_phone"]').val('');
                $('input[name="billing_email"]').val('');
                $('input[name="billing_extention"]').val('');
                $('input[name="billing_fax"]').val('');
                //$('input[name="billing_method"]').val('');
                //$('input[name="factored"]').val('');

                $('input[name="billing_latitude"]').val('');
                $('input[name="billing_longitude"]').val('');
                $('input[name="billing_timezone_abbr"]').val('');
                $('input[name="billing_address_verified"]').val('0');

                var btn             = $('input[name="billing_latitude"]').closest('.geocoding').find('.geocoding-btn');
                btn.text('Verify');
                btn.removeClass("btn-success");
                btn.addClass("btn-warning");
            }
        });
    </script>
    <script type="text/javascript">
        $("#addRow").click(function () {
            var html = '';
            html    += '<div class="row" id="inputFormRow">';
            html    += '<div class="col-md-2">';
            html    += '<div class="form-group">';
            html    += '<label>Department</label>';
            html    += '<input type="text" name="adepartment[]" value="" class="form-control">';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-2">';
            html    += '<div class="form-group">';
            html    += '<label>Name</label>';
            html    += '<input type="text" name="aname[]" value="" class="form-control">';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-2">';
            html    += '<div class="form-group">';
            html    += '<label>Phone Number</label>';
            html    += '<input type="text" name="aphone_number[]" value="" class="form-control phone">';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-2">';
            html    += '<div class="form-group">';
            html    += '<label>Ext</label>';
            html    += '<input type="text" name="aext[]" value="" class="form-control">';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-2">';
            html    += '<div class="form-group">';
            html    += '<label>Email</label>';
            html    += '<input type="email" name="aemail[]" value="" class="form-control">';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-2">';
            html    += '<div class="form-group">';
            html    += '<label class="d-block" style="visibility: hidden;">Action</label>';
            html    += '<a href="javascript:void(0)" class="btn btn-danger" id="removeRow"><i class="fa fa-trash"></i></a>';
            html    += '</div>';
            html    += '</div>';
            html    += '</div>';
            $('#newRow').append(html);
            setPhoneNumber();
        });

        // remove row
        $(document).on('click', '#removeRow', function () {
            $(this).closest('#inputFormRow').remove();
        });

        $("#bankaddRow").click(function () {
            let lastFileInputId     = $("#banknewRow").last('div').find('input:file').last()[0].name;
            let splitFileName       = lastFileInputId.split('_');
            let nextFileInputId     = parseInt(splitFileName[4].replace('[]', '')) + 1;

            let lastCheckboxInputId = $("#banknewRow").last('div').find('input:checkbox').last()[0].name;
            let splitCheckboxName   = lastCheckboxInputId.split('_');
            let nextCheckboxInputId = parseInt(splitCheckboxName[3].replace('[]', '')) + 1;

            var html = '';
            html    += '<div id="bankinputFormRow">';
            html    += '<div class="row">';
            html    += '<div class="col-md-12">';
            html    += '<hr/>';
            html    += '<div class="row">';
            html    += '<div class="col-md-10">';
            html    += '<div class="form-group">';
            html    += '<label>Bank Name</label>';
            html    += '{!! Form::text('bank_name[]', old('bank_name'), array('class' => 'form-control')) !!}';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-2 pl-1">';
            html    += '<div class="form-group">';
            html    += '<label>Active Status</label>';
            html    += '<input type="hidden" class="bank_status" name="bank_status[]" value="1">';
            html    += '<div class="custom-control custom-switch">';
            html    += '<input type="checkbox" id="bank_active_status_'+ nextFileInputId +'" name="bank_active_status_'+ nextFileInputId +'" value="1" class="custom-control-input" multiple="multiple" checked>';
            html    += '<label class="custom-control-label" for="bank_active_status_'+ nextFileInputId +'"></label>';
            html    += '</div>';
            html    += '</div>';
            html    += '</div>';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-6">';
            html    += '<div class="form-group">';
            html    += '<label>Account Number</label>';
            html    += '{!! Form::text('account_number[]', old('account_number'), array('class' => 'form-control')) !!}';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-6">';
            html    += '<div class="form-group">';
            html    += '<label>Routing Number</label>';
            html    += '{!! Form::text('routing_number[]', old('routing_number'), array('class' => 'form-control')) !!}';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-6">';
            html    += '<div class="form-group">';
            html    += '<label>Bank Contact Name</label>';
            html    += '{!! Form::text('bank_contact_name[]', old('bank_contact_name'), array('class' => 'form-control')) !!}';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-6">';
            html    += '<div class="form-group">';
            html    += '<label>Bank Contact Email</label>';
            html    += '{!! Form::email('bank_contact_email[]', old('bank_contact_email'), array('class' => 'form-control')) !!}';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-6">';
            html    += '<div class="form-group">';
            html    += '<label>Name On Account</label>';
            html    += '{!! Form::text('name_on_account[]', old('name_on_account'), array('class' => 'form-control')) !!}';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-6">';
            html    += '<div class="form-group">';
            html    += '<label>Picture of voided check</label>';
            html    += '<input type="file" name="picture_of_voided_check_'+ nextFileInputId +'[]" value="" class="form-control" multiple="multiple">';
            html    += '<input type="hidden" name="file_input_id[]" value="'+ nextFileInputId +'">';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-6">';
            html    += '<div class="row">';
            html    += '<div class="col-md-6">';
            html    += '<div class="form-group">';
            html    += '<label>Bank Contact</label>';
            html    += '<input type="text" name="bank_contact[]" value="" class="form-control">';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-6">';
            html    += '<div class="form-group">';
            html    += '<label>Bank Phone</label>';
            html    += '<input type="text" name="bank_phone[]" value="" class="form-control phone">';
            html    += '</div>';
            html    += '</div>';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-6">';
            html    += '<div class="row">';
            html    += '<div class="col-md-2 pr-0">';
            html    += '<div class="form-group">';
            html    += '<label>Ext</label>';
            html    += '<input type="text" name="bext[]" value="" class="form-control">';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-8">';
            html    += '<div class="form-group">';
            html    += '<label>Bank Email</label>';
            html    += '<input type="email" name="bank_email[]" value="" class="form-control">';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-1 pl-2">';
            html    += '<div class="form-group">';
            html    += '<label class="d-block" style="visibility: hidden;">Action</label>';
            html    += '<a href="javascript:void(0)" class="btn btn-danger" id="bankremoveRow"><i class="fa fa-trash"></i></a>';
            html    += '</div>';
            html    += '</div>';
            html    += '</div>';
            html    += '</div>';
            html    += '</div>';
            html    += '</div>';

            $('#banknewRow').append(html);

            setPhoneNumber();
        });

        // remove row
        $(document).on('click', '#bankremoveRow', function () {
            $(this).closest('#bankinputFormRow').remove();
        });

        $(document).on('change', '[id^="bank_active_status_"]', function () {
            if($(this).is(':checked')){
                $(this).closest('div').parent('div').find('.bank_status').val(1);
            }else{
                $(this).closest('div').parent('div').find('.bank_status').val(0);
            }
        });

        document.querySelectorAll(".drop-zone__input").forEach((inputElement) => {
            const dropZoneElement = inputElement.closest(".drop-zone");

            dropZoneElement.addEventListener("click", (e) => {
                inputElement.click();
            });

            inputElement.addEventListener("change", (e) => {
                if (inputElement.files.length) {
                updateThumbnail(dropZoneElement, inputElement.files[0]);
                }
            });

            dropZoneElement.addEventListener("dragover", (e) => {
                e.preventDefault();
                dropZoneElement.classList.add("drop-zone--over");
            });

            ["dragleave", "dragend"].forEach((type) => {
                dropZoneElement.addEventListener(type, (e) => {
                dropZoneElement.classList.remove("drop-zone--over");
                });
            });

            dropZoneElement.addEventListener("drop", (e) => {
                e.preventDefault();

                if (e.dataTransfer.files.length) {
                inputElement.files = e.dataTransfer.files;
                updateThumbnail(dropZoneElement, e.dataTransfer.files[0]);
                }

                dropZoneElement.classList.remove("drop-zone--over");
            });
        });

        function updateThumbnail(dropZoneElement, file) {
            let thumbnailElement = dropZoneElement.querySelector(".drop-zone__thumb");

            // First time - remove the prompt
            if (dropZoneElement.querySelector(".drop-zone__prompt")) {
                dropZoneElement.querySelector(".drop-zone__prompt").remove();
            }

            // First time - there is no thumbnail element, so lets create it
            if (!thumbnailElement) {
                thumbnailElement = document.createElement("div");
                thumbnailElement.classList.add("drop-zone__thumb");
                dropZoneElement.appendChild(thumbnailElement);
            }

            thumbnailElement.dataset.label = file.name;

            // Show thumbnail for image files
            if (file.type.startsWith("image/")) {
                const reader = new FileReader();

                reader.readAsDataURL(file);
                reader.onload = () => {
                thumbnailElement.style.backgroundImage = `url('${reader.result}')`;
                };
            } else {
                thumbnailElement.style.backgroundImage = null;
            }
        }

        /*
        $("#bankaddRow").click(function () {
            var html = '';
            html    += '<div class="row" id="bankinputFormRow">';
            html    += '<div class="col-md-3">';
            html    += '<div class="form-group">';
            html    += '<label>Bank Contact</label>';
            html    += '<input type="text" name="bank_contact[]" value="" class="form-control">';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-3">';
            html    += '<div class="form-group">';
            html    += '<label>Bank Phone</label>';
            html    += '<input type="text" name="bank_phone[]" value="" class="form-control phone">';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-2">';
            html    += '<div class="form-group">';
            html    += '<label>Ext</label>';
            html    += '<input type="text" name="bext[]" value="" class="form-control">';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-3">';
            html    += '<div class="form-group">';
            html    += '<label>Bank Email</label>';
            html    += '<input type="email" name="bank_email[]" value="" class="form-control">';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-1">';
            html    += '<div class="form-group">';
            html    += '<label class="d-block" style="visibility: hidden;">Action</label>';
            html    += '<a href="javascript:void(0)" class="btn btn-danger" id="bankremoveRow"><i class="fa fa-trash"></i></a>';
            html    += '</div>';
            html    += '</div>';
            html    += '</div>';
            $('#banknewRow').append(html);
            setPhoneNumber();
        });
        */
    </script>
@endsection

@push('after-scripts')
    <script src="{{ asset('theme/js/trimble.js') }}"></script>
@endpush
