@if(isset($profile))
    @php
        $dummyId                = time();
        $documentTitles         = [];
    @endphp
    @if(isset($profile->titles) && $profile->titles != '')
        @php
            $documentTitles     = array_filter(explode(',', $profile->titles));
        @endphp
    @endif
    <div class="row pt-2">
        <div class="col-md-12">
            <div class="form-group">
                <h6 class="section-heading">{{ $profile->profile_name ?? '' }}</h6>
                <input type="hidden" name="dummy_id" value="{{ $dummyId }}">
            </div>
        </div>
    </div>
    @if(!empty($documentTitles))
        @foreach($documentTitles as $key => $documentTitle)
            <div class="row pb-2" data-last-index="{{ $loop->index }}">
                <div class="col-md-4 pr-1 document-custom-grid selectDiv">
                    <div class="form-group">
                        @if($loop->index == 0)
                            <label for="title" class="mb-1">Title</label>
                        @endif
                        {!! Form::select('titles[]', ['' => 'Select'] + getDocumentTitles(), $documentTitle ?? null, [
                                'class'             => 'form-control select2'
                            ]
                        ) !!}
                    </div>
                </div>
                <div class="col-md-4 pr-1 document-custom-grid selectDiv">
                    <div class="form-group">
                        @if($loop->index == 0)
                            <label for="dot-required" class="mb-1">DOT Required</label>
                        @endif
                        {!! Form::select('dot_required[]', ['' => 'Select', '0' => 'No', '1' => 'Yes'], null, [
                                'class'             => 'form-control select2',
                                'data-no-search' => 'true'
                            ]
                        ) !!}
                    </div>
                </div>
                <div class="col-md-4 pl-1 pr-1 document-custom-grid">
                    <div class="form-group">
                        @if($loop->index == 0)
                            <label for="exp-dates" class="mb-1">Exp Date</label>
                        @endif
                        <div class="input-group">
                            {!! Form::text('exp_dates[]', null, array(
                                    'class'         => 'form-control date',
                                    'placeholder'   => 'Enter'
                                )
                            ) !!}
                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                        </div>
                    </div>
                </div>
                <div class="pl-1 {{ ($loop->first) ? 'mt-4' : 'mt-1' }}">
                    <div class="form-group d-flex justify-content-between">
                        <div>
                            <input type="hidden" name="doc_types[]" class="docType" value="2">
                            <button type="button" class="btn btn-blueBr btn-copy mt-1">Copy</button>
                            <button type="button" class="btn btn-blue btn-original mt-1 ml-1">Original</button>
                        </div>
                        <div>
                            <a href="javascript:void(0);" class="documentsFile">
                                <i class="fa fa-picture-o documentProfileFile gallary-edit @isset($trailer->id) {{ checkeGalleryFileUpload($trailer->id, 'document_profile_file_'.$loop->index) }} @endisset" aria-hidden="true" 
                                    data-id="{{ $trailer->id ?? $dummyId }}" 
                                    data-source="trailers" 
                                    data-field="document_profile_file_{{ $loop->index }}" 
                                    data-toggle="modal" 
                                    data-target="#galleryModal" 
                                    title="Document Profile File">
                                </i>
                            </a>
                        </div>
                        <div>
                            <a href="javascript:void(0);" class="removeMoreBtn removeMoreDocumentProfileRows">
                                <i class="fa fa-minus-square" aria-hidden="true"></i>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        @endforeach
    @endif
@elseif(isset($documentProfileItems))
    <div class="row pt-2">
        <div class="col-md-12">
            <div class="form-group">
                <h6 class="section-heading">{{ $firstDocumentProfileItem->trailer_company_document_profile->profile_name ?? '' }}</h6>
            </div>
        </div>
    </div>
    @foreach($documentProfileItems as $key => $document_item)
        <div class="row pb-2" data-last-index="{{ $loop->index }}">
            <div class="col-md-4 pr-1 document-custom-grid selectDiv">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="title" class="mb-1">Title</label>
                    @endif
                    {!! Form::select('titles[]', ['' => 'Select'] + getDocumentTitles(), $document_item->company_document_title_id ?? null, [
                            'class'             => 'form-control select2'
                        ]
                    ) !!}
                </div>
            </div>
            <div class="col-md-4 pr-1 document-custom-grid selectDiv">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="dot-required" class="mb-1">DOT Required</label>
                    @endif
                    {!! Form::select('dot_required[]', ['' => 'Select', '0' => 'No', '1' => 'Yes'], $document_item->dot_required ?? null, [
                            'class'             => 'form-control select2',
                            'data-no-search' => 'true'
                        ]
                    ) !!}
                </div>
            </div>
            <div class="col-md-4 pl-1 pr-1 document-custom-grid">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="exp-dates" class="mb-1">Exp Date</label>
                    @endif
                    <div class="input-group">
                        {!! Form::text('exp_dates[]', $document_item->exp_date ?? null, array(
                                'class'         => 'form-control date',
                                'placeholder'   => 'Enter'
                            )
                        ) !!}
                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                    </div>
                </div>
            </div>
            <div class="pl-1 {{ ($loop->first) ? 'mt-4' : 'mt-1' }}">
                <div class="form-group d-flex justify-content-between">
                    <div>
                        <input type="hidden" name="doc_types[]" class="docType" value="{{ $document_item->doc_type ?? '2' }}">
                        @if($document_item->doc_type == '1')
                            <button type="button" class="btn btn-blue btn-copy mt-1">Copy</button>
                            <button type="button" class="btn btn-blueBr btn-original mt-1 ml-1">Original</button>
                        @else
                            <button type="button" class="btn btn-blueBr btn-copy mt-1">Copy</button>
                            <button type="button" class="btn btn-blue btn-original mt-1 ml-1">Original</button>
                        @endif
                    </div>
                    <div>
                        <a href="javascript:void(0);" class="documentsFile">
                            <i class="fa fa-picture-o documentProfileFile gallary-edit @isset($trailer->id) {{ checkeGalleryFileUpload($trailer->id, 'document_profile_file_'.$loop->index) }} @endisset" aria-hidden="true" 
                                data-id="{{ $trailer->id ?? $dummy_id }}"
                                data-source="trailers" 
                                data-field="document_profile_file_{{ $loop->index }}" 
                                data-toggle="modal" 
                                data-target="#galleryModal" 
                                title="Document Profile File"></i>
                                <!-- // or $trailer->id ?? time() -->
                        </a>
                    </div>
                    <div>
                        <a href="javascript:void(0);" class="removeMoreBtn removeMoreDocumentProfileRows">
                            <i class="fa fa-minus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    @endforeach
@else
    <div class="row px-4 py-3">
        <div class="col-md-3 document-custom-grid">
            <label for="profile-name" class="mb-1">On Board Document Name</label>
            <div class="form-group">
                {!! Form::text('profile_name', null, array(
                        'class'         => 'form-control',
                        'placeholder'   => 'Enter Document Profile Name',
                        'required'      => 'required'
                    )
                ) !!}
            </div>
        </div>
    </div>
    <div class="row px-4">
        <div class="col-md-4 document-custom-grid pr-1">
            <label for="title" class="mb-1">Title</label>
        </div>
        <div class="col-md-4 document-custom-grid pl-1 pr-1">
            <label for="dot-required" class="mb-1">DOT Required</label>
        </div>
        <div class="col-md-4 document-custom-grid pl-1 pr-1">
            <label for="exp-dates" class="mb-1">Exp Date</label>
        </div>
        <div class="pl-1">
            <label class="mb-1"></label>
        </div>
    </div>
    <hr class="my-0 pb-3">
    <div class="row pl-4 pb-2" data-last-index="0">
        <div class="col-md-4 pr-1 document-custom-grid selectDiv">
            <div class="form-group">
                {!! Form::select('titles[]', ['' => 'Select'] + getDocumentTitles(), null, [
                        'class'                         => 'form-control select2',
                        'required'                      => 'required',
                        'data-parsley-errors-container' => '#document_profile_titles_0-errors'
                    ]
                ) !!}
                <div id="document_profile_titles_0-errors"></div>
            </div>
        </div>
        <div class="col-md-4 pr-1 document-custom-grid selectDiv">
            <div class="form-group">
                {!! Form::select('dot_required[]', ['' => 'Select', '0' => 'No', '1' => 'Yes'], null, [
                        'class'             => 'form-control select2',
                        'disabled'          => 'disabled'
                    ]
                ) !!}
            </div>
        </div>
        <div class="col-md-4 pl-1 pr-1 document-custom-grid">
            <div class="form-group">
                <div class="input-group">
                    {!! Form::text('exp_dates[]', null, array(
                            'class'         => 'form-control',
                            'placeholder'   => 'Enter',
                            'disabled'      => 'disabled'
                        )
                    ) !!}
                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                </div>
            </div>
        </div>
        <div class="pl-1 document-custom-grid">
            <div class="form-group d-flex justify-content-between">
                <div>
                    <button type="button" class="btn btn-blueBr mt-1" disabled>Copy</button>
                    <button type="button" class="btn btn-blue mt-1 ml-1" disabled>Original</button>
                </div>
                <div>
                    <a href="javascript:void(0);" class="documentsFile">
                        <i class="fa fa-picture-o" aria-hidden="true" title="Document File"></i>
                    </a>
                </div>
                <div>
                    <a href="javascript:void(0);" class="addMoreBtn addMoreDocumentProfileRows">
                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                    </a>
                </div>
            </div>
        </div>
    </div>
    <div id="documentProfileMoreRows"></div>
@endif