@if(isset($profile))
    @php
        $equipmentTitles        = [];
    @endphp
    @if(isset($profile->titles) && $profile->titles != '')
        @php
            $equipmentTitles    = array_filter(explode(',', $profile->titles));
        @endphp
    @endif
    <div class="row pt-2">
        <div class="col-md-12">
            <div class="form-group">
                <h6 class="section-heading">{{ $profile->profile_name ?? '' }}</h6>
            </div>
        </div>
    </div>
    @if(!empty($equipmentTitles))
        @foreach($equipmentTitles as $key => $equipmentTitle)
            <div class="row pb-2" data-last-index="{{ $loop->index }}">
                <div class="col-md-2 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        @if($loop->index == 0)
                            <label for="title" class="mb-1">Title</label>
                        @endif
                        {!! Form::select('titles[]', ['' => 'Select'] + getEquipmentTitles(), $equipmentTitle ?? null, [
                                'class'             => 'form-control select2'
                            ]
                        ) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        @if($loop->index == 0)
                            <label for="qty" class="mb-1">Qty</label>
                        @endif
                        {!! Form::text('qty[]', null, array(
                                'class'             => 'form-control',
                                'placeholder'       => 'Enter'
                            )
                        ) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        @if($loop->index == 0)
                            <label for="value" class="mb-1">Value</label>
                        @endif
                        <div class="input-group pre-append">
                            <div class="input-group-prepend">
                                <span class="input-group-text">$</span>
                            </div>
                            {!! Form::text('value[]', null, array(
                                    'class'         => 'form-control integer-input comma-integer-input',
                                    'placeholder'   => 'Enter'
                                )
                            ) !!}
                        </div>
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        @if($loop->index == 0)
                            <label for="description" class="mb-1">Description</label>
                        @endif
                        {!! Form::text('description[]', null, array(
                                'class'             => 'form-control',
                                'placeholder'       => 'Enter'
                            )
                        ) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        @if($loop->index == 0)
                            <label for="entered-by" class="mb-1">Entered By</label>
                        @endif
                        {!! Form::text('entered_by[]', null, array(
                                'class'             => 'form-control',
                                'placeholder'       => 'Enter'
                            )
                        ) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        @if($loop->index == 0)
                            <label for="date-entered" class="mb-1">Date Entered</label>
                        @endif
                        <div class="input-group">
                            {!! Form::text('date_entered[]', null, array(
                                    'class'         => 'form-control date',
                                    'placeholder'   => 'Enter'
                                )
                            ) !!}
                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                        </div>
                    </div>
                </div>
                <div class="pl-1 {{ ($loop->first) ? 'mt-4' : 'mt-1' }}">
                    <div class="form-group d-flex">
                        <div>
                            <a href="javascript:void(0);" class="removeMoreBtn removeMoreEquipmentProfileRows">
                                <i class="fa fa-minus-square" aria-hidden="true"></i>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        @endforeach
    @endif
@elseif(isset($equipmentProfileItems))
    <div class="row pt-2">
        <div class="col-md-12">
            <div class="form-group">
                <h6 class="section-heading">{{ $firstEquipmentProfileItem->trailer_company_equipment_profile->profile_name ?? '' }}</h6>
            </div>
        </div>
    </div>
    @foreach($equipmentProfileItems as $key => $equipment_item)
        <div class="row pb-2" data-last-index="{{ $loop->index }}">
            <div class="col-md-2 pr-1 equipment-custom-grid">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="title" class="mb-1">Title</label>
                    @endif
                    {!! Form::select('titles[]', ['' => 'Select'] + getEquipmentTitles(), $equipment_item->company_equipment_title_id ?? null, [
                            'class'             => 'form-control select2'
                        ]
                    ) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="qty" class="mb-1">Qty</label>
                    @endif
                    {!! Form::text('qty[]', $equipment_item->qty ?? null, array(
                            'class'             => 'form-control',
                            'placeholder'       => 'Enter'
                        )
                    ) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="value" class="mb-1">Value</label>
                    @endif
                    <div class="input-group pre-append">
                        <div class="input-group-prepend">
                            <span class="input-group-text">$</span>
                        </div>
                        {!! Form::text('value[]', $equipment_item->value ?? null, array(
                                'class'         => 'form-control integer-input comma-integer-input',
                                'placeholder'   => 'Enter'
                            )
                        ) !!}
                    </div>
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="description" class="mb-1">Description</label>
                    @endif
                    {!! Form::text('description[]', $equipment_item->description ?? null, array(
                            'class'             => 'form-control',
                            'placeholder'       => 'Enter'
                        )
                    ) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="entered-by" class="mb-1">Entered By</label>
                    @endif
                    {!! Form::text('entered_by[]', $equipment_item->entered_by ?? null, array(
                            'class'             => 'form-control',
                            'placeholder'       => 'Enter'
                        )
                    ) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="date-entered" class="mb-1">Date Entered</label>
                    @endif
                    <div class="input-group">
                        {!! Form::text('date_entered[]',  $equipment_item->date_entered ?? null, array(
                                'class'         => 'form-control date',
                                'placeholder'   => 'Enter'
                            )
                        ) !!}
                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                    </div>
                </div>
            </div>
            <div class="pl-1 {{ ($loop->first) ? 'mt-4' : 'mt-1' }}">
                <div class="form-group d-flex">
                    <div>
                        <a href="javascript:void(0);" class="removeMoreBtn removeMoreEquipmentProfileRows">
                            <i class="fa fa-minus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    @endforeach
@else
    <div class="row px-4 py-3">
        <div class="col-md-3 equipment-custom-grid">
            <label for="profile-name" class="mb-1">Equipment Profile Name</label>
            <div class="form-group">
                {!! Form::text('profile_name', null, array(
                        'class'         => 'form-control',
                        'placeholder'   => 'Enter Equipment Profile Name',
                        'required'      => 'required'
                    )
                ) !!}
            </div>
        </div>
    </div>
    <div class="row px-4">
        <div class="col-md-2 equipment-custom-grid pr-1">
            <label for="title" class="mb-1">Title</label>
        </div>
        <div class="col-md-2 equipment-custom-grid pl-1 pr-1">
            <label for="qty" class="mb-1">Qty</label>
        </div>
        <div class="col-md-2 equipment-custom-grid pl-1 pr-1">
            <label for="value" class="mb-1">Value</label>
        </div>
        <div class="col-md-2 equipment-custom-grid pl-1 pr-1">
            <label for="description" class="mb-1">Description</label>
        </div>
        <div class="col-md-2 equipment-custom-grid pl-1 pr-1">
            <label for="entered-by" class="mb-1">Entered By</label>
        </div>
        <div class="col-md-2 equipment-custom-grid pl-1 pr-1">
            <label for="date-entered" class="mb-1">Date Entered</label>
        </div>
        <div class="pl-1">
            <label class="mb-1"></label>
        </div>
    </div>
    <hr class="my-0 pb-3">
    <div class="row px-4 pb-2" data-last-index="0">
        <div class="col-md-2 pr-1 equipment-custom-grid">
            <div class="form-group">
                {!! Form::select('titles[]', ['' => 'Select'] + getEquipmentTitles(), null, [
                        'class'                         => 'form-control select2',
                        'required'                      => 'required',
                        'data-parsley-errors-container' => '#equipment_profile_titles_0-errors'
                    ]
                ) !!}
                <div id="equipment_profile_titles_0-errors"></div>
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
            <div class="form-group">
                {!! Form::text('qty[]', null, array(
                        'class'         => 'form-control',
                        'placeholder'   => 'Enter',
                        'disabled'      => 'disabled'
                    )
                ) !!}
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
            <div class="form-group">
                <div class="input-group pre-append">
                    <div class="input-group-prepend readonly-input">
                        <span class="input-group-text">$</span>
                    </div>
                    {!! Form::text('value[]', null, array(
                            'class'         => 'form-control integer-input comma-integer-input',
                            'placeholder'   => 'Enter',
                            'disabled'      => 'disabled'
                        )
                    ) !!}
                </div>
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
            <div class="form-group">
                {!! Form::text('description[]', null, array(
                        'class'             => 'form-control',
                        'placeholder'       => 'Enter',
                        'disabled'          => 'disabled'
                    )
                ) !!}
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
            <div class="form-group">
                {!! Form::text('entered_by[]', null, array(
                        'class'             => 'form-control',
                        'placeholder'       => 'Enter',
                        'disabled'          => 'disabled'
                    )
                ) !!}
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
            <div class="form-group">
                <div class="input-group">
                    {!! Form::text('date_entered[]', null, array(
                            'class'         => 'form-control',
                            'placeholder'   => 'Enter',
                            'disabled'      => 'disabled'
                        )
                    ) !!}
                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                </div>
            </div>
        </div>
        <div class="pl-1 equipment-custom-grid">
            <div class="form-group">
                <div>
                    <a href="javascript:void(0);" class="addMoreBtn addMoreEquipmentProfileRows">
                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                    </a>
                </div>
            </div>
        </div>
    </div>
    <div id="equipmentProfileMoreRows"></div>
@endif