@if(isset($profile))
    @php
        $pmTypes                = [];
        $pmServiceTypes         = [];
        $pmIntervalTypes        = [];
        $pmSchedules            = [];
    @endphp
    @if(isset($profile->types) && is_serialized($profile->types) && !empty(unserialize($profile->types)))
        @php
            $pmTypes            = unserialize($profile->types);
        @endphp
    @endif
    @if(isset($profile->service_types) && is_serialized($profile->service_types) && !empty(unserialize($profile->service_types)))
        @php
            $pmServiceTypes     = unserialize($profile->service_types);
        @endphp
    @endif
    @if(isset($profile->interval_types) && is_serialized($profile->interval_types) && !empty(unserialize($profile->interval_types)))
        @php
            $pmIntervalTypes    = unserialize($profile->interval_types);
        @endphp
    @endif
    @if(isset($profile->schedules) && is_serialized($profile->schedules) && !empty(unserialize($profile->schedules)))
        @php
            $pmSchedules        = unserialize($profile->schedules);
        @endphp
    @endif
    <div class="row pt-2">
        <div class="col-md-12">
            <div class="form-group">
                <h6 class="section-heading">{{ $profile->profile_name ?? '' }}</h6>
            </div>
        </div>
    </div>
    @if(!empty($pmTypes))
        @foreach($pmTypes as $key => $pmType)
            <div class="row pb-2" data-last-index="{{ $loop->index }}">
                <div class="col-md-2 pr-1 pm-service-prev-custom-grid">
                    <div class="form-group">
                        @if($loop->index == 0)
                            <label for="types" class="mb-1">Type</label>
                        @endif
                        {!! Form::select('types[]', ['' => 'Select Type'] + getCompanyPmType(), $pmType, [
                                'class' => 'form-control select2'
                            ]
                        ) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                    <div class="form-group">
                        @if($loop->index == 0)
                            <label for="service-type" class="mb-1">Service Type</label>
                        @endif
                        {!! Form::select('service_type[]', ['' => 'Select Service Type'] + getCompanyPmServiceType(), $pmServiceTypes[$loop->index] ?? null, [
                                'class' => 'form-control select2'
                            ]
                        ) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                    <div class="form-group">
                        @if($loop->index == 0)
                            <label for="interval-type" class="mb-1">Interval Type</label>
                        @endif
                        {!! Form::select('interval_type[]', ['' => 'Select Interval Type'] + getCompanyPmServiceIntervalType(), $pmIntervalTypes[$loop->index] ?? null, [
                                'class' => 'form-control intervalType select2'
                            ]
                        ) !!}
                    </div>
                </div>
                @if(isset($pmIntervalTypes[$loop->index]))
                    @if($pmIntervalTypes[$loop->index] == '1' || $pmIntervalTypes[$loop->index] == '2')
                        <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                            <div class="form-group">
                                @if($loop->index == 0)
                                    <label for="schedule" class="mb-1">Schedule</label>
                                @endif
                                {!! Form::text('schedule[]', $pmSchedules[$loop->index] ?? null, array(
                                        'class'             => 'form-control integer-input',
                                        'placeholder'       => 'Enter'
                                    )
                                ) !!}
                            </div>
                        </div>
                        <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                            <div class="form-group">
                                @if($loop->index == 0)
                                    <label for="due" class="mb-1">Due</label>
                                @endif
                                {!! Form::text('due_date[]', null, array(
                                        'class'             => 'form-control integer-input',
                                        'placeholder'       => 'Enter'
                                    )
                                ) !!}
                            </div>
                        </div>
                        <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                            <div class="form-group">
                                @if($loop->index == 0)
                                    <label for="last-performed" class="mb-1">Last Performed</label>
                                @endif
                                {!! Form::text('last_performed[]', null, array(
                                        'class'             => 'form-control integer-input',
                                        'placeholder'       => 'Enter'
                                    )
                                ) !!}
                            </div>
                        </div>
                    @else
                        <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                            <div class="form-group">
                                @if($loop->index == 0)
                                    <label for="schedule" class="mb-1">Schedule</label>
                                @endif
                                {!! Form::select('schedule[]', ['' => 'Select'] + getTrailerSchedules(), $pmSchedules[$loop->index] ?? null, [
                                        'class'             => 'form-control schedule select2'
                                    ]
                                ) !!}
                            </div>
                        </div>
                        <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                            <div class="form-group">
                                @if($loop->index == 0)
                                    <label for="due" class="mb-1">Due</label>
                                @endif
                                <div class="input-group">
                                    {!! Form::text('due_date[]',  null, array(
                                            'class'         => 'form-control date',
                                            'placeholder'   => 'Enter'
                                        )
                                    ) !!}
                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </div>
                        <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                            <div class="form-group">
                                @if($loop->index == 0)
                                    <label for="last-performed" class="mb-1">Last Performed</label>
                                @endif
                                <div class="input-group">
                                    {!! Form::text('last_performed[]', null, array(
                                            'class'         => 'form-control date',
                                            'placeholder'   => 'Enter'
                                        )
                                    ) !!}
                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </div>
                    @endif
                @else
                    <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                        <div class="form-group">
                            @if($loop->index == 0)
                                <label for="schedule" class="mb-1">Schedule</label>
                            @endif
                            {!! Form::text('schedule[]', null, array(
                                    'class'                 => 'form-control',
                                    'placeholder'           => 'Enter'
                                )
                            ) !!}
                        </div>
                    </div>
                    <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                        <div class="form-group">
                            @if($loop->index == 0)
                                <label for="due" class="mb-1">Due</label>
                            @endif
                            {!! Form::text('due_date[]', null, array(
                                    'class'                 => 'form-control integer-input',
                                    'placeholder'           => 'Enter'
                                )
                            ) !!}
                        </div>
                    </div>
                    <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                        <div class="form-group">
                            @if($loop->index == 0)
                                <label for="last-performed" class="mb-1">Last Performed</label>
                            @endif
                            {!! Form::text('last_performed[]', null, array(
                                    'class'                 => 'form-control integer-input',
                                    'placeholder'           => 'Enter'
                                )
                            ) !!}
                        </div>
                    </div>
                @endif
                <div class="pl-1 {{ ($loop->first) ? 'mt-4' : 'mt-1' }}">
                    <div class="form-group d-flex">
                        <div>
                            <a href="javascript:void(0);" class="removeMoreBtn removeMorePmServiceProfileRows">
                                <i class="fa fa-minus-square" aria-hidden="true"></i>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        @endforeach
    @endif
@else
    <div class="row px-4 py-3">
        <div class="col-md-3 pm-service-custom-grid">
            <label for="profile-name" class="mb-1">PM/Service Profile Name</label>
            <div class="form-group">
                {!! Form::text('profile_name', null, array(
                        'class'         => 'form-control', 
                        'placeholder'   => 'Enter PM/Service Profile Name',
                        'required'      => 'required'
                    )
                ) !!}
            </div>
        </div>
    </div>
    <div class="row px-4">
        <div class="col-md-2 pm-service-custom-grid pr-1">
            <label for="types" class="mb-1">Type</label>
        </div>
        <div class="col-md-2 pm-service-custom-grid pl-1 pr-1">
            <label for="service-type" class="mb-1">Service Type</label>
        </div>
        <div class="col-md-2 pm-service-custom-grid pl-1 pr-1">
            <label for="interval-type" class="mb-1">Interval Type</label>
        </div>
        <div class="col-md-2 pm-service-custom-grid pl-1 pr-1">
            <label for="schedule" class="mb-1">Schedule</label>
        </div>
        <div class="col-md-2 pm-service-custom-grid pl-1 pr-1">
            <label for="due" class="mb-1">Due</label>
        </div>
        <div class="col-md-2 pm-service-custom-grid pl-1 pr-1">
            <label for="last-performed" class="mb-1">Last Performed</label>
        </div>
        <div class="pl-1">
            <label class="mb-1"></label>
        </div>
    </div>
    <hr class="my-0 pb-3">
    <div class="row px-4 pb-2" data-last-index="0">
        <div class="col-md-2 pr-1 pm-service-custom-grid">
            <div class="form-group">
                {!! Form::select('types[]', ['' => 'Select Type'] + getCompanyPmType(), null, [
                        'class'                         => 'form-control select2',
                        'required'                      => 'required',
                        'data-parsley-errors-container' => '#pm_service_profile_types_0-errors'
                    ]
                ) !!}
                <div id="pm_service_profile_types_0-errors"></div>
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
            <div class="form-group">
                {!! Form::select('service_type[]', ['' => 'Select Service Type'] + getCompanyPmServiceType(), null, [
                        'class' => 'form-control select2'
                    ]
                ) !!}
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
            <div class="form-group">
                {!! Form::select('interval_type[]', ['' => 'Select Interval Type'] + getCompanyPmServiceIntervalType(), null, [
                        'class' => 'form-control intervalTypePopup select2'
                    ]
                ) !!}
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
            <div class="form-group">
                {!! Form::text('schedule[]', null, array(
                        'class'         => 'form-control',
                        'placeholder'   => 'Enter'
                    )
                ) !!}
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
            <div class="form-group">
                {!! Form::text('due_date[]', null, array(
                        'class'         => 'form-control',
                        'placeholder'   => 'Enter',
                        'disabled'      => 'disabled'
                    )
                ) !!}
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
            <div class="form-group">
                {!! Form::text('last_performed[]', null, array(
                        'class'         => 'form-control integer-input',
                        'placeholder'   => 'Enter',
                        'disabled'      => 'disabled'
                    )
                ) !!}
            </div>
        </div>
        <div class="pl-1 pm-service-custom-grid">
            <div class="form-group">
                <div>
                    <a href="javascript:void(0);" class="addMoreBtn addMorePmServiceProfileRows">
                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                    </a>
                </div>
            </div>
        </div>
    </div>
    <div id="pmServiceProfileMoreRows"></div>
@endif