@if(isset($profile))
    @php
        $pmServiceWarrantyProviders         = [];
    @endphp
    @if(isset($profile->warranty_providers) && is_serialized($profile->warranty_providers) && !empty(unserialize($profile->warranty_providers)))
        @php
            $pmServiceWarrantyProviders     = unserialize($profile->warranty_providers);
        @endphp
    @endif
    <div class="row pt-2">
        <div class="col-md-12">
            <div class="form-group">
                <h6 class="section-heading">{{ $profile->profile_name ?? '' }}</h6>
            </div>
        </div>
    </div>
    @if(!empty($pmServiceWarrantyProviders))
        @foreach($pmServiceWarrantyProviders as $key => $pmServiceWarrantyProvider)
            <div class="row pb-2" data-last-index="{{ $loop->index }}">
                <div class="col-md-2 pr-1 warranty-pm-service-custom-grid">
                    <div class="form-group">
                        @if($loop->index == 0)
                            <label for="warranty-provider">Warranty Provider</label>
                        @endif
                        {!! Form::select('warranty_provider[]', ['' => 'Select Warranty Provider'] + getCompanyPmServiceWarrantyProviders(), $pmServiceWarrantyProvider ?? null, [
                                'class'         => 'form-control select2'
                            ]
                        ) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                    <div class="form-group">
                        @if($loop->index == 0)
                            <label for="warranty-description">Description</label>
                        @endif
                        {!! Form::text('description[]', null, array(
                                'class'         => 'form-control',
                                'placeholder'   => 'Enter'
                            )
                        ) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                    <div class="form-group">
                        @if($loop->index == 0)
                            <label for="warranty-type">Type</label>
                        @endif
                        {!! Form::select('type[]', ['' => 'Select Type'] + getCompanyPmServiceIntervalType(), null, [
                                'class'         => 'form-control warrantyTypes select2'
                            ]
                        ) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                    <div class="form-group">
                        @if($loop->index == 0)
                            <label for="warranty-term">Term</label>
                        @endif
                        {!! Form::text('term[]', null, array(
                                'class'         => 'form-control integer-input',
                                'placeholder'   => 'Enter'
                            )
                        ) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                    <div class="form-group">
                        @if($loop->index == 0)
                            <label for="warranty-start">Warranty Start</label>
                        @endif
                        {!! Form::text('warranty_start[]', null, array(
                                'class'         => 'form-control integer-input',
                                'placeholder'   => 'Enter'
                            )
                        ) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                    <div class="form-group">
                        @if($loop->index == 0)
                            <label for="warranty-exp">Warranty Expiration</label>
                        @endif
                        {!! Form::text('warranty_exp[]', null, array(
                                'class'         => 'form-control integer-input',
                                'placeholder'   => 'Enter'
                            )
                        ) !!}
                    </div>
                </div>
                <div class="pl-1 {{ ($loop->first) ? 'mt-4' : 'mt-1' }}">
                    <div class="form-group d-flex">
                        <div>
                            <a href="javascript:void(0);" class="removeMoreBtn removeMorePmServiceWarrantyRows">
                                <i class="fa fa-minus-square" aria-hidden="true"></i>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        @endforeach
    @endif
@elseif(isset($pmServiceWarrantyProfileItems))
    <div class="row pt-2">
        <div class="col-md-12">
            <div class="form-group">
                <h6 class="section-heading">{{ $firstPmServiceWarrantyProfileItem->trailer_company_pm_service_warranty_profile->profile_name ?? '' }}</h6>
            </div>
        </div>
    </div>
    @foreach($pmServiceWarrantyProfileItems as $key => $pm_service_warranty_item)
        <div class="row pb-2" data-last-index="{{ $loop->index }}">
            <div class="col-md-2 pr-1 warranty-pm-service-custom-grid">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="warranty-provider">Warranty Provider</label>
                    @endif
                    {!! Form::select('warranty_provider[]', ['' => 'Select Warranty Provider'] + getCompanyPmServiceWarrantyProviders(), $pm_service_warranty_item->company_pm_warranty_provider_id ?? null, [
                            'class'         => 'form-control select2'
                        ]
                    ) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="warranty-description">Description</label>
                    @endif
                    {!! Form::text('description[]', $pm_service_warranty_item->description ?? null, array(
                            'class'         => 'form-control',
                            'placeholder'   => 'Enter'
                        )
                    ) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="warranty-type">Type</label>
                    @endif
                    {!! Form::select('type[]', ['' => 'Select Type'] + getCompanyPmServiceIntervalType(), $pm_service_warranty_item->interval_type ?? null, [
                            'class'         => 'form-control warrantyTypes select2'
                        ]
                    ) !!}
                </div>
            </div>
            @if(isset($pm_service_warranty_item->interval_type))
                @if($pm_service_warranty_item->interval_type == '1' || $pm_service_warranty_item->interval_type == '2')
                    <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                        <div class="form-group">
                            @if($loop->index == 0)
                                <label for="warranty-term">Term</label>
                            @endif
                            {!! Form::text('term[]', $pm_service_warranty_item->term ?? null, array(
                                    'class'             => 'form-control integer-input',
                                    'placeholder'       => 'Enter'
                                )
                            ) !!}
                        </div>
                    </div>
                    <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                        <div class="form-group">
                            @if($loop->index == 0)
                                <label for="warranty-start">Warranty Start</label>
                            @endif
                            {!! Form::text('warranty_start[]', $pm_service_warranty_item->warranty_start ?? null, array(
                                    'class'             => 'form-control integer-input',
                                    'placeholder'       => 'Enter'
                                )
                            ) !!}
                        </div>
                    </div>
                    <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                        <div class="form-group">
                            @if($loop->index == 0)
                                <label for="warranty-exp">Warranty Expiration</label>
                            @endif
                            {!! Form::text('warranty_exp[]', $pm_service_warranty_item->warranty_exp ?? null, array(
                                    'class'             => 'form-control integer-input',
                                    'placeholder'       => 'Enter'
                                )
                            ) !!}
                        </div>
                    </div>
                @else
                    <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                        <div class="form-group">
                            @if($loop->index == 0)
                                <label for="warranty-term">Term</label>
                            @endif
                            {!! Form::select('term[]', ['' => 'Select'] + getTrailerTerms(), $pm_service_warranty_item->term ?? null, [
                                    'class'             => 'form-control term select2'
                                ]
                            ) !!}
                        </div>
                    </div>
                    <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                        <div class="form-group">
                            @if($loop->index == 0)
                                <label for="warranty-start">Warranty Start</label>
                            @endif
                            <div class="input-group">
                                {!! Form::text('warranty_start[]', $pm_service_warranty_item->warranty_start ?? null, array(
                                        'class'         => 'form-control warrantyStart date',
                                        'placeholder'   => 'Enter'
                                    )
                                ) !!}
                                <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                        <div class="form-group">
                            @if($loop->index == 0)
                                <label for="warranty-exp">Warranty Expiration</label>
                            @endif
                            <div class="input-group">
                                {!! Form::text('warranty_exp[]', $pm_service_warranty_item->warranty_exp ?? null, array(
                                        'class'         => 'form-control warrantyExp date',
                                        'placeholder'   => 'Enter'
                                    )
                                ) !!}
                                <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                            </div>
                        </div>
                    </div>
                @endif
            @else
                <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                    <div class="form-group">
                        @if($loop->index == 0)
                            <label for="warranty-term">Term</label>
                        @endif
                        {!! Form::text('term[]', null, array(
                                'class'         => 'form-control integer-input',
                                'placeholder'   => 'Enter'
                            )
                        ) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                    <div class="form-group">
                        @if($loop->index == 0)
                            <label for="warranty-start">Warranty Start</label>
                        @endif
                        {!! Form::text('warranty_start[]', null, array(
                                'class'         => 'form-control integer-input',
                                'placeholder'   => 'Enter'
                            )
                        ) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                    <div class="form-group">
                        @if($loop->index == 0)
                            <label for="warranty-exp">Warranty Expiration</label>
                        @endif
                        {!! Form::text('warranty_exp[]', null, array(
                                'class'         => 'form-control integer-input',
                                'placeholder'   => 'Enter'
                            )
                        ) !!}
                    </div>
                </div>
            @endif
            <div class="pl-1 {{ ($loop->first) ? 'mt-4' : 'mt-1' }}">
                <div class="form-group d-flex">
                    <div>
                        <a href="javascript:void(0);" class="removeMoreBtn removeMorePmServiceWarrantyRows">
                            <i class="fa fa-minus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    @endforeach
@else
    <div class="row px-3 py-4 pt-3">
        <div class="col-md-3 warranty-pm-service-custom-grid">
            <label for="warranty-profile-name">Warranty Profile Name</label>
            <div class="form-group mb-1">
                {!! Form::text('warranty_profile_name', null, array(
                        'class'         => 'form-control',
                        'id'            => 'warranty-profile-name',
                        'placeholder'   => 'Enter Warranty Profile Name',
                        'required'      => 'required'
                    )
                ) !!}
            </div>
        </div>
    </div>
    <div class="row px-3">
        <div class="col-md-2 warranty-pm-service-custom-grid">
            <label for="warranty-provider">Warranty Provider</label>
        </div>
        <div class="col-md-2 warranty-pm-service-custom-grid">
            <label for="warranty-description">Description</label>
        </div>
        <div class="col-md-2 warranty-pm-service-custom-grid">
            <label for="warranty-type">Type</label>
        </div>
        <div class="col-md-2 warranty-pm-service-custom-grid">
            <label for="warranty-term">Term</label>
        </div>
        <div class="col-md-2 warranty-pm-service-custom-grid">
            <label for="warranty-start">Warranty Start</label>
        </div>
        <div class="col-md-2 warranty-pm-service-custom-grid">
            <label for="warranty-exp">Warranty Expiration</label>
        </div>
    </div>
    <hr class="mt-1 mb-3">
    <div class="row px-3 pb-2" data-last-index="0">
        <div class="col-md-2 pr-1 warranty-pm-service-custom-grid">
            <div class="form-group">
                {!! Form::select('warranty_provider[]', ['' => 'Select Warranty Provider'] + getCompanyPmServiceWarrantyProviders(), null, [
                        'class'                         => 'form-control select2',
                        'required'                      => 'required',
                        'data-parsley-errors-container' => '#pm_service_warranty_provider_0-errors'
                    ]
                ) !!}
                <div id="pm_service_warranty_provider_0-errors"></div>
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
            <div class="form-group">
                {!! Form::text('description[]', null, array(
                        'class'         => 'form-control',
                        'placeholder'   => 'Enter',
                        'disabled'      => 'disabled'
                    )
                ) !!}
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
            <div class="form-group">
                {!! Form::select('type[]', ['' => 'Select Type'], null, [
                        'class'         => 'form-control select2',
                        'disabled'      => 'disabled'
                    ]
                ) !!}
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
            <div class="form-group">
                {!! Form::text('term[]', null, array(
                        'class'         => 'form-control integer-input',
                        'placeholder'   => 'Enter',
                        'disabled'      => 'disabled'
                    )
                ) !!}
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
            <div class="form-group">
                {!! Form::text('warranty_start[]', null, array(
                        'class'         => 'form-control integer-input',
                        'placeholder'   => 'Enter',
                        'disabled'      => 'disabled'
                    )
                ) !!}
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
            <div class="form-group">
                {!! Form::text('warranty_exp[]', null, array(
                        'class'         => 'form-control integer-input',
                        'placeholder'   => 'Enter',
                        'disabled'      => 'disabled'
                    )
                ) !!}
            </div>
        </div>
        <div class="pl-1">
            <div class="form-group d-flex">
                <div>
                    <a href="javascript:void(0);" class="addMoreBtn addWarrantyPmServiceBtn">
                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                    </a>
                </div>
            </div>
        </div>
    </div>
@endif