@extends($companyAdminTheme)

@section('title')
    Trailer Create
@endsection

@section('style')
<link rel="stylesheet" type="text/css" href="{{ asset('theme/css/datepicker3.min.css') }}">

@endsection
@php $dummy_id = time(); @endphp
@section('content')

{!! Form::open(array('route' => 'company.admin.trailers.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
    <input type="hidden" name="dummy_id" value="{{$dummy_id}}">
    <div class="row">
        <div class="col-lg-6">
            <div class="white-box mb-4 generalAccount">
                <h4 class="box-title">General Information</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label>Unit<span>*</span></label>
                                {!! Form::text('trailer_id', old('trailer_id'), array('class' => 'form-control', 'autocomplete' => 'new', 'required' => 'required')) !!}
                                @error('trailer_id')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-5">
                            <div class="form-group">
                                <label>VIN Number</label>
                                {!! Form::text('vin', old('vin'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                                @error('vin')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-2">
                            <div class="form-group">
                                <label>Year</label>
                                {!! Form::text('year', old('year'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-2">
                            <div class="form-group">
                                <label>Make</label>
                                {!! Form::text('make', old('make'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Model</label>
                                {!! Form::text('model', old('model'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>In Service Date</label>
                                {!! Form::text('in_service_date', old('in_service_date'), array('class' => 'form-control date', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Trailer Type</label>
                                {!! Form::select('type', ['' => 'Type']+getTrailerTypeList(), null, ['class' => 'trailertype custom-select form-control']) !!}
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Unladen Weight</label>
                                {!! Form::text('unladen_weight', old('model'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Axles</label>
                                {!! Form::text('axles', old('axles'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Hubometer</label>
                                {!! Form::text('hubometer', old('hubometer'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Tire Size</label>
                                {!! Form::text('tire_size', old('tire_size'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Color</label>
                                {!! Form::text('color', old('color'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Length</label>
                                {!! Form::text('length', old('length'), array('class' => 'form-control feetInches', 'autocomplete' => 'new', 'placeholder' => '00\'00"')) !!}
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Width</label>
                                {!! Form::text('width', old('width'), array('class' => 'form-control feetInches', 'autocomplete' => 'new', 'placeholder' => '00\'00"')) !!}
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Height</label>
                                {!! Form::text('height', old('height'), array('class' => 'form-control feetInches', 'autocomplete' => 'new', 'placeholder' => '00\'00"')) !!}
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Deck Height</label>
                                {!! Form::text('deck_height', old('deck_height'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-2">
                            <div class="form-group">
                                <label>CARB ID</label>
                                <div class="custom-control custom-switch">
                                    {!! Form::checkbox('carb_id', 1, null, array('class' => 'custom-control-input', 'id' => 'allowLogin')) !!}
                                    <label class="custom-control-label" for="allowLogin"></label>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-2">
                            <div class="form-group">
                                <label>CARB ID</label>
                                {!! Form::text('carb_id', old('carb_id'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Tracker Provider</label>
                                {!! Form::text('tracker_provider', old('tracker_provider'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Tracker ID</label>
                                {!! Form::text('tracker_id', old('tracker_id'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Tag State</label>
                                {!! Form::text('tag_state', old('tag_state'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Tag Number</label>
                                {!! Form::text('tag_number', old('tag_number'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                                @error('tag_number')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Tag Expiration</label>
                                {!! Form::text('tag_expiration', old('tag_expiration'), array('class' => 'form-control datepicker', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Tag Upload Image</label>
                                <a href="#" class="gallary-edit mr-4 form-control" data-id="{{$dummy_id}}" data-source="trailers" data-field="tag_upload_image" data-toggle="modal" data-target="#galleryModal">Upload
                                    <img src="{{ asset('theme/img/picture.png') }}" alt="">
                                </a>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Phys Dam. Ins. Carrier</label>
                                {!! Form::text('phys_dam_ins_carrier', old('phys_dam_ins_carrier'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Phys Dam. Start Date</label>
                                {!! Form::text('phys_dam_start_date', old('phys_dam_start_date'), array('class' => 'form-control datepicker', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Physical Dam. Exp. Date</label>
                                {!! Form::text('physical_dam_exp_date', old('physical_dam_exp_date'), array('class' => 'form-control datepicker', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>insured Value</label>
                                {!! Form::text('insured_value', old('insured_value'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Tag Upload Image</label>
                                <a href="#" class="gallary-edit mr-4 form-control" data-id="{{$dummy_id}}" data-source="trailers" data-field="phys_dam_attachment" data-toggle="modal" data-target="#galleryModal">Upload
                                    <img src="{{ asset('theme/img/picture.png') }}" alt="">
                                </a>

                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Roof</label>
                                <div class="row">
                                    <div class="col-md-3">
                                        <div class="custom-control custom-switch custom-switch-text">
                                            {!! Form::radio('roof_type', 1, null, array('class' => 'custom-control-input', 'id' => 'roof_type1')) !!}
                                            <label class="custom-control-label" for="roof_type1">Metal</label>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="custom-control custom-switch custom-switch-text">
                                            {!! Form::radio('roof_type', 2, null, array('class' => 'custom-control-input', 'id' => 'roof_type2')) !!}
                                            <label class="custom-control-label" for="roof_type2">Translucent</label>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="custom-control custom-switch custom-switch-text">
                                            {!! Form::radio('roof_type', 3, null, array('class' => 'custom-control-input', 'id' => 'roof_type3')) !!}
                                            <label class="custom-control-label" for="roof_type3">Other</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Floor</label>
                                <div class="row">
                                    <div class="col-md-3">
                                        <div class="custom-control custom-switch custom-switch-text">
                                            {!! Form::radio('floor_type', 1, null, array('class' => 'custom-control-input', 'id' => 'floor_type1')) !!}
                                            <label class="custom-control-label" for="floor_type1">Wood</label>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="custom-control custom-switch custom-switch-text">
                                            {!! Form::radio('floor_type', 2, null, array('class' => 'custom-control-input', 'id' => 'floor_type2')) !!}
                                            <label class="custom-control-label" for="floor_type2">Aluminum</label>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="custom-control custom-switch custom-switch-text">
                                            {!! Form::radio('floor_type', 3, null, array('class' => 'custom-control-input', 'id' => 'floor_type3')) !!}
                                            <label class="custom-control-label" for="floor_type3">Other</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Floor</label>
                                <div class="row">
                                    <div class="col-md-3">
                                        <div class="custom-control custom-switch custom-switch-text">
                                            {!! Form::radio('suspension_type', 1, null, array('class' => 'custom-control-input', 'id' => 'suspension_type1')) !!}
                                            <label class="custom-control-label" for="suspension_type1">Air Ride</label>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="custom-control custom-switch custom-switch-text">
                                            {!! Form::radio('suspension_type', 2, null, array('class' => 'custom-control-input', 'id' => 'suspension_type2')) !!}
                                            <label class="custom-control-label" for="suspension_type2">Spring Ride</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Spread Axie</label>
                                <div class="custom-control custom-switch">
                                    {!! Form::checkbox('spread_axie', 1, null, array('class' => 'custom-control-input', 'id' => 'spread_axie')) !!}
                                    <label class="custom-control-label" for="spread_axie"></label>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Logistics Post</label>
                                <div class="custom-control custom-switch">
                                    {!! Form::checkbox('logistics_post', 1, null, array('class' => 'custom-control-input', 'id' => 'logistics_post')) !!}
                                    <label class="custom-control-label" for="logistics_post"></label>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Drop Trailer Pool</label>
                                <div class="custom-control custom-switch">
                                    {!! Form::checkbox('drop_trailer_pool', 1, null, array('class' => 'custom-control-input', 'id' => 'drop_trailer_pool')) !!}
                                    <label class="custom-control-label" for="drop_trailer_pool"></label>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Vented</label>
                                <div class="custom-control custom-switch">
                                    {!! Form::checkbox('vented', 1, null, array('class' => 'custom-control-input', 'id' => 'vented')) !!}
                                    <label class="custom-control-label" for="vented"></label>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Plated Interior</label>
                                <div class="custom-control custom-switch">
                                    {!! Form::checkbox('plated_interior', 1, null, array('class' => 'custom-control-input', 'id' => 'plated_interior')) !!}
                                    <label class="custom-control-label" for="plated_interior"></label>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>E-Track</label>
                                <div class="custom-control custom-switch">
                                    {!! Form::checkbox('etrack', 1, null, array('class' => 'custom-control-input', 'id' => 'etrack')) !!}
                                    <label class="custom-control-label" for="etrack"></label>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Spare Tire Rank</label>
                                <div class="custom-control custom-switch">
                                    {!! Form::checkbox('spare_tire_rank', 1, null, array('class' => 'custom-control-input', 'id' => 'spare_tire_rank')) !!}
                                    <label class="custom-control-label" for="spare_tire_rank"></label>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="white-box mb-4 generalAccount">
                <h4 class="box-title">Other Information</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Carrier</label>
                                {!! Form::select('carrier', ['' => 'Select Carrier']+getCarrierList(), old('carrier'), ['class' => 'form-control']) !!}
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Terminal</label>
                                {!! Form::select('terminal', ['' => 'Select Terminal']+getTerminalList(), old('terminal'), ['class' => 'form-control']) !!}
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label>Ownership</label>
                                {!! Form::select('ownership', ['' => 'Select Ownership', '1' => 'Owned', '2' => 'Leased'], old('ownership'), ['class' => 'form-control ownership']) !!}
                            </div>
                        </div>
                        <div class="col-md-9">
                            <div class="row forleass" >
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Leasing Co</label>
                                        {!! Form::text('leasing_co', old('leasing_co'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Lease Expiration Date</label>
                                        {!! Form::text('lease_expiration_date', old('lease_expiration_date'), array('class' => 'form-control date', 'onPaste' => 'return false')) !!}
                                        <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Attachment</label>
                                        <a href="#" class="gallary-edit mr-4 form-control" data-id="{{$dummy_id}}" data-source="trailers" data-field="lease_documents" data-toggle="modal" data-target="#galleryModal">Upload
                                            <img src="{{ asset('theme/img/picture.png') }}" alt="">
                                        </a>
                                    </div>
                                </div>
                                <div class="col-md-5">
                                    <div class="form-group">
                                        <label>Copy of lease agreement</label>
                                        {!! Form::text('lease_agreement_title', old('lease_agreement_title'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                                <div class="col-md-1">
                                    <img src="{{ asset('theme/img/delete-icon.png') }}" alt="">
                                </div>
                            </div>
                            <div class="row forowner" >
                                <div class="col-md-8">
                                    <div class="form-group">
                                        <label>Owner</label>
                                        {!! Form::text('owner_name', old('owner_name'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Purchased New</label>
                                        <div class="custom-control custom-switch">
                                            {!! Form::checkbox('purchased_new', 1, null, array('class' => 'custom-control-input', 'id' => 'purchased_new')) !!}
                                            <label class="custom-control-label" for="purchased_new"></label>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Purchase Price</label>
                                        {!! Form::text('owner_purchase_price', old('owner_purchase_price'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Purchase Date</label>
                                        {!! Form::text('owner_purchase_date', old('owner_purchase_date'), array('class' => 'form-control date', 'onPaste' => 'return false')) !!}
                                        <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Attachment</label>
                                        <a href="#" class="gallary-edit mr-4 form-control" data-id="{{$dummy_id}}" data-source="trailers" data-field="owner_documents" data-toggle="modal" data-target="#galleryModal">Upload
                                            <img src="{{ asset('theme/img/picture.png') }}" alt="">
                                        </a>
                                    </div>
                                </div>
                                <div class="col-md-5">
                                    <div class="form-group">
                                        <label>Copy of owner agreement</label>
                                        {!! Form::text('owner_agreement_title', old('owner_agreement_title'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                                <div class="col-md-1">
                                    <img src="{{ asset('theme/img/delete-icon.png') }}" alt="">
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>FAI Due Date</label>
                                {!! Form::text('fai_due_date', old('fai_due_date'), array('class' => 'form-control datepicker', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Upload Image</label>
                                <a href="#" class="gallary-edit mr-4 form-control" data-id="{{$dummy_id}}" data-source="trailers" data-field="fai_attachment" data-toggle="modal" data-target="#galleryModal">Upload
                                    <img src="{{ asset('theme/img/picture.png') }}" alt="">
                                </a>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Trailer Interchange</label>
                                {!! Form::text('trailer_interchange', old('trailer_interchange'), array('class' => 'form-control datepicker', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Upload Image</label>
                                <a href="#" class="gallary-edit mr-4 form-control" data-id="{{$dummy_id}}" data-source="trailers" data-field="trailer_interchange_image" data-toggle="modal" data-target="#galleryModal">Upload
                                    <img src="{{ asset('theme/img/picture.png') }}" alt="">
                                </a>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Depreciated Value</label>
                                {!! Form::text('depreciated_value', old('depreciated_value'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-6"></div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Current Assigned Truck</label>
                                {!! Form::select('current_assigned_truck', ['' => 'Select Truck']+getTruckList(), old('current_assigned_truck'), ['class' => 'form-control']) !!}
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Current Assigned Driver</label>
                                <select class="form-control" name="current_assigned_driver">
                                    <option value="">Select Driver</option>
                                    @if(isset($getDriverListByCompany) && $getDriverListByCompany->isNotEmpty())
                                        @foreach($getDriverListByCompany as $key => $node)
                                            @php
                                                $disabled       = '';
                                                $text           = $node->name;
                                            @endphp
                                            @if(isset($node->driver_information->trailer_number))
                                                @php
                                                    $disabled   = 'disabled';
                                                    $text      .= ' - Assigned - '.$node->driver_information->trailer_number;
                                                @endphp
                                            @endif
                                            <option value="{{ $node->id }}" {{ $disabled }} {{ old('current_assigned_driver') == $node->id ? 'selected' : '' }}>{{ $text }}</option>
                                        @endforeach
                                    @endif
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Current Status</label>
                                {!! Form::select('status', ['' => 'Status']+getTrailerStatusList(), null, ['class' => 'custom-select form-control']) !!}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-6">
            <div class="white-box mb-4 generalAccount">
                <h4 class="box-title">Onboard Equipment - <a href="javascript:void(0)" id="addRow" class="text-blue">Add Filed</a></h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="box-padding" id="newRow">

                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Equipment Comments</label>
                                {!! Form::textarea('equipment_comments', old('equipment_comments'), array('placeholder' => 'Type your note...', 'class' => 'form-control', 'rows' => '4')) !!}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="white-box mb-4 generalAccount">
                <h4 class="box-title">Service Information</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Federal Inspection Type (FAI)</label>
                                {!! Form::text('federal_inspection_type', old('federal_inspection_type'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Federal Inspection Interval (FAI)</label>
                                {!! Form::text('federal_inspection_interval', old('federal_inspection_interval'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Last Inspection Date</label>
                                {!! Form::text('last_inspection', old('last_inspection'), array('class' => 'form-control datepicker', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Last Inspection Date</label>
                                {!! Form::text('last_server_date', old('last_server_date'), array('class' => 'form-control datepicker', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Last Inspection Location</label>
                                {!! Form::text('last_inspection_location', old('last_inspection_location'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Next Inspection Date</label>
                                {!! Form::text('next_inspection', old('next_inspection'), array('class' => 'form-control datepicker', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Next Service Date</label>
                                {!! Form::text('next_service_date', old('next_service_date'), array('class' => 'form-control datepicker', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-6">
            <div class="white-box mb-4 generalAccount">
                <h4 class="box-title">Last Location</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-8">
                            <div class="form-group">
                                <label>Location Name</label>
                                {!! Form::text('last_location_name', old('last_location_name'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Load Status</label>
                                <div class="row">
                                    <div class="col-sm-3">
                                        <div class="custom-control custom-radio">
                                            {!! Form::radio('last_location_load_status', 0, true, array('class' => 'custom-control-input', 'id' => 'last_location_load_empty')) !!}
                                            <label class="custom-control-label" for="last_location_load_empty">Empty</label>
                                        </div>
                                    </div>
                                    <div class="col-sm-3 pl-5">
                                        <div class="custom-control custom-radio">
                                            {!! Form::radio('last_location_load_status', 1, null, array('class' => 'custom-control-input', 'id' => 'last_location_load_loaded')) !!}
                                            <label class="custom-control-label" for="last_location_load_loaded">Loaded</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12 geocoding">
                            <input type="hidden" class="geocoding-latitude" name="last_location_latitude" value="" autocomplete="off">
                            <input type="hidden" class="geocoding-longitude" name="last_location_longitude" value="" autocomplete="off">
                            <input type="hidden" class="geocoding-abbr" name="last_location_timezone_abbr" value="" autocomplete="off" data-parsley-errors-container="#last_location_timezone_abbr-errors" data-parsley-required-message="Please verify address" required>
                            <input type="hidden" class="geocoding-verified" name="last_location_address_verified" value="0" autocomplete="off">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Address<span>*</span></label>
                                        {!! Form::text('last_location_address', old('last_location_address'), array(
                                                'class'         => 'form-control geocoding-address-1',
                                                'placeholder'   => '',
                                                'id'            => 'address',
                                                'required'      => 'required'
                                            )
                                        ) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Address 2</label>
                                        {!! Form::text('last_location_address_2', old('last_location_address_2'), array(
                                                'class'         => 'form-control geocoding-address-2',
                                                'placeholder'   => '',
                                                'id'            => 'address_2'
                                            )
                                        ) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>City</label>
                                        {!! Form::text('last_location_city', old('last_location_city'), array(
                                                'class'         => 'form-control geocoding-city',
                                                'placeholder'   => '',
                                                'id'            => 'city'
                                            )
                                        ) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>State<span>*</span></label>
                                        {!! Form::text('last_location_state', old('last_location_state'), array(
                                                'class'         => 'form-control geocoding-state',
                                                'placeholder'   => '',
                                                'id'            => 'state',
                                                'required'      => 'required'
                                            )
                                        ) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Zip<span>*</span></label>
                                        {!! Form::text('last_location_zip', old('last_location_zip'), array(
                                                'class'         => 'form-control geocoding-zip',
                                                'placeholder'   => '',
                                                'id'            => 'zip',
                                                'required'      => 'required'
                                            )
                                        ) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <button type="button" class="btn btn-warning geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify</button>
                                    <div id="last_location_timezone_abbr-errors"></div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Notes</label>
                                {!! Form::textarea('last_location_notes', old('last_location_notes'), array('placeholder' => 'Type your note...', 'class' => 'form-control', 'rows' => '4')) !!}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row isreefer">
        <div class="col-lg-6">
            <div class="white-box mb-4 generalAccount">
                <h4 class="box-title">Service Information</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Current Hours</label>
                                {!! Form::text('reefer_current_hours', old('reefer_current_hours'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Service Due</label>
                                {!! Form::text('reefer_service_due', old('reefer_service_due'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Last PM Service</label>
                                {!! Form::text('reefer_last_pm_service', old('reefer_last_pm_service'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Next PM Service</label>
                                {!! Form::text('reefer_next_pm_service', old('reefer_next_pm_service'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Service Interval Hours</label>
                                {!! Form::text('reefer_service_interval_hours', old('reefer_service_interval_hours'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Model Number</label>
                                {!! Form::text('reefer_model_number', old('reefer_model_number'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Service Notes</label>
                                {!! Form::text('reefer_service_notes', old('reefer_service_notes'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-lg-12">
            <div class="white-box mb-4 generalAccount">
                <h4 class="box-title">Maintenance Logs</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group mt-2">
                                <label><strong>Note:</strong> Maintenance Logs for a trailer can't be set until the trailer is saved</label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="button-bottom">
        <a href="{{ route('company.admin.trailers.index') }}" class="cancel-btn">Cancel</a>
        <button class="submit-btn">Submit</button>
    </div>

{!! Form::close() !!}
@endsection

@section('script')
<script src="{{ asset('theme/js/bootstrap-datepicker.js') }}"></script>
<script type="text/javascript">
    $('.store-form').parsley({
        excluded: 'input[type=button], input[type=submit], input[type=reset]',
        inputs: 'input, textarea, select, input[type=hidden], :hidden',
    });

    $("#addRow").click(function () {
        var html = '';
        html += '<div class="row" id="inputFormRow">';
        html += '<div class="col-md-10">';
        html += '<div class="form-group">';
        html += '<label>Name</label>';
        html += '<input type="text" name="onboard_equipment[]" value="" class="form-control">';
        html += '</div>';
        html += '</div>';
        html += '<div class="col-md-2">';
        html += '<div class="form-group">';
        html += '<label class="d-block" style="visibility: hidden;">Action</label>';
        html += '<a href="javascript:void(0)" class="btn btn-danger" id="removeRow"><i class="fa fa-trash"></i></a>';
        html += '</div>';
        html += '</div>';
        html += '</div>';
        $('#newRow').append(html);
    });

    // remove row
    $(document).on('click', '#removeRow', function () {
        $(this).closest('#inputFormRow').remove();
    });


$(".isreefer").hide();

var trailertype = $('.trailertype').find(":selected").val();
if(trailertype == '1'){
    $(".isreefer").show();
}
$("body").on("change",".trailertype",function(e){
    $(".isreefer").hide(300);
   var value = this.value;
   if(value == '1'){
        $(".isreefer").show(300);
   }
});



$(".forleass").hide(300);
$(".forowner").hide(300);

var ownership = $('.ownership').find(":selected").val();
if(ownership == '1'){
    $(".forowner").show(300);
}
if(ownership == '2'){
    $(".forleass").show(300);
}

$("body").on("change",".ownership",function(e){
    $(".forleass").hide(300);
    $(".forowner").hide(300);

   var value = this.value;
   if(value == '1'){
        $(".forowner").show(300);
   }
   if(value == '2'){
        $(".forleass").show(300);
   }
});


// Tag Expiration Date
$('.datepicker').datepicker({
    autoclose: true,
    todayHighlight: true,
});
</script>
@endsection

@push('after-scripts')
    <script src="{{ asset('theme/js/trimble.js') }}"></script>
@endpush
