@extends($companyAdminTheme)

@section('title')
    Edit On Board Document Profile
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
        .document-custom-grid {
            max-width: 24.20%;
        }
        .select2-container {
            width: 100% !important;
        }
        .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px !important;
        }
        .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            font-weight: 600;
            color: #000000e6 !important;
        }
        .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
        input[type=text].form-control {
            font-size: 14px;
            font-weight: bolder;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            height: 43px;
        }
        input::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        select.form-control {
            font-size: 14px;
            border: 1px solid #C5CEE0;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding-left: 12px;
            font-weight: 400;
            color: #616376;
        }
        label {
            font-size: 14px;
            line-height: 1.215;
            font-weight: bold;
            color: #616376;
            margin-bottom: 8px;
        }
        .input-group>.custom-select:not(:last-child), .input-group>.form-control:not(:last-child) {
            border-top-right-radius: 10px;
            border-bottom-right-radius: 10px;
        }
        .input-group-text {
            background: transparent;
            border-radius: 10px 0px 0px 10px;
            color: #342828;
            padding: 4px 14px;
            font-family: 'Inter', sans-serif;
        }
        .form-group img {
            width: 15px;
        }
        .documentsFile i.fa-picture-o {
            padding-top: 7px;
            margin: 2px 8px;
            cursor: pointer;
            font-size: 26px;
            color: #00000082;
        }
        .addMoreBtn i.fa-plus-square {
            padding-top: 2px;
            margin: 2px 5px;
            cursor: pointer;
            font-size: 32px;
            color: #305F9C;
        }
        .removeMoreBtn i.fa-minus-square {
            padding-top: 2px;
            margin: 2px 5px;
            cursor: pointer;
            font-size: 32px;
            color: #dc3545;
        }
        .btn-blue {
            background: #305F9C 0% 0% no-repeat padding-box;
            border: 1px solid #305F9C;
            border-radius: 10px !important;
            color: #F1F3F6;
            line-height: 18px;
            text-align: center;
            padding: 12.5px 0.75rem;
            transition: all 0.3s linear;
            min-width: 210px;
        }
        .btn-blue:hover {
            border: 1px solid #305F9C;
            background-color: #F1F3F6;
            color: #305F9C;
        }
        .btn-blueBr {
            font-size: 14px;
            font-weight: bold;
            height: auto;
            line-height: 18px;
            text-align: center;
            padding: 12.5px 0.75rem;
            transition: all 0.3s linear;
            border-radius: 10px !important;
            min-width: 210px;
        }
        .action-button .btn-blueBr {
            width: 99px;
            height: 34px;
            background: #FFFFFF 0% 0% no-repeat padding-box;
            border: 1px solid #305F9C;
            border-radius: 10px;
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
            padding: inherit;
            min-width: 121px;
        }
        .action-button .btn-blue {
            width: 99px;
            height: 34px;
            background: #305F9C 0% 0% no-repeat padding-box;
            border-radius: 10px;
            font: normal normal 600 14px/17px Inter, Sans-Serif;;
            letter-spacing: 0px;
            color: #FFFFFF;
            padding: inherit;
            min-width: 121px;
        }
        .border-radius-none {
            border-radius: 0px 10px 10px 0px !important;
        }
        hr {
            border-color: #D8D8D9 !important;
        }
    </style>
@endsection

@section('content')
    {!! Form::open(array('route' => ['company.admin.trailer-on-board-document-profiles.update', $profile->id],'method'=>'PATCH','files'=>'true','class'=>'post-form')) !!}
        <div class="row px-4 py-3">
            <div class="col-md-3" style="max-width: 19.25%;">
                <label for="profile-name" class="mb-1">Document Profile Name</label>
                <div class="form-group">
                    {!! Form::text('profile_name', $profile->profile_name ?? null, array(
                            'class'         => 'form-control',
                            'placeholder'   => 'Enter Profile Name',
                            'required'      => 'required'
                        )
                    ) !!}
                </div>
            </div>
        </div>
        <div class="row px-4">
            <div class="col-md-4 pr-1 document-custom-grid">
                <label for="title" class="mb-1">Title</label>
            </div>
            <div class="col-md-4 pl-1 pr-1 document-custom-grid">
                <label for="qty" class="mb-1">DOT Required</label>
            </div>
            <div class="col-md-4 pl-1 pr-1 document-custom-grid">
                <label for="value" class="mb-1">Exp Date</label>
            </div>
            <div class="pl-1">
                <label class="mb-1"></label>
            </div>
        </div>
        <hr class="my-0 pb-3">
        @php
            $documentTitles         = [];
        @endphp
        @if(isset($profile->titles) && $profile->titles != '')
            @php
                $documentTitles     = array_filter(explode(',', $profile->titles));
            @endphp
        @endif
        @if(!empty($documentTitles))
            @foreach($documentTitles as $key => $documentTitle)
                <div class="row px-4 pb-2" data-last-index="{{ $loop->index }}">
                    <div class="col-md-4 pr-1 document-custom-grid selectDiv">
                        <div class="form-group">
                            {!! Form::select('titles[]', ['' => 'Select'] + getDocumentTitles(), $documentTitle ?? null, [
                                    'class'                         => 'form-control select2',
                                    'required'                      => 'required',
                                    'data-parsley-errors-container' => '#document_profile_titles_'.$loop->index.'-errors'
                                ]
                            ) !!}
                            <div id="document_profile_titles_{{ $loop->index }}-errors"></div>
                        </div>
                    </div>
                    <div class="col-md-4 pr-1 document-custom-grid selectDiv">
                        <div class="form-group">
                            {!! Form::select('dot_required[]', ['' => 'Select', '0' => 'No', '1' => 'Yes'], null, [
                                    'class'             => 'form-control select2',
                                    'disabled'          => 'disabled'
                                ]
                            ) !!}
                        </div>
                    </div>
                    <div class="col-md-4 pl-1 pr-1 document-custom-grid">
                        <div class="form-group">
                            <div class="input-group">
                                {!! Form::text('exp_dates[]', null, array(
                                        'class'         => 'form-control',
                                        'placeholder'   => 'Enter',
                                        'disabled'      => 'disabled'
                                    )
                                ) !!}
                                <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                            </div>
                        </div>
                    </div>
                    <div class="pl-1 document-custom-grid action-button">
                        <div class="form-group d-flex justify-content-between">
                            <div>
                                <button type="button" class="btn btn-blueBr mt-1" disabled>Copy</button>
                                <button type="button" class="btn btn-blue mt-1 ml-1" disabled>Original</button>
                            </div>
                            <div>
                                <a href="javascript:void(0);" class="documentsFile">
                                    <i class="fa fa-picture-o" aria-hidden="true" title="Document File"></i>
                                </a>
                            </div>
                            @if($loop->last)
                                <div>
                                    <a href="javascript:void(0);" class="addMoreBtn addMoreDocumentProfileRows">
                                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                                    </a>
                                </div>
                            @else
                                <div>
                                    <a href="javascript:void(0);" class="removeMoreBtn removeMoreDocumentProfileRows">
                                        <i class="fa fa-minus-square" aria-hidden="true"></i>
                                    </a>
                                </div>
                            @endif
                        </div>
                    </div>
                </div>
            @endforeach
        @else
            <div class="row px-4 pb-2" data-last-index="0">
                <div class="col-md-4 pr-1 document-custom-grid selectDiv">
                    <div class="form-group">
                        {!! Form::select('titles[]', ['' => 'Select'] + getDocumentTitles(), null, [
                                'class'                         => 'form-control select2',
                                'required'                      => 'required',
                                'data-parsley-errors-container' => '#document_profile_titles_0-errors'
                            ]
                        ) !!}
                        <div id="document_profile_titles_0-errors"></div>
                    </div>
                </div>
                <div class="col-md-4 pr-1 document-custom-grid selectDiv">
                    <div class="form-group">
                        {!! Form::select('dot_required[]', ['' => 'Select', '0' => 'No', '1' => 'Yes'], null, [
                                'class'             => 'form-control select2',
                                'disabled'          => 'disabled'
                            ]
                        ) !!}
                    </div>
                </div>
                <div class="col-md-4 pl-1 pr-1 document-custom-grid">
                    <div class="form-group">
                        <div class="input-group">
                            {!! Form::text('exp_dates[]', null, array(
                                    'class'         => 'form-control',
                                    'placeholder'   => 'Enter',
                                    'disabled'      => 'disabled'
                                )
                            ) !!}
                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                        </div>
                    </div>
                </div>
                <div class="pl-1 document-custom-grid action-button">
                    <div class="form-group d-flex justify-content-between">
                        <div>
                            <button type="button" class="btn btn-blueBr mt-1" disabled>Copy</button>
                            <button type="button" class="btn btn-blue mt-1 ml-1" disabled>Original</button>
                        </div>
                        <div>
                            <a href="javascript:void(0);" class="documentsFile">
                                <i class="fa fa-picture-o" aria-hidden="true" title="Document File"></i>
                            </a>
                        </div>
                        <div>
                            <a href="javascript:void(0);" class="addMoreBtn addMoreDocumentProfileRows">
                                <i class="fa fa-plus-square" aria-hidden="true"></i>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        @endif
        <div class="text-center mt-4">
            <a href="{{ route('company.admin.trailer-on-board-document-profiles.index') }}" class="btn btn-blueBr mr-2">Cancel</a>
            <button type="submit" class="btn btn-blue ml-2">Update</button>
        </div>
    {!! Form::close() !!}
@endsection

@section('script')
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('.post-form').parsley();
        });
        $(document).on('click', '.addMoreDocumentProfileRows', function (event){
            event.preventDefault();
            // console.log('Add more document profile rows');
            // return false;

            var that                    = $(this);
            var closestRow              = that.closest('div.row[data-last-index]');
            var lastIndex               = closestRow.attr('data-last-index');
            if (typeof lastIndex === "undefined") {
                return false;
            } else {
                lastIndex               = parseInt(lastIndex);
                var newIndex            = lastIndex + 1;

                // Clone the row
                var clonedRow           = closestRow.clone();

                // Update data-last-index attribute
                clonedRow.attr('data-last-index', newIndex);

                // Remove aria-describedby attribute from cloned elements
                clonedRow.find('[aria-describedby]').removeAttr('aria-describedby');

                // Remove Parsley-related attributes from the cloned elements
                clonedRow.find('[data-parsley-id]').removeAttr('data-parsley-id');

                // Remove parsley-error class from the cloned elements
                clonedRow.find('.parsley-error').removeClass('parsley-error');

                // Remove any existing error messages within the cloned row
                clonedRow.find('.parsley-errors-list').remove();

                var titleSelect         = clonedRow.find('select[name="titles[]"]');
                titleSelect.attr('data-parsley-errors-container', '#document_profile_titles_' + newIndex + '-errors');
                clonedRow.find('[id^="document_profile_titles_"]').attr('id', 'document_profile_titles_' + newIndex + '-errors');

                // Remove Select2 containers and related attributes
                clonedRow.find('.select2-container').remove();
                clonedRow.find('.select2-hidden-accessible')
                    .removeClass('select2-hidden-accessible')
                    .removeAttr('data-select2-id')
                    .removeAttr('tabindex');
                // Remove data-select2-id attribute from option elements within Select2 dropdowns
                clonedRow.find('.select2').find('option').removeAttr('data-select2-id');

                // Reset input fields to blank and select elements to have first option selected
                clonedRow.find('input').val('');
                clonedRow.find('select:not(.select2)').each(function() {
                    $(this).val($(this).find('option:first').val()).trigger('change');
                });

                // Reinitialize Select2 plugin for cloned Select elements
                clonedRow.find('select.select2').each(function() {
                    var $this = $(this);
                    var placeholderText = $this.find('option:first').text();
                    $this.select2({
                        allowClear: true,
                        width : '100%',
                        placeholder: placeholderText
                    });
                    $this.find('option:first').hide();
                    $this.val(null).trigger('change');
                });

                closestRow.after(clonedRow);

                var addBtnDiv           = that.closest('div');
                addBtnDiv.html(`<a href="javascript:void(0);" class="removeMoreBtn removeMoreDocumentProfileRows">
                    <i class="fa fa-minus-square" aria-hidden="true"></i>
                </a>`);
            }
        });
        $(document).on('click', '.removeMoreDocumentProfileRows', function (event){
            event.preventDefault();
            // console.log('Remove document profile rows');
            // return false;

            var that                    = $(this);
            that.closest('div.row[data-last-index]').remove();
        });
    </script>
@endsection
