@extends($companyAdminTheme)

@section('title')
    Edit PM Maintenance & Service
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
        .pm-service-custom-grid {
            max-width: 16.20%;
        }
        .select2-container {
            width: 100% !important;
        }
        .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px !important;
        }
        .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            font-weight: 600;
            color: #000000e6 !important;
        }
        .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
        input[type=text].form-control {
            font-size: 14px;
            font-weight: bolder;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            height: 43px;
        }
        input::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        select.form-control {
            font-size: 14px;
            border: 1px solid #C5CEE0;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding-left: 12px;
            font-weight: 400;
            color: #616376;
        }
        label {
            font-size: 14px;
            line-height: 1.215;
            font-weight: bold;
            color: #616376;
            margin-bottom: 8px;
        }
        .input-group>.custom-select:not(:last-child), .input-group>.form-control:not(:last-child) {
            border-top-right-radius: 10px;
            border-bottom-right-radius: 10px;
        }
        .input-group-text {
            background: transparent;
            border-radius: 10px 0px 0px 10px;
            color: #342828;
            padding: 4px 14px;
            font-family: 'Inter', sans-serif;
        }
        .form-group img {
            width: 15px;
        }
        .addMoreBtn i.fa-plus-square {
            padding-top: 2px;
            margin: 2px 5px;
            cursor: pointer;
            font-size: 32px;
            color: #305F9C;
        }
        .removeMoreBtn i.fa-minus-square {
            padding-top: 2px;
            margin: 2px 5px;
            cursor: pointer;
            font-size: 32px;
            color: #dc3545;
        }
        .btn-blue {
            background: #305F9C 0% 0% no-repeat padding-box;
            border: 1px solid #305F9C;
            border-radius: 10px !important;
            color: #F1F3F6;
            line-height: 18px;
            text-align: center;
            padding: 12.5px 0.75rem;
            transition: all 0.3s linear;
            min-width: 210px;
        }
        .btn-blue:hover {
            border: 1px solid #305F9C;
            background-color: #F1F3F6;
            color: #305F9C;
        }
        .btn-blueBr {
            font-size: 14px;
            font-weight: bold;
            height: auto;
            line-height: 18px;
            text-align: center;
            padding: 12.5px 0.75rem;
            transition: all 0.3s linear;
            border-radius: 10px !important;
            min-width: 210px;
        }
        .border-radius-none {
            border-radius: 0px 10px 10px 0px !important;
        }
        hr {
            border-color: #D8D8D9 !important;
        }
    </style>
@endsection

@section('content')
    {!! Form::open(array('route' => ['company.admin.trailer-pm-service-profiles.update', $profile->id],'method'=>'PATCH','files'=>'true','class'=>'post-form')) !!}
        <div class="row px-4 py-3">
            <div class="col-md-3" style="max-width: 19.25%;">
                <label for="profile-name" class="mb-1">PM Maintenance & Service Name</label>
                <div class="form-group">
                    {!! Form::text('profile_name', $profile->profile_name ?? null, array(
                            'class'         => 'form-control',
                            'placeholder'   => 'Enter Profile Name',
                            'required'      => 'required'
                        )
                    ) !!}
                </div>
            </div>
        </div>
        <div class="row px-4">
            <div class="col-md-2 pr-1 pm-service-custom-grid">
                <label for="types" class="mb-1">Type</label>
            </div>
            <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                <label for="service-type" class="mb-1">Service Type</label>
            </div>
            <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                <label for="interval-type" class="mb-1">Interval Type</label>
            </div>
            <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                <label for="schedule" class="mb-1">Schedule</label>
            </div>
            <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                <label for="due" class="mb-1">Due</label>
            </div>
            <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                <label for="due" class="mb-1">Last Performed</label>
            </div>
            <div class="pl-1">
                <label class="mb-1"></label>
            </div>
        </div>
        <hr class="my-0 pb-3">
        @php
            $pmTypes                = [];
            $pmServiceTypes         = [];
            $pmIntervalTypes        = [];
            $pmSchedules            = [];
        @endphp
        @if(isset($profile->types) && is_serialized($profile->types) && !empty(unserialize($profile->types)))
            @php
                $pmTypes            = unserialize($profile->types);
            @endphp
        @endif
        @if(isset($profile->service_types) && is_serialized($profile->service_types) && !empty(unserialize($profile->service_types)))
            @php
                $pmServiceTypes     = unserialize($profile->service_types);
            @endphp
        @endif
        @if(isset($profile->interval_types) && is_serialized($profile->interval_types) && !empty(unserialize($profile->interval_types)))
            @php
                $pmIntervalTypes    = unserialize($profile->interval_types);
            @endphp
        @endif
        @if(isset($profile->schedules) && is_serialized($profile->schedules) && !empty(unserialize($profile->schedules)))
            @php
                $pmSchedules        = unserialize($profile->schedules);
            @endphp
        @endif
        @if(!empty($pmTypes))
            <div id="pmServiceProfileMoreRows">
                @foreach($pmTypes as $key => $pmType)
                    <div class="row px-4 pb-2" data-last-index="{{ $loop->index }}">
                        <div class="col-md-2 pr-1 pm-service-custom-grid">
                            <div class="form-group">
                                {!! Form::select('types[]', ['' => 'Select Type'] + getCompanyPmType(), $pmType, [
                                        'class'                         => 'form-control select2',
                                        'required'                      => 'required',
                                        'data-parsley-errors-container' => '#pm_service_profile_types_'.$loop->index.'-errors'
                                    ]
                                ) !!}
                                <div id="pm_service_profile_types_{{ $loop->index }}-errors"></div>
                            </div>
                        </div>
                        <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                            <div class="form-group">
                                {!! Form::select('service_type[]', ['' => 'Select Service Type'] + getCompanyPmServiceType(), $pmServiceTypes[$loop->index] ?? null, [
                                        'class' => 'form-control select2'
                                    ]
                                ) !!}
                            </div>
                        </div>
                        <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                            <div class="form-group">
                                {!! Form::select('interval_type[]', ['' => 'Select Interval Type'] + getCompanyPmServiceIntervalType(), $pmIntervalTypes[$loop->index] ?? null, [
                                        'class' => 'form-control intervalTypePopup select2'
                                    ]
                                ) !!}
                            </div>
                        </div>
                        @if(isset($pmIntervalTypes[$loop->index]))
                            @if($pmIntervalTypes[$loop->index] == '1' || $pmIntervalTypes[$loop->index] == '2')
                                <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                                    <div class="form-group">
                                        {!! Form::text('schedule[]', $pmSchedules[$loop->index] ?? null, array(
                                                'class'             => 'form-control integer-input',
                                                'placeholder'       => 'Enter'
                                            )
                                        ) !!}
                                    </div>
                                </div>
                                <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                                    <div class="form-group">
                                        {!! Form::text('due_date[]', null, array(
                                                'class'             => 'form-control',
                                                'placeholder'       => 'Enter',
                                                'disabled'          => 'disabled'
                                            )
                                        ) !!}
                                    </div>
                                </div>
                            @else
                                <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                                    <div class="form-group">
                                        {!! Form::select('schedule[]', ['' => 'Select'] + getTrailerSchedules(), $pmSchedules[$loop->index] ?? null, [
                                                'class'             => 'form-control select2'
                                            ]
                                        ) !!}
                                    </div>
                                </div>
                                <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                                    <div class="form-group">
                                        <div class="input-group">
                                            {!! Form::text('due_date[]',  null, array(
                                                    'class'         => 'form-control date',
                                                    'placeholder'   => 'Enter',
                                                    'disabled'      => 'disabled'
                                                )
                                            ) !!}
                                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                        </div>
                                    </div>
                                </div>
                            @endif
                        @else
                            <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                                <div class="form-group">
                                    {!! Form::text('schedule[]', null, array(
                                            'class'                 => 'form-control',
                                            'placeholder'           => 'Enter'
                                        )
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                                <div class="form-group">
                                    {!! Form::text('due_date[]', null, array(
                                            'class'                 => 'form-control',
                                            'placeholder'           => 'Enter',
                                            'disabled'              => 'disabled'
                                        )
                                    ) !!}
                                </div>
                            </div>
                        @endif
                        <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                            <div class="form-group">
                                <div class="input-group">
                                    {!! Form::text('last_performed[]', null, array(
                                            'class'                 => 'form-control',
                                            'placeholder'           => 'Enter',
                                            'disabled'              => 'disabled'
                                        )
                                    ) !!}
                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </div>
                        <div class="pl-1 pm-service-custom-grid">
                            <div class="form-group d-flex">
                                @if($loop->last)
                                    <div>
                                        <a href="javascript:void(0);" class="addMoreBtn addMorePmServiceProfileRows">
                                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                                        </a>
                                    </div>
                                @else
                                    <div>
                                        <a href="javascript:void(0);" class="removeMoreBtn removeMorePmServiceProfileRows">
                                            <i class="fa fa-minus-square" aria-hidden="true"></i>
                                        </a>
                                    </div>
                                @endif
                            </div>
                        </div>
                    </div>
                @endforeach
            </div>
        @else
            <div class="row px-4 pb-2" data-last-index="0">
                <div class="col-md-2 pr-1 pm-service-custom-grid">
                    <div class="form-group">
                        {!! Form::select('types[]', ['' => 'Select Type'] + getCompanyPmType(), null, [
                                'class'                         => 'form-control select2',
                                'required'                      => 'required',
                                'data-parsley-errors-container' => '#pm_service_profile_types_0-errors'
                            ]
                        ) !!}
                        <div id="pm_service_profile_types_0-errors"></div>
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                    <div class="form-group">
                        {!! Form::select('service_type[]', ['' => 'Select Service Type'] + getCompanyPmServiceType(), null, [
                                'class' => 'form-control select2'
                            ]
                        ) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                    <div class="form-group">
                        {!! Form::select('interval_type[]', ['' => 'Select Interval Type'] + getCompanyPmServiceIntervalType(), null, [
                                'class' => 'form-control intervalTypePopup select2'
                            ]
                        ) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                    <div class="form-group">
                        {!! Form::text('schedule[]', null, array(
                                'class'             => 'form-control',
                                'placeholder'       => 'Enter'
                            )
                        ) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                    <div class="form-group">
                        {!! Form::text('due_date[]', null, array(
                                'class'             => 'form-control',
                                'placeholder'       => 'Enter',
                                'disabled'          => 'disabled'
                            )
                        ) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                    <div class="form-group">
                        <div class="input-group">
                            {!! Form::text('last_performed[]', null, array(
                                    'class'         => 'form-control',
                                    'placeholder'   => 'Enter',
                                    'disabled'      => 'disabled'
                                )
                            ) !!}
                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                        </div>
                    </div>
                </div>
                <div class="pl-1 pm-service-custom-grid">
                    <div class="form-group">
                        <div>
                            <a href="javascript:void(0);" class="addMoreBtn addMorePmServiceProfileRows">
                                <i class="fa fa-plus-square" aria-hidden="true"></i>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
            <div id="pmServiceProfileMoreRows"></div>
        @endif
        <div class="text-center mt-4">
            <a href="{{ route('company.admin.trailer-pm-service-profiles.index') }}" class="btn btn-blueBr mr-2">Cancel</a>
            <button type="submit" class="btn btn-blue ml-2">Update</button>
        </div>
    {!! Form::close() !!}
@endsection

@section('script')
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('.post-form').parsley();
        });
        $(document).on('click', '.addMorePmServiceProfileRows', function (event){
            event.preventDefault();
            // console.log('Add more pm profile rows');
            // return false;

            var that                    = $(this);

            var wrapper                 = $('.post-form').find('#pmServiceProfileMoreRows');
            var lastIndex               = 1;
            var lastItem                = wrapper.find('div.row[data-last-index]:last');
            if(lastItem.attr('data-last-index') !== undefined){
                lastIndex               = parseInt(lastItem.attr('data-last-index'))+1;
            }

            var addBtnDiv               = that.closest('div');
            addBtnDiv.html(`<a href="javascript:void(0);" class="removeMoreBtn removeMorePmServiceProfileRows">
                <i class="fa fa-minus-square" aria-hidden="true"></i>
            </a>`);

            var html                    = getPmServiceProfileHtml(lastIndex);
            wrapper.append(html);
            // Find the last appended div element within the wrapper
            var lastDivElement          = wrapper.find('div.row[data-last-index="'+lastIndex+'"]'); // .find('div.row[data-last-index]:last');
            lastDivElement.find('.select2').each(function() {
                var $this = $(this);
                var placeholderText = $this.find('option:first').text();
                $this.select2({
                    allowClear: true,
                    width : '100%',
                    placeholder: placeholderText
                });
                $this.find('option:first').hide();
            });
        });
        $(document).on('click', '.removeMorePmServiceProfileRows', function (event){
            event.preventDefault();
            // console.log('Remove pm profile rows');
            // return false;

            var that                    = $(this);
            that.closest('div.row[data-last-index]').remove();
        });
        $(document).on('change', '.intervalTypePopup', function (){
            var that                    = $(this);
            var intervalType            = that.val(); // 1=Mileage, 2=Hours, 3=Date
            var scheduleDiv             = that.closest('.form-group').parent('div').next('div');
            var dueDiv                  = scheduleDiv.next('div');
            if ($.inArray(intervalType, ['1', '2']) !== -1 || intervalType == '') {
                // 1=Mileage, 2=Hours
                if(scheduleDiv.find('.form-group label').length > 0){
                    if(scheduleDiv.find('.form-group label').next('select').length > 0){
                        if (scheduleDiv.find('.form-group label').next('select').hasClass('select2-hidden-accessible')) {
                            scheduleDiv.find('.form-group label').next('select').select2('destroy');
                        }
                        scheduleDiv.find('.form-group label').next('select').remove();
                    }
                    if(scheduleDiv.find('.form-group label').next('input').length > 0){
                        scheduleDiv.find('.form-group label').next('input').remove();
                    }
                    scheduleDiv.find('.form-group label').after(`{!! Form::text('schedule[]', null, array(
                            'class'         => 'form-control integer-input',
                            'placeholder'   => 'Enter'
                        )
                    ) !!}`);

                    if(dueDiv.length > 0){
                        // dueDiv.find('input').val('');
                        if(dueDiv.find('.form-group label').next('.input-group').length > 0){
                            dueDiv.find('.form-group label').next('.input-group').remove();
                        }else{
                            dueDiv.find('.form-group label').next('input').remove();
                        }
                        dueDiv.find('.form-group label').after(`{!! Form::text('due_date[]', null, array(
                                'class'         => 'form-control integer-input',
                                'placeholder'   => 'Enter',
                                'disabled'      => 'disabled'
                            )
                        ) !!}`);
                    }
                }else{
                    if(scheduleDiv.find('.form-group').find('select').length > 0){
                        if (scheduleDiv.find('.form-group').find('select').hasClass('select2-hidden-accessible')) {
                            scheduleDiv.find('.form-group').find('select').select2('destroy');
                        }
                        scheduleDiv.find('.form-group').find('select').remove();
                    }
                    if(scheduleDiv.find('.form-group').find('input').length > 0){
                        scheduleDiv.find('.form-group').find('input').remove();
                    }
                    scheduleDiv.find('.form-group').append(`{!! Form::text('schedule[]', null, array(
                            'class'             => 'form-control integer-input',
                            'placeholder'       => 'Enter'
                        )
                    ) !!}`);

                    if(dueDiv.length > 0){
                        // dueDiv.find('input').val('');
                        if(dueDiv.find('.form-group').find('.input-group').length > 0){
                            dueDiv.find('.form-group').find('.input-group').remove();
                        }else{
                            dueDiv.find('.form-group').find('input').remove();
                        }
                        dueDiv.find('.form-group').append(`{!! Form::text('due_date[]', null, array(
                                'class'         => 'form-control integer-input',
                                'placeholder'   => 'Enter',
                                'disabled'      => 'disabled'
                            )
                        ) !!}`);
                    }
                }
            } else if(intervalType == '3'){
                // 3=Date
                if(scheduleDiv.find('.form-group label').length > 0){
                    if(scheduleDiv.find('.form-group label').next('select').length > 0){
                        if (scheduleDiv.find('.form-group label').next('select').hasClass('select2-hidden-accessible')) {
                            scheduleDiv.find('.form-group label').next('select').select2('destroy');
                        }
                        scheduleDiv.find('.form-group label').next('select').remove();
                    }
                    if(scheduleDiv.find('.form-group label').next('input').length > 0){
                        scheduleDiv.find('.form-group label').next('input').remove();
                    }
                    scheduleDiv.find('.form-group label').after(`{!! Form::select('schedule[]', ['' => 'Select'] + getTrailerSchedules(), null, [
                            'class'             => 'form-control select2'
                        ]
                    ) !!}`);
                    scheduleDiv.find('.form-group .select2').each(function() {
                        var $this = $(this);
                        var placeholderText = $this.find('option:first').text();
                        $this.select2({
                            allowClear: true,
                            width : '100%',
                            placeholder: placeholderText
                        });
                        $this.find('option:first').hide();
                    });

                    if(dueDiv.length > 0){
                        // dueDiv.find('input').val('');
                        if(dueDiv.find('.form-group label').next('.input-group').length > 0){
                            dueDiv.find('.form-group label').next('.input-group').remove();
                        }else{
                            dueDiv.find('.form-group label').next('input').remove();
                        }
                        dueDiv.find('.form-group label').after(`<div class="input-group">
                            {!! Form::text('due_date[]', null, array(
                                    'class'         => 'form-control date',
                                    'placeholder'   => 'Enter', 
                                    'disabled'      => 'disabled'
                                )
                            ) !!}
                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                        </div>`);
                        dueDiv.find('.form-group .date').datetimepicker({ 
                            format: 'MM/DD/YYYY', 
                            useCurrent: false 
                        });
                    }
                }else{
                    if(scheduleDiv.find('.form-group').find('select').length > 0){
                        if (scheduleDiv.find('.form-group').find('select').hasClass('select2-hidden-accessible')) {
                            scheduleDiv.find('.form-group').find('select').select2('destroy');
                        }
                        scheduleDiv.find('.form-group').find('select').remove();
                    }
                    if(scheduleDiv.find('.form-group').find('input').length > 0){
                        scheduleDiv.find('.form-group').find('input').remove();
                    }
                    scheduleDiv.find('.form-group').append(`{!! Form::select('schedule[]', ['' => 'Select'] + getTrailerSchedules(), null, [
                            'class'             => 'form-control select2'
                        ]
                    ) !!}`);
                    scheduleDiv.find('.form-group .select2').each(function() {
                        var $this = $(this);
                        var placeholderText = $this.find('option:first').text();
                        $this.select2({
                            allowClear: true,
                            width : '100%',
                            placeholder: placeholderText
                        });
                        $this.find('option:first').hide();
                    });

                    if(dueDiv.length > 0){
                        // dueDiv.find('input').val('');
                        if(dueDiv.find('.form-group').find('.input-group').length > 0){
                            dueDiv.find('.form-group').find('.input-group').remove();
                        }else{
                            dueDiv.find('.form-group').find('input').remove();
                        }
                        dueDiv.find('.form-group').append(`<div class="input-group">
                            {!! Form::text('due_date[]', null, array(
                                    'class'         => 'form-control date',
                                    'placeholder'   => 'Enter',
                                    'disabled'      => 'disabled'
                                )
                            ) !!}
                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                        </div>`);
                        dueDiv.find('.form-group .date').datetimepicker({ 
                            format: 'MM/DD/YYYY', 
                            useCurrent: false 
                        });
                    }
                }
            }
        });
        function getPmServiceProfileHtml(lastIndex){
            let pmServiceProfileHtml    = '';
            pmServiceProfileHtml        += `<div class="row px-4 pb-2" data-last-index="`+lastIndex+`">`;
            pmServiceProfileHtml        += `<div class="col-md-2 pr-1 pm-service-custom-grid">`;
            pmServiceProfileHtml        += `<div class="form-group">`;
            pmServiceProfileHtml        += `{!! Form::select('types[]', ['' => 'Select Type'] + getCompanyPmType(), null, [
                    'class'                         => 'form-control select2',
                    'required'                      => 'required',
                    'data-parsley-errors-container' => '#pm_service_profile_types_`+lastIndex+`-errors'
                ]
            ) !!}`;
            pmServiceProfileHtml        += `<div id="pm_service_profile_types_`+lastIndex+`-errors"></div>`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `<div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">`;
            pmServiceProfileHtml        += `<div class="form-group">`;
            pmServiceProfileHtml        += `{!! Form::select('service_type[]', ['' => 'Select Service Type'] + getCompanyPmServiceType(), null, [
                    'class'             => 'form-control select2'
                ]
            ) !!}`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `<div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">`;
            pmServiceProfileHtml        += `<div class="form-group">`;
            pmServiceProfileHtml        += `{!! Form::select('interval_type[]', ['' => 'Select Interval Type'] + getCompanyPmServiceIntervalType(), null, [
                    'class'             => 'form-control intervalTypePopup select2'
                ]
            ) !!}`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `<div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">`;
            pmServiceProfileHtml        += `<div class="form-group">`;
            pmServiceProfileHtml        += `{!! Form::text('schedule[]', null, array(
                    'class'             => 'form-control',
                    'placeholder'       => 'Enter'
                )
            ) !!}`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `<div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">`;
            pmServiceProfileHtml        += `<div class="form-group">`;
            pmServiceProfileHtml        += `{!! Form::text('due_date[]', null, array(
                    'class'             => 'form-control',
                    'placeholder'       => 'Enter',
                    'disabled'          => 'disabled'
                )
            ) !!}`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `<div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">`;
            pmServiceProfileHtml        += `<div class="form-group">`;
            pmServiceProfileHtml        += `<div class="input-group">`;
            pmServiceProfileHtml        += `{!! Form::text('last_performed[]', null, array(
                    'class'             => 'form-control',
                    'placeholder'       => 'Enter',
                    'disabled'          => 'disabled'
                )
                ) !!}`;
            pmServiceProfileHtml        += `<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `<div class="pl-1 pm-service-custom-grid">`;
            pmServiceProfileHtml        += `<div class="form-group">`;
            pmServiceProfileHtml        += `<div>`;
            pmServiceProfileHtml        += `<a href="javascript:void(0);" class="addMoreBtn addMorePmServiceProfileRows">`;
            pmServiceProfileHtml        += `<i class="fa fa-plus-square" aria-hidden="true"></i>`;
            pmServiceProfileHtml        += `</a>`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `</div>`;
            return pmServiceProfileHtml;
        }
    </script>
@endsection
