@if(isset($truck) && !is_null($truck->truck_additional_insurances))
    @foreach($truck->truck_additional_insurances as $truckAdditionalInsurance)
        <div class="row pt-2">
            <input type="hidden" name="old_id[]" value="{{ $truckAdditionalInsurance->id }}">
            <div class="col-md-3 ins-prev-custom-grid pr-1">
                <div class="form-group">
                    <label for="insurance-types" class="mb-1">{{ getCompanyInsuranceTypes()[$truckAdditionalInsurance->insurance_type] }}</label>
                    <select class="form-control select2" name="insurance_vendor[]">
                        <option value="">Select Insurance Vendor</option>
                        @foreach (getVendorList() as $id => $vendorName){
                        <option value="{{$id}}" {{ ($truckAdditionalInsurance->insurance_vendor == $id) ? 'selected' : '' }}>{{$vendorName}}</option>
                        @endforeach
                    </select>
                    <input type="hidden" name="insurance_type[]" value="{{ $truckAdditionalInsurance->insurance_type ?? null }}">
                </div>
            </div>
            <div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">
                <div class="form-group">
                    <label for="policy-number" class="mb-1">Policy No.</label>
                    <input class="form-control" placeholder="Enter" name="policy_number[]" type="text" value="{{ $truckAdditionalInsurance->policy_number ?? null }}">
                </div>
            </div>
            <div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">
                <div class="form-group">
                    <label for="value" class="mb-1">Value</label>
                    <div class="input-group pre-append">
                        <div class="input-group-prepend">
                            <span class="input-group-text">$</span>
                        </div>
                        <input class="form-control integer-input comma-integer-input" placeholder="Enter" name="value[]" type="text" value="{{ $truckAdditionalInsurance->value ?? null }}">
                    </div>
                </div>
            </div>
            <div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">
                <div class="form-group">
                    <label for="date-added" class="mb-1">Date Added</label>
                    <div class="input-group">
                        <input class="form-control date" placeholder="Enter" name="date_added[]" type="text" value="@if(!is_null($truckAdditionalInsurance->date_added)){{ \Carbon\Carbon::parse($truckAdditionalInsurance->date_added)->format('m/d/Y') ?? null }}@endif">
                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                    </div>
                </div>
            </div>
            <div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">
                <div class="form-group">
                    <label for="expiration-date" class="mb-1">Expiration Date</label>
                    <div class="input-group">
                        <input class="form-control date" placeholder="Enter" name="expiration_date[]" type="text" value="@if(!is_null($truckAdditionalInsurance->expiration_date)){{ \Carbon\Carbon::parse($truckAdditionalInsurance->expiration_date)->format('m/d/Y') ?? null }}@endif">
                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                    </div>
                </div>
            </div>
            <div class="pl-1 mt-4">
                <div class="form-group d-flex">
                    <div>
                        <a href="javascript:void(0);" class="insuranceFile">
                            <i class="fa fa-picture-o additionalInsuranceFile gallary-edit {{checkeGalleryFileUpload($truck->id, 'additional_insurance_file_'.$truckAdditionalInsurance->id)}}" aria-hidden="true" data-id="{{$truck->id}}" data-source="truck" data-field="additional_insurance_file_{{$truckAdditionalInsurance->id}}" data-is-dummy="0" data-toggle="modal" data-target="#galleryModal" title="Additional Insurance File"></i>
                        </a>
                    </div>
                    <div>
                        <a href="javascript:void(0);" class="removeMoreAdditionalRows" data-id="{{$truck->id}}" data-source="truck" data-field="additional_insurance_file_{{$truckAdditionalInsurance->id}}">
                            <i class="fa fa-minus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                    @if($loop->last)
                        <div>
                            <a href="javascript:void(0);" class="addMoreBtn addInsuranceBtn" data-toggle="modal" data-target="#addInsuranceLineModal">
                                <i class="fa fa-plus-square" aria-hidden="true"></i>
                            </a>
                        </div>
                    @endif
                </div>
            </div>
        </div>
    @endforeach
@endif
