@if(isset($truckIntegrations) && count($truckIntegrations) > 0)
    @php
        $eldProvider = $truckIntegrations->where('integration_type', 'eld-provider')->first();
        $transponderProvider = $truckIntegrations->where('integration_type', 'transponder-provider')->first();
        $airScaleProvider = $truckIntegrations->where('integration_type', 3)->first();
        $tireSensorProvider = $truckIntegrations->where('integration_type', 4)->first();
        $truckTrackingProvider = $truckIntegrations->where('integration_type', 5)->first();
        $truckCameraProvider = $truckIntegrations->where('integration_type', 6)->first();
        $cameraID = $truckIntegrations->where('integration_type', 7)->first();
        $trailerTrackingProvider = $truckIntegrations->where('integration_type', 8)->first();
    @endphp

    <table class="table table-borderless">
        <tr class="headingRow">
            <th width="15%" class="text-center"></th>
            <th width="20%">Provider</th>
            <th width="20%">Provider ID</th>
            <th width="15%" class="text-center">Status</th>
            <th width="30%">Action</th>
        </tr>

        {{-- ELD Provider --}}
        @if(!empty($eldProvider))
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        @if($eldProvider->provider == 'samsara')
                             <img src="{{ asset('theme/img/logo-samsara.png') }}" class="app-center-logo" title="Samsara Logo" width="75" height="75">
                        @endif
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">ELD Provider</h6>
                    </div>
                </td>
                <td>
                    {!! Form::text('provider_id', $eldProvider->provider_id, array('class' => 'form-control', 'placeholder' => 'Provider ID', 'readonly' => 'readonly')) !!}
                </td>
                <td class="text-center">
                    @if($eldProvider->connected_status == '1')
                        <h6 class="status-connected">Connected</h6>
                    @else
                        <h6 class="status-not-connected">Not Connected</h6>
                    @endif
                </td>
                <td>
                    <a href="javascript:void(0);" class="action-link eld-view-details" data-provider="{{ $eldProvider->provider ?? '' }}" data-auto-populate="{{ $eldProvider->auto_populate ?? '' }}" data-vin-number="{{ $eldProvider->extra_params['vin_number'] ?? '' }}" data-provider-id="{{ $eldProvider->provider_id ?? '' }}" title="View Details">
                        <i class="fa fa-eye" aria-hidden="true"></i>
                    </a> |
                    <a href="javascript:void(0);" class="action-link text-danger eld-provider-delete" data-action="{{ route('company.admin.truck.integration.delete', $eldProvider->id) }}" title="Remove">
                        <i class="fa fa-trash" aria-hidden="true"></i>
                    </a>
                </td>
            </tr>
        @else
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn" data-toggle="modal" data-target="#eldIntegrationSetup">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">ELD Provider</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @endif

        {{-- Transponder Provider --}}
        @if(!empty($transponderProvider))
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        @if($transponderProvider->provider == 'ez-pass')
                            <img src="{{ asset('theme/img/ezpass-logo.png') }}" class="app-center-logo" title="EZPass Logo" width="75" height="75">
                        @elseif($transponderProvider->provider == 'pre-pass')
                            <img src="{{ asset('theme/img/prepass-logo.png') }}" class="app-center-logo" title="PrePass Logo" width="75" height="75">
                        @elseif($transponderProvider->provider == 'best-pass')
                            <img src="{{ asset('theme/img/bestpass-logo.png') }}" class="app-center-logo" title="BestPass Logo" width="75" height="75">
                        @endif
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">Transponder Provider</h6>
                    </div>
                </td>
                <td>
                    {!! Form::text('provider_id', $transponderProvider->provider_id, array('class' => 'form-control', 'placeholder' => 'Provider ID', 'readonly' => 'readonly')) !!}
                </td>
                <td class="text-center">
                    @if($transponderProvider->connected_status == '1')
                        <h6 class="status-connected">Connected</h6>
                    @else
                        <h6 class="status-not-connected">Not Connected</h6>
                    @endif
                </td>
                <td>
                    <a href="javascript:void(0);" class="action-link" id="view-transponder-history" data-id="{{ base64Encode($transponderProvider->truck_id) }}" title="View History">
                        <i class="fa fa-history" aria-hidden="true"></i>
                    </a> |
                    <a href="javascript:void(0);" class="action-link" id="view-reassign-transponder" data-id="{{ base64Encode($transponderProvider->id) }}" data-provider="{{ $transponderProvider->provider }}" data-provider-id="{{ $transponderProvider->provider_id }}" data-date-added="{{ $transponderProvider->extra_params['added_date'] ?? '' }}" data-time-added="{{ convertTimeFormate($transponderProvider->extra_params['added_time']) ?? '' }}" data-date-removed="{{ $transponderProvider->extra_params['remove_date'] ?? '' }}" data-time-removed="{{ convertTimeFormate($transponderProvider->extra_params['remove_time']) ?? '' }}" data-new-provider="{{ $transponderProvider->extra_params['replace_provider'] ?? '' }}" data-new-provider-id="{{ $transponderProvider->extra_params['replace_provider_id'] ?? '' }}" data-new-date-added="{{ $transponderProvider->extra_params['replace_date'] ?? '' }}" data-new-time-added="{{ convertTimeFormate($transponderProvider->extra_params['replace_time']) ?? '' }}" title="Replace">
                        <i class="fa fa-retweet" aria-hidden="true"></i>
                    </a> |
                    <a href="javascript:void(0);" class="action-link text-danger" id="view-remove-transponder" data-id="{{ base64Encode($transponderProvider->id) }}" data-provider="{{ $transponderProvider->provider }}" data-provider-id="{{ $transponderProvider->provider_id }}" data-date-added="{{ $transponderProvider->extra_params['added_date'] ?? '' }}" data-time-added="{{ convertTimeFormate($transponderProvider->extra_params['added_time']) ?? '' }}" data-date-removed="{{ $transponderProvider->extra_params['remove_date'] ?? '' }}" data-time-removed="{{ convertTimeFormate($transponderProvider->extra_params['remove_time']) ?? '' }}" title="Remove">
                        <i class="fa fa-trash" aria-hidden="true"></i>
                    </a>
                    @if(isset($transponderProvider->extra_params['remove_date']) && !empty($transponderProvider->extra_params['remove_date']) && isset($transponderProvider->extra_params['remove_time']) && !empty($transponderProvider->extra_params['remove_time']))
                        @php
                            $currentDateTime = \Carbon\Carbon::now();
                            $scheduleDateTime = \Carbon\Carbon::parse($transponderProvider->extra_params['remove_date'].' '.$transponderProvider->extra_params['remove_time']);
                        @endphp
                        @if($currentDateTime->lt($scheduleDateTime))
                            |
                            <a href="javascript:void(0);" class="action-link" title="Scheduled for removal">
                                <i class="fa fa-clock-o" aria-hidden="true"></i>
                            </a>
                        @endif
                    @endif
                </td>
            </tr>
        @else
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn" data-toggle="modal" data-target="#transponderIntegrationSetup">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">Transponder Provider</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @endif

        {{-- Air Scale Provider --}}
        @if(!empty($airScaleProvider))
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">Air Scale Provider</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @else
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">Air Scale Provider</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @endif

        {{-- Tire Sensor Provider --}}
        @if(!empty($tireSensorProvider))
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">Tire Sensor Provider</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @else
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">Tire Sensor Provider</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @endif

        {{-- Truck Tracking Provider --}}
        @if(!empty($truckTrackingProvider))
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">Truck Tracking Provider</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @else
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">Truck Tracking Provider</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @endif

        {{-- Truck Camera Provider --}}
        @if(!empty($truckCameraProvider))
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">Truck Camera Provider</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @else
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">Truck Camera Provider</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @endif

        {{-- Camera ID --}}
        @if(!empty($cameraID))
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">Camera ID</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @else
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">Camera ID</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @endif

        {{-- Trailer Tracking Provider --}}
        @if(!empty($trailerTrackingProvider))
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">Trailer Tracking Provider</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @else
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">Trailer Tracking Provider</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @endif
    </table>
@else
    <table class="table table-borderless">
        <tr>
            <td class="text-center">
                <div class="form-group">
                    <a href="javascript:void(0);" class="addMoreBtn" data-toggle="modal" data-target="#eldIntegrationSetup">
                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                    </a>
                </div>
            </td>
            <td>
                <div class="form-group">
                    <h6 class="provider-heading">ELD Provider</h6>
                </div>
            </td>
            <td></td>
            <td class="text-center"></td>
            <td class="text-center"></td>
            <td></td>
        </tr>
        <tr>
            <td class="text-center">
                <div class="form-group">
                    <a href="javascript:void(0);" class="addMoreBtn" data-toggle="modal" data-target="#transponderIntegrationSetup">
                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                    </a>
                </div>
            </td>
            <td>
                <div class="form-group">
                    <h6 class="provider-heading">Transponder Provider</h6>
                </div>
            </td>
            <td></td>
            <td class="text-center"></td>
            <td class="text-center"></td>
            <td></td>
        </tr>
        <tr>
            <td class="text-center">
                <div class="form-group">
                    <a href="javascript:void(0);" class="addMoreBtn">
                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                    </a>
                </div>
            </td>
            <td>
                <div class="form-group">
                    <h6 class="provider-heading">Air Scale Provider</h6>
                </div>
            </td>
            <td></td>
            <td class="text-center"></td>
            <td class="text-center"></td>
            <td></td>
        </tr>
        <tr>
            <td class="text-center">
                <div class="form-group">
                    <a href="javascript:void(0);" class="addMoreBtn">
                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                    </a>
                </div>
            </td>
            <td>
                <div class="form-group">
                    <h6 class="provider-heading">Tire Sensor Provider</h6>
                </div>
            </td>
            <td></td>
            <td class="text-center"></td>
            <td class="text-center"></td>
            <td></td>
        </tr>
        <tr>
            <td class="text-center">
                <div class="form-group">
                    <a href="javascript:void(0);" class="addMoreBtn">
                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                    </a>
                </div>
            </td>
            <td>
                <div class="form-group">
                    <h6 class="provider-heading">Truck Tracking Provider</h6>
                </div>
            </td>
            <td></td>
            <td class="text-center"></td>
            <td class="text-center"></td>
            <td></td>
        </tr>
        <tr>
            <td class="text-center">
                <div class="form-group">
                    <a href="javascript:void(0);" class="addMoreBtn">
                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                    </a>
                </div>
            </td>
            <td>
                <div class="form-group">
                    <h6 class="provider-heading">Truck Camera Provider</h6>
                </div>
            </td>
            <td></td>
            <td class="text-center"></td>
            <td class="text-center"></td>
            <td></td>
        </tr>
        <tr>
            <td class="text-center">
                <div class="form-group">
                    <a href="javascript:void(0);" class="addMoreBtn">
                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                    </a>
                </div>
            </td>
            <td>
                <div class="form-group">
                    <h6 class="provider-heading">Camera ID</h6>
                </div>
            </td>
            <td></td>
            <td class="text-center"></td>
            <td class="text-center"></td>
            <td></td>
        </tr>
        <tr>
            <td class="text-center">
                <div class="form-group">
                    <a href="javascript:void(0);" class="addMoreBtn">
                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                    </a>
                </div>
            </td>
            <td>
                <div class="form-group">
                    <h6 class="provider-heading">Trailer Tracking Provider</h6>
                </div>
            </td>
            <td></td>
            <td class="text-center"></td>
            <td class="text-center"></td>
            <td></td>
        </tr>
    </table>
@endif


