@if(isset($documentProfile) && isset($documentTitles))
    <div class="row pt-2">
        <div class="col-md-12">
            <div class="form-group">
                <h6 class="section-heading">{!! $documentProfile !!}</h6>
                <input type="hidden" name="dummy_id" value="{{ time() }}">
            </div>
        </div>
    </div>
    @foreach($documentTitles as $documentTitle)
        <div class="row pb-2">
            <div class="col-md-4 pr-1 document-custom-grid selectDiv">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="title" class="mb-1">Title</label>
                    @endif
                    {!! Form::select('titles[]', ['' => 'Select'] + getDocumentTitles(), $documentTitle ?? null, ['class' => 'form-control select2']) !!}
                </div>
            </div>
            <div class="col-md-4 pr-1 document-custom-grid selectDiv">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="qty" class="mb-1">DOT Required</label>
                    @endif
                    {!! Form::select('dot_required[]', ['' => 'Select', '0' => 'No', '1' => 'Yes'], null, ['class' => 'form-control select2', 'data-no-search' => 'true']) !!}
                </div>
            </div>
            <div class="col-md-4 pl-1 pr-1 document-custom-grid">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="value" class="mb-1">Exp Date</label>
                    @endif
                    <div class="input-group">
                        {!! Form::text('exp_dates[]', null, array('class' => 'form-control date', 'placeholder' => 'Enter')) !!}
                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                    </div>
                </div>
            </div>
            <div class="pl-1 {!! ($loop->index == 0) ? 'mt-4' : 'mt-1' !!}">
                <div class="form-group d-flex justify-content-between">
                    <div>
                        <input type="hidden" name="doc_types[]" class="docType" value="2">
                        <button type="button" class="btn btn-blueBr btn-copy mt-1">Copy</button>
                        <button type="button" class="btn btn-blue btn-original mt-1 ml-1">Original</button>
                    </div>
                    <div>
                        <a href="javascript:void(0);" class="documentsFile">
                            <i class="fa fa-picture-o documentProfileFile gallary-edit" aria-hidden="true" data-id="{{ time() }}" data-source="truck" data-field="document_profile_file_index-{{ $loop->index }}" data-is-dummy="1" data-toggle="modal" data-target="#galleryModal" title="Document Profile File"></i>
                        </a>
                    </div>
                    <div>
                        <a href="javascript:void(0);" class="removeMoreBtn removeMoreDocumentProfileRows">
                            <i class="fa fa-minus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    @endforeach
@elseif(isset($documentProfileName) && isset($truckProfileDocuments))
    <div class="row pt-2">
        <div class="col-md-12">
            <div class="form-group">
                <h6 class="section-heading">{!! $documentProfileName !!}</h6>
            </div>
        </div>
    </div>
    @foreach($truckProfileDocuments as $truckProfileDocument)
        <div class="row pb-2">
            <input type="hidden" name="old_id[]" value="{{$truckProfileDocument->id}}">
            <div class="col-md-4 pr-1 document-custom-grid selectDiv">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="title" class="mb-1">Title</label>
                    @endif
                    {!! Form::select('titles[]', ['' => 'Select'] + getDocumentTitles(), $truckProfileDocument->title ?? null, ['class' => 'form-control select2']) !!}
                </div>
            </div>
            <div class="col-md-4 pr-1 document-custom-grid selectDiv">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="qty" class="mb-1">DOT Required</label>
                    @endif
                    {!! Form::select('dot_required[]', ['' => 'Select', '0' => 'No', '1' => 'Yes'], $truckProfileDocument->dot_required ?? null, ['class' => 'form-control select2', 'data-no-search' => 'true']) !!}
                </div>
            </div>
            <div class="col-md-4 pl-1 pr-1 document-custom-grid">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="value" class="mb-1">Exp Date</label>
                    @endif
                    <div class="input-group">
                        {!! Form::text('exp_dates[]', $truckProfileDocument->exp_date ?? null, array('class' => 'form-control date', 'placeholder' => 'Enter')) !!}
                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                    </div>
                </div>
            </div>
            <div class="pl-1 {!! ($loop->index == 0) ? 'mt-4' : 'mt-1' !!}">
                <div class="form-group d-flex justify-content-between">
                    <div>
                        <input type="hidden" name="doc_types[]" class="docType" value="{{ $truckProfileDocument->doc_type ?? '2' }}">
                        @if($truckProfileDocument->doc_type == '1')
                            <button type="button" class="btn btn-blue btn-copy mt-1">Copy</button>
                            <button type="button" class="btn btn-blueBr btn-original mt-1 ml-1">Original</button>
                        @else
                            <button type="button" class="btn btn-blueBr btn-copy mt-1">Copy</button>
                            <button type="button" class="btn btn-blue btn-original mt-1 ml-1">Original</button>
                        @endif
                    </div>
                    <div>
                        <a href="javascript:void(0);" class="documentsFile">
                            <i class="fa fa-picture-o documentProfileFile gallary-edit @isset($truck->id) {{ checkeGalleryFileUpload($truck->id, 'document_profile_file_'.$truckProfileDocument->id) }} @endisset" aria-hidden="true" data-id="{{ $truck->id ?? time() }}" data-source="truck" data-field="document_profile_file_{{$truckProfileDocument->id}}" data-toggle="modal" data-target="#galleryModal" title="Document Profile File"></i>
                        </a>
                    </div>
                    <div>
                        <a href="javascript:void(0);" class="removeMoreBtn removeMoreDocumentProfileRows">
                            <i class="fa fa-minus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    @endforeach
@else
    <div class="row px-4 py-3">
        <div class="col-md-3 document-custom-grid">
            <label for="document-name" class="mb-1">On Board Document Name</label>
            <div class="form-group">
                {!! Form::text('profile_name', null, array('class' => 'form-control', 'placeholder' => 'Enter Document Profile Name', 'required' => 'required')) !!}
            </div>
        </div>
    </div>
    <div class="row px-4">
        <div class="col-md-4 document-custom-grid pr-1">
            <label for="title" class="mb-1">Title</label>
        </div>
        <div class="col-md-4 document-custom-grid pl-1 pr-1">
            <label for="qty" class="mb-1">DOT Required</label>
        </div>
        <div class="col-md-4 document-custom-grid pl-1 pr-1">
            <label for="value" class="mb-1">Exp Date</label>
        </div>
        <div class="pl-1">
            <label class="mb-1"></label>
        </div>
    </div>
    <hr class="my-0 pb-3">
    <div class="row pl-4 pb-2">
        <div class="col-md-4 pr-1 document-custom-grid selectDiv">
            <div class="form-group">
                {!! Form::select('titles[]', ['' => 'Select'] + getDocumentTitles(), null, ['class' => 'form-control select2', 'required' => 'required', 'data-parsley-errors-container' => '#doc_titles_0-errors']) !!}
                <div class="error-div" id="doc_titles_0-errors"></div>
            </div>
        </div>
        <div class="col-md-4 pr-1 document-custom-grid selectDiv">
            <div class="form-group">
                {!! Form::select('dot_required[]', ['' => 'Select', '0' => 'No', '1' => 'Yes'], null, ['class' => 'form-control select2', 'disabled' => 'disabled', 'data-no-search' => 'true']) !!}
            </div>
        </div>
        <div class="col-md-4 pl-1 pr-1 document-custom-grid">
            <div class="form-group">
                <div class="input-group">
                    {!! Form::text('exp_dates[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                </div>
            </div>
        </div>
        <div class="pl-1 document-custom-grid">
            <div class="form-group d-flex justify-content-between">
                <div>
                    <button type="button" class="btn btn-blueBr btn-copy mt-1" disabled>Copy</button>
                    <button type="button" class="btn btn-blue btn-original mt-1 ml-1" disabled>Original</button>
                </div>
                <div>
                    <a href="javascript:void(0);" class="documentsFile">
                        <i class="fa fa-picture-o" aria-hidden="true" title="Document File"></i>
                    </a>
                </div>
                <div>
                    <a href="javascript:void(0);" class="addMoreBtn addMoreDocumentProfileRows">
                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                    </a>
                </div>
            </div>
        </div>
    </div>
    <div id="documentProfileMoreRows"></div>
@endif
