@if(isset($equipmentProfile) && isset($equipmentTitles))
    <div class="row pt-2">
        <div class="col-md-12">
            <div class="form-group">
                <h6 class="section-heading">{!! $equipmentProfile !!}</h6>
            </div>
        </div>
    </div>
    @foreach($equipmentTitles as $equipmentTitle)
        @if($loop->index == 0)
            <div class="row pb-2">
                <div class="col-md-2 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        <label for="title" class="mb-1">Title</label>
                        {!! Form::select('titles[]', ['' => 'Select'] + getEquipmentTitles(), $equipmentTitle ?? null, ['class' => 'form-control select2']) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        <label for="qty" class="mb-1">Qty</label>
                        {!! Form::text('qty[]', null, array('class' => 'form-control', 'placeholder' => 'Enter')) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        <label for="value" class="mb-1">Value</label>
                        <div class="input-group pre-append">
                            <div class="input-group-prepend">
                                <span class="input-group-text">$</span>
                            </div>
                            {!! Form::text('value[]', null, array('class' => 'form-control integer-input comma-integer-input', 'placeholder' => 'Enter')) !!}
                        </div>
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        <label for="description" class="mb-1">Description</label>
                        {!! Form::text('description[]', null, array('class' => 'form-control', 'placeholder' => 'Enter')) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        <label for="entered-by" class="mb-1">Entered By</label>
                        {!! Form::text('entered_by[]', null, array('class' => 'form-control', 'placeholder' => 'Enter')) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        <label for="date-entered" class="mb-1">Date Entered</label>
                        <div class="input-group">
                            {!! Form::text('date_entered[]', null, array('class' => 'form-control date', 'placeholder' => 'Enter')) !!}
                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                        </div>
                    </div>
                </div>
                <div class="pl-1 mt-4">
                    <div class="form-group d-flex">
                        <div>
                            <a href="javascript:void(0);" class="removeMoreBtn removeMoreEquipmentProfileRows">
                                <i class="fa fa-minus-square" aria-hidden="true"></i>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        @endif
        @if($loop->index !== 0)
            <div class="row pb-2">
                <div class="col-md-2 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        {!! Form::select('titles[]', ['' => 'Select'] + getEquipmentTitles(), $equipmentTitle ?? null, ['class' => 'form-control select2']) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        {!! Form::text('qty[]', null, array('class' => 'form-control', 'placeholder' => 'Enter')) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        <div class="input-group pre-append">
                            <div class="input-group-prepend">
                                <span class="input-group-text">$</span>
                            </div>
                            {!! Form::text('value[]', null, array('class' => 'form-control integer-input comma-integer-input', 'placeholder' => 'Enter')) !!}
                        </div>
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        {!! Form::text('description[]', null, array('class' => 'form-control', 'placeholder' => 'Enter')) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        {!! Form::text('entered_by[]', null, array('class' => 'form-control', 'placeholder' => 'Enter')) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        <div class="input-group">
                            {!! Form::text('date_entered[]', null, array('class' => 'form-control date', 'placeholder' => 'Enter')) !!}
                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                        </div>
                    </div>
                </div>
                <div class="pl-1 mt-1">
                    <div class="form-group d-flex">
                        <div>
                            <a href="javascript:void(0);" class="removeMoreBtn removeMoreEquipmentProfileRows">
                                <i class="fa fa-minus-square" aria-hidden="true"></i>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        @endif
    @endforeach
@elseif(isset($equipmentProfileName) && isset($truckProfileEquipments))
    <div class="row pt-2">
        <div class="col-md-12">
            <div class="form-group">
                <h6 class="section-heading">{!! $equipmentProfileName !!}</h6>
            </div>
        </div>
    </div>
    @foreach($truckProfileEquipments as $truckProfileEquipment)
        @if($loop->index == 0)
            <div class="row pb-2">
                <div class="col-md-2 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        <label for="title" class="mb-1">Title</label>
                        {!! Form::select('titles[]', ['' => 'Select'] + getEquipmentTitles(), $truckProfileEquipment->title ?? null, ['class' => 'form-control select2']) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        <label for="qty" class="mb-1">Qty</label>
                        {!! Form::text('qty[]', $truckProfileEquipment->qty ?? null, array('class' => 'form-control', 'placeholder' => 'Enter')) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        <label for="value" class="mb-1">Value</label>
                        <div class="input-group pre-append">
                            <div class="input-group-prepend">
                                <span class="input-group-text">$</span>
                            </div>
                            {!! Form::text('value[]', $truckProfileEquipment->value ?? null, array('class' => 'form-control integer-input comma-integer-input', 'placeholder' => 'Enter')) !!}
                        </div>
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        <label for="description" class="mb-1">Description</label>
                        {!! Form::text('description[]', $truckProfileEquipment->description ?? null, array('class' => 'form-control', 'placeholder' => 'Enter')) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        <label for="entered-by" class="mb-1">Entered By</label>
                        {!! Form::text('entered_by[]', $truckProfileEquipment->entered_by ?? null, array('class' => 'form-control', 'placeholder' => 'Enter')) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        <label for="date-entered" class="mb-1">Date Entered</label>
                        <div class="input-group">
                            {!! Form::text('date_entered[]',  $truckProfileEquipment->date_entered ?? null, array('class' => 'form-control date', 'placeholder' => 'Enter')) !!}
                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                        </div>
                    </div>
                </div>
                <div class="pl-1 mt-4">
                    <div class="form-group d-flex">
                        <div>
                            <a href="javascript:void(0);" class="removeMoreBtn removeMoreEquipmentProfileRows">
                                <i class="fa fa-minus-square" aria-hidden="true"></i>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        @endif
        @if($loop->index !== 0)
            <div class="row pb-2">
                <div class="col-md-2 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        {!! Form::select('titles[]', ['' => 'Select'] + getEquipmentTitles(), $truckProfileEquipment->title ?? null, ['class' => 'form-control select2']) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        {!! Form::text('qty[]', $truckProfileEquipment->qty ?? null, array('class' => 'form-control', 'placeholder' => 'Enter')) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        <div class="input-group pre-append">
                            <div class="input-group-prepend">
                                <span class="input-group-text">$</span>
                            </div>
                            {!! Form::text('value[]', $truckProfileEquipment->value ?? null, array('class' => 'form-control integer-input comma-integer-input', 'placeholder' => 'Enter')) !!}
                        </div>
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        {!! Form::text('description[]', $truckProfileEquipment->description ?? null, array('class' => 'form-control', 'placeholder' => 'Enter')) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        {!! Form::text('entered_by[]', $truckProfileEquipment->entered_by ?? null, array('class' => 'form-control', 'placeholder' => 'Enter')) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                    <div class="form-group">
                        <div class="input-group">
                            {!! Form::text('date_entered[]', $truckProfileEquipment->date_entered ?? null, array('class' => 'form-control date', 'placeholder' => 'Enter')) !!}
                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                        </div>
                    </div>
                </div>
                <div class="pl-1 mt-1">
                    <div class="form-group d-flex">
                        <div>
                            <a href="javascript:void(0);" class="removeMoreBtn removeMoreEquipmentProfileRows">
                                <i class="fa fa-minus-square" aria-hidden="true"></i>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        @endif
    @endforeach
@else
    <div class="row px-4 py-3">
        <div class="col-md-3 equipment-custom-grid">
            <label for="equipment-name" class="mb-1">Equipment Profile Name</label>
            <div class="form-group">
                {!! Form::text('profile_name', null, array('class' => 'form-control', 'placeholder' => 'Enter Equipment Profile Name', 'required' => 'required')) !!}
            </div>
        </div>
    </div>
    <div class="row px-4">
        <div class="col-md-2 equipment-custom-grid pr-1">
            <label for="title" class="mb-1">Title</label>
        </div>
        <div class="col-md-2 equipment-custom-grid pl-1 pr-1">
            <label for="qty" class="mb-1">Qty</label>
        </div>
        <div class="col-md-2 equipment-custom-grid pl-1 pr-1">
            <label for="value" class="mb-1">Value</label>
        </div>
        <div class="col-md-2 equipment-custom-grid pl-1 pr-1">
            <label for="description" class="mb-1">Description</label>
        </div>
        <div class="col-md-2 equipment-custom-grid pl-1 pr-1">
            <label for="entered-by" class="mb-1">Entered By</label>
        </div>
        <div class="col-md-2 equipment-custom-grid pl-1 pr-1">
            <label for="date-entered" class="mb-1">Date Entered</label>
        </div>
        <div class="pl-1">
            <label class="mb-1"></label>
        </div>
    </div>
    <hr class="my-0 pb-3">
    <div class="row px-4 pb-2">
        <div class="col-md-2 pr-1 equipment-custom-grid">
            <div class="form-group">
                {!! Form::select('titles[]', ['' => 'Select'] + getEquipmentTitles(), null, ['class' => 'form-control select2', 'required' => 'required', 'data-parsley-errors-container' => '#titles_0-errors']) !!}
                <div class="error-div" id="titles_0-errors"></div>
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
            <div class="form-group">
                {!! Form::text('qty[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
            <div class="form-group">
                <div class="input-group pre-append">
                    <div class="input-group-prepend readonly-input">
                        <span class="input-group-text">$</span>
                    </div>
                    {!! Form::text('value[]', null, array('class' => 'form-control integer-input comma-integer-input', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                </div>
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
            <div class="form-group">
                {!! Form::text('description[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
            <div class="form-group">
                {!! Form::text('entered_by[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
            <div class="form-group">
                <div class="input-group">
                    {!! Form::text('date_entered[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                </div>
            </div>
        </div>
        <div class="pl-1 equipment-custom-grid">
            <div class="form-group">
                <div>
                    <a href="javascript:void(0);" class="addMoreBtn addMoreEquipmentProfileRows">
                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                    </a>
                </div>
            </div>
        </div>
    </div>
    <div id="equipmentProfileMoreRows"></div>
@endif
