@extends($companyAdminTheme)

@section('title')
    Truck Create
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/datepicker3.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
        .load-btn label{
            width: 99px !important;
        }
        .select2-container{
            width: 100% !important;
        }
        .select2-container .select2-selection--single{
            height: 35px;
        }
        .select2-container--default .select2-selection--single{
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered{
            line-height: 34px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow{
            height: 31px;
        }
    </style>
@endsection

@php $dummy_truck_id = time(); @endphp

@section('content')
    {!! Form::open(array('route' => 'company.admin.trucks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
        <input type="hidden" name="dummy_truck_id" value="{{$dummy_truck_id}}">
        <div class="row">
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title clear-btn">General Information<button type="button" class="update-data"><i class="fa fa-download"></i> Update from ELD</button></h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>Unit<span>*</span></label>
                                    {!! Form::text('unit', old('unit'), array('class' => 'form-control','required' => 'required')) !!}
                                    @error('unit')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label>Vin Number</label>
                                    {!! Form::text('vin_number', old('vin_number'), array('class' => 'form-control','required' => 'required')) !!}
                                    @error('vin_number')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-1 pl-0">
                                <div class="form-group">
                                    <label style="opacity: 0;">up</label>
                                    <i class="fa fa-download update-data cut-udpate-data"></i>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Is Service Date</label>
                                    {!! Form::text('is_service_date', old('is_service_date'), array('class' => 'form-control date', 'onPaste' => 'return false')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Year</label>
                                    {!! Form::number('year', old('year'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-3">
                                    <div class="form-group">
                                    <label>Make</label>
                                    {!! Form::text('make', old('make'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-3">
                                    <div class="form-group">
                                    <label>Model</label>
                                    {!! Form::text('model', old('model'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-3">
                                    <div class="form-group">
                                    <label>Color</label>
                                    {!! Form::text('color', old('color'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Length</label>
                                    {!! Form::text('length', old('length'), array('class' => 'form-control feetInches', 'autocomplete' => 'new', 'placeholder' => '00\'00"')) !!}
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Width</label>
                                    {!! Form::text('width', old('width'), array('class' => 'form-control feetInches', 'autocomplete' => 'new', 'placeholder' => '00\'00"')) !!}
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Height</label>
                                    {!! Form::text('height', old('height'), array('class' => 'form-control feetInches', 'autocomplete' => 'new', 'placeholder' => '00\'00"')) !!}
                                </div>
                            </div>
                            <div class="col-md-3">
                                    <div class="form-group">
                                    <label>Tag State</label>
                                    {!! Form::text('tag_state', old('tag_state'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Tag Number</label>
                                    {!! Form::text('tag_number', old('tag_number'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Tag Exp. Date</label>
                                    {!! Form::text('tag_exp', old('tag_exp'), array('class' => 'date form-control', 'onPaste' => 'return false')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Tag Photo</label>
                                    <a href="javascript:void(0);" class="gallary-edit mr-4 form-control" data-id="{{$dummy_truck_id}}" data-source="trucks" data-field="tag_photo" data-toggle="modal" data-target="#galleryModal">Upload
                                        <img src="{{ asset('theme/img/picture.png') }}" alt="">
                                    </a>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>EZ Pass ID</label>
                                    {!! Form::text('ez_pass_id', old('ez_pass_id'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>PrePass ID</label>
                                    {!! Form::text('prepass_id', old('prepass_id'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>ELD Provider</label>
                                    {!! Form::text('eorb_provider', old('eorb_provider'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>ELD ID</label>
                                    {!! Form::text('eorb_id', old('eorb_id'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Camera Provider</label>
                                    {!! Form::text('camera_provider', old('camera_provider'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Camera ID</label>
                                    {!! Form::text('camera_id', old('camera_id'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Phys Dam. Ins. Carrier</label>
                                    {!! Form::text('phys_dam_ins_carrier', old('phys_dam_ins_carrier'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>Start Date</label>
                                    {!! Form::text('phys_dam_start_date', old('phys_dam_start_date'), array('class' => 'form-control date', 'onPaste' => 'return false')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>Exp. Date</label>
                                    {!! Form::text('phys_dam_exp_date', old('phys_dam_exp_date'), array('class' => 'form-control date', 'onPaste' => 'return false')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>Insured Value</label>
                                    {!! Form::text('phys_dam_insured_value', old('phys_dam_insured_value'), array('class' => 'form-control date', 'onPaste' => 'return false')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Attachment</label>
                                    <a href="javascript:void(0);" class="gallary-edit mr-4 form-control" data-id="{{$dummy_truck_id}}" data-source="trucks" data-field="phys_dam_file" data-toggle="modal" data-target="#galleryModal">Upload
                                        <img src="{{ asset('theme/img/picture.png') }}" alt="">
                                    </a>
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Bobtail [NTL] Carrier</label>
                                    {!! Form::text('bobtail_carrier', old('bobtail_carrier'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>Start Date</label>
                                    {!! Form::text('bobtail_carrier_start_date', old('bobtail_carrier_start_date'), array('class' => 'form-control date', 'onPaste' => 'return false')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>Exp. Date</label>
                                    {!! Form::text('bobtail_carrier_exp_date', old('bobtail_carrier_exp_date'), array('class' => 'form-control date', 'onPaste' => 'return false')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>Insured Value</label>
                                    {!! Form::text('bobtail_carrier_insured_value', old('bobtail_carrier_insured_value'), array('class' => 'form-control date', 'onPaste' => 'return false')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Attachment</label>
                                    <a href="javascript:void(0);" class="gallary-edit mr-4 form-control" data-id="{{$dummy_truck_id}}" data-source="trucks" data-field="bobtail_carrier_file" data-toggle="modal" data-target="#galleryModal">Upload
                                        <img src="{{ asset('theme/img/picture.png') }}" alt="">
                                    </a>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Validate Coverage</label>
                                    <div class="row">
                                        <div class="col-md-3">
                                            <div class="custom-control custom-switch custom-switch-text">
                                                {!! Form::checkbox('physical_damage', 1, null, array('class' => 'custom-control-input', 'id' => 'physical_damage')) !!}
                                                <label class="custom-control-label" for="physical_damage">Physical Damage</label>
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="custom-control custom-switch custom-switch-text">
                                                {!! Form::checkbox('auto_liability', 1, null, array('class' => 'custom-control-input', 'id' => 'auto_liability')) !!}
                                                <label class="custom-control-label" for="auto_liability">Auto Liability</label>
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="custom-control custom-switch custom-switch-text">
                                                {!! Form::checkbox('bobtail', 1, null, array('class' => 'custom-control-input', 'id' => 'bobtail')) !!}
                                                <label class="custom-control-label" for="bobtail">Bobtail</label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">Other Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Carrier</label>
                                    {!! Form::select('carrier_id', ['' => 'Carrier']+getCarrierList(), null, ['class' => 'custom-select select2 form-control']) !!}
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Terminal</label>
                                    {!! Form::select('terminal_id', ['' => 'Select Terminal']+getTerminalList(), old('terminal_id'), ['class' => 'form-control']) !!}
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Owner</label>
                                    <select name="owner_id" class="form-control select2">
                                        <option value="">Select Option</option>
                                        @if(!empty(getCarrierList()))
                                            <optgroup label="Carrier">
                                                @foreach (getCarrierList() as $nckey => $node)
                                                    <option value="carriers_{{ $nckey }}">{{ $node }}</option>
                                                @endforeach
                                            </optgroup>
                                        @endif
                                        @if(!empty(getTruckOwnerList()))
                                            <optgroup label="Truck Owner">
                                                @foreach (getTruckOwnerList() as $ntkey => $node)
                                                    <option value="truck_owners_{{ $ntkey }}">{{ $node }}</option>
                                                @endforeach
                                            </optgroup>
                                        @endif
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Ownership</label>
                                    {!! Form::select('ownership', ['' => 'Select Ownership', '1' => 'Owned', '2' => 'Leased'], old('ownership'), ['class' => 'form-control ownership']) !!}
                                </div>
                            </div>
                            <div class="col-md-8">
                                <div class="row forleass" >
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Leasing Co</label>
                                            {!! Form::text('leasing_co', old('leasing_co'), array('class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Lease Expiration Date</label>
                                            {!! Form::text('lease_expiration_date', old('lease_expiration_date'), array('class' => 'form-control date', 'onPaste' => 'return false')) !!}
                                            <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Attachment</label>
                                            <a href="javascript:void(0);" class="gallary-edit mr-4 form-control" data-id="{{$dummy_truck_id}}" data-source="trucks" data-field="lease_documents" data-toggle="modal" data-target="#galleryModal">Upload
                                                <img src="{{ asset('theme/img/picture.png') }}" alt="">
                                            </a>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Copy of lease agreement</label>
                                            {!! Form::text('lease_agreement_title', old('lease_agreement_title'), array('class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                    {{--
                                    <div class="col-md-1">
                                        <img src="{{ asset('theme/img/delete-icon.png') }}" alt="">
                                    </div>
                                    --}}
                                </div>
                                <div class="row forowner" >
                                    {{--
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label>Owner</label>
                                            {!! Form::text('owner_name', old('owner_name'), array('class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                    --}}
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Purchase Price</label>
                                            {!! Form::text('owner_purchase_price', old('owner_purchase_price'), array('class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Purchase Date</label>
                                            {!! Form::text('owner_purchase_date', old('owner_purchase_date'), array('class' => 'form-control date', 'onPaste' => 'return false')) !!}
                                            <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Attachment</label>
                                            <a href="javascript:void(0);" class="gallary-edit mr-4 form-control" data-id="{{$dummy_truck_id}}" data-source="trucks" data-field="owner_documents" data-toggle="modal" data-target="#galleryModal">Upload
                                                <img src="{{ asset('theme/img/picture.png') }}" alt="">
                                            </a>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Copy of owner agreement</label>
                                            {!! Form::text('owner_agreement_title', old('owner_agreement_title'), array('class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                    {{--
                                    <div class="col-md-1">
                                        <img src="{{ asset('theme/img/delete-icon.png') }}" alt="">
                                    </div>
                                    --}}
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>FAI Due Date</label>
                                    {!! Form::text('fai_due_date', old('fai_due_date'), array('class' => 'form-control date', 'onPaste' => 'return false')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>FAI Photo</label>
                                    <a href="javascript:void(0);" class="gallary-edit mr-4 form-control" data-id="{{$dummy_truck_id}}" data-source="trucks" data-field="fai_file" data-toggle="modal" data-target="#galleryModal">Upload
                                        <img src="{{ asset('theme/img/picture.png') }}" alt="">
                                    </a>
                                 </div>
                            </div>
                            <div class="col-md-5"></div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>KYU Due Date</label>
                                    {!! Form::text('kyu_due_date', old('kyu_due_date'), array('class' => 'form-control date', 'onPaste' => 'return false')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>KYU Photo</label>
                                    <a href="javascript:void(0);" class="gallary-edit mr-4 form-control" data-id="{{$dummy_truck_id}}" data-source="trucks" data-field="kyu_file" data-toggle="modal" data-target="#galleryModal">Upload
                                        <img src="{{ asset('theme/img/picture.png') }}" alt="">
                                    </a>
                                 </div>
                            </div>
                            <div class="col-md-5"></div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>2290 Date</label>
                                    {!! Form::text('2290_due_date', old('2290_due_date'), array('class' => 'form-control date', 'onPaste' => 'return false')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>2290 Photo</label>
                                    <a href="javascript:void(0);" class="gallary-edit mr-4 form-control" data-id="{{$dummy_truck_id}}" data-source="trucks" data-field="2290_file" data-toggle="modal" data-target="#galleryModal">Upload
                                        <img src="{{ asset('theme/img/picture.png') }}" alt="">
                                    </a>
                                 </div>
                            </div>
                            <div class="col-md-5"></div>
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label>NYHUT</label>
                                    {!! Form::text('nyhut', old('nyhut'), array('class' => 'form-control', 'autocomplete' => 'form-control', 'autocomplete' => 'new_email')) !!}
                                </div>
                            </div>
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label>NYHUT Date</label>
                                    {!! Form::text('nyhut_date', old('nyhut_date'), array('class' => 'form-control date', 'id' => 'shipperDate', 'onPaste' => 'return false')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                 </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>2290 Photo</label>
                                    <a href="javascript:void(0);" class="gallary-edit mr-4 form-control" data-id="{{$dummy_truck_id}}" data-source="trucks" data-field="nyhut_file" data-toggle="modal" data-target="#galleryModal">Upload
                                        <img src="{{ asset('theme/img/picture.png') }}" alt="">
                                    </a>
                                 </div>
                            </div>

                            <div class="col-md-5">
                                <div class="form-group">
                                    <label>CARB ID</label>
                                    {!! Form::text('carb_id', old('carb_id'), array('class' => 'form-control', 'autocomplete' => 'form-control', 'autocomplete' => 'new_email')) !!}
                                </div>
                            </div>
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label>CARB ID Date</label>
                                    {!! Form::text('carb_id_date', old('carb_id_date'), array('class' => 'form-control date', 'id' => 'shipperDate', 'onPaste' => 'return false')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                 </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>CARB ID Photo</label>
                                    <a href="javascript:void(0);" class="gallary-edit mr-4 form-control" data-id="{{$dummy_truck_id}}" data-source="trucks" data-field="carb_id_file" data-toggle="modal" data-target="#galleryModal">Upload
                                        <img src="{{ asset('theme/img/picture.png') }}" alt="">
                                    </a>
                                 </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">Truck Specs</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Weight</label>
                                    {!! Form::text('weight', old('weight'), array('class' => 'form-control')) !!}
                                 </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Max Load Weight</label>
                                    {!! Form::text('max_load_weight', old('max_load_weight'), array('class' => 'form-control')) !!}
                                 </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Fuel Capacity</label>
                                    {!! Form::text('fuel_capacity', old('fuel_capacity'), array('class' => 'form-control')) !!}
                                 </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Axles</label>
                                    {!! Form::text('axles', old('axles'), array('class' => 'form-control')) !!}
                                 </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Tire Size</label>
                                    {!! Form::text('tire_size', old('tire_size'), array('class' => 'form-control')) !!}
                                 </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Wheel Size</label>
                                    {!! Form::text('wheel_size', old('wheel_size'), array('class' => 'form-control')) !!}
                                 </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Fuel Type</label>
                                    {!! Form::text('fuel_type', old('fuel_type'), array('class' => 'form-control')) !!}
                                 </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Fuel Capacity</label>
                                    {!! Form::text('tuel_capacity', old('tuel_capacity'), array('class' => 'form-control')) !!}
                                 </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Fuel Capacity</label>
                                    {!! Form::text('fuel_capacity', old('fuel_capacity'), array('class' => 'form-control')) !!}
                                 </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title clear-btn">Truck Metrics<button type="button" class="update-data"><i class="fa fa-download"></i> Update from ELD</button></h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Odometer</label>
                                    {!! Form::text('odometer', old('odometer'), array('class' => 'form-control')) !!}
                                 </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Engine Hours</label>
                                    {!! Form::text('engine_hours', old('engine_hours'), array('class' => 'form-control')) !!}
                                 </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">
                        Last Location
                    </h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-8">
                                <div class="form-group">
                                    <label>Location Name</label>
                                    {!! Form::text('last_location_name', old('last_location_name'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Load Status</label>
                                    <div class="row">
                                        <div class="col-sm-3">
                                            <div class="custom-control custom-radio">
                                                {!! Form::radio('last_location_load_status', 0, true, array('class' => 'custom-control-input', 'id' => 'last_location_load_empty')) !!}
                                                <label class="custom-control-label" for="last_location_load_empty">Empty</label>
                                            </div>
                                        </div>
                                        <div class="col-sm-3 pl-5">
                                            <div class="custom-control custom-radio">
                                                {!! Form::radio('last_location_load_status', 1, null, array('class' => 'custom-control-input', 'id' => 'last_location_load_loaded')) !!}
                                                <label class="custom-control-label" for="last_location_load_loaded">Loaded</label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12 geocoding">
                                <input type="hidden" class="geocoding-latitude" name="last_location_latitude" value="" autocomplete="off">
                                <input type="hidden" class="geocoding-longitude" name="last_location_longitude" value="" autocomplete="off">
                                <input type="hidden" class="geocoding-abbr" name="last_location_timezone_abbr" value="" autocomplete="off" data-parsley-errors-container="#last_location_timezone_abbr-errors" data-parsley-required-message="Please verify address" required>
                                <input type="hidden" class="geocoding-verified" name="last_location_address_verified" value="0" autocomplete="off">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Address<span>*</span></label>
                                            {!! Form::text('last_location_address', old('last_location_address'), array(
                                                    'class'         => 'form-control geocoding-address-1',
                                                    'placeholder'   => '',
                                                    'id'            => 'address',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Address 2</label>
                                            {!! Form::text('last_location_address_2', old('last_location_address_2'), array(
                                                    'class'         => 'form-control geocoding-address-2',
                                                    'placeholder'   => '',
                                                    'id'            => 'address_2'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>City</label>
                                            {!! Form::text('last_location_city', old('last_location_city'), array(
                                                    'class'         => 'form-control geocoding-city',
                                                    'placeholder'   => '',
                                                    'id'            => 'city'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>State<span>*</span></label>
                                            {!! Form::text('last_location_state', old('last_location_state'), array(
                                                    'class'         => 'form-control geocoding-state',
                                                    'placeholder'   => '',
                                                    'id'            => 'state',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Zip<span>*</span></label>
                                            {!! Form::text('last_location_zip', old('last_location_zip'), array(
                                                    'class'         => 'form-control geocoding-zip',
                                                    'placeholder'   => '',
                                                    'id'            => 'zip',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <button type="button" class="btn btn-warning geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify</button>
                                        <div id="last_location_timezone_abbr-errors"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Notes</label>
                                    {!! Form::textarea('last_location_notes', old('last_location_notes'), array('placeholder' => 'Type your note...', 'class' => 'form-control', 'rows' => '4')) !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">Status</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Current Status</label>
                                    {!! Form::select('status', ['' => 'Select Status', '1' => 'Available', '2' => 'OOS (DOT)', '3' => 'OOS (Mech)'], null, ['class' => 'custom-select select2 form-control']) !!}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Truck Photo</label>
                                    {!! Form::file('truck_image', ['class' => 'form-control']) !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">Maintenance Logs</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12 pt-2 pb-2">
                                <div class="form-group">
                                    <label><strong>Note:</strong> Maintenance Logs for a truck can't be set until the driver account is saved</label>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="button-bottom">
            <a href="{{ route('company.admin.trucks.index') }}" class="cancel-btn">Cancel</a>
            <button class="submit-btn">Submit</button>
        </div>
    {!! Form::close() !!}
@endsection

@section('script')
    <script src="{{ asset('theme/js/moment.min.js') }}"></script>
    <script src="{{ asset('theme/js/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script src="{{ asset('theme/js/charts-loader.js') }}"></script>
    <script type="text/javascript">
        $('.store-form').parsley();
        $('.select2').select2();

        $('.date').datepicker({
            autoclose: true,
            todayHighlight: true,
        });

        $(".forleass").hide(300);
        $(".forowner").hide(300);

        var ownership = $('.ownership').find(":selected").val();
        if(ownership == '1'){
            $(".forowner").show(300);
        }
        if(ownership == '2'){
            $(".forleass").show(300);
        }

        $("body").on("change",".ownership",function(e){
            $(".forleass").hide(300);
            $(".forowner").hide(300);

           var value = this.value;
           if(value == '1'){
                $(".forowner").show(300);
           }
           if(value == '2'){
                $(".forleass").show(300);
           }
        });

        $(".update-data").click(function(e){
            e.preventDefault();
            $("button.update-data").html('<img src="'+loadimg+'" width="25" /> Fetching Data');
            var token       = $('meta[name="csrf-token"]').attr('content');
            var vin_number  = $("input[name='vin_number']").val();
            var carrier_id  = $("input[name='carrier_id']").val();
            if(vin_number){
                $.ajax({
                    url: "{{ route('company.admin.get.truck.sync.vehicles.data') }}",
                    method: "POST",
                    data: { _token : token, vin_number : vin_number, carrier_id: carrier_id },
                    success: function(response) {
                        var data = response.data.data;
                        if(data){
                            $("input[name='unit']").val(data.name);
                            $("input[name='make']").val(data.make);
                            $("input[name='model']").val(data.model);
                            $("input[name='year']").val(data.year);

                            $("input[name='eorb_provider']").val('samsara');
                            $("input[name='eorb_id']").val(data.id);
                            $("input[name='tag_number']").val(data.licensePlate);

                            $("input[name='odometer']").val(response.OdometerMeters);
                            $("input[name='engine_hours']").val(response.EngineSeconds);
                            toastr.success('Samsara data successfully updated.', 'Success Alert', {timeOut: 5000})
                        }else{
                            toastr.error("Vin number doesn't match with samsara registration.", 'Error Alert', {timeOut: 5000})
                        }
                        $("button.update-data").html('<i class="fa fa-download"></i> Update from ELD');
                    },
                    error: function (error) {
                        $("button.update-data").html('<i class="fa fa-download"></i> Update from ELD');
                        toastr.error("Vin number doesn't match with samsara registration.", 'Error Alert', {timeOut: 5000})
                    },
                });
            }else{
                toastr.error('Please enter vin number.', 'Error Alert', {timeOut: 5000})
            }
        });
    </script>
@endsection

@push('after-scripts')
    <script src="{{ asset('theme/js/trimble.js') }}"></script>
@endpush
