@extends($companyAdminTheme)

@section('title')
    Truck
@endsection

@section('style')
<link rel="stylesheet" href="//code.jquery.com/ui/1.13.1/themes/base/jquery-ui.css">
@endsection

@section('content')
<div class="table-control">
    <a href="{{ route('company.admin.trucks.create') }}" class="btn green-btn green-link-btn">Add New</a>
</div>
<div class="white-box table-view">
    <h3 class="table-title">Trucks</h3>
    <div class="add-responsive">
        <table id="driversTable" class="table data-table">
            <thead>
                <tr>
                    {{-- @foreach($getField as $key => $filed)
                    @if($filed == 1 && isset(config('settings.table_trucks')[$key]['name']))
                      <th>{{ config('settings.table_trucks')[$key]['name'] }}</th>
                    @endif
                  @endforeach --}}
                  @foreach($getField as $key => $filed)
                  @if($filed == 1 && isset(config('settings.table_trucks')[$key]['name']))
                      @if(isset(config('settings.table_trucks')[$key]['searchBuilderType']))
                          @if( config('settings.table_trucks')[$key]['searchBuilderType'] == 'string' )
                          <th>{{ config('settings.table_trucks')[$key]['name'] }} <i class="fa fa-filter columnFilter table_trucks_{{$key}}_string" data-modal="SearchByStringModal{{ $key }}"></i></th>
                          @elseif( config('settings.table_trucks')[$key]['searchBuilderType'] == 'date' )
                          <th>{{ config('settings.table_trucks')[$key]['name'] }} <i class="fa fa-filter columnFilter table_trucks_{{$key}}_date" data-modal="SearchByDateModal{{ $key }}"></i></th>
                          @endif
                      @else
                          <th>{{ config('settings.table_trucks')[$key]['name'] }}</th>
                      @endif
                  @endif
            @endforeach
                </tr>
            </thead>
            <tbody>
            </tbody>
        </table>
    </div>
</div>

<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
    <input type="hidden" name="table_id" value="trucks" />

    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Adjust Table Columns</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <ul class="sortableList connected-sortable droppable-area1" id="sortable">
            @foreach($getField as $key => $filed)
                @if(isset(config('settings.table_trucks')[$key]['name']))
                  <li class="ui-state-default">
                      <div class="custom-control custom-checkbox">
                        <input type='hidden' value='0' name='field[{{ $key }}]'>
                        <input type="checkbox" class="custom-control-input" id="Check{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed == 1) checked @endif>
                        <label class="custom-control-label" for="Check{{ $key }}">{{ config('settings.table_trucks')[$key]['name'] }}</label>
                      </div>
                      <i class="fa fa-align-justify drag-icon"></i>
                  </li>
                @endif
            @endforeach
        </ul>
      </div>
      <div class="modal-footer">
        <button type="submit" class="btn btn-primary">Save</button>
      </div>
    </div>
    {!! Form::close() !!}
  </div>
</div>

@endsection

@section('script')
<script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
<script>


var table = $('.data-table').DataTable({
    stateSave: true,
    bSortCellsTop: true,
    language: {
        search: "",
        searchPlaceholder: "Search...",
    },
    dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
    processing: true,
    serverSide: true,
    fixedHeader: true,
    ordering: false,
    pageLength: "{{ perPageView() }}",

    //order: [[0, "desc"]],
    //ajax: "{{ route('company.admin.trucks.index') }}",
    ajax: {
      url: "{{ route('company.admin.trucks.index') }}",
      data: function (d) {
        <?php foreach($getField as $key => $filed): ?>
          d.search_string_value_{{$key}}              = $('#search_string_{{$key}}').val();
          d.search_string_name_{{$key}}               = $('#stringKey{{$key}}').val();
          d.search_string_type_{{$key}}               = $('#stringType{{$key}}').val();
          d.search_table_name_{{$key}}                = $('#stringTableType{{$key}}').val();
          d.search_string_condition_{{$key}}          = $("input[type='radio'][name='condition{{$key}}']:checked").val();
          d.search_string_sort_{{$key}}               = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();

          d.search_string_relation_table_{{$key}}     = $('#stringRelationTable{{$key}}').val();
          d.search_string_col_name1_{{$key}}          = $('#stringColName1{{$key}}').val();
          d.search_string_col_name2_{{$key}}          = $('#stringColName2{{$key}}').val();
          d.search_string_static_{{$key}}             = $('#stringStatic{{$key}}').val();

          d.search_string_having_{{$key}}             = $('#stringHaving{{$key}}').val();

          d.search_string_col_alias1_name_{{$key}}    = $('#stringColAl1{{$key}}').val();
          d.search_string_col_alias2_name_{{$key}}    = $('#stringColAl2{{$key}}').val();
          d.search_string_col_alias3_name_{{$key}}    = $('#stringColAl3{{$key}}').val();
          d.search_string_col_alias4_name_{{$key}}    = $('#stringColAl4{{$key}}').val();
          d.search_string_col_alias5_name_{{$key}}    = $('#stringColAl5{{$key}}').val();
          d.search_string_col_alias6_name_{{$key}}    = $('#stringColAl6{{$key}}').val();

          d.search_date_from_value_{{$key}}           = $('#search_date_{{$key}}').val();
          d.search_date_to_value_{{$key}}             = $('#search_date_end_{{$key}}').val();
          d.search_date_name_{{$key}}                 = $('#dateKey{{$key}}').val();
          d.search_date_type_{{$key}}                 = $('#dateType{{$key}}').val();
          d.search_date_table_name_{{$key}}           = $('#dateTableType{{$key}}').val();
          d.search_date_condition_{{$key}}            = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
          d.search_date_sort_{{$key}}                 = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();
        <?php endforeach; ?>
      }
    },
    columns: [
        <?php foreach($getField as $key => $filed): ?>
          <?php if($filed == 1): ?>
            <?php if(isset(config('settings.table_trucks')[$key]['name'])): ?>
                <?php if(config("settings.table_trucks")[$key]["orderable"] == 1 && config("settings.table_trucks")[$key]["searchable"] == 1): ?>
                  { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                <?php elseif(config("settings.table_trucks")[$key]["orderable"] == 1): ?>
                  { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                <?php elseif(config("settings.table_trucks")[$key]["searchable"] == 1): ?>
                  { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                <?php else: ?>
                  { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                <?php endif; ?>
            <?php endif; ?>
          <?php endif; ?>
        <?php endforeach; ?>
    ]
});

$('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3"><i class="fa fa-refresh"></i> Refresh</a>').prependTo(".dataTables_filter");
$('<a href="javascript:void(0);" id="clearAll{{ str_replace("settings.", "", $tableName) }}" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tableName) }} {{ str_replace("settings.", "", $tableName) }} ml-3 d-none">Clear filters</a>').prependTo(".dataTables_filter");
$('<button type="button" class="btn btn-primary ml-3" data-toggle="modal" data-target="#exampleModal">Columns</button>').appendTo(".dataTables_filter");

// $(document).ready(function() {
//     $('.data-table thead tr').clone(true).appendTo('.data-table thead');
//     $('.data-table thead tr:eq(1) th').each( function (i) {
//         console.log();
//         var title = $(this).text();
//         var getClass = $(this).attr("class");
//         if(getClass == 'sorting'){
//           var search_value = table.column(i).search();
//           $(this).html( '<input type="text" value="'+search_value+'" placeholder=" Search '+title+'" class="sercol" onclick="stopPropagation(event);" />' );

//           $( 'input', this ).on( 'keyup change', function () {
//               if ( table.column(i).search() !== this.value ) {
//                   table
//                   .column(i)
//                   .search( this.value )
//                   .draw();
//               }
//           });
//         }else{
//           $(this).html('');
//         }
//     });
// });

$( function() {
  $("#sortable").sortable();
} );

</script>

@endsection
