@extends($companyAdminTheme)

@section('title')
    Truck Show
@endsection

@section('style')
<link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
<style type="text/css">
	<style type="text/css">
        .samsaratab .box-title {
            padding: 20px;
            color: #222b45;
            font-size: 20px;
        }
        #events_selector {
            padding: 4px;
        }

        .target-calendar button.fc-next-button.fc-button.fc-state-default.fc-corner-right {
            position: relative;
            right: auto;
        }

        .target-calendar button.fc-prev-button.fc-button.fc-state-default.fc-corner-left {
            position: relative;
            left: auto;
        }

        .addevent {
            cursor: pointer;
        }

        .modal .form-group h5 {
            font-size: 16px;
        }

        .select2-container {
            width: 100% !important;
        }

        .select2-container .select2-selection--single {
            height: 35px;
        }

        .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }

        .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 34px;
        }

        .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 31px;
        }

        .select2-container--open .select2-dropdown {
            left: -1px;
        }

        #EvoCalendar {
            margin: 20px 20px;
        }

        .fc-unthemed .fc-divider, .fc-unthemed .fc-list-heading td, .fc-unthemed .fc-popover .fc-header {
            background: #eee;
        }

        .fc-list-heading .fc-list-heading-alt {
            margin-left: 8px;
        }

        .fc th, .fc td {
            border-width: 0px !important;
        }

        .fc-list-item .fc-list-item-time {
            padding: 7px 0px;
        }

        .tab-content .custom-control-input:checked ~ .custom-control-label.birthdayscolor::before,.custom-control-label.birthdayscolor::before {
            background-color: <?php echo getEventColor(0) ?>   !important;
            border-color: <?php echo getEventColor(0) ?>   !important;
        }

        .tab-content .custom-control-input:checked ~ .custom-control-label.expirationscolor::before,.custom-control-label.expirationscolor::before {
            background-color: <?php echo getEventColor(3) ?>   !important;
            border-color: <?php echo getEventColor(3) ?>   !important;
        }

        .tab-content .custom-control-input:checked ~ .custom-control-label.truckscolor::before,.custom-control-label.truckscolor::before {
            background-color: <?php echo getEventColor(4) ?>   !important;
            border-color: <?php echo getEventColor(4) ?>   !important;
        }

        .tab-content .custom-control-input:checked ~ .custom-control-label.trailerscolor::before,.custom-control-label.trailerscolor::before {
            background-color: <?php echo getEventColor(5) ?>   !important;
            border-color: <?php echo getEventColor(5) ?>   !important;
        }

        .tab-content .custom-control-input:checked ~ .custom-control-label.dueDatecolor::before,.custom-control-label.dueDatecolor::before {
            background-color: <?php echo getEventColor(7) ?>   !important;
            border-color: <?php echo getEventColor(7) ?>   !important;
        }
        .tab-content .custom-control-input:checked~.custom-control-label.personalcolor::before,.custom-control-label.personalcolor::before {
            background-color: <?php echo getEventColor(8) ?>   !important;
            border-color: <?php echo getEventColor(8) ?>   !important;
        }
        .tab-content .custom-control-input:checked~.custom-control-label.myLeaveslcolor::before,.custom-control-label.myLeaveslcolor::before {
            background-color: <?php echo getEventColor(7) ?>   !important;
            border-color: <?php echo getEventColor(7) ?>   !important;
        }
        .occupancy-toolbar h2 {
            font-size: 18px;
        }
        .occupancy-table table thead th {background-color: #fff;}
        .occupancy-table table td:first-child {font-weight: normal;}
        .occupancy-table table td {height: 39px;}
        .prifileedit {background-color: #18203a78;position: absolute;right: 5px;top: 5px;height: 25px;width: 25px;text-align: center;align-items: center;border-radius: 50px;}
        .prifiledelete {background-color: #18203a78;position: absolute;right: 34px;top: 5px;height: 25px;width: 25px;text-align: center;align-items: center;border-radius: 50px;}
        .tab-content .green-btn {min-width: auto;}
        .file-request-modal .form-group label {
        font-size: 12px;
    }


    </style>
</style>
@endsection

@section('content')
<div class="load-wrapper">
        <div class="row">
            <div class="col-md-12">
                <div class="white-box mb-4">
                    <div class="box-padding pad-30 position-relative">
                        <ul class="top-section">
                            <li>
                                <div class="main-blue-box" style="position: relative;">
                                    <span class="blue-box">
                                        @if (!is_null($truck->truck_image))
                                            <img src="{{ asset('storage/companyAdmin/truck/'.$truck->truck_image) }}"
                                               style="position: unset;height: 100%; width: 100%;">
                                        @else
                                            <img src="{{ asset('theme/img/noimage.png') }}"
                                                   style="position: unset;height: 100%; width: 100%;">
                                        @endif
                                    </span>
                                    @if (!is_null($truck->truck_image))
                                        <a href="{{ route('company.admin.remove.truck.image', $truck->id) }}" class="prifiledelete"><img src="{{ asset('theme/img/delete-icon.png') }}" /></a>
                                    @endif
                                    <a href="javascript::void(0)" class="prifileedit" data-toggle="modal" data-target="#truckIamge"><img src="{{ asset('theme/img/edit-icon.png') }}" /></a>
                                </div>
                            </li>
                            <li class="right-bdr">
                                <div class="address-details">
                                    <h2>Truck Information</h2>
                                    <ul>
                                        <li><i class="fa fa-check"></i>Unit: <span>{{ $truck->unit }}</span></li>
                                        <li><i class="fa fa-check"></i>Carrier: <span>{{ !is_null($truck->carrier) ? $truck->carrier->name : '-' }}</span></li>
                                        <li><i class="fa fa-check"></i>Year: <span>{{ $truck->year }}</span></li>
                                        <li><i class="fa fa-check"></i>Make: <span>{{ $truck->make }}</span></li>
                                    </ul>
                                </div>
                            </li>
                            <li>
                                <div class="address-details">
                                    <h2 style="opacity:0;">Information</h2>
                                    <ul>
                                        <li><i class="fa fa-check"></i>Vin Number: <span>{{ $truck->vin_number }}</span></li>
                                        <li><i class="fa fa-check"></i>Tag: <span>{{ $truck->tag }}</span></li>
                                        <li><i class="fa fa-check"></i>NYHUT: <span>{{ $truck->nyhut }}</span></li>
                                    </ul>
                                </div>
                            </li>
                            <li class="toggle-icon-right">
                                <div class="dropdown-option">
                                    <div class="dropdown">
                                        <a href="" class="tgl-menu" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            <img src="http://localhost:8000/theme/img/menu-icon.png" alt="" />
                                        </a>

                                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton" x-placement="bottom-start" style="position: absolute; transform: translate3d(0px, 20px, 0px); top: 0px; left: 0px; will-change: transform;">
                                            <a class="dropdown-item tgl-item" href="{{ route('company.admin.trucks.edit', base64Encode($truck->id)) }}">Edit Truck</a>
                                            <a class="dropdown-item red destroy" href="javascript:void(0);"
                                               data-action="{{ route('company.admin.trucks.destroy',$truck->id) }}"
                                               data-id="{{ $truck->id }}">Delete</a>
                                        </div>
                                    </div>
                                </div>
                            </li>
                        </ul>
                    </div>

                </div>
            </div>

            <div class="col-md-12">
                <div class="">
                    <ul class="nav nav-tabs" id="myTab" role="tablist">
                        <li class="nav-item" role="presentation">
                            <a class="nav-link active Information" id="All-tab" data-ids="commanC" data-toggle="tab" href="#Information" role="tab"
                               aria-controls="All" aria-selected="true">Information</a>
                        </li>

                        <li class="nav-item" role="presentation">
                            <a class="nav-link Loads" id="View-tab" data-ids="commanC" data-toggle="tab" href="#Loads" role="tab"
                               aria-controls="View" aria-selected="false">Loads</a>
                        </li>
                        <li class="nav-item" role="presentation">
                            <a class="nav-link Maintenance" id="leave-tab" data-ids="commanC" data-toggle="tab"
                               href="#Maintenance" role="tab"
                               aria-controls="leave" aria-selected="false">Maintenance</a>
                        </li>
                        <li class="nav-item" role="presentation">
                            <a class="nav-link Documents" id="leave-tab" data-ids="commanC" data-toggle="tab" href="#Documents" role="tab"
                               aria-controls="leave" aria-selected="false">Documents</a>
                        </li>
                        <li class="nav-item" role="presentation">
                            <a class="nav-link Gallery" id="leave-tab" data-ids="commanC" data-toggle="tab" href="#Gallery" role="tab"
                               aria-controls="leave" aria-selected="false">Gallery</a>
                        </li>
                        <li class="nav-item" role="presentation">
                            <a class="nav-link Notes" id="leave-tab" data-ids="commanC" data-toggle="tab"
                               href="#Notes" role="tab"
                               aria-controls="leave" aria-selected="false">Notes</a>
                        </li>

                    </ul>
                    <div class="tab-content" id="myTabContent">
                        <div class="tab-pane fade show active" id="Information" data-ids="commanC" role="tabpanel"
                             aria-labelledby="All-tab">
                            Information
                        </div>
                        <div class="tab-pane fade urlOnBordi" id="Loads" data-ids="commanC" role="tabpanel"
                             aria-labelledby="View-tab">
                            Loads
                        </div>
                        <div class="tab-pane fade urlOnBordi" id="Maintenance" data-ids="commanC" role="tabpanel"
                             aria-labelledby="leave-tab">
                            Maintenance
                        </div>
                        <div class="tab-pane fade urlOnBordi" id="Documents" data-ids="commanC" role="tabpanel"
                             aria-labelledby="View-tab">
                            @include('companyAdmin.truck.tab.documents')
                        </div>
                        <div class="tab-pane fade urlOnBordi" id="Gallery" data-ids="commanC" role="tabpanel"
                             aria-labelledby="View-tab">
                            @include('companyAdmin.truck.tab.gallery')
                        </div>

                        <div class="tab-pane fade urlOnBordi" id="Notes" data-ids="commanC" role="tabpanel"
                             aria-labelledby="View-tab">
                            Notes
                        </div>

                    </div>
                </div>
            </div>


        </div>
    </div>

<div class="modal fade" id="truckIamge" tabindex="-1" role="dialog"
        aria-labelledby="truckIamge" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="truckIamge">Truck Image</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="bg-light px-3 py-2 mb-4">
                    {!! Form::open(array('route' => 'company.admin.update.truck.image','method'=>'POST','files'=>'true')) !!}
                        <input type="hidden" name="truck_id" value="{{ $truck->id }}" />
                        <div class="form-row">
                            <div class="form-group col-lg-9">
                                <label for="inputPassword4">Image</label>
                                {!! Form::file('truck_image', ['class' => 'form-control']) !!}
                            </div>
                            <div class="form-group col-lg-3 mb-4 mt-lg-4 pt-xl-2">
                                <button type="submit" class="green-btn">Upload</button>
                            </div>
                        </div>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('script')
<script src="{{ asset('theme/js/select2.full.min.js') }}"></script>

<script type="text/javascript">

var loadimg = "{{ asset('theme/img/loading.gif') }}";


    var table = $('.request-documents-data-table').DataTable({
            stateSave: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            processing: true,
            serverSide: true,
            bJQueryUI: true,
            ordering: false,
            pageLength: "{{ perPageView() }}",
            lengthMenu: [[10, 20, 50, 100, -1], [10, 20, 50, 100, "All"]],
            dom: "<'row cusotdiv'<'col-sm-2 col-md-2'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            ajax: "{{  route('company.admin.truck.get.request.documents', $truck->id) }}",
            columns: [
                {data: 'field_name', name: 'field_name'},
                {data: 'created_by', name: 'created_by'},
                {data: 'date', name: 'date'},
                {data: 'status', name: 'status'},
                {data: 'requested_by', name: 'requested_by'},
                {data: 'approved_by', name: 'approved_by'},
                {data: 'access', name: 'access'},
                {data: 'action', name: 'action'},
            ]
        });


$('.storeForm').parsley();

$(".addmorefile").click(function () {
    var html = '';
    html += '<div class="form-row" id="inputFormRow">';
    html += '<div class="form-group col-lg-4 col-sm-6">';
    html += '<label>Files</label>';
    html += '<select class="form-control cfile_name" name="field_name[]" required>';
    html += '<option value="" style="display: none;">Select Files Name</option>';

    <?php foreach(getRequestDocumentsList() as $fdata): ?>
        <?php if($fdata['source'] == 'truck'): ?>
            html += '<option value="{{ $fdata['field_name'] }}" class="{{ $fdata['source'] }}">{{ $fdata['name'] }}</option>';
        <?php endif; ?>
    <?php endforeach; ?>

    html += '</select>';
    html += '</div>';
    html += '<div class="form-group col-lg-6">';
    html += '<label for="inputEmail4">Name</label>';
    html += '<input class="form-control" placeholder="File Name" required="required" name="file_name[]" type="text">';
    html += '</div>';
    html += '<div class="form-group col-lg-2 ">';
    html += '<label for="inputEmail4" class="invisible d-lg-block d-none">125</label>';
    html += '<a href="javascript:void(0)" class="btn btn-danger" id="removeRow"><i class="fa fa-trash"></i></a>';
    html += '</div>';
    html += '</div>';

    $('#newRow').append(html);
    //setSource();
});

$(document).ready(function() {
    $('.driversediv select').select2({
        dropdownParent: $('#requestDocModal .driversediv')
    });
    $('.dispasediv select').select2({
        dropdownParent: $('#requestDocModal .dispasediv')
    });

    $(".driversediv").hide();
    $(".dispasediv").hide();

    $("select[name=share]").on('change', function() {
        var value = this.value;

        $(".driversediv").hide();
        $(".dispasediv").hide();
        var driverse = $('.driverse').prop('required',false).attr('aria-describedby');
        $('#'+driverse).hide();
        var dispase = $('.dispase').prop('required',false).attr('aria-describedby');
        $('#'+dispase).hide();

        if(value == 1){
            $(".driversediv").show(300);
            var driverse = $('.driverse').prop('required',true).attr('aria-describedby');
            $('#'+driverse).show();
        }

        if(value == 2){
            $(".dispasediv").show(300);
            var dispase = $('.dispase').prop('required',true).attr('aria-describedby');
            $('#'+dispase).hide();
        }


    });



});

$(document).on('click', '#removeRow', function () {
    $(this).closest('#inputFormRow').remove();
});

$( function() {
  $("#sortable").sortable();
} );


$(document).ready(function(){
    $('#weeklyDate').datepicker({
        calendarWeeks: true,
        todayHighlight: true,
    }).on("changeDate", function (e) {
        var date = moment(e.date).format(dateLayout);
        $('.date').val(date);
    });

});


function getGallaryGridView(){
    $(".galleryGridView").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
    var token = $('meta[name="csrf-token"]').attr('content');
    $.ajax({
        url: "{{ route('company.admin.gallery.images.view') }}",
        method: "POST",
        data: {_token: token, source: 'gallery', action_id: '{{$truck->id}}', filed_name: 'truck_gallery' },
        success: function (response) {
            $('.galleryGridView').html(response.view);
            refreshFsLightbox();

        }
    });
}
getGallaryGridView();

$(document).on('click', '.galleryelete', function () {
    var token = $('meta[name="csrf-token"]').attr('content');
    var id = $(this).data('id');
    var action = $(this).data('action');

    if(id){
        Swal.fire({
            title: "Are you sure?",
            text: "You won't be able to revert this!",
            icon: "warning",
            showCancelButton: true,
            confirmButtonColor: "#3085d6",
            cancelButtonColor: "#d33",
            confirmButtonText: "Yes, delete it!",
        }).then((result) => {
            if (result.value) {
                $.ajax({
                    url: action,
                    method: "delete",
                    data: { _token : token, id : id},
                    success: function(response) {
                        getGallaryGridView();
                    }
                });
            }
        });
    }else {
        Swal.fire({
            title: "Error!",
            text: "Something went wrong!",
            icon: "error",
        })
    }
});



</script>

@endsection
