@extends($companyAdminTheme)

@section('title')
    Truck Owner Create
@endsection

@section('content')
    {!! Form::model($truckOwner, array('route' => ['company.admin.truck-owners.update',$truckOwner->id],'method'=>'PATCH','files'=>'true','class'=>'post-form')) !!}
        <div class="row">
            <div class="col-lg-12">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">General Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Name<span>*</span></label>
                                    {!! Form::text('name', old('name'), array(
                                            'class'         => 'form-control',
                                            'id'            => 'name',
                                            'placeholder'   => '',
                                            'autocomplete'  => 'new',
                                            'required'      => 'required'
                                        )
                                    ) !!}
                                </div>
                                @error('name')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>EIN</label>
                                    {!! Form::text('ein', old('ein'), array(
                                            'class'         => 'form-control ein-format',
                                            'id'            => 'ein',
                                            'placeholder'   => '',
                                            'autocomplete'  => 'new-password',
                                        )
                                    ) !!}
                                </div>
                                @error('ein')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="button-bottom">
            <a href="{{ route('company.admin.truck-owners.index') }}" class="cancel-btn">Cancel</a>
            <button class="submit-btn">Submit</button>
        </div>
    {!! Form::close() !!}
@endsection

@section('script')
    <script type="text/javascript">
        $('.post-form').parsley();
        // EIN Format
        $('.ein-format').on('keypress', function(e) {
            var key     = e.charCode || e.keyCode || 0;
            var phone   = $(this);
            // Auto-format- do not expose the mask as the user begins to type
            if (key !== 8 && key !== 9) {
                if (phone.val().length === 2) {
                    phone.val(phone.val() + '-');
                }
                if (phone.val().length >= 10) {
                    phone.val(phone.val().slice(0, 9));
                }
            }

            // Allow numeric (and tab, backspace, delete) keys only
            return (key == 8 ||
            key == 9 ||
            key == 46 ||
            (key >= 48 && key <= 57) ||
            (key >= 96 && key <= 105));
        }).on('focus', function() {
            phone = $(this);
        });
    </script>
@endsection