@extends($companyAdminTheme)

@section('title')
    Vendor Show
@endsection

@section('style')
<style type="text/css">
	h5 {
		font-size: 18px;
	}
</style>
@endsection

@section('content')
<div class="row">
    <div class="col-lg-6">
        <div class="white-box mb-4 generalAccount">
            <h4 class="box-title">General Information</h4>
            <div class="box-padding">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Name</label>
                            <h5>{{ $vendor->name }}</h5>
                        </div>
                    </div>
                    @php
                        $addresses         = [];
                    @endphp
                    @if(isset($vendor->address) && $vendor->address!=='')
                        @php
                            $addresses[]   = $vendor->address;
                        @endphp
                    @endif
                    @if(isset($vendor->address_2) && $vendor->address_2!=='')
                        @php
                            $addresses[]   = $vendor->address_2;
                        @endphp
                    @endif
                    @if(isset($vendor->city) && $vendor->city!=='')
                        @php
                            $addresses[]   = $vendor->city;
                        @endphp
                    @endif
                    @if(isset($vendor->state) && $vendor->state!=='')
                        @php
                            $addresses[]   = $vendor->state;
                        @endphp
                    @endif
                    @if(isset($vendor->zip) && $vendor->zip!=='')
                        @php
                            $addresses[]   = $vendor->zip;
                        @endphp
                    @endif
                    @php
                        $addresses         = implode(', ', $addresses);
                    @endphp
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Address</label>
                            <h5>{{ $addresses }}</h5>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group m-0">
                            <label>Rep Name</label>
                            <h5>{{ $vendor->rep_name }}</h5>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-6">
        <div class="white-box mb-4 generalAccount">
            <h4 class="box-title">Account Information</h4>
            <div class="box-padding">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group m-0">
                            <label>Phone Number</label>
                        </div>
                        @if ($vendor->phone_number)
                            <h5><a href="tel:{{ $vendor->phone_number }}">{{ $vendor->phone_number }}</a></h5>
                        @else   
                            <h5> - </h5>
                        @endif
                    </div>
                    <div class="col-md-6 col-sm-9">
                        <div class="form-group">
                            <label>MC Number</label>
                            <h5>{{ $vendor->mc_number }}</h5>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Ext</label>
                            <h5>{{ $vendor->ext }}</h5>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>800 Number</label>
                            <h5>{{ $vendor->eight_hundred_number }}</h5>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection