<!DOCTYPE html>
<html lang="en">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta name="csrf-token" content="{{ csrf_token() }}">
        <title>@yield('title')</title>
        {{-- style --}}
            <style>
                /* width */
                ::-webkit-scrollbar {
                  width: 10px;
                }

                /* Track */
                ::-webkit-scrollbar-track {
                  background: #f1f1f1;
                }

                /* Handle */
                ::-webkit-scrollbar-thumb {
                  background: #888;
                }

                /* Handle on hover */
                ::-webkit-scrollbar-thumb:hover {
                  background: #555;
                }
                #createLoadModal .select2-container {
                    width: 100% !important;
                }
                #createLoadModal .select2-container .select2-selection--single {
                    height: 43px !important;
                    border-radius: 10px !important;
                    border: 1px solid #D8D8DD !important;
                }
                #createLoadModal .select2-container--default .select2-selection--single {
                    border: 1px solid #C5CEE0;
                }
                #createLoadModal .select2-container--default .select2-selection--single .select2-selection__rendered {
                    line-height: 40px !important;
                }
                #createLoadModal .select2-container--default .select2-selection--single .select2-selection__arrow {
                    height: 40px;
                    width: 25px;
                }
                #createLoadModal .select2-container .select2-selection--single .select2-selection__rendered {
                    padding-left: 12px;
                    /*font-weight: 600;*/
                    /*color: #000000e6 !important;*/
                    color: #444 !important;
                    font-size: 14px !important;
                    font-weight: 400 !important;
                }
                #createLoadModal .select2-container .select2-search__field::placeholder {
                    font-size: 14px;
                    font-weight: 500;
                }
                #createLoadModal .select2-container--default .select2-selection--single .select2-selection__clear {
                    float: left;
                    padding-right: 5px;
                }
                #createLoadModal select.form-control {
                    font-size: 14px;
                    border: 1px solid #C5CEE0;
                    border-radius: 10px;
                    font-family: 'Inter', sans-serif;
                    padding-left: 12px;
                    font-weight: 400;
                    color: #616376;
                }
                #createLoadModal input[type=text].form-control {
                    font-size: 14px;
                    font-weight: bolder;
                    border: 1px solid #D8D8DD;
                    border-radius: 10px;
                    font-family: 'Inter', sans-serif;
                    padding: 0px 12px;
                    height: 43px;
                }
                #createLoadModal input::placeholder {
                    font-weight: 200;
                    color: #616376 !important;
                }
                #createLoadModal textarea::placeholder {
                    font-weight: 200;
                    color: #616376 !important;
                }
                #createLoadModal .form-group img {
                    width: 15px;
                }
                #createLoadModal .form-group label {
                    font-size: 14px;
                    line-height: 1.215;
                    font-weight: bold;
                    color: #616376;
                    margin-bottom: 0.25rem!important;
                }
                #createLoadModal .btn {
                    border-radius: 10px;
                }
                #createLoadModal .modal-dialog {
                    max-width: 500px !important;
                }
                #createLoadModal .form-control {
                    border: 1px solid #D8D8DD !important;
                    font-weight: 400 !important;
                    color: #444 !important;
                    font-size: 14px !important;
                }
                .woot--bubble-holder .woot-elements--right {
                    display: none;
                }

                {{-- Dynamic Left Sidebar Menu --}}
                .left-menu-dropdown .dropdown-menu {
                    background: #fff !important;
                    border: 1px solid rgba(0, 0, 0, .15) !important;
                }
                .left-menu-dropdown.dropdown-blue-theme .dropdown-menu>div.arrow:before {
                    content: '';
                    position: absolute;
                    width: 0;
                    height: 0;
                    border-left: 15px solid transparent;
                    border-right: 15px solid transparent;
                    border-bottom: 15px solid #407AC8;
                    top: -10px;
                    left: 5%;
                }
                .left-menu-dropdown.dropdown-blue-theme .dropdown-menu ul {
                    max-height: 500px !important;
                }
                .left-menu.ngd-left-menu.expand-menu-toggle .left-menu-dropdown a:hover{
                    background-color: inherit !important;
                    /*filter: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(7431%) hue-rotate(81deg) brightness(116%) contrast(116%);*/
                }
                #leftSideBarMenuSortable .form-check.select-all-dash label::after {
                    content: "\f068";
                    font: normal normal normal 14px / 1 FontAwesome;
                    color: #305F9C;
                    opacity: 1;
                    font-size: 10px;
                    left: 4px !important;
                }
                {{-- Dynamic Left Sidebar Menu --}}
                .outside-load-unlock-request-swal-container .swal2-title {
                    font-size: 1.500em;
                }
                .outside-load-unlock-request-swal-container .btn-blue {
                    line-height: 1.5;
                    height: inherit;
                    padding: .375rem .75rem;
                }
                .outside-load-unlock-request-swal-container .font-custom-size {
                    font-size: 26px;
                    font-weight: 600;
                }
            </style>
            @include('companyAdminTheme.style')
            @yield('style')
            <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
            <link rel="stylesheet" href="{{ asset('theme/css/datepicker3.min.css') }}">
        {{-- style --}}
    </head>
    @php
        $impersonate_class      = '';
    @endphp
    @if(Session::has('last_user') && Session::has('impersonate_user'))
        @php
            $last_user          = @json_decode(Session::get('last_user'));
            $impersonate_user   = Session::get('impersonate_user');
            $impersonate_class  = ((isset($last_user) && !is_null($last_user)) && (isset($impersonate_user) && !is_null($impersonate_user)))?'topbar-visible':'';
        @endphp
    @endif
    <body cz-shortcut-listen="true" class="{{ $impersonate_class }}">
        @if($impersonate_class!='')
            <style type="text/css">
                .main-wrapper {
                    margin-top: 100px;
                }
                .toplogseou {
                    height: 35px;
                    justify-content: center;
                    align-items: center;
                    display: flex;
                    background-color: #99cc01;
                    color: #fff;
                    font-weight: normal;
                    font-size: 16px;
                    text-transform: uppercase;
                    top: 0;
                    z-index: 1010; /*increase bcz datetimepicker*/
                    position: fixed;
                }
                header {
                    top: 35px;
                }
                .left-menu {
                    top: 35px;
                }
                .left-menu-open {
                    top: 148px;
                    padding-top: 0;
                }
                .toplogseou a {
                    color: white;
                    text-decoration: underline;
                }
                @media (max-width:991px)  {
                    .left-menu-open {
                        top: 110px;
                    }
                    .left-menu-open.left-menu-open-left.menu-close {

                    }
                    .ngd-menu .left-menus {
                        /* width: 230px; */
                        width: 100%;
                        position: static;
                        margin: 0;
                    }
                }
                @media (max-width: 767px) {
                    .toplogseou {
                        font-size: 14px;
                    }
                }

                @media (max-width: 575px) {
                    .toplogseou {
                        font-size: 12px;
                        text-transform: none;
                    }
                }
            </style>
            <div class="container-fluid">
                <div class="row text-center">
                    <div class="col-md-12 toplogseou">
                        <p><i class="fa fa-user-secret" aria-hidden="true"></i> YOU ARE IMPERSONATING {{$impersonate_user->first_name}} {{ $impersonate_user->last_name }}
                            &nbsp;<a href="{{ route('company.admin.previous_user_login',[$last_user->id,$last_user->user_type,'type' => $last_user->last_user_guard_type]) }}" id="exit_view_user">Exit View</a></p>
                    </div>
                </div>
            </div>
        @endif

        {{-- header --}}
            @include('companyAdminTheme.header')
        {{-- header --}}

        {{-- sidebar --}}
            @include('companyAdminTheme.sidebar')
        {{-- sidebar --}}

        {{-- sidebar open --}}
            @include('companyAdminTheme.sidebarOpen')
        {{-- sidebar open --}}

        {{-- content --}}
            <div class="main-wrapper ngd-wrapper ngd-new
                {{ Request::is('company-admin/loads/create') || Request::is('company-admin/loads*')? 'new-addLoad new-load-page load-wrapper' : '' }}
                {{
                    Request::is('company-admin/usage*') ||
                    Request::is('company-admin/chart-of-accounts') ||
                    Request::is('company-admin/dispatch-pro-announcement*') ||
                    Request::is('company-admin/announcement*') ||
                    Request::is('company-admin/email-templates*') ||
                    Request::is('company-admin/pdf-templates*') ||
                    Request::is('company-admin/roles*') ||
                    Request::is('company-admin/galleries*') ||
                    Request::is('company-admin/request-documents*') ||

                    Request::is('company-admin/maintenance-appointment-types*') ||
                    Request::is('company-admin/maintenance-ticket-types*') ||
                    Request::is('company-admin/trailer-types*') ||
                    Request::is('company-admin/truck-types*') ||

                    Request::is('company-admin/trailer-groups*') ||
                    Request::is('company-admin/truck-groups*') ||

                    Request::is('company-admin/driver-hos-violation-code*') ||
                    Request::is('company-admin/driver-citations-violation-code*') ||
                    Request::is('company-admin/driver-accident-violation-code*') ||
                    Request::is('company-admin/driver-inspection-level*') ||
                    Request::is('company-admin/driver-disciplinary-action*') ||

                    Request::is('company-admin/company-holiday*') ||
                    Request::is('company-admin/leave-type*') ||
                    Request::is('company-admin/manage-type*') ||

                    Request::is('company-admin/load-document*') ||
                    Request::is('company-admin/load-requirements-items*') ||

                    Request::is('company-admin/accessorial*') ||
                    Request::is('company-admin/commodity*') ||
                    Request::is('company-admin/terms*') ||

                    Request::is('company-admin/work-order-documents*') ||
                    Request::is('company-admin/safety-and-compliance-documents*') ||
                    Request::is('company-admin/onboarding-documents*') ||
                    Request::is('company-admin/deduction-names*') ||
                    Request::is('company-admin/recruiting-source*') ||

                    Request::is('company-admin/insurance-types*') ||
                    Request::is('company-admin/pm-types*') ||
                    Request::is('company-admin/pm-service-types*') ||
                    Request::is('company-admin/pm-warranty-providers*') ||
                    Request::is('company-admin/equipment-titles*') ||
                    Request::is('company-admin/document-titles*') ||

                    Request::is('company-admin/drop-locations*') ||

                    Request::is('company-admin/truck-insurance-profiles*') ||
                    Request::is('company-admin/truck-pm-service-profiles*') ||
                    Request::is('company-admin/truck-equipment-profiles*') ||
                    Request::is('company-admin/truck-on-board-document-profiles*') ||
                    Request::is('company-admin/truck-warranty-profiles*') ||

                    Request::is('company-admin/trailer-insurance-profiles*') ||
                    Request::is('company-admin/trailer-pm-service-profiles*') ||
                    Request::is('company-admin/trailer-equipment-profiles*') ||
                    Request::is('company-admin/trailer-on-board-document-profiles*') ||
                    Request::is('company-admin/trailer-warranty-profiles*') ||

                    Request::is('company-admin/integration-settings')
                    ? '' : 'wrapper-toggle'
                }}
            ">
                <div class="container-fluid py-2">
                    {{-- Dispatch Pro Announcement --}}
                    @include('companyAdminTheme.announcement')
                    {{-- Dispatch Pro Announcement --}}
                    @yield('content')
                </div>
            </div>
        {{-- content --}}
        @if(!str_contains(url()->current(), '/chat'))
            <div class="floterCont">
                <!-- <div class="woot-widget-bubble woot-elements--left" style="text-align: center; color: white; font-weight: 600; font-size: small; " title="Unread chat messages" onclick="window.location.href = `{{url('company-admin/chat');}}`"> -->
                <div class="woot-widget-bubble woot-elements--right" style="text-align: center; color: white; font-weight: 600; font-size: small; " title="Unread chat messages" onclick="window.location.href = `{{route('company.admin.chat.index');}}`">
                    <div class="woot-widget-bubble-icon" style="padding: 8px 0px 0 0;"> Chat</div>
                    <div class="woot-widget-bubble-icon" style="font-size: large; left: -1px; position: relative;" id="unreadChatCommonDiv" >00</div>
                </div>

                <!-- <div class="woot-widget-bubble woot-elements" style="text-align: center; color: white; font-weight: 600; font-size: small; /*bottom: 85px;*/ left: 110px; " title="Unread SMS messages">
                    <div class="woot-widget-bubble-icon" style="padding: 8px 0px 0 0;"> SMS</div>
                    <div class="woot-widget-bubble-icon" style="font-size: large; left: -1px; position: relative;">0</div>
                </div>
                <div class="woot-widget-bubble woot-elements" style="text-align: center; color: white; font-weight: 600; font-size: small; /*bottom: 85px;*/ left: 205px; " title="Unread email messages">
                    <div class="woot-widget-bubble-icon" style="padding: 8px 0px 0 0;"> Emal</div>
                    <div class="woot-widget-bubble-icon" style="font-size: large; left: -1px; position: relative;">0</div>
                </div> -->
            </div>
        @endif

        {{-- modal --}}
            @yield('modal')
            @include('map.modal.pobox')
            @include('map.modal.livelocation')
            <div class="modal fade bd-example-modal-lg file-upload-modal" id="galleryModal" tabindex="-1" role="dialog" aria-labelledby="galleryModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered modal-lg modal-blue">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="galleryModalLabel">Upload Document</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="px-3 mb-4">
                                <div class="col-12">
                                    <div class="row">
                                        <input type="hidden" name="company_id" value="{{ auth()->guard('company-admin')->user()->company_id }}" required>
                                        <input type="hidden" name="action_id" value="" required>
                                        <input type="hidden" name="source" value="" required>
                                        <input type="hidden" name="field_name" value="" required>
                                        <input type="hidden" name="is_dummy" value="0">
                                        <div class=" w-100" id="viewCurrentImage">
                                        </div>
                                    </div>
                                </div>
                                <div id="ffdupdlsoe"></div>
                                <div class="row previUploads">
                                    <div class="col-12">
                                        <label class="mb-0 pl-0 mt-3">Previous Uploads</label>
                                        <div class="table-responsive">
                                            <table class="table">
                                                <thead>
                                                    <tr>
                                                        <th>File</th>
                                                        <th>File Name</th>
                                                        <th>Uploaded By</th>
                                                        <th>Uploaded Date</th>
                                                        <th>Access Level</th>
                                                        <th>Status</th>
                                                        <th>Actions</th>
                                                    </tr>
                                                </thead>
                                                <tbody id="getgalleryfile">
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            {{-- Add Load From Top Header START --}}
            <div class="modal fade" id="createLoadModal" tabindex="-1" role="dialog" aria-labelledby="createLoadModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-cLoadNew modal-dialog-centered" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="createLoadModalLabel">Create Load | Add Status</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="text-center">
                                <a class="btn btn-blue create-load" href="javascript:void(0);">
                                    <i class="fa fa-plus-circle" aria-hidden="true"></i>
                                    Create Load
                                </a>
                            </div>
                            <div class="orNew-block">
                                <p>OR</p>
                            </div>
                            <form class="loadCreateForm" name="load_reate_form" id="load-create-form" autocomplete="off">
                                <div class="row g-1 mb-3">
                                    <div class="col-sm-5">
                                        <label>Drive Name<span>*</span></label>
                                    </div>
                                    <div class="col-sm-7">
                                        <div class="form-group">
                                            {!! Form::select('create_load_driver_id', ['' => 'Driver'] + getDriverListByCompany(auth()->guard('company-admin')->user()->company_id), null,
                                                [
                                                    'class'                         => 'form-control',
                                                    'required'                      => 'required',
                                                    'data-parsley-errors-container' => '#create_load_driver_id-error'
                                                ]
                                            ) !!}
                                            <div id="create_load_driver_id-error"></div>
                                            <span class="error create_load_driver_id_error text-danger"></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="row g-1 mb-3">
                                    <div class="col-sm-5">
                                        <label>Booked By<span>*</span></label>
                                    </div>
                                    <div class="col-sm-7">
                                        <div class="form-group">
                                            {!! Form::select('create_load_booked_by', [
                                                ''  => 'Booked By',
                                                '0' => 'Self Dispatch'
                                                ]+getCompanyAdminListByCompany(auth()->guard('company-admin')->user()->company_id),
                                                null,
                                                [
                                                    'class'                         => 'form-control',
                                                    'required'                      => 'required',
                                                    'data-parsley-errors-container' => '#create_load_booked_by-error'
                                                ]
                                            ) !!}
                                            <div id="create_load_booked_by-error"></div>
                                            <span class="error create_load_booked_by_error text-danger"></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="row g-1 mb-3">
                                    <div class="col-sm-5">
                                        <label>Add occupancy status<span>*</span></label>
                                    </div>
                                    <div class="col-sm-7">
                                        <select class="form-control" name="create_load_load_type" data-parsley-errors-container="#create_load_load_type-error" required>
                                            <option value="">Choose Status</option>
                                            <option value="4">No Dispatch</option>
                                            <option value="1">Maintenance</option>
                                            <option value="2">Unauthorized</option>
                                            <option value="3">Hours Of Service</option>
                                            <option value="5">Time Off</option>
                                        </select>
                                        <div id="create_load_load_type-error"></div>
                                        <span class="error create_load_load_type_error text-danger"></span>
                                    </div>
                                </div>
                                <div class="row g-1 mb-3">
                                    <div class="col-sm-5">
                                        <label>Start Date<span>*</span></label>
                                    </div>
                                    <div class="col-sm-7">
                                        <input type="text" class="form-control" name="start_date" value="" required readonly>
                                    </div>
                                </div>
                                <div class="row g-1 mb-3">
                                    <div class="col-sm-5">
                                        <label>End Date<span>*</span></label>
                                    </div>
                                    <div class="col-sm-7">
                                        <input type="text" class="form-control" name="end_date" value="" required readonly>
                                    </div>
                                </div>
                                <div class="row g-1">
                                    <div class="col-sm-5">
                                        <label>Notes</label>
                                    </div>
                                    <div class="col-sm-7">
                                        <textarea rows="3" class="form-control" name="notes"></textarea>
                                        <span class="error notes_error text-danger"></span>
                                    </div>
                                </div>
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-outline-blue" data-dismiss="modal">Cancel</button>
                            <button type="button" class="btn btn-blue create-load-submit" data-from="">Save</button>
                        </div>
                    </div>
                </div>
            </div>
            {{-- Add Load From Top Header START --}}
        {{-- modal --}}

        {{-- script --}}
            @include('companyAdminTheme.script')
            @stack('before-scripts')
            @yield('script')
            @stack('after-scripts')
            <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
            <script src="{{ asset('theme/js/bootstrap-datepicker.js') }}"></script>
        {{-- script --}}

        {{-- alert --}}
            @include('companyAdminTheme.alert')
        {{-- alert --}}

        <script type="text/javascript">
            $(document).ready(function(){
                $('#liveLocationModal').on('hidden.bs.modal', function() {
                    $('#liveLocationMap').removeAttr('class');
                    $('#liveLocationMap').data('map-instance', null);
                    $('#liveLocationMap').html('<div id="liveLocationMapLoader"><img src="{!! asset("theme/img/live_location_loader.gif") !!}" width="70" height="70" alt="" /><p><b>Please wait...</b></p></div>');
                });
                $("#liveLocationMap").on('wheel', function (e) {
                    // Prevent the event from bubbling up the DOM tree
                    e.stopPropagation();

                    // Log that the scroll event is detected in #liveLocationMap
                    // console.log("Scroll event detected in #liveLocationMap");

                    // Check if the Ctrl key is pressed
                    if (e.originalEvent.ctrlKey) {
                        // Prevent the default scrolling behavior
                        e.preventDefault();

                        // Log that the Ctrl key is pressed
                        // console.log("Ctrl key is pressed.");

                        // Check if the map is drawn and ready for interaction
                        if (isMapDrawn('#liveLocationMap')) {
                            // Retrieve map instance from data attribute
                            var map             = $(this).data('map-instance');
                            // console.log('map:', map);
                            // console.log('map instanceof TrimbleMaps.Map:', map instanceof TrimbleMaps.Map);
                            // Check if map is already initialized and is an instance of TrimbleMaps.Map
                            if (map && (map instanceof TrimbleMaps.Map)) {
                                // Remove the 'map-scroll' class from #liveLocationMap
                                $("#liveLocationMap").removeClass('map-scroll');

                                // Adjust zoom level based on scroll direction
                                var direction   = e.originalEvent.deltaY > 0 ? 'out' : 'in';
                                if (direction === 'in') {
                                    map.zoomIn();
                                } else {
                                    map.zoomOut();
                                }
                            }
                        }
                    } else {
                        // Log that the Ctrl key is not pressed
                        // console.log("Ctrl key is not pressed.");

                        // Check if the map is drawn and ready for interaction
                        if (isMapDrawn('#liveLocationMap')) {
                            // Add the 'map-scroll' class to #liveLocationMap
                            $("#liveLocationMap").addClass('map-scroll');
                            setTimeout(function(){
                                $("#liveLocationMap").removeClass('map-scroll');
                            }, 5000);
                        }
                    }
                });
                // Remove the 'map-scroll' class from #liveLocationMap after 1500 milliseconds
                $("#liveLocationMap").on('mouseleave', function () {
                    setTimeout(function(){
                        $("#liveLocationMap").removeClass('map-scroll');
                    }, 1500);
                });
            });
        </script>
        <!-- livelocation -->
        <script type="text/javascript">
            $(document).on("click", ".liveLocation", function (){
                let driverId = $(this).attr('data-driver');
                if(driverId != ""){
                    driverLiveLocation(driverId);
                }
            });
            function driverLiveLocation(id){
                const locationPin = '{!! asset("theme/img/location_pin.png") !!}';
                $.ajax({
                    type: 'POST',
                    url: "{{ route('company.admin.dispatch.hub.driver.last.location') }}",
                    data: { id: id },
                    dataType: 'json',
                    async: true,
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        $("#liveLocationModal").modal("show");
                    },
                    success: function(response) {
                        if(response.success){
                            if(!$.isEmptyObject(response.data)){
                                if(TrimbleMaps.APIKey){
                                    $("#liveLocationMap").html('');

                                    let latitude            = response.data.Lat;
                                    let longitude           = response.data.Lon;

                                    const center            = [longitude, latitude];
                                    const map               = new TrimbleMaps.Map({
                                        container: 'liveLocationMap', // container id
                                        center: center,
                                        zoom: 8,
                                        scrollZoom: false
                                    });

                                    // Store map instance in data attribute
                                    $('#liveLocationMap').data('map-instance', map);

                                    // Disable scroll zoom controls
                                    // map.scrollZoom.disable();

                                    map.addControl(new TrimbleMaps.NavigationControl({
                                        showCompass : false
                                    }));

                                    // Create a popup
                                    const popup             = new TrimbleMaps.Popup({
                                        offset: 40 // move around to map 4 borders, you will see its location changes.
                                    }).setText('Draggable marker with a popup');

                                    // Create a marker
                                    const el                = document.createElement('div');
                                    const htmlContent       = '<div id="image" style="background: url(https://maps.alk.com/api/1.2/img/truck_green.png) no-repeat; height: 26px; width: 26px;"/>';
                                    el.innerHTML            = htmlContent;
                                    const marker            = new TrimbleMaps.Marker({
                                        draggable: false,
                                        element: el
                                    }).setLngLat(center).setPopup(popup).addTo(map);

                                    // Save the panel elements
                                    const lngElem           = latitude;
                                    const latElem           = longitude;
                                    lngElem.innerHTML       = parseFloat(center[0]).toFixed(6);
                                    latElem.innerHTML       = parseFloat(center[1]).toFixed(6);

                                    // Listen to the dragend event of the marker
                                    marker.on('dragend', function(e){
                                        // Extract the lngLat object from the marker in the event
                                        const lngLat        = e.target.getLngLat();
                                        // Update the values in the panel
                                        lngElem.innerHTML   = parseFloat(lngLat.lng).toFixed(6);
                                        latElem.innerHTML   = parseFloat(lngLat.lat).toFixed(6);
                                    });
                                }else{
                                    $("#liveLocationMap").html('<p class="errorAPIDiv"><b>Trimble API key does not exist please contact your system administrator.</b></p>');
                                }
                            }else{
                                $("#liveLocationMap").html('<p class="errorDiv"><b>Currently live location not available, please try again later.</b></p>');
                            }
                        }else{
                            $("#liveLocationMap").html('<p class="errorDiv"><b>Currently live location not available, please try again later.</b></p>');
                        }
                    },
                });
            }
        </script>
        <!-- trucklivelocation -->
        <script type="text/javascript">
            $(document).on("click", ".truckLiveLocation", function (){
                let truckId = $(this).attr('data-truck');
                if(truckId != ""){
                    truckLiveLocation(truckId);
                }
            });
            function truckLiveLocation(id){
                const locationPin = '{!! asset("theme/img/location_pin.png") !!}';
                $.ajax({
                    type: 'POST',
                    url: "{{ route('company.admin.truck.last.location') }}",
                    data: { id: id },
                    dataType: 'json',
                    async: true,
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        $("#liveLocationModal").modal("show");
                    },
                    success: function(response) {
                        if(response.success){
                            if(!$.isEmptyObject(response.data)){
                                if(TrimbleMaps.APIKey){
                                    $("#liveLocationMap").html('');

                                    let latitude            = response.data.Lat;
                                    let longitude           = response.data.Lon;

                                    const center            = [longitude, latitude];
                                    const map               = new TrimbleMaps.Map({
                                        container: 'liveLocationMap', // container id
                                        center: center,
                                        zoom: 8,
                                        scrollZoom: false
                                    });

                                    // Store map instance in data attribute
                                    $('#liveLocationMap').data('map-instance', map);

                                    // Disable scroll zoom controls
                                    // map.scrollZoom.disable();

                                    map.addControl(new TrimbleMaps.NavigationControl({
                                        showCompass : false
                                    }));

                                    // Create a popup
                                    const popup             = new TrimbleMaps.Popup({
                                        offset: 40 // move around to map 4 borders, you will see its location changes.
                                    }).setText('Draggable marker with a popup');

                                    // Create a marker
                                    const el                = document.createElement('div');
                                    const htmlContent       = '<div id="image" style="background: url(https://maps.alk.com/api/1.2/img/truck_green.png) no-repeat; height: 26px; width: 26px;"/>';
                                    el.innerHTML            = htmlContent;
                                    const marker            = new TrimbleMaps.Marker({
                                        draggable: false,
                                        element: el
                                    }).setLngLat(center).setPopup(popup).addTo(map);

                                    // Save the panel elements
                                    const lngElem           = latitude;
                                    const latElem           = longitude;
                                    lngElem.innerHTML       = parseFloat(center[0]).toFixed(6);
                                    latElem.innerHTML       = parseFloat(center[1]).toFixed(6);

                                    // Listen to the dragend event of the marker
                                    marker.on('dragend', function(e){
                                        // Extract the lngLat object from the marker in the event
                                        const lngLat        = e.target.getLngLat();
                                        // Update the values in the panel
                                        lngElem.innerHTML   = parseFloat(lngLat.lng).toFixed(6);
                                        latElem.innerHTML   = parseFloat(lngLat.lat).toFixed(6);
                                    });
                                }else{
                                    $("#liveLocationMap").html('<p class="errorAPIDiv"><b>Trimble API key does not exist please contact your system administrator.</b></p>');
                                }
                            }else{
                                $("#liveLocationMap").html('<p class="errorDiv"><b>Currently live location not available, please try again later.</b></p>');
                            }
                        }else{
                            $("#liveLocationMap").html('<p class="errorDiv"><b>Currently live location not available, please try again later.</b></p>');
                        }
                    },
                });
            }
        </script>
        <!-- gallery -->
        <script type="text/javascript">
            $(document).ready(function(){
                $(".notcliekt").click(function(e){
                    e.preventDefault();
                    jQuery.ajax({
                        type: "GET",
                        url: "{{ route('company.admin.clear.notification') }}",
                        data: {
                        },
                        success: function(res) {
                        }
                    });
                });
            });

            $("body").on("click", ".gallary-edit,.gallaedit", function () {
                var action_id   = $(this).attr('data-id');
                var source      = $(this).attr('data-source');
                var field_name  = $(this).attr('data-field');
                var is_dummy    = $(this).attr('data-is-dummy') || '0';

                $("#galleryModal input[name='action_id']").val(action_id);
                $("#galleryModal input[name='source']").val(source);
                $("#galleryModal input[name='field_name']").val(field_name);
                $("#galleryModal input[name='is_dummy']").val(is_dummy);

                getGallaryImage();

                if(source == 'gallery'){
                    $("#viewCurrentImage").hide();
                    $(".previUploads").hide();
                }else{
                    $("#viewCurrentImage").show();
                    $(".previUploads").show();
                }
            });

            $("body").on("click", "#galleryModal .clobtn", function () {
                var token       = $('meta[name="csrf-token"]').attr('content');
                var id          = $(this).attr('data-id');
                var action      = $(this).attr('data-action');

                $.ajax({
                    url: action,
                    method: "delete",
                    data: { _token : token, id : id},
                    success: function(response) {
                        getGallaryImage();
                        if ($.isFunction(window.getGallaryGridView)){
                            getGallaryGridView();
                        }
                    }
                });
            });

            $("body").on("change", ".chagnestatus", function () {
                var value       = this.value;
                var id          = $(this).attr('data-id');

                var token       = $('meta[name="csrf-token"]').attr('content');
                $.ajax({
                    url: "{{ route('company.admin.gallery.update.status') }}",
                    method: "POST",
                    data: { _token : token, id : id, status : value},
                    success: function(response) {
                        getGallaryImage();
                    }
                });
            });

            $("body").on("change", ".chagneaccess", function () {
                var value       = this.value;
                var id          = $(this).attr('data-id');

                var token       = $('meta[name="csrf-token"]').attr('content');
                $.ajax({
                    url: "{{ route('company.admin.gallery.update.access') }}",
                    method: "POST",
                    data: { _token : token, id : id, access : value},
                    success: function(response) {
                        toastr.success('Updated successfully', 'Success Alert', { timeOut: 2000 });
                    }
                });
            });

            $("body").on("click", ".cufilenameedit", function () {
                $(".maintitle").hide();
                $(".edittitle").show(300);
            });

            $("body").on("click", ".cuupdate", function () {
                var file_name   = $(".cufilename").val();
                var id          = $(".cugallery_id").val();

                var token       = $('meta[name="csrf-token"]').attr('content');
                $.ajax({
                    url: "{{ route('company.admin.gallery.update.filename') }}",
                    method: "POST",
                    data: { _token : token, id : id, file_name : file_name},
                    success: function(response) {
                        getGallaryImage();
                        toastr.success('Updated successfully', 'Success Alert', { timeOut: 2000 });
                    }
                });
            });

            function getGallaryImage(){
                $('#galleryModal').find('#getgalleryfile').html('<tr class="loadingdiv"><td colspan="6"><img src="'+loadimg+'"></td></tr>');

                var token       = $('meta[name="csrf-token"]').attr('content');
                var company_id  = $("#galleryModal input[name='company_id']").val();
                var action_id   = $("#galleryModal input[name='action_id']").val();
                var source      = $("#galleryModal input[name='source']").val();
                var field_name  = $("#galleryModal input[name='field_name']").val();
                var is_dummy    = $("#galleryModal input[name='is_dummy']").val();

                $.ajax({
                    url: "{{ route('company.admin.request.documents.get.files.view') }}",
                    method: "POST",
                    data: { _token : token, action_id : action_id, source : source, field_name : field_name, is_dummy: is_dummy, company_id : company_id },
                    success: function(response) {
                        $('#galleryModal').find('#getgalleryfile').html(response.view);
                        $('#galleryModal').find('#viewCurrentImage').html(response.currentImage);
                        $('#galleryModal').find('#ffdupdlsoe').html(response.fileUpload);

                        var action_id   = $("#galleryModal input[name='action_id']").val();
                        var source      = $("#galleryModal input[name='source']").val();
                        var field_name  = $("#galleryModal input[name='field_name']").val();
                        var is_dummy    = $("#galleryModal input[name='is_dummy']").val();

                        $("#galleryModal input[name='action_id']").val(action_id);
                        $("#galleryModal input[name='source']").val(source);
                        $("#galleryModal input[name='field_name']").val(field_name);
                        $("#galleryModal input[name='is_dummy']").val(is_dummy);

                        $('.storeGalleryImage').parsley();
                        $(".storeGalleryImage").ajaxForm({
                            async: false,
                            complete: function (response) {
                                if(response.responseText==='1'){
                                    $('.storeGalleryImage')[0].reset();
                                    getGallaryImage();
                                    if ($.isFunction(window.getGallaryGridView)){
                                        getGallaryGridView();
                                    }
                                }else{
                                    if($.inArray(source, ['load_accessorials','load_accessorial_temps']) !== -1){
                                        toastr.error('Only JPG/JPEG, PNG and GIF files are allowed.', 'Error Alert', { timeOut: 2000 });
                                    }else{
                                        toastr.error('Oops! Something went wrong..', 'Error Alert', { timeOut: 2000 });
                                    }
                                }
                            },
                        });
                    }
                });
            }

            $("body").on("hide.bs.modal", "#galleryModal", function () {
                setTimeout(function(){ 
                    if($("#galleryModal input[name='source']").val() == 'driver_hos_violations'){
                        $("body").addClass('modal-open'); 
                    }
                    $("#galleryModal input[name='company_id']").val('');
                    $("#galleryModal input[name='action_id']").val('');
                    $("#galleryModal input[name='source']").val('');
                    $("#galleryModal input[name='field_name']").val('');
                    $("#galleryModal input[name='is_dummy']").val('');
                }, 200);
            });
        </script>
        <script>
            (function(d,t) {
              var BASE_URL="https://chat.nextgenerationdesigns.com";
              var g=d.createElement(t),s=d.getElementsByTagName(t)[0];
              g.src=BASE_URL+"/packs/js/sdk.js";
              g.defer = true;
              g.async = true;
              s.parentNode.insertBefore(g,s);
              g.onload=function(){
                window.chatwootSDK.run({
                  websiteToken: 'Moqrd8LsREUuWsmspePfzRng',
                  baseUrl: BASE_URL
                })
              }
            })(document,"script");
        </script>
    @if(!str_contains(url()->current(), '/chat'))
        <script src="{{ asset('theme/js/twilio-conversations.min.js') }}"></script>
        <script src="{{ asset('theme/js/axios.min.js') }}"></script>
        <script>
            $(document).ready(function() {
                var chatTotalUnreadMessages         = 0;
                //console.log("chatTotalUnreadMessages",chatTotalUnreadMessages);
                var baseUrl                         = "{{ env('NODE_CHAT_API_BASE_URL') }}";
                var user_type                       = "{{ auth()->guard('company-admin')->user()->type }}";
                var userID                          = "{{ auth()->guard('company-admin')->user()->id }}";
                var tempUsername                    = '';
                var webBaseUrl                      = "{ {url('/') }}";
                var tempFriendlyName                = "{{ auth()->guard('company-admin')->user()->first_name.' '.auth()->guard('company-admin')->user()->last_name }}";
                var tempProfilePic                  = "{{ auth()->guard('company-admin')->user()->profile_image }}";
                var companyAdminProfilePicBasePath  = "{{ asset('storage/companyAdmin/profile/') }}";
                var companyAdminDefaultProfilePic   = "{{ asset('theme/images/user.png') }}";
                // var tempTimeZone                 = "{{ auth()->guard('company-admin')->user()->timezone }}";
                var assetBaseUrl                    = "{{ asset('') }}";
                // console.log(assetBaseUrl+'theme/images/team.png');
                var tempTimeZone                    = "{{ getTimeZone() }}";
                //console.log("*****************",tempTimeZone);
                var tempTimeFormat                  = "{{ getTimeFormat() }}";
                //console.log("*****************",tempTimeFormat);
                if(tempProfilePic == null){
                    tempProfilePic                  = "";
                }
                //console.log("user_type " ,user_type);
                //console.log("userID " ,userID);
                if(user_type == 2)
                {
                    console.log('basic username','dispatcher_'+userID);
                    tempUsername                    = 'dispatcher_'+userID;
                }
                else {

                }

                window.twilioChat                   = window.twilioChat || {};

                async function checkTwilioToken() {
                    let checkTwilioTokenResponse;
                    try {
                    checkTwilioTokenResponse        = await $.ajax({
                        url: baseUrl + '/auth/token',
                        // data: { whatever:'cool' },
                        type: 'GET',
                        crossDomain: true,
                        headers: {
                            "Authorization": `Bearer ${getCookie('twilio_token')}`,
                            "Content-Type": "application/x-www-form-urlencoded",
                            "Access-Control-Allow-Origin": "*",
                            // 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        }
                    });
                    return checkTwilioTokenResponse
                    }
                    catch (e) { console.log("error1", e); }
                }

                async function createNewTwilioToken(username = "") {
                    let createNewTwilioTokenResponse;
                    try {
                    createNewTwilioTokenResponse    = await $.ajax({
                        url: baseUrl + '/api/loginParticipant',
                        data: { username: username },
                        type: 'POST',
                        crossDomain: true,
                        headers: {
                            // "Authorization": `Bearer ${getCookie('twilio_token')}`,
                            "Content-Type": "application/x-www-form-urlencoded",
                            "Access-Control-Allow-Origin": "*",
                        }
                    });
                    return createNewTwilioTokenResponse
                    }
                    catch (e) { console.log("error1", e); }
                }

                function getCookie(cname) {
                    let name                        = cname + "=";
                    let decodedCookie               = decodeURIComponent(document.cookie);
                    let ca                          = decodedCookie.split(';');
                    for (let i = 0; i < ca.length; i++) {
                    let c                           = ca[i];
                    while (c.charAt(0) == ' ') {
                        c                           = c.substring(1);
                    }
                    if (c.indexOf(name) == 0) {
                        return c.substring(name.length, c.length);
                    }
                    }
                    return "";
                }

                async function initClient(){
                    let checkTwilioTokenResponse;
                    checkTwilioTokenResponse        = await checkTwilioToken();

                    //console.log('checkTwilioToken', checkTwilioTokenResponse);
                    try {

                        if (checkTwilioTokenResponse.success) {
                            //console.log("checkTwilioTokenResponse.data", checkTwilioTokenResponse.data);
                            //console.log("window.twilioChat.client", window.twilioChat.client);
                            // let expirationDate   = new Date();
                            // //expires in 10 years
                            // expirationDate.setTime(expirationDate.getTime() +  24 * 3600 * 1000);
                            // let expires          = "; expires=" + expirationDate.toUTCString();
                            // document.cookie      = 'twilio_token=' + checkTwilioTokenResponse.data.token; + 'expires=' + expires;

                            window.twilioChat.username  = checkTwilioTokenResponse.data.username;
                            window.twilioChat.client    = await Twilio.Conversations.Client.create(checkTwilioTokenResponse.data.token);
                            //.log("window.twilioChat.client 2 :", window.twilioChat.client);
                            //console.log("window.twilioChat.username :", window.twilioChat.username);
                            //console.log("window.twilioChat.client :", window.twilioChat.client);
                        }
                        else {
                            console.log("Error in twilio token");
                            let createNewTwilioTokenResponse;
                            createNewTwilioTokenResponse = await createNewTwilioToken(tempUsername);
                            if (createNewTwilioTokenResponse.success) {
                            document.cookie         = 'twilio_token=' + '=; Expires=Thu, 01 Jan 1970 00:00:01 GMT;';
                            let expirationDate      = new Date();
                            //expires in 10 years
                            expirationDate.setTime(expirationDate.getTime() + 24 * 3600 * 1000);
                            let expires             = "; expires=" + expirationDate.toUTCString();
                            let tempCookie          = 'twilio_token=' + createNewTwilioTokenResponse.data.token + ';expires=' + expires + ';path=/;';
                            console.log("creating new token cookie", tempCookie);
                            document.cookie         = tempCookie;

                            console.log("createNewTwilioTokenResponse.data", createNewTwilioTokenResponse.data);
                            console.log("window.twilioChat.client", window.twilioChat.client);
                            window.twilioChat.username  = createNewTwilioTokenResponse.data.username;
                            window.twilioChat.client    = await Twilio.Conversations.Client.create(createNewTwilioTokenResponse.data.token);
                            console.log("window.twilioChat.client 3 :", window.twilioChat.client);
                            console.log("window.twilioChat.username :", window.twilioChat.username);
                            console.log("window.twilioChat.client :", window.twilioChat.client);

                            }
                            else {
                            console.log("Error in twilio token");
                            }
                        }

                        let conversations           = await window.twilioChat.client.getSubscribedConversations();
                        //console.log("conversations", conversations);
                        for (let conv of conversations.items) {
                            //console.log("conv ********************************", conv);
                            window.twilioChat.selectedConversation = await window.twilioChat.client.getConversationBySid(conv.sid);
                            // window.twilioChat.selectedConversation.on('messageAdded', msg => addMessagesToChatArea([msg], false));
                            //let unreadMsgCountBadgeDiv = await manageUnreadMsgCountBadge(window.twilioChat.selectedConversation,myConversationFriendlyName);
                            let tempConv            = await window.twilioChat.selectedConversation;
                            let cnv                 = await tempConv;
                            let count               = await cnv.getUnreadMessagesCount();
                            count                   = count == null?await cnv.getMessagesCount():count;
                            if(await count == 0 ){
                                // $('#urdMsgDiv_' + conversation.conversation.sid).css('visibility', 'hidden');
                            }
                            else{
                                chatTotalUnreadMessages = chatTotalUnreadMessages + count;
                                console.log("chatTotalUnreadMessages",await chatTotalUnreadMessages);
                                $('#unreadChatCommonDiv').html(await chatTotalUnreadMessages);
                                // $('#urdMsgDiv_' + conversation.conversation.sid).css('visibility', 'visible');
                            }


                            // Subscribe to conversation updates
                            tempConv.on('updated', async (conversation) => {
                                // if((await window.twilioChat.selectedConversation.sid) != conversation.conversation.sid)
                                // {
                                    console.log((await window.twilioChat.selectedConversation.sid) != conversation.conversation.sid);
                                    // const count = conversation.conversation.unreadMessagesCount;
                                    console.log('conversation**************: ',conversation.conversation.sid);
                                    console.log('conversation**************: ',conversation);
                                    let cnv         = await tempConv;
                                    let count       = await cnv.getUnreadMessagesCount();
                                    count           = count == null?await cnv.getMessagesCount():count;
                                    if(await count == 0 ){
                                        // $('#urdMsgDiv_' + conversation.conversation.sid).css('visibility', 'hidden');
                                    }
                                    else{
                                        chatTotalUnreadMessages = chatTotalUnreadMessages + 1;
                                        console.log("chatTotalUnreadMessages",await chatTotalUnreadMessages);
                                        $('#unreadChatCommonDiv').html(await chatTotalUnreadMessages);
                                        // $('#urdMsgDiv_' + conversation.conversation.sid).css('visibility', 'visible');
                                    }
                                    $('#urdMsgDiv_' + conversation.conversation.sid).html(count);
                                    console.log(`Unread message count**************: ${count}`);
                                // }
                            });
                        }
                    }
                    catch (e) {
                        console.log("error", e);
                        console.log("error", e.message);
                        await initClient();

                    }
                }

                initClient();
            });
        </script>
    @endif
        {{-- sidebar open --}}
            @if( isset( $isMulitpleTable ) && $isMulitpleTable == 1 )
                @include('companyAdminTheme.filter_modal_multiple')
            @else
                @include('companyAdminTheme.filter_modal')
            @endif
        {{-- sidebar open --}}

        {{-- Add Load From Top Header START --}}
        <script type="text/javascript">
            $(function (){
                $(document).ready(function() {
                    $('#createLoadModal select[name="create_load_driver_id"]').select2({
                        allowClear: true,
                        dropdownParent: $("#createLoadModal"),
                        width : '100%',
                        placeholder: $('#createLoadModal select[name="create_load_driver_id"]').find('option:first').text()
                    }).on('select2:select', function (e) {
                        var data            = e.params.data;
                        // console.log(data);
                    });
                    $('#createLoadModal select[name="create_load_driver_id"]').find('option:first').hide();

                    $('#createLoadModal select[name="create_load_booked_by"]').select2({
                        allowClear: true,
                        dropdownParent: $("#createLoadModal"),
                        width : '100%',
                        placeholder: $('#createLoadModal select[name="create_load_booked_by"]').find('option:first').text()
                    }).on('select2:select', function (e) {
                        var data            = e.params.data;
                        // console.log(data);
                    });
                    $('#createLoadModal select[name="create_load_booked_by"]').find('option:first').hide();

                    $('#createLoadModal select[name="create_load_load_type"]').select2({
                        allowClear: true,
                        dropdownParent: $("#createLoadModal"),
                        width : '100%',
                        placeholder: $('#createLoadModal select[name="create_load_load_type"]').find('option:first').text()
                    }).on('select2:select', function (e) {
                        var data            = e.params.data;
                        // console.log(data);
                    });
                    $('#createLoadModal select[name="create_load_load_type"]').find('option:first').hide();
                });
                $(document).on('click', '.addLoadPlus', function(e) {
                    e.preventDefault();
                    // console.log('weekly-create-load-btn');
                    // return false;

                    var that                        = $(this);
                    var url                         = that.attr('data-url');
                    if(url){
                        var data_from               = that.attr('data-from');
                        var driver_id               = that.attr('data-driver_id');
                        var shipper_date            = that.attr('data-shipper_date');

                        $('#createLoadModal').find('a.create-load').attr("href", url).attr("target","_blank");
                        $('#createLoadModal').find('button.create-load-submit').attr("data-from", data_from);

                        $('#createLoadModal #load-create-form').trigger('reset');

                        if(driver_id != ""){
                            $('#createLoadModal select[name="create_load_driver_id"]').val(driver_id).trigger('change');
                        }else{
                            $('#createLoadModal select[name="create_load_driver_id"]').val(null).trigger('change');
                        }
                        $('#createLoadModal select[name="create_load_booked_by"]').val(null).trigger('change');
                        $('#createLoadModal select[name="create_load_load_type"]').val(null).trigger('change');

                        // Check if the datepicker has been initialized
                        if ($('#createLoadModal input[name="start_date"]').data('datepicker')) {
                            // Remove the datepicker instance
                            $('#createLoadModal input[name="start_date"]').datepicker('remove');
                        }
                        $('#createLoadModal input[name="start_date"]').datepicker({
                            todayHighlight: false
                        }).on("changeDate", function() {
                            var startDate   = $(this).datepicker("getDate");
                            var endDate     = $('#createLoadModal input[name="end_date"]').datepicker("getDate");
                            if (endDate != null && startDate > endDate) { // if (endDate != null && startDate >= endDate) {
                                $(this).val("");
                                toastr.error("Start date must be less than end date.", 'Error Alert', {
                                    timeOut: 5000
                                });
                            }else{
                                $(this).parsley().validate();
                            }
                        });

                        // Check if the datepicker has been initialized
                        if ($('#createLoadModal input[name="end_date"]').data('datepicker')) {
                            // Remove the datepicker instance
                            $('#createLoadModal input[name="end_date"]').datepicker('remove');
                        }
                        $('#createLoadModal input[name="end_date"]').datepicker({
                            todayHighlight: false
                        }).on("changeDate", function() {
                            var startDate   = $('#createLoadModal input[name="start_date"]').datepicker("getDate");
                            var endDate     = $(this).datepicker("getDate");
                            if (startDate != null && endDate < startDate) { // if (startDate != null && endDate <= startDate) {
                                $(this).val("");
                                toastr.error("End date must be greater than start date.", 'Error Alert', {
                                    timeOut: 5000
                                });
                            }else{
                                $(this).parsley().validate();
                            }
                        });

                        // Set the value of the datepicker to a specific date
                        if(shipper_date != ''){
                            $('#createLoadModal input[name="start_date"]').datepicker("setDate", shipper_date); // Modify this to your specific date format
                        }

                        setTimeout(function() {
                            $('#createLoadModal').modal({backdrop: 'static', keyboard: false}, 'show');
                        }, 50);
                    }
                });
                $(document).on('click', '.create-load-submit', function(e) {
                    e.preventDefault();
                    // console.log('weekly-create-load-submit');
                    // return false;

                    var that                = $(this);
                    var btnTxt              = that.text();
                    var data_from           = that.attr('data-from');

                    var form                = $('#createLoadModal #load-create-form');
                    var parsley             = form.parsley({
                        excluded: 'input[type=button], input[type=submit], input[type=reset]',
                        inputs: 'input, textarea, select, input[type=hidden], :hidden',
                    });
                    parsley.validate();
                    if (parsley.isValid()){
                        var formData        = new FormData(form[0]);
                        $.ajax({
                            type: 'POST',
                            url: "{{ route('company.admin.loads.by.week.save') }}",
                            data: formData,
                            dataType: 'json',
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            cache : false,
                            processData: false,
                            contentType: false,
                            beforeSend: function() {
                                that.prop('disabled', true).html('Please Wait...');
                            },
                            success: function(response) {
                                if(response.success){
                                    $('#createLoadModal').modal('hide');
                                    toastr.success(response.message, 'Success Alert');

                                    if(data_from != ''){
                                        if(data_from == 'liner_fleet_calendar'){
                                            console.log(get_data,cyear,cmonth,team,manager,carrier,skip,take);
                                            OccupancyCalanderView(get_data,cyear,cmonth,team,manager,carrier,skip,take);
                                        }
                                    }
                                }else{
                                    toastr.error(response.message, 'Error Alert');
                                }
                            },
                            complete: function() {
                                that.prop('disabled', false).html(btnTxt);
                            },
                            error: function(jqXHR, status, exception) {
                                if (jqXHR.status === 0) {
                                    error = 'Not connected.\nPlease verify your network connection.';
                                } else if (jqXHR.status == 404) {
                                    error = 'The requested page not found. [404]';
                                } else if (jqXHR.status == 500) {
                                    error = 'Internal Server Error [500].';
                                } else if (exception === 'parsererror') {
                                    error = 'Requested JSON parse failed.';
                                } else if (exception === 'timeout') {
                                    error = 'Time out error.';
                                } else if (exception === 'abort') {
                                    error = 'Ajax request aborted.';
                                } else {
                                    error = 'Uncaught Error.\n' + jqXHR.responseText;
                                }
                                toastr.error(error, 'Error Alert');
                            }
                        });
                        return false;
                    }
                });
                $('#createLoadModal').on('hidden.bs.modal', function() {
                    $('#createLoadModal').find('a.create-load').attr("href", "javascript:void(0);").removeAttr("target");

                    $('#createLoadModal select[name="create_load_driver_id"]').val(null).trigger('change');
                    $('#createLoadModal select[name="create_load_booked_by"]').val(null).trigger('change');
                    $('#createLoadModal select[name="create_load_load_type"]').val(null).trigger('change');
                    $('#createLoadModal #load-create-form').trigger('reset');
                    $('#createLoadModal').find('button.create-load-submit').attr("data-from", "");

                    $('#createLoadModal #load-create-form').find('.error').text('');
                    $('#createLoadModal #load-create-form').parsley().reset();
                });
            });
        </script>
        {{-- Add Load From Top Header END --}}

        {{-- Dispatch Pro Announcement --}}
        <script type="text/javascript">
            $(function (){
                $(document).on('click', '.alert-close', function (e){
                    e.preventDefault();
                    var dataId = $(this).attr('data-id');
                    $.ajax({
                        type: "POST",
                        url: "{{ route('company.admin.announcement.clear') }}",
                        data: {
                            _token: $('[name="csrf-token"]').attr('content'),
                            dataId: dataId
                        },
                        success: function(res) {
                        }
                    });
                });

                $('input[type="search"]').keyup(function (){
                    if($(this).val() != ''){
                        $(this).parent().addClass('hide-search-icon');
                    }else{
                        $(this).parent().removeClass('hide-search-icon');
                    }
                }).mouseenter(function() {
                    if($(this).val() != ''){
                        $(this).parent().addClass('hide-search-icon');
                    }else{
                        $(this).parent().removeClass('hide-search-icon');
                    }
                }).mouseleave(function() {
                    if($(this).val() != ''){
                        $(this).parent().addClass('hide-search-icon');
                    }else{
                        $(this).parent().removeClass('hide-search-icon');
                    }
                });

                {{-- Dynamic Left Sidebar Menu --}}
                function reArrangeLeftMenuIndexNo(){
                    var index       = 1;
                    $('#leftSideBarMenuSortable .list-options').each(function (key, val){
                        var that    = $(this);
                        that.attr('data-index', index);
                        index++;
                    });
                    $(".updateLeftSideBar").trigger('click');
                }

                $('#leftSideBarMenuSortable').sortable({
                    items: '.list-options',
                    axis: "y",
                    cursor: 'move',
                    placeholder: "movable-placeholder", //placeholder: "ui-state-highlight",
                    opacity: 0.7,
                    revert: 300,
                    delay: 150,
                    disableSelection: true,
                    start: function(e, ui) {
                        ui.placeholder.height(ui.helper.outerHeight());
                    },
                    stop: function(e, ui) { },
                    update:function(e, ui) {
                        reArrangeLeftMenuIndexNo();
                    }
                });

                $(document).on("change", "#left-menu-select-all", function (){
                    if($(this).is(':checked')){
                        $(this).parent().removeClass('select-all-dash');
                        $(this).closest('ul').find('li').not(':first').find('.form-check-input').prop('checked', true);
                        $(".updateLeftSideBar").trigger('click');
                    }else{
                        $(this).closest('ul').find('li').not(':first').find('.form-check-input').prop('checked', false);
                        $(".updateLeftSideBar").trigger('click');
                    }
                });

                $(document).ready(function() {
                    if($("#leftSideBarMenuSortable .form-check-input").not(':first').filter(':checked').length === $("#leftSideBarMenuSortable .form-check-input").not(':first').length){
                        $("#left-menu-select-all").prop('checked', true);
                        $("#left-menu-select-all").parent().removeClass('select-all-dash');
                    }else{
                        $("#left-menu-select-all").prop('checked', false);

                        if($("#leftSideBarMenuSortable .form-check-input").not(':first').filter(':checked').length > 0){
                            $("#left-menu-select-all").parent().addClass('select-all-dash');
                        }else{
                            $("#left-menu-select-all").parent().removeClass('select-all-dash');
                        }
                    }
                });

                $(document).on("change", "#leftSideBarMenuSortable .form-check-input", function (){
                    if($("#leftSideBarMenuSortable .form-check-input").not(':first').filter(':checked').length === $("#leftSideBarMenuSortable .form-check-input").not(':first').length){
                        $("#left-menu-select-all").parent().removeClass('select-all-dash');
                        $("#left-menu-select-all").prop('checked', true);
                    }else{
                        $("#left-menu-select-all").prop('checked', false);

                        if($("#leftSideBarMenuSortable .form-check-input").not(':first').filter(':checked').length > 0){
                            $("#left-menu-select-all").parent().addClass('select-all-dash');
                        }else{
                            $("#left-menu-select-all").parent().removeClass('select-all-dash');
                        }
                    }
                });

                $(document).on("change", ".updateLeftSideBarList", function (){
                    $(".updateLeftSideBar").trigger('click');
                });

                $(document).on("click", ".updateLeftSideBar", function (){
                    let leftSideBarArr = [];

                    $('#leftSideBarMenuSortable .list-options').each(function (key, val){
                        let activeStatus = $(this).find('.form-check-input').is(':checked');
                        leftSideBarArr.push({
                            'id': $(this).attr('data-id'),
                            'menu_id': $(this).attr('data-menu-id'),
                            'display_no': $(this).attr('data-index'),
                            'active_status': ((activeStatus) ? '1' : '0')
                        });
                    });

                    $.ajax({
                        type: 'POST',
                        url: '{!! route("company.admin.update.left.sidebar") !!}',
                        data: { leftSideBarArr: JSON.stringify(leftSideBarArr) },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                    }).done(function(response) {
                        if(response.success){
                            if(response.leftMenuView !== ''){
                                $("#left-menu-view").html(response.leftMenuView);
                            }
                            toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                        }else{
                            toastr.error(response.message, { timeOut: 5000 });
                        }
                    });
                });
                {{-- Dynamic Left Sidebar Menu --}}
            });
        </script>
        {{-- Dispatch Pro Announcement --}}

        @if(!in_array(Route::currentRouteName(), ['company.admin.loads.edit']))
        <!-- socket -->
        <script src="https://cdn.socket.io/4.0.1/socket.io.min.js"></script>
        <script typeof="text/javascript">
            const defaultSocket                         = io('{{ env("NODE_CHAT_API_BASE_URL", "http://localhost:8000") }}');

            defaultSocket.on('load-unlock-request-to-load-locked-user-all-page', (requestData) => {
                const loginUserId                       = '{{ auth()->guard("company-admin")->user()->id ?? "" }}';
                const loadLockedUserId                  = requestData.loadLockedUserId;

                if(loginUserId === loadLockedUserId){
                    const loadDetailId                  = requestData.loadDetailId;
                    const loadNumber                    = requestData.loadNumber;
                    const loadUnlockRequestedUserName   = requestData.loadUnlockRequestedUserName;

                    var loadLockedInterval              = '';
                    Swal.fire({
                        title: 'Load: '+ loadNumber +' Unlock requested',
                        html: 'by ' + loadUnlockRequestedUserName + '<br/><br/><span class="countdown font-custom-size"></span><br/>The load will be auto unlocked.<br/>',
                        icon: 'info',
                        confirmButtonText: 'Yes, Unlock the load', //Button 1
                        cancelButtonText: 'No, Keep the load locked', //Button 2
                        showCancelButton: true,
                        buttonsStyling: false,
                        allowOutsideClick: false,
                        customClass: {
                            container: 'outside-load-unlock-request-swal-container',
                            confirmButton: 'btn btn-blueBr', //Button 1
                            cancelButton: 'btn btn-blue ml-3 btn-custom-style', //Button 2
                        }
                    }).then((result) => {
                        if (result.isConfirmed) {
                            clearInterval(loadLockedInterval);
                            defaultSocket.emit('load-unlock-request-response', { requestStatus: '4', loadDetailId: loadDetailId });
                            defaultSocket.emit('load-unlocked-by-user', loadDetailId);

                            Swal.close();
                        } else {
                            clearInterval(loadLockedInterval);
                            defaultSocket.emit('load-unlock-request-response', { requestStatus: '3', loadDetailId: loadDetailId });

                            Swal.close();
                        }
                    });

                    var loadLockedCountDownTimer        = "{{ env('Load_UNLOCK_COUNT_DOWN_TIMER', '2:00') }}";
                    loadLockedInterval                  = setInterval(function() {
                        var timer                       = loadLockedCountDownTimer.split(':');
                        var minutes                     = parseInt(timer[0], 10);
                        var seconds                     = parseInt(timer[1], 10);
                        --seconds;
                        minutes                         = (seconds < 0) ? --minutes : minutes;
                        seconds                         = (seconds < 0) ? 59 : seconds;
                        seconds                         = (seconds < 10) ? '0' + seconds : seconds;
                        if (minutes < 0) {
                            clearInterval(loadLockedInterval);
                            $('.outside-load-unlock-request-swal-container .countdown').html('0:00');
                            Swal.close();
                        } else {
                            $('.outside-load-unlock-request-swal-container .countdown').html(minutes + ':' + seconds);
                            loadLockedCountDownTimer = minutes + ':' + seconds;
                        }
                    }, 1000);
                }
            });
        </script>
        <!-- socket -->
        @endif
    </body>
</html>
