@extends($driverAdminTheme)

@section('title')
    Dispatch Pro Announcement
@endsection

@section('style')
    <link rel="stylesheet" href="https://cdn.datatables.net/responsive/2.5.0/css/responsive.dataTables.min.css">
    <style type="text/css">
        ul.dtr-details {
            display: block !important;
            white-space: normal;
        }

        ul.dtr-details li[data-dt-column] span.dtr-data {
            position: relative;
        }
    </style>
@endsection

@section('content')
    <div class="white-box table-view">
        <h3 class="table-title">Dispatch Pro Announcement</h3>
        <!-- <div class="table-responsive"> -->
            <table class="display nowrap table data-table" style="width:100%">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Id</th>
                        <th>Name</th>
                        <th>Description</th>
                        <th>Created At</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        <!-- </div> -->
    </div>
@endsection

@section('script')
    <script src="https://cdn.datatables.net/responsive/2.5.0/js/dataTables.responsive.min.js"></script>
    <script type="text/javascript">
        var dispatchProAnnouncementTable;
        $(document).ready(function() {
            dispatchProAnnouncementTable = $('.data-table').DataTable({
                responsive: true,
                stateSave: true,
                language: {
                    search: "",
                    searchPlaceholder: "Search...",
                },
                processing: true,
                serverSide: true,
                // bJQueryUI: true,
                ajax: "{{ route('driver.admin.compel.announcement.index') }}",
                columns: [
                    { data: 'DT_RowIndex', name: 'DT_RowIndex', orderable: false, searchable: false, responsivePriority: 3 },
                    { data: 'id', name: 'id', visible: false, searchable: false, responsivePriority: 6 },
                    { data: 'name', name: 'name', responsivePriority: 1 },
                    { data: 'description', name: 'description', responsivePriority: 2 },
                    { data: 'created_at', name: 'created_at', responsivePriority: 4 },
                    { data: 'action', name: 'action', orderable: false, searchable: false, responsivePriority: 5 }
                ],
                order: [[1, "desc"]]
            });
        });
    </script>
@endsection
