<div class="col-md-6">
    <div class="white-box mb-3">
        @if(isset($collapse))
            <h4 class="box-title accordion-toggle" data-toggle="collapse" data-parent="#accordion-load" href="#collapse_shipping_dates_location"><i class="fa fa-plus"></i> Shipping Dates and Location</h4>
        @else
            <h4 class="box-title">Shipping Dates and Location</h4>
        @endif
        @if(isset($collapse))
            <div class="box-padding collapse {{ (isset($show) && $show=='true')?'show':'' }}" id="collapse_shipping_dates_location">
        @else
            <div class="box-padding">
        @endif
            <div class="row">
                <div class="col-12">
                    <div class="form-group mb-0">
                        <label class="control-label">Load Pickup Date:
                            <span>
                                @if(isset($loadDetail->shipper_date_time_end) && !is_null($loadDetail->shipper_date_time_end))
                                    {{ dateTimeFormatter($loadDetail->getRawOriginal('shipper_date_time'),'m/d/Y','Y-m-d H:i:s').' - '.dateTimeFormatter($loadDetail->getRawOriginal('shipper_date_time_end'),'m/d/Y','Y-m-d H:i:s') }}
                                @else
                                    @if(isset($loadDetail->shipper_date_time))
                                        {{ dateTimeFormatter($loadDetail->getRawOriginal('shipper_date_time'),'m/d/Y','Y-m-d H:i:s') }}
                                    @endif
                                @endif
                            </span>
                        </label>
                    </div>
                </div>
                <div class="col-12">
                    <div class="form-group mb-0">
                        <label class="control-label">Load Pickup Time:
                            <span>
                                @if(isset($loadDetail->shipper_date_time_end) && !is_null($loadDetail->shipper_date_time_end))
                                    {{ dateTimeFormatter($loadDetail->getRawOriginal('shipper_date_time'),getTimeLayout(0),'Y-m-d H:i:s').' - '.dateTimeFormatter($loadDetail->getRawOriginal('shipper_date_time_end'),getTimeLayout(0),'Y-m-d H:i:s').' '.$loadDetail->shipper_timezone_abbr }}
                                @else
                                    @if(isset($loadDetail->shipper_date_time))
                                        {{ dateTimeFormatter($loadDetail->getRawOriginal('shipper_date_time'),getTimeLayout(0),'Y-m-d H:i:s').' '.$loadDetail->shipper_timezone_abbr }}
                                    @endif
                                @endif
                            </span>
                        </label>
                    </div>
                </div>
                @php
                    $shipper_detention      = isset($loadDetail->shipper_detention)?$loadDetail->shipper_detention:null;
                @endphp
                @if(!is_null($shipper_detention) && in_array($shipper_detention->detention_status,[2,3]))
                    @php
                        $startDate          = isset($shipper_detention->detention_start_time)?dateTimeFormatter($shipper_detention->detention_start_time, 'm/d/Y H:i','Y-m-d H:i:s'):\Carbon\Carbon::now()->format('m/d/Y H:i');
                        $date1              = \Carbon\Carbon::parse($startDate);
                        $endDate            = isset($shipper_detention->detention_end_time)?dateTimeFormatter($shipper_detention->detention_end_time, 'm/d/Y H:i','Y-m-d H:i:s'):\Carbon\Carbon::now()->format('m/d/Y H:i');
                        $date2              = \Carbon\Carbon::parse($endDate);
                        $hours              = intval($date1->diffInHours($date2));
                        if ($hours < 10){
                            $hours          = "0".$hours;
                        }
                        $minutes            = intval($date1->diff($date2)->format('%I'));
                        if ($minutes < 10){
                            $minutes        = "0".$minutes;
                        }
                    @endphp
                    <div class="col-12">
                        <div class="form-group mb-0">
                            <label class="control-label">
                                Detention Requested -
                                <span  class="elapsed-time">[@if($startDate > $endDate)-@endif{{ $hours }}:{{ $minutes }}]</span>
                                <a
                                    href="javascript:void(0)"
                                    class="view-detention"
                                    data-id="{{ $loadDetail->id }}"
                                    data-is_stop="0"
                                    data-title="Detention Request - Load:{{ isset($loadDetail->load_number)?$loadDetail->load_number:'#########'}} - Load Pickup"
                                    data-shipper_is_arrived="1"
                                    data-detention_id="{{ $shipper_detention->id }}"
                                    data-detention_status="{{ $shipper_detention->detention_status }}"
                                >
                                    View Detention
                                </a>
                            </label>
                        </div>
                    </div>
                @endif
                <div class="col-12">
                    <div class="form-group mb-0">
                        <label class="control-label">Load Pickup Location:
                            <span>
                                {{ isset($loadDetail->shipper->name) ? $loadDetail->shipper->name : '' }}
                            </span>
                        </label>
                    </div>
                </div>
                @php
                    $shipper_addresses          = [];
                @endphp
                @if(isset($loadDetail->shipper_address_one) && $loadDetail->shipper_address_one!=='')
                    @php
                        $shipper_addresses[]    = $loadDetail->shipper_address_one;
                    @endphp
                @endif
                @if(isset($loadDetail->shipper_address_two) && $loadDetail->shipper_address_two!=='')
                    @php
                        $shipper_addresses[]    = $loadDetail->shipper_address_two;
                    @endphp
                @endif
                @if(isset($loadDetail->shipper_city) && $loadDetail->shipper_city!=='')
                    @php
                        $shipper_addresses[]    = $loadDetail->shipper_city;
                    @endphp
                @endif
                @if(isset($loadDetail->shipper_state) && $loadDetail->shipper_state!=='')
                    @php
                        $shipper_addresses[]    = $loadDetail->shipper_state;
                    @endphp
                @endif
                @if(isset($loadDetail->shipper_zip) && $loadDetail->shipper_zip!=='')
                    @php
                        $shipper_addresses[]    = $loadDetail->shipper_zip;
                    @endphp
                @endif
                @php
                    $shipper_addresses          = implode(', ', $shipper_addresses);
                @endphp
                <div class="col-12">
                    <div class="form-group mb-0">
                        <label class="control-label">Load Pickup Address:
                            <span>
                                {{ isset($loadDetail->shipper_address_one) ? $loadDetail->shipper_address_one : '' }}
                            </span>
                        </label>
                    </div>
                </div>
                <div class="col-12">
                    <div class="form-group mb-0">
                        <label class="control-label">Map Pickup Location:
                            <span>
                                {{ $shipper_addresses }}
                            </span>
                        </label>
                    </div>
                </div>
                <div class="col-12">
                    <div class="form-group mb-0">
                        <label class="control-label">Get Directions:
                            <span>
                                @if(!empty($shipper_addresses))
                                    <a href="https://www.google.com/maps?saddr=Current+Location&daddr={{ urlencode($shipper_addresses) }}" target="_blank">
                                        Click To Open
                                    </a>
                                @endif
                            </span>
                        </label>
                    </div>
                </div>
                @php
                    $uploaded_docs              = unserialize($loadDetail->shipper_files_upload);
                    if(is_null($uploaded_docs) || empty($uploaded_docs)){
                        $uploaded_docs  = [];
                    }

                    $shipper_accessorials       = $loadDetail->shipper_accessorials->where('driver_liable', 1)->where('doc_required', 1)->where('driver_id', auth()->guard('driver-admin')->user()->id);
                @endphp
                @if(!empty($uploaded_docs) || $shipper_accessorials->isNotEmpty())
                    <p class="mt-2 mb-2 ml-3">When Shipper</p>
                    @foreach ($uploaded_docs as $ukey => $docs)
                        <div class="col-12">
                            <div class="form-group mb-0">
                                <label class="control-label">{{ $docs['name'] }}:
                                    <span>
                                        @if(isset($docs['file']) && !empty($docs['file']))
                                            @foreach($docs['file'] as $document)
                                                @php
                                                    $file_path  = 'storage/companyAdmin/load_detail_document/'.$document;
                                                    $type       = \File::extension($file_path);
                                                @endphp
                                                @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                   <a href="{{ asset($file_path) }}" target="_blank" class="ml-1"><i class="fa fa-file-image-o" aria-hidden="true"></i> Click To Open</a>
                                                @else
                                                    <a href="{{ asset($file_path) }}" target="_blank" class="ml-1"><i class="fa fa-file-pdf-o" aria-hidden="true"></i> Click To Open</a>
                                                @endif
                                            @endforeach
                                        @endif
                                        @if($docs['type'] == 1)
                                            @if(isset($docs['file_not_provided']) && $docs['file_not_provided']=='on')
                                                @if(isset($docs['file']) && !empty($docs['file']))
                                                    &nbsp;(Not provided)
                                                @else
                                                    Not provided
                                                @endif
                                            @endif
                                        @else
                                            @if(isset($docs['is_received']) && $docs['is_received']=='on')
                                                Received
                                            @else
                                                Not Received
                                            @endif
                                        @endif
                                    </span>
                                </label>
                            </div>
                        </div>
                    @endforeach
                    @if($shipper_accessorials->isNotEmpty())
                        <p class="mt-2 mb-2 ml-3">When Accessorial</p>
                        @foreach ($shipper_accessorials as $key => $node)
                            <div class="col-12">
                                <div class="form-group mb-0">
                                    <label class="control-label">{{ $node->company_accessorial->name }}:
                                        <span>
                                            @if(isset($node->gallery))
                                                @php
                                                    $file_path  = 'storage/companyAdmin/gallery/'.$node->gallery->image;
                                                    $type       = \File::extension($file_path);
                                                @endphp
                                                @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                   <a href="{{ asset($file_path) }}" target="_blank" class="mr-2"><i class="fa fa-file-image-o" aria-hidden="true"></i> Click To Open</a>
                                                @else
                                                    <a href="{{ asset($file_path) }}" target="_blank" class="mr-2"><i class="fa fa-file-pdf-o" aria-hidden="true"></i> Click To Open</a>
                                                @endif
                                            @endif
                                            @if(isset($node->file_not_provided) && $node->file_not_provided=='on')
                                                @if(isset($node->gallery))
                                                    &nbsp;(Not provided)
                                                @else
                                                    Not provided
                                                @endif
                                            @endif
                                        </span>
                                    </label>
                                </div>
                            </div>
                        @endforeach
                    @endif
                @endif
            </div>
        </div>
    </div>
</div>