<!--
    data-id = // Load detail id or Load Stop
    data-customer_type = // 1 = Pickup, 2 = Delivery
    data-is_stop = // 1 = Stop, 0 = No Stop
    data-type = // 1 = Arrive, 2 = Depart
    data-stop_no = // Active Stop no
 -->
@if(isset($pendingDocuments))
    @if(!empty($pendingDocuments))
        <div class="modal-body">
            <p class="fs-16 text-theme-color mb-sm-3 pb-1 mb-1 fw-600">Congratulations! {{ $item->load_number ?? '#########' }} is completed.</p>
            <p class="fs-16 text-theme-color fw-600 mb-sm-3 mb-1">You've completed load {{ $item->load_number ?? '#########' }}. The following documents are needed for billing and payment</p>
            <ul class="ml-3 mb-2 pending-documents">
                @foreach ($pendingDocuments as $key => $node)
                    <li class="fs-16 text-theme-color mb-sm-3 mb-1 fw-600">{{ $node }}</li>
                @endforeach
            </ul>
            <div class="col-12">
                @if(isset($next))
                    <!-- action = 1 I'll upload the documents later. - Load Next Dispatch  -->
                    <button
                        type="button"
                        class="btn btn-blue w-100 mb-2 text-center fs-16 fw-semi-bold depart-request-btn"
                        data-action="1"
                        data-next_id="{{ $next->id }}"
                        data-id="{{ $formData['id'] }}"
                        data-customer_type="{{ $formData['customer_type'] }}"
                        data-is_stop="{{ $formData['is_stop'] }}"
                        data-type="{{ $formData['type'] }}"
                        data-stop_no="{{ $formData['stop_no'] }}">I'll upload the documents later.</button>
                @endif
                <!-- action = 2 // Upload missing documents - go to historic-dispatch  -->
                <button
                    type="button"
                    class="btn btn-blue w-100 mb-2 text-center fs-16 fw-semi-bold depart-request-btn"
                    data-action="2"
                    data-id="{{ $formData['id'] }}"
                    data-customer_type="{{ $formData['customer_type'] }}"
                    data-is_stop="{{ $formData['is_stop'] }}"
                    data-type="{{ $formData['type'] }}"
                    data-stop_no="{{ $formData['stop_no'] }}">Upload missing documents</button>
                <!-- go to upcoming-dispatch  -->
                <button
                    type="button"
                    class="btn btn-blueBr w-100 text-center fs-16 fw-semi-bold depart-request-btn"
                    data-id="{{ $formData['id'] }}"
                    data-customer_type="{{ $formData['customer_type'] }}"
                    data-is_stop="{{ $formData['is_stop'] }}"
                    data-type="{{ $formData['type'] }}"
                    data-stop_no="{{ $formData['stop_no'] }}">Go to all dispatches</button>
            </div>
            <div class="mt-md-4 mt-3 pt-1 dispatch-update-feedback">
                @if($formData['is_stop'] == 1)
                    @php
                        $load_stop_review       = isset($item->review) ? $item->review : null;
                    @endphp
                @else
                    @if($formData['customer_type'] == 1)
                        @php
                            $load_stop_review   = isset($item->shipper_review) ? $item->shipper_review : null;
                        @endphp
                    @else
                        @php
                            $load_stop_review   = isset($item->receiver_review) ? $item->receiver_review : null;
                        @endphp
                    @endif
                @endif
                @if(!is_null($load_stop_review))
                    <a href="javascript:void(0);" class="text-theme-color fs-16 fw-600 text-center mb-3 d-block dispatch-update-thank-you">Thank you for your feedback!</a>
                    @if(!isset($load_stop_review->review) || $load_stop_review->review == '')
                        <a
                            href="javascript:void(0);"
                            class="text-theme-color fs-16 fw-600 text-center text-underline d-block dispatch-update-review"
                            data-id="{{ $formData['id'] }}"
                            data-customer_type="{{ $formData['customer_type'] }}"
                            data-is_stop="{{ $formData['is_stop'] }}"
                            data-stop_no="{{ $formData['stop_no'] }}"
                            data-rating="{{ $load_stop_review->rating ?? 0 }}">Write a Review</a>
                    @endif
                @else
                    <a href="javascript:void(0);" class="text-theme-color fs-16 fw-600 text-center mb-3 d-none dispatch-update-thank-you">Thank you for your feedback!</a>
                    <div id="dispatch-update-rating" class="rating mx-auto">
                        <input type="radio" name="rating" id="mr5" value="5">
                        <label for="mr5"></label>

                        <input type="radio" name="rating" id="mr4" value="4">
                        <label for="mr4"></label>

                        <input type="radio" name="rating" id="mr3" value="3">
                        <label for="mr3"></label>

                        <input type="radio" name="rating" id="mr2" value="2">
                        <label for="mr2"></label>

                        <input type="radio" name="rating" id="mr1" value="1">
                        <label for="mr1"></label>
                    </div>
                    <a
                        href="javascript:void(0);"
                        class="text-theme-color fs-16 fw-600 text-underline d-flex w-100 justify-content-center dispatch-update-review"
                        data-id="{{ $formData['id'] }}"
                        data-customer_type="{{ $formData['customer_type'] }}"
                        data-is_stop="{{ $formData['is_stop'] }}"
                        data-stop_no="{{ $formData['stop_no'] }}"
                        data-rating="0">Write a Review</a>
                @endif
            </div>
        </div>
    @else
        <div class="modal-body p-0" data-dispatch="update">
            <div class="modal-padding border-bottom">
                <p class="fs-16 fw-600 text-theme-color mb-2 pb-1">Congratulations! {{ $item->load_number ?? '#########' }} is completed.</p>
                @if(isset($next))
                    <p class="fs-16 fw-600 text-theme-color">Next load</p>
                    <div class="row justify-content-center">
                        <div class="col-12">
                            <div class="row align-items-center">
                                <div class="col-lg-4 col-md-4">
                                    <div class="text-end">
                                        <strong class="text-theme-color fw-600 mb-1">Pickup</strong>
                                        <ul>
                                            <!-- // D n/j/Y - Mon 6/20/2023 -->
                                            <li class="mb-1 fs-14 fw-500">{{ date('D n/j', strtotime($next->getRawOriginal('shipper_date_time'))) }}</li>
                                            @php
                                                $sttt                               = [];
                                                $stime                              = [];
                                                if($next->shipping_time_range == 0){
                                                    $stime[]                        = date(getTimeLayout(0), strtotime($next->getRawOriginal('shipper_date_time')));
                                                }else{
                                                    $stime[]                        = date(getTimeLayout(0), strtotime($next->getRawOriginal('shipper_date_time')));
                                                    $stime[]                        = date(getTimeLayout(0), strtotime($next->getRawOriginal('shipper_date_time_end')));
                                                }
                                                $sttt[]                             = implode('-', $stime);
                                                if(isset($next->shipper_timezone_abbr)){
                                                    $sttt[]                         = $next->shipper_timezone_abbr;
                                                }
                                                if($next->shipping_time_range == 0){
                                                    $sttt[]                         = 'Appointment';
                                                }else{
                                                    $sttt[]                         = 'Range';
                                                }
                                            @endphp
                                            <li class="mb-1 fs-14 fw-500">{{ implode(' ', $sttt) }}</li>
                                            <li class="mb-1 fs-14 text-dark fw-600">
                                                @php
                                                    $shipper_addresses              = [];
                                                @endphp
                                                @if(isset($next->shipper_address_one) && $next->shipper_address_one!=='')
                                                    @php
                                                        $shipper_addresses[]        = $next->shipper_address_one;
                                                    @endphp
                                                @endif
                                                @if(isset($next->shipper_address_two) && $next->shipper_address_two!=='')
                                                    @php
                                                        $shipper_addresses[]        = $next->shipper_address_two;
                                                    @endphp
                                                @endif
                                                @if(isset($next->shipper_city) && $next->shipper_city!=='')
                                                    @php
                                                        $shipper_addresses[]        = $next->shipper_city;
                                                    @endphp
                                                @endif
                                                @if(isset($next->shipper_state) && $next->shipper_state!=='')
                                                    @php
                                                        $shipper_addresses[]        = $next->shipper_state;
                                                    @endphp
                                                @endif
                                                @if(isset($next->shipper_zip) && $next->shipper_zip!=='')
                                                    @php
                                                        $shipper_addresses[]        = $next->shipper_zip;
                                                    @endphp
                                                @endif
                                                @php
                                                    $shipper_addresses              = implode(', ', $shipper_addresses);
                                                @endphp
                                                {{ $shipper_addresses }}
                                            </li>
                                            <li class="mb-1 fs-12 fw-500">
                                                <a href="javascript:void(0);" class="text-theme-color">
                                                    @if($next->shipper_drop_trailer_schedule == 1)
                                                        Drop Trailer
                                                    @elseif($next->shipper_drop_trailer_schedule == 2)
                                                        Drop & Hook
                                                    @else
                                                        Live
                                                    @endif
                                                </a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="col-lg-4 col-md-4">
                                    <div class="row text-center my-sm-3 my-2">
                                        <div class="col-12">
                                            <span class="fs-12 text-dark fw-500">{{ isset($next->total_miles) ? formatNumberWithoutZeros($next->total_miles).' mi' : '' }}</span>
                                        </div>
                                        <hr class="w-100">
                                        <div class="col-12">
                                            <span class="fs-12 text-dark fw-500">
                                                @php
                                                    $total_stops                    = 0;
                                                @endphp
                                                @if(isset($next->loads->load_stops) && $next->loads->load_stops->isNotEmpty())
                                                    @php
                                                        $total_stops                += $next->loads->load_stops->count();
                                                    @endphp
                                                @endif
                                                @if($total_stops > 0)
                                                    @if($total_stops >= 2)
                                                        {{ $total_stops }} Stops
                                                    @else
                                                        {{ $total_stops }} Stop
                                                    @endif
                                                @else
                                                    Non Stop
                                                @endif
                                            </span>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-4 col-md-4">
                                    <div class="text-start">
                                        <strong class=" text-theme-color fw-600 mb-1">Delivery</strong>
                                        <ul>
                                            <!-- // D n/j/Y - Mon 6/20/2023 -->
                                            <li class="mb-1 fs-14 fw-500 ">{{ date('D n/j', strtotime($next->getRawOriginal('delivery_date_time'))) }}</li>
                                            @php
                                                $dttt                               = [];
                                                $dtime                              = [];
                                                if($next->delivery_time_range == 0){
                                                    $dtime[]                        = date(getTimeLayout(0), strtotime($next->getRawOriginal('delivery_date_time')));
                                                }else{
                                                    $dtime[]                        = date(getTimeLayout(0), strtotime($next->getRawOriginal('delivery_date_time')));
                                                    $dtime[]                        = date(getTimeLayout(0), strtotime($next->getRawOriginal('delivery_date_time_end')));
                                                }
                                                $dttt[]                             = implode('-', $dtime);
                                                if(isset($next->delivery_timezone_abbr)){
                                                    $dttt[]                         = $next->delivery_timezone_abbr;
                                                }
                                                if($next->delivery_time_range == 0){
                                                    $dttt[]                         = 'Appointment';
                                                }else{
                                                    $dttt[]                         = 'Range';
                                                }
                                            @endphp
                                            <li class="mb-1 fs-14 fw-500">{{ implode(' ', $dttt) }}</li>
                                            <li class="mb-1 fs-14 text-dark fw-600">
                                                @php
                                                    $delivery_addresses             = [];
                                                @endphp
                                                @if(isset($next->delivery_address_one) && $next->delivery_address_one!=='')
                                                    @php
                                                        $delivery_addresses[]       = $next->delivery_address_one;
                                                    @endphp
                                                @endif
                                                @if(isset($next->delivery_address_two) && $next->delivery_address_two!=='')
                                                    @php
                                                        $delivery_addresses[]       = $next->delivery_address_two;
                                                    @endphp
                                                @endif
                                                @if(isset($next->delivery_city) && $next->delivery_city!=='')
                                                    @php
                                                        $delivery_addresses[]       = $next->delivery_city;
                                                    @endphp
                                                @endif
                                                @if(isset($next->delivery_state) && $next->delivery_state!=='')
                                                    @php
                                                        $delivery_addresses[]       = $next->delivery_state;
                                                    @endphp
                                                @endif
                                                @if(isset($next->delivery_zip) && $next->delivery_zip!=='')
                                                    @php
                                                        $delivery_addresses[]       = $next->delivery_zip;
                                                    @endphp
                                                @endif
                                                @php
                                                    $delivery_addresses             = implode(', ', $delivery_addresses);
                                                @endphp
                                                {{ $delivery_addresses }}
                                            </li>
                                            <li class="mb-1 fs-12 text-theme-color fw-500">
                                                <a href="javascript:void(0);" class="text-theme-color">
                                                    @if($next->delivery_drop_trailer_schedule == 1)
                                                        Drop Trailer
                                                    @elseif($next->delivery_drop_trailer_schedule == 2)
                                                        Drop & Hook
                                                    @else
                                                        Live
                                                    @endif
                                                </a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                @endif
            </div>
            <div class="modal-padding">
                <div class="row justify-content-center">
                    <div class="col-8">
                        @if(isset($next))
                            <!-- action = 1 Load Next Dispatch  -->
                            <button
                                type="button"
                                class="btn btn-blue w-100 mb-1 text-center fs-16 fw-semi-bold depart-request-btn"
                                data-action="1"
                                data-next_id="{{ $next->id }}"
                                data-id="{{ $formData['id'] }}"
                                data-customer_type="{{ $formData['customer_type'] }}"
                                data-is_stop="{{ $formData['is_stop'] }}"
                                data-type="{{ $formData['type'] }}"
                                data-stop_no="{{ $formData['stop_no'] }}">Load Next Dispatch</button>
                        @endif
                        <!-- go to upcoming-dispatch  -->
                        <button
                            type="button"
                            class="btn btn-blueBr w-100 text-center fs-16 fw-semi-bold depart-request-btn"
                            data-id="{{ $formData['id'] }}"
                            data-customer_type="{{ $formData['customer_type'] }}"
                            data-is_stop="{{ $formData['is_stop'] }}"
                            data-type="{{ $formData['type'] }}"
                            data-stop_no="{{ $formData['stop_no'] }}">See All Loads</button>
                        <div class="mt-md-4 mt-3 pt-1 dispatch-update-feedback">
                            @if($formData['is_stop'] == 1)
                                @php
                                    $load_stop_review       = isset($item->review) ? $item->review : null;
                                @endphp
                            @else
                                @if($formData['customer_type'] == 1)
                                    @php
                                        $load_stop_review   = isset($item->shipper_review) ? $item->shipper_review : null;
                                    @endphp
                                @else
                                    @php
                                        $load_stop_review   = isset($item->receiver_review) ? $item->receiver_review : null;
                                    @endphp
                                @endif
                            @endif
                            @if(!is_null($load_stop_review))
                                <a href="javascript:void(0);" class="text-theme-color fs-16 fw-600 text-center mb-3 d-block dispatch-update-thank-you">Thank you for your feedback!</a>
                                @if(!isset($load_stop_review->review) || $load_stop_review->review == '')
                                    <a
                                        href="javascript:void(0);"
                                        class="text-theme-color fs-16 fw-600 text-center text-underline d-block dispatch-update-review"
                                        data-id="{{ $formData['id'] }}"
                                        data-customer_type="{{ $formData['customer_type'] }}"
                                        data-is_stop="{{ $formData['is_stop'] }}"
                                        data-stop_no="{{ $formData['stop_no'] }}"
                                        data-rating="{{ $load_stop_review->rating ?? 0 }}">Write a Review</a>
                                @endif
                            @else
                                <a href="javascript:void(0);" class="text-theme-color fs-16 fw-600 text-center mb-3 d-none dispatch-update-thank-you">Thank you for your feedback!</a>
                                <div id="dispatch-update-rating" class="rating mx-auto">
                                    <input type="radio" name="rating" id="mr5" value="5">
                                    <label for="mr5"></label>

                                    <input type="radio" name="rating" id="mr4" value="4">
                                    <label for="mr4"></label>

                                    <input type="radio" name="rating" id="mr3" value="3">
                                    <label for="mr3"></label>

                                    <input type="radio" name="rating" id="mr2" value="2">
                                    <label for="mr2"></label>

                                    <input type="radio" name="rating" id="mr1" value="1">
                                    <label for="mr1"></label>
                                </div>
                                <a
                                    href="javascript:void(0);"
                                    class="text-theme-color fs-16 fw-600 text-center text-underline d-block dispatch-update-review"
                                    data-id="{{ $formData['id'] }}"
                                    data-customer_type="{{ $formData['customer_type'] }}"
                                    data-is_stop="{{ $formData['is_stop'] }}"
                                    data-stop_no="{{ $formData['stop_no'] }}"
                                    data-rating="0">Write a Review</a>
                            @endif
                        </div>
                    </div>
                </div>
            </div>
        </div>
    @endif
@else
    <div class="modal-body">
        <div class="col-12">
            <button
                type="button"
                class="btn btn-blue w-100 mb-2 text-left fs-16 fw-semi-bold depart-request-btn"
                data-id="{{ $formData['id'] }}"
                data-customer_type="{{ $formData['customer_type'] }}"
                data-is_stop="{{ $formData['is_stop'] }}"
                data-type="{{ $formData['type'] }}"
                data-stop_no="{{ $formData['stop_no'] }}">I'm on my way!</button>
        </div>
    </div>
    <div class="modal-footer align-items-center justify-content-between">
        <div class="dispatch-update-feedback">
            @if($formData['is_stop'] == 1)
                @php
                    $load_stop_review       = isset($item->review) ? $item->review : null;
                @endphp
            @else
                @if($formData['customer_type'] == 1)
                    @php
                        $load_stop_review   = isset($item->shipper_review) ? $item->shipper_review : null;
                    @endphp
                @else
                    @php
                        $load_stop_review   = isset($item->receiver_review) ? $item->receiver_review : null;
                    @endphp
                @endif
            @endif
            @if(!is_null($load_stop_review))
                <a href="javascript:void(0);" class="fs-16 text-theme-color fw-600 mb-0 d-block dispatch-update-thank-you">Thank you for your feedback!</a>
                @if(!isset($load_stop_review->review) || $load_stop_review->review == '')
                    <a
                        href="javascript:void(0);"
                        class="fs-16 text-theme-color fw-600 mb-0 mt-3 text-underline d-block dispatch-update-review"
                        data-id="{{ $formData['id'] }}"
                        data-customer_type="{{ $formData['customer_type'] }}"
                        data-is_stop="{{ $formData['is_stop'] }}"
                        data-stop_no="{{ $formData['stop_no'] }}"
                        data-rating="{{ $load_stop_review->rating ?? 0 }}">Write a Review</a>
                @endif
            @else
                <a href="javascript:void(0);" class="fs-16 text-theme-color fw-600 mb-0 d-none dispatch-update-thank-you">Thank you for your feedback!</a>
                <div id="dispatch-update-rating" class="rating">
                    <input type="radio" name="rating" id="mr5" value="5">
                    <label for="mr5"></label>

                    <input type="radio" name="rating" id="mr4" value="4">
                    <label for="mr4"></label>

                    <input type="radio" name="rating" id="mr3" value="3">
                    <label for="mr3"></label>

                    <input type="radio" name="rating" id="mr2" value="2">
                    <label for="mr2"></label>

                    <input type="radio" name="rating" id="mr1" value="1">
                    <label for="mr1"></label>
                </div>
                <a
                    href="javascript:void(0);"
                    class="fs-16 text-theme-color fw-600 mb-0 mt-sm-3 mt-1 text-underline d-block dispatch-update-review"
                    data-id="{{ $formData['id'] }}"
                    data-customer_type="{{ $formData['customer_type'] }}"
                    data-is_stop="{{ $formData['is_stop'] }}"
                    data-stop_no="{{ $formData['stop_no'] }}"
                    data-rating="0">Write a Review</a>
            @endif
        </div>
        <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
    </div>
@endif