@extends($driverAdminTheme)

@section('title')
    2 Factor Settings
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
        .ngd-wrapper .container-fluid, .ngd-menu .container-fluid, .ngd-new .container-fluid {
            padding: 0 30px 0 28px;
        }
        .disabled {
            color: #999;
            cursor: not-allowed;
            text-decoration: line-through;
            opacity: 0.5 !important;
            pointer-events: none !important;
        }
    </style>
    <style type="text/css">
        .table-view .table-title {
            padding: 20px 20px 20px;
            background-color: #eff4fa;
        }
        .table-view label {
            font-size: 14px;
        }
        .custom-switch-blue .custom-control-label {
            width: 42px;
            height: 28px;
            margin-bottom: 0;
        }
        .custom-switch-blue .custom-control-label::before {
            width: 100%;
            height: 100%;
            top: 0;
            left: 0;
            border-radius: 30px;
            border: 1px solid #305F9C;
        }
        .custom-switch-blue .custom-control-label::after {
            width: 18px;
            height: 18px;
            left: 4px;
            top: 5px;
            background: #305F9C;
            border-radius: 100%;
            transition: transform .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out, -webkit-transform .15s ease-in-out;
        }
        .custom-switch-blue .custom-control-input:checked~.custom-control-label::before {
            background-color: #305F9C;
            border-color: #305F9C !important;
        }
        .custom-switch-blue .custom-control-input:checked~.custom-control-label::after {
            transform: translateX(16px);
            background: #fff;
        }
    </style>
    <style type="text/css">
        .button-bottom .cancel-btn {
            margin-right: 140px;
            color: #fff !important;
            background: #757575 !important;
        }
        .button-bottom .submit-btn {
            background-color: #6dd400;
        }
        .button-bottom .cancel-btn, .button-bottom .submit-btn {
            box-shadow: 0 3px 6px rgb(0 0 0 / 16%);
            font-size: 18px;
            font-weight: bold;
            border-radius: 4px;
            width: 400px;
            max-width: 100%;
            height: 43px;
        }
        .button-bottom button, .button-bottom a {
            font-family: 'Open Sans', sans-serif;
            color: #ffffff;
            border: 0;
            display: flex;
            align-items: center;
            justify-content: center;
        }
    </style>
    <style type="text/css">
        @media (max-width: 767px){
            .ngd-wrapper .container-fluid, .ngd-menu .container-fluid, .ngd-new .container-fluid {
                padding: 0 12px;
            }
            .table-view {
                padding: 12px;
            }
            .table-view .table-title {
                padding: 8px;
                font-size: 12px;
            }
            .table-view label {
                font-size: 12px;
            }
            .table-view .factor-settings-label {
                word-wrap: break-word;
                white-space: normal;
                text-overflow: ellipsis;
                overflow: hidden;
                width: 100%;
                word-break: break-word;
            }
            .table-view .custom-control{
                padding-left: 0;
            }
            .custom-switch-blue .custom-control-label {
                width: 36px;
                height: 22px;
            }
            .custom-switch-blue .custom-control-label::after{
                width: 12px;
                height: 12px;
            }
            .button-bottom .cancel-btn {
                margin-right: 4px;
            }
            .button-bottom .cancel-btn, .button-bottom .submit-btn{
                height: auto;
                font-size: 14px;
                padding: 8px 12px;
            }
        }
    </style>
@endsection

@section('content')

    <div class="table-view mt-md-4 mt-2">
        <div class="row">
            <div class="col-sm-12 col-md-12">
                <h3 class="table-title mb-0">2 Factor Settings</h3>
            </div>
            <div class="col-sm-12 col-md-12">
                <div class="d-flex align-items-center mt-1">
                    <div class="p-md-2 p-1">
                        <div class="d-inline-block">
                            <div class="custom-control custom-switch-blue">
                                <input type="checkbox" class="custom-control-input" name="enable_two_factor" id="enable-two-factor" value="1" {{ (isset($twoFactorSettings) && $twoFactorSettings->enable_two_factor == '1') ? 'checked' : '' }}>
                                <label class="custom-control-label" for="enable-two-factor"></label>
                            </div>
                        </div>
                    </div>
                    <div class="p-md-2 p-1">
                        <label class="mt-2 font-weight-bold factor-settings-label">Enable 2-Factor Authentication</label>
                    </div>
                </div>
            </div>
            <div class="col-sm-12 col-md-12 mt-md-4 mt-2">
                <h3 class="table-title mb-0">Authentication Settings</h3>
            </div>
            <div class="col-sm-12 col-md-12">
                <div class="d-flex align-items-center mt-1">
                    <div class="p-md-2 p-1">
                        <div class="d-inline-block">
                            <div class="custom-control custom-switch-blue">
                                <input type="checkbox" class="custom-control-input" name="enable_email_verify" id="enable-email-verify" value="1" {{ (isset($twoFactorSettings) && $twoFactorSettings->enable_email_verify == '1') ? 'checked' : '' }}>
                                <label class="custom-control-label enable-email-verify disabled" for="enable-email-verify"></label>
                            </div>
                        </div>
                    </div>
                    <div class="p-md-2 p-1">
                        <label class="mt-2 font-weight-bold factor-settings-label">OTP Over Email {!! '['.((!is_null(auth()->guard('driver-admin')->user()->email)) ? auth()->guard('driver-admin')->user()->email : 'No Added').']' ?? '' !!}</label>
                    </div>
                </div>
            </div>
            <div class="col-sm-12 col-md-12">
                <div class="d-flex align-items-center">
                    <div class="p-md-2 p-1">
                        <div class="d-inline-block">
                            <div class="custom-control custom-switch-blue">
                                <input type="checkbox" class="custom-control-input" name="enable_sms_verify" id="enable-sms-verify" value="1" {{ (isset($twoFactorSettings) && $twoFactorSettings->enable_sms_verify == '1') ? 'checked' : '' }}>
                                <label class="custom-control-label enable-sms-verify disabled" for="enable-sms-verify"></label>
                            </div>
                        </div>
                    </div>
                    <div class="p-md-2 p-1">
                        <label class="mt-2 font-weight-bold factor-settings-label">OTP Over SMS {!! '['.((!is_null(auth()->guard('driver-admin')->user()->cell_phone)) ? auth()->guard('driver-admin')->user()->cell_phone : 'No Added').']' ?? '' !!}</label>
                    </div>
                </div>
            </div>
            <div class="col-sm-12 col-md-12">
                <div class="button-bottom d-flex justify-content-md-center">
                    <a href="{{ route('driver.admin.home') }}" class="cancel-btn">Cancel</a>
                    <button class="submit-btn">Save</button>
                </div>
            </div>
        </div>
    </div>

@endsection

@section('script')
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script type="text/javascript">
        function loadPage(){
            if($('#enable-two-factor').is(':checked')){
                $('.enable-email-verify').removeClass('disabled');
                $('.enable-sms-verify').removeClass('disabled');
            }else{
                $('#enable-email-verify').prop('checked', false);
                $('#enable-sms-verify').prop('checked', false);
                $('.enable-email-verify').addClass('disabled');
                $('.enable-sms-verify').addClass('disabled');
            }
        }
        $(function (){
            loadPage();

           $(document).on('change', '#enable-two-factor', function (){
               loadPage();
           });

           $(document).on('click', '.submit-btn', function (){
               let enableTwoFactor = ($('#enable-two-factor').is(':checked')) ? '1' : '0';
               let enableEmailVerify = ($('#enable-email-verify').is(':checked')) ? '1' : '0';
               let enableSmsVerify = ($('#enable-sms-verify').is(':checked')) ? '1' : '0';

               if(enableTwoFactor == '1' && enableEmailVerify == '0' && enableSmsVerify == '0'){
                   toastr.error('Please enable OTP Over Email/SMS', 'Error Alert', { timeOut: 5000 });
               }else{
                   $.ajax({
                       url: '{!! route('driver.admin.two-factor.update.setting') !!}',
                       method: "POST",
                       headers: { 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') },
                       data: {
                           enableTwoFactor: enableTwoFactor,
                           enableEmailVerify: enableEmailVerify,
                           enableSmsVerify: enableSmsVerify,
                       },
                       dataType: 'json',
                       success: function(response){
                           if(response.success == true){
                               toastr.success(response.msg, 'Success Alert', { timeOut: 5000 });
                           }else{
                               toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                           }
                       },
                       error: function(response){
                           toastr.error('Something went wrong!', 'Error Alert', { timeOut: 5000 });
                       },
                   });
               }
           });
        });
    </script>
@endsection
