<?php

use App\Http\Controllers\Auth\Admin\ForgotPasswordController;
use App\Http\Controllers\Auth\Admin\ResetPasswordController;
use App\Http\Controllers\Auth\Admin\LoginController;

use App\Http\Controllers\Admin\TwoFactorSettingController;
use App\Http\Controllers\Admin\TwoFactorAuthenticationController;

use App\Http\Controllers\Admin\HomeController;
use App\Http\Controllers\Admin\AccountController;
use App\Http\Controllers\Admin\CompanyController;
use App\Http\Controllers\Admin\SettingController;
use App\Http\Controllers\Admin\AppCenterController;

use App\Http\Controllers\Admin\AnnouncementController;

use App\Http\Controllers\Admin\AppointmentTypeController;
use App\Http\Controllers\Admin\TicketTypeController;

use App\Http\Controllers\Admin\TrailerTypeController;
use App\Http\Controllers\Admin\TruckTypeController;

use App\Http\Controllers\Admin\CompanyHosViolationCodeController;
use App\Http\Controllers\Admin\CompanyCitationsViolationCodeController;
use App\Http\Controllers\Admin\CompanyAccidentViolationCodeController;
use App\Http\Controllers\Admin\CompanyInspectionLevelController;
use App\Http\Controllers\Admin\CompanyDisciplinaryActionController;

use App\Http\Controllers\Admin\HolidayController;
use App\Http\Controllers\Admin\EventTypeController;
use App\Http\Controllers\Admin\ManageTypeController;

use App\Http\Controllers\Admin\AccessorialController;
use App\Http\Controllers\Admin\CommodityController;
use App\Http\Controllers\Admin\TermsController;

use App\Http\Controllers\Admin\LoadDocumentController;
use App\Http\Controllers\Admin\LoadRequirementsItemController;

use App\Http\Controllers\Admin\ChartOfAccountController;

use App\Http\Controllers\Admin\WorkOrderController;
use App\Http\Controllers\Admin\SafetyComplianceController;
use App\Http\Controllers\Admin\OnboardingController;
use App\Http\Controllers\Admin\DeductionTypeController;
use App\Http\Controllers\Admin\RecruitingSourceController;

use App\Http\Controllers\Admin\InsuranceTypeController;
use App\Http\Controllers\Admin\PmTypeController;
use App\Http\Controllers\Admin\PmServiceTypeController;
use App\Http\Controllers\Admin\PmWarrantyProviderController;
use App\Http\Controllers\Admin\EquipmentTitleController;
use App\Http\Controllers\Admin\DocumentTitleController;

use App\Http\Controllers\Admin\TrailerGroupController;
use App\Http\Controllers\Admin\TruckGroupController;

use App\Http\Controllers\Admin\InvoiceController;

use App\Http\Controllers\Admin\EmailTemplateController;

use App\Http\Controllers\Admin\PdfTemplateController;

// LoginController
Route::get('login', [LoginController::class, 'showLoginForm'])->name('login.view');
Route::post('login', [LoginController::class, 'login'])->name('login');
Route::post('logout', [LoginController::class, 'logout'])->name('logout');

// ForgotPasswordController
Route::get('password/reset', [ForgotPasswordController::class, 'showLinkRequestForm'])->name('password.request');
Route::post('password/email', [ForgotPasswordController::class, 'sendResetLinkEmail'])->name('password.email');

// ResetPasswordController
Route::get('password/reset/{token}', [ResetPasswordController::class, 'showResetForm'])->name('password.reset');
Route::post('password/reset', [ResetPasswordController::class, 'reset'])->name('password.update');

// Company Admin 2-Factor Authentication - START
Route::group(['middleware' => 'admin.auth'],function () {
    Route::group(['middleware' => '2fa'],function () {
        Route::get('two-factor-settings', [TwoFactorSettingController::class, 'index'])->name('two-factor.index');
        Route::post('two-factor-settings/update-settings', [TwoFactorSettingController::class, 'updateSettings'])->name('two-factor.update.setting');
    });
    Route::get('two-factor-authentication', [TwoFactorAuthenticationController::class, 'index'])->name('two-factor-authentication.index');
    Route::post('two-factor-authentication/verify-code', [TwoFactorAuthenticationController::class, 'verifyCode'])->name('two-factor-authentication.verify');
    Route::get('two-factor-authentication/resend-code', [TwoFactorAuthenticationController::class, 'resendCode'])->name('two-factor-authentication.resend');
});
// Company Admin 2-Factor Authentication - END

Route::group(['middleware' => ['admin.auth', '2fa']],function () {
    // HomeController
    Route::get('home', [HomeController::class, 'home'])->name('home');

    // AccountController
    Route::resource('accounts', AccountController::class);

    // CompanyController
    Route::resource('companies', CompanyController::class);

    Route::get('companies/login/{id}', [CompanyController::class, 'login'])->name('login.to.company');

    // SettingController
    Route::get('settings', [SettingController::class, 'index'])->name('setting.index');
    Route::patch('settings/update/{id}', [SettingController::class, 'update'])->name('setting.update');

    // App Center
    Route::resource('app-center', AppCenterController::class);
    Route::post('app-center/crop-picture', [AppCenterController::class, 'cropPicture'])->name('app.center.cropPicture');

    // Announcement
    Route::resource('announcement', AnnouncementController::class);

    // Appointment Type
    Route::resource('appointment-types', AppointmentTypeController::class);
    Route::post('appointment-types/edit/form/view', [AppointmentTypeController::class, 'editFormView'])->name('appointment.types.edit.form.view');

    // Ticket Type
    Route::resource('ticket-type', TicketTypeController::class);
    Route::post('ticket-type/edit/form/view', [TicketTypeController::class, 'editFormView'])->name('ticket.types.edit.form.view');

    // Trailers Types
    Route::resource('trailer-types', TrailerTypeController::class);
    Route::post('trailer-types/edit/form/view', [TrailerTypeController::class, 'editFormView'])->name('trailer.types.edit.form.view');

    // Truck Types
    Route::resource('truck-types', TruckTypeController::class);
    Route::post('truck-types/edit/form/view', [TruckTypeController::class, 'editFormView'])->name('truck.types.edit.form.view');

    // Violation Code
    Route::resource('company-hos-violation-code', CompanyHosViolationCodeController::class);
    Route::resource('company-citations-violation-code', CompanyCitationsViolationCodeController::class);
    Route::resource('company-accident-violation-code', CompanyAccidentViolationCodeController::class);

    Route::resource('company-inspection-level', CompanyInspectionLevelController::class);
    Route::resource('company-disciplinary-action', CompanyDisciplinaryActionController::class);

    // Holiday
    Route::resource('holidays', HolidayController::class);

    // Event Type
    Route::resource('event-type', EventTypeController::class);

    // Manage Type
    Route::resource('manage-type', ManageTypeController::class);

    // Accessorial
    Route::resource('accessorial', AccessorialController::class);
    Route::post('accessorial/edit/form/view', [AccessorialController::class, 'editFormView'])->name('accessorial.edit.form.view');

    // Commodity
    Route::resource('commodity', CommodityController::class);
    Route::post('commodity/edit/form/view', [CommodityController::class, 'editFormView'])->name('commodity.edit.form.view');

    // Terms
    Route::resource('terms', TermsController::class);
    Route::post('terms/edit/form/view', [TermsController::class, 'editFormView'])->name('terms.edit.form.view');

    // Load Document
    Route::resource('load-document', LoadDocumentController::class);
    Route::post('load-document/edit/form/view', [LoadDocumentController::class, 'editFormView'])->name('load-document.edit.form.view');

    // Load Requirements Items
    Route::resource('load-requirements-items', LoadRequirementsItemController::class);
    Route::post('load-requirements-items/edit/form/view', [LoadRequirementsItemController::class, 'editFormView'])->name('load-requirements-items.edit.form.view');

    // Chart Of Account
    Route::resource('chart-of-accounts', ChartOfAccountController::class);
    Route::post('chart-of-accounts/edit/form/view', [ChartOfAccountController::class, 'editFormView'])->name('chart-of-accounts.edit.form.view');
    Route::post('chart-of-accounts/parent-list', [ChartOfAccountController::class, 'parentList'])->name('chart-of-accounts.parentList');

    // Work Order Documents
    Route::resource('work-order-documents', WorkOrderController::class);
    Route::post('work-order-documents/edit/form/view', [WorkOrderController::class, 'editFormView'])->name('work.order.edit.form.view');

    // Safety And Compliance Documents
    Route::resource('safety-and-compliance-documents', SafetyComplianceController::class);
    Route::post('safety-and-compliance-documents/edit/form/view', [SafetyComplianceController::class, 'editFormView'])->name('safety.compliance.edit.form.view');

    // Onboarding Documents
    Route::resource('onboarding-documents', OnboardingController::class);
    Route::post('onboarding-documents/edit/form/view', [OnboardingController::class, 'editFormView'])->name('onboarding.edit.form.view');

    // Deduction Type
    Route::resource('deduction-names', DeductionTypeController::class);
    Route::post('deduction-names/edit/form/view', [DeductionTypeController::class, 'editFormView'])->name('deduction.names.edit.form.view');

    // Recruiting Source
    Route::resource('recruiting-source', RecruitingSourceController::class);
    Route::post('recruiting-source/edit/form/view', [RecruitingSourceController::class, 'editFormView'])->name('recruiting.source.edit.form.view');

    // Insurance Types
    Route::resource('insurance-types', InsuranceTypeController::class);
    Route::post('insurance-types/edit/form/view', [InsuranceTypeController::class, 'editFormView'])->name('insurance.types.edit.form.view');

    // PM Types
    Route::resource('pm-types', PmTypeController::class);
    Route::post('pm-types/edit/form/view', [PmTypeController::class, 'editFormView'])->name('pm.types.edit.form.view');

    //PM Service Types
    Route::resource('pm-service-types', PmServiceTypeController::class);
    Route::post('pm-service-types/edit/form/view', [PmServiceTypeController::class, 'editFormView'])->name('pm.service.types.edit.form.view');

    //PM Warranty Providers
    Route::resource('pm-warranty-providers', PmWarrantyProviderController::class);
    Route::post('pm-warranty-providers/edit/form/view', [PmWarrantyProviderController::class, 'editFormView'])->name('pm.warranty.providers.edit.form.view');

    //Equipment Titles
    Route::resource('equipment-titles', EquipmentTitleController::class);
    Route::post('equipment-titles/edit/form/view', [EquipmentTitleController::class, 'editFormView'])->name('equipment.titles.edit.form.view');

    //Document Titles
    Route::resource('document-titles', DocumentTitleController::class);
    Route::post('document-titles/edit/form/view', [DocumentTitleController::class, 'editFormView'])->name('document.titles.edit.form.view');

    // Trailer Groups
    Route::resource('trailer-groups', TrailerGroupController::class);
    Route::post('trailer-groups/edit/form/view', [TrailerGroupController::class, 'editFormView'])->name('trailer.groups.edit.form.view');

    // Truck Groups
    Route::resource('truck-groups', TruckGroupController::class);
    Route::post('truck-groups/edit/form/view', [TruckGroupController::class, 'editFormView'])->name('truck.groups.edit.form.view');

    // Invoice
    Route::resource('invoice', InvoiceController::class);
    Route::post('invoice/reports', [InvoiceController::class, 'invoiceReport'])->name('invoice.reports');
    Route::post('invoice/reports/data/view', [InvoiceController::class, 'invoiceReportDataView'])->name('invoice.reports.data.view');

    // Email Template
    Route::resource('email-templates', EmailTemplateController::class);

    // Pdf Template
    Route::resource('pdf-templates', PdfTemplateController::class);
});
