

<?php $__env->startSection('title'); ?>
    Book Offer
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
	<link rel="stylesheet" href="<?php echo e(asset('theme/css/select2.min.css')); ?>">
	<style type="text/css">
		.select2-container{
		    width: 100% !important;
		}
		.select2-container .select2-selection--single{
		    height: 40px !important;
		    border-radius: 10px !important;
		    border: 1px solid #D8D8DD !important;
		}
		.select2-container--default .select2-selection--single{
		    border: 1px solid #C5CEE0;
		}
		.select2-container--default .select2-selection--single .select2-selection__rendered{
		    line-height: 40px !important;
		}
		.select2-container--default .select2-selection--single .select2-selection__arrow{
		    height: 40px;
		    width: 35px;
		}
		.tag {
		    color: black;
		}
		.tag:hover {
		    color: black;
		}
		.tag.active {
		    color: #ff6d10;
		    text-decoration: underline;
		}
		.movable-placeholder {
		    background: #e2e2e2;
		    height: 100px;
		    display: block;
		    padding: 20px;
		    margin: 0 0 15px 0;
		    border-style: dashed;
		    border-width: 2px;
		    border-color: #757575;
		}
	</style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
	<form id="offerForm" name="offerForm" class="form-horizontal" autocomplete="new">
		<input type="hidden" name="offer_id" value="<?php echo e(isset($offer->id)?$offer->id:''); ?>">
		<input type="hidden" name="use_as_template" value="<?php echo e($useAsTemplate ?? ''); ?>">
		<div class="proRouter-head">
		    <h5>ProRouter</h5>
		    <div class="d-flex">
		        <div class="">
		            <ul>
		                <li>OFFER</li>
		                <li>STATUS:
		                	<span class="status-txt" data-status="<?php echo e(isset($offer->status)?$offer->status:'1'); ?>">
		                		<?php if(isset($offer->status)): ?>
		                		    <?php if($offer->status==0): ?>
		                		    	PENDING
		                		    <?php elseif($offer->status==1): ?>
		                		    	NEW
		                		    <?php elseif($offer->status==2): ?>
		                		    	RESERVED
		                		    <?php elseif($offer->status==3): ?>
		                		    	CONVERTED TO LOAD
		                		    <?php elseif($offer->status==4): ?>
		                		    	EXPIRED
		                		    <?php else: ?>
		                		    	NEW
		                		    <?php endif; ?>
		                		<?php else: ?>
		                			NEW
		                		<?php endif; ?>
		                	</span>
		                </li>
		            </ul>
		            <p>
		            	Make Favorite
		            	<?php if(isset($offer->favorite) && $offer->favorite=='Yes'): ?>
		            		<i class="fa fa-star star-icon" aria-hidden="true"></i>
		            	<?php else: ?>
		            		<i class="fa fa-star-o star-icon" aria-hidden="true"></i>
		            	<?php endif; ?>
		            </p>
		        </div>
		        <div class="btn-group">
		            <a href="javascript:void(0);" class="btn btn-blue disabled">Email<img src="<?php echo e(asset('theme/images/proRouter-mail.svg')); ?>" alt="icon"></a>
		            <a href="javascript:void(0);" class="btn btn-blue disabled">PDF<img src="<?php echo e(asset('theme/images/proRouter-pdf.svg')); ?>" alt="icon"></a>
		            <a href="javascript:void(0);" class="btn btn-blue disabled">Print<img src="<?php echo e(asset('theme/images/proRouter-printer.svg')); ?>" alt="icon"></a>
		        </div>
		    </div>
		    <hr>
		</div>
		<div class="proRouter-body">
		    <div class="row">
		        <div class="col-xl-5 col-xxl-custom1 col-lg-7">
		            <div class="card proRouter-card mileRout-card">
		                <div class="card-header">
		                    <h6>Mileage & Routing</h6>
		                </div>
		                <div class="card-body">
		                    <div class="custom-scrollbar">
		                        <div class="timeline-main">
		                            <div class="timeline-content current-location">
		                                <div class="timeline-img">
		                                	<img src="<?php echo e(asset('theme/images/timeline-cLocation.png')); ?>" alt="icon">
		                                </div>
		                                <div class="timeline-right geocoding">
		                                    <div class="d-flex">
		                                        <p>
		                                        	Current Location
		                                        	<?php if(isset($offer->current_timezone_abbr)): ?>
		                                        		<span class="verify-icon text-success"><i class="fa fa-check-circle" aria-hidden="true"></i></span>
                                                        <span class="not-verify-icon text-danger d-none"><i class="fa fa-times-circle" aria-hidden="true"></i></span>
                                                        <span class="not-verify-error text-danger d-none"></span>
		                                        	<?php else: ?>
		                                        		<span class="verify-icon text-success d-none"><i class="fa fa-check-circle" aria-hidden="true"></i></span>
                                                        <span class="not-verify-icon text-danger d-none"><i class="fa fa-times-circle" aria-hidden="true"></i></span>
                                                        <span class="not-verify-error text-danger d-none"></span>
		                                        	<?php endif; ?>
		                                        </p>
		                                        <p>
		                                        	<span>
		                                        		<a href="javascript:void(0);" class="btn-link directions d-none" data-toggle="modal" data-target="#directionsModal">Turn-By-Turn</a>
		                                        	</span>
		                                        </p>
		                                    </div>
		                                    <div class="row">
		                                        <div class="col-sm-5 col-6">
		                                            <input type="text" class="form-control geocoding-city trimble-autocomplete" name="current_city" placeholder="City" value="<?php echo e(isset($offer->current_city)?$offer->current_city:''); ?>" autocomplete="new">
		                                        </div>
		                                        <div class="col-sm-3 col-6">
		                                            <input type="text" class="form-control geocoding-state" name="current_state" placeholder="State" value="<?php echo e(isset($offer->current_state)?$offer->current_state:''); ?>" autocomplete="new">
		                                        </div>
		                                        <div class="col-sm-2 col-6">
		                                            <input type="text" class="form-control geocoding-zip" name="current_zip" placeholder="Zip" value="<?php echo e(isset($offer->current_zip)?$offer->current_zip:''); ?>" autocomplete="new">
		                                        </div>
		                                        <div class="col-sm-2 col-6">
		                                        	
		                                        </div>
		                                        <span class="col-12 geocoding-timezone d-none"><?php echo e(isset($offer->current_timezone_abbr)?$offer->current_timezone_abbr:''); ?></span>
		                                        <div class="col-12 d-none">
		                                        	<input type="hidden" class="geocoding-latitude" name="current_latitude" value="<?php echo e(isset($offer->current_latitude)?$offer->current_latitude:''); ?>">
		                                        	<input type="hidden" class="geocoding-longitude" name="current_longitude" value="<?php echo e(isset($offer->current_longitude)?$offer->current_longitude:''); ?>">
		                                        	<input type="hidden" class="geocoding-abbr" name="current_timezone_abbr" value="<?php echo e(isset($offer->current_timezone_abbr)?$offer->current_timezone_abbr:''); ?>" data-parsley-errors-container="#current_timezone_abbr-errors" data-parsley-required-message="Please verify address">
		                                        	<input type="hidden" class="geocoding-verified" name="current_address_verified" value="<?php echo e(isset($offer->current_address_verified)?$offer->current_address_verified:'0'); ?>">
		                                        </div>
		                                    </div>
		                                    <div id="current_timezone_abbr-errors"></div>
		                                </div>
		                            </div>
		                            <div class="timeline-content">
		                                <div class="timeline-img">
		                                	<img src="<?php echo e(asset('theme/images/timeline-location.svg')); ?>" alt="icon">
		                                </div>
		                                <div class="timeline-right">
		                                    <div id="sortable">
		                                        <div class="timline-stop geocoding fixed" data-stop_no="1" data-customer_type="1">
		                                            <div class="d-flex">
		                                                <p class="stop-hedding">
		                                                	Pickup-Stop <span class="stop_no">1</span>
		                                                	<?php if(isset($offer->shipper_timezone_abbr)): ?>
		                                                		<span class="verify-icon text-success"><i class="fa fa-check-circle" aria-hidden="true"></i></span>
                                                                <span class="not-verify-icon text-danger d-none"><i class="fa fa-times-circle" aria-hidden="true"></i></span>
                                                                <span class="not-verify-error text-danger d-none"></span>
		                                                	<?php else: ?>
		                                                		<span class="verify-icon text-success d-none"><i class="fa fa-check-circle" aria-hidden="true"></i></span>
                                                                <span class="not-verify-icon text-danger d-none"><i class="fa fa-times-circle" aria-hidden="true"></i></span>
                                                                <span class="not-verify-error text-danger d-none"></span>
		                                                	<?php endif; ?>
		                                                </p>
		                                            </div>
		                                            <div class="row">
		                                                <div class="col-sm-5 col-6">
		                                                    <input type="text" class="form-control geocoding-city trimble-autocomplete" name="shipper_city" placeholder="City" value="<?php echo e(isset($offer->shipper_city)?$offer->shipper_city:''); ?>" autocomplete="new">
		                                                </div>
		                                                <div class="col-sm-3 col-6">
		                                                    <input type="text" class="form-control geocoding-state" name="shipper_state" placeholder="State" value="<?php echo e(isset($offer->shipper_state)?$offer->shipper_state:''); ?>" autocomplete="new">
		                                                </div>
		                                                <div class="col-sm-2 col-6">
		                                                    <input type="text" class="form-control geocoding-zip" name="shipper_zip" placeholder="Zip" value="<?php echo e(isset($offer->shipper_zip)?$offer->shipper_zip:''); ?>" autocomplete="new">
		                                                </div>
		                                                <div class="col-sm-2 col-6">
		                                                	
		                                                </div>
		                                                <span class="col-12 geocoding-timezone d-none"><?php echo e(isset($offer->shipper_timezone_abbr)?$offer->shipper_timezone_abbr:''); ?></span>
		                                                <div class="col-12 d-none">
		                                                	<input type="hidden" class="geocoding-latitude" name="shipper_latitude" value="<?php echo e(isset($offer->shipper_latitude)?$offer->shipper_latitude:''); ?>">
		                                                	<input type="hidden" class="geocoding-longitude" name="shipper_longitude" value="<?php echo e(isset($offer->shipper_longitude)?$offer->shipper_longitude:''); ?>">
		                                                	<input type="hidden" class="geocoding-abbr" name="shipper_timezone_abbr" value="<?php echo e(isset($offer->shipper_timezone_abbr)?$offer->shipper_timezone_abbr:''); ?>" data-parsley-errors-container="#shipper_timezone_abbr-errors" data-parsley-required-message="Please verify address">
		                                                	<input type="hidden" class="geocoding-verified" name="shipper_address_verified" value="<?php echo e(isset($offer->shipper_address_verified)?$offer->shipper_address_verified:'0'); ?>">
		                                                </div>
		                                            </div>
		                                            <div id="shipper_timezone_abbr-errors"></div>
		                                        </div>
		                                        <!-- stop -->
		                                        <?php
		                                            $stop_no      				= 2;
		                                            $actual_stop_no  			= 0;
		                                        ?>
		                                        <?php if(isset($offer->stops)): ?>
		                                        	<?php if($offer->stops->isNotEmpty()): ?>
		                                        		<?php $__currentLoopData = $offer->stops; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $stop): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
		                                        			<?php
		                                        			    ++$actual_stop_no;
		                                        			    $stop_index 	= $key;
		                                        			    $unique_id 		= 'time-'.(time()+$stop_index);
		                                        			?>
		                                        			<div class="timline-stop geocoding <?php echo e($unique_id); ?>" data-stop_no="<?php echo e($stop_no); ?>" data-stop_index="<?php echo e($stop_index); ?>">
		                                        				<input type="hidden" class="stop_row_id" name="stop[<?php echo e($stop_index); ?>][stop_row_id]" value="<?php echo e(isset($stop->id) ? $stop->id : ''); ?>">
                                    							<input type="hidden" class="actual_stop_no" name="stop[<?php echo e($stop_index); ?>][stop_no]" value="<?php echo e($actual_stop_no); ?>">
                                    							<div class="d-flex">
                                    							    <p class="stop-hedding">
                                    							        Stop <span class="stop_no"><?php echo e($stop_no); ?></span>
                                    							        <?php if(isset($stop->timezone_abbr)): ?>
                                    							            <span class="verify-icon text-success"><i class="fa fa-check-circle" aria-hidden="true"></i></span>
                                                                            <span class="not-verify-icon text-danger d-none"><i class="fa fa-times-circle" aria-hidden="true"></i></span>
                                                                            <span class="not-verify-error text-danger d-none"></span>
                                    							        <?php else: ?>
                                    							            <span class="verify-icon text-success d-none"><i class="fa fa-check-circle" aria-hidden="true"></i></span>
                                                                            <span class="not-verify-icon text-danger d-none"><i class="fa fa-times-circle" aria-hidden="true"></i></span>
                                                                            <span class="not-verify-error text-danger d-none"></span>
                                    							        <?php endif; ?>
                                    							    </p>
                                    							</div>
                                    							<div class="row">
                                    							    <div class="col-sm-5 col-6">
                                    							        <input type="text" class="form-control geocoding-city trimble-autocomplete" name="stop[<?php echo e($stop_index); ?>][city]" placeholder="City" value="<?php echo e(isset($stop->city)?$stop->city:''); ?>" autocomplete="new">
                                    							    </div>
                                    							    <div class="col-sm-3 col-6">
                                    							        <input type="text" class="form-control geocoding-state" name="stop[<?php echo e($stop_index); ?>][state]" placeholder="State" value="<?php echo e(isset($stop->state)?$stop->state:''); ?>" autocomplete="new">
                                    							    </div>
                                    							    <div class="col-sm-2 col-6">
                                    							        <input type="text" class="form-control geocoding-zip" name="stop[<?php echo e($stop_index); ?>][zip]" placeholder="Zip" value="<?php echo e(isset($stop->zip)?$stop->zip:''); ?>" autocomplete="new">
                                    							    </div>
                                    							    <div class="col-sm-2 col-6">
                                    							        <div class="timline-cloud">
                                    							            <div class="drag-icon">
                                    							                <img src="<?php echo e(asset('theme/images/drag-icon.svg')); ?>" alt="icon">
                                    							            </div>
                                    							            <div class="text-danger remove-button">
                                    							                <i class="fa fa-times" aria-hidden="true"></i>
                                    							            </div>
                                    							        </div>
                                    							    </div>
                                    							    <span class="col-12 geocoding-timezone d-none"><?php echo e(isset($stop->timezone_abbr)?$stop->timezone_abbr:''); ?></span>
                                    							    <div class="col-12 d-none">
                                    							        <input type="hidden" class="geocoding-latitude" name="stop[<?php echo e($stop_index); ?>][latitude]" value="<?php echo e(isset($stop->latitude)?$stop->latitude:''); ?>">
                                    							        <input type="hidden" class="geocoding-longitude" name="stop[<?php echo e($stop_index); ?>][longitude]" value="<?php echo e(isset($stop->longitude)?$stop->longitude:''); ?>">
                                    							        <input type="hidden" class="geocoding-abbr" name="stop[<?php echo e($stop_index); ?>][timezone_abbr]" value="<?php echo e(isset($stop->timezone_abbr)?$stop->timezone_abbr:''); ?>" data-parsley-errors-container="#stop_<?php echo e($stop_index); ?>_timezone_abbr-errors" data-parsley-required-message="Please verify address">
                                    							        <input type="hidden" class="geocoding-verified" name="stop[<?php echo e($stop_index); ?>][address_verified]" value="<?php echo e(isset($stop->address_verified)?$stop->address_verified:'0'); ?>">
                                    							    </div>
                                    							</div>
                                    			                <div id="stop_<?php echo e($stop_index); ?>_timezone_abbr-errors"></div>
                                							</div>
                                							<?php
                                							    ++$stop_no;
                                							?>
		                                        		<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
		                                        	<?php endif; ?>
		                                        <?php endif; ?>
		                                        <!-- stop -->
		                                        <div class="timline-stop geocoding fixed" data-stop_no="<?php echo e($stop_no); ?>" data-customer_type="2">
		                                            <div class="d-flex">
		                                            	<p class="stop-hedding">
                                                            Delivery-Stop <span>99</span>
		                                            		<?php if(isset($offer->delivery_timezone_abbr)): ?>
		                                            			<span class="verify-icon text-success"><i class="fa fa-check-circle" aria-hidden="true"></i></span>
                                                                <span class="not-verify-icon text-danger d-none"><i class="fa fa-times-circle" aria-hidden="true"></i></span>
                                                                <span class="not-verify-error text-danger d-none"></span>
		                                            		<?php else: ?>
		                                            			<span class="verify-icon text-success d-none"><i class="fa fa-check-circle" aria-hidden="true"></i></span>
                                                                <span class="not-verify-icon text-danger d-none"><i class="fa fa-times-circle" aria-hidden="true"></i></span>
                                                                <span class="not-verify-error text-danger d-none"></span>
		                                            		<?php endif; ?>
		                                            	</p>
		                                            </div>
		                                            <div class="row">
		                                            	<div class="col-sm-5 col-6">
		                                            	    <input type="text" class="form-control geocoding-city trimble-autocomplete" name="delivery_city" placeholder="City" value="<?php echo e(isset($offer->delivery_city)?$offer->delivery_city:''); ?>" autocomplete="new">
		                                            	</div>
		                                            	<div class="col-sm-3 col-6">
		                                            	    <input type="text" class="form-control geocoding-state" name="delivery_state" placeholder="State" value="<?php echo e(isset($offer->delivery_state)?$offer->delivery_state:''); ?>" autocomplete="new">
		                                            	</div>
		                                            	<div class="col-sm-2 col-6">
		                                            	    <input type="text" class="form-control geocoding-zip" name="delivery_zip" placeholder="Zip" value="<?php echo e(isset($offer->delivery_zip)?$offer->delivery_zip:''); ?>" autocomplete="new">
		                                            	</div>
		                                                <div class="col-sm-2 col-6">
	                                                    	
		                                                </div>
		                                                <span class="col-12 geocoding-timezone d-none"><?php echo e(isset($offer->delivery_timezone_abbr)?$offer->delivery_timezone_abbr:''); ?></span>
		                                                <div class="col-12 d-none">
		                                                	<input type="hidden" class="geocoding-latitude" name="delivery_latitude" value="<?php echo e(isset($offer->delivery_latitude)?$offer->delivery_latitude:''); ?>">
		                                                	<input type="hidden" class="geocoding-longitude" name="delivery_longitude" value="<?php echo e(isset($offer->delivery_longitude)?$offer->delivery_longitude:''); ?>">
		                                                	<input type="hidden" class="geocoding-abbr" name="delivery_timezone_abbr" value="<?php echo e(isset($offer->delivery_timezone_abbr)?$offer->delivery_timezone_abbr:''); ?>" data-parsley-errors-container="#delivery_timezone_abbr-errors" data-parsley-required-message="Please verify address">
		                                                	<input type="hidden" class="geocoding-verified" name="delivery_address_verified" value="<?php echo e(isset($offer->delivery_address_verified)?$offer->delivery_address_verified:'0'); ?>">
		                                                </div>
		                                            </div>
		                                            <div id="delivery_timezone_abbr-errors"></div>
		                                        </div>
		                                    </div>
		                                    <a href="javascript:void(0);" class="btn-link add-button">Add New +</a>
		                                    <!-- <p>&nbsp;</p>
		                                    <p>&nbsp;</p>
		                                    <p>&nbsp;</p>
		                                    <p>&nbsp;</p>
		                                    <p>&nbsp;</p> -->
		                                </div>
		                            </div>
		                        </div>
		                    </div>
		                    <hr>
		                    <div class="card-padding mileRout-count">
		                        <div class="d-flex align-items-center flex-wrap">
		                            <h5 class="empty-miles"><?php echo e(isset($offer->empty_miles)? round($offer->empty_miles) :''); ?></h5>
		                            <p>Empty Miles</p>
		                        </div>
		                        <div class="d-flex align-items-center flex-wrap">
		                            <h5 class="loaded-miles"><?php echo e(isset($offer->loaded_miles)? round($offer->loaded_miles) :''); ?></h5>
		                            <p>Loaded Miles</p>
		                        </div>
		                        <div class="d-flex align-items-center flex-wrap">
		                            <h5 class="total-miles"><?php echo e(isset($offer->total_miles)? round($offer->total_miles) :''); ?></h5>
		                            <p>Total Miles</p>
		                        </div>
		                    </div>
		                    <hr>
		                    <div class="card-padding">
		                        <h6>Load Info</h6>
		                    </div>
		                    <hr>
		                    <div class="card-padding">
		                        <div class="row">
		                            <div class="col-6 col-sm-3">
		                                <div class="form-group">
		                                    <label for="m_trailer_type">Trailer Type</label>
		                                    <select class="form-control" id="m_trailer_type" name="m_trailer_type" data-parsley-errors-container="#m_trailer_type-errors">
		                                    	<option value="">Select Type</option>
		                                    	<?php $__currentLoopData = getTrailerTypeListByCompany(1); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $trailer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
		                                    	    <option data-is_temp_required="<?php echo e($trailer->is_temp_required); ?>" value="<?php echo e($trailer->id); ?>" <?php echo e((isset($offer->m_trailer_type) && $offer->m_trailer_type == $trailer->id)?'selected':''); ?>><?php echo e($trailer->name); ?></option>
		                                    	<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
		                                    </select>
		                                    <div id="m_trailer_type-errors"></div>
		                                </div>
		                            </div>
		                            <div class="col-6 col-sm-3">
		                                <div class="form-group">
		                                    <label for="hazardous">Hazardous Info</label>
		                                    <select class="form-control" id="hazardous" name="hazardous">
		                                        <option value="0" <?php echo e((isset($offer->hazardous) && $offer->hazardous == '0')?'selected':''); ?>>No</option>
		                                        <option value="1" <?php echo e((isset($offer->hazardous) && $offer->hazardous == '1')?'selected':''); ?>>Yes</option>
		                                    </select>
		                                </div>
		                            </div>
		                            <div class="col-6 col-sm-6 div-hazardous-option <?php echo e((isset($offer->hazardous) && $offer->hazardous == '1')?'':'d-none'); ?>">
		                                <div class="form-group">
		                                    <label for="hazardous_option">Hazardous Options</label>
		                                    <select class="form-control" id="hazardous_option" name="hazardous_option">
		                                    	<?php $__currentLoopData = getHazardousOptions(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $node): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
		                                    	    <option value="<?php echo e($key); ?>" <?php echo e((isset($offer->hazardous_option) && $offer->hazardous_option == $key)?'selected':''); ?>><?php echo e($node); ?></option>
		                                    	<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
		                                    </select>
		                                </div>
		                            </div>
		                            <div class="col-6 col-sm-3">
		                                <div class="form-group">
		                                    <label for="over_dimension">Over Dimension</label>
		                                    <select class="form-control" id="over_dimension" name="over_dimension">
		                                    	<option value="0" <?php echo e((isset($offer->over_dimension) && $offer->over_dimension == '0')?'selected':''); ?>>No</option>
		                                    	<option value="1" <?php echo e((isset($offer->over_dimension) && $offer->over_dimension == '1')?'selected':''); ?>>Yes</option>
		                                    </select>
		                                </div>
		                            </div>
		                            <div class="col-6 col-sm-3">
		                                <div class="form-group">
		                                    <label for="open_border">Open Border</label>
		                                    <select class="form-control" id="open_border" name="open_border">
		                                        <option value="0" <?php echo e((isset($offer->open_border) && $offer->open_border == '0')?'selected':''); ?>>No</option>
		                                        <option value="1" <?php echo e((isset($offer->open_border) && $offer->open_border == '1')?'selected':''); ?>>Yes</option>
		                                    </select>
		                                </div>
		                            </div>
		                        </div>
		                        <div class="row div-over-dimension <?php echo e((isset($offer->over_dimension) && $offer->over_dimension == '1')?'':'d-none'); ?>">
		                            <div class="col-6 col-sm-3">
		                                <div class="form-group">
		                                    <label for="length">Length</label>
		                                    <?php echo Form::text('length', old('length', $offer->length ?? ''), array('class' => 'form-control feetInches', 'id' => 'length', 'autocomplete' => 'new', 'placeholder' => '00\'00"')); ?>

		                                </div>
		                            </div>
		                            <div class="col-6 col-sm-3">
		                                <div class="form-group">
		                                    <label for="width">Width</label>
		                                    <?php echo Form::text('width', old('width', $offer->width ?? ''), array('class' => 'form-control feetInches', 'id' => 'width', 'autocomplete' => 'new', 'placeholder' => '00\'00"')); ?>

		                                </div>
		                            </div>
		                            <div class="col-6 col-sm-3">
		                                <div class="form-group">
		                                    <label for="height">Height</label>
		                                    <?php echo Form::text('height', old('height', $offer->height ?? ''), array('class' => 'form-control feetInches', 'id' => 'height', 'autocomplete' => 'new', 'placeholder' => '00\'00"')); ?>

		                                </div>
		                            </div>
		                        </div>
		                    </div>
		                </div>
		            </div>
		        </div>
		        <div class="col-xl-7 col-xxl-custom2 col-lg-5">
		            <div class="card proRouter-card">
		                <div class="card-header">
		                    <h6>Mapping & Location</h6>
		                </div>
		                <div class="card-body">
		                    <div class="map-block">
		                        <div id="map" data-map-instance="null">
		                        </div>
		                    </div>
		                </div>
		            </div>
		        </div>
		        <div class="col-xl-4 col-lg-6">
		            <div class="card proRouter-card">
		                <div class="card-header">
		                    <h6>Select Route</h6>
		                </div>
		                <div class="card-body">
		                    <div class="table-responsive">
		                    	<?php
		                    		$stag = '';
		                    		$ptag = '';
		                    		$ftag = '';
		                    	?>
		                    	<?php if(isset($offer->route_type)): ?>
		                    		<?php if($offer->route_type == '1'): ?>
		                    			<?php
		                    				$stag 	= 'active';
		                    			?>
		                    		<?php elseif($offer->route_type == '2'): ?>
		                    			<?php
		                    				$ftag 	= 'active';
		                    			?>
		                    		<?php else: ?>
		                    			<?php
		                    				$ptag 	= 'active';
		                    			?>
		                    		<?php endif; ?>
		                    	<?php else: ?>
		                    		<?php
		                    			$ptag 		= 'active';
		                    		?>
		                    	<?php endif; ?>
		                        <table class="proRouter-table">
		                            <tr>
		                                <th></th>
		                                <th><a href="javascript:void(0);" class="tag <?php echo e($stag); ?>" data-number="1">Shortest</a></th>
		                                <th><a href="javascript:void(0);" class="tag <?php echo e($ptag); ?>" data-number="0">Practical</a></th>
		                                <th><a href="javascript:void(0);" class="tag <?php echo e($ftag); ?>" data-number="2">Fastest</a></th>
		                            </tr>
		                            <tr>
		                                <th>Distance:</th>
		                                <td class="shortest-distance"></td>
		                                <td class="practical-distance"></td>
		                                <td class="fastest-distance"></td>
		                            </tr>
		                            <tr>
		                                <th>Driving Time:</th>
		                                <td class="shortest-driving-time"></td>
		                                <td class="practical-driving-time"></td>
		                                <td class="fastest-driving-time"></td>
		                            </tr>
		                            <tr>
		                                <th>Tolls:</th>
		                                <td class="shortest-tolls"></td>
		                                <td class="practical-tolls"></td>
		                                <td class="fastest-tolls"></td>
		                            </tr>
		                            <tr>
		                                <th>Fuel:</th>
		                                <td class="shortest-fuel"></td>
		                                <td class="practical-fuel"></td>
		                                <td class="fastest-fuel"></td>
		                            </tr>
		                            <tr>
		                                <th>Cost:</th>
		                                <td class="shortest-cost"></td>
		                                <td class="practical-cost"></td>
		                                <td class="fastest-cost"></td>
		                            </tr>
		                        </table>
		                    </div>
		                </div>
		            </div>
		        </div>
		        <div class="col-xl-4 col-lg-6">
		            <div class="card proRouter-card">
		                <div class="card-header">
		                    <h6>Tolls</h6>
		                </div>
		                <div class="card-body" id="append-toll-table">
		                </div>
		            </div>
		        </div>
		        <div class="col-xl-4 col-lg-6">
		            <div class="card proRouter-card">
		                <div class="card-header">
		                    <h6>Fuel Prices</h6>
		                </div>
		                <div class="card-body">
		                    <div class="table-responsive">
		                        <table class="proRouter-table fuel-table">
		                            <tr>
		                                <th>Origin</th>
		                                <td><span class="d-flex">$4.85/gal <img src="<?php echo e(asset('theme/images/fuel-pump.svg')); ?>" alt="icon"></span></td>
		                            </tr>
		                            <tr>
		                                <th>Destination</th>
		                                <td><span class="d-flex">$5.28/gal <img src="<?php echo e(asset('theme/images/fuel-pump.svg')); ?>" alt="icon"></span></td>
		                            </tr>
		                            <tr>
		                                <th>Gallons</th>
		                                <td><span class="d-flex">76.8/gal <img src="<?php echo e(asset('theme/images/fuel-pump.svg')); ?>" alt="icon"></span></td>
		                            </tr>
		                            <tr>
		                                <th>Fuel Cost</th>
		                                <td><span class="d-flex">$405.50 <img src="<?php echo e(asset('theme/images/fuel-price.svg')); ?>" alt="icon"></span></td>
		                            </tr>
		                            <tr>
		                                <th>Price Per Fill Difference (200 gal)</th>
		                                <td>
		                                    <span class="d-flex">
		                                        <span class="text-danger"><i class="fa fa-chevron-up" aria-hidden="true"></i></span>
		                                        $33.04
		                                        <img src="<?php echo e(asset('theme/images/fuel-price.svg')); ?>" alt="icon">
		                                    </span>
		                                </td>
		                            </tr>
		                            <tr>
		                                <th>Price Per Gallon Difference</th>
		                                <td>
		                                    <span class="d-flex">
		                                        <span class="text-danger"><i class="fa fa-chevron-up" aria-hidden="true"></i></span>
		                                        .43/gal
		                                        <img src="<?php echo e(asset('theme/images/fuel-price.svg')); ?>" alt="icon">
		                                    </span>
		                                </td>
		                            </tr>
		                        </table>
		                    </div>
		                </div>
		            </div>
		        </div>
		        <div class="col-xl-20 col-xl-4 col-sm-6">
		            <div class="card proRouter-card">
		                <div class="card-header link">
		                    <h6>Driver Details</h6>
		                    <p class="d-none">Find Truck +</p>
		                </div>
		                <div class="card-body">
		                    <div class="card-padding">
		                        <div class="form-group">
		                            <label for="driver_id">Select Driver</label>
		                            <?php echo Form::select('driver_id', ['0' => 'Driver']+getDriverListByCompany(auth()->guard('company-admin')->user()->company_id), old('driver_id', $offer->driver_id ?? '0'),
		                                [
		                                    'class'                         => 'form-control',
		                                    'id' 							=> 'driver_id',
		                                    'data-parsley-errors-container' => '#driver_id-errors'
		                                ]
		                            ); ?>

		                            <div id="driver_id-errors"></div>
		                        </div>
		                        <div class="form-group">
		                            <label for="truck_number">Truck Number</label>
		                            <input type="hidden" class="trucking_company" name="trucking_company" value="<?php echo e(isset($offer->driver->company)?$offer->driver->company->name:''); ?>">
		                            <input type="hidden" class="truck_width" name="truck_width" value="<?php echo e(isset($offer->driver->driver_information->truck)?$offer->driver->driver_information->truck->width:''); ?>">
		                            <input type="hidden" class="truck_height" name="truck_height" value="<?php echo e(isset($offer->driver->driver_information->truck)?$offer->driver->driver_information->truck->height:''); ?>">
		                            <input type="hidden" class="truck_length" name="truck_length" value="<?php echo e(isset($offer->driver->driver_information->truck)?$offer->driver->dispatcher->length:''); ?>">
		                            <input type="text" class="form-control truck_number" name="truck_number" id="truck_number" placeholder="Auto Filled from driver" value="<?php echo e(old('truck_number', $offer->truck_number ?? '')); ?>" readonly>
		                        </div>
		                        <div class="form-group">
		                            <label for="trailer_number">Trailer Number</label>
		                            <select class="form-control" name="trailer_number" id="trailer_number" data-parsley-errors-container="#trailer_number-errors">
		                                <option value="">Select Trailer</option>
		                                <?php $__currentLoopData = getTrailerNumberListByCompany(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $trailer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
		                                    <option value="<?php echo e($key); ?>" <?php echo e((isset($offer->trailer_number) && $offer->trailer_number == $key)?'selected':''); ?>><?php echo e($trailer); ?></option>
		                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
		                            </select>
		                            <div id="trailer_number-errors"></div>
		                        </div>
		                        <div class="form-group">
		                            <label for="trailer_type">Trailer Type</label>
		                            <select class="form-control fil-disabled" name="trailer_type" id="trailer_type" data-parsley-errors-container="#trailer_type-errors">
		                                <option value="">Select Type</option>
		                                <?php $__currentLoopData = getTrailerTypeListByCompany(1); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $trailer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
		                                    <option data-is_temp_required="<?php echo e($trailer->is_temp_required); ?>" value="<?php echo e($trailer->id); ?>" <?php echo e((isset($offer->trailer_type) && $offer->trailer_type == $trailer->id)?'selected':''); ?>><?php echo e($trailer->name); ?></option>
		                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
		                            </select>
		                            <div id="trailer_type-errors"></div>
		                        </div>
		                        <div class="form-group">
		                            <label for="carrier_id">Carrier</label>
		                            <?php echo Form::select('carrier_id', ['' => 'Select Carrier']+getCarrierList(), old('carrier_id', $offer->carrier_id ?? ''), [
		                                    'class' 						=> 'form-control fil-disabled',
		                                    'id' 							=> 'carrier_id',
		                                    'data-parsley-errors-container' => '#carrier_id-errors'
		                                ]
		                            ); ?>

		                            <div id="carrier_id-errors"></div>
		                        </div>
		                        <div class="form-group d-none">
		                            <label for="terminal_id">Terminal</label>
		                            <?php echo Form::select('terminal_id', ['' => 'Select Terminal']+getTerminalList(), old('terminal_id', $offer->terminal_id ?? ''), [
		                                    'class' 						=> 'form-control fil-disabled',
		                                    'id' 							=> 'terminal_id',
		                                    'data-parsley-errors-container' => '#terminal_id-errors'
		                                ]
		                            ); ?>

		                            <div id="terminal_id-errors"></div>
		                        </div>
		                        <div class="form-group">
		                            <label for="driver_manager">Driver Manager</label>
		                            <input type="text" class="form-control" name="driver_manager" id="driver_manager" value="<?php echo e(isset($offer->driver->dispatcher)?$offer->driver->dispatcher->full_name:''); ?>" readonly>
		                        </div>
		                    </div>
		                </div>
		            </div>
		        </div>
		        <div class="col-xl-20 col-xl-4 col-sm-6">
		            <div class="card proRouter-card ">
		                <div class="card-header link">
		                    <h6>Customer Details</h6>
		                    <?php if(!isset($offer)): ?>
		                    	<p class="score-btn d-none" data-mode="add">Credit <i class="fa fa-plus" aria-hidden="true"></i></p>
		                    <?php else: ?>
		                    	<?php if($offer->score_updated_at!=''): ?>
		                    		<p class="score-btn <?php echo e($offer->broker_id==''?'d-none':''); ?>" data-mode="edit">Credit <i class="fa fa-edit" aria-hidden="true"></i></p>
		                    	<?php else: ?>
		                    		<p class="score-btn <?php echo e($offer->broker_id==''?'d-none':''); ?>" data-mode="add">Credit <i class="fa fa-plus" aria-hidden="true"></i></p>
		                    	<?php endif; ?>
		                    <?php endif; ?>
		                </div>
		                <div class="card-body">
		                    <div class="card-padding">
		                    	<div class="d-none">
		                    		<input type="hidden" name="score_ratting" value="<?php echo e(isset($offer->score_ratting)?$offer->score_ratting:''); ?>">
		                    		<input type="hidden" name="score_credit" value="<?php echo e(isset($offer->score_credit)?$offer->score_credit:''); ?>">
		                    		<input type="hidden" name="score_updated_at" value="<?php echo e(isset($offer->score_updated_at)?$offer->score_updated_at:''); ?>">
		                    	</div>
		                        <div class="form-group">
		                            <label for="broker_id">Customer Firm</label>
		                            <?php echo Form::select('broker_id', ['' => 'Select Customer']+getBrokerList(), old('broker_id', $offer->broker_id ?? ''), [
		                                    'class'                         => 'form-control broker-id',
		                                    'id' 							=> 'broker_id',
		                                    'data-parsley-errors-container' => '#broker_id-errors'
		                                ]
		                            ); ?>

		                            <div id="broker_id-errors"></div>
		                        </div>
		                        <div class="form-group">
		                            <label for="broker_mc">Customer MC</label>
		                            <?php echo Form::text('broker_mc', old('broker_mc', $offer->brokerage_mc ?? ''), array(
		                                    'class'     					=> 'form-control broker-mc',
		                                    'id' 							=> 'broker_mc'
		                                )
		                            ); ?>

		                        </div>
		                        <div class="form-group">
		                            <label for="broker_terms">Terms</label>
		                            <?php echo Form::select('broker_terms', ['' => 'Select Terms']+getCompanyTerms(), old('broker_terms', $offer->terms ?? ''), [
		                            		'class' 						=> 'form-control broker-terms',
		                            		'id' 							=> 'broker_terms',
		                            		'data-parsley-errors-container' => '#broker_terms-errors'
		                            	]
		                            ); ?>

		                            <div id="broker_terms-errors"></div>
		                        </div>
		                        <div class="form-group brokerContact">
		                            <label for="rep">Representative:</label>
		                            <select class="form-control broker-contact select2" name="rep">
		                                <option value="">Select option</option>
		                                <?php if(isset($rep_contact_html)): ?>
		                                	<?php echo $rep_contact_html; ?>

		                                <?php endif; ?>
		                            </select>
		                        </div>
		                        <div class="form-group">
		                            <label for="broker_phone">Phone</label>
		                            <?php echo Form::text('broker_phone', old('broker_phone', $offer->phone ?? ''), array(
		                                    'class'     					=> 'form-control broker-phone phone',
		                                    'id' 							=> 'broker_phone'
		                                )
		                            ); ?>

		                        </div>
		                        <div class="form-group d-none">
		                            <label for="broker_ext">Ext</label>
		                            <?php echo Form::text('broker_ext', old('broker_ext', $offer->ext ?? ''), array(
		                                    'class'     					=> 'form-control broker-ext',
		                                    'id' 							=> 'broker_ext'
		                                )
		                            ); ?>

		                        </div>
		                        <div class="form-group">
		                            <label for="broker_email">Email</label>
		                            <?php echo Form::email('broker_email', old('broker_email', $offer->email ?? ''), array(
		                                    'class'     					=> 'form-control broker-email',
		                                    'id' 							=> 'broker_email'
		                                )
		                            ); ?>

		                        </div>
		                    </div>
		                </div>
		            </div>
		        </div>
		        <div class="col-xl-20 col-xl-4 col-sm-6">
		            <div class="card proRouter-card">
		                <div class="card-header">
		                    <h6>Load Details</h6>
		                </div>
		                <div class="card-body">
		                    <div class="card-padding">
		                    	<?php
		                    		$getTimeLayout 					= getTimeLayout(0);

		                    		$shipper_date_time 				= '';
		                    		$shipper_date_time_end 			= '';
		                    		$delivery_date_time 			= '';
		                    		$delivery_date_time_end 		= '';

		                    		$shipper_date 					= '';
		                    		$shipper_open_time 				= '';
		                    		$shipper_close_time 			= '';

		                    		$delivery_date 					= '';
		                    		$delivery_open_time 			= '';
		                    		$delivery_close_time 			= '';
		                    	?>
		                    	<?php if(isset($offer)): ?>
		                    		<?php if(isset($offer->shipper_date) && $offer->shipper_date!=''): ?>
		                    			<?php
		                    				$shipper_date 			= date('m/d/Y', strtotime($offer->shipper_date));
		                    			?>
		                    		<?php endif; ?>
		                    		<?php if(isset($offer->shipper_open_time) && $offer->shipper_open_time!=''): ?>
		                    			<?php
		                    				$shipper_open_time 		= date($getTimeLayout, strtotime($offer->shipper_open_time));
		                    			?>
		                    		<?php endif; ?>
		                    		<?php if(isset($offer->shipper_close_time) && $offer->shipper_close_time!=''): ?>
		                    			<?php
		                    				$shipper_close_time 	= date($getTimeLayout, strtotime($offer->shipper_close_time));
		                    			?>
		                    		<?php endif; ?>
		                    		<?php if(isset($offer->delivery_date) && $offer->delivery_date!=''): ?>
		                    			<?php
		                    				$delivery_date 			= date('m/d/Y', strtotime($offer->delivery_date));
		                    			?>
		                    		<?php endif; ?>
		                    		<?php if(isset($offer->delivery_open_time) && $offer->delivery_open_time!=''): ?>
		                    			<?php
		                    				$delivery_open_time 	= date($getTimeLayout, strtotime($offer->delivery_open_time));
		                    			?>
		                    		<?php endif; ?>
		                    		<?php if(isset($offer->delivery_close_time) && $offer->delivery_close_time!=''): ?>
		                    			<?php
		                    				$delivery_close_time 	= date($getTimeLayout, strtotime($offer->delivery_close_time));
		                    			?>
		                    		<?php endif; ?>
		                    		<?php if($shipper_date!='' && $shipper_open_time!=''): ?>
		                    			<?php
		                    				$shipper_date_time 		= $shipper_date.' '.$shipper_open_time;
		                    			?>
		                    		<?php endif; ?>
		                    		<?php if($shipper_date!='' && $shipper_close_time!=''): ?>
		                    			<?php
		                    				$shipper_date_time_end 	= $shipper_date.' '.$shipper_close_time;
		                    			?>
		                    		<?php endif; ?>
		                    		<?php if($delivery_date!='' && $delivery_open_time!=''): ?>
		                    			<?php
		                    				$delivery_date_time 	= $delivery_date.' '.$delivery_open_time;
		                    			?>
		                    		<?php endif; ?>
		                    		<?php if($delivery_date!='' && $delivery_close_time!=''): ?>
		                    			<?php
		                    				$delivery_date_time_end = $delivery_date.' '.$delivery_close_time;
		                    			?>
		                    		<?php endif; ?>
		                    	<?php endif; ?>
		                    	<input type="hidden" name="shipper_date_time" value="<?php echo e($shipper_date_time); ?>">
		                    	<input type="hidden" name="shipper_date_time_end" value="<?php echo e($shipper_date_time_end); ?>">
		                    	<input type="hidden" name="delivery_date_time" value="<?php echo e($delivery_date_time); ?>">
		                    	<input type="hidden" name="delivery_date_time_end" value="<?php echo e($delivery_date_time_end); ?>">

		                    	<input type="hidden" name="days" value="">
		                    	<input type="hidden" name="hours" value="">
		                    	<input type="hidden" name="minutes" value="">

		                        <div class="proRouter-dateTime">
		                            <div class="row">
		                                <div class="col">
		                                    <div class="form-group">
		                                        <label for="pickup-date">Pickup Date</label>
		                                        <div class="input-group">
		                                            <input type="text" class="form-control" name="pickup_date" id="pickup-date" value="<?php echo e($shipper_date); ?>">
		                                            <img src="<?php echo e(asset('theme/images/proRouter-date.svg')); ?>" alt="icon">
		                                        </div>
		                                    </div>
		                                </div>
		                                <div class="col">
		                                    <div class="form-group">
		                                        <label for="pickupo-time">Open Time</label>
		                                        <div class="input-group">
		                                            <input type="text" class="form-control" name="pickupo_time" id="pickupo-time" value="<?php echo e($shipper_open_time); ?>">
		                                            <img src="<?php echo e(asset('theme/images/proRouter-time.png')); ?>" alt="icon">
		                                        </div>
		                                    </div>
		                                </div>
		                                <div class="col">
		                                    <div class="form-group">
		                                        <label for="pickupc-time">Close Time</label>
		                                        <div class="input-group">
		                                            <input type="text" class="form-control" name="pickupc_time" id="pickupc-time" value="<?php echo e($shipper_close_time); ?>">
		                                            <img src="<?php echo e(asset('theme/images/proRouter-time.png')); ?>" alt="icon">
		                                        </div>
		                                    </div>
		                                </div>
		                            </div>
		                        </div>
		                        <div class="proRouter-dateTime">
		                            <div class="row">
		                                <div class="col">
		                                    <div class="form-group">
		                                        <label for="delivery-date">Delivery Date</label>
		                                        <div class="input-group">
		                                            <input type="text" class="form-control" name="delivery_date" id="delivery-date" value="<?php echo e($delivery_date); ?>">
		                                            <img src="<?php echo e(asset('theme/images/proRouter-date.svg')); ?>" alt="icon">
		                                        </div>
		                                    </div>
		                                </div>
		                                <div class="col">
		                                    <div class="form-group">
		                                        <label for="deliveryo-time">Open Time</label>
		                                        <div class="input-group">
		                                            <input type="text" class="form-control" name="deliveryo_time" id="deliveryo-time" value="<?php echo e($delivery_open_time); ?>">
		                                            <img src="<?php echo e(asset('theme/images/proRouter-time.png')); ?>" alt="icon">
		                                        </div>
		                                    </div>
		                                </div>
		                                <div class="col">
		                                    <div class="form-group">
		                                        <label for="deliveryc-time">Close Time</label>
		                                        <div class="input-group">
		                                            <input type="text" class="form-control" name="deliveryc_time" id="deliveryc-time" value="<?php echo e($delivery_close_time); ?>">
		                                            <img src="<?php echo e(asset('theme/images/proRouter-time.png')); ?>" alt="icon">
		                                        </div>
		                                    </div>
		                                </div>
		                            </div>
		                        </div>
		                        <div class="form-group">
		                            <label for="temp">Temp</label>
		                            <?php if(isset($offer->temp) && $offer->temp!=''): ?>
		                            	<?php echo Form::number('temp', $offer->temp, array(
		                            	        'class' 	=> 'form-control number',
		                            	        'id' 		=> 'temp',
		                            	        'step'  	=> 'any'
		                            	    )
		                            	); ?>

		                            <?php else: ?>
		                            	<?php echo Form::number('temp', old('temp'), array(
		                            	        'class' 	=> 'form-control number',
		                            	        'id' 		=> 'temp',
		                            	        'step'  	=> 'any',
		                            	        'disabled' 	=> 'disabled'
		                            	    )
		                            	); ?>

		                            <?php endif; ?>
		                        </div>
		                        <div class="form-group">
		                            <label for="weight">Weight</label>
		                            <?php echo Form::number('weight', old('weight', $offer->weight ?? ''), array(
		                                    'class' => 'form-control number',
		                                    'id' => 'weight',
		                                    'min' => 0,
		                                    'step' => .01
		                                )
		                            ); ?>

		                        </div>
		                        <div class="form-group">
		                            <label for="commodity">Commodity</label>
		                            <?php echo Form::select('commodity', ['' => 'Commodity']+getCompanyAdminCommodityList(auth()->guard('company-admin')->user()->company_id),
		                                old('commodity', $offer->commodity ?? ''),
		                                [
		                                    'class'                         => 'form-control',
		                                    'id'                         	=> 'commodity',
		                                    'data-parsley-errors-container' => '#commodity-errors'
		                                ]
		                            ); ?>

		                            <div id="commodity-errors"></div>
		                        </div>
		                        <div class="form-group">
		                            <label for="load_value">Load Value</label>
		                            <div class="input-group">
		                                <div class="input-group-prepend">
		                                    <span class="input-group-text">$</span>
		                                </div>
		                                <?php echo Form::number('load_value', old('load_value', $offer->load_value ?? ''), array('class' => 'form-control number','id' => 'load_value', 'min' => 0, 'step' => .01)); ?>

		                            </div>
		                        </div>
		                        <!-- <a href="#" class="btn-link">Special Requirements +</a> -->
		                    </div>
		                </div>
		            </div>
		        </div>
		        <div class="col-xl-20 col-xl-4 col-sm-6">
		            <div class="card proRouter-card proRouterRating-card">
		                <div class="card-header">
		                    <h6>Rating</h6>
		                </div>
		                <div class="card-body">
		                    <div class="card-padding">
		                        <div class="form-group">
		                            <label for="rate-off">Rate Offered</label>
		                            <div class="row align-items-center">
		                            	<?php if(isset($offer->rate_offered) && $offer->rate_offered!=''): ?>
		                            		<div class="col-10">
		                            		    <input type="number" class="form-control number" name="rate_offered" id="rate_offered" min="0" step=".01" value="<?php echo e($offer->rate_offered); ?>" readonly>
		                            		</div>
		                            		<div class="col-auto pl-1">
		                            		    <div class="custom-control custom-checkbox-blue">
		                            		        <input type="checkbox" class="custom-control-input" name="is_rate_offered" id="is_rate_offered" value="1" checked>
		                            		        <label class="custom-control-label" for="is_rate_offered"></label>
		                            		    </div>
		                            		</div>
		                            	<?php else: ?>
		                            		<div class="col-10">
		                            		    <input type="number" class="form-control number" name="rate_offered" id="rate_offered" min="0" step=".01" value="">
		                            		</div>
		                            		<div class="col-auto pl-1">
		                            		    <div class="custom-control custom-checkbox-blue">
		                            		        <input type="checkbox" class="custom-control-input" name="is_rate_offered" id="is_rate_offered" value="1">
		                            		        <label class="custom-control-label" for="is_rate_offered"></label>
		                            		    </div>
		                            		</div>
		                            	<?php endif; ?>
		                            </div>
		                        </div>
		                        <div class="form-group">
		                            <label for="c-off">Counter Offer</label>
		                            <div class="row align-items-center">
		                            	<?php if(!isset($offer)): ?>
		                            		<div class="col-10">
		                            		    <input type="number" class="form-control number" name="counter_offer" id="counter_offer" disabled>
		                            		</div>
		                            		<div class="col-auto pl-1">
		                            		    <div class="plus-icon counter-btn d-none">+</div>
		                            		</div>
		                            	<?php else: ?>
		                            		<div class="col-10">
		                            		    <input type="number" class="form-control number" name="counter_offer" id="counter_offer" value="">
		                            		</div>
		                            		<div class="col-auto pl-1">
		                            		    <div class="plus-icon counter-btn">+</div>
		                            		</div>
		                            	<?php endif; ?>
		                            </div>
		                        </div>
		                        <div class="form-group">
		                        	<!-- <span>agreed_upon_rate = Final Rate</span> -->
		                            <label for="agreed_upon_rate">Final Rate</label>
		                            <div class="row align-items-center">
		                            	<?php if(isset($offer->agreed_upon_rate) && $offer->agreed_upon_rate!=''): ?>
		                            		<div class="col-10">
		                            		    <input type="number" class="form-control number" name="agreed_upon_rate" id="agreed_upon_rate" min="0" step=".01" value="<?php echo e($offer->agreed_upon_rate); ?>" readonly>
		                            		</div>
		                            		<div class="col-auto pl-1">
		                            		    <div class="custom-control custom-checkbox-blue">
		                            		        <input type="checkbox" class="custom-control-input" name="is_final_rate" id="is_final_rate" value="1" checked>
		                            		        <label class="custom-control-label" for="is_final_rate"></label>
		                            		    </div>
		                            		</div>
		                            	<?php else: ?>
		                            		<div class="col-10">
		                            		    <input type="number" class="form-control number" name="agreed_upon_rate" id="agreed_upon_rate" min="0" step=".01" value="">
		                            		</div>
		                            		<div class="col-auto pl-1">
		                            		    <div class="custom-control custom-checkbox-blue">
		                            		        <input type="checkbox" class="custom-control-input" name="is_final_rate" id="is_final_rate" value="1">
		                            		        <label class="custom-control-label" for="is_final_rate"></label>
		                            		    </div>
		                            		</div>
		                            	<?php endif; ?>
		                            </div>
		                        </div>
		                    </div>
		                    <div class="offer-history">
		                    	<div class="card-padding proRouter-cardHead">
		                    	    <h6>Offer History</h6>
		                    	</div>
		                    	<hr>
		                    	<div class="card-padding custom-scrollbar list">
		                    		<?php if(isset($offer->histories) && $offer->histories->isNotEmpty()): ?>
		                    		    <?php $__currentLoopData = $offer->histories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $history): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
		                    		    	<?php
		                    		    		$message 		= '';
		                    		    	?>
		                    		    	<?php if($history->type==1): ?>
		                    		    		<?php
		                    		    			$message 	.= 'Counter Offer: ';
		                    		    		?>
		                    		    	<?php elseif($history->type==2): ?>
		                    		    		<?php
		                    		    			$message 	.= 'Final Rate: ';
		                    		    		?>
		                    		    	<?php else: ?>
		                    		    		<?php
		                    		    			$message 	.= 'Original Offer: ';
		                    		    		?>
		                    		    	<?php endif; ?>
		                    		    	<?php
	                    		    			$message 		.= isset($history->rate)?'$'.formatNumberWithoutZeros($history->rate).' ':'';
	                    		    			$message 		.= isset($history->company_admin->full_name) ? $history->company_admin->full_name.' ' : '';
	                    		    		?>
	                    		    		<?php if(isset($history->created_at) && !is_null($history->created_at)): ?>
	                    		    			<?php
	                    		    				$message 	.= \Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $history->created_at)->setTimezone(getTimeZone())->format(getTimeLayout())." ".getTimeZoneId();
	                    		    			?>
	                    		    		<?php endif; ?>
		                    		        <p><?php echo e($message); ?></p>
		                    		    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
		                    		<?php endif; ?>
		                    	</div>
		                    </div>
		                </div>
		            </div>
		        </div>
		        <div class="col-xl-20 col-xl-4 col-sm-6">
		            <div class="card proRouter-card proRouterMarket-card">
		                <div class="card-header">
		                    <h6>Market Rates</h6>
		                </div>
		                <div class="card-body">
		                    <div class="card-padding">
		                        <div class="table-responsive mb-13">
		                            <table class="proRouter-table">
		                                <thead>
		                                    <tr>
		                                        <th></th>
		                                        <th>Lane</th>
		                                        <th>Reports</th>
		                                    </tr>
		                                </thead>
		                                <tbody>
		                                    <tr>
		                                        <td><img src="<?php echo e(asset('theme/images/dat-logo.png')); ?>" alt="Logo"></td>
		                                        <td>$ 1,200</td>
		                                        <td>15</td>
		                                    </tr>
		                                    <tr>
		                                        <td><img src="<?php echo e(asset('theme/images/truckstop-logo.png')); ?>" alt="Logo"></td>
		                                        <td>$ 1,200</td>
		                                        <td>15</td>
		                                    </tr>
		                                    <tr>
		                                        <td><img src="<?php echo e(asset('theme/images/freightwaves-logo.png')); ?>" alt="Logo"></td>
		                                        <td>$ 1,200</td>
		                                        <td>15</td>
		                                    </tr>
		                                    <tr>
		                                        <td><img src="<?php echo e(asset('theme/images/dispatch-pro-logo')); ?>.png" alt="Logo"></td>
		                                        <td>$ 1,200</td>
		                                        <td>15</td>
		                                    </tr>
		                                    <tr>
		                                        <td><span>Company</span></td>
		                                        <td>$ 1,200</td>
		                                        <td>15</td>
		                                    </tr>
		                                </tbody>
		                            </table>
		                        </div>
		                        <div class="filter-market">
		                            <p>Filter</p>
		                            <ul>
		                                <li>CPM</li>
		                                <li>Van</li>
		                                <li>30 Days</li>
		                                <li>Spot</li>
		                            </ul>
		                        </div>
		                    </div>
		                    <hr>
		                    <div class="proRouter-range">
		                        <div class="custom-rangeslider">
		                            <input class="custom-rangeInput" title="Percentage" id="range-slider2"
		                                type="range" min="0" max="100" value="80" step="1" data-tooltip="true"
		                                aria-controls="rangeTooltip rangeLabel" aria-live="polite">
		                            <span class="custom-rangeslider__tooltip">0</span>
		                            <span class="custom-rangeslider__label">
		                                <span class="custom-rangeslider__label-min">Low</span>
		                                <span class="custom-rangeslider__label-max">High</span>
		                                <span class="custom-rangeGreen"></span>
		                            </span>
		                        </div>
		                    </div>
		                    <div class="card-padding">
		                        <div class="d-flex align-items-center justify-content-center flex-wrap">
		                            <a href="#" class="btn-link">Find Freight +</a>
		                            <a href="#" class="btn-link">Research Lane +</a>
		                        </div>
		                    </div>
		                </div>
		            </div>
		        </div>
		        <div class="col-xl-20 col-xl-4 col-sm-6">
		            <div class="card proRouter-card hourService-card">
		                <div class="card-header">
		                    <h6>Hours Of Service (ELD)</h6>
		                </div>
		                <div class="card-body">
		                    <div class="table-responsive">
		                        <table class="proRouter-table">
		                        	<tr>
		                        	    <td><img src="<?php echo e(asset('theme/images/rest-duration.png')); ?>" alt="Icon">Cycle Tomorrow</td>
		                        	    <td class="cycle_tomorrow">-</td>
		                        	</tr>
		                            <tr>
		                                <td><img src="<?php echo e(asset('theme/images/rest-in.png')); ?>" alt="Icon">Rest In</td>
		                                <td class="rest_in">-</td>
		                            </tr>
		                            <tr>
		                                <td><img src="<?php echo e(asset('theme/images/driving-left.png')); ?>" alt="Icon">Driving Left</td>
		                                <td class="driving_left">-</td>
		                            </tr>
		                            <tr>
		                                <td><img src="<?php echo e(asset('theme/images/workday-left.png')); ?>" alt="Icon">Workday Left</td>
		                                <td class="workday_left">-</td>
		                            </tr>
		                            <tr>
		                                <td><img src="<?php echo e(asset('theme/images/cycle-left.png')); ?>" alt="Icon">Cycle Left</td>
		                                <td class="cycle_left">-</td>
		                            </tr>
		                        </table>
		                        <p>Current Status: <span class="text-danger duty_status">-</span></p>
		                    </div>
		                </div>
		            </div>
		        </div>
		        <div class="col-xl-80 col-xl-12 col-lg-6">
		            <div class="card proRouter-card">
		                <div class="card-body proRouter-notes">
		                    <div class="card-padding">
		                        <textarea name="notes" id="notes" class="form-control" placeholder="Enter Notes"><?php echo e(old('notes', $offer->notes ?? '')); ?></textarea>
		                    </div>
		                </div>
		            </div>
		        </div>
		        <div class="col-xl-80 col-xl-12 ml-auto">
		            <div class="proRouter-text">
		                <div class="">
		                	<input type="hidden" name="rate_per_day" value="">
		                    <p><strong>Rate Per Day:</strong> <span class="rate-per-day"></span></p>
		                    <!-- $850.00 (RPD) -->
		                    <input type="hidden" name="rate_per_hour" value="">
		                    <p><strong>Rate Per Hour:</strong> <span class="rate-per-hour"></span></p>
		                    <!-- $75.00 (RPH) -->
		                </div>
		                <div class="proRouter-swich">
		                    <p>Add Notes to Load If Booked</p>
		                    <div class="custom-control custom-switch-blue">
		                        <input type="checkbox" class="custom-control-input" name="is_add_note_to_load" id="is_add_note_to_load" value="1" <?php echo (old('is_add_note_to_load', isset($offer->is_add_note_to_load) ? $offer->is_add_note_to_load : '')=='1')?'checked':''; ?>>
		                        <label class="custom-control-label" for="is_add_note_to_load"></label>
		                    </div>
		                </div>
		            </div>
		            <div class="text-right">
		                <div class="btn-group proRouter-btnGroup">
		                	<a href="<?php echo e(redirect()->back()->getTargetUrl()); ?>" class="btn btn-blueBr">Cancel</a>
		                    <a href="javascript:void(0);" class="btn btn-blueBr save-offer-btn">Save</a>
		                    <?php if(isset($offer)): ?>
		                        <?php if($offer->status==2): ?>
		                        	<a href="javascript:void(0);" class="btn btn-blueBr cancel-reserve-offer-btn">Cancel Reservation</a>
		                        <?php else: ?>
		                            <a href="javascript:void(0);" class="btn btn-blueBr reserve-offer-btn">Reserve</a>
		                        <?php endif; ?>
		                    <?php else: ?>
		                        <a href="javascript:void(0);" class="btn btn-blueBr reserve-offer-btn">Reserve</a>
		                    <?php endif; ?>
		                    <a href="javascript:void(0);" class="btn btn-blueBr book-load-btn">Build Load</a>
		                </div>
		            </div>
		        </div>
		    </div>
		</div>
	</form>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('modal'); ?>
	<div class="modal fade" id="scoreModal" tabindex="-1" role="dialog" aria-labelledby="scoreModalLabel" aria-hidden="true">
	    <div class="modal-dialog modal-dialog-centered modal-dishpatch modal-proRouter" role="document">
	        <div class="modal-content">
	            <div class="modal-header">
	                <h5 class="modal-title" id="scoreModalLabel">RTS Credit Score</h5>
	                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
	                    <span aria-hidden="true">&times;</span>
	                </button>
	            </div>
	            <form class="scorefrm" name="scorefrm" id="scorefrm" autocomplete="new">
	                <div class="modal-body">
	                    <input type="hidden" class="form-control" name="rts_broker_id" value="">
	                    <div class="row">
	                        <div class="col-md-12">
	                            <div class="form-group">
	                                <label>Rating<span>*</span></label>
	                                <select class="form-control" name="ratting" required>
	                                    <option value="">Select Rating</option>
	                                    <option value="A">A</option>
	                                    <option value="B">B</option>
	                                    <option value="C">C</option>
	                                    <option value="D">D</option>
	                                    <option value="N">N</option>
	                                    <option value="F">F</option>
	                                </select>
	                                <span class="error ratting_error text-danger"></span>
	                            </div>
	                        </div>
	                        <div class="col-md-12">
	                            <div class="form-group">
	                                <label>Credit Available<span>*</span></label>
	                                <input type="text" class="form-control" name="credit_available" value="" required>
	                                <span class="error credit_available_error text-danger"></span>
	                            </div>
	                        </div>
	                    </div>
	                </div>
	                <div class="modal-footer">
	                    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Close</button>
	                    <button type="button" class="btn btn-blue score-submit">Save</button>
	                </div>
	            </form>
	        </div>
	    </div>
	</div>
	<div class="modal fade" id="directionsModal" tabindex="-1" role="dialog" aria-labelledby="directionsModalLabel" aria-hidden="true">
	    <div class="modal-dialog modal-lg modal-dialog-centered modal-dishpatch modal-proRouter" role="document">
	        <div class="modal-content">
	            <div class="modal-header">
	                <h5 class="modal-title" id="directionsModalLabel">Turn By Turn Directions</h5>
	                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
	                    <span aria-hidden="true">&times;</span>
	                </button>
	            </div>
	            <div class="modal-body">
	            </div>
	            <div class="modal-footer">
	                <button type="button" class="btn btn-blueBr" data-dismiss="modal">Close</button>
	            </div>
	        </div>
	    </div>
	</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
	<script src="<?php echo e(asset('theme/js/select2.full.min.js')); ?>"></script>
	<script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
	<script type="text/javascript">
        function autoCompleteOff() {
            $('input').each(function (){
                $(this).attr('autocomplete', 'new');
            });
        }
        $(document).ready(function() {
            trimbleAutocomplete();
            autoCompleteOff();
        });
		$( document ).ready(function() {
			setTimeout(function() {
				<?php if(isset($driver->id)): ?>
				    $('select[name="driver_id"]').val("<?php echo e($driver->id); ?>").trigger('change');
				<?php endif; ?>
	      	}, 750);
	      	<?php if(isset($offer->point_of_contact) && $offer->point_of_contact!=''): ?>
	      	    $('.broker-contact option[value="<?php echo e($offer->point_of_contact); ?>"]').attr('selected', 'selected');
	      	<?php endif; ?>
	      	<?php if(isset($offer->driver_id) && $offer->driver_id!='0'): ?>
	      		driverSamsaraInfo("<?php echo e($offer->driver_id); ?>");
	      	<?php endif; ?>
	      	setTimeout(function() {
				<?php if(isset($offer->id)): ?>
					calculateRate();
					drawOfferTrimbleMap();
				<?php endif; ?>
	      	}, 500);

	      	$('select[name="m_trailer_type"]').on('change', function (e) {
	      		if($(this).val()){
	      			if(tempIsRequired()){
	      				$('input[name="temp"]').val('').prop('disabled', false);
	      			}else{
	      				$('input[name="temp"]').val('').prop('disabled', true);
	      			}
	      		}else{
	      			$('input[name="temp"]').val('').prop('disabled', true);
	      		}
	      	});
	      	//
			$('select[name="driver_id"]').select2({
				allowClear: true,
                width : '100%',
                placeholder: 'Select Driver'
			}).on('change', function (e) {
				var optionSelected      = $("option:selected", this);
				var valueSelected       = this.value;
				if(valueSelected==0){
					$('.trucking_company, .truck_width, .truck_height, .truck_length, .truck_number').val('');
					$('select[name="trailer_number"]').val(null).trigger('change');
					$('select[name="carrier_id"]').html('<option value="" selected="selected">Select Carrier</option>');
					$('select[name="terminal_id"]').html('<option value="" selected="selected">Select Terminal</option>');
					$('input[name="driver_manager"]').val('');

					$('.cycle_tomorrow, .rest_in, .driving_left, .workday_left, .cycle_left').text('-');
					$('.duty_status').text('-');
				}else{
					driverInfo(valueSelected);
					driverSamsaraInfo(valueSelected);
					var verified = $('.current-location').find('.geocoding-verified').val();
					if(verified==0){
						driverLastLocation(valueSelected);
					}
				}
			});
			$('select[name="trailer_number"]').select2({
			    tags: true,
				allowClear: true,
                width : '100%',
                placeholder: 'Select Trailer'
			});
			$('select[name="trailer_number"]').on('change', function (e) {
				if($(this).val()){
					var trailer_id 	= $(this).val();
					$.ajax({
						method: "POST",
					    url: "/company-admin/loads/trailer-info",
					    data: { trailer_id: trailer_id },
					    dataType: 'json',
					    headers: {
					        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
					    },
					    success: function(response) {
					    	if (response.data) {
					    		// Check if "option2" exists in the select element
					    		if ($('select[name="trailer_type"]').find('option[value="'+response.data.type+'"]').length) {
					    			$('select[name="trailer_type"]').val(response.data.type);
					    			if(tempIsRequired()){
					    				$('input[name="temp"]').val('').prop('disabled', false);
					    			}else{
					    				$('input[name="temp"]').val('').prop('disabled', true);
					    			}
					    		} else {
					    			$('select[name="trailer_type"]').val('');
					    			$('input[name="temp"]').val('').prop('disabled', true);
					    		}
					    	}else{
					    		$('select[name="trailer_type"]').val('');
					    		$('input[name="temp"]').val('').prop('disabled', true);
					    	}
					    }
					});
				}else{
					$('select[name="trailer_type"]').val('');
					$('input[name="temp"]').val('').prop('disabled', true);
				}
			});
			$('select[name="broker_id"]').select2({
				allowClear: true,
                width : '100%',
                placeholder: 'Select Customer'
			}).on('change', function (e) {
			    var optionSelected      = $("option:selected", this);
			    var valueSelected       = this.value;
			    if(valueSelected){
			        brokerInfo(valueSelected);
			    }else{
			        nonBrokerInfo();
			    }
			});
			$('select[name="broker_terms"]').select2({
				allowClear: true,
                width : '100%',
                placeholder: 'Select Terms'
			});
			$('.broker-contact').select2({
				allowClear: true,
                width : '100%',
                placeholder: 'Select Representative'
			});
			$('select[name="commodity"]').select2({
				allowClear: true,
                width : '100%',
                placeholder: 'Select Commodity'
			});

			$('#pickup-date, #delivery-date').datetimepicker({
			    format: 'MM/DD/YYYY',
			    useCurrent: false
			});
			$('#pickupo-time, #pickupc-time, #deliveryo-time, #deliveryc-time').datetimepicker({
			    format: timeLayout,
			    useCurrent: false
			});

			// Validate end date when start date changes
			$('#pickup-date').on('dp.change', function(e) {
				// console.log('#pickup-date-change');

				var pickup_date 	= e.date;
				var delivery_date 	= $('#delivery-date').data('DateTimePicker').date();

				// Set minimum date for end date picker to the selected start date
			    // $('#delivery-date').data('DateTimePicker').minDate(pickup_date);

				// Check if end date is before start date and reset to start date if necessary
			    if (delivery_date && delivery_date.isBefore(pickup_date)) {
			      	$('#delivery-date').data('DateTimePicker').date(pickup_date);
		    	}
			});
			// Validate start date when end date changes
		 	$('#delivery-date').on('dp.change', function(e) {
		 		// console.log('#delivery-date-change');

			   	var delivery_date 	= e.date;
			   	var pickup_date 	= $('#pickup-date').data('DateTimePicker').date();

			   	// Set maximum date for start date picker to the selected end date
		   	    // $('#pickup-date').data('DateTimePicker').maxDate(delivery_date);

			   	// Check if start date is after end date and reset to end date if necessary
			   	if (pickup_date && pickup_date.isAfter(delivery_date)) {
			     	$('#pickup-date').data('DateTimePicker').date(delivery_date);
			   	}
			});
			// Validate start and end times
			$('#pickupo-time').on('dp.change', function(e) {
				// console.log('#pickup-open-time-change');

				var start 	= e.date;
			    var end 	= $('#pickupc-time').data("DateTimePicker").date();

			    if(end === null){
			    	$('#pickupc-time').data('DateTimePicker').date(start);
			    }

			    if (start && end) {
			    	if (moment(end).isBefore(start, 'minute')) {
			    	    // console.log('End time must be after start time!');
			    	    $('#pickupc-time').data('DateTimePicker').date(start);
			    	}
			    }
			});
			// Validate start and end times
			$('#pickupc-time').on('dp.change', function(e) {
				// console.log('#pickup-close-time-change');

				var start 	= $('#pickupo-time').data("DateTimePicker").date();
			    var end 	= e.date;

			    if(start === null){
			    	$('#pickupo-time').data('DateTimePicker').date(end);
			    }

			    if (start && end) {
			    	if (moment(start).isAfter(end, 'minute')) {
			    	    // console.log('Start time must be before end time!');
			    	    $('#pickupo-time').data('DateTimePicker').date(end);
			    	}
			    }
			});
			// Validate start and end times
			$('#deliveryo-time').on('dp.change', function(e) {
				// console.log('#delivery-open-time-change');

				var start 	= e.date;
			    var end 	= $('#deliveryc-time').data("DateTimePicker").date();

			    if(end === null){
			    	$('#deliveryc-time').data('DateTimePicker').date(start);
			    }

			    if (start && end) {
			    	if (moment(end).isBefore(start, 'minute')) {
			    	    // console.log('End time must be after start time!');
			    	    $('#deliveryc-time').data('DateTimePicker').date(start);
			    	}
			    }
			});
			// Validate start and end times
			$('#deliveryc-time').on('dp.change', function(e) {
			    // console.log('#delivery-close-time-change');

		    	var start 	= $('#deliveryo-time').data("DateTimePicker").date();
		        var end 	= e.date;

		        if(start === null){
		        	$('#deliveryo-time').data('DateTimePicker').date(end);
		        }

		        if (start && end) {
		        	if (moment(start).isAfter(end, 'minute')) {
		        	    // console.log('Start time must be before end time!');
		        	    $('#deliveryo-time').data('DateTimePicker').date(end);
		        	}
		        }
			});
			$('#pickup-date, #pickupo-time, #pickupc-time').on('dp.change', function(event) {
				// console.log('pickup');

				var date 	= $('#pickup-date').data("DateTimePicker").date();
				var start 	= $('#pickupo-time').data("DateTimePicker").date();
				var end 	= $('#pickupc-time').data("DateTimePicker").date();

				if (date && start) {
					var shipper_date_time 		= $('#pickup-date').val()+' '+$('#pickupo-time').val();
					$('input[name="shipper_date_time"]').val(shipper_date_time);
				}else{
					$('input[name="shipper_date_time"]').val('');
				}
				if (date && end) {
					var shipper_date_time_end 	= $('#pickup-date').val()+' '+$('#pickupc-time').val();
					$('input[name="shipper_date_time_end"]').val(shipper_date_time_end);
				}else{
					$('input[name="shipper_date_time_end"]').val('');
				}

				// Calculate cost per hour and day
				calculateRate();
			});
			$('#delivery-date, #deliveryo-time, #deliveryc-time').on('dp.change', function(event) {
				// console.log('delivery');

				var date 	= $('#delivery-date').data("DateTimePicker").date();
				var start 	= $('#deliveryo-time').data("DateTimePicker").date();
				var end 	= $('#deliveryc-time').data("DateTimePicker").date();

				if (date && start) {
					var delivery_date_time 		= $('#delivery-date').val()+' '+$('#deliveryo-time').val();
					$('input[name="delivery_date_time"]').val(delivery_date_time);
				}else{
					$('input[name="delivery_date_time"]').val('');
				}
				if (date && end) {
					var delivery_date_time_end 	= $('#delivery-date').val()+' '+$('#deliveryc-time').val();
					$('input[name="delivery_date_time_end"]').val(delivery_date_time_end);
				}else{
					$('input[name="delivery_date_time_end"]').val('');
				}

				// Calculate cost per hour and day
				calculateRate();
			});

			$('#is_rate_offered').change(function() {
		        if(this.checked) {
		        	$('input[name="rate_offered"]').prop('readonly', true);
		        }else{
		        	$('input[name="rate_offered"]').prop('readonly', false);
		        }
		    });
		    $('#is_final_rate').change(function() {
		        if(this.checked) {
		        	$('input[name="agreed_upon_rate"]').prop('readonly', true);
		        }else{
		        	$('input[name="agreed_upon_rate"]').prop('readonly', false);
		        }
		    });
		});
		$('input[name="rate_offered"]').on('change', function(event) {
			// Calculate cost per hour and day
			calculateRate();
		});
		$(document).on('keypress', '.number', function(event) {
		    if ((event.which != 46 || $(this).val().indexOf('.') != -1) && (event.which < 48 || event.which > 57)) {
		        event.preventDefault();
		    }
		});
	</script>
	<script type="text/javascript">
		$( document ).ready(function() {
			$('.score-btn').click(function () {
			    var that                        = $(this);
			    var mode 						= that.attr('data-mode');
			    var broker_id              		= $('.broker_id').val();
			    $('#scoreModal input[name="rts_broker_id"]').val(broker_id);
			    if(mode=='edit'){
			        var score_ratting           = $('input[name="score_ratting"]').val();
			        var score_credit            = $('input[name="score_credit"]').val();
			        $('#scoreModal select[name="ratting"]').val(score_ratting);
			        $('#scoreModal input[name="credit_available"]').val(score_credit);
			    }else{
			        $('#scoreModal select[name="ratting"]').val('');
			        $('#scoreModal input[name="credit_available"]').val('');
			    }
			    $('#scoreModal').modal('show');
			});
			$('#scoreModal').on('hidden.bs.modal', function() {
			    $('#scorefrm').trigger('reset');
			    $('#scorefrm').find('.error').text('');
			    $('#scorefrm').parsley().reset();
			});
		});
		$(document).on('click', '.score-submit', function(event) {
		    event.preventDefault();
		    // console.log('score-submit');
		    // return false;

		    var that                        = $(this);
		    var btnTxt                      = that.text();

		    var form                        = $('#scoreModal #scorefrm');
		    form.parsley().validate();
		    if (form.parsley().isValid()){
		        var formData                = new FormData(form[0]);
		        $.ajax({
		            type: 'POST',
		            url: '<?php echo route("company.admin.rts.credit.score.save"); ?>',
		            data: formData,
		            dataType: 'json',
		            headers: {
		                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
		            },
		            cache : false,
		            processData: false,
		            contentType: false,
		            beforeSend: function() {
		                that.prop('disabled', true).html('Please Wait...');
		            },
		        }).done(function(response) {
		            if(response.success){
		                var rts_score       = response.rts_score;
		                $('input[name="score_ratting"]').val(rts_score.score_ratting);
		                $('input[name="score_credit"]').val(rts_score.score_credit);
		                $('input[name="score_updated_at"]').val(rts_score.score_update);

		                $('.score-btn').attr('data-mode', 'edit');
		                $('.score-btn').html('Credit <i class="fa fa-edit" aria-hidden="true"></i>');

		                toastr.success(
		                    response.message,
		                    'Success Alert', {
		                        timeOut: 1000,
		                        fadeOut: 1000,
		                        onHidden: function () {
		                            $('#scoreModal').modal('hide');
		                        }
		                    }
		                );
		            }else{
		                toastr.error(response.message, 'Error Alert', {
		                    timeOut: 5000
		                });
		            }
		        }).fail(function(jqXHR, status, exception)  {
		            if (jqXHR.status === 0) {
		                error = 'Not connected.\nPlease verify your network connection.';
		            } else if (jqXHR.status == 404) {
		                error = 'The requested page not found. [404]';
		            } else if (jqXHR.status == 500) {
		                error = 'Internal Server Error [500].';
		            } else if (exception === 'parsererror') {
		                error = 'Requested JSON parse failed.';
		            } else if (exception === 'timeout') {
		                error = 'Time out error.';
		            } else if (exception === 'abort') {
		                error = 'Ajax request aborted.';
		            } else {
		                error = 'Uncaught Error.\n' + jqXHR.responseText;
		            }
		            toastr.error(error, 'Error Alert', {
		                timeOut: 5000
		            });
		        }).always(function (dataOrjqXHR, textStatus, jqXHRorErrorThrown) {
		            that.prop('disabled', false).html(btnTxt);
		        });
		    }
		    return false;
		});
		$(document).on('change', '.broker-contact', function(event) {
		    var cphone_number   = $(this).find(":selected").data('phone');
		    var cext            = $(this).find(":selected").data('ext');
		    var cemail          = $(this).find(":selected").data('email');

		    $('.broker-phone, .broker-ext, .broker-email').val('');
		    if(cphone_number)
		        $('.broker-phone').val(cphone_number);
		    if(cext)
		        $('.broker-ext').val(cext);
		    if(cemail)
		        $('.broker-email').val(cemail);
		});
	</script>
	<script type="text/javascript">
		<?php if(isset($offer->stops)): ?>
			var stop_index    	= '<?php echo e($offer->stops->count()); ?>';
		<?php else: ?>
			var stop_index    	= 0;
		<?php endif; ?>
		$(document).ready(function() {
			$('#sortable').sortable({
			    items: '.timline-stop:not(.fixed)',
			    axis: "y",
			    handle:".timline-cloud .drag-icon",
			    cursor: 'move',
			    placeholder: "movable-placeholder", //placeholder: "ui-state-highlight",
			    opacity: 0.7,
			    // revert: 300,
			    delay: 150,
			    disableSelection: true,
			    start: function( e, ui ) {
			        ui.placeholder.height(ui.helper.outerHeight());
			    },
			    stop: function( e, ui ) {
			    },
			    update:function(e,ui) {
			        reArrangeStopNo();
			        setTimeout(function() {
			            drawOfferTrimbleMap();
			        }, 1000);
			    }
			});
		});
		$(document).on('click', '.add-button', function(event) {
			var that          	= $(this);
			// Get the last paragraph element before adding new HTML
			var lastStop 		= $('.timline-stop').last();

			var stop_no         = lastStop.attr('data-stop_no');
			var unique_id 		= "time-" + $.now();

			var html 			= `<div class="timline-stop geocoding `+unique_id+`" data-stop_no="`+stop_no+`" data-stop_index="`+stop_index+`">
				<input type="hidden" class="actual_stop_no" name="stop[`+stop_index+`][stop_no]" value="`+stop_no+`">`;
				html 			+= `<div class="d-flex">
					<p class="stop-hedding">
						Stop <span class="stop_no">`+stop_no+`</span>
						<span class="verify-icon text-success d-none"><i class="fa fa-check-circle" aria-hidden="true"></i></span>
						<span class="not-verify-icon text-danger d-none"><i class="fa fa-times-circle" aria-hidden="true"></i></span>
                        <span class="not-verify-error text-danger d-none"></span>
					</p>
				</div>`;
                html 			+= `<div class="row">
                	<div class="col-sm-5 col-6">
                	    <input type="text" class="form-control geocoding-city trimble-autocomplete" name="stop[`+stop_index+`][city]" placeholder="City" value="" autocomplete="new">
                	</div>
                	<div class="col-sm-3 col-6">
                	    <input type="text" class="form-control geocoding-state" name="stop[`+stop_index+`][state]" placeholder="State" value="" autocomplete="new">
                	</div>
                	<div class="col-sm-2 col-6">
                	    <input type="text" class="form-control geocoding-zip" name="stop[`+stop_index+`][zip]" placeholder="Zip" value="" autocomplete="new">
                	</div>
                    <div class="col-sm-2 col-6">
                    	<div class="timline-cloud">
                    	    <div class="drag-icon">
                    	    	<img src="<?php echo e(asset('theme/images/drag-icon.svg')); ?>" alt="icon">
                    	    </div>
                    	    <div class="text-danger remove-button">
                    	    	<i class="fa fa-times" aria-hidden="true"></i>
                	        </div>
                	    </div>
                    </div>
                    <span class="col-12 geocoding-timezone d-none"></span>
                    <div class="col-12 d-none">
                    	<input type="hidden" class="geocoding-latitude" name="stop[`+stop_index+`][latitude]" value="">
                    	<input type="hidden" class="geocoding-longitude" name="stop[`+stop_index+`][longitude]" value="">
                    	<input type="hidden" class="geocoding-abbr" name="stop[`+stop_index+`][timezone_abbr]" value="" data-parsley-errors-container="#stop_`+stop_index+`_timezone_abbr-errors" data-parsley-required-message="Please verify address">
                    	<input type="hidden" class="geocoding-verified" name="stop[`+stop_index+`][address_verified]" value="0">
                    </div>
                </div>`;
                html 			+= `<div id="stop_`+stop_index+`_timezone_abbr-errors"></div>`;
				html 			+= `</div>`;

			// Add new HTML to the container before the last stop
			lastStop.before(html);

			reArrangeStopNo();

            // Trimble Address Autocomplete Initialize for added stop
            trimbleAutocomplete();

            autoCompleteOff();

			stop_index++;
		});
		$(document).on('click', '.remove-button', function(event) {
			var that            = $(this);
			var stop 			= that.closest('.timline-stop');
			var verified 		= stop.find('.geocoding-verified').val();

			Swal.fire({
			    title: "Are you Sure?",
			    text: " You won't be able to revert this!",
			    icon: "warning",
			    showCancelButton: true,
			    confirmButtonColor: "#3085d6",
			    cancelButtonColor: "#d33",
			    cancelButtonText: "Cancel",
			    confirmButtonText: "Yes, remove it!",
			}).then((result) => {
			    if (result.value) {
			    	stop.remove();
			    	reArrangeStopNo();
			    	if(verified==1){
			    		setTimeout(function() {
			    		    drawOfferTrimbleMap();
			    		}, 1000);
			    	}
			    }
			});
		});
	</script>
	<script type="text/javascript">
		$( document ).ready(function() {
			$('.star-icon').click(function() {
				var that = $(this);
				if (that.hasClass('fa-star')) {
				    that.removeClass('fa-star').addClass('fa-star-o');
				}else{
					that.removeClass('fa-star-o').addClass('fa-star');
				}
			});
		});
	</script>
	<script type="text/javascript">
		$(document).on("click", ".save-offer-btn", function(e) {
		    event.preventDefault();
		    // console.log('save-offer-btn');
		    // return false;

		    var optionval1 			= $('select[name="m_trailer_type"] option:selected').val();
		    var optionval2 			= $('select[name="trailer_type"] option:selected').val();
		    if((optionval1!='' && optionval2!='') && optionval1!=optionval2){
		    	toastr.error('Please select same trailer type.', 'Error Alert', {
		    		timeOut: 5000
		    	});
		    	return false;
		    }

		    if(!dateTimeSorted()){
		    	toastr.error('The date and/or time is not in correct order. Please arrange in ascending order.', 'Error Alert', {
		    	    timeOut: 5000
		    	});
		    	return false;
		    }

		    var that                = $(this);
		    var btnTxt              = that.text();

		    var form                = $('#offerForm');
		    var status              = form.find('.status-txt').attr('data-status');
		    var parsley             = form.parsley({
		        excluded: 'input[type=button], input[type=submit], input[type=reset]',
		        inputs: 'input, textarea, select, input[type=hidden], :hidden',
		    });
		    parsley.validate();
		    if (parsley.isValid()){
		    	var formData        = new FormData(form[0]);

		        var favorite        = 'No';
		        if(form.find('.star-icon').hasClass('fa-star')){
		            favorite        = 'Yes'
		        }

		        var route_type 		= 0;
		        var tag 			= $('a.tag.active');
		        if(tag.length > 0){
		        	route_type   	= parseInt(tag.attr('data-number'));
		        }

		        var empty_miles 	= $('h5.empty-miles').text();
		        var total_miles 	= $('h5.total-miles').text();
		        var loaded_miles 	= $('h5.loaded-miles').text();

		        var tolls 			= 0;
		        if(route_type==1){
		        	var tolls_txt  	= $('.shortest-tolls').text();
		        }else if(route_type==2){
		        	var tolls_txt  	= $('.fastest-tolls').text();
		        }else {
		        	var tolls_txt  	= $('.practical-tolls').text();
		        }
		        tolls_txt 			= tolls_txt.replace('$', '').replace(',', '');
		        tolls 				= parseFloat(tolls_txt);

		        formData.append('favorite', favorite);
		        formData.append('route_type', route_type);
		        formData.append('empty_miles', empty_miles);
		        formData.append('total_miles', total_miles);
		        formData.append('loaded_miles', loaded_miles);
		        formData.append('tolls', tolls);
		        formData.append('backPage', '<?php echo redirect()->back()->getTargetUrl(); ?>');

		        $.ajax({
		            type: 'POST',
		            url: "<?php echo e(route('company.admin.book.offer.save')); ?>",
		            data: formData,
		            dataType: 'json',
		            headers: {
		                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
		            },
		            cache : false,
		            processData: false,
		            contentType: false,
		            beforeSend: function() {
		                that.prop('disabled', true).html('Please Wait...');
		            },
		            success: function(response) {
                        console.log(response);
		            	if(response.success){
		            		toastr.success(
		            		    response.message,
		            		    'Success Alert', {
		            		        timeOut: 1000,
		            		        fadeOut: 1000,
		            		        onHidden: function () {
                                        
		            		            window.location.href = response.backPage;
		            		        }
		            		    }
		            		);
		            	}else{
		            	    toastr.error(response.message, 'Error Alert');
		            	}
		            },
		            complete: function() {
		                that.prop('disabled', false).html(btnTxt);
		            },
		            error: function(jqXHR, status, exception) {
		                if (jqXHR.status === 0) {
		                    error = 'Not connected.\nPlease verify your network connection.';
		                } else if (jqXHR.status == 404) {
		                    error = 'The requested page not found. [404]';
		                } else if (jqXHR.status == 500) {
		                    error = 'Internal Server Error [500].';
		                } else if (exception === 'parsererror') {
		                    error = 'Requested JSON parse failed.';
		                } else if (exception === 'timeout') {
		                    error = 'Time out error.';
		                } else if (exception === 'abort') {
		                    error = 'Ajax request aborted.';
		                } else {
		                    error = 'Uncaught Error.\n' + jqXHR.responseText;
		                }
		                toastr.error(error, 'Error Alert');
		            }
		        });
		        return false;
		    }
		});
		$(document).on("click", ".reserve-offer-btn", function(e) {
			event.preventDefault();
			// console.log('reserve-offer-btn');
			// return false;

			var optionval1 			= $('select[name="m_trailer_type"] option:selected').val();
			var optionval2 			= $('select[name="trailer_type"] option:selected').val();
			if((optionval1!='' && optionval2!='') && optionval1!=optionval2){
				toastr.error('Please select same trailer type.', 'Error Alert', {
		    		timeOut: 5000
		    	});
				return false;
			}

			if(!dateTimeSorted()){
				toastr.error('The date and/or time is not in correct order. Please arrange in ascending order.', 'Error Alert', {
				    timeOut: 5000
				});
				return false;
			}

			var that                = $(this);
			var btnTxt              = that.text();

			var form                = $('#offerForm');
			var status              = form.find('.status-txt').attr('data-status');
			var parsley             = form.parsley({
			    excluded: 'input[type=button], input[type=submit], input[type=reset]',
			    inputs: 'input, textarea, select, input[type=hidden], :hidden',
			});
			parsley.validate();
			if (parsley.isValid()){
				var formData        = new FormData(form[0]);

			    var favorite        = 'No';
			    if(form.find('.star-icon').hasClass('fa-star')){
			        favorite        = 'Yes'
			    }

			    var route_type 		= 0;
			    var tag 			= $('a.tag.active');
			    if(tag.length > 0){
			    	route_type   	= parseInt(tag.attr('data-number'));
			    }

			    var empty_miles 	= $('h5.empty-miles').text();
			    var total_miles 	= $('h5.total-miles').text();
			    var loaded_miles 	= $('h5.loaded-miles').text();

			    var tolls 			= 0;
			    if(route_type==1){
			    	var tolls_txt  	= $('.shortest-tolls').text();
			    }else if(route_type==2){
			    	var tolls_txt  	= $('.fastest-tolls').text();
			    }else {
			    	var tolls_txt  	= $('.practical-tolls').text();
			    }
			    tolls_txt 			= tolls_txt.replace('$', '').replace(',', '');
			    tolls 				= parseFloat(tolls_txt);

			    formData.append('favorite', favorite);
			    formData.append('status', 2); //Reserved
			    formData.append('route_type', route_type);
			    formData.append('empty_miles', empty_miles);
			    formData.append('total_miles', total_miles);
			    formData.append('loaded_miles', loaded_miles);
			    formData.append('tolls', tolls);
                formData.append('backPage', '<?php echo redirect()->back()->getTargetUrl(); ?>');

			    $.ajax({
			        type: 'POST',
			        url: "<?php echo e(route('company.admin.book.offer.save')); ?>",
			        data: formData,
			        dataType: 'json',
			        headers: {
			            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
			        },
			        cache : false,
			        processData: false,
			        contentType: false,
			        beforeSend: function() {
			            that.prop('disabled', true).html('Please Wait...');
			        },
			        success: function(response) {
			        	if(response.success){
			        		toastr.success(
			        		    'Offer reserved successfully.',
			        		    'Success Alert', {
			        		        timeOut: 1000,
			        		        fadeOut: 1000,
			        		        onHidden: function () {
                                        
                                        window.location.href = response.backPage;
			        		        }
			        		    }
			        		);
			        	}else{
			        	    toastr.error(response.message, 'Error Alert');
			        	}
			        },
			        complete: function() {
			            that.prop('disabled', false).html(btnTxt);
			        },
			        error: function(jqXHR, status, exception) {
			            if (jqXHR.status === 0) {
			                error = 'Not connected.\nPlease verify your network connection.';
			            } else if (jqXHR.status == 404) {
			                error = 'The requested page not found. [404]';
			            } else if (jqXHR.status == 500) {
			                error = 'Internal Server Error [500].';
			            } else if (exception === 'parsererror') {
			                error = 'Requested JSON parse failed.';
			            } else if (exception === 'timeout') {
			                error = 'Time out error.';
			            } else if (exception === 'abort') {
			                error = 'Ajax request aborted.';
			            } else {
			                error = 'Uncaught Error.\n' + jqXHR.responseText;
			            }
			            toastr.error(error, 'Error Alert');
			        }
			    });
			    return false;
			}
		});
		$(document).on("click", ".book-load-btn", function(e) {
			event.preventDefault();
			// console.log('book-load-btn');
			// return false;

			var optionval1 			= $('select[name="m_trailer_type"] option:selected').val();
			var optionval2 			= $('select[name="trailer_type"] option:selected').val();
			if((optionval1!='' && optionval2!='') && optionval1!=optionval2){
				toastr.error('Please select same trailer type.', 'Error Alert', {
		    		timeOut: 5000
		    	});
				return false;
			}

			if(!dateTimeSorted()){
				toastr.error('The date and/or time is not in correct order. Please arrange in ascending order.', 'Error Alert', {
				    timeOut: 5000
				});
				return false;
			}

			var that                = $(this);
			var btnTxt              = that.text();

			var form                = $('#offerForm');
			var status              = form.find('.status-txt').attr('data-status');
			var parsley             = form.parsley({
			    excluded: 'input[type=button], input[type=submit], input[type=reset]',
			    inputs: 'input, textarea, select, input[type=hidden], :hidden',
			});
			parsley.validate();
			if (parsley.isValid()){
				var formData        = new FormData(form[0]);

			    var favorite        = 'No';
			    if(form.find('.star-icon').hasClass('fa-star')){
			        favorite        = 'Yes'
			    }

			    var route_type 		= 0;
			    var tag 			= $('a.tag.active');
			    if(tag.length > 0){
			    	route_type   	= parseInt(tag.attr('data-number'));
			    }

			    var empty_miles 	= $('h5.empty-miles').text();
			    var total_miles 	= $('h5.total-miles').text();
			    var loaded_miles 	= $('h5.loaded-miles').text();

			    var tolls 			= 0;
			    if(route_type==1){
			    	var tolls_txt  	= $('.shortest-tolls').text();
			    }else if(route_type==2){
			    	var tolls_txt  	= $('.fastest-tolls').text();
			    }else {
			    	var tolls_txt  	= $('.practical-tolls').text();
			    }
			    tolls_txt 			= tolls_txt.replace('$', '').replace(',', '');
			    tolls 				= parseFloat(tolls_txt);

			    formData.append('favorite', favorite);
			    formData.append('route_type', route_type);
			    formData.append('empty_miles', empty_miles);
			    formData.append('total_miles', total_miles);
			    formData.append('loaded_miles', loaded_miles);
			    formData.append('tolls', tolls);

			    $.ajax({
			        type: 'POST',
			        url: "<?php echo e(route('company.admin.book.offer.save')); ?>",
			        data: formData,
			        dataType: 'json',
			        headers: {
			            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
			        },
			        cache : false,
			        processData: false,
			        contentType: false,
			        beforeSend: function() {
			            that.prop('disabled', true).html('Please Wait...');
			        },
			        success: function(response) {
			        	if(response.success){
			        		toastr.success(
			        		    'Book load successfully.',
			        		    'Success Alert', {
			        		        timeOut: 1000,
			        		        fadeOut: 1000,
			        		        onHidden: function () {
			        		        	window.location.href = "<?php echo e(route('company.admin.loads.create')); ?>?offer_id="+response.offer.id;
			        		        }
			        		    }
			        		);
			        	}else{
			        	    toastr.error(response.message, 'Error Alert');
			        	}
			        },
			        complete: function() {
			            that.prop('disabled', false).html(btnTxt);
			        },
			        error: function(jqXHR, status, exception) {
			            if (jqXHR.status === 0) {
			                error = 'Not connected.\nPlease verify your network connection.';
			            } else if (jqXHR.status == 404) {
			                error = 'The requested page not found. [404]';
			            } else if (jqXHR.status == 500) {
			                error = 'Internal Server Error [500].';
			            } else if (exception === 'parsererror') {
			                error = 'Requested JSON parse failed.';
			            } else if (exception === 'timeout') {
			                error = 'Time out error.';
			            } else if (exception === 'abort') {
			                error = 'Ajax request aborted.';
			            } else {
			                error = 'Uncaught Error.\n' + jqXHR.responseText;
			            }
			            toastr.error(error, 'Error Alert');
			        }
			    });
			    return false;
			}
		});
		$(document).on("click", ".counter-btn", function(e) {
		    event.preventDefault();
		    // console.log('counter-btn');
		    // return false;

		    var that                = $(this);
		    var form                = $('#offerForm');
		    var offer_id            = form.find('input[name="offer_id"]').val();
		    var counter_offer       = form.find('input[name="counter_offer"]');
		    var counter_offer_val   = counter_offer.val();
		    var isDisabled          = counter_offer.is(':disabled');
		    if (!isDisabled){
		    	if(counter_offer_val==''){
		    	    toastr.error('Please enter counter Offer.', 'Error Alert', { timeOut: 5000 });
		    	    return false;
		    	}
		    	$.ajax({
		    	    type: 'POST',
		    	    url: "<?php echo e(route('company.admin.counter.offer.save')); ?>",
		    	    data: { offer_id:offer_id, counter_offer:counter_offer_val },
		    	    dataType: 'json',
		    	    headers: {
		    	        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
		    	    },
		    	    beforeSend: function() {
		    	        that.prop('disabled', true).html('<i class="fa fa-circle-o-notch fa-spin" style="font-size:24px"></i>');
		    	    },
		    	    success: function(response) {
		    	    	if(response.success){
		    	    	    var offerHistory = response.offerHistory;
		    	    	    if (typeof offerHistory !== "undefined") {
		    	    	        form.find('.offer-history .list').html(response.offerHistory);
		    	    	        form.find('input[name="counter_offer"]').val('');
		    	    	        toastr.success(response.message, 'Success Alert');
		    	    	    }
		    	    	}else{
		    	    	    toastr.error(response.message, 'Error Alert');
		    	    	}
		    	    },
		    	    error: function(jqXHR, status, exception) {
		    	        if (jqXHR.status === 0) {
		    	            error = 'Not connected.\nPlease verify your network connection.';
		    	        } else if (jqXHR.status == 404) {
		    	            error = 'The requested page not found. [404]';
		    	        } else if (jqXHR.status == 500) {
		    	            error = 'Internal Server Error [500].';
		    	        } else if (exception === 'parsererror') {
		    	            error = 'Requested JSON parse failed.';
		    	        } else if (exception === 'timeout') {
		    	            error = 'Time out error.';
		    	        } else if (exception === 'abort') {
		    	            error = 'Ajax request aborted.';
		    	        } else {
		    	            error = 'Uncaught Error.\n' + jqXHR.responseText;
		    	        }
		    	        toastr.error(error, 'Error Alert');
		    	    },
		    	    complete: function() {
		    	        that.prop('disabled', false).html('+');
		    	    }
		    	});
		        return false;
		    }
		});
		$(document).on("click", ".cancel-reserve-offer-btn", function(e) {
		    event.preventDefault();
		    // console.log('cancel-reserve-offer-btn');
		    // return false;

		    var that                = $(this);
		    var btnTxt              = that.text();

		    var form                = $('#offerForm');
		    var offer_id            = form.find('input[name="offer_id"]').val();
		    if(offer_id){
		        $.ajax({
		            type: 'POST',
		            url: "<?php echo e(route('company.admin.cancel.reservation.offer')); ?>",
		            data: { offer_id:offer_id },
		            dataType: 'json',
		            headers: {
		                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
		            },
		            beforeSend: function() {
		                that.prop('disabled', true).html('Please Wait...');
		            },
		            success: function(response) {
		                if(response.success){
		                    form.find('.status-txt').attr('data-status', 0).html('PENDING');
		                    that.prop('disabled', false).html('Reserve').addClass('reserve-offer-btn').removeClass('cancel-reserve-offer-btn');
		                    toastr.success(response.message, 'Success Alert');
		                }else{
		                    that.prop('disabled', false).html(btnTxt);
		                    toastr.error(response.message, 'Error Alert');
		                }
		            },
		            error: function(jqXHR, status, exception) {
		                if (jqXHR.status === 0) {
		                    error = 'Not connected.\nPlease verify your network connection.';
		                } else if (jqXHR.status == 404) {
		                    error = 'The requested page not found. [404]';
		                } else if (jqXHR.status == 500) {
		                    error = 'Internal Server Error [500].';
		                } else if (exception === 'parsererror') {
		                    error = 'Requested JSON parse failed.';
		                } else if (exception === 'timeout') {
		                    error = 'Time out error.';
		                } else if (exception === 'abort') {
		                    error = 'Ajax request aborted.';
		                } else {
		                    error = 'Uncaught Error.\n' + jqXHR.responseText;
		                }
		                that.prop('disabled', false).html(btnTxt);
		                toastr.error(error, 'Error Alert');
		            }
		        });
		        return false;
		    }
		});
	</script>
	<script type="text/javascript">
		$( document ).ready(function() {
			$('.tag').click(function() {
			    // Remove active class from all tags
			    $('.tag').removeClass('active');
			    // Add active class to clicked tag
			    $(this).addClass('active');
			    // routeType 0 = Practical, 1 = Shortest, 2 = Fastest
			    drawOfferTrimbleMap();
			});
			// $('select[name="m_trailer_type"]').select2();
			$('select[name="hazardous"]').on('change', function (e) {
			    var optionSelected 	= $("option:selected", this);
			    var valueSelected 	= this.value;
			    if(valueSelected==1){
			    	$('.div-hazardous-option').removeClass('d-none');
			    }else{
			    	$('.div-hazardous-option').addClass('d-none');
			    }
			    drawOfferTrimbleMap();
			});
			$('select[name="hazardous_option"]').on('change', function (e) {
			    drawOfferTrimbleMap();
			});
			$('select[name="over_dimension"]').on('change', function (e) {
			    var optionSelected 	= $("option:selected", this);
			    var valueSelected 	= this.value;
			    if(valueSelected==1){
			    	$('.div-over-dimension').removeClass('d-none');
			    	if($('#length').val()!='' || $('#width').val()!='' || $('#height').val()!=''){
			    		drawOfferTrimbleMap();
					}
			    }else{
			    	$('.div-over-dimension').addClass('d-none');
			    	drawOfferTrimbleMap();
			    }
			});
			$('select[name="open_border"]').on('change', function (e) {
			    drawOfferTrimbleMap();
			});
		});
		// Bind a change event to the input field
		$(document).on('focus','.geocoding-city,.geocoding-state,.geocoding-zip',function(event) {
			// Update the original value
			$(this).attr('data-original', this.value);
	  	});
	  	// Bind a blur event to the input field
	  	$(document).on('blur','.geocoding-city,.geocoding-state,.geocoding-zip',function(event) {
	  		var that        		= $(this);
	  		var geocoding   		= that.closest('.geocoding');
	  		var verified 			= geocoding.find('.geocoding-verified').val();
	  		var city				= geocoding.find('.geocoding-city').val();
	  		var state				= geocoding.find('.geocoding-state').val();
	  		var zip					= geocoding.find('.geocoding-zip').val();
	  		var btnVerify         	= geocoding.find('.verify-icon');
	  		var btnNotVerify        = geocoding.find('.not-verify-icon');
	  		var btnNotVerifyError   = geocoding.find('.not-verify-error');
	  		// retrieve the original value
        	var original 			= $(this).attr('data-original');
        	// and compare to the current one
	        if (original !== this.value){
	        	// do what you want
	        	var newValue 		= this.value;

	        	if((city != '' && state != '' && zip!='') || (city != '' && state != '') || zip!=''){
                    if(city != '' && state != '' && zip!=''){
                        var myAddressObj = {
                            city: city,
                            state: state,
                            zip: zip,
                            region: TrimbleMaps.Common.Region.NA
                        };
                    }else if(city != '' && state != ''){
                        var myAddressObj = {
                            city: city,
                            state: state,
                            region: TrimbleMaps.Common.Region.NA
                        };
                    }else if(zip!=''){
                        var myAddressObj = {
                            zip: zip,
                            region: TrimbleMaps.Common.Region.NA
                        };
                    }

	        		TrimbleMaps.Geocoder.geocode({
	        		    address: myAddressObj,
	        		    listSize: 1,
	        		    success: function(response) {
	        		    	// console.log(response);
	        		    	if(response.length > 0){
	        		    	    var data            = response[0];
	        		    	    if(!$.isEmptyObject(data)){
	        		    	        var etype       = [];
	        		    	        var emsg        = [];
	        		    	        if(data.Errors.length > 0){
	        		    	            data.Errors.forEach(function(e) {
	        		    	                etype.push(e.Type);
	        		    	                emsg.push(e.Description);
	        		    	            });
	        		    	        }
	        		    	        emsg            = emsg.join(', ');
	        		    	        if($.inArray(1, etype) == -1){ // type == 0
	        		    	            // console.log('Value Not exists');
	        		    	            if(data.TimeZone){
	        		    	                geocoding.find('.geocoding-timezone').html(data.TimeZone);
	        		    	                geocoding.find('.geocoding-abbr').val(data.TimeZone);
	        		    	            }
	        		    	            if(data.Coords){
	        		    	                geocoding.find('.geocoding-latitude').val(data.Coords.Lat);
	        		    	                geocoding.find('.geocoding-longitude').val(data.Coords.Lon);
	        		    	            }
	        		    	            geocoding.find('.geocoding-verified').val('1');

                                        btnVerify.removeClass('d-none');
                                        btnNotVerify.addClass('d-none');

	        		    	            drawOfferTrimbleMap();

	        		    	            if(emsg){
                                            btnNotVerifyError.text(emsg).removeClass('d-none');
	        		    	                /*toastr.error(emsg, {
	        		    	                    timeOut: 5000
	        		    	                });*/
	        		    	            }else{
                                            btnNotVerifyError.text('').addClass('d-none');
                                        }
	        		    	        }else{
	        		    	            // console.log('Value exists in Array variable');
	        		    	            if(verified==1){
	        		    	            	geocoding.find('.geocoding-timezone').html('');
	        		    	            	geocoding.find('.geocoding-abbr').val('');
	        		    	            	geocoding.find('.geocoding-latitude').val('');
	        		    	            	geocoding.find('.geocoding-longitude').val('');
	        		    	            	geocoding.find('.geocoding-verified').val('0');

                                            btnVerify.addClass('d-none');
                                            btnNotVerify.removeClass('d-none');

	        		    	            	drawOfferTrimbleMap();
	        		    	            }

	        		    	            /*toastr.error(emsg, {
	        		    	                timeOut: 5000
	        		    	            });*/
                                        if(emsg){
                                            btnNotVerify.removeClass('d-none');
                                            btnNotVerifyError.text(emsg).removeClass('d-none');
                                        }else{
                                            btnNotVerify.addClass('d-none');
                                            btnNotVerifyError.text('').addClass('d-none');
                                        }
	        		    	        }
	        		    	    }
	        		    	}
	        		    },
	        		    failure: function(response) {
	        		        // console.log(response);
	        		        if(verified==1){
	        		        	geocoding.find('.geocoding-timezone').html('');
	        		        	geocoding.find('.geocoding-abbr').val('');
	        		        	geocoding.find('.geocoding-latitude').val('');
	        		        	geocoding.find('.geocoding-longitude').val('');
	        		        	geocoding.find('.geocoding-verified').val('0');

                                btnVerify.addClass('d-none');
                                btnNotVerify.removeClass('d-none');

	        		        	drawOfferTrimbleMap();
	        		        }
	        		    }
	        		});
	        	}else{
	        		if(verified==1){
	        			geocoding.find('.geocoding-timezone').html('');
	        			geocoding.find('.geocoding-abbr').val('');
	        			geocoding.find('.geocoding-latitude').val('');
	        			geocoding.find('.geocoding-longitude').val('');
	        			geocoding.find('.geocoding-verified').val('0');

                        btnVerify.addClass('d-none');
                        btnNotVerify.addClass('d-none');
                        btnNotVerifyError.text('').addClass('d-none');

	        			drawOfferTrimbleMap();
	        		}
	        	}
	        }
	  	});
		// Bind a change event to the input field
		$(document).on('focus','#length,#width,#height',function(event) {
			// Update the original value
			$(this).attr('data-original', this.value);
	  	});
	  	// Bind a blur event to the input field
	  	$(document).on('blur','#length,#width,#height',function(event) {
	  		// retrieve the original value
        	var original 			= $(this).attr('data-original');
        	// and compare to the current one
	        if (original !== this.value){
	        	// do what you want
	        	var newValue 		= this.value;

	        	drawOfferTrimbleMap();
	        }
	  	});
	</script>
	<script type="text/javascript">
		function driverInfo(id){
			$.ajax({
			    type: 'POST',
			    url: "<?php echo e(route('company.admin.dispatch.hub.driver.info')); ?>",
			    data: { id: id },
			    dataType: 'json',
			    headers: {
			        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
			    },
			    beforeSend: function() {
			    	$('.trucking_company, .truck_width, .truck_height, .truck_length, .truck_number').val('');
			    	$('select[name="trailer_number"]').val(null).trigger('change');
			    	$('select[name="carrier_id"]').html('<option value="" selected="selected">Select Carrier</option>');
			    	$('select[name="terminal_id"]').html('<option value="" selected="selected">Select Terminal</option>');
			    	$('input[name="driver_manager"]').val('');
			    },
			    success: function(response) {
			    	if(response.success){
			    		var data = response.data;

			    		if(data.company){
			    			$('.trucking_company').val(data.company);
			    		}
			    		if(data.truck_width){
			    			$('.truck_width').val(data.truck_width);
			    		}
			    		if(data.truck_height){
			    			$('.truck_height').val(data.truck_height);
			    		}
			    		if(data.truck_length){
			    			$('.truck_length').val(data.truck_length);
			    		}
			    		if(data.truck_number){
			    			$('.truck_number').val(data.truck_number);
			    		}
			    		if(data.trailer_number){
			    			$('select[name="trailer_number"]').val(data.trailer_number).trigger('change');
			    		}

			    		$('select[name="carrier_id"]').html(data.carrier_option);
			    		$('select[name="terminal_id"]').html(data.termianl_option);

			    		if(data.driver_manager){
			    			$('input[name="driver_manager"]').val(data.driver_manager);
			    		}
			    	}
			    }
			});
		}
		function driverSamsaraInfo(id){
			$.ajax({
			    type: 'POST',
			    url: "<?php echo e(route('company.admin.dispatch.hub.driver.samsara.info')); ?>",
			    data: { id: id },
			    dataType: 'json',
			    headers: {
			        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
			    },
			    beforeSend: function() {
			    	$('.cycle_tomorrow, .rest_in, .driving_left, .workday_left, .cycle_left').text('-');
			    	$('.duty_status').text('-');
			    },
			    success: function(response) {
			    	if(response.success){
			    		if(!$.isEmptyObject(response.data)){
			    			$('.cycle_tomorrow').text(response.data.cycle_tom);
			    			$('.rest_in').text(response.data.time_in_unit_break);
			    			$('.driving_left').text(response.data.drive);
			    			$('.workday_left').text(response.data.shift);
			    			$('.cycle_left').text(response.data.cycle);
			    			if(response.data.duty_status){
			    				$('.duty_status').text(response.data.duty_status);
			    			}else{
			    				$('.duty_status').text('-');
			    			}
			    		}
			    	}
			    }
			});
		}
		function driverLastLocation(id){
			var that        = $('.current-location');
			var geocoding   = that.find('.geocoding');
			var btn         = geocoding.find('.verify-icon');
			$.ajax({
			    type: 'POST',
			    url: "<?php echo e(route('company.admin.dispatch.hub.driver.last.location')); ?>",
			    data: { id: id },
			    dataType: 'json',
			    headers: {
			        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
			    },
			    beforeSend: function() {
			    	$('input[name="current_city"]').val('');
			    	$('input[name="current_state"]').val('');
			    	$('input[name="current_zip"]').val('');

			    	geocoding.find('.geocoding-timezone').html('');
			    	geocoding.find('.geocoding-abbr').val('');
			    	geocoding.find('.geocoding-latitude').val('');
			    	geocoding.find('.geocoding-longitude').val('');
			    	geocoding.find('.geocoding-verified').val('0');

			    	btn.addClass('d-none');

			    	// drawOfferTrimbleMap();
			    },
			    success: function(response) {
			    	if(response.success){
			    		if(!$.isEmptyObject(response.data)){
                            if(TrimbleMaps.APIKey){
                                if(response.data.City){
                                    $('input[name="current_city"]').val(response.data.City);
                                }
                                if(response.data.State){
                                    $('input[name="current_state"]').val(response.data.State);
                                }
                                if(response.data.Zip){
                                    $('input[name="current_zip"]').val(response.data.Zip);
                                }

                                TrimbleMaps.Geocoder.geocode({
                                    address: {
                                        city: response.data.City,
                                        state: response.data.State,
                                        zip: response.data.Zip,
                                        region: TrimbleMaps.Common.Region.NA
                                    },
                                    listSize: 1,
                                    success: function(response) {
                                        // console.log(response);
                                        // return false;
                                        if(response.length > 0){
                                            var data            = response[0];
                                            if(!$.isEmptyObject(data)){
                                                var etype       = [];
                                                var emsg        = [];
                                                if(data.Errors.length > 0){
                                                    data.Errors.forEach(function(e) {
                                                        etype.push(e.Type);
                                                        emsg.push(e.Description);
                                                    });
                                                }
                                                emsg            = emsg.join(', ');
                                                if($.inArray(1, etype) == -1){ // type == 0
                                                    // console.log('Value Not exists');
                                                    if(data.TimeZone){
                                                        geocoding.find('.geocoding-timezone').html(data.TimeZone);
                                                        geocoding.find('.geocoding-abbr').val(data.TimeZone);
                                                    }
                                                    if(data.Coords){
                                                        geocoding.find('.geocoding-latitude').val(data.Coords.Lat);
                                                        geocoding.find('.geocoding-longitude').val(data.Coords.Lon);
                                                    }
                                                    geocoding.find('.geocoding-verified').val('1');

                                                    btn.removeClass('d-none');

                                                    drawOfferTrimbleMap();

                                                    if(emsg){
                                                        toastr.error(emsg, {
                                                            timeOut: 5000
                                                        });
                                                    }
                                                }else{
                                                    // console.log('Value exists in Array variable');
                                                    toastr.error(emsg, {
                                                        timeOut: 5000
                                                    });
                                                }
                                            }
                                        }
                                    },
                                    failure: function(response) {
                                        //console.log(response);
                                    }
                                });
                            }
			    		}
			    	}
			    }
			});
		}
		function brokerInfo(id,rep=null){
			$.ajax({
				method: "POST",
			    url: "/company-admin/loads/broker-info",
			    data: { id: id },
			    dataType: 'json',
			    headers: {
			        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
			    },
			    success: function(response) {
			        if (response.data) {
			        	var cmc_number               	= response.data.mc_number;
			            var cphone_number               = response.data.dispatch_contact_phone;
			            var cext                        = response.data.dispatch_contact_contact_ext;
			            var cemail                      = response.data.dispatch_contact_email;
			            var terms                       = response.data.billing_terms;

			            $('.broker-mc, .broker-phone, .broker-ext, .broker-email').val('');
			            $('.broker-terms').val(null).trigger('change');
			            if(cmc_number)
			                $('.broker-mc').val(cmc_number);
			            if(cphone_number)
			                $('.broker-phone').val(cphone_number);
			            if(cext)
			                $('.broker-ext').val(cext);
			            if(cemail)
			                $('.broker-email').val(cemail);
			            if(terms)
			                $('.broker-terms').val(terms).trigger('change');

			            $('.brokerContact .select2').remove();
			            if (response.contact_html) {
			                $('.brokerContact').append(response.contact_html);
			                $('.broker-contact').select2({
								allowClear: true,
								width : '100%',
								placeholder: 'Select Representative'
							});
			                if(rep){
			                    $('.broker-contact').val(rep).trigger('change');
			                }else{
			                    if($('.broker-contact option:eq(1)').length > 0){
			                        var broker_contact  = $('.broker-contact option:eq(1)').val();
			                        $('.broker-contact').val(broker_contact).trigger('change');
			                    }
			                }
			            }else{
			                $(".brokerContact").append(`
			                    <select class="form-control broker-contact select2" name="rep">
			                        <option value="">Select option</option>
			                    </select>`
			                );
			                $('.broker-contact').select2({
								allowClear: true,
								width : '100%',
								placeholder: 'Select Representative'
							});
			            }

			            $('input[name="score_ratting"]').val('');
			            $('input[name="score_credit"]').val('');
			            $('input[name="score_updated_at"]').val('');

			            $('.score-btn').removeClass('d-none');
			            $('.score-btn').attr('data-mode', 'add');
			            $('.score-btn').html('Credit <i class="fa fa-plus" aria-hidden="true"></i>');
			        }else{
			            nonBrokerInfo();
			        }
			    }
			});
		}
		function nonBrokerInfo(){
			$('.broker-mc, .broker-phone, .broker-ext, .broker-email').val('');
			$('.broker-terms').val(null).trigger('change');

			$('.brokerContact .select2').remove();
			$(".brokerContact").append(`
			    <select class="form-control broker-contact select2" name="rep">
			        <option value="">Select option</option>
			    </select>`
			);
			$('.broker-contact').select2({
				allowClear: true,
                width : '100%',
                placeholder: 'Select Representative'
			});

			$('input[name="score_ratting"]').val('');
			$('input[name="score_credit"]').val('');
			$('input[name="score_updated_at"]').val('');

			$('.score-btn').addClass('d-none');
			$('.score-btn').attr('data-mode', 'add');
			$('.score-btn').html('Credit <i class="fa fa-plus" aria-hidden="true"></i>');
		}
		function reArrangeStopNo(){
		    var stop_no = 1;
		    $('.timline-stop').each(function (key, val){
		        var that = $(this);
		        that.attr('data-stop_no',stop_no);
		        that.find('.stop-hedding .stop_no').html(stop_no);
		        stop_no++;
		    });

		    var actual_stop_no = 1;
		    $('.timline-stop[data-stop_index]').each(function (key, val){
		        var that = $(this);
		        that.find('.actual_stop_no').val(actual_stop_no);
		        actual_stop_no++;
		    });
		}
		function tempIsRequired(){
			var myarray                 = [];
			var optionval1 				= $('select[name="m_trailer_type"] option:selected').val();
			if(optionval1!=''){
				var is_temp_required 	= $('select[name="m_trailer_type"] option:selected').attr('data-is_temp_required');
				if(is_temp_required==1){
				    myarray.push($('select[name="m_trailer_type"] option:selected').text().toLowerCase());
				}
			}
			var optionval2 				= $('select[name="trailer_type"] option:selected').val();
			if(optionval2!=''){
				var is_temp_required 	= $('select[name="trailer_type"] option:selected').attr('data-is_temp_required');
				if(is_temp_required==1){
				    myarray.push($('select[name="trailer_type"] option:selected').text().toLowerCase());
				}
			}
		    if(myarray.length > 0){
		        return true;
		    }else{
		        return false;
		    }
		}
		function dateTimeSorted(){
			var myarray  	= [];
			var datetime 	= $('input[name="shipper_date_time"]').val();
			if(datetime!=''){
				datetime  	= moment(datetime).format('MM/DD/YYYY HH:mm');
				stamp       = moment(datetime).valueOf();
				myarray.push(stamp);
			}

			var datetime 	= $('input[name="shipper_date_time_end"]').val();
			if(datetime!=''){
				datetime  	= moment(datetime).format('MM/DD/YYYY HH:mm');
				stamp       = moment(datetime).valueOf();
				myarray.push(stamp);
			}

			var datetime 	= $('input[name="delivery_date_time"]').val();
			if(datetime!=''){
				datetime  	= moment(datetime).format('MM/DD/YYYY HH:mm');
				stamp       = moment(datetime).valueOf();
				myarray.push(stamp);
			}

			var datetime 	= $('input[name="delivery_date_time_end"]').val();
			if(datetime!=''){
				datetime  	= moment(datetime).format('MM/DD/YYYY HH:mm');
				stamp       = moment(datetime).valueOf();
				myarray.push(stamp);
			}

			return isSorted(myarray);
		}
		function isSorted(arr) {
		    let second_index;
	        for(let first_index = 0; first_index < arr.length; first_index++){
	          second_index = first_index + 1;
	          if(arr[second_index] - arr[first_index] < 0) return false;
	        }
	        return true;
		}
		function twoDateDiffrence(){
			var myobj 					= {};

			var startDateTime 			= '';
			if($('input[name="shipper_date_time"]').val()){
				startDateTime 			= $('input[name="shipper_date_time"]').val();
			}
			if($('input[name="shipper_date_time_end"]').val()){
				startDateTime 			= $('input[name="shipper_date_time_end"]').val();
			}
			var endDateTime 			= '';
			if($('input[name="delivery_date_time"]').val()){
				endDateTime 			= $('input[name="delivery_date_time"]').val();
			}
			if($('input[name="delivery_date_time_end"]').val()){
				endDateTime 			= $('input[name="delivery_date_time_end"]').val();
			}

			myobj['diffDays'] 			= '';
			myobj['diffHours'] 			= '';
			myobj['diffMinutes'] 		= '';

			myobj['totalDays'] 			= '';
			myobj['totalHours'] 		= '';
			myobj['totalMinutes'] 		= '';

			if(startDateTime && endDateTime){
				startDateTime 			= new Date(moment(startDateTime).format('MM/DD/YYYY HH:mm'));
				endDateTime 			= new Date(moment(endDateTime).format('MM/DD/YYYY HH:mm'));
				var diff 				= Math.abs(endDateTime - startDateTime);

				// Convert the difference to days, hours, minutes, and seconds
				myobj['diffDays'] 		= Math.floor(diff / (1000 * 60 * 60 * 24));
				myobj['diffHours'] 		= Math.floor((diff % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
				myobj['diffMinutes'] 	= Math.floor((diff % (1000 * 60 * 60)) / (1000 * 60));
				// console.log(diffDays + ' days, ' + diffHours + ' hours, ' + diffMinutes + ' minutes');

				myobj['totalDays'] 		= Math.floor(diff / (1000 * 60 * 60 * 24));
				myobj['totalHours'] 	= Math.floor(diff / (1000 * 60 * 60));
				myobj['totalMinutes'] 	= Math.floor(diff / 1000 / 60);
				// console.log(totalDays + ' days, ' + totalHours + ' hours, ' + totalMinutes + ' minutes');
			}
			return myobj;
		}
		function calculateRate(){
			var rate 				= $('input[name="rate_offered"]').val();

			var difference 			= twoDateDiffrence();

			$('input[name="days"]').val(difference.totalDays);
			$('input[name="hours"]').val(difference.totalHours);
			$('input[name="minutes"]').val(difference.totalMinutes);

			var totalMinutes 		= difference.totalMinutes;
			if(rate && totalMinutes){
				var totalAmount 	= parseFloat(rate);

			    // Calculate cost per hour and day
		        var costPerMinute 	= totalAmount / totalMinutes;
		        var costPerHour 	= costPerMinute * 60;
		        var costPerDay 		= costPerHour * 24;

		        $('input[name="rate_per_hour"]').val(parseFloat(costPerHour.toFixed(2)));
		        $('input[name="rate_per_day"]').val(parseFloat(costPerDay.toFixed(2)));

		        $('.rate-per-hour').text('$' + costPerHour.toFixed(2)+' (RPH)');
		        $('.rate-per-day').text('$' + costPerDay.toFixed(2)+ ' (RPD)');
			}else{
				$('input[name="rate_per_hour"]').val('');
				$('input[name="rate_per_day"]').val('');

				$('.rate-per-hour').text('');
				$('.rate-per-day').text('');
			}
		}
	</script>
	<script type="text/javascript">
		$("#map").on('wheel', function (e) {
		    // Prevent the event from bubbling up the DOM tree
		    e.stopPropagation();
		    
		    // Log that the scroll event is detected in #map
		    // console.log("Scroll event detected in #map");

		    // Check if the Ctrl key is pressed
		    if (e.originalEvent.ctrlKey) {
		        // Prevent the default scrolling behavior
		        e.preventDefault();
		        
		        // Log that the Ctrl key is pressed
		        // console.log("Ctrl key is pressed.");
		        
		        // Check if the map is drawn and ready for interaction
		        if (isMapDrawn('#map')) {
		            // Retrieve map instance from data attribute
		            var map             = $(this).data('map-instance');
		            // console.log('map:', map);
		            // console.log('map instanceof TrimbleMaps.Map:', map instanceof TrimbleMaps.Map);
		            // Check if map is already initialized and is an instance of TrimbleMaps.Map
		            if (map && (map instanceof TrimbleMaps.Map)) {
		                // Remove the 'map-scroll' class from #map
		                $("#map").removeClass('map-scroll');

		                // Adjust zoom level based on scroll direction
		                var direction   = e.originalEvent.deltaY > 0 ? 'out' : 'in';
		                if (direction === 'in') {
		                    map.zoomIn();
		                } else {
		                    map.zoomOut();
		                }
		            }
		        }
		    } else {
		        // Log that the Ctrl key is not pressed
		        // console.log("Ctrl key is not pressed.");
		        
		        // Check if the map is drawn and ready for interaction
		        if (isMapDrawn('#map')) {
		            // Add the 'map-scroll' class to #map
		            $("#map").addClass('map-scroll');
		            setTimeout(function(){
		                $("#map").removeClass('map-scroll');
		            }, 5000);
		        }
		    }
		});
		// Remove the 'map-scroll' class from #map after 1500 milliseconds
		$("#map").on('mouseleave', function () {
		    setTimeout(function(){
		        $("#map").removeClass('map-scroll');
		    }, 1500);
		});
		function drawOfferTrimbleMap(){
			var truck         					= [];
			var pickup                  		= [];
			var delivery                		= [];
			var stop                    		= [];

			var current_location_verified 		= $('.current-location').find('.geocoding-verified').val();
			if(current_location_verified==1){
				var longitude       			= $('.current-location').find('.geocoding-longitude').val();
				var latitude        			= $('.current-location').find('.geocoding-latitude').val();
				truck.push({
					longitude: longitude,
					latitude: latitude
				});
			}

			$('.timline-stop').each(function() {
				var ele 						= $(this);
				var verified            		= ele.find('.geocoding-verified').val();
				if(verified==1){
				    var longitude       		= ele.find('.geocoding-longitude').val();
				    var latitude        		= ele.find('.geocoding-latitude').val();
				    if(typeof ele.attr('data-stop_index') === "undefined"){
				        if(ele.attr('data-customer_type')==1){
				        	pickup.push({
				        		longitude: longitude,
				        		latitude: latitude
				        	});
				        }else{
				        	delivery.push({
				        		longitude: longitude,
				        		latitude: latitude
				        	});
				        }
				    }else{
				    	stop.push({
				    		longitude: longitude,
				    		latitude: latitude
				    	});
				    }
				}
			});

			var truckExists 					= truck.length > 0 ? true : false;
			var pickupExists 					= pickup.length > 0 ? true : false;
			var stopExists 						= stop.length > 0 ? true : false;
			var deliveryExists 					= delivery.length > 0 ? true : false;

			if(truckExists && pickupExists && deliveryExists){
				var stopArray 					= [];
				$.each(truck, function( index, value ) {
					stopArray.push(new TrimbleMaps.LngLat(value.longitude, value.latitude));
				});
				$.each(pickup, function( index, value ) {
					stopArray.push(new TrimbleMaps.LngLat(value.longitude, value.latitude));
				});
				if(stopExists){
					$.each(stop, function( index, value ) {
						stopArray.push(new TrimbleMaps.LngLat(value.longitude, value.latitude));
					});
				}
				$.each(delivery, function( index, value ) {
					stopArray.push(new TrimbleMaps.LngLat(value.longitude, value.latitude));
				});

				const map             			= new TrimbleMaps.Map({
				    container: 'map',
				    style: TrimbleMaps.Common.Style.TRANSPORTATION,
				    center: new TrimbleMaps.LngLat(stopArray[0].lng, stopArray[0].lat),
				    zoom: 8,
				    scrollZoom: false
				});

				// Store map instance in data attribute
				$('#map').data('map-instance', map);

				// Disable scroll zoom controls
				// map.scrollZoom.disable();

				mapMenusOptions                 = {
				    showContentLayers: true,
				    showBaseStyles: true,
				    showCustomStyles: false,
				    showMobileStyles: false,
				    hideStyles: ['Accessible Dark', 'Accessible Light', 'Basic'],
				    hideLayers: ['3D Buildings','Weather Cloud'],
				};

				var ctrl                        = new TrimbleMapsControl.MapMenus(mapMenusOptions);

				// Map#addControl takes an optional second argument to set the position of the control.
				// If no position is specified the control defaults to `top-right`.
				map.addControl(ctrl, "top-right");

				map.addControl(new TrimbleMaps.NavigationControl({
				    showCompass : false
				}));

				var routeType 					= 0;
				var tag 						= $('a.tag.active');
				if(tag.length > 0){
					routeType   				= parseInt(tag.attr('data-number'));
				}

				// If false, custom stop icons can be used, if other values, default icons and styles are used.
				const showDefaultStops          = true;

				if($('select[name="open_border"]').val()==1){
					var bordersOpen 			= true;
					var avoidCountry 			= [];
				}else{
					var bordersOpen 			= false;
					var avoidCountry 			= ['CA', 'MX'];
				}
				var hazmatType 					= 0;
				if($('select[name="hazardous"]').val()==1){
					hazmatType 					= parseInt($('select[name="hazardous_option"]').val());
				}
				var truckDimensions 			= 0;
				var totalLength     			= '';
				var maxWidth     				= '';
				var maxHeight     				= '';
				if($('select[name="over_dimension"]').val()==1){
					truckDimensions 			= 16;
					if($('#length').val()!=''){
						totalLength 			= $('#length').val();
					}
					if($('#width').val()!=''){
						maxWidth 				= $('#width').val();
					}
					if($('#height').val()!=''){
						maxHeight 				= $('#height').val();
					}
				}
				//

				var myobj = {
				    routeId: "myRoute",
				    stops: stopArray,
				    routeType: routeType,
				    reportType: [
				        TrimbleMaps.Common.ReportType.MILEAGE,
				        TrimbleMaps.Common.ReportType.DIRECTIONS,
				        TrimbleMaps.Common.ReportType.TOLL
				    ],
				    originIcon: { // optional origin Icon
				        size: 1,
				        url: "<?php echo e(asset('theme/img/truck_green.png')); ?>",
				        offset: [0, -6]
				    },
                    destinationIcon: { // optional destination Icon
                        size: 1,
                        url: "<?php echo e(asset('theme/img/last_location_99.png')); ?>",
                        offset: [0, -6]
                    },
				    showStops: showDefaultStops,
				    bordersOpen: bordersOpen,
				    hazmatType: hazmatType
				};
				if(truckDimensions===16){
					if(totalLength!='' || maxWidth!='' || maxHeight!=''){
						myobj.truckDimensions 	= 16;
						if(totalLength!=''){
							myobj.totalLength 	= totalLength;
						}
						if(maxWidth!=''){
							myobj.maxWidth 		= maxWidth;
						}
						if(maxHeight!=''){
							myobj.maxHeight 	= maxHeight;
						}
					}
				}

				const myRoute                   = new TrimbleMaps.Route(myobj);
				//
				map.on('load', function() {
				    myRoute.addTo(map);
				    if (!showDefaultStops) {
				        // add custom stop icons.
				        myRoute.addStopIcon('start', 'https://developer.trimblemaps.com/maps-sdk/img/marker_blue.png');
				        myRoute.addStopIcon('end', 'https://developer.trimblemaps.com/maps-sdk/img/marker_blue.png');
				        myRoute.addStopIcon('stop', 'https://developer.trimblemaps.com/maps-sdk/img/marker_blue.png');
				        // style custom stop icons. For detailed information, visit https://developer.trimblemaps.com/maps-sdk/style-spec/layers/#symbol
				        const stopLayerStyle    = {
				            layout: {
				                'icon-size': [
				                    'case',
				                    ['==', ['get', 'stopType'], 'start'], 1, // stopType is an internal property, it has start, end, and stop values for now.
				                    ['==', ['get', 'stopType'], 'end'], 1,
				                    1 // stops
				                ],
				                'icon-offset': [0, -10]
				            }
				        };
				        myRoute.styleStopIcons(stopLayerStyle);
				    }
				});
				//
				myRoute.on('report', function (data) {
					var lastIndex 				= stopArray.length;
					lastIndex 					= lastIndex-1;

					var name                    = 'practical';
					if(routeType==1){
					    name                    = 'shortest';
					}else if (routeType==2) {
					    name                    = 'fastest';
					}

					var empty_miles             = data[0].ReportLines[1].TMiles;
					empty_miles                 = parseFloat(empty_miles).toFixed(2);
					var total_miles             = data[0].ReportLines[lastIndex].TMiles;
					total_miles                 = parseFloat(total_miles).toFixed(2);
					var loaded_miles            = total_miles-empty_miles;
					loaded_miles                = parseFloat(loaded_miles).toFixed(2);

					var hours                   = data[0].ReportLines[lastIndex].THours;
					var tolls                   = data[0].ReportLines[lastIndex].TTolls;
					tolls                       = '$' + parseFloat(tolls).toFixed(2);
					var cost                    = data[0].ReportLines[lastIndex].TCostMile;
					cost                        = '$' + parseFloat(cost).toFixed(2);

					$('h5.empty-miles').text(Math.round(empty_miles));
					$('h5.total-miles').text(Math.round(total_miles));
					$('h5.loaded-miles').text(Math.round(loaded_miles));

					$('td.'+name+'-distance').text(Math.round(total_miles)+' mi');
					$('td.'+name+'-driving-time').text(hours+' hrs');
					$('td.'+name+'-tolls').text(tolls);
					$('td.'+name+'-fuel').text('');
					$('td.'+name+'-cost').text(cost);

					$('#append-toll-table').html('');
					var append_toll_table       =  `<div class="table-responsive"><table class="proRouter-table">`;
					$.each(data[0].ReportLines, function (i, obj) {
					    var ltolls              = obj.LTolls;
					    ltolls                  = '$' + parseFloat(ltolls).toFixed(2);
					    append_toll_table       += `<tr>
					            <th>`+obj.Stop.Address.City+`, `+obj.Stop.Address.StateAbbreviation+`:</th>`;
					    if(routeType==1){
					        append_toll_table   += `<td>`+ltolls+`</td>
					            <td></td>
					            <td></td>`;
					    }else if (routeType==2) {
					        append_toll_table   += `<td></td>
					            <td></td>
					            <td>`+ltolls+`</td>`;
					    }else{
					        append_toll_table   += `<td></td>
					            <td>`+ltolls+`</td>
					            <td></td>`;
					    }
					    append_toll_table       += `</tr>`;
					});
					append_toll_table           += `<tr>
					    <th>Cost:</th>`;
					    if(routeType==1){
					        append_toll_table   += `<td>`+tolls+`</td>
					            <td></td>
					            <td></td>`;
					    }else if (routeType==2) {
					        append_toll_table   += `<td></td>
					            <td></td>
					            <td>`+tolls+`</td>`;
					    }else{
					        append_toll_table   += `<td></td>
					            <td>`+tolls+`</td>
					            <td></td>`;
					    }
					append_toll_table           += `</tr>`;
					append_toll_table           += `</table></div>`;
					$('#append-toll-table').html(append_toll_table);

					// turn by turn directions
					$('a.directions').addClass('d-none');
					$('#directionsModal .modal-body').html('');

					var reportLegs              = data[1].ReportLegs;
					if(reportLegs.length > 0){
					    var html                = `<div class="accordion-turnBy" id="turnBy_accrordion">`;
					    $.each(reportLegs, function (i, obj) {
					        var heading         = '';
					        if (i === 0) {
					            // first
					            heading         = 'Truck To Stop 1:';
					        } else if (i === reportLegs.length - 1) {
					            // last
					            heading         = 'Stop '+i+' To '+(i+1)+':';
					        } else{
					            heading         = 'Stop '+i+' To '+(i+1)+':';
					        }

					        var body            = '';
					        var lines           = obj.ReportLines;
					        if(lines.length){
					            $.each(lines, function (j, line) {
					                body        += `<p>`+line.Direction+`</p>`;
					            });
					        }
					        //
					        var item            =  `<div class="card">
					            <div class="card-header" id="directions-heading-`+i+`">
					                <button class="btn btn-block text-left collapsed" type="button" data-toggle="collapse"
					                    data-target="#directions-collapse-`+i+`" aria-expanded="false" aria-controls="directions-collapse-`+i+`">
					                    `+heading+`
					                    <i class="fa fa-angle-down" aria-hidden="true"></i>
					                </button>
					            </div>
					            <div id="directions-collapse-`+i+`" class="collapse" aria-labelledby="directions-heading-`+i+`" data-parent="#turnBy_accrordion">
					                <div class="card-body">
					                    `+body+`
					                </div>
					            </div>
					        </div>`;
					        html                += item;
					    });
					    html                    += `</div>`;
					    $('#directionsModal .modal-body').html(html);
					    $('a.directions').removeClass('d-none');
					}

					//
					var routeTypeArray          = [1,2];
					if(routeType==1){
					    routeTypeArray          = [0,2];
					}else if (routeType==2) {
					    routeTypeArray          = [0,1];
					}

					var firstRouteType          = routeTypeArray[0];
					var secondRouteType         = routeTypeArray[1];

					const baseUrl               = 'https://pcmiler.alk.com/APIs/REST/v1.0/service.svc/route/routeReports';

					const getParams             = [];
					getParams.push(`stops=${encodeURIComponent(stopArray.map((stop) => stop.toArray().join(',')).join(';'))}`);
					getParams.push('reports=Mileage');
					getParams.push('routeType='+firstRouteType);
					getParams.push('bordersOpen='+bordersOpen);
					getParams.push('hazmatType='+hazmatType);
					if (typeof myobj.truckDimensions !== "undefined") {
						getParams.push('truckDimensions='+truckDimensions);
						if(myobj.truckDimensions===16){
							if (typeof myobj.totalLength !== "undefined") {
								getParams.push('totalLength='+totalLength);
							}
							if (typeof myobj.maxWidth !== "undefined") {
								getParams.push('maxWidth='+maxWidth);
							}
							if (typeof myobj.maxHeight !== "undefined") {
								getParams.push('maxHeight='+maxHeight);
							}
						}
					}

					// Add the parameters as a query string to the URL
					fetch(`${baseUrl}?${getParams.join('&')}`, {
					   method: 'GET',
					   headers: {
                           
					       Authorization: "<?php echo e(getTrimbleApiKey()); ?>"
					   }
					})
					.then((response) => response.json())
					.then((data) => {
					    var name                = 'practical';
					    if(firstRouteType==1){
					        name                = 'shortest';
					    }else if (firstRouteType==2) {
					        name                = 'fastest';
					    }

					    var total_miles         = data[0].ReportLines[lastIndex].TMiles;
					    total_miles             = parseFloat(total_miles).toFixed(2);

					    var hours               = data[0].ReportLines[lastIndex].THours;
					    var tolls               = data[0].ReportLines[lastIndex].TTolls;
					    tolls                   = '$' + parseFloat(tolls).toFixed(2);
					    var cost                = data[0].ReportLines[lastIndex].TCostMile;
					    cost                    = '$' + parseFloat(cost).toFixed(2);

					    $('td.'+name+'-distance').text(Math.round(total_miles)+' mi');
					    $('td.'+name+'-driving-time').text(hours+' hrs');
					    $('td.'+name+'-tolls').text(tolls);
					    $('td.'+name+'-fuel').text('');
					    $('td.'+name+'-cost').text(cost);

					    var total_lines         = data[0].ReportLines.length;
					    var no                  = 1;
					    if(firstRouteType==1){
					        var no              = 0;
					    }else if (firstRouteType==2) {
					        var no              = 2;
					    }
					    $.each(data[0].ReportLines, function (i, obj) {
					        var ltolls          = obj.LTolls;
					        ltolls              = '$' + parseFloat(ltolls).toFixed(2);

					        var tr              = $('#append-toll-table').find('tr').eq(i);
					        tr.find('td').eq(no).text(ltolls);
					    });
					    var tr                  = $('#append-toll-table').find('tr').eq(total_lines);
					    tr.find('td').eq(no).text(tolls);
					});

					// Check if oldValue exists in arr
					if (getParams.indexOf('routeType='+firstRouteType) !== -1) {
					    // Replace oldValue with newValue
					    getParams[getParams.indexOf('routeType='+firstRouteType)] = 'routeType='+secondRouteType;

					    // Add the parameters as a query string to the URL
					    fetch(`${baseUrl}?${getParams.join('&')}`, {
					       method: 'GET',
					       headers: {
                               
                               Authorization: "<?php echo e(getTrimbleApiKey()); ?>"
					       }
					    })
					    .then((response) => response.json())
					    .then((data) => {
					        var name            = 'practical';
					        if(secondRouteType==1){
					            name            = 'shortest';
					        }else if (secondRouteType==2) {
					            name            = 'fastest';
					        }

					        var total_miles     = data[0].ReportLines[lastIndex].TMiles;
					        total_miles         = parseFloat(total_miles).toFixed(2);

					        var hours           = data[0].ReportLines[lastIndex].THours;
					        var tolls           = data[0].ReportLines[lastIndex].TTolls;
					        tolls               = '$' + parseFloat(tolls).toFixed(2);
					        var cost            = data[0].ReportLines[lastIndex].TCostMile;
					        cost                = '$' + parseFloat(cost).toFixed(2);

					        $('td.'+name+'-distance').text(Math.round(total_miles)+' mi');
					        $('td.'+name+'-driving-time').text(hours+' hrs');
					        $('td.'+name+'-tolls').text(tolls);
					        $('td.'+name+'-fuel').text('');
					        $('td.'+name+'-cost').text(cost);

					        var total_lines         = data[0].ReportLines.length;
					        var no                  = 1;
					        if(secondRouteType==1){
					            var no              = 0;
					        }else if (secondRouteType==2) {
					            var no              = 2;
					        }
					        $.each(data[0].ReportLines, function (i, obj) {
					            var ltolls          = obj.LTolls;
					            ltolls              = '$' + parseFloat(ltolls).toFixed(2);

					            var tr              = $('#append-toll-table').find('tr').eq(i);
					            tr.find('td').eq(no).text(ltolls);
					        });
					        var tr                  = $('#append-toll-table').find('tr').eq(total_lines);
					        tr.find('td').eq(no).text(tolls);
					    });
					}
				});
			}else{
				$('#map').html('');

				$('h5.empty-miles').text('');
				$('h5.total-miles').text('');
				$('h5.loaded-miles').text('');

				$('#append-toll-table').html('');

				$('a.directions').addClass('d-none');
				$('#directionsModal .modal-body').html('');

				$.each([ 'practical', 'shortest', 'fastest' ], function( index, name ) {
					$('td.'+name+'-distance').text('');
					$('td.'+name+'-driving-time').text('');
					$('td.'+name+'-tolls').text('');
					$('td.'+name+'-fuel').text('');
					$('td.'+name+'-cost').text('');
				});
			}
		}
	</script>
	<script type="text/javascript">
        function trimbleAutocomplete(){
            if(typeof trimbleMapsAPIKey != 'undefined' && trimbleMapsAPIKey != '') {
                $('.trimble-autocomplete').autocomplete({
                    source: function(request, response) {
                        $.ajax({
                            url: 'https://singlesearch.alk.com/NA/api/search',
                            data: {
                                query: request.term,
                                authToken: trimbleMapsAPIKey,
                                includeTrimblePlaceIds: true
                            },
                            beforeSend: function() {
                                // Add loading class to the input during the search
                                $(this).addClass("ui-autocomplete-loading");
                            },
                            success: function(data) {
                                var addresses = [];

                                if(data.Locations.length > 0){
                                    $.each(data['Locations'], function(key, item) {
                                        if(item.Address['City'] != '' && item.Address['State'] != '' && item.Address['Zip'] != ''){
                                            var location = '';
                                            if(item.Address['LocalArea'] != ''){
                                                location += item.Address['StreetAddress'] + ' ' + item.Address['LocalArea'] + ' ' + item.Address['City'] + ' ' + item.Address['State'] + ' ' + item.Address['Zip'];
                                            }else{
                                                location += item.Address['StreetAddress'] + ' ' + item.Address['City'] + ' ' + item.Address['State'] + ' ' + item.Address['Zip'];
                                            }
                                            addresses.push({
                                                label: location,  // Displayed in the dropdown
                                                value: location,  // Value when the item is selected
                                                address1: item.Address['StreetAddress'] || '',
                                                address2: item.Address['LocalArea'] || '',
                                                city: item.Address['City'] || '',
                                                state: item.Address['State'] || '',
                                                zip: item.Address['Zip'] || '',
                                                latitude: item.Coords['Lat'] || '',
                                                longitude: item.Coords['Lon'] || '',
                                                trimblePlaceId: item['TrimblePlaceId'] || '',
                                            });
                                        }
                                    });
                                }
                                response(addresses);
                            },
                            complete: function() {
                                // Remove loading class after the response is received
                                $(this).removeClass("ui-autocomplete-loading");
                            },
                            error: function(err) {
                                console.error("Autocomplete error:", err);
                            }
                        });
                    },
                    select: function(event, ui) {
                        // Set the input value
                        $(this).closest('.geocoding').find('.geocoding-address-1').val(ui.item.address1);
                        $(this).closest('.geocoding').find('.geocoding-address-2').val(ui.item.address2);
                        $(this).closest('.geocoding').find('.geocoding-city').val(ui.item.city);
                        $(this).closest('.geocoding').find('.geocoding-state').val(ui.item.state);
                        $(this).closest('.geocoding').find('.geocoding-zip').val((ui.item.zip).slice(0, 5));
                        $(this).closest('.geocoding').find('.geocoding-latitude').val(ui.item.latitude);
                        $(this).closest('.geocoding').find('.geocoding-longitude').val(ui.item.longitude);
                        $(this).closest('.geocoding').find('.geocoding-trimble-place-id').val(ui.item.trimblePlaceId);

                        if(ui.item.trimblePlaceId != ''){
                            $('#geofence-tab .geofence-updated-at').val(moment().format('MM/DD/YYYY'));
                            $('#geofence-tab .geofence-updated-at-text').text(moment().format('MM/DD/YYYY'));
                        }

                        $(this).closest('.geocoding').find('.geocoding-btn').click();
                        $(this).trigger("focusout");

                        // Prevent the default behavior of Autocomplete
                        return false;
                    }
                });
            }
        }
	</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make($companyAdminTheme, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp8.6\htdocs\dispatchpro\resources\views/companyAdmin/dispatchHub/offer/create.blade.php ENDPATH**/ ?>