// Using mysql
import mysql from 'mysql2/promise';

async function dbConnect() {
    const connection = await mysql.createConnection({
        host: process.env.DB_HOST,    // MySQL server host
        user: process.env.DB_USERNAME, // MySQL username
        password: process.env.DB_PASSWORD, // MySQL password
        database: process.env.DB_DATABASE,  // MySQL database name
        port: process.env.DB_PORT,  // MySQL port (default is 3306)
    });
    console.log('Connected to the database');
    return connection;
}

export default dbConnect;
