import { twilioConfig } from '../config/index.js';
import twilio from 'twilio';

async function createToken(username, serviceSid) {
    const AccessToken = twilio.jwt.AccessToken;
    const ChatGrant = AccessToken.ChatGrant;

    const token = new AccessToken(
        twilioConfig.accountSid,
        twilioConfig.apiKey,
        twilioConfig.apiSecret,
        { identity: username,ttl:3600*24 },

    );

    const chatGrant = new ChatGrant({
        serviceSid: serviceSid,
        pushCredentialSid:twilioConfig.pushCredentialSid
    });

    token.addGrant(chatGrant);

    return token.toJwt();
}

export { createToken };