@extends($companyAdminTheme)

@section('title')
    @if(isset($broker))
        Edit Customer
    @else
        Create Customer
    @endif
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/bootstrap-datetimepicker.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
        .avatar-upload {
            position: relative;
            max-width: 230px;
            margin: 0px auto;
        }
        .avatar-upload .avatar-edit {
            position: absolute;
            right: 18px;
            z-index: 1;
            bottom: 10px;
        }
        .avatar-upload .avatar-edit input {
            display: none;
        }
        .avatar-upload .avatar-edit input + label {
            display: inline-block;
            width: 34px;
            height: 34px;
            margin-bottom: 0;
            border-radius: 100%;
            background: #FFFFFF;
            border: 1px solid transparent;
            box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.12);
            cursor: pointer;
            font-weight: normal;
            transition: all 0.2s ease-in-out;
        }
        .avatar-upload .avatar-edit input + label:hover {
            background: #f1f1f1;
            border-color: #d6d6d6;
        }
        .avatar-upload .avatar-edit input + label:after {
            content: "\f030";
            font-family: 'FontAwesome';
            color: #305F9C;
            position: absolute;
            top: 6px;
            left: 0;
            right: 0;
            text-align: center;
            margin: auto;
            font-size: 16px;
        }
        .avatar-upload .avatar-preview {
            width: 230px;
            height: 230px;
            position: relative;
            border-radius: 100%;
            border: 6px solid #F8F8F8;
            box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.1);
        }
        .avatar-upload .avatar-preview > div {
            width: 100%;
            height: 100%;
            border-radius: 100%;
            background-size: cover;
            background-repeat: no-repeat;
            background-position: center;
        }

        .gi-custom-grid {
            max-width: 20%;
        }
        .bi-custom-grid {
            max-width: 20%;
        }
        .bi-billto-custom-grid {
            max-width: 40%;
        }
        .preViewDiv {
            pointer-events: none;
            background-color: #e9ecef;
        }

        ::-webkit-scrollbar-thumb {
            background: #305F9C;
            border-radius: 10px;
        }

        .upload-element {
            display: flex;
            align-items: center;
            flex-direction: column;
        }
        .upload-element i.fa-picture-o {
            padding-top: 15px;
            margin: 2px 10px;
            cursor: pointer;
            font-size: 26px;
            color: #00000082;
        }
        .upload-element i.fa-picture-o.uploaded {
            padding-top: 15px;
            margin: 2px 10px;
            cursor: pointer;
            font-size: 26px;
            color: #305F9C;
        }
        .upload-element .upload-input {
            display: none;
        }
        .upload-element label{
            font-size: 12px !important;
        }
        .verify-link{
            text-decoration: underline;
            font: normal normal 600 14px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .fa-plus-square:hover {
            opacity: 0.5;
        }
        .fa-minus-square {
            color: #dc3545 !important;
        }

        .form-group img {
            position: inherit;
            right: inherit;
            bottom: inherit;
        }
        .form-group .section-heading {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #616376;
        }
        .form-group .input-group img {
            width: 15px;
            position: absolute;
            right: 10px;
            bottom: 12px;
        }
        input::placeholder {
            /* font-weight: 200; */
            color: #616376 !important;
        }
        textarea::placeholder {
            /* font-weight: 200; */
            color: #616376 !important;
        }
        .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            /* font-weight: 500; */
        }
        .input-group>.custom-select:not(:last-child),
        .input-group>.form-control:not(:last-child) {
            border-top-right-radius: 10px 10px;
            border-bottom-right-radius: 10px 10px;
        }
        .pre-append input[type=number].form-control {
            border-radius: 0px 10px 10px 0px !important;
        }
        .post-append input[type=number].form-control {
            border-radius: 10px 0px 0px 10px !important;
        }
        .input-group .input-group-prepend {
            background: transparent;
            border-radius: 10px 0px 0px 10px;
            color: #342828;
            font-family: 'Inter', sans-serif;
        }
        .input-group .input-group-prepend .input-group-text {
            color: #616376;
            font-size: 16px;
            font-weight: 600;
            border: 1px solid #D8D8DD;
            background: #fff;
            font-family: 'Inter', sans-serif;
            min-width: 55px;
            justify-content: center;
        }
        .input-group .input-group-append {
            background: transparent;
            border-radius: 10px 0px 0px 10px;
            color: #342828;
            font-family: 'Inter', sans-serif;
        }
        .input-group .input-group-append .input-group-text {
            color: #616376;
            font-size: 16px;
            font-weight: 600;
            border: 1px solid #D8D8DD;
            background: #fff;
            font-family: 'Inter', sans-serif;
            min-width: 55px;
            justify-content: center;
        }
        .ngd-new .table tbody tr:first-child td {
            border: 0 !important;
        }

        .broker-create .breadcrumb li {
            text-decoration: none !important;
        }
        .broker-create .breadcrumb li a {
            color: #305F9C !important;
        }

        .broker-create .breadcrumb li {
            text-decoration: none !important;
        }
        .broker-create .breadcrumb li a {
            color: #305F9C !important;
        }

        .broker-create .tabList {
            border: 0;
            padding: 0px 0px 0px;
        }
        .broker-create .tabList a {
            font: normal normal bold 14px Inter, Sans-Serif;
            color: #305F9C;
            padding: 1rem 1rem;
            position: relative;
            height: 45px;
        }
        .broker-create .tabList a.active {
            font: normal normal bold 14px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FFFFFF !important;
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
        }
        .broker-create .tabList a.active::before {
            content: '';
            background-color: inherit;
            height: 2px;
            width: 100%;
            position: absolute;
            left: 0;
            top: inherit;
            bottom: 0;
        }
        .broker-create .tabList .nav-link.disabled {
            font: normal normal bold 14px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .broker-create .tabList .nav-item {
            margin-right: 3px;
            border: 1px solid #305F9C;
            border-radius: 10px 10px 0px 0px;
            border-bottom: 1px solid #D8D8D9;
        }

        .broker-create .tab-content {
            background: #FFFFFF 0% 0% no-repeat padding-box;
            border: 1px solid #D8D8D9;
            border-radius: 0px 10px 10px 10px;
        }
        .broker-create .tab-content ul li {
            padding: 0px 0px;
        }
        .broker-create .list-inline-item .btn-blue {
            background: #305F9C 0% 0% no-repeat padding-box;
            border: 1px solid #305F9C;
            border-radius: 10px !important;
            color: #F1F3F6;
            min-width: 110px;
        }
        .broker-create .list-inline-item .btn-blue:hover {
            border: 1px solid #305F9C;
            background-color: #F1F3F6;
            color: #305F9C;
        }
        .broker-create .btn-blueBr {
            font-size: 14px;
            font-weight: bold;
            height: auto;
            line-height: 18px;
            text-align: center;
            padding: 12.5px 0.75rem;
            transition: all 0.3s linear;
            border-radius: 10px !important;
            min-width: 110px;
        }
        .broker-create .btn-save {
            min-width: 121px
        }
        .broker-create hr {
            border-color: #D8D8D9 !important;
        }

        /* Select 2 Single */
        .select2-container {
            width: 100% !important;
        }
        .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px !important;
            width: 35px !important;
        }
        .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px !important;
            /*font-weight: 600;*/
            /*color: #000000e6 !important;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            /* font-weight: 500; */
        }
        /* Select 2 Single */

        /* Select 2 Multiple */
        .select2-container .select2-selection--multiple {
            height: auto !important;
            min-height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .select2-container--default .select2-selection--multiple {
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--multiple .select2-selection__rendered {
            line-height: 18px !important;
        }
        .select2-container--default .select2-selection--multiple .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        .select2-container .select2-selection--multiple .select2-selection__rendered {
            font-weight: 400;
            color: #616376 !important;
        }
        .select2-container--default .select2-selection--multiple .select2-selection__rendered li {
            padding: 5px 5px;
        }
        .multiple-select .select2-results__option {
            padding-right: 20px;
            vertical-align: middle;
        }
        .multiple-select .select2-results__option:before {
            content: "";
            display: inline-block;
            position: relative;
            height: 16px;
            width: 16px;
            border: 2px solid #305F9C;
            border-radius: 4px;
            background-color: #fff;
            margin-right: 8px;
            vertical-align: middle;
        }
        .multiple-select .select2-results__option[aria-selected=true]:before {
            font-family: fontAwesome;
            content: "\f00c";
            color: #fff;
            background-color: #305F9C;
            border: 0;
            display: inline-block;
            padding-left: 2px;
        }
        .multiple-select .select2-container--default .select2-results__option[aria-selected=true] {
            background-color: #fff;
        }
        .multiple-select .select2-container--default .select2-results__option--highlighted[aria-selected] {
            color: #616376;
        }
        .multiple-select .select2-container--default .select2-selection--multiple {
            margin-bottom: 10px;
        }
        .multiple-select .select2-container--default.select2-container--open.select2-container--below .select2-selection--multiple {
            border-radius: 4px;
        }
        .multiple-select .select2-container--default.select2-container--focus .select2-selection--multiple {
            border-color: #f77750;
            border-width: 2px;
        }
        .multiple-select .select2-container--default .select2-selection--multiple {
            border-width: 2px;
        }
        .multiple-select .select2-container--open .select2-dropdown--below {
            border-radius: 6px;
            box-shadow: 0 0 10px rgba(0,0,0,0.5);
        }
        .multiple-select .select2-selection .select2-selection--multiple:after {
            content: 'hhghgh';
        }
        .multiple-select .select-icon .select2-selection__placeholder .badge {
            display: none;
        }
        .multiple-select .select-icon .placeholder {
            display: none;
        }
        .multiple-select .select-icon .select2-results__option:before,
        .multiple-select .select-icon .select2-results__option[aria-selected=true]:before {
            display: none !important;
        }
        .multiple-select .select-icon  .select2-search--dropdown {
            display: none;
        }
        .multiple-select ul li {
            padding: 5px 8px !important;
        }
        .select2-selection--multiple {
            overflow: hidden !important;
            height: auto !important;
        }
        .select2-container .select2-selection--multiple {
            width: 100%;
            display: table;
        }
        .select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
            color: #fff !important;
        }
        .select2-container--default .select2-selection--multiple .select2-selection__choice {
            background-color: #305F9C !important;
            border: 1px solid #305F9C !important;
            color: #fff;
        }
        .select2-container--default .select2-search--inline .select2-search__field {
            max-width: 373px !important;
        }
        /* Select 2 Multiple */

        .broker-create .form-group label {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            color: #616376 !important;
        }
        .broker-create .form-group .custom-top-label {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C !important;
        }
        .broker-create .form-group .removeMore{
            color: red !important;
        }
        .broker-create .form-group .fa-info-circle {
            font-size: 16px;
        }
        .broker-create #tabGeneralInfo input[type=text].form-control,
        .broker-create #tabBillingInsurance input[type=text].form-control,
        .broker-create #tabContacts input[type=text].form-control,
        .broker-create #tabNotificationCenter input[type=text].form-control {
            /*font-size: 14px;*/
            /*font-weight: bolder;*/
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        .broker-create input[type=text]::placeholder {
            color: #616376 !important;
            /* font-weight: 600 !important; */
            opacity: 0.5 !important;
        }
        .broker-create input[type=number].form-control {
            /*font-size: 14px;*/
            /*font-weight: bolder;*/
            border: 1px solid #D8D8DD;
            border-radius: 0px 10px 10px 0px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        .broker-create input[type=number]::placeholder {
            color: #616376 !important;
            /* font-weight: 600 !important; */
            opacity: 0.5 !important;
        }
        .broker-create textarea::placeholder {
            /* font-weight: 600 !important; */
            color: #616376 !important;
            opacity: 0.5 !important;
        }
        .broker-create select.form-control {
            /*font-size: 14px;*/
            border: 1px solid #C5CEE0;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding-left: 12px;
            /*font-weight: 400;*/
            /*color: #616376;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }

        .broker-create .general-info-checklist-box {
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            padding: 15px 17px;
        }
        .broker-create .general-info-checklist-box .custom-control .custom-control-label {
            font: normal normal 500 14px/17px 'Inter', sans-serif;
            color: #616376 !important;
        }
        .broker-create .custom-control.custom-checkbox-blue {
            padding-left: 22px;
        }
        .broker-create .custom-checkbox-blue .custom-control-label::before {
            left: -22px;
        }
        .broker-create ul.required-documents-check li .custom-checkbox-blue .custom-control-input:checked~.custom-control-label::after {
            left: -19px;
            top: 0;
        }
        .broker-create .tab-content .thresholdsbox-content input.form-control {
            max-width: 61px;
            text-align: center;
            margin: auto;
            font: normal normal 500 16px/20px 'Inter', sans-serif !important;
            /*color: #0C0B0B;*/
            padding: 0;
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        .broker-create .position-group img {
            width: 15px;
        }
        .broker-create .position-group img {
            bottom: auto;
            top: 50%;
            transform: translateY(-50%);
        }
        .broker-create .thresholdsbox-content label {
            font: normal normal 600 10px/12px 'Inter', sans-serif !important;
            color: #616376;
        }

        @media (max-width:1599px) {
            .broker-create .tab-content .thresholdsbox-content input.form-control {
                max-width: 48px;
            }
        }
        @media (max-width:1399px) {
            .broker-create .tab-content .thresholdsbox-content input.form-control {
                font-size: 14px !important;
            }
            .broker-create .tab-content .thresholdsbox-content input.form-control {
                max-width: 45px;
            }
        }
        @media (max-width:1199px) {
            .broker-create .tab-content .thresholdsbox-content input.form-control {
                max-width: 50px;
            }
        }

        #tabGeneralInfo .hours-of-operation-box input[type=text] {
            text-align: center;
        }

        #tabBillingInsurance .form-group .required-documents-check .custom-control-label {
            font: normal normal 500 14px/17px 'Inter', sans-serif;
            color: #305F9C !important;
        }

        #tabLanesRates .inner-tabs {
            padding: 10px 15px 0 25px;
        }
        #tabLanesRates .inner-tabs .nav-link {
            border: none;
            border-bottom: 1px solid #305F9C;
            font: normal normal 600 18px/21px 'Inter', sans-serif;
            color: #7B838C;
            background-color: white;

        }
        #tabLanesRates .inner-tabs .nav-link.active {
            border-bottom: 5px solid #305F9C;
            color: #305F9C;
        }
        #tabLanesRates .general-info-checklist-box {
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            padding: 10px 17px;
        }

        #tabDepartments .form-control {
            font: normal normal normal 14px/17px 'Inter', sans-serif !important;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            padding: 13px 14px;
        }

        #tabDepartments .form-control:focus {
            background-color: #F1F3F6;
        }

        #tabDepartments .form-control::placeholder {
            font: normal normal normal 14px/17px 'Inter', sans-serif;
            color: #616376;
        }

        #required-document-profile-modal .select2-container {
            width: 100% !important;
        }
        #required-document-profile-modal .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        #required-document-profile-modal .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        #required-document-profile-modal .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        #required-document-profile-modal .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        #required-document-profile-modal .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            /*font-weight: 600;*/
            /*color: #000000e6 !important;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        #required-document-profile-modal .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            /* font-weight: 500; */
        }
        #required-document-profile-form .btn-blueBr:not(.preViewCancel,.prev-step),
        #additional-required-document-form .btn-blueBr {
            font-size: 14px;
            font-weight: bold;
            height: 34px;
            line-height: 18px;
            text-align: center;
            padding: 0px;
            transition: all 0.3s linear;
            border-radius: 10px !important;
            min-width: 110px;
        }
        #required-document-profile-form .btn-blue:not(.preViewImport,.next-step),
        #additional-required-document-form .btn-blue {
            font-size: 14px;
            font-weight: bold;
            height: 34px;
            line-height: 18px;
            text-align: center;
            padding: 0px;
            transition: all 0.3s linear;
            border-radius: 10px !important;
            min-width: 110px;
        }
        #required-document-profile-form .preViewImport {
            font-size: 14px;
            font-weight: bold;
            height: auto;
            line-height: 18px;
            text-align: center;
            padding: 12.5px 0.75rem;
            transition: all 0.3s linear;
            border-radius: 10px !important;
            min-width: 110px;
        }

        #tabContacts .col-1 {
            max-width: 6%;
        }
        #tabContacts .col-2 {
            max-width: 12%;
        }
        #tabContacts .col-3 {
            max-width: 24%;
        }
        #tabContacts .col-4 {
            max-width: 48%;
        }

        #tabCustomerNotes thead th:first-of-type, #notification-center-table tbody td:first-of-type {
            width: 380px;
        }
        #tabCustomerNotes .form-control {
            font: normal normal normal 14px/17px 'Inter', sans-serif !important;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            padding: 10px 10px;
        }
        #tabCustomerNotes thead th:last-of-type, #notification-center-table tbody td:last-of-type {
            width: 65px;
        }

        #tabInternalNotes thead th:first-of-type, #notification-center-table tbody td:first-of-type {
            width: 380px;
        }
        #tabInternalNotes .form-control {
            font: normal normal normal 14px/17px 'Inter', sans-serif !important;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            padding: 10px 10px;
        }
        #tabInternalNotes thead th:last-of-type, #notification-center-table tbody td:last-of-type {
            width: 65px;
        }

        #tabCustomerFiles .form-control{
            font: normal normal normal 14px/17px 'Inter', sans-serif !important;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            padding: 13px 14px;
        }
        #tabCustomerFiles .position-group img {
            bottom: auto;
            top: 50%;
            transform: translateY(-50%);
            width: 15px;
        }
        #tabCustomerFiles .form-group img {
            position: absolute;
            right: 10px;
        }
        #tabCustomerFiles .table.tbody-small tbody td:nth-child(7) {
            padding: 0px 0px 6px 0 !important;
        }
        #tabCustomerFiles .table-responsive {
            overflow-x: visible;
        }
        #tabCustomerFiles .select2-container--default .select2-selection--multiple .select2-selection__rendered {
            width: 250px !important;
        }

        #tabGeofence .fill-inactive-url {
            pointer-events: none;
            opacity: 0.5;
        }

        .contact-file-upload input {
            display: none;
        }
        .contact-file-upload input + label {
            display: inline-block;
            width: 30px;
            height: 30px;
            cursor: pointer;
            font-weight: normal;
            transition: all 0.2s ease-in-out;
        }
        .contact-file-upload input + label:after {
            content: "\f03e";
            font-family: 'FontAwesome';
            position: absolute;
            color: #00000082;
            top: 6px;
            left: 0;
            right: 0;
            text-align: center;
            margin: auto;
            font-size: 26px;
        }
        .contact-file-upload .uploaded:after {
            color: #305F9C;
        }

        .customer-logo-file-upload input {
            display: none;
        }
        .customer-logo-file-upload input + label {
            display: inline-block;
            width: 30px;
            height: 30px;
            cursor: pointer;
            font-weight: normal;
            transition: all 0.2s ease-in-out;
        }
        .customer-logo-file-upload input + label:after {
            content: "\f03e";
            font-family: 'FontAwesome';
            position: absolute;
            color: #00000082;
            top: 10px;
            left: 0;
            right: 0;
            text-align: center;
            margin: auto;
            font-size: 26px;
        }
        .customer-logo-file-upload .uploaded:after {
            color: #305F9C;
        }
    </style>
    <style type="text/css">
        #select2-status-results .select2-results__option[aria-selected=true] {
            background-color: unset !important;
        }
        #select2-status-results .select2-results__option--highlighted[aria-selected] {
            background-color: #305f9c1c !important;
        }
        .select2 .select2-selection--multiple .select2-search--inline .select2-search__field {
            margin-top: 8px;
        }
        #select2-payment-method-results .select2-results__option--highlighted[aria-selected] .img-icon {
            filter: brightness(0) saturate(100%) invert(100%) sepia(10%) saturate(7459%) hue-rotate(286deg) brightness(118%) contrast(108%);
        }
        #select2-terms-results li:nth-of-type(6){
            border-bottom: 1px solid #D8D8DD;
        }
    </style>
@endsection

@php $dummy_id = time(); @endphp

@section('content')
    <div class="row broker-create">
        <div class="col-12">
            <nav aria-label="breadcrumb mb-3">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="javascript:void(0);">Customer</a></li>
                    <li class="breadcrumb-item"><a href="{{ route('company.admin.brokers.index') }}">Customers</a></li>
                    <li class="breadcrumb-item">
                        <a href="javascript:void(0);">@if(isset($broker)) Edit @else Add @endif Customer</a>
                    </li>
                </ol>
            </nav>
            <ul class="nav nav-tabs flex-nowrap tabList" role="tablist">
                <li role="presentation" class="nav-item">
                    <a href="#tabGeneralInfo" class="nav-link active" data-toggle="tab" aria-controls="tabGeneralInfo" role="tab"> General Info </a>
                </li>
                <li role="presentation" class="nav-item">
                    <a href="#tabBillingInsurance" class="nav-link @if(!isset($broker)) disabled @endif" data-toggle="tab" aria-controls="tabBillingInsurance" role="tab"> Billing & Insurance </a>
                </li>
                <li role="presentation" class="nav-item">
                    <a href="#tabLanesRates" class="nav-link @if(!isset($broker)) disabled @endif" data-toggle="tab" aria-controls="tabLanesRates" role="tab"> Lanes & Rates </a>
                </li>
                <li role="presentation" class="nav-item">
                    <a href="#tabRequiredDocuments" class="nav-link @if(!isset($broker)) disabled @endif" data-toggle="tab" aria-controls="tabRequiredDocuments" role="tab"> Required Documents </a>
                </li>
                <li role="presentation" class="nav-item">
                    <a href="#tabDepartments" class="nav-link @if(!isset($broker)) disabled @endif" data-toggle="tab" aria-controls="tabDepartments" role="tab"> Departments </a>
                </li>
                <li role="presentation" class="nav-item">
                    <a href="#tabContacts" class="nav-link @if(!isset($broker)) disabled @endif" data-toggle="tab" aria-controls="tabContacts" role="tab"> Contacts </a>
                </li>
                <li role="presentation" class="nav-item">
                    <a href="#tabNotificationCenter" class="nav-link @if(!isset($broker)) disabled @endif tabNotificationCenter" data-toggle="tab" aria-controls="tabNotificationCenter" role="tab"> Notification Center </a>
                </li>
                <li role="presentation" class="nav-item">
                    <a href="#tabCustomerNotes" class="nav-link @if(!isset($broker)) disabled @endif" data-toggle="tab" aria-controls="tabCustomerNotes" role="tab"> Customer Notes </a>
                </li>
                <li role="presentation" class="nav-item">
                    <a href="#tabCustomerFiles" class="nav-link @if(!isset($broker)) disabled @endif" data-toggle="tab" aria-controls="tabCustomerFiles" role="tab"> Customer Files</a>
                </li>
                <li role="presentation" class="nav-item">
                    <a href="#tabInternalNotes" class="nav-link @if(!isset($broker)) disabled @endif" data-toggle="tab" aria-controls="tabInternalNotes" role="tab"> Internal Notes</a>
                </li>
                <li role="presentation" class="nav-item">
                    <a href="#tabGeofence" class="nav-link @if(!isset($broker)) disabled @endif" data-toggle="tab" aria-controls="tabGeofence" role="tab"> Geofence </a>
                </li>
            </ul>
            <div class="tab-content">
                <div class="tab-pane active" role="tabpanel" id="tabGeneralInfo">
                    {!! Form::open(['files' => 'true', 'autocomplete'  => 'off', 'name' => 'general-info-tab', 'id' => 'general-info-tab']) !!}
                        <input type="hidden" class="broker-id" name="broker_id" value="{{ $broker->id ?? ''}}">
                        <input type="hidden" name="dummy_id" value="{{ $dummy_id }}">
                        <div class="row px-3 py-2 pt-3">
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="customer-id">Customer ID</label>
                                    {!! Form::text('customer_unique_id', $broker->customer_unique_id ?? null, array('class' => 'form-control customer-unique-id', 'id' => 'customer-unique-id', 'placeholder' => getCompIdentifier().'Auto Generated', 'readonly' => 'readonly')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <div class="d-flex align-items-center">
                                        <div class="mr-auto">
                                            <label for="usdot">USDOT</label>
                                        </div>
                                        <div class="d-flex">
                                            <a href="javascript:void(0);" class="custom-top-label">Autofill</a>
                                        </div>
                                    </div>
                                    {!! Form::text('usdot', $broker->usdot ?? null, array('class' => 'form-control', 'id' => 'usdot', 'placeholder' => 'Enter USDOT')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="row">
                                    <div class="col-8 pr-0">
                                        <div class="form-group">
                                            <label for="active-status">Status</label>
                                            <select id="status" name="status" class="form-control select2Status">
                                                <option value="">Select Status</option>
                                                @foreach (brokerStatus() as $status => $data)
                                                    <option value="{{ $status }}" data-color="{{ $data['color'] }}" {{ ((empty($broker->status) && $status == '1') || (!empty($broker->status) && $broker->status == $status)) ? 'selected' : '' }}>{{ $data['text'] }}</option>
                                                @endforeach
                                            </select>
                                            {{-- {!! Form::select('status', ['' => 'Select Status'] + brokerStatus(), $broker->status ?? '1', ['class' => 'form-control select2', 'id' => 'status', 'data-no-search' => 'true']) !!} --}}
                                        </div>
                                    </div>
                                    <div class="col-4 pr-0">
                                        <div class="form-group upload-element">
                                            <i class="fa fa-picture-o gallary-edit @isset($broker->id) {{checkeGalleryFileUpload($broker->id, 'customer_gi_file')}} @endisset customerGenInfoFile" aria-hidden="true" data-id="{{$broker->id ?? $dummy_id}}" data-source="brokers" data-field="customer_gi_file" data-toggle="modal" data-target="#galleryModal" title="File"></i>
                                            <label>Upload Images</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="row">
                                    <div class="col-4 pr-0">
                                        <div class="customer-logo-file-upload">
                                            <input type="file" name="customer_logo" id="customer-logo" accept=".png, .jpg, .jpeg" />
                                            <label for="customer-logo" title="Update Customer Logo" class="{{ (isset($broker->customer_logo)) ? 'uploaded' : '' }}"></label>
                                        </div>
                                        <label style="font: normal normal 600 12px/15px Inter, Sans-Serif; color: #616376 !important;">Customer Logo</label>
                                    </div>
                                    <div class="col-8 pr-0"></div>
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid"></div>

                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="customer-type">Customer Type</label>
                                    {!! Form::select('customer_type', ['' => 'Select Customer Type'] + brokerType(), $broker->customer_type ?? null, ['class' => 'form-control select2', 'id' => 'customer-type']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="customer-name">Customer Name <span>*</span></label>
                                    {!! Form::text('name', $broker->name ?? null, array('class' => 'form-control', 'id' => 'customer-name', 'placeholder' => 'Enter Customer Name', 'required' => 'required')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="customer-dba">DBA</label>
                                    {!! Form::text('customer_dba', $broker->customer_dba ?? null, array('class' => 'form-control', 'id' => 'customer-dba', 'placeholder' => 'Enter DBA')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="federal-id">Federal ID</label>
                                    {!! Form::text('federal_id', $broker->federal_id ?? null, array('class' => 'form-control', 'id' => 'federal-id', 'placeholder' => 'Enter Federal ID')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="mc-number">MC/MX/FF# <span>*</span></label>
                                    {!! Form::text('mc_number', $broker->mc_number ?? null, array('class' => 'form-control', 'id' => 'mc-number', 'placeholder' => 'Enter #', 'required' => 'required')) !!}
                                </div>
                            </div>

                            <div class="geocoding col-md-12 d-flex p-0">
                                <input type="hidden" class="geocoding-latitude" name="latitude" value="{{ isset($broker->latitude)?$broker->latitude:'' }}" autocomplete="off">
                                <input type="hidden" class="geocoding-longitude" name="longitude" value="{{ isset($broker->longitude)?$broker->longitude:'' }}" autocomplete="off">
                                <input type="hidden" class="geocoding-abbr" name="timezone_abbr" value="{{ isset($broker->timezone_abbr)?$broker->timezone_abbr:'' }}" autocomplete="off" data-parsley-errors-container="#timezone_abbr-errors" data-parsley-required-message="Please verify address" required>
                                <input type="hidden" class="geocoding-verified" name="address_verified" value="{{ isset($broker->address_verified)?$broker->address_verified:'0' }}" autocomplete="off">
                                <input type="hidden" class="geocoding-trimble-place-id" name="geofence_trimble_place_id" value="{{ $broker->geofence_trimble_place_id ?? '' }}" autocomplete="off">
                                <div class="col-md-3 gi-custom-grid">
                                    <div class="form-group">
                                        <label for="address">Address <span>*</span></label>
                                        {!! Form::text('address', $broker->address ?? null, array('class' => 'form-control geocoding-address-1 trimble-autocomplete', 'id' => 'address', 'placeholder' => 'Enter Address', 'required' => 'required')) !!}
                                    </div>
                                </div>
                                <div class="col-md-3 gi-custom-grid">
                                    <div class="form-group">
                                        <label for="address-2">Address 2</label>
                                        {!! Form::text('address_2', $broker->address_2 ?? null, array('class' => 'form-control geocoding-address-2', 'id' => 'address-2', 'placeholder' => 'Enter Address 2')) !!}
                                    </div>
                                </div>
                                <div class="col-md-3 gi-custom-grid">
                                    <div class="form-group">
                                        <label for="city">City </label>
                                        {!! Form::text('city', $broker->city ?? null, array('class' => 'form-control geocoding-city', 'id' => 'city', 'placeholder' => 'Enter City')) !!}
                                    </div>
                                </div>
                                <div class="col-md-3 gi-custom-grid">
                                    <div class="form-group">
                                        <label for="state">State <span>*</span></label>
                                        {!! Form::text('state', $broker->state ?? null, array('class' => 'form-control geocoding-state', 'id' => 'state', 'placeholder' => 'Enter State', 'required' => 'required')) !!}
                                    </div>
                                </div>
                                <div class="col-md-3 gi-custom-grid">
                                    <div class="form-group">
                                        <label for="zip">Zip <span>*</span></label>
                                        <div class="d-flex align-items-center">
                                            <div>
                                                {!! Form::text('zip', $broker->zip ?? null, array('class' => 'form-control geocoding-zip', 'id' => 'zip', 'placeholder' => 'Enter Zip', 'required' => 'required')) !!}
                                            </div>
                                            <div class="pl-3">
                                                @if(isset($broker->address_verified) && $broker->address_verified=='1')
                                                    <a href="javascript:void(0);" class="verify-link geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verified</a>
                                                @else
                                                    <a href="javascript:void(0);" class="verify-link geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify</a>
                                                @endif

                                                <div id="timezone_abbr-errors"></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="phone-number">Phone</label>
                                    {!! Form::text('phone_number', $broker->phone_number ?? null, array('class' => 'form-control phone', 'id' => 'phone-number', 'placeholder' => 'Enter Phone')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="phone-ext">Phone Extension</label>
                                    {!! Form::text('ext', $broker->ext ?? null, array('class' => 'form-control', 'id' => 'phone-ext', 'placeholder' => 'Enter Phone Extension')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="fax">Fax</label>
                                    {!! Form::text('fax', $broker->fax ?? null, array('class' => 'form-control', 'id' => 'fax', 'placeholder' => 'Enter Fax')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="email">Email</label>
                                    {!! Form::text('email', $broker->email ?? null, array('class' => 'form-control', 'id' => 'email', 'placeholder' => 'Enter Email', 'data-parsley-type' => 'email')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="afterhours">Afterhours</label>
                                    {!! Form::text('afterhours', $broker->afterhours ?? null, array('class' => 'form-control', 'id' => 'afterhours', 'placeholder' => 'Enter Afterhours')) !!}
                                </div>
                            </div>

                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="office-type">Office Type</label>
                                    {!! Form::select('office_type', ['' => 'Select Office Type'] + brokerOfficeType(), $broker->office_type ?? null, ['class' => 'form-control select2', 'id' => 'office-type']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="parent-company">Parent Company</label>
                                    @if(isset($broker) && $broker->office_type == '2')
                                        {!! Form::select('parent_company', ['' => 'Select Parent Company'] + $parentCompany, $broker->parent_company ?? null, ['class' => 'form-control select2', 'id' => 'parent-company']) !!}
                                    @else
                                        {!! Form::select('parent_company', ['' => 'Select Parent Company'] + $parentCompany, null, ['class' => 'form-control select2 fil-disabled', 'id' => 'parent-company']) !!}
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="scac-code">SCAC code</label>
                                    {!! Form::text('scac', $broker->scac ?? null, array('class' => 'form-control', 'id' => 'scac-code', 'placeholder' => 'Enter SCAC code')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="duns-number">DUNS Number</label>
                                    {!! Form::text('duns_number', $broker->duns_number ?? null, array('class' => 'form-control', 'id' => 'duns-number', 'placeholder' => 'Enter DUNS Number')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="duns-expiration-date">DUNS Expiration Date</label>
                                    <div class="input-group">
                                        {!! Form::text('duns_expiration_date', $broker->duns_expiration_date ?? null, array('class' => 'form-control datePicker', 'id' => 'duns-expiration-date', 'placeholder' => 'Enter DUNS Expiration Date')) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="c-tpat-certified">C-TPAT Certified</label>
                                    {!! Form::select('c_tpat_certified', ['' => 'Select Yes/No', '0' => 'No', '1' => 'Yes'], $broker->c_tpat_certified ?? null, ['class' => 'form-control select2', 'id' => 'c-tpat-certified', 'data-no-search' => 'true']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="c-tpat-svi-number">C-TPAT SVI Number</label>
                                    {!! Form::text('c_tpat_svi_number', $broker->c_tpat_svi_number ?? null, array('class' => 'form-control', 'id' => 'c-tpat-svi-number', 'placeholder' => 'Enter C-TPAT SVI Number')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="broker-loads">Broker Loads</label>
                                    {!! Form::select('broker_loads', ['' => 'Select Yes/No', '0' => 'No', '1' => 'Yes'], $broker->broker_loads ?? null, ['class' => 'form-control select2', 'id' => 'broker-loads', 'data-no-search' => 'true']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="sourcing">Sourcing</label>
                                    {!! Form::select('sourcing', ['' => 'Select Sourcing'] + brokerSourcing(), $broker->sourcing ?? null, ['class' => 'form-control select2', 'id' => 'sourcing']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="performance-review">Performance Review</label>
                                    {!! Form::select('performance_review_frequency', ['' => 'Select Performance Review'] + brokerPerformanceReviewFrequency(), $broker->performance_review_frequency ?? null, ['class' => 'form-control select2', 'id' => 'performance-review']) !!}
                                </div>
                            </div>

                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="website">Website</label>
                                    {!! Form::text('website', $broker->website ?? null, array('class' => 'form-control', 'id' => 'website', 'placeholder' => 'Enter Website')) !!}
                                </div>
                            </div>
                        </div>
                        <div class="row px-3 py-2 pt-1">
                            <div class="col-md-6">
                                <div class="form-group">
                                    @if(empty($broker))
                                        <label class="form-label">Fuel Surcharge (On-Highway Diesel) <span class="text-danger">[ This can be updated in the Edit Page ]</span></label>
                                    @else
                                        <label class="form-label">Fuel Surcharge (On-Highway Diesel)</label>
                                    @endif
                                    <div class="general-info-checklist-box @if(empty($broker)) fil-disabled @endif">
                                        <ul class="nav flex-column required-documents-check">
                                            <li class="mb-2">
                                                <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                                    <input type="radio" class="custom-control-input" id="use_default_fuel_surcharge_diesel-1" name="fuel_surcharge_diesel" value="0" data-parsley-errors-container="#fuel-surcharge-diesel-errors" data-parsley-required-message="Fuel Surcharge (On-Highway Diesel) is required." {{ (isset($broker->fuel_surcharge_diesel) && $broker->fuel_surcharge_diesel == '0') ? 'checked' : '' }}>
                                                    <label class="custom-control-label" for="use_default_fuel_surcharge_diesel-1">Use Default Fuel Surcharge</label>
                                                </div>
                                            </li>
                                            <li>
                                                <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                                    <input type="radio" class="custom-control-input" id="create-custom-fuel-surcharge-diesel-21" name="fuel_surcharge_diesel" value="1" {{ (isset($broker->fuel_surcharge_diesel) &&  $broker->fuel_surcharge_diesel == '1') ? 'checked' : '' }}>
                                                    <label class="custom-control-label" for="create-custom-fuel-surcharge-diesel-21">Create Custom Fuel Surcharge</label>
                                                </div>
                                            </li>
                                        </ul>
                                        <div class="form-group mt-3 @if(isset($broker->fuel_surcharge_diesel))  @if($broker->fuel_surcharge_diesel == '0') d-none @endif @else d-none @endif" id="dieselCustomFSDiv">
                                            <div class="d-flex align-items-center">
                                                <label for="fuel-surcharge-file" class="form-label mr-auto">Select Fuel Surcharge File</label>
                                                <a href="javascript:void(0);" class="custom-top-label d-block" id="refresh-fuel-surcharge-diesel-file">Refresh <i class="fa fa-refresh" aria-hidden="true"></i></a>
                                                <span class="mx-1">|</span>
                                                <a href="{{ route('company.admin.fuel-surcharges.index') }}" class="custom-top-label d-block" target="_blank">Add+</a>
                                            </div>
                                            <div id="customDieselFiles">
                                                @if(isset($broker))
                                                    {!! Form::select('fuel_surcharge_diesel_file', ['' => 'Select File'] + getCustomerFuelSurchargeTemplates('DIESEL', $broker->id), $broker->fuel_surcharge_diesel_file ?? null, ['class' => 'form-control select2', 'id' => 'fuel-surcharge-diesel-file', 'data-parsley-errors-container' =>'#fuel-surcharge-diesel-file-errors']) !!}
                                                    <div id="fuel-surcharge-diesel-file-errors"></div>
                                                @else
                                                    {!! Form::select('fuel_surcharge_diesel_file', ['' => 'Select File'], null, ['class' => 'form-control select2', 'id' => 'fuel-surcharge-diesel-file']) !!}
                                                @endif
                                            </div>
                                        </div>
                                    </div>
                                    <div id="fuel-surcharge-diesel-errors"></div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    @if(empty($broker))
                                        <label class="form-label">Fuel Surcharge (U.S. Regular Gasoline) <span class="text-danger">[ This can be updated in the Edit Page ]</span></label>
                                    @else
                                        <label class="form-label">Fuel Surcharge (U.S. Regular Gasoline)</label>
                                    @endif
                                    <div class="general-info-checklist-box @if(empty($broker)) fil-disabled @endif">
                                        <ul class="nav flex-column required-documents-check">
                                            <li class="mb-2">
                                                <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                                    <input type="radio" class="custom-control-input" id="use_default_fuel_surcharge_gasoline-2" name="fuel_surcharge_gasoline" value="0" data-parsley-errors-container="#fuel-surcharge-gasoline-errors" data-parsley-required-message="Fuel Surcharge (U.S. Regular Gasoline) is required." {{ (isset($broker->fuel_surcharge_gasoline) &&  $broker->fuel_surcharge_gasoline == '0') ? 'checked' : '' }}>
                                                    <label class="custom-control-label" for="use_default_fuel_surcharge_gasoline-2">Use Default Fuel Surcharge</label>
                                                </div>
                                            </li>
                                            <li>
                                                <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                                    <input type="radio" class="custom-control-input" id="create-custom-fuel-surcharge-gasoline-22" name="fuel_surcharge_gasoline" value="1" {{ (isset($broker->fuel_surcharge_gasoline) &&  $broker->fuel_surcharge_gasoline == '1') ? 'checked' : '' }}>
                                                    <label class="custom-control-label" for="create-custom-fuel-surcharge-gasoline-22">Create Custom Fuel Surcharge</label>
                                                </div>
                                            </li>
                                        </ul>
                                        <div class="form-group mt-3 @if(isset($broker->fuel_surcharge_gasoline))  @if($broker->fuel_surcharge_gasoline == '0') d-none @endif @else d-none @endif" id="gasolineCustomFSDiv">
                                            <div class="d-flex align-items-center">
                                                <label for="fuel-surcharge-file" class="form-label mr-auto">Select Fuel Surcharge File</label>
                                                <a href="javascript:void(0);" class="custom-top-label d-block" id="refresh-fuel-surcharge-gasoline-file">Refresh <i class="fa fa-refresh" aria-hidden="true"></i></a>
                                                <span class="mx-1">|</span>
                                                <a href="{{ route('company.admin.fuel-surcharges.index') }}" class="custom-top-label d-block" target="_blank">Add+</a>
                                            </div>
                                            <div id="customGasFiles">
                                                @if(isset($broker))
                                                    {!! Form::select('fuel_surcharge_gasoline_file', ['' => 'Select File'] + getCustomerFuelSurchargeTemplates('GAS', $broker->id), $broker->fuel_surcharge_gasoline_file ?? null, ['class' => 'form-control select2', 'id' => 'fuel-surcharge-gasoline-file', 'data-parsley-errors-container' =>'#fuel-surcharge-gasoline-file-errors']) !!}
                                                    <div id="fuel-surcharge-gasoline-file-errors"></div>
                                                @else
                                                    {!! Form::select('fuel_surcharge_gasoline_file', ['' => 'Select File'], null, ['class' => 'form-control select2', 'id' => 'fuel-surcharge-gasoline-file']) !!}
                                                @endif
                                            </div>
                                        </div>
                                    </div>
                                    <div id="fuel-surcharge-gasoline-errors"></div>
                                </div>
                            </div>
                        </div>
                        <div class="row px-3 py-2 pt-1">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="form-label">Hours of Operation</label>
                                    <div class="general-info-checklist-box hours-of-operation-box">
                                        <div class="col">
                                            <div class="row justify-content-between">
                                                <div class="col-md col-sm-3 text-center col-6 text-center">
                                                    <ul class="nav flex-column">
                                                        <button type="button" class="btn btn-blue">SUNDAY</button>
                                                        {!! Form::text('ho_sun_open', $broker->ho_sun_open ?? null, array('class' => 'form-control mb-3 timePicker', 'placeholder' => 'OPEN')) !!}
                                                        {!! Form::text('ho_sun_close', $broker->ho_sun_close ?? null, array('class' => 'form-control timePicker', 'placeholder' => 'CLOSE')) !!}
                                                    </ul>
                                                </div>
                                                <div class="col-md col-sm-3  text-center col-6">
                                                    <ul class="nav flex-column">
                                                        <button type="button" class="btn btn-blue">MONDAY</button>
                                                        {!! Form::text('ho_mon_open', $broker->ho_mon_open ?? null, array('class' => 'form-control mb-3 timePicker', 'placeholder' => 'OPEN')) !!}
                                                        {!! Form::text('ho_mon_close', $broker->ho_mon_close ?? null, array('class' => 'form-control timePicker', 'placeholder' => 'CLOSE')) !!}
                                                    </ul>
                                                </div>
                                                <div class="col-md col-sm-3  text-center col-6">
                                                    <ul class="nav flex-column">
                                                        <button type="button" class="btn btn-blue">TUESDAY</button>
                                                        {!! Form::text('ho_tue_open', $broker->ho_tue_open ?? null, array('class' => 'form-control mb-3 timePicker', 'placeholder' => 'OPEN')) !!}
                                                        {!! Form::text('ho_tue_close', $broker->ho_tue_close ?? null, array('class' => 'form-control timePicker', 'placeholder' => 'CLOSE')) !!}
                                                    </ul>
                                                </div>
                                                <div class="col-md col-sm-3 text-center col-6">
                                                    <ul class="nav flex-column">
                                                        <button type="button" class="btn btn-blue">WEDNESDAY</button>
                                                        {!! Form::text('ho_wed_open', $broker->ho_wed_open ?? null, array('class' => 'form-control mb-3 timePicker', 'placeholder' => 'OPEN')) !!}
                                                        {!! Form::text('ho_wed_close', $broker->ho_wed_close ?? null, array('class' => 'form-control timePicker', 'placeholder' => 'CLOSE')) !!}
                                                    </ul>
                                                </div>
                                                <div class="col-md col-sm-3 text-center col-6">
                                                    <ul class="nav flex-column">
                                                        <button type="button" class="btn btn-blue">THURSDAY</button>
                                                        {!! Form::text('ho_thu_open', $broker->ho_thu_open ?? null, array('class' => 'form-control mb-3 timePicker', 'placeholder' => 'OPEN')) !!}
                                                        {!! Form::text('ho_thu_close', $broker->ho_thu_close ?? null, array('class' => 'form-control timePicker', 'placeholder' => 'CLOSE')) !!}
                                                    </ul>
                                                </div>
                                                <div class="col-md col-sm-3 text-center col-6">
                                                    <ul class="nav flex-column">
                                                        <button type="button" class="btn btn-blue">FRIDAY</button>
                                                        {!! Form::text('ho_fri_open', $broker->ho_fri_open ?? null, array('class' => 'form-control mb-3 timePicker', 'placeholder' => 'OPEN')) !!}
                                                        {!! Form::text('ho_fri_close', $broker->ho_fri_close ?? null, array('class' => 'form-control timePicker', 'placeholder' => 'CLOSE')) !!}
                                                    </ul>
                                                </div>
                                                <div class="col-md col-sm-3 text-center col-6">
                                                    <ul class="nav flex-column">
                                                        <button type="button" class="btn btn-blue">SATURDAY</button>
                                                        {!! Form::text('ho_sat_open', $broker->ho_sat_open ?? null, array('class' => 'form-control mb-3 timePicker', 'placeholder' => 'OPEN')) !!}
                                                        {!! Form::text('ho_sat_close', $broker->ho_sat_close ?? null, array('class' => 'form-control timePicker', 'placeholder' => 'CLOSE')) !!}
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="form-label">FMCSA Thresholds</label>
                                    <div class="thresholdsbox-content">
                                        <div class="row justify-content-between">
                                            <div class="col-auto">
                                                <div class="thresholds-box text-center">
                                                    <img src="{{ asset('theme/images/frontal-truck.svg') }}" alt="" class="img-fluid mb-1 d-block mx-auto">
                                                    <label for="txt-unsafe">Unsafe</label>
                                                    {!! Form::text('fmcsa_unsafe', $broker->fmcsa_unsafe ?? null, array('class' => 'form-control integer-input', 'id' => 'txt-unsafe')) !!}
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <div class="thresholds-box text-center">
                                                    <img src="{{ asset('theme/images/lorry.svg') }}" alt="" class="img-fluid mb-1 d-block mx-auto">
                                                    <label for="txt-crash">Crash</label>
                                                    {!! Form::text('fmcsa_crash', $broker->fmcsa_crash ?? null, array('class' => 'form-control integer-input', 'id' => 'txt-crash')) !!}
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <div class="thresholds-box text-center">
                                                    <img src="{{ asset('theme/images/24-hours.svg') }}" alt="" class="img-fluid mb-1 d-block mx-auto">
                                                    <label for="txt-hos">HOS</label>
                                                    {!! Form::text('fmcsa_hos', $broker->fmcsa_hos ?? null, array('class' => 'form-control integer-input', 'id' => 'txt-hos')) !!}
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <div class="thresholds-box text-center">
                                                    <img src="{{ asset('theme/images/wrench.svg') }}" alt="" class="img-fluid mb-1 d-block mx-auto">
                                                    <label for="txt-maintenance">Maintenance</label>
                                                    {!! Form::text('fmcsa_maintenance', $broker->fmcsa_maintenance ?? null, array('class' => 'form-control integer-input', 'id' => 'txt-maintenance')) !!}
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <div class="thresholds-box text-center">
                                                    <img src="{{ asset('theme/images/alcohol.svg') }}" alt="" class="img-fluid mb-1 d-block mx-auto">
                                                    <label for="txt-substances">Substances</label>
                                                    {!! Form::text('fmcsa_substances', $broker->fmcsa_substances ?? null, array('class' => 'form-control integer-input', 'id' => 'txt-substances')) !!}
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <div class="thresholds-box text-center">
                                                    <img src="{{ asset('theme/images/biohazard-sign.svg') }}" alt="" class="img-fluid mb-1 d-block mx-auto">
                                                    <label for="txt-hazardous">Hazardous</label>
                                                    {!! Form::text('fmcsa_hazardous', $broker->fmcsa_hazardous ?? null, array('class' => 'form-control integer-input', 'id' => 'txt-hazardous')) !!}
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <div class="thresholds-box text-center">
                                                    <img src="{{ asset('theme/images/42-Certificate.svg') }}" alt="" class="img-fluid mb-1 d-block mx-auto">
                                                    <label for="txt-driver-fitness">Driver Fitness</label>
                                                    {!! Form::text('fmcsa_driver_fitness', $broker->fmcsa_driver_fitness ?? null, array('class' => 'form-control integer-input', 'id' => 'txt-driver-fitness')) !!}
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <div class="thresholds-box text-center">
                                                    <img src="{{ asset('theme/images/insurance.svg') }}" alt="" class="img-fluid mb-1 d-block mx-auto">
                                                    <label for="txt-insurance">Insurance</label>
                                                    {!! Form::text('fmcsa_insurance', $broker->fmcsa_insurance ?? null, array('class' => 'form-control integer-input', 'id' => 'txt-insurance')) !!}
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row p-3">
                            <div class="col-md-12 text-right">
                                <ul>
                                    @if(isset($broker))
                                        <li class="list-inline-item">
                                            <button type="button" class="btn btn-blue next-step general-info-save" data-save-close="0">Save & Close</button>
                                        </li>
                                    @endif
                                    <li class="list-inline-item">
                                        <button type="submit" class="btn btn-blue next-step mr-2 general-info-save" data-save-close="1">Save & Next</button>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    {!! Form::close() !!}
                </div>
                <div class="tab-pane" role="tabpanel" id="tabBillingInsurance">
                    {!! Form::open(['files' => 'true', 'autocomplete'  => 'off', 'name' => 'billing-insurance-tab', 'id' => 'billing-insurance-tab']) !!}
                        <input type="hidden" class="broker-id" name="broker_id" value="{{ $broker->id ?? ''}}">
                        <input type="hidden" name="dummy_id" value="{{ $dummy_id }}">
                        <div class="row px-3 py-2 pt-3">
                            <div class="col-md-12 mb-2">
                                <div class="form-group">
                                    <h6 class="section-heading">Billing</h6>
                                </div>
                            </div>

                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="billing-id">Billing ID</label>
                                    {!! Form::text('billing_id', $broker->billing_id ?? null, array('class' => 'form-control', 'id' => 'billing-id', 'placeholder' => 'Enter Billing ID')) !!}
                                </div>
                            </div>
                            <div class="col-md-5 bi-billto-custom-grid">
                                <div class="form-group">
                                    <div class="d-flex align-items-top justify-content-between">
                                        <label for="bill-to-name">Bill To</label>
                                        <ul class="nav flex-column required-documents-check p-0">
                                            <li class="p-0">
                                                <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                                    <input type="checkbox" class="custom-control-input" id="same-as-gen-info" name="same_as_gen_info">
                                                    <label class="custom-control-label text-theme-color" for="same-as-gen-info">Same as General Info</label>
                                                </div>
                                            </li>
                                        </ul>
                                    </div>
                                    {!! Form::text('bill_to_name', $broker->bill_to_name ?? null, array('class' => 'form-control', 'id' => 'bill-to-name', 'placeholder' => 'Enter Bill To Name')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="billing-method">Preferred Billing Method</label>
                                    {!! Form::select('billing_method', ['' => 'Select'] + brokerBillingMethod(), $broker->billing_method ?? null, ['class' => 'form-control select2', 'id' => 'billing-method']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="payment-method">Preferred Payment Method</label>
                                    <select id="payment-method" name="payment_method" class="form-control select2PreferredPaymentMethod">
                                        <option value="">Select Payment Method</option>
                                        @foreach (brokerPaymentMethod() as $id => $brokerPaymentMethod)
                                            <option value="{{ $id }}" data-icon="{{ $brokerPaymentMethod['icon'] }}" {{ (!empty($broker->payment_method) && $broker->payment_method == $id ) ? 'selected' : '' }}>{{ $brokerPaymentMethod['text'] }}</option>
                                        @endforeach
                                    </select>
                                    {{-- {!! Form::select('payment_method', ['' => 'Select'] + brokerPaymentMethod(), $broker->payment_method ?? null, ['class' => 'form-control select2', 'id' => 'payment-method']) !!} --}}
                                </div>
                            </div>

                            <div class="geocoding col-md-12 d-flex p-0">
                                <input type="hidden" class="geocoding-latitude" name="billing_latitude" value="{{ isset($broker->billing_latitude)?$broker->billing_latitude:'' }}" autocomplete="off">
                                <input type="hidden" class="geocoding-longitude" name="billing_longitude" value="{{ isset($broker->billing_longitude)?$broker->billing_longitude:'' }}" autocomplete="off">
                                <input type="hidden" class="geocoding-abbr" name="billing_timezone_abbr" value="{{ isset($broker->billing_timezone_abbr)?$broker->billing_timezone_abbr:'' }}" autocomplete="off" data-parsley-errors-container="#billing_timezone_abbr-errors" data-parsley-required-message="Please verify address" required>
                                <input type="hidden" class="geocoding-verified" name="billing_address_verified" value="{{ isset($broker->billing_address_verified)?$broker->billing_address_verified:'0' }}" autocomplete="off">
                                <div class="col-md-3 bi-custom-grid">
                                    <div class="form-group">
                                        <label for="billing_address">Billing Address <span>*</span></label>
                                        {!! Form::text('billing_address', $broker->billing_address ?? null, array('class' => 'form-control geocoding-address-1', 'id' => 'billing_address', 'placeholder' => 'Enter Billing Address', 'required' => 'required')) !!}
                                    </div>
                                </div>
                                <div class="col-md-3 bi-custom-grid">
                                    <div class="form-group">
                                        <label for="billing_address_2">Billing Address 2</label>
                                        {!! Form::text('billing_address_2', $broker->billing_address_2 ?? null, array('class' => 'form-control geocoding-address-2', 'id' => 'billing_address_2', 'placeholder' => 'Enter Billing Address 2')) !!}
                                    </div>
                                </div>
                                <div class="col-md-3 bi-custom-grid">
                                    <div class="form-group">
                                        <label for="billing_city">Billing City </label>
                                        {!! Form::text('billing_city', $broker->billing_city ?? null, array('class' => 'form-control geocoding-city', 'id' => 'billing_city', 'placeholder' => 'Enter Billing City')) !!}
                                    </div>
                                </div>
                                <div class="col-md-3 bi-custom-grid">
                                    <div class="form-group">
                                        <label for="billing_state">Billing State <span>*</span></label>
                                        {!! Form::text('billing_state', $broker->billing_state ?? null, array('class' => 'form-control geocoding-state', 'id' => 'billing_state', 'placeholder' => 'Enter Billing State', 'required' => 'required')) !!}
                                    </div>
                                </div>
                                <div class="col-md-3 bi-custom-grid">
                                    <div class="form-group">
                                        <label for="billing_zip">Billing Zip <span>*</span></label>
                                        <div class="d-flex align-items-center">
                                            <div>
                                                {!! Form::text('billing_zip', $broker->billing_zip ?? null, array('class' => 'form-control geocoding-zip', 'id' => 'billing_zip', 'placeholder' => 'Enter Billing Zip', 'required' => 'required')) !!}
                                            </div>
                                            <div class="pl-3">
                                                @if(isset($broker->billing_address_verified) && $broker->billing_address_verified=='1')
                                                    <a href="javascript:void(0);" class="verify-link geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verified</a>
                                                @else
                                                    <a href="javascript:void(0);" class="verify-link geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify</a>
                                                @endif
                                                <div id="billing_timezone_abbr-errors"></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="billing-phone">Billing Phone</label>
                                    {!! Form::text('billing_phone', $broker->billing_phone ?? null, array('class' => 'form-control', 'id' => 'billing-phone', 'placeholder' => 'Enter Billing Phone')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="billing-extension">Billing Extension</label>
                                    {!! Form::text('billing_extention', $broker->billing_extention ?? null, array('class' => 'form-control', 'id' => 'billing-extension', 'placeholder' => 'Enter Billing Extension')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="billing-fax">Billing Fax</label>
                                    {!! Form::text('billing_fax', $broker->billing_fax ?? null, array('class' => 'form-control', 'id' => 'billing-fax', 'placeholder' => 'Enter Billing Fax')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="billing-email">Billing Email</label>
                                    {!! Form::text('billing_email', $broker->billing_email ?? null, array('class' => 'form-control', 'id' => 'billing-email', 'placeholder' => 'Enter Billing Email')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="billing-afterhours">Billing Afterhours</label>
                                    {!! Form::text('billing_afterhours', $broker->billing_afterhours ?? null, array('class' => 'form-control', 'id' => 'billing-afterhours', 'placeholder' => 'Enter Billing Afterhours')) !!}
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row px-3 py-2">
                            <div class="col-md-12 mb-2">
                                <div class="form-group">
                                    <h6 class="section-heading">Assignment</h6>
                                </div>
                            </div>

                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="customer-assignment">Customer Assignment</label>
                                    {!! Form::select('customer_assignment', ['' => 'Select'] + brokerCustomerAssignment(), $broker->customer_assignment ?? null, ['class' => 'form-control select2', 'id' => 'customer-assignment']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="terminal-assignment">Terminal Assignment</label>
                                    {!! Form::select('terminal_assignment', ['' => 'Select'], $broker->terminal_assignment ?? null, ['class' => 'form-control select2', 'id' => 'terminal-assignment']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="customer-service-representative">Customer Service Representative</label>
                                    {!! Form::select('customer_service_representative', ['' => 'Select'], $broker->customer_service_representative ?? null, ['class' => 'form-control select2', 'id' => 'customer-service-representative']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid"></div>
                            <div class="col-md-3 bi-custom-grid"></div>

                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="customer-development-representative">Customer Development Representative</label>
                                    {!! Form::select('customer_development_representative[]', [], $driver->customer_development_representative ?? null, ['class' => 'form-control select2', 'id' => 'customer-development-representative', 'multiple' => 'multiple']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="customer-sales-representative">Customer Sales Representative</label>
                                    {!! Form::select('customer_sales_representative', ['' => 'Select'], $broker->customer_sales_representative ?? null, ['class' => 'form-control select2', 'id' => 'customer-sales-representative']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="billing-representative">Billing Representative</label>
                                    {!! Form::select('billing_representative', ['' => 'Select'], $broker->billing_representative ?? null, ['class' => 'form-control select2', 'id' => 'billing-representative']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="claims-representative">Claims Representative</label>
                                    {!! Form::select('claims_representative', ['' => 'Select'], $broker->claims_representative ?? null, ['class' => 'form-control select2', 'id' => 'claims-representative']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="collection-representative">Collection Representative</label>
                                    {!! Form::select('collection_representative', ['' => 'Select'], $broker->collection_representative ?? null, ['class' => 'form-control select2', 'id' => 'collection-representative']) !!}
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row px-3 py-2">
                            <div class="col-md-12 mb-2">
                                <div class="form-group">
                                    <h6 class="section-heading">Invoicing</h6>
                                </div>
                            </div>

                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="factor-invoices">Factor Invoices</label>
                                    {!! Form::select('factor_invoices', ['' => 'Select Yes/No', '0' => 'No', '1' => 'Yes'], $broker->factor_invoices ?? null, ['class' => 'form-control select2', 'id' => 'factor-invoices', 'data-no-search' => 'true']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="factor-company">Factoring Company</label>
                                    {!! Form::select('factor_company', ['' => 'Select'] + brokerFactoringCompany(), $broker->factor_company ?? null, ['class' => 'form-control select2', 'id' => 'factor-company']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="factor-charge-type">Factor Charge Type</label>
                                    {!! Form::select('factor_charge_type', ['' => 'Select'] + brokerFactorChargeType(), $broker->factor_charge_type ?? null, ['class' => 'form-control select2', 'id' => 'factor-charge-type']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group" id="factorRateDiv">
                                    @if(isset($broker) && $broker->factor_charge_type == '1')
                                        <label for="factor-rate">Factor Rate</label>
                                        <div class="input-group pre-append">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text">$</span>
                                            </div>
                                            {!! Form::number('factor_rate', $broker->factor_rate ?? null, array('class' => 'form-control factor-rate-doller number', 'min' => 0, 'step' => .01, 'placeholder' => '0.00')) !!}
                                        </div>
                                    @elseif(isset($broker) && ($broker->factor_charge_type == '2' || $broker->factor_charge_type == '3'))
                                        <label for="factor-rate">Factor Rate</label>
                                        <div class="input-group post-append">
                                            {!! Form::number('factor_rate', $broker->factor_rate ?? null, array('class' => 'form-control factor-rate-per number', 'min' => 0, 'step' => .01, 'placeholder' => '0.00')) !!}
                                            <div class="input-group-append">
                                                <span class="input-group-text">%</span>
                                            </div>
                                        </div>
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group" id="minimumChargeDiv">
                                    @if(isset($broker) && $broker->factor_charge_type == '3')
                                        <label for="minimum-charge">Minimum Charge</label>
                                        <div class="input-group pre-append">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text">$</span>
                                            </div>
                                            {!! Form::number('minimum_charge', $broker->minimum_charge ?? null, array('class' => 'form-control number', 'min' => 0, 'step' => .01, 'placeholder' => '0.00', 'id' => 'minimum-charge')) !!}
                                        </div>
                                    @endif
                                </div>
                            </div>

                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="term-start-date">Term Start Date</label>
                                    {!! Form::select('term_start_date', ['' => 'Select'] + brokerTermStartDate(), $broker->term_start_date ?? null, ['class' => 'form-control select2', 'id' => 'term-start-date']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="terms">Terms</label>
                                    {!! Form::select('terms', ['' => 'Select'] + brokerTerms(), $broker->terms ?? null, ['class' => 'form-control select2', 'id' => 'terms']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="freight-bill-format">Freight Bill Format</label>
                                    {!! Form::select('freight_bill_format', ['' => 'Select'] + brokerFreightBillFormat(), $broker->freight_bill_format ?? null, ['class' => 'form-control select2', 'id' => 'freight-bill-format']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="first-credit-check">First Credit Check</label>
                                    <div class="input-group">
                                        {!! Form::text('first_credit_check', $broker->first_credit_check ?? null, array('class' => 'form-control datePicker', 'id' => 'first-credit-check', 'placeholder' => 'MM/DD/YYY')) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="last-credit-check">Last Credit Check</label>
                                    <div class="input-group">
                                        {!! Form::text('last_credit_check', $broker->last_credit_check ?? null, array('class' => 'form-control datePicker', 'id' => 'last-credit-check', 'placeholder' => 'MM/DD/YYY')) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="credit-score">Credit Score</label>
                                    {!! Form::select('credit_score', ['' => 'Select'], $broker->credit_score ?? null, ['class' => 'form-control select2 fil-disabled', 'id' => 'credit-score']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="credit-limit">Credit Limit</label>
                                    <div class="input-group pre-append">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text">$</span>
                                        </div>
                                        {!! Form::number('credit_limit', $broker->credit_limit ?? null, array('class' => 'form-control credit-limit-doller number', 'min' => 0, 'step' => .01, 'placeholder' => '0.00')) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="credit-warning">Credit Warning</label>
                                    <div class="input-group pre-append">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text">$</span>
                                        </div>
                                        {!! Form::number('credit_warning', $broker->credit_warning ?? null, array('class' => 'form-control credit-warning-doller number', 'min' => 0, 'step' => .01, 'placeholder' => '0.00')) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="credit-balance">Credit Balance</label>
                                    <div class="input-group pre-append">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text">$</span>
                                        </div>
                                        {!! Form::number('credit_balance', $broker->credit_balance ?? null, array('class' => 'form-control credit-balance-doller number', 'min' => 0, 'step' => .01, 'placeholder' => '0.00', 'readonly' => 'readonly')) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid"></div>

                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="credit-app-completed">Credit App Completed</label>
                                    <div class="input-group">
                                        {!! Form::text('credit_app_completed', $broker->credit_app_completed ?? null, array('class' => 'form-control datePicker', 'id' => 'credit-app-completed', 'placeholder' => 'MM/DD/YYY')) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="credit-app-expiration">Credit App Expiration</label>
                                    <div class="input-group">
                                        {!! Form::text('credit_app_expiration', $broker->credit_app_expiration ?? null, array('class' => 'form-control datePicker', 'id' => 'credit-app-expiration', 'placeholder' => 'MM/DD/YYY')) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-1 bi-custom-grid">
                                <div class="form-group upload-element">
                                    <i class="fa fa-picture-o gallary-edit @isset($broker->id) {{checkeGalleryFileUpload($broker->id, 'upload_credit_app_file')}} @endisset uploadCreditAppFile" aria-hidden="true" data-id="{{$broker->id ?? $dummy_id}}" data-source="brokers" data-field="upload_credit_app_file" data-toggle="modal" data-target="#galleryModal" title="File"></i>
                                    <label>Upload Credit App</label>
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row px-3 py-2">
                            <div class="col-md-12 mb-2">
                                <div class="form-group">
                                    <h6 class="section-heading">Customer Fleet Requirements</h6>
                                </div>
                            </div>

                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="required-safer-status">Required Safer Status</label>
                                    {!! Form::select('required_safer_status', ['' => 'Select'] + brokerRequiredSaferStatus(), $broker->required_safer_status ?? null, ['class' => 'form-control select2', 'id' => 'required-safer-status']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="required-authority-tenure">Required Authority Tenure</label>
                                    {!! Form::select('required_authority_tenure', ['' => 'Select'] + brokerRequiredAuthorityTenure(), $broker->required_authority_tenure ?? null, ['class' => 'form-control select2', 'id' => 'required-authority-tenure']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="required-fleet-size">Required Fleet Size</label>
                                    {!! Form::select('required_fleet_size', ['' => 'Select'] + brokerRequiredFleetSize(), $broker->required_fleet_size ?? null, ['class' => 'form-control select2', 'id' => 'required-fleet-size']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="required-loads-last-30-days">Required Loads Last 30 Days</label>
                                    {!! Form::select('required_loads_last_30_days', ['' => 'Select'] + brokerRequiredLoadsLast30Days(), $broker->required_loads_last_30_days ?? null, ['class' => 'form-control select2', 'id' => 'required-loads-last-30-days']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 bi-custom-grid"></div>

                            <div class="col-md-3 bi-custom-grid">
                                <div class="form-group">
                                    <label for="required-loads-per-month">Required Loads Per Month</label>
                                    {!! Form::select('required_loads_per_month', ['' => 'Select'] + brokerRequiredLoadsPerMonth(), $broker->required_loads_per_month ?? null, ['class' => 'form-control select2', 'id' => 'required-loads-per-month']) !!}
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row px-3 py-2 broker-content">
                            <div class="col-md-12 mb-2">
                                <div class="form-group mb-0 d-flex align-items-center">
                                    <div class="pr-3">
                                        <h6 class="section-heading">Insurance Requirements for Carrier</h6>
                                    </div>
                                    <div>
                                        <a href="javascript:void(0);" class="addMoreCarrierInsurance">
                                            <i class="fa fa-plus-square text-theme-color fs-30"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div id="CarrierInsuranceMoreRows">
                            @if(isset($broker) && !is_null($broker->carrier_insurance_name) && count($broker->carrier_insurance_name) > 0)
                                @foreach($broker->carrier_insurance_name as $carrierInsurance)
                                    <div class="row px-3 broker-content">
                                        <div class="col-md-2 bi-custom-grid">
                                            <div class="form-group">
                                                <label for="carrier-insurance-name">Insurance Name</label>
                                                {!! Form::text('carrier_insurance_name[]', $broker->carrier_insurance_name[$loop->index] ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Insurance Name')) !!}
                                            </div>
                                        </div>
                                        <div class="col-md-2 bi-custom-grid">
                                            <div class="form-group">
                                                <label for="carrier-insurance-type">Insurance Type</label>
                                                {!! Form::select('carrier_insurance_type[]', ['' => 'Select'] + getCompanyInsuranceTypes(), $broker->carrier_insurance_type[$loop->index] ?? null, ['class' => 'form-control select2']) !!}
                                            </div>
                                        </div>
                                        <div class="col-md-2 bi-custom-grid">
                                            <div class="form-group">
                                                <label for="carrier-policy-number">Policy #</label>
                                                {!! Form::text('carrier_policy_number[]', $broker->carrier_policy_number[$loop->index] ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Policy #')) !!}
                                            </div>
                                        </div>
                                        <div class="col-md-2 bi-custom-grid">
                                            <div class="form-group">
                                                <label for="carrier-limit">Limit</label>
                                                <div class="input-group pre-append">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text">$</span>
                                                    </div>
                                                    {!! Form::number('carrier_limit[]', $broker->carrier_limit[$loop->index] ?? null, array('class' => 'form-control carrier-limit-doller number', 'min' => 0, 'step' => .01, 'placeholder' => '0.00')) !!}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-2 bi-custom-grid">
                                            <div class="form-group">
                                                <label for="carrier-deductible">Deductible</label>
                                                <div class="input-group pre-append">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text">$</span>
                                                    </div>
                                                    {!! Form::number('carrier_deductible[]', $broker->carrier_deductible[$loop->index] ?? null, array('class' => 'form-control carrier-deductible-doller number', 'min' => 0, 'step' => .01, 'placeholder' => '0.00')) !!}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-2 bi-custom-grid">
                                            <div class="row justify-content-between">
                                                <div class="col-sm-8 col-7">
                                                    <div class="form-group">
                                                        <label for="carrier-expiration-date">Expiration Date</label>
                                                        <div class="input-group">
                                                            {!! Form::text('carrier_expiration_date[]', $broker->carrier_expiration_date[$loop->index] ?? null, array('class' => 'form-control datePicker', 'placeholder' => 'MM/DD/YYY')) !!}
                                                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-sm-2 px-lg-1">
                                                    <div class="form-group">
                                                        <div class="upload-element">
                                                            <i class="fa fa-picture-o gallary-edit {{checkeGalleryFileUpload($broker->id, 'carrier_insurance_file_'.$loop->index)}} carrierInsuranceFile mt-3" aria-hidden="true" data-id="{{$broker->id ?? $dummy_id}}" data-source="brokers" data-field="carrier_insurance_file_{{$loop->index}}" data-toggle="modal" data-target="#galleryModal" title="Carrier Insurance File"></i>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-sm-2 px-1">
                                                    <a href="javascript:void(0);" class="form-group form-group-o-icon removeMoreCarrierInsurance">
                                                        <label for="" class="form-label d-block">&nbsp;</label>
                                                        <i class="fa fa-minus-square mt-2"></i>
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                @endforeach
                            @endif
                        </div>
                        <hr/>
                        <div class="row px-3 py-2 broker-content">
                            <div class="col-md-12 mb-2">
                                <div class="form-group mb-0 d-flex align-items-center">
                                    <div class="pr-3">
                                        <h6 class="section-heading">Customer Insurance Policies</h6>
                                    </div>
                                    <div>
                                        <a href="javascript:void(0);" class="addMoreCustomerInsurance">
                                            <i class="fa fa-plus-square text-theme-color fs-30"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div id="CustomerInsuranceMoreRows">
                            @if(isset($broker) && !is_null($broker->customer_insurance_name) && count($broker->customer_insurance_name) > 0)
                                @foreach($broker->customer_insurance_name as $customerInsurance)
                                    <div class="row px-3 broker-content">
                                        <div class="col-md-2 bi-custom-grid">
                                            <div class="form-group">
                                                <label for="customer-insurance-name">Insurance Name</label>
                                                {!! Form::text('customer_insurance_name[]', $broker->customer_insurance_name[$loop->index] ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Insurance Name')) !!}
                                            </div>
                                        </div>
                                        <div class="col-md-2 bi-custom-grid">
                                            <div class="form-group">
                                                <label for="customer-insurance-type">Insurance Type</label>
                                                {!! Form::select('customer_insurance_type[]', ['' => 'Select'] + getCompanyInsuranceTypes(), $broker->customer_insurance_type[$loop->index] ?? null, ['class' => 'form-control select2']) !!}
                                            </div>
                                        </div>
                                        <div class="col-md-2 bi-custom-grid">
                                            <div class="form-group">
                                                <label for="customer-policy-number">Policy #</label>
                                                {!! Form::text('customer_policy_number[]', $broker->customer_policy_number[$loop->index] ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Policy #')) !!}
                                            </div>
                                        </div>
                                        <div class="col-md-2 bi-custom-grid">
                                            <div class="form-group">
                                                <label for="customer-limit">Limit</label>
                                                <div class="input-group pre-append">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text">$</span>
                                                    </div>
                                                    {!! Form::number('customer_limit[]', $broker->customer_limit[$loop->index] ?? null, array('class' => 'form-control customer-limit-doller number', 'min' => 0, 'step' => .01, 'placeholder' => '0.00')) !!}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-2 bi-custom-grid">
                                            <div class="form-group">
                                                <label for="customer-deductible">Deductible</label>
                                                <div class="input-group pre-append">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text">$</span>
                                                    </div>
                                                    {!! Form::number('customer_deductible[]', $broker->customer_deductible[$loop->index] ?? null, array('class' => 'form-control customer-deductible-doller number', 'min' => 0, 'step' => .01, 'placeholder' => '0.00')) !!}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-2 bi-custom-grid">
                                            <div class="row justify-content-between">
                                                <div class="col-sm-8 col-7">
                                                    <div class="form-group">
                                                        <label for="customer-expiration-date">Expiration Date</label>
                                                        <div class="input-group">
                                                            {!! Form::text('customer_expiration_date[]', $broker->customer_expiration_date[$loop->index] ?? null, array('class' => 'form-control datePicker', 'placeholder' => 'MM/DD/YYY')) !!}
                                                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-sm-2 px-lg-1">
                                                    <div class="form-group">
                                                        <div class="upload-element">
                                                            <i class="fa fa-picture-o gallary-edit {{checkeGalleryFileUpload($broker->id, 'customer_insurance_file_'.$loop->index)}} customerInsuranceFile mt-3" aria-hidden="true" data-id="{{$broker->id ?? $dummy_id}}" data-source="brokers" data-field="customer_insurance_file_{{$loop->index}}" data-toggle="modal" data-target="#galleryModal" title="Customer Insurance File"></i>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-sm-2 px-1">
                                                    <a href="javascript:void(0);" class="form-group form-group-o-icon removeMoreCustomerInsurance">
                                                        <label for="" class="form-label d-block">&nbsp;</label>
                                                        <i class="fa fa-minus-square mt-2"></i>
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                @endforeach
                            @endif
                        </div>
                        <hr/>
                        <div class="row px-3 py-2 broker-content">
                            <div class="col-md-12 mb-2">
                                <div class="form-group mb-0 d-flex align-items-center">
                                    <div class="pr-3">
                                        <h6 class="section-heading">Bond Information</h6>
                                    </div>
                                    <div>
                                        <a href="javascript:void(0);" class="addMoreBondInformation">
                                            <i class="fa fa-plus-square text-theme-color fs-30"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div id="BondInformationMoreRows">
                            @if(isset($broker) && !is_null($broker->surety_bond_company) && count($broker->surety_bond_company) > 0)
                                @foreach($broker->surety_bond_company as $suretyBondCompany)
                                    <div class="row px-3 broker-content">
                                        <div class="col-md-2 bi-custom-grid">
                                            <div class="form-group">
                                                <label for="surety-bond-required">Surety Bond Required</label>
                                                {!! Form::select('surety_bond_required[]', ['' => 'Select'], $broker->surety_bond_required[$loop->index] ?? null, ['class' => 'form-control select2']) !!}
                                            </div>
                                        </div>
                                        <div class="col-md-2 bi-custom-grid">
                                            <div class="form-group">
                                                <label for="surety-bond-company">Surety Bond Company</label>
                                                {!! Form::text('surety_bond_company[]', $broker->surety_bond_company[$loop->index] ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Bond Company')) !!}
                                            </div>
                                        </div>
                                        <div class="col-md-2 bi-custom-grid">
                                            <div class="form-group">
                                                <label for="surety-bond-expiration">Surety Bond Expiration</label>
                                                <div class="input-group">
                                                    {!! Form::text('surety_bond_expiration[]', $broker->surety_bond_expiration[$loop->index] ?? null, array('class' => 'form-control datePicker', 'placeholder' => 'MM/DD/YYY')) !!}
                                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-2 bi-custom-grid">
                                            <div class="form-group">
                                                <label for="surety-bond-amount">Surety Bond Amount</label>
                                                <div class="input-group pre-append">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text">$</span>
                                                    </div>
                                                    {!! Form::number('surety_bond_amount[]', $broker->surety_bond_amount[$loop->index] ?? null, array('class' => 'form-control surety-bond-amount-doller number', 'min' => 0, 'step' => .01, 'placeholder' => '0.00')) !!}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="row">
                                                <div class="col-sm-10 col-7">
                                                    <div class="form-group">
                                                        <label for="surety-bond-email">Surety Bond Email</label>
                                                        {!! Form::text('surety_bond_email[]', $broker->surety_bond_email[$loop->index] ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Email')) !!}
                                                    </div>
                                                </div>
                                                <div class="col-sm-1 px-lg-1">
                                                    <div class="form-group">
                                                        <div class="upload-element">
                                                            <i class="fa fa-picture-o gallary-edit {{checkeGalleryFileUpload($broker->id, 'bond_information_file_'.$loop->index)}} bondInformationFile mt-3" aria-hidden="true" data-id="{{$broker->id ?? $dummy_id}}" data-source="brokers" data-field="bond_information_file_{{$loop->index}}" data-toggle="modal" data-target="#galleryModal" title="Bond Information File"></i>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-sm-1 px-1">
                                                    <a href="javascript:void(0);" class="form-group form-group-o-icon removeMoreBondInformation">
                                                        <label for="" class="form-label d-block">&nbsp;</label>
                                                        <i class="fa fa-minus-square mt-2"></i>
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-2 bi-custom-grid">
                                            <div class="form-group">
                                                <label for="bond-contact-name">Bond Contact Name</label>
                                                {!! Form::text('bond_contact_name[]', $broker->bond_contact_name[$loop->index] ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Name')) !!}
                                            </div>
                                        </div>
                                        <div class="col-md-2 bi-custom-grid">
                                            <div class="form-group">
                                                <label for="bond-phone-number">Bond Phone Number</label>
                                                {!! Form::text('bond_phone_number[]', $broker->bond_phone_number[$loop->index] ?? null, array('class' => 'form-control phone', 'placeholder' => '(123) 456-7890')) !!}
                                            </div>
                                        </div>
                                    </div>
                                @endforeach
                            @endif
                        </div>
                        <hr/>
                        <div class="row p-3">
                            <div class="col-md-12 text-right">
                                <ul>
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blueBr prev-step">Previous</button>
                                    </li>
                                    @if(isset($broker))
                                        <li class="list-inline-item">
                                            <button type="button" class="btn btn-blue next-step billing-insurance-save" data-save-close="0">Save & Close</button>
                                        </li>
                                    @endif
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blue next-step mr-2 billing-insurance-save" data-save-close="1">Save & Next</button>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    {!! Form::close() !!}
                </div>
                <div class="tab-pane" role="tabpanel" id="tabLanesRates">
                    {!! Form::open(['files' => 'true', 'autocomplete'  => 'off', 'name' => 'lanes-rates-tab', 'id' => 'lanes-rates-tab']) !!}
                        <input type="hidden" class="broker-id" name="broker_id" value="{{ $broker->id ?? ''}}">
                        <div class="row broker-content">
                            <div class="col-md-12">
                                <div class="inner-tabs">
                                    <div class="row">
                                        <div class="col-lg-12">
                                            <nav>
                                                <div class="nav nav-tabs" id="nav-tab" role="tablist">
                                                    <button class="nav-link active" id="nav-lane-rates-tab" data-toggle="tab" data-target="#nav-lane-rates" type="button" role="tab" aria-controls="nav-lane-rates" aria-selected="true">Lane Rates</button>
                                                    <button class="nav-link" id="nav-accessorial-charges-tab" data-toggle="tab" data-target="#nav-accessorial-charges" type="button" role="tab" aria-controls="nav-accessorial-charges" aria-selected="false">Accessorial Charges</button>
                                                </div>
                                            </nav>
                                        </div>
                                    </div>
                                </div>
                                <div class="tab-content " id="nav-tabContent" style="background: none; border:none;">
                                    <div class="tab-pane fade show active" id="nav-lane-rates" role="tabpanel" aria-labelledby="nav-lane-rates-tab">
                                        <div class="row">
                                            <div class="offset-6 col-lg-6">
                                                <div class="general-info-checklist-box" style="margin-top: -43px;">
                                                    <div class="row">
                                                        <div class="col-lg-4">
                                                            <div class="form-group">
                                                                <label for="pc-miler-version" class="form-label">PC Miler Version</label>
                                                                {!! Form::select('pc_miler_version', ['' => 'Select'] + brokerPCMilerVersion(), $broker->pc_miler_version ?? null, ['class' => 'form-control select2', 'id' => 'pc-miler-version']) !!}
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-4">
                                                            <div class="form-group">
                                                                <label for="mileage-type" class="form-label">Mileage Type</label>
                                                                {!! Form::select('mileage_type', ['' => 'Select'] + brokerMileageType(), $broker->mileage_type ?? null, ['class' => 'form-control select2', 'id' => 'mileage-type']) !!}
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-4">
                                                            <div class="form-group">
                                                                <div class="d-flex align-items-center justify-content-between">
                                                                    <label for="fuel-surcharge-index" class="form-label">Fuel Surcharge Index</label>
                                                                    <a href="javascript:void(0);" class="custom-top-label d-block">Add+</a>
                                                                </div>
                                                                {!! Form::select('fuel_surcharge_index', ['' => 'Select'] + brokerFuelSurchargeIndex(), $broker->fuel_surcharge_index ?? null, ['class' => 'form-control select2', 'id' => 'fuel-surcharge-index']) !!}
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-12">
                                                <div class="table-responsive">
                                                    <table class="table mt-0" id="lane-rates-table">
                                                        <thead>
                                                        <tr>
                                                            <th>Lane Details</th>
                                                            <th>Pricing Options</th>
                                                            <th></th>
                                                        </tr>
                                                        </thead>
                                                        <tbody>
                                                        <tr>
                                                            <td>
                                                                <table class="table mt-0">
                                                                    <thead>
                                                                        <th>RFP Name</th>
                                                                        <th>Lane ID</th>
                                                                        <th>Pickup City</th>
                                                                        <th>Pickup State</th>
                                                                        <th>Delivery City</th>
                                                                        <th>Delivery State</th>
                                                                        <th>Miles</th>
                                                                        <th>Volume</th>
                                                                    </thead>
                                                                    <tbody>
                                                                        <tr>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="RFP2023(1)" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="MCG1092" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter State" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter City" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter State" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter City" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter Miles" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter Volume" />
                                                                                </div>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="RFP2023(1)" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="MCG1092" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter State" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter City" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter State" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter City" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter Miles" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter Volume" />
                                                                                </div>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="RFP2023(1)" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="MCG1092" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter State" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter City" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter State" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter City" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter Miles" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter Volume" />
                                                                                </div>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="RFP2023(1)" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="MCG1092" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter State" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter City" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter State" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter City" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter Miles" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter Volume" />
                                                                                </div>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="RFP2023(1)" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="MCG1092" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter State" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter City" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter State" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter City" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter Miles" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter Volume" />
                                                                                </div>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="RFP2023(1)" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="MCG1092" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter State" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter City" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter State" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter City" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter Miles" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter Volume" />
                                                                                </div>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="RFP2023(1)" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="MCG1092" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter State" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter City" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter State" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter City" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter Miles" />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-group">
                                                                                    <input type="text" class="form-control" placeholder="Enter Volume" />
                                                                                </div>
                                                                            </td>
                                                                        </tr>
                                                                    </tbody>
                                                                </table>
                                                            </td>
                                                            <td>
                                                                <table class="table mt-0">
                                                                    <thead>
                                                                        <th>Min Charge</th>
                                                                        <th>Flat Rate</th>
                                                                        <th>Linehaul</th>
                                                                        <th>Include FSC</th>
                                                                        <th>Fuel Surcharge</th>
                                                                    </thead>
                                                                    <tbody>
                                                                        <tr>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-check p-0 only-checkbox">
                                                                                    <input class="form-check-input" type="checkbox" id="same-as-dispatcher-1" name="same_as_dispatcher" value="1">
                                                                                    <label class="form-check-label" for="same-as-dispatcher-1"></label>
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-check p-0 only-checkbox">
                                                                                    <input class="form-check-input" type="checkbox" id="same-as-dispatcher-2" name="same_as_dispatcher" value="1">
                                                                                    <label class="form-check-label" for="same-as-dispatcher-2"></label>
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-check p-0 only-checkbox">
                                                                                    <input class="form-check-input" type="checkbox" id="same-as-dispatcher-3" name="same_as_dispatcher" value="1">
                                                                                    <label class="form-check-label" for="same-as-dispatcher-3"></label>
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-check p-0 only-checkbox">
                                                                                    <input class="form-check-input" type="checkbox" id="same-as-dispatcher-4" name="same_as_dispatcher" value="1">
                                                                                    <label class="form-check-label" for="same-as-dispatcher-4"></label>
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-check p-0 only-checkbox">
                                                                                    <input class="form-check-input" type="checkbox" id="same-as-dispatcher-5" name="same_as_dispatcher" value="1">
                                                                                    <label class="form-check-label" for="same-as-dispatcher-5"></label>
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-check p-0 only-checkbox">
                                                                                    <input class="form-check-input" type="checkbox" id="same-as-dispatcher-6" name="same_as_dispatcher" value="1">
                                                                                    <label class="form-check-label" for="same-as-dispatcher-6"></label>
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="form-check p-0 only-checkbox">
                                                                                    <input class="form-check-input" type="checkbox" id="same-as-dispatcher-7" name="same_as_dispatcher" value="1">
                                                                                    <label class="form-check-label" for="same-as-dispatcher-7"></label>
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                        </tr>
                                                                    </tbody>
                                                                </table>
                                                            </td>
                                                            <td>
                                                                <table class="table mt-0">
                                                                    <thead>
                                                                        <th>Total Rate</th>
                                                                        <th></th>
                                                                    </thead>
                                                                    <tbody>
                                                                        <tr>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <a href="#" class="d-block link-icon">
                                                                                    <img src="{{ asset('theme/img/icon-material-delete.svg') }}" alt="" class="img-fluid mb-1 d-block mx-auto">
                                                                                </a>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <a href="#" class="d-block link-icon">
                                                                                    <img src="{{ asset('theme/img/icon-material-delete.svg') }}" alt="" class="img-fluid mb-1 d-block mx-auto">
                                                                                </a>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <a href="#" class="d-block link-icon">
                                                                                    <img src="{{ asset('theme/img/icon-material-delete.svg') }}" alt="" class="img-fluid mb-1 d-block mx-auto">
                                                                                </a>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <a href="#" class="d-block link-icon">
                                                                                    <img src="{{ asset('theme/img/icon-material-delete.svg') }}" alt="" class="img-fluid mb-1 d-block mx-auto">
                                                                                </a>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <a href="#" class="d-block link-icon">
                                                                                    <img src="{{ asset('theme/img/icon-material-delete.svg') }}" alt="" class="img-fluid mb-1 d-block mx-auto">
                                                                                </a>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <a href="#" class="d-block link-icon">
                                                                                    <img src="{{ asset('theme/img/icon-material-delete.svg') }}" alt="" class="img-fluid mb-1 d-block mx-auto">
                                                                                </a>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td>
                                                                                <div class="input-group">
                                                                                    <div class="input-group-prepend">
                                                                                        <span class="input-group-text">$</span>
                                                                                    </div>
                                                                                    <input class="form-control  number" id="txt-credit-balance" min="0" step="0.00" placeholder="" type="text">
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <a href="#" class="d-block link-icon">
                                                                                    <img src="{{ asset('theme/img/icon-material-delete.svg') }}" alt="" class="img-fluid mb-1 d-block mx-auto">
                                                                                </a>
                                                                            </td>
                                                                        </tr>
                                                                    </tbody>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="tab-pane fade" id="nav-accessorial-charges" role="tabpanel" aria-labelledby="nav-accessorial-charges-tab">
                                        <div class="row pt-3">
                                            <div class="col-md-2">
                                                <div class="form-group mb-0">
                                                    <label for="description" class="form-label">Description</label>
                                                </div>
                                            </div>
                                            <div class="col-md-2">
                                                <div class="form-group mb-0">
                                                    <label for="customer-bill-amount">Customer Bill Amount</label>
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="row">
                                                    <div class="col-4">
                                                        <div class="form-group mb-0">
                                                            <label for="entered-by">Entered By</label>
                                                        </div>
                                                    </div>
                                                    <div class="col-3">
                                                        <div class="form-group mb-0">
                                                            <label for="entered-by">Updated</label>
                                                        </div>
                                                    </div>
                                                    <div class="col-5"></div>
                                                </div>
                                            </div>
                                        </div>
                                        @if(isset($broker) && $broker->broker_accessorials->count() > 0)
                                            <div class="row">
                                                <div class="col-md-2">
                                                    <div class="form-group">
                                                        {!! Form::select('company_accessorial_id[]', ['' => 'Select'] + getAccessorials(), $broker->broker_accessorials[0]->company_accessorial_id ?? null, ['class' => 'form-control select2']) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-2">
                                                    <div class="form-group">
                                                        <div class="input-group">
                                                            <div class="input-group-prepend">
                                                                <span class="input-group-text">$</span>
                                                            </div>
                                                            {!! Form::number('rate[]', number_format($broker->broker_accessorials[0]->rate, 2, '.') ?? null, array('class' => 'form-control customer-bill-amount-doller number', 'min' => 0, 'step' => .01, 'placeholder' => 'Enter Credit Balance')) !!}
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="row">
                                                        <div class="col-4">
                                                            <div class="form-group">
                                                                <p class="mt-2 font-weight-200 font-16 entered-by">
                                                                    {{ auth()->guard('company-admin')->user()->fullname ?? '' }}
                                                                </p>
                                                            </div>
                                                        </div>
                                                        <div class="col-3">
                                                            <div class="form-group">
                                                                <p class="mt-2 font-weight-200 font-16 updated">
                                                                    @if(isset($broker) && isset($broker->broker_accessorials[0]->updated_at))
                                                                        {{ \Carbon\Carbon::parse($broker->broker_accessorials[0]->updated_at)->format('m/d/Y') ?? '' }}
                                                                    @else
                                                                        {{ \Carbon\Carbon::now()->format('m/d/Y') ?? '' }}
                                                                    @endif
                                                                </p>
                                                            </div>
                                                        </div>
                                                        <div class="col-2">
                                                            <div class="d-flex align-items-end mt-2">
                                                                <a href="javascript:void(0);" class="mr-2 addMoreAccessorial">
                                                                    <i class="fa fa-plus-square text-theme-color fs-24"></i>
                                                                </a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="accessorialMoreRows">
                                                @foreach($broker->broker_accessorials as $brokerAccessorials)
                                                    @if($loop->index != 0)
                                                        <div class="row">
                                                            <div class="col-md-2">
                                                                <div class="form-group">
                                                                    {!! Form::select('company_accessorial_id[]', ['' => 'Select'] + getAccessorials(), $broker->broker_accessorials[$loop->index]->company_accessorial_id ?? null, ['class' => 'form-control select2']) !!}
                                                                </div>
                                                            </div>
                                                            <div class="col-md-2">
                                                                <div class="form-group">
                                                                    <div class="input-group">
                                                                        <div class="input-group-prepend">
                                                                            <span class="input-group-text">$</span>
                                                                        </div>
                                                                        {!! Form::number('rate[]', number_format($broker->broker_accessorials[$loop->index]->rate, 2, '.') ?? null, array('class' => 'form-control customer-bill-amount-doller number', 'min' => 0, 'step' => .01, 'placeholder' => 'Enter Credit Balance')) !!}
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-3">
                                                                <div class="row">
                                                                    <div class="col-4">
                                                                        <div class="form-group">
                                                                            <p class="mt-2 font-weight-200 font-16 entered-by">
                                                                                {{ auth()->guard('company-admin')->user()->fullname ?? '' }}
                                                                            </p>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-3">
                                                                        <div class="form-group">
                                                                            <p class="mt-2 font-weight-200 font-16 updated">
                                                                                @if(isset($broker) && isset($broker->broker_accessorials[$loop->index]->updated_at))
                                                                                    {{ \Carbon\Carbon::parse($broker->broker_accessorials[$loop->index]->updated_at)->format('m/d/Y') ?? '' }}
                                                                                @else
                                                                                    {{ \Carbon\Carbon::now()->format('m/d/Y') ?? '' }}
                                                                                @endif
                                                                            </p>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-2">
                                                                        <div class="d-flex align-items-end mt-2">
                                                                            <a href="javascript:void(0);" class="removeMoreAccessorial">
                                                                                <img src="{{ asset('theme/img/icon-material-delete.svg') }}" alt="" class="img-fluid  d-block mx-auto">
                                                                            </a>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    @endif
                                                @endforeach
                                            </div>
                                        @else
                                            <div class="row">
                                                <div class="col-md-2">
                                                    <div class="form-group">
                                                        {!! Form::select('company_accessorial_id[]', ['' => 'Select'] + getAccessorials(), null, ['class' => 'form-control select2']) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-2">
                                                    <div class="form-group">
                                                        <div class="input-group">
                                                            <div class="input-group-prepend">
                                                                <span class="input-group-text">$</span>
                                                            </div>
                                                            {!! Form::number('rate[]', null, array('class' => 'form-control customer-bill-amount-doller number', 'min' => 0, 'step' => .01, 'placeholder' => 'Enter Credit Balance')) !!}
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="row">
                                                        <div class="col-4">
                                                            <div class="form-group">
                                                                <p class="mt-2 font-weight-200 font-16 entered-by">
                                                                    {{ auth()->guard('company-admin')->user()->fullname ?? '' }}
                                                                </p>
                                                            </div>
                                                        </div>
                                                        <div class="col-3">
                                                            <div class="form-group">
                                                                <p class="mt-2 font-weight-200 font-16 updated">
                                                                    {{ \Carbon\Carbon::now()->format('m/d/Y') ?? '' }}
                                                                </p>
                                                            </div>
                                                        </div>
                                                        <div class="col-2">
                                                            <div class="d-flex align-items-end mt-2">
                                                                <a href="javascript:void(0);" class="mr-2 addMoreAccessorial">
                                                                    <i class="fa fa-plus-square text-theme-color fs-24"></i>
                                                                </a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="accessorialMoreRows"></div>
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                        <hr class="my-0" />
                        <div class="row p-3">
                            <div class="col-md-12 text-right">
                                <ul>
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blueBr prev-step">Previous</button>
                                    </li>
                                    @if(isset($broker))
                                        <li class="list-inline-item">
                                            <button type="button" class="btn btn-blue next-step lanes-rates-save" data-save-close="0">Save & Close</button>
                                        </li>
                                    @endif
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blue next-step mr-2 lanes-rates-save" data-save-close="1">Save & Next</button>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    {!! Form::close() !!}
                </div>
                <div class="tab-pane" role="tabpanel" id="tabRequiredDocuments">
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'required-document-profile-form', 'id' => 'required-document-profile-form']) !!}
                        <input type="hidden" class="broker-id" name="broker_id" value="{{ $broker->id ?? ''}}">
                        @if(isset($broker) && !is_null($broker->broker_required_documents))
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-xl-custom-20p col-md-4 col-sm-6 px-3">
                                    <div class="form-group">
                                        <div class="d-flex align-items-top justify-content-between">
                                            <label for="select-required-document-profile" class="form-label">Required Document Profile</label>
                                            <a href="javascript:void(0);" class="custom-top-label" data-toggle="modal" id="getRequiredDocumentProfileModal">Add+</a>
                                        </div>
                                        <select class="form-control select2" id="required-document-profile" name="required_document_profile">
                                            <option value="" data-shipper-documents="" data-shipper-doc-types="" data-shipper-include-w-billing="" data-shipper-hide-from-driver="" data-receiver-documents="" data-receiver-doc-types="" data-receiver-include-w-billing="" data-receiver-hide-from-driver="">Select Required Document Profile</option>
                                            @foreach(getBrokerRequiredDocumentProfiles() as $requiredDocumentProfile)
                                                <option value="{{ $requiredDocumentProfile->id }}" data-shipper-documents="{{ base64Encode(serialize($requiredDocumentProfile->shipper_documents)) }}" data-shipper-doc-types="{{ base64Encode(serialize($requiredDocumentProfile->shipper_doc_types)) }}" data-shipper-include-w-billing="{{ base64Encode(serialize($requiredDocumentProfile->shipper_include_w_billing)) }}" data-shipper-hide-from-driver="{{ base64Encode(serialize($requiredDocumentProfile->shipper_hide_from_driver)) }}" data-receiver-documents="{{ base64Encode(serialize($requiredDocumentProfile->receiver_documents)) }}" data-receiver-doc-types="{{ base64Encode(serialize($requiredDocumentProfile->receiver_doc_types)) }}" data-receiver-include-w-billing="{{ base64Encode(serialize($requiredDocumentProfile->receiver_include_w_billing)) }}" data-receiver-hide-from-driver="{{ base64Encode(serialize($requiredDocumentProfile->receiver_hide_from_driver)) }}" {{ ($broker->broker_required_documents->required_document_profile == $requiredDocumentProfile->id) ? 'selected' : '' }}>{{ $requiredDocumentProfile->profile_name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <hr/>
                            <div class="row mx-2">
                                <div class="col-md-12 preViewDiv" id="preViewRequiredDocumentProfile"></div>
                                <div class="col-md-12 text-center py-2 d-none previewBtn">
                                    <button type="button" class="btn btn-blueBr mr-2 preViewCancel">Cancel</button>
                                    <button type="button" class="btn btn-blue ml-2 preViewImport">Import</button>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="requiredDocumentProfile">
                                    @include('companyAdmin.broker.ajax.required-document-profile', [
                                        'documentProfile' => $broker->broker_required_documents->required_document_profile ?? [],
                                        'shipperDocuments' => $broker->broker_required_documents->shipper_documents ?? [],
                                        'shipperDocTypes' => $broker->broker_required_documents->shipper_doc_types ?? [],
                                        'shipperIncludeWBilling' => $broker->broker_required_documents->shipper_include_w_billing ?? [],
                                        'shipperHideFromDriver' => $broker->broker_required_documents->shipper_hide_from_driver ?? [],
                                        'receiverDocuments' => $broker->broker_required_documents->receiver_documents ?? [],
                                        'receiverDocTypes' => $broker->broker_required_documents->receiver_doc_types ?? [],
                                        'receiverIncludeWBilling' => $broker->broker_required_documents->receiver_include_w_billing ?? [],
                                        'receiverHideFromDriver' => $broker->broker_required_documents->receiver_hide_from_driver ?? []
                                    ])
                                </div>
                            </div>
                        @else
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-xl-custom-20p col-md-4 col-sm-6 px-3">
                                    <div class="form-group">
                                        <div class="d-flex align-items-top justify-content-between">
                                            <label for="select-required-document-profile" class="form-label">Required Document Profile</label>
                                            <a href="javascript:void(0);" class="custom-top-label" data-toggle="modal" id="getRequiredDocumentProfileModal">Add+</a>
                                        </div>
                                        <select class="form-control select2" id="required-document-profile" name="required_document_profile">
                                            <option value="" data-shipper-documents="" data-shipper-doc-types="" data-shipper-include-w-billing="" data-shipper-hide-from-driver="" data-receiver-documents="" data-receiver-doc-types="" data-receiver-include-w-billing="" data-receiver-hide-from-driver="">Select Required Document Profile</option>
                                            @foreach(getBrokerRequiredDocumentProfiles() as $requiredDocumentProfile)
                                                <option value="{{ $requiredDocumentProfile->id }}" data-shipper-documents="{{ base64Encode(serialize($requiredDocumentProfile->shipper_documents)) }}" data-shipper-doc-types="{{ base64Encode(serialize($requiredDocumentProfile->shipper_doc_types)) }}" data-shipper-include-w-billing="{{ base64Encode(serialize($requiredDocumentProfile->shipper_include_w_billing)) }}" data-shipper-hide-from-driver="{{ base64Encode(serialize($requiredDocumentProfile->shipper_hide_from_driver)) }}" data-receiver-documents="{{ base64Encode(serialize($requiredDocumentProfile->receiver_documents)) }}" data-receiver-doc-types="{{ base64Encode(serialize($requiredDocumentProfile->receiver_doc_types)) }}" data-receiver-include-w-billing="{{ base64Encode(serialize($requiredDocumentProfile->receiver_include_w_billing)) }}" data-receiver-hide-from-driver="{{ base64Encode(serialize($requiredDocumentProfile->receiver_hide_from_driver)) }}">{{ $requiredDocumentProfile->profile_name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <hr/>
                            <div class="row mx-2">
                                <div class="col-md-12 preViewDiv" id="preViewRequiredDocumentProfile"></div>
                                <div class="col-md-12 text-center py-2 d-none previewBtn">
                                    <button type="button" class="btn btn-blueBr mr-2 preViewCancel">Cancel</button>
                                    <button type="button" class="btn btn-blue ml-2 preViewImport">Import</button>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="requiredDocumentProfile"></div>
                            </div>
                        @endif
                    {!! Form::close() !!}
                    <hr/>
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'additional-required-document-form', 'id' => 'additional-required-document-form']) !!}
                        <input type="hidden" class="broker-id" name="broker_id" value="{{ $broker->id ?? ''}}">
                        @if(isset($broker) && !is_null($broker->broker_additional_required_documents))
                            <div class="row px-3 py-3 align-items-end">
                                <div class="col-5">
                                    <div class="form-group mb-0 d-flex align-items-center">
                                        <div class="pr-3">
                                            <h6 class="section-heading">Add Additional Required Documents</h6>
                                        </div>
                                        <div>
                                            <a href="javascript:void(0);" class="addMoreAdditionalDocumentRow">
                                                <i class="fa fa-plus-square text-theme-color fs-30"></i>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-1 text-center required-documents-column-name @if(count($broker->broker_additional_required_documents->documents) == 0) d-none @endif">
                                    <div class="form-group mb-0">
                                        <label for="include-w-billing">Include W/Billing</label>
                                    </div>
                                </div>
                                <div class="col-1 text-center required-documents-column-name @if(count($broker->broker_additional_required_documents->documents) == 0) d-none @endif">
                                    <div class="form-group mb-0">
                                        <label for="hide-from-driver">Hide From Driver</label>
                                    </div>
                                </div>
                                <div class="col-1 required-documents-column-name @if(count($broker->broker_additional_required_documents->documents) == 0) d-none @endif">
                                    <div class="form-group mb-0">
                                        <label for="entered-by">Entered By</label>
                                    </div>
                                </div>
                                <div class="col-1 required-documents-column-name @if(count($broker->broker_additional_required_documents->documents) == 0) d-none @endif">
                                    <div class="form-group mb-0">
                                        <label for="updated">Updated</label>
                                    </div>
                                </div>
                                <div class="col-3 required-documents-column-name @if(count($broker->broker_additional_required_documents->documents) == 0) d-none @endif"></div>
                            </div>
                            @foreach($broker->broker_additional_required_documents->documents as $document)
                                <div class="row px-3 py-2 align-items-center">
                                    <div class="col-3">
                                        <div class="form-group m-0">
                                            {!! Form::select('documents[]', ['' => 'Select'] + getDocumentTitles(), $document, ['class' => 'form-control select2']) !!}
                                        </div>
                                    </div>
                                    <div class="col-2">
                                        <input type="hidden" name="doc_types[]" class="docType" value="{{ $broker->broker_additional_required_documents->doc_types[$loop->index] ?? '2' }}">
                                        @if(isset($broker->broker_additional_required_documents->doc_types[$loop->index]) && $broker->broker_additional_required_documents->doc_types[$loop->index] == '1')
                                            <button type="button" class="btn btn-blue btn-copy">Copy</button>
                                            <button type="button" class="btn btn-blueBr btn-original ml-2">Original</button>
                                        @else
                                            <button type="button" class="btn btn-blueBr btn-copy">Copy</button>
                                            <button type="button" class="btn btn-blue btn-original ml-2">Original</button>
                                        @endif
                                    </div>
                                    <div class="col-1">
                                        <input type="hidden" name="include_w_billing[]" class="chkAiwb" value="{{ $broker->broker_additional_required_documents->include_w_billing[$loop->index] ?? '' }}">
                                        <div class="form-check p-0 m-0 only-checkbox">
                                            {!! Form::checkbox('additional_include_w_billing[]', 1, $broker->broker_additional_required_documents->include_w_billing[$loop->index] ?? null, array('class' => 'form-check-input', 'id' => 'additional-include-w-billing-'.$loop->index)) !!}
                                            <label class="form-check-label" for="additional-include-w-billing-{{$loop->index}}"></label>
                                        </div>
                                    </div>
                                    <div class="col-1">
                                        <input type="hidden" name="hide_from_driver[]" class="chkAhfd" value="{{ $broker->broker_additional_required_documents->hide_from_driver[$loop->index] ?? '' }}">
                                        <div class="form-check p-0 m-0 only-checkbox">
                                            {!! Form::checkbox('additional_hide_from_driver[]', 1, $broker->broker_additional_required_documents->hide_from_driver[$loop->index] ?? null, array('class' => 'form-check-input', 'id' => 'additional-hide-from-driver-'.$loop->index)) !!}
                                            <label class="form-check-label" for="additional-hide-from-driver-{{$loop->index}}"></label>
                                        </div>
                                    </div>
                                    <div class="col-1">
                                        <p class="mt-2 font-weight-200 fs-14 shipper-entered-by">
                                            {{ auth()->guard('company-admin')->user()->fullname ?? '' }}
                                        </p>
                                    </div>
                                    <div class="col-1">
                                        <p class="mt-2 font-weight-200 fs-14 shipper-updated">
                                            {{ \Carbon\Carbon::now()->format('m/d/Y') ?? '' }}
                                        </p>
                                    </div>
                                    <div class="col-3">
                                        <a href="javascript:void(0);" class="removeMoreAdditionalDocumentRow">
                                            <i class="fa text-theme-color fs-30 fa-minus-square"></i>
                                        </a>
                                    </div>
                                </div>
                            @endforeach
                        @else
                            <div class="row px-3 py-3 align-items-end">
                                <div class="col-5">
                                    <div class="form-group mb-0 d-flex align-items-center">
                                        <div class="pr-3">
                                            <h6 class="section-heading">Add Additional Required Documents</h6>
                                        </div>
                                        <div>
                                            <a href="javascript:void(0);" class="addMoreAdditionalDocumentRow">
                                                <i class="fa fa-plus-square text-theme-color fs-30"></i>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-1 text-center d-none required-documents-column-name">
                                    <div class="form-group mb-0">
                                        <label for="include-w-billing">Include W/Billing</label>
                                    </div>
                                </div>
                                <div class="col-1 text-center d-none required-documents-column-name">
                                    <div class="form-group mb-0">
                                        <label for="hide-from-driver">Hide From Driver</label>
                                    </div>
                                </div>
                                <div class="col-1 d-none required-documents-column-name">
                                    <div class="form-group mb-0">
                                        <label for="entered-by">Entered By</label>
                                    </div>
                                </div>
                                <div class="col-1 d-none required-documents-column-name">
                                    <div class="form-group mb-0">
                                        <label for="updated">Updated</label>
                                    </div>
                                </div>
                                <div class="col-3 d-none required-documents-column-name"></div>
                            </div>
                        @endif
                    {!! Form::close() !!}
                    <hr/>
                    <div class="row p-3">
                        <div class="col-md-12 text-right">
                            <ul>
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blueBr prev-step">Previous</button>
                                </li>
                                @if(isset($broker))
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blue next-step required-document-save" data-save-close="0">Save & Close</button>
                                    </li>
                                @endif
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blue next-step mr-2 required-document-save" data-save-close="1">Save & Next</button>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabDepartments">
                    <div class="row px-4 py-2 pt-3">
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('accounting', null, array('class' => 'form-control', 'id' => 'accounting', 'placeholder' => 'Accounting', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('after_hours', null, array('class' => 'form-control', 'id' => 'after-hours', 'placeholder' => 'After Hours', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('asset_management', null, array('class' => 'form-control', 'id' => 'asset-management', 'placeholder' => 'Asset Management', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('billing', null, array('class' => 'form-control', 'id' => 'billing', 'placeholder' => 'Billing', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('board_of_directors', null, array('class' => 'form-control', 'id' => 'board-of-directors', 'placeholder' => 'Board of Directors', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('brokerage', null, array('class' => 'form-control', 'id' => 'brokerage', 'placeholder' => 'Brokerage', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('business_development', null, array('class' => 'form-control', 'id' => 'business-development', 'placeholder' => 'Business Development', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('claims', null, array('class' => 'form-control', 'id' => 'claims', 'placeholder' => 'Claims', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                    </div>
                    <div class="row px-4">
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('corporate_communications', null, array('class' => 'form-control', 'id' => 'corporate-communications', 'placeholder' => 'Corporate Communications', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('creative_services', null, array('class' => 'form-control', 'id' => 'creative-services', 'placeholder' => 'Creative Services', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('customer_development', null, array('class' => 'form-control', 'id' => 'customer-development', 'placeholder' => 'Customer Development', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('customer_experience', null, array('class' => 'form-control', 'id' => 'customer-experience', 'placeholder' => 'Customer Experience', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('customer_service', null, array('class' => 'form-control', 'id' => 'customer-service', 'placeholder' => 'Customer Service', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('dispatch', null, array('class' => 'form-control', 'id' => 'dispatch', 'placeholder' => 'Dispatch', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('engineering', null, array('class' => 'form-control', 'id' => 'engineering', 'placeholder' => 'Engineering', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('finance', null, array('class' => 'form-control', 'id' => 'finance', 'placeholder' => 'Finance', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                    </div>
                    <div class="row px-4">
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('general_management', null, array('class' => 'form-control', 'id' => 'general-management', 'placeholder' => 'General Management', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('human_resources', null, array('class' => 'form-control', 'id' => 'human-resources', 'placeholder' => 'Human Resources', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('information_technology', null, array('class' => 'form-control', 'id' => 'information-technology', 'placeholder' => 'Information Technology', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('insurance', null, array('class' => 'form-control', 'id' => 'insurance', 'placeholder' => 'Insurance', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('investor_relations', null, array('class' => 'form-control', 'id' => 'investor-relations', 'placeholder' => 'Investor Relations', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('legal', null, array('class' => 'form-control', 'id' => 'legal', 'placeholder' => 'Legal', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('marketing', null, array('class' => 'form-control', 'id' => 'marketing', 'placeholder' => 'Marketing', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('onboarding_team', null, array('class' => 'form-control', 'id' => 'onboarding-team', 'placeholder' => 'Onboarding Team', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                    </div>
                    <div class="row px-4">
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('operations', null, array('class' => 'form-control', 'id' => 'operations', 'placeholder' => 'Operations', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('product_management', null, array('class' => 'form-control', 'id' => 'product-management', 'placeholder' => 'product-management', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('production', null, array('class' => 'form-control', 'id' => 'production', 'placeholder' => 'Production', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('project_management_office', null, array('class' => 'form-control', 'id' => 'project-management-office', 'placeholder' => 'Project Management Office', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('purchasing', null, array('class' => 'form-control', 'id' => 'purchasing', 'placeholder' => 'Purchasing', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('quality_assurance', null, array('class' => 'form-control', 'id' => 'quality-assurance', 'placeholder' => 'Quality Assurance', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('recruiting', null, array('class' => 'form-control', 'id' => 'recruiting', 'placeholder' => 'Recruiting', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('risk_management', null, array('class' => 'form-control', 'id' => 'risk-management', 'placeholder' => 'Risk Management', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                    </div>
                    <div class="row px-4">
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('safety', null, array('class' => 'form-control', 'id' => 'safety', 'placeholder' => 'Safety', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('sales', null, array('class' => 'form-control', 'id' => 'sales', 'placeholder' => 'Sales', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('shop', null, array('class' => 'form-control', 'id' => 'shop', 'placeholder' => 'Shop', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('sourcing', null, array('class' => 'form-control', 'id' => 'sourcing', 'placeholder' => 'Sourcing', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('strategic_initiatives_programs', null, array('class' => 'form-control', 'id' => 'strategic-initiatives-programs', 'placeholder' => ' Strategic Initiatives & Programs', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('technology', null, array('class' => 'form-control', 'id' => 'technology', 'placeholder' => 'Technology', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6">
                            <div class="form-group">
                                {!! Form::text('transport', null, array('class' => 'form-control', 'id' => 'transport', 'placeholder' => 'Transport', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-xxl col-lg-3 col-md-4 col-sm-6"></div>
                    </div>
                    <hr/>
                    <div class="row p-3">
                        <div class="col-md-12 text-right">
                            <ul>
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blueBr prev-step">Previous</button>
                                </li>
                                @if(isset($broker))
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blue next-step departments-save" data-save-close="0">Save & Close</button>
                                    </li>
                                @endif
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blue next-step mr-2 departments-save" data-save-close="1">Save & Next</button>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabContacts">
                    {!! Form::open(['files' => 'true', 'autocomplete'  => 'off', 'name' => 'contacts-tab', 'id' => 'contacts-tab']) !!}
                        <input type="hidden" class="broker-id" name="broker_id" value="{{ $broker->id ?? ''}}">
                        <input type="hidden" class="is-create-rep" name="is_create_rep" value="0">
                        {{--<input type="hidden" name="dummy_id" value="{{ $dummy_id }}">--}}
                        <div class="contacts-tab-heding @if(isset($broker) && count($broker->broker_contact) > 0) border-bottom @endif px-3">
                            <div class="col-md-12 px-0">
                                <div class="form-group mb-0 d-flex align-items-center">
                                    <div class="pr-3">
                                        <h6 class="section-heading">Contacts</h6>
                                    </div>
                                    <div>
                                        <a href="javascript:void(0);" class="addMoreContactRow">
                                            <i class="fa fa-plus-square text-theme-color fs-30"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div id="contacts-wrapper">
                            @if(isset($broker) && count($broker->broker_contact) > 0)
                                @foreach($broker->broker_contact as $brokerContact)
                                    <div class="row px-3 py-2 pt-3" data-last-index="{{$loop->index}}">
                                        <input type="hidden" name="contacts[{{$loop->index}}][id]" value="{{ $brokerContact->id ?? null }}">
                                        <div class="col-2 pr-1">
                                            <div class="form-group">
                                                <label for="first-name" class="form-label">First Name</label>
                                                {!! Form::text('contacts['.$loop->index.'][first_name]', $brokerContact->first_name ?? null, array('class' => 'form-control', 'placeholder' => 'Enter First Name')) !!}
                                            </div>
                                        </div>
                                        <div class="col-1 px-1">
                                            <div class="form-group">
                                                <label for="middle-name" class="form-label">Middle Name</label>
                                                {!! Form::text('contacts['.$loop->index.'][middle_name]', $brokerContact->middle_name ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Middle Name')) !!}
                                            </div>
                                        </div>
                                        <div class="col-2 px-1">
                                            <div class="form-group">
                                                <label for="last-name" class="form-label">Last Name</label>
                                                {!! Form::text('contacts['.$loop->index.'][last_name]', $brokerContact->last_name ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Last Name')) !!}
                                            </div>
                                        </div>
                                        <div class="col-4">
                                            <div class="row">
                                                <div class="col-lg-8 col-md-12 col-sm-6 px-1">
                                                    <div class="form-group">
                                                        <label for="department" class="form-label">Department</label>
                                                        {!! Form::select('contacts['.$loop->index.'][department][]', brokerDepartment(), $brokerContact->department ?? null, ['class' => 'form-control select2Multiple', 'multiple' => 'multiple']) !!}
                                                    </div>
                                                </div>
                                                <div class="col-lg-4 col-md-12 col-sm-6 px-1">
                                                    <div class="form-group">
                                                        <label for="phone-number" class="form-label">Phone NO.</label>
                                                        {!! Form::text('contacts['.$loop->index.'][phone_number]', $brokerContact->phone_number ?? null, array('class' => 'form-control phone', 'placeholder' => '(540) 230-8759')) !!}
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-3">
                                            <div class="row">
                                                <div class="col-lg-2 col-md-12 col-sm-6 px-1">
                                                    <div class="form-group">
                                                        <label for="ext" class="form-label">Ext</label>
                                                        {!! Form::text('contacts['.$loop->index.'][ext]', $brokerContact->ext ?? null, array('class' => 'form-control', 'placeholder' => 'Ext')) !!}
                                                    </div>
                                                </div>
                                                <div class="col-lg-5 col-md-12 col-sm-6 px-1">
                                                    <div class="form-group">
                                                        <label for="fax" class="form-label">Fax</label>
                                                        {!! Form::text('contacts['.$loop->index.'][fax]', $brokerContact->fax ?? null, array('class' => 'form-control phone', 'placeholder' => '(540) 230-8759')) !!}
                                                    </div>
                                                </div>
                                                <div class="col-lg-5 col-md-12 col-sm-6 px-1">
                                                    <div class="form-group">
                                                        <label for="cell-number" class="form-label">Cell Phone</label>
                                                        {!! Form::text('contacts['.$loop->index.'][cell_number]', $brokerContact->cell_number ?? null, array('class' => 'form-control phone', 'placeholder' => '(540) 230-8759')) !!}
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-2 px-1">
                                            <div class="form-group">
                                                <label for="contact-status" class="form-label">&nbsp;</label>
                                                {!! Form::select('contacts['.$loop->index.'][contact_status]', ['' => 'Select'] + brokerContactStatus(), $brokerContact->contact_status ?? 1, ['class' => 'form-control select2']) !!}
                                            </div>
                                        </div>

                                        <div class="col-2 pr-1">
                                            <div class="form-group">
                                                <label for=preferred-connections" class="form-label">Preferred Contact Method</label>
                                                {!! Form::select('contacts['.$loop->index.'][preferred_connections]', ['' => 'Select'] + brokerPreferredContactMethod(), $brokerContact->preferred_connections ?? null, ['class' => 'form-control select2']) !!}
                                            </div>
                                        </div>
                                        <div class="col-2 px-1">
                                            <div class="form-group">
                                                <label for="date-of-birth" class="form-label">Date Of Birth</label>
                                                <div class="input-group">
                                                    {!! Form::text('contacts['.$loop->index.'][date_of_birth]', $brokerContact->date_of_birth ?? null, array('class' => 'form-control datePicker', 'placeholder' => 'MM/DD/YYY')) !!}
                                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-2 px-1">
                                            <div class="form-group">
                                                <label for="start-date-work-anniversary" class="form-label">Start Date/Work-Anniversary</label>
                                                <div class="input-group">
                                                    {!! Form::text('contacts['.$loop->index.'][start_date_work_anniversary]', $brokerContact->start_date_work_anniversary ?? null, array('class' => 'form-control datePicker', 'placeholder' => 'MM/DD/YYY')) !!}
                                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-2 px-1">
                                            <div class="form-group">
                                                <label for="gender" class="form-label">Gender</label>
                                                {!! Form::select('contacts['.$loop->index.'][gender]', ['' => 'Select', '1' => 'Male', '2' => 'Female'], $brokerContact->gender ?? null, ['class' => 'form-control select2']) !!}
                                            </div>
                                        </div>
                                        <div class="col-1 px-1">
                                            <div class="form-group">
                                                <label for="suffix" class="form-label">Suffix</label>
                                                {!! Form::select('contacts['.$loop->index.'][suffix]', ['' => 'Select'] + brokerSuffix(), $brokerContact->suffix ?? null, ['class' => 'form-control select2']) !!}
                                            </div>
                                        </div>
                                        <div class="col-3 px-1">
                                            <div class="form-group">
                                                <div class="d-flex align-items-top justify-content-between">
                                                    <label for="email" class="form-label w-auto">Email</label>
                                                    <ul class="nav flex-column required-documents-check p-0 ml-xl-5">
                                                        <li class="p-0">
                                                            <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                                                {!! Form::checkbox('contacts['.$loop->index.'][is_invite]', 1, $brokerContact->is_invite ?? null, array('class' => 'custom-control-input', 'id' => 'is-invite-'.$loop->index)) !!}
                                                                <label class="custom-control-label text-theme-color" for="is-invite-{{$loop->index}}">Send ProChat Messenger Invite</label>
                                                            </div>
                                                        </li>
                                                    </ul>
                                                </div>
                                                {!! Form::text('contacts['.$loop->index.'][email]', $brokerContact->email ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Email', 'data-parsley-type' => 'email')) !!}
                                            </div>
                                        </div>
                                        <div class="col-3" style="max-width: 22%;">
                                            <div class="row align-items-center">
                                                <div class="col-md-7 px-1">
                                                    <div class="form-group">
                                                        <label for="pro-chat-id" class="form-label">ProChat ID</label>
                                                        {!! Form::text('contacts['.$loop->index.'][pro_chat_id]', $brokerContact->pro_chat_id ?? null, array('class' => 'form-control', 'placeholder' => 'ProChat ID', 'readonly' => 'readonly')) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-2 px-1">
                                                    @if(!is_null($brokerContact->representative_profile_img))
                                                        <div class="contact-file-upload">
                                                            <input type='file' name='contacts[{{ $loop->index }}][representative_profile_img]' id="representative-profile-img-{{ $loop->index }}" accept=".png, .jpg, .jpeg" />
                                                            <label for="representative-profile-img-{{ $loop->index }}" title="Update Profile Picture" class="uploaded"></label>
                                                        </div>
                                                    @else
                                                        <div class="contact-file-upload">
                                                            <input type='file' name='contacts[{{ $loop->index }}][representative_profile_img]' id="representative-profile-img-{{ $loop->index }}" accept=".png, .jpg, .jpeg" />
                                                            <label for="representative-profile-img-{{ $loop->index }}" title="Update Profile Picture" class=""></label>
                                                        </div>
                                                    @endif
                                                    {{--
                                                    <div class="upload-element">
                                                        <i class="fa fa-picture-o mt-0 gallary-edit {{checkeGalleryFileUpload($broker->id, 'contact_file_'.$loop->index)}} contactFile" aria-hidden="true" data-id="{{$broker->id ?? $dummy_id}}" data-source="brokers" data-field="contact_file_{{$loop->index}}" data-toggle="modal" data-target="#galleryModal" title="Contact File"></i>
                                                    </div>
                                                    --}}
                                                </div>
                                                <div class="col-md-3 px-1">
                                                    <a href="javascript:void(0);" class="removeMoreContactRow">
                                                        <i class="fa fa-minus-square text-theme-color fs-30 mt-2"></i>
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                @endforeach
                            @endif
                        </div>
                        <hr/>
                        <div class="row p-3">
                            <div class="col-md-12 text-right">
                                <ul>
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blueBr prev-step">Previous</button>
                                    </li>
                                    @if(isset($broker))
                                        <li class="list-inline-item">
                                            <button type="button" class="btn btn-blue next-step contacts-save" data-save-close="0">Save & Close</button>
                                        </li>
                                    @endif
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blue next-step mr-2 contacts-save" data-save-close="1">Save & Next</button>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    {!! Form::close() !!}
                </div>
                <div class="tab-pane" role="tabpanel" id="tabNotificationCenter">
                    {!! Form::open(['files' => 'true', 'autocomplete'  => 'off', 'name' => 'notification-center-tab', 'id' => 'notification-center-tab']) !!}
                        <input type="hidden" class="broker-id" name="broker_id" value="{{ $broker->id ?? ''}}">
                        <div class="row px-3 py-2 pt-3">
                            <div class="col-md-12 mb-2">
                                <div class="form-group mb-0 d-flex align-items-center">
                                    <div class="pr-3">
                                        <h6 class="section-heading">Standard Notification</h6>
                                    </div>
                                    <div>
                                        <a href="javascript:void(0);" class="addMoreStandardNotificationRow">
                                            <i class="fa fa-plus-square text-theme-color fs-30"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="table-responsive">
                                    <table class="table thead-small tbody-small td-border-none mt-0" id="standard-notification-table">
                                        <thead class="bg-white @if(isset($broker)) @if(count($broker->standard_notification) == 0) d-none @endif  @else d-none @endif">
                                            <tr>
                                                <th>On/Off</th>
                                                <th>Auto Notification Type</th>
                                                <th>Communication Type</th>
                                                <th>Notify</th>
                                                <th>Entered By</th>
                                                <th>Updated</th>
                                                <th></th>
                                            </tr>
                                        </thead>
                                        <tbody id="standard-notification-wrapper">
                                            @if(isset($broker) && count($broker->standard_notification) > 0)
                                                @foreach($broker->standard_notification as $standardNotification)
                                                    <tr>
                                                        <td class="align-center">
                                                            <div class="form-check p-0 m-0 only-checkbox">
                                                                {!! Form::checkbox('standard_notification['.$loop->index.'][on_off]', 1, $standardNotification['on_off'] ?? null, array('class' => 'form-check-input', 'id' => 'standard-notification-on-off-'.$loop->index)) !!}
                                                                <label class="form-check-label ml-0" for="standard-notification-on-off-{{$loop->index}}"></label>
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="form-group mb-0">
                                                                {!! Form::select('standard_notification['.$loop->index.'][type]', ['' => 'Select'] + brokerStandardNotificationTypes(), $standardNotification['type'] ?? null, ['class' => 'form-control standardNotificationType select2']) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            {!! Form::select('standard_notification['.$loop->index.'][communication_type]', ['' => 'Select'] + brokerStandardNotificationCommunicationTypes(), $standardNotification['communication_type'] ?? null, ['class' => 'form-control standardNotificationCommunicationType select2']) !!}
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="form-group mb-0">
                                                                {!! Form::select('standard_notification['.$loop->index.'][notify][]', getBrokerContactsOptions('broker', $broker->id) ?? [], $standardNotification['notify'] ?? null, ['class' => 'form-control standardNotificationNotify select2Multiple', 'multiple' => 'multiple']) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            <p class="font-weight-200 fs-14 entered-by">
                                                                {{ auth()->guard('company-admin')->user()->fullname ?? '' }}
                                                            </p>
                                                        </td>
                                                        <td class="align-center">
                                                            <p class="font-weight-200 fs-14 updated">
                                                                {{ \Carbon\Carbon::now()->format('m/d/Y') ?? '' }}
                                                            </p>
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="d-flex align-items-center justify-content-end">
                                                                <a href="javascript:void(0);" class="removeMoreStandardNotificationRow">
                                                                    <i class="fa fa-minus-square text-theme-color fs-30"></i>
                                                                </a>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                @endforeach
                                            @endif
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row px-3 py-2 pt-3">
                            <div class="col-md-12 mb-2">
                                <div class="form-group mb-0 d-flex align-items-center">
                                    <div class="pr-3">
                                        <h6 class="section-heading">Geofense Notification</h6>
                                    </div>
                                    <div>
                                        <a href="javascript:void(0);" class="addMoreGeofenseNotificationRow">
                                            <i class="fa fa-plus-square text-theme-color fs-30"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="table-responsive">
                                    <table class="table thead-small tbody-small td-border-none mt-0" id="geofense-notification-table">
                                        <thead class="bg-white @if(isset($broker)) @if(count($broker->geofense_notification) == 0) d-none @endif  @else d-none @endif">
                                            <tr>
                                                <th>On/Off</th>
                                                <th>Radius</th>
                                                <th class="same-width">Location</th>
                                                <th class="same-width">Auto Notification Type</th>
                                                <th class="same-width">Notify</th>
                                                <th class="same-width">Communication Type</th>
                                                <th>Contact</th>
                                                <th>Entered By</th>
                                                <th>Updated</th>
                                                <th></th>
                                            </tr>
                                        </thead>
                                        <tbody id="geofense-notification-wrapper">
                                            @if(isset($broker) && count($broker->geofense_notification) > 0)
                                                @foreach($broker->geofense_notification as $geofenseNotification)
                                                    <tr>
                                                        <td class="align-center">
                                                            <div class="form-check p-0 m-0 only-checkbox">
                                                                {!! Form::checkbox('geofense_notification['.$loop->index.'][on_off]', 1, $geofenseNotification['on_off'] ?? null, array('class' => 'form-check-input', 'id' => 'geofense-notification-on-off-'.$loop->index)) !!}
                                                                <label class="form-check-label ml-0" for="geofense-notification-on-off-{{$loop->index}}"></label>
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="input-group post-append">
                                                                {!! Form::number('geofense_notification['.$loop->index.'][radius]', $geofenseNotification['radius'] ?? null, array('class' => 'form-control radius-miles number', 'min' => 0, 'step' => .01, 'placeholder' => '0.00')) !!}
                                                                <div class="input-group-append">
                                                                    <div class="input-group-text">Miles</div>
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td class="align-center same-width">
                                                            <div class="form-group mb-0">
                                                                {!! Form::select('geofense_notification['.$loop->index.'][location]', ['' => 'Select'] +  brokerGeofenseNotificationLocation(), $geofenseNotification['location'] ?? null, ['class' => 'form-control geofenseNotificationLocation select2']) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-center same-width">
                                                            <div class="form-group mb-0">
                                                                {!! Form::select('geofense_notification['.$loop->index.'][type]', ['' => 'Select'] + brokerGeofenseNotificationTypes(), $geofenseNotification['type'] ?? null, ['class' => 'form-control geofenseNotificationType select2']) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-center same-width">
                                                            <div class="form-group mb-0">
                                                                {!! Form::select('geofense_notification['.$loop->index.'][notify]', ['' => 'Select'] + brokerGeofenseNotificationNotify(), $geofenseNotification['notify'] ?? null, ['class' => 'form-control geofenseNotificationNotify select2']) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-center same-width">
                                                            <div class="form-group mb-0">
                                                                {!! Form::select('geofense_notification['.$loop->index.'][communication_type]', ['' => 'Select'] + brokerGeofenseNotificationCommunicationTypes(), $geofenseNotification['communication_type'] ?? null, ['class' => 'form-control geofenseNotificationCommunicationType select2']) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="form-group mb-0">
                                                                {!! Form::select('geofense_notification['.$loop->index.'][contact][]', getBrokerContactsOptions('broker', $broker->id) ?? [], $geofenseNotification['contact'] ?? null, ['class' => 'form-control geofenseNotificationContact select2Multiple', 'multiple' => 'multiple']) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            <p class="font-weight-200 fs-14 entered-by">
                                                                {{ auth()->guard('company-admin')->user()->fullname ?? '' }}
                                                            </p>
                                                        </td>
                                                        <td class="align-center">
                                                            <p class="font-weight-200 fs-14 updated">
                                                                {{ \Carbon\Carbon::now()->format('m/d/Y') ?? '' }}
                                                            </p>
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="d-flex align-items-center justify-content-end">
                                                                <a href="javascript:void(0);" class="removeMoreGeofenseNotificationRow">
                                                                    <i class="fa fa-minus-square text-theme-color fs-30"></i>
                                                                </a>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                @endforeach
                                            @endif
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row px-3 py-2 pt-3">
                            <div class="col-md-12 mb-2">
                                <div class="form-group mb-0 d-flex align-items-top">
                                    <div class="pr-3">
                                        <h6 class="section-heading">EDI Notifications</h6>
                                        <a href="javascript:void(0);" class="text-theme-color fs-14 fw-600">Setup EDI Portal</a>
                                    </div>
                                    <div>
                                        <a href="javascript:void(0);" class="addMoreEdiNotificationRow">
                                            <i class="fa fa-plus-square text-theme-color fs-30"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-8">
                                <div class="table-responsive">
                                    <table class="table thead-small tbody-small td-border-none mt-0" id="edi-notification-table">
                                        <thead class="bg-white @if(isset($broker)) @if(count($broker->edi_notification) == 0) d-none @endif  @else d-none @endif">
                                            <tr>
                                                <th>On/Off</th>
                                                <th>Notify</th>
                                                <th>Entered By</th>
                                                <th>Updated</th>
                                                <th></th>
                                            </tr>
                                        </thead>
                                        <tbody id="edi-notification-wrapper">
                                            @if(isset($broker) && count($broker->edi_notification) > 0)
                                                @foreach($broker->edi_notification as $ediNotification)
                                                    <tr>
                                                        <td class="align-center">
                                                            <div class="form-check p-0 m-0 only-checkbox">
                                                                {!! Form::checkbox('edi_notification['.$loop->index.'][on_off]', 1, $ediNotification['on_off'] ?? null, array('class' => 'form-check-input', 'id' => 'edi-notification-on-off-'.$loop->index)) !!}
                                                                <label class="form-check-label ml-0" for="edi-notification-on-off-{{$loop->index}}"></label>
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="form-group mb-0">
                                                                {!! Form::select('edi_notification['.$loop->index.'][notify][]', getCompanyAdminListByCompany(), $ediNotification['notify'] ?? null, ['class' => 'form-control ediNotificationNotify select2Multiple', 'multiple' => 'multiple']) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            <p class="font-weight-200 fs-14 entered-by">
                                                                {{ auth()->guard('company-admin')->user()->fullname ?? '' }}
                                                            </p>
                                                        </td>
                                                        <td class="align-center">
                                                            <p class="font-weight-200 fs-14 updated">
                                                                {{ \Carbon\Carbon::now()->format('m/d/Y') ?? '' }}
                                                            </p>
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="d-flex align-items-center justify-content-end">
                                                                <a href="javascript:void(0);" class="removeMoreEdiNotificationRow">
                                                                    <i class="fa fa-minus-square text-theme-color fs-30"></i>
                                                                </a>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                @endforeach
                                            @endif
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row px-3 py-2 pt-3">
                            <div class="col-md-12 mb-2">
                                <div class="form-group mb-0 d-flex align-items-center">
                                    <div class="pr-3">
                                        <h6 class="section-heading">Integration Notifications</h6>
                                    </div>
                                    <div>
                                        <a href="javascript:void(0);" class="addMoreIntegrationNotificationRow">
                                            <i class="fa fa-plus-square text-theme-color fs-30"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="table-responsive">
                                    <table class="table thead-small tbody-small td-border-none mt-0" id="integration-notification-table">
                                        <thead class="bg-white @if(isset($broker)) @if(count($broker->integration_notification) == 0) d-none @endif  @else d-none @endif">
                                        <tr>
                                            <th>On/Off</th>
                                            <th>Integration Partner</th>
                                            <th>Notification Type</th>
                                            <th>Company Wide</th>
                                            <th>Notify</th>
                                            <th></th>
                                        </tr>
                                        </thead>
                                        <tbody id="integration-notification-wrapper">
                                            @if(isset($broker) && count($broker->integration_notification) > 0)
                                                @foreach($broker->integration_notification as $integrationNotification)
                                                    <tr>
                                                        <td class="align-center">
                                                            <div class="form-check p-0 m-0 only-checkbox">
                                                                {!! Form::checkbox('integration_notification['.$loop->index.'][on_off]', 1, $integrationNotification['on_off'] ?? null, array('class' => 'form-check-input', 'id' => 'integration-notification-on-off-'.$loop->index)) !!}
                                                                <label class="form-check-label ml-0" for="integration-notification-on-off-{{$loop->index}}"></label>
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            {!! Form::select('integration_notification['.$loop->index.'][partner]', ['' => 'Select'] + brokerIntegrationNotificationPartners(), $integrationNotification['partner'] ?? null, ['class' => 'form-control integrationNotificationPartner select2']) !!}
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="form-group mb-0">
                                                                {!! Form::select('integration_notification['.$loop->index.'][type]', ['' => 'Select'] + brokerIntegrationNotificationTypes(), $integrationNotification['type'] ?? null, ['class' => 'form-control integrationNotificationType select2']) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="form-group mb-0">
                                                                {!! Form::select('integration_notification['.$loop->index.'][company_wide]', ['' => 'Select', '0' => 'No', '1' => 'Yes'], $integrationNotification['company_wide'] ?? null, ['class' => 'form-control integrationNotificationCompanyWide select2', 'data-no-search' => 'true']) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="form-group mb-0">
                                                                {!! Form::select('integration_notification['.$loop->index.'][notify][]', getCompanyAdminListByCompany(), $integrationNotification['notify'] ?? null, ['class' => 'form-control integrationNotificationNotify select2Multiple', 'multiple' => 'multiple']) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="d-flex align-items-center justify-content-end">
                                                                <a href="javascript:void(0);" class="removeMoreIntegrationNotificationRow">
                                                                    <i class="fa fa-minus-square text-theme-color fs-30"></i>
                                                                </a>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                @endforeach
                                            @endif
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row p-3">
                            <div class="col-md-12 text-right">
                                <ul>
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blueBr prev-step">Previous</button>
                                    </li>
                                    @if(isset($broker))
                                        <li class="list-inline-item">
                                            <button type="button" class="btn btn-blue next-step notification-center-save" data-save-close="0">Save & Close</button>
                                        </li>
                                    @endif
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blue next-step mr-2 notification-center-save" data-save-close="1">Save & Next</button>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    {!! Form::close() !!}
                </div>
                <div class="tab-pane" role="tabpanel" id="tabCustomerNotes">
                    {!! Form::open(['files' => 'true', 'autocomplete'  => 'off', 'name' => 'customer-notes-tab', 'id' => 'customer-notes-tab']) !!}
                        <input type="hidden" class="broker-id" name="broker_id" value="{{ $broker->id ?? ''}}">
                        <div class="row px-3 py-2 pt-3">
                            <div class="col-md-12 broker-content">
                                <div class="table-responsive">
                                    <table class="table thead-small tbody-small td-border-none mt-0" id="customer-notes-table">
                                        <thead class="bg-white">
                                            <tr>
                                                <th>Add To</th>
                                                <th>Text Box</th>
                                                <th></th>
                                            </tr>
                                        </thead>
                                        <tbody id="customer-notes-wrapper">
                                            @if(isset($broker) && $broker->customer_notes->count() > 0)
                                                @foreach($broker->customer_notes as $customerNote)
                                                    <tr>
                                                        <td class="align-top">
                                                            <div class="form-group">
                                                                {!! Form::select('customer-notes['.$loop->index.'][add_to][]', getBrokerCustomerNotesAddTo(), $customerNote->add_to ?? null, ['class' => 'form-control customerNotesAddTo select2Multiple', 'multiple' => 'multiple']) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-top">
                                                            <div class="form-group position-relative">
                                                                {!! Form::textarea('customer-notes['.$loop->index.'][notes]', $customerNote->notes ?? null, array('class' => 'form-control customer-note-textarea', 'placeholder' => 'Enter Notes', 'rows' => '6', 'id' => 'customer-note-textarea-'.$loop->index)) !!}
                                                                {{--
                                                                <a href="javascript:void(0);" class="position-absolute color-circle-txt">
                                                                    <img src="{{ asset('theme/images/color-circle.svg') }}" alt="color circle" class="img-fluid">
                                                                </a>
                                                                --}}
                                                                <span class="d-block text-right fw-600 fs-14 customer-notes-characters-left-text" id="customer-notes-characters-left-text-{{$loop->index}}">Characters Left: 500</span>
                                                            </div>
                                                        </td>
                                                        <td class="align-top">
                                                            <div class="d-flex align-items-center justify-content-center pt-2">
                                                                @if($loop->index == 0)
                                                                    <a href="javascript:void(0);" class="addMoreCustomerNotesRow">
                                                                        <i class="fa fa-plus-square text-theme-color fs-30"></i>
                                                                    </a>
                                                                @else
                                                                    <a href="javascript:void(0);" class="removeMoreCustomerNotesRow">
                                                                        <i class="fa fa-minus-square text-theme-color fs-30"></i>
                                                                    </a>
                                                                @endif
                                                            </div>
                                                        </td>
                                                    </tr>
                                                @endforeach
                                            @else
                                                <tr>
                                                    <td class="align-top">
                                                        <div class="form-group">
                                                            {!! Form::select('customer-notes[0][add_to][]', getBrokerCustomerNotesAddTo(), null, ['class' => 'form-control customerNotesAddTo select2Multiple', 'multiple' => 'multiple']) !!}
                                                        </div>
                                                    </td>
                                                    <td class="align-top">
                                                        <div class="form-group position-relative">
                                                            {!! Form::textarea('customer-notes[0][notes]', null, array('class' => 'form-control customer-note-textarea', 'placeholder' => 'Enter Notes', 'rows' => '6', 'id' => 'customer-note-textarea-0')) !!}
                                                            {{--
                                                            <a href="javascript:void(0);" class="position-absolute color-circle-txt d-none">
                                                                <img src="{{ asset('theme/images/color-circle.svg') }}" alt="color circle" class="img-fluid">
                                                            </a>
                                                            --}}
                                                            <span class="d-block text-right fw-600 fs-14 customer-notes-characters-left-text" id="customer-notes-characters-left-text-0">Characters Left: 500</span>
                                                        </div>
                                                    </td>
                                                    <td class="align-top">
                                                        <div class="d-flex align-items-center justify-content-center pt-2">
                                                            <a href="javascript:void(0);" class="addMoreCustomerNotesRow">
                                                                <i class="fa fa-plus-square text-theme-color fs-30"></i>
                                                            </a>
                                                        </div>
                                                    </td>
                                                </tr>
                                            @endif
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row p-3">
                            <div class="col-md-12 text-right">
                                <ul>
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blueBr prev-step" onclick="getContacts();">Previous</button>
                                    </li>
                                    @if(isset($broker))
                                        <li class="list-inline-item">
                                            <button type="button" class="btn btn-blue next-step customer-notes-save" data-save-close="0">Save & Close</button>
                                        </li>
                                    @endif
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blue next-step mr-2 customer-notes-save" data-save-close="1">Save & Next</button>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    {!! Form::close() !!}
                </div>
                <div class="tab-pane" role="tabpanel" id="tabCustomerFiles">
                    {!! Form::open(['files' => 'true', 'autocomplete'  => 'off', 'name' => 'customer-files-tab', 'id' => 'customer-files-tab']) !!}
                        <input type="hidden" class="broker-id" name="broker_id" value="{{ $broker->id ?? ''}}">
                        <input type="hidden" name="dummy_id" value="{{ $dummy_id }}">
                        <div class="row px-3 py-2 pt-3">
                            <div class="col-md-12 mb-2">
                                <div class="form-group mb-0 d-flex align-items-center">
                                    <div class="pr-3">
                                        <h6 class="section-heading">Contracts</h6>
                                    </div>
                                    <div>
                                        <a href="javascript:void(0);" class="addMoreCustomerFilesContractsRow">
                                            <i class="fa fa-plus-square text-theme-color fs-30"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="table-responsive">
                                    <table class="table thead-small tbody-small td-border-none mt-0" id="customer-files-contracts-table">
                                        <thead class="bg-white @if(isset($broker)) @if($broker->customer_files('1')->count() == 0) d-none @endif  @else d-none @endif">
                                            <tr>
                                                <th>File name</th>
                                                <th>Status</th>
                                                <th>Start Date</th>
                                                <th>End Date</th>
                                                <th>Submitted To</th>
                                                <th>Submission Date</th>
                                                <th>Submitted By</th>
                                                <th></th>
                                            </tr>
                                        </thead>
                                        <tbody id="customer-files-contracts-wrapper">
                                            @if(isset($broker) && $broker->customer_files('1')->count() > 0)
                                                @foreach($broker->customer_files('1')->get() as $brokerContracts)
                                                    <tr>
                                                        <td class="align-center">
                                                            <div class="form-group mb-0">
                                                                {!! Form::text('contracts['.$loop->index.'][name]', $brokerContracts->name ?? null, array('class' => 'form-control', 'placeholder' => 'Enter File name')) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="form-group mb-0">
                                                                {!! Form::select('contracts['.$loop->index.'][status]', ['' => 'Select'] + brokerCustomerFileStatus(), $brokerContracts->status ?? null, ['class' => 'form-control contractsStatus']) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-center td-calender">
                                                            <div class="form-group mb-0">
                                                                <div class="input-group">
                                                                    {!! Form::text('contracts['.$loop->index.'][start_date]', $brokerContracts->start_date ?? null, array('class' => 'form-control datePicker', 'placeholder' => 'MM/DD/YYY')) !!}
                                                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td class="align-center td-calendar">
                                                            <div class="form-group mb-0">
                                                                <div class="input-group">
                                                                    {!! Form::text('contracts['.$loop->index.'][end_date]', $brokerContracts->end_date ?? null, array('class' => 'form-control datePicker', 'placeholder' => 'MM/DD/YYY')) !!}
                                                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="form-group mb-0">
                                                                {!! Form::select('contracts['.$loop->index.'][submitted_to][]', getBrokerContactsOptions('broker', $broker->id) ?? [], $brokerContracts->submitted_to ?? null, ['class' => 'form-control contractsSubmittedTo select2Multiple', 'multiple' => 'multiple']) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-center td-calendar">
                                                            <div class="form-group mb-0">
                                                                <div class="input-group">
                                                                    {!! Form::text('contracts['.$loop->index.'][submission_date]', $brokerContracts->submission_date ?? null, array('class' => 'form-control datePicker', 'placeholder' => 'MM/DD/YYY')) !!}
                                                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="form-group mb-0">
                                                                {!! Form::text('contracts['.$loop->index.'][submitted_by]', auth()->guard('company-admin')->user()->full_name ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Submitted By', 'readonly' => 'readonly')) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="d-flex align-items-center justify-content-end">
                                                                <div class="upload-element">
                                                                    <i class="fa fa-picture-o pt-0 gallary-edit {{checkeGalleryFileUpload($broker->id, 'contract_file_'.$loop->index)}} contractsFile" aria-hidden="true" data-id="{{ $broker->id ?? $dummy_id }}" data-source="brokers" data-field="contract_file_{{$loop->index}}" data-toggle="modal" data-target="#galleryModal" title="Contract File"></i>
                                                                </div>
                                                                <a href="javascript:void(0);" class="removeMoreCustomerFilesContractsRow">
                                                                    <i class="fa fa-minus-square text-theme-color fs-30"></i>
                                                                </a>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                @endforeach
                                            @endif
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row px-3 py-2 pt-3">
                            <div class="col-md-12 mb-2">
                                <div class="form-group mb-0 d-flex align-items-center">
                                    <div class="pr-3">
                                        <h6 class="section-heading">Pricing</h6>
                                    </div>
                                    <div>
                                        <a href="javascript:void(0);" class="addMoreCustomerFilesPricingRow">
                                            <i class="fa fa-plus-square text-theme-color fs-30"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="table-responsive">
                                    <table class="table thead-small tbody-small td-border-none mt-0" id="customer-files-pricing-table">
                                        <thead class="bg-white @if(isset($broker)) @if($broker->customer_files('2')->count() == 0) d-none @endif  @else d-none @endif">
                                            <tr>
                                                <th>File name</th>
                                                <th>Status</th>
                                                <th>Start Date</th>
                                                <th>End Date</th>
                                                <th>Submitted To</th>
                                                <th>Submission Date</th>
                                                <th>Submitted By</th>
                                                <th></th>
                                            </tr>
                                        </thead>
                                        <tbody id="customer-files-pricing-wrapper">
                                            @if(isset($broker) && $broker->customer_files('2')->count() > 0)
                                                @foreach($broker->customer_files('2')->get() as $brokerPricing)
                                                    <tr>
                                                        <td class="align-center">
                                                            <div class="form-group mb-0">
                                                                {!! Form::text('pricing['.$loop->index.'][name]', $brokerPricing->name ?? null, array('class' => 'form-control', 'placeholder' => 'Enter File name')) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="form-group mb-0">
                                                                {!! Form::select('pricing['.$loop->index.'][status]', ['' => 'Select'] + brokerCustomerFileStatus(), $brokerPricing->status ?? null, ['class' => 'form-control pricingStatus']) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-center td-calender">
                                                            <div class="form-group mb-0">
                                                                <div class="input-group">
                                                                    {!! Form::text('pricing['.$loop->index.'][start_date]', $brokerPricing->start_date ?? null, array('class' => 'form-control datePicker', 'placeholder' => 'MM/DD/YYY')) !!}
                                                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td class="align-center td-calendar">
                                                            <div class="form-group mb-0">
                                                                <div class="input-group">
                                                                    {!! Form::text('pricing['.$loop->index.'][end_date]', $brokerPricing->end_date ?? null, array('class' => 'form-control datePicker', 'placeholder' => 'MM/DD/YYY')) !!}
                                                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="form-group mb-0">
                                                                {!! Form::select('pricing['.$loop->index.'][submitted_to][]', getBrokerContactsOptions('broker', $broker->id) ?? [], $brokerPricing->submitted_to ?? null, ['class' => 'form-control pricingSubmittedTo select2Multiple', 'multiple' => 'multiple']) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-center td-calendar">
                                                            <div class="form-group mb-0">
                                                                <div class="input-group">
                                                                    {!! Form::text('pricing['.$loop->index.'][submission_date]', $brokerPricing->submission_date ?? null, array('class' => 'form-control datePicker', 'placeholder' => 'MM/DD/YYY')) !!}
                                                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="form-group mb-0">
                                                                {!! Form::text('pricing['.$loop->index.'][submitted_by]', auth()->guard('company-admin')->user()->full_name ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Submitted By', 'readonly' => 'readonly')) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="d-flex align-items-center justify-content-end">
                                                                <div class="upload-element">
                                                                    <i class="fa fa-picture-o pt-0 gallary-edit {{checkeGalleryFileUpload($broker->id, 'pricing_file_'.$loop->index)}} pricingsFile" aria-hidden="true" data-id="{{ $broker->id ?? $dummy_id }}" data-source="brokers" data-field="pricing_file_{{$loop->index}}" data-toggle="modal" data-target="#galleryModal" title="Pricing File"></i>
                                                                </div>
                                                                <a href="javascript:void(0);" class="removeMoreCustomerFilesPricingRow">
                                                                    <i class="fa fa-minus-square text-theme-color fs-30"></i>
                                                                </a>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                @endforeach
                                            @endif
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row px-3 py-2 pt-3">
                            <div class="col-md-12 mb-2">
                                <div class="form-group mb-0 d-flex align-items-center">
                                    <div class="pr-3">
                                        <h6 class="section-heading">Fuel Tables</h6>
                                    </div>
                                    <div>
                                        <a href="javascript:void(0);" class="addMoreCustomerFilesFuelTableRow">
                                            <i class="fa fa-plus-square text-theme-color fs-30"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="table-responsive">
                                    <table class="table thead-small tbody-small td-border-none mt-0" id="customer-files-fuel-tables-table">
                                        <thead class="bg-white @if(isset($broker)) @if($broker->customer_files('3')->count() == 0) d-none @endif  @else d-none @endif">
                                            <tr>
                                                <th>File name</th>
                                                <th>Status</th>
                                                <th>Start Date</th>
                                                <th>End Date</th>
                                                <th>Submitted To</th>
                                                <th>Submission Date</th>
                                                <th>Submitted By</th>
                                                <th></th>
                                            </tr>
                                        </thead>
                                        <tbody id="customer-files-fuel-table-wrapper">
                                            @if(isset($broker) && $broker->customer_files('3')->count() > 0)
                                                @foreach($broker->customer_files('3')->get() as $fuelTables)
                                                    <tr>
                                                        <td class="align-center">
                                                            <div class="form-group mb-0">
                                                                {!! Form::text('fuelTables['.$loop->index.'][name]', $fuelTables->name ?? null, array('class' => 'form-control', 'placeholder' => 'Enter File name')) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="form-group mb-0">
                                                                {!! Form::select('fuelTables['.$loop->index.'][status]', ['' => 'Select'] + brokerCustomerFileStatus(), $fuelTables->status ?? null, ['class' => 'form-control fuelTablesStatus']) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-center td-calender">
                                                            <div class="form-group mb-0">
                                                                <div class="input-group">
                                                                    {!! Form::text('fuelTables['.$loop->index.'][start_date]', $fuelTables->start_date ?? null, array('class' => 'form-control datePicker', 'placeholder' => 'MM/DD/YYY')) !!}
                                                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td class="align-center td-calendar">
                                                            <div class="form-group mb-0">
                                                                <div class="input-group">
                                                                    {!! Form::text('fuelTables['.$loop->index.'][end_date]', $fuelTables->end_date ?? null, array('class' => 'form-control datePicker', 'placeholder' => 'MM/DD/YYY')) !!}
                                                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="form-group mb-0">
                                                                {!! Form::select('fuelTables['.$loop->index.'][submitted_to][]', getBrokerContactsOptions('broker', $broker->id) ?? [], $fuelTables->submitted_to ?? null, ['class' => 'form-control fuelTablesSubmittedTo select2Multiple', 'multiple' => 'multiple']) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-center td-calendar">
                                                            <div class="form-group mb-0">
                                                                <div class="input-group">
                                                                    {!! Form::text('fuelTables['.$loop->index.'][submission_date]', $fuelTables->submission_date ?? null, array('class' => 'form-control datePicker', 'placeholder' => 'MM/DD/YYY')) !!}
                                                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="form-group mb-0">
                                                                {!! Form::text('fuelTables['.$loop->index.'][submitted_by]', auth()->guard('company-admin')->user()->full_name ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Submitted By', 'readonly' => 'readonly')) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="d-flex align-items-center justify-content-end">
                                                                <div class="upload-element">
                                                                    <i class="fa fa-picture-o pt-0 gallary-edit {{checkeGalleryFileUpload($broker->id, 'fuel_table_file_'.$loop->index)}} fuelTableFile" aria-hidden="true" data-id="{{ $broker->id ?? $dummy_id }}" data-source="brokers" data-field="fuel_table_file_{{$loop->index}}" data-toggle="modal" data-target="#galleryModal" title="Pricing File"></i>
                                                                </div>
                                                                <a href="javascript:void(0);" class="removeMoreCustomerFilesFuelTableRow">
                                                                    <i class="fa fa-minus-square text-theme-color fs-30"></i>
                                                                </a>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                @endforeach
                                            @endif
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row px-3 py-2 pt-3">
                            <div class="col-md-12 mb-2">
                                <div class="form-group mb-0 d-flex align-items-center">
                                    <div class="pr-3">
                                        <h6 class="section-heading">Quick Quotes</h6>
                                    </div>
                                    <div>
                                        <a href="javascript:void(0);" class="addMoreCustomerFilesQuickQuoteRow">
                                            <i class="fa fa-plus-square text-theme-color fs-30"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="table-responsive">
                                    <table class="table thead-small tbody-small td-border-none mt-0" id="customer-files-quick-quotes-table">
                                        <thead class="bg-white @if(isset($broker)) @if($broker->customer_files('4')->count() == 0) d-none @endif  @else d-none @endif">
                                            <tr>
                                                <th>File name</th>
                                                <th>Status</th>
                                                <th>Start Date</th>
                                                <th>End Date</th>
                                                <th>Submitted To</th>
                                                <th>Submission Date</th>
                                                <th>Submitted By</th>
                                                <th></th>
                                            </tr>
                                        </thead>
                                        <tbody id="customer-files-quick-quotes-wrapper">
                                            @if(isset($broker) && $broker->customer_files('4')->count() > 0)
                                                @foreach($broker->customer_files('4')->get() as $quickQuotes)
                                                    <tr>
                                                        <td class="align-center">
                                                            <div class="form-group mb-0">
                                                                {!! Form::text('quickQuotes['.$loop->index.'][name]', $quickQuotes->name ?? null, array('class' => 'form-control', 'placeholder' => 'Enter File name')) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="form-group mb-0">
                                                                {!! Form::select('quickQuotes['.$loop->index.'][status]', ['' => 'Select'] + brokerCustomerFileStatus(), $quickQuotes->status ?? null, ['class' => 'form-control quickQuotesStatus']) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-center td-calender">
                                                            <div class="form-group mb-0">
                                                                <div class="input-group">
                                                                    {!! Form::text('quickQuotes['.$loop->index.'][start_date]', $quickQuotes->start_date ?? null, array('class' => 'form-control datePicker', 'placeholder' => 'MM/DD/YYY')) !!}
                                                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td class="align-center td-calendar">
                                                            <div class="form-group mb-0">
                                                                <div class="input-group">
                                                                    {!! Form::text('quickQuotes['.$loop->index.'][end_date]', $quickQuotes->end_date ?? null, array('class' => 'form-control datePicker', 'placeholder' => 'MM/DD/YYY')) !!}
                                                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="form-group mb-0">
                                                                {!! Form::select('quickQuotes['.$loop->index.'][submitted_to][]', getBrokerContactsOptions('broker', $broker->id) ?? [], $quickQuotes->submitted_to ?? null, ['class' => 'form-control quickQuotesSubmittedTo select2Multiple', 'multiple' => 'multiple']) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-center td-calendar">
                                                            <div class="form-group mb-0">
                                                                <div class="input-group">
                                                                    {!! Form::text('quickQuotes['.$loop->index.'][submission_date]', $quickQuotes->submission_date ?? null, array('class' => 'form-control datePicker', 'placeholder' => 'MM/DD/YYY')) !!}
                                                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="form-group mb-0">
                                                                {!! Form::text('quickQuotes['.$loop->index.'][submitted_by]', auth()->guard('company-admin')->user()->full_name ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Submitted By', 'readonly' => 'readonly')) !!}
                                                            </div>
                                                        </td>
                                                        <td class="align-center">
                                                            <div class="d-flex align-items-center justify-content-end">
                                                                <div class="upload-element">
                                                                    <i class="fa fa-picture-o pt-0 gallary-edit {{checkeGalleryFileUpload($broker->id, 'quick_quote_file_'.$loop->index)}} quickQuoteFile" aria-hidden="true" data-id="{{ $broker->id ?? $dummy_id }}" data-source="brokers" data-field="quick_quote_file_{{$loop->index}}" data-toggle="modal" data-target="#galleryModal" title="Quick Quote File"></i>
                                                                </div>
                                                                <a href="javascript:void(0);" class="removeMoreCustomerFilesQuickQuoteRow">
                                                                    <i class="fa fa-minus-square text-theme-color fs-30"></i>
                                                                </a>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                @endforeach
                                            @endif
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row px-3 py-2 pt-3">
                            <div class="col-md-12 mb-2">
                                <div class="form-group mb-0 d-flex align-items-center">
                                    <div class="pr-3">
                                        <h6 class="section-heading">Performance Reviews</h6>
                                    </div>
                                    <div>
                                        <a href="javascript:void(0);" class="addMoreCustomerFilesPerformanceReviewRow">
                                            <i class="fa fa-plus-square text-theme-color fs-30"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="table-responsive">
                                    <table class="table thead-small tbody-small td-border-none mt-0" id="customer-files-performance-reviews-table">
                                        <thead class="bg-white @if(isset($broker)) @if($broker->customer_files('5')->count() == 0) d-none @endif  @else d-none @endif">
                                        <tr>
                                            <th>File name</th>
                                            <th>Status</th>
                                            <th>Start Date</th>
                                            <th>End Date</th>
                                            <th>Submitted To</th>
                                            <th>Submission Date</th>
                                            <th>Submitted By</th>
                                            <th></th>
                                        </tr>
                                        </thead>
                                        <tbody id="customer-files-performance-reviews-wrapper">
                                        @if(isset($broker) && $broker->customer_files('5')->count() > 0)
                                            @foreach($broker->customer_files('5')->get() as $performanceReviews)
                                                <tr>
                                                    <td class="align-center">
                                                        <div class="form-group mb-0">
                                                            {!! Form::text('performanceReviews['.$loop->index.'][name]', $performanceReviews->name ?? null, array('class' => 'form-control', 'placeholder' => 'Enter File name')) !!}
                                                        </div>
                                                    </td>
                                                    <td class="align-center">
                                                        <div class="form-group mb-0">
                                                            {!! Form::select('performanceReviews['.$loop->index.'][status]', ['' => 'Select'] + brokerCustomerFileStatus(), $performanceReviews->status ?? null, ['class' => 'form-control performanceReviewsStatus select2']) !!}
                                                        </div>
                                                    </td>
                                                    <td class="align-center td-calender">
                                                        <div class="form-group mb-0">
                                                            <div class="input-group">
                                                                {!! Form::text('performanceReviews['.$loop->index.'][start_date]', $performanceReviews->start_date ?? null, array('class' => 'form-control datePicker', 'placeholder' => 'MM/DD/YYY')) !!}
                                                                <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                            </div>
                                                        </div>
                                                    </td>
                                                    <td class="align-center td-calendar">
                                                        <div class="form-group mb-0">
                                                            <div class="input-group">
                                                                {!! Form::text('performanceReviews['.$loop->index.'][end_date]', $performanceReviews->end_date ?? null, array('class' => 'form-control datePicker', 'placeholder' => 'MM/DD/YYY')) !!}
                                                                <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                            </div>
                                                        </div>
                                                    </td>
                                                    <td class="align-center">
                                                        <div class="form-group mb-0">
                                                            {!! Form::select('performanceReviews['.$loop->index.'][submitted_to][]', getBrokerContactsOptions('broker', $broker->id) ?? [], $performanceReviews->submitted_to ?? null, ['class' => 'form-control performanceReviewsSubmittedTo select2Multiple', 'multiple' => 'multiple']) !!}
                                                        </div>
                                                    </td>
                                                    <td class="align-center td-calendar">
                                                        <div class="form-group mb-0">
                                                            <div class="input-group">
                                                                {!! Form::text('performanceReviews['.$loop->index.'][submission_date]', $performanceReviews->submission_date ?? null, array('class' => 'form-control datePicker', 'placeholder' => 'MM/DD/YYY')) !!}
                                                                <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                            </div>
                                                        </div>
                                                    </td>
                                                    <td class="align-center">
                                                        <div class="form-group mb-0">
                                                            {!! Form::text('performanceReviews['.$loop->index.'][submitted_by]', auth()->guard('company-admin')->user()->full_name ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Submitted By', 'readonly' => 'readonly')) !!}
                                                        </div>
                                                    </td>
                                                    <td class="align-center">
                                                        <div class="d-flex align-items-center justify-content-end">
                                                            <div class="upload-element">
                                                                <i class="fa fa-picture-o pt-0 gallary-edit {{checkeGalleryFileUpload($broker->id, 'performance_review_file_'.$loop->index)}} performanceReviewFile" aria-hidden="true" data-id="{{ $broker->id ?? $dummy_id }}" data-source="brokers" data-field="performance_review_file_{{$loop->index}}" data-toggle="modal" data-target="#galleryModal" title="Performance Review File"></i>
                                                            </div>
                                                            <a href="javascript:void(0);" class="removeMoreCustomerFilesPerformanceReviewRow">
                                                                <i class="fa fa-minus-square text-theme-color fs-30"></i>
                                                            </a>
                                                        </div>
                                                    </td>
                                                </tr>
                                            @endforeach
                                        @endif
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row px-3 py-2 pt-3">
                            <div class="col-md-12 mb-2">
                                <div class="form-group mb-0 d-flex align-items-center">
                                    <div class="pr-3">
                                        <h6 class="section-heading">Insurance Requirements</h6>
                                    </div>
                                    <div>
                                        <a href="javascript:void(0);" class="addMoreCustomerFilesInsuranceRequirementRow">
                                            <i class="fa fa-plus-square text-theme-color fs-30"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="table-responsive">
                                    <table class="table thead-small tbody-small td-border-none mt-0" id="customer-files-insurance-requirements-table">
                                        <thead class="bg-white @if(isset($broker)) @if($broker->customer_files('6')->count() == 0) d-none @endif  @else d-none @endif">
                                        <tr>
                                            <th>File name</th>
                                            <th>Status</th>
                                            <th>Start Date</th>
                                            <th>End Date</th>
                                            <th>Submitted To</th>
                                            <th>Submission Date</th>
                                            <th>Submitted By</th>
                                            <th></th>
                                        </tr>
                                        </thead>
                                        <tbody id="customer-files-insurance-requirements-wrapper">
                                        @if(isset($broker) && $broker->customer_files('6')->count() > 0)
                                            @foreach($broker->customer_files('6')->get() as $insuranceRequirements)
                                                <tr>
                                                    <td class="align-center">
                                                        <div class="form-group mb-0">
                                                            {!! Form::text('insuranceRequirements['.$loop->index.'][name]', $insuranceRequirements->name ?? null, array('class' => 'form-control', 'placeholder' => 'Enter File name')) !!}
                                                        </div>
                                                    </td>
                                                    <td class="align-center">
                                                        <div class="form-group mb-0">
                                                            {!! Form::select('insuranceRequirements['.$loop->index.'][status]', ['' => 'Select'] + brokerCustomerFileStatus(), $insuranceRequirements->status ?? null, ['class' => 'form-control insuranceRequirementsStatus']) !!}
                                                        </div>
                                                    </td>
                                                    <td class="align-center td-calender">
                                                        <div class="form-group mb-0">
                                                            <div class="input-group">
                                                                {!! Form::text('insuranceRequirements['.$loop->index.'][start_date]', $insuranceRequirements->start_date ?? null, array('class' => 'form-control datePicker', 'placeholder' => 'MM/DD/YYY')) !!}
                                                                <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                            </div>
                                                        </div>
                                                    </td>
                                                    <td class="align-center td-calendar">
                                                        <div class="form-group mb-0">
                                                            <div class="input-group">
                                                                {!! Form::text('insuranceRequirements['.$loop->index.'][end_date]', $insuranceRequirements->end_date ?? null, array('class' => 'form-control datePicker', 'placeholder' => 'MM/DD/YYY')) !!}
                                                                <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                            </div>
                                                        </div>
                                                    </td>
                                                    <td class="align-center">
                                                        <div class="form-group mb-0">
                                                            {!! Form::select('insuranceRequirements['.$loop->index.'][submitted_to][]', getBrokerContactsOptions('broker', $broker->id) ?? [], $insuranceRequirements->submitted_to ?? null, ['class' => 'form-control insuranceRequirementsSubmittedTo select2Multiple', 'multiple' => 'multiple']) !!}
                                                        </div>
                                                    </td>
                                                    <td class="align-center td-calendar">
                                                        <div class="form-group mb-0">
                                                            <div class="input-group">
                                                                {!! Form::text('insuranceRequirements['.$loop->index.'][submission_date]', $insuranceRequirements->submission_date ?? null, array('class' => 'form-control datePicker', 'placeholder' => 'MM/DD/YYY')) !!}
                                                                <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                            </div>
                                                        </div>
                                                    </td>
                                                    <td class="align-center">
                                                        <div class="form-group mb-0">
                                                            {!! Form::text('insuranceRequirements['.$loop->index.'][submitted_by]', auth()->guard('company-admin')->user()->full_name ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Submitted By', 'readonly' => 'readonly')) !!}
                                                        </div>
                                                    </td>
                                                    <td class="align-center">
                                                        <div class="d-flex align-items-center justify-content-end">
                                                            <div class="upload-element">
                                                                <i class="fa fa-picture-o pt-0 gallary-edit {{checkeGalleryFileUpload($broker->id, 'insurance_requirement_file_'.$loop->index)}} insuranceRequirementFile" aria-hidden="true" data-id="{{ $broker->id ?? $dummy_id }}" data-source="brokers" data-field="insurance_requirement_file_{{$loop->index}}" data-toggle="modal" data-target="#galleryModal" title="Insurance Requirement File"></i>
                                                            </div>
                                                            <a href="javascript:void(0);" class="removeMoreCustomerFilesInsuranceRequirementRow">
                                                                <i class="fa fa-minus-square text-theme-color fs-30"></i>
                                                            </a>
                                                        </div>
                                                    </td>
                                                </tr>
                                            @endforeach
                                        @endif
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row p-3">
                            <div class="col-md-12 text-right">
                                <ul>
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blueBr prev-step">Previous</button>
                                    </li>
                                    @if(isset($broker))
                                        <li class="list-inline-item">
                                            <button type="button" class="btn btn-blue next-step customer-files-save" data-save-close="0">Save & Close</button>
                                        </li>
                                    @endif
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blue next-step mr-2 customer-files-save" data-save-close="1">Save & Next</button>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    {!! Form::close() !!}
                </div>
                <div class="tab-pane" role="tabpanel" id="tabInternalNotes">
                    {!! Form::open(['files' => 'true', 'autocomplete'  => 'off', 'name' => 'internal-notes-tab', 'id' => 'internal-notes-tab']) !!}
                        <input type="hidden" class="broker-id" name="broker_id" value="{{ $broker->id ?? ''}}">
                        <div class="row px-3 py-2 pt-3">
                            <div class="col-md-12 broker-content">
                                <div class="table-responsive">
                                    <table class="table thead-small tbody-small td-border-none mt-0" id="internal-notes-table">
                                        <thead class="bg-white">
                                        <tr>
                                            <th>Add To</th>
                                            <th>Text Box</th>
                                            <th></th>
                                        </tr>
                                        </thead>
                                        <tbody id="internal-notes-wrapper">
                                        @if(isset($broker) && $broker->internal_notes->count() > 0)
                                            @foreach($broker->internal_notes as $internalNote)
                                                <tr>
                                                    <td class="align-top">
                                                        <div class="form-group">
                                                            {!! Form::select('internal-notes['.$loop->index.'][add_to][]', getBrokerCustomerNotesAddTo(), $internalNote->add_to ?? null, ['class' => 'form-control internalNotesAddTo select2Multiple', 'multiple' => 'multiple']) !!}
                                                        </div>
                                                    </td>
                                                    <td class="align-top">
                                                        <div class="form-group position-relative">
                                                            {!! Form::textarea('internal-notes['.$loop->index.'][notes]', $internalNote->notes ?? null, array('class' => 'form-control internal-note-textarea', 'placeholder' => 'Enter Notes', 'rows' => '6', 'id' => 'internal-note-textarea-'.$loop->index)) !!}
                                                            {{--
                                                            <a href="javascript:void(0);" class="position-absolute color-circle-txt">
                                                                <img src="{{ asset('theme/images/color-circle.svg') }}" alt="color circle" class="img-fluid">
                                                            </a>
                                                            --}}
                                                            <span class="d-block text-right fw-600 fs-14 internal-notes-characters-left-text" id="internal-notes-characters-left-text-{{$loop->index}}">Characters Left: 500</span>
                                                        </div>
                                                    </td>
                                                    <td class="align-top">
                                                        <div class="d-flex align-items-center justify-content-center pt-2">
                                                            @if($loop->index == 0)
                                                                <a href="javascript:void(0);" class="addMoreInternalNotesRow">
                                                                    <i class="fa fa-plus-square text-theme-color fs-30"></i>
                                                                </a>
                                                            @else
                                                                <a href="javascript:void(0);" class="removeMoreInternalNotesRow">
                                                                    <i class="fa fa-minus-square text-theme-color fs-30"></i>
                                                                </a>
                                                            @endif
                                                        </div>
                                                    </td>
                                                </tr>
                                            @endforeach
                                        @else
                                            <tr>
                                                <td class="align-top">
                                                    <div class="form-group">
                                                        {!! Form::select('internal-notes[0][add_to][]', getBrokerInternalNotesAddTo(), null, ['class' => 'form-control internalNotesAddTo select2Multiple', 'multiple' => 'multiple']) !!}
                                                    </div>
                                                </td>
                                                <td class="align-top">
                                                    <div class="form-group position-relative">
                                                        {!! Form::textarea('internal-notes[0][notes]', null, array('class' => 'form-control internal-note-textarea', 'placeholder' => 'Enter Notes', 'rows' => '6', 'id' => 'internal-note-textarea-0')) !!}
                                                        {{--
                                                        <a href="javascript:void(0);" class="position-absolute color-circle-txt d-none">
                                                            <img src="{{ asset('theme/images/color-circle.svg') }}" alt="color circle" class="img-fluid">
                                                        </a>
                                                        --}}
                                                        <span class="d-block text-right fw-600 fs-14 internal-notes-characters-left-text" id="internal-notes-characters-left-text-0">Characters Left: 500</span>
                                                    </div>
                                                </td>
                                                <td class="align-top">
                                                    <div class="d-flex align-items-center justify-content-center pt-2">
                                                        <a href="javascript:void(0);" class="addMoreInternalNotesRow">
                                                            <i class="fa fa-plus-square text-theme-color fs-30"></i>
                                                        </a>
                                                    </div>
                                                </td>
                                            </tr>
                                        @endif
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row p-3">
                            <div class="col-md-12 text-right">
                                <ul>
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blueBr prev-step" onclick="getContacts();">Previous</button>
                                    </li>
                                    @if(isset($broker))
                                        <li class="list-inline-item">
                                            <button type="button" class="btn btn-blue next-step internal-notes-save" data-save-close="0">Save & Close</button>
                                        </li>
                                    @endif
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blue next-step mr-2 internal-notes-save" data-save-close="1">Save & Next</button>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    {!! Form::close() !!}
                </div>
                <div class="tab-pane" role="tabpanel" id="tabGeofence">
                    {!! Form::open(['files' => 'true', 'autocomplete'  => 'off', 'name' => 'geofence-tab', 'id' => 'geofence-tab']) !!}
                        <input type="hidden" class="broker-id" name="broker_id" value="{{ $broker->id ?? ''}}">
                        <input type="hidden" class="geofence-updated-at" name="geofence_updated_at" value="{{ $broker->geofence_updated_at ?? \Carbon\Carbon::now()->format('m/d/Y') }}">
                        <div class="row px-3 py-2 pt-3">
                            <div class="col-md-12 d-none" id="geofence-map-error">
                                <div class="alert alert-danger" role="alert">
                                    Please verify address and click on Save for Geofence Map
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="table-responsive">
                                    <table class="table thead-small tbody-small td-border-none mt-0" id="table-geofence" width="100%">
                                        <thead class="bg-white">
                                            <tr>
                                                <th width="20%">Status</th>
                                                <th width="20%">Map</th>
                                                <th width="20%">Entered By</th>
                                                <th width="20%">Updated</th>
                                                <th width="20%"></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td class="align-center">
                                                    <div class="form-group pb-0 mb-0">
                                                        <div class="custom-control custom-switch-blue custom-switch-small pl-0 mr-2">
                                                            {!! Form::checkbox('geofence_status', 1, $broker->geofence_status ?? null, array('class' => 'custom-control-input', 'id' => 'geofence-status')) !!}
                                                            <label class="custom-control-label mb-0" for="geofence-status"></label>
                                                        </div>
                                                        <label class="switch-text mb-0">Off/On</label>
                                                    </div>
                                                </td>
                                                <td class="align-center">
                                                    <a href="javascript:void(0);" class="fill-inactive-url" id="placeEditorViewer" target="_blank">
                                                        <img src="{{ asset('theme/images/map-images.svg') }}" alt="map images" class="img-fluid">
                                                    </a>
                                                </td>
                                                <td class="align-center">
                                                    {{ auth()->guard('company-admin')->user()->full_name ?? '' }}
                                                </td>
                                                <td class="align-center geofence-updated-at-text">
                                                    {{ $broker->geofence_updated_at ?? '-'}}
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row p-3">
                            <div class="col-md-12 text-right">
                                <ul>
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blueBr prev-step">Previous</button>
                                    </li>
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blue btn-save mr-2 geofence-save">Save</button>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
    </div>
@endsection

@section('modal')
    <!-- Required Documents Profile -->
    <div class="modal fade ff-Inter" id="required-document-profile-modal" role="dialog" aria-labelledby="required-document-profileLabel" aria-hidden="true">
            <div class="modal-dialog modal-lg modal-dishpatch" style="max-width: 832px;">
            {!! Form::open(['autocomplete'  => 'off', 'class' => 'required-document-profile-form']) !!}
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title fw-bold" id="required-document-profileLabel">Required Document Profile</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body p-0"></div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal" id="required-document-profile-cancel">Cancel</button>
                    <button type="button" class="btn btn-blue" id="required-document-profile-save">Save</button>
                </div>
            </div>
            {!! Form::close() !!}
        </div>
    </div>
    <!-- Required Documents Profile -->
@endsection

@section('script')
    <script src="{{ asset('theme/js/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script src="{{ asset('theme/js/ckeditor/full/ckeditor.js') }}"></script>

    <script type="text/javascript">
        function loader(){
            Swal.fire({
                title: '<h5 class="font-weight-bold">Please wait...</h5>',
                allowEscapeKey: false,
                allowOutsideClick: false,
                didOpen: () => {
                    Swal.showLoading()
                }
            });
        }

        function nextStep(){
            var $active = $('.nav-tabs li>.active');
            $active.parent().next().find('.nav-link').removeClass('disabled');
            nextTab($active);
        }

        function nextTab(elem){
            $(elem).parent().next().find('a[data-toggle="tab"]').click();
        }

        function prevTab(elem){
            $(elem).parent().prev().find('a[data-toggle="tab"]').click();
        }

        function getContacts() {
            var pageMode = '{{ (isset($broker)) ? 'edit' : 'add' }}';

            var id = $('#contacts-tab .broker-id').val();

            if(id != ''){
                if(pageMode == 'edit'){
                    var standardNotificationOptions = []; var geofenseNotificationOptions = [];

                    var contractsSubmittedToOptions = []; var pricingSubmittedToOptions = [];
                    var fuelTablesSubmittedToOptions = []; var quickQuotesSubmittedToOptions = [];
                    var performanceReviewsSubmittedToOptions = []; var insuranceRequirementsSubmittedToOptions = [];

                    $('.standardNotificationNotify').each(function (key, val){
                        standardNotificationOptions.push($(this).val());
                    });
                    $('.geofenseNotificationContact').each(function (key, val){
                        geofenseNotificationOptions.push($(this).val());
                    });

                    $('.contractsSubmittedTo').each(function (key, val){
                        contractsSubmittedToOptions.push($(this).val());
                    });
                    $('.pricingSubmittedTo').each(function (key, val){
                        pricingSubmittedToOptions.push($(this).val());
                    });
                    $('.fuelTablesSubmittedTo').each(function (key, val){
                        fuelTablesSubmittedToOptions.push($(this).val());
                    });
                    $('.quickQuotesSubmittedTo').each(function (key, val){
                        quickQuotesSubmittedToOptions.push($(this).val());
                    });
                    $('.performanceReviewsSubmittedTo').each(function (key, val){
                        performanceReviewsSubmittedToOptions.push($(this).val());
                    });
                    $('.insuranceRequirementsSubmittedTo').each(function (key, val){
                        insuranceRequirementsSubmittedToOptions.push($(this).val());
                    });
                }

                var url = "{!! route('company.admin.brokers.contacts', ['id' => ':id']) !!}";
                url = url.replace(':id', id);

                $.ajax({
                    url: url,
                    method: "GET",
                    data: {},
                    success: function(response) {
                        if(response.success){
                            $('.standardNotificationNotify').html(response.options);
                            $('.geofenseNotificationContact').html(response.options);

                            $('.contractsSubmittedTo').html(response.options);
                            $('.pricingSubmittedTo').html(response.options);
                            $('.fuelTablesSubmittedTo').html(response.options);
                            $('.quickQuotesSubmittedTo').html(response.options);
                            $('.performanceReviewsSubmittedTo').html(response.options);
                            $('.insuranceRequirementsSubmittedTo').html(response.options);

                            if(pageMode == 'edit'){
                                $.each(standardNotificationOptions, function (key, value){
                                    $('[name="standard_notification['+key+'][notify][]"]').val(value);
                                });
                                $.each(geofenseNotificationOptions, function (key, value){
                                    $('[name="geofense_notification['+key+'][contact][]"]').val(value);
                                });

                                $.each(contractsSubmittedToOptions, function (key, value){
                                    $('[name="contracts['+key+'][submitted_to][]"]').val(value);
                                });
                                $.each(pricingSubmittedToOptions, function (key, value){
                                    $('[name="pricing['+key+'][submitted_to][]"]').val(value);
                                });
                                $.each(fuelTablesSubmittedToOptions, function (key, value){
                                    $('[name="fuelTables['+key+'][submitted_to][]"]').val(value);
                                });
                                $.each(quickQuotesSubmittedToOptions, function (key, value){
                                    $('[name="quickQuotes['+key+'][submitted_to][]"]').val(value);
                                });
                                $.each(performanceReviewsSubmittedToOptions, function (key, value){
                                    $('[name="performanceReviews['+key+'][submitted_to][]"]').val(value);
                                });
                                $.each(insuranceRequirementsSubmittedToOptions, function (key, value){
                                    $('[name="insuranceRequirements['+key+'][submitted_to][]"]').val(value);
                                });
                            }
                        }
                    }
                });
            }
        }

        $(function () {
            $('.select2Status').select2({
                width : '100%',
                placeholder: 'Select Status',
                minimumResultsForSearch: -1,
                templateResult: function(el){
                    if (!el.id) { return el.text; }
                    var $el = $('<span style="color:' + $(el.element).data('color') + '">' + el.text + ' <i class="fa fa-circle" aria-hidden="true"></i></span>');
                    return $el;
                },
                templateSelection: function(el){
                    if (!el.id) { return el.text; }
                    var $el = $('<span style="color:' + $(el.element).data('color') + '">' + el.text + ' <i class="fa fa-circle" aria-hidden="true"></i></span>');
                    return $el;
                }
            });
            
            $('.select2PreferredPaymentMethod').select2({
                width : '100%',
                placeholder: 'Select Payment Method',
                minimumResultsForSearch: -1,
                templateResult: function(el){
                    if (!el.id) { return el.text; }
                    var $el = $('<span class="d-flex flex-row"><img src="' + $(el.element).data('icon') + '" class="img-icon pr-2" />' + el.text + '</span>');
                    return $el;
                },
                templateSelection: function(el){
                    if (!el.id) { return el.text; }
                    var $el = $('<span class="d-flex flex-row"><img src="' + $(el.element).data('icon') + '" class="img-icon pr-2" />' + el.text + '</span>');
                    return $el;
                }
            });

            $('a[data-toggle="tab"]').on('show.bs.tab', function (e) {
                var $target = $(e.target);
                if ($target.parent().hasClass('disabled')) {
                    return false;
                }
            });

            /*
            $(".next-step").click(function (e) {
                var $active = $('.nav-tabs li>.active');
                $active.parent().next().find('.nav-link').removeClass('disabled');
                nextTab($active);
            });
             */

            $(".prev-step").click(function (e) {
                var $active = $('.nav-tabs li>a.active');
                prevTab($active);
            });

            $("#customer-development-representative").select2({
                closeOnSelect : false,
                placeholder : "Select",
                allowHtml: true,
                allowClear: false,
                tags: false,
                dropdownCssClass: "multiple-select",
                width: '100%'
            });

            $(".select2Multiple").select2({
                closeOnSelect: false,
                placeholder: "Select",
                allowHtml: true,
                allowClear: false,
                tags: false,
                dropdownCssClass: "multiple-select",
                width: '100%'
            });

            $('.datePicker').datetimepicker({ format: dateLayout, useCurrent: false });
            $('.timePicker').datetimepicker({ format: timeLayout, useCurrent: true });

            $(document).on('click', '.green-btn', function(e){
                let action_id = $('[name="action_id"]').val();
                let field_name = $('[name="field_name"]').val();

                let form = $('.storeGalleryImage');
                let parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });

                parsley.validate();

                if (parsley.isValid()) {
                    $('.carrierInsuranceFile, .customerInsuranceFile, .bondInformationFile, .contactFile, .contractsFile, .pricingsFile, .fuelTableFile, .quickQuoteFile, .performanceReviewFile, .insuranceRequirementFile').each(function (i, ele){
                        if($(ele).attr('data-field') == field_name){
                            $(ele).addClass('uploaded');
                        }
                    });

                    if($('.customerGenInfoFile').attr('data-field') == field_name){
                        $('.customerGenInfoFile').addClass('uploaded');
                    }else if($('.uploadCreditAppFile').attr('data-field') == field_name){
                        $('.uploadCreditAppFile').addClass('uploaded');
                    }
                }
            });

            $(document).on("click", "#galleryModal .clobtn", function () {
                let field_name = $('#galleryModal [name="field_name"]').val();

                $('.gallary-edit').each(function(){
                    if(field_name == $(this).attr('data-field')){
                        if($('#galleryModal #getgalleryfile').find('tr').length == 1){
                            $(this).removeClass('uploaded');
                        }
                    }
                });
            });

            /********************* General Info - START *********************/
            $(document).on('change', '[name="fuel_surcharge_diesel"]', function(){
                if($(this).val() == '1'){
                    $('#dieselCustomFSDiv').removeClass('d-none');
                }else{
                    $('#dieselCustomFSDiv').addClass('d-none');
                    $('#fuel-surcharge-diesel-file').val('').trigger('change');
                }
            });

            $(document).on('change', '[name="fuel_surcharge_gasoline"]', function(){
                if($(this).val() == '1'){
                    $('#gasolineCustomFSDiv').removeClass('d-none');
                }else{
                    $('#gasolineCustomFSDiv').addClass('d-none');
                    $('#fuel-surcharge-gasoline-file').val('').trigger('change');
                }
            });

            $(document).on('change', '#office-type', function(){
                if($(this).val() == '2'){
                    $('#parent-company').removeClass('fil-disabled');
                }else{
                    $('#parent-company').val("").trigger('change').addClass('fil-disabled');
                }
            });

            $(document).on('click', '#refresh-fuel-surcharge-diesel-file', function(){
                var brokerId = $('#general-info-tab .broker-id').val();
                if(brokerId){
                    var url = "{{ route('company.admin.brokers.refresh.fuel.surcharge.options', ['type' => 'DIESEL', 'broker_id' => ':broker_id']) }}";
                    url = url.replace(':broker_id', brokerId);
                    $.ajax({
                        url: url,
                        method: "GET",
                        data: {},
                        beforeSend: function() {
                            loader();
                        },
                        success: function(response) {
                            $('#dieselCustomFSDiv #fuel-surcharge-diesel-file').html(response.optionsHtml);
                            $('#fuel-surcharge-diesel-file').select2({ allowClear: true, width : '100%', placeholder: $('#fuel-surcharge-diesel-file').find('option:first').text() }).find('option:first').hide();
                        },
                        complete: function() {
                            Swal.close();
                        },
                    });
                }
            });

            $(document).on('click', '#refresh-fuel-surcharge-gasoline-file', function(){
                var brokerId = $('#general-info-tab .broker-id').val();
                if(brokerId){
                    var url = "{{ route('company.admin.brokers.refresh.fuel.surcharge.options', ['type' => 'GAS', 'broker_id' => ':broker_id']) }}";
                    url = url.replace(':broker_id', brokerId);
                    $.ajax({
                        url: url,
                        method: "GET",
                        data: {},
                        beforeSend: function() {
                            loader();
                        },
                        success: function(response) {
                            $('#gasolineCustomFSDiv #fuel-surcharge-gasoline-file').html(response.optionsHtml);
                            $('#fuel-surcharge-gasoline-file').select2({ allowClear: true, width : '100%', placeholder: $('#fuel-surcharge-gasoline-file').find('option:first').text() }).find('option:first').hide();
                        },
                        complete: function() {
                            Swal.close();
                        },
                    });
                }
            })

            $(document).on('change', '#customer-logo', function (){
                if($(this).val()) {
                    $(this).next('label').addClass('uploaded');
                }else{
                    $(this).next('label').removeClass('uploaded');
                }
            });

            $(document).on('click', '.general-info-save', function(e){
                e.preventDefault();

                let form = $('#general-info-tab');
                let parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });
                let isSaveAndClose = $(this).attr('data-save-close');

                @if(isset($broker))
                    $('#use_default_fuel_surcharge_diesel-1').attr('required', 'required');
                    $('#use_default_fuel_surcharge_gasoline-2').attr('required', 'required');

                    if($('#create-custom-fuel-surcharge-diesel-21').is(':checked')){
                        $('#fuel-surcharge-diesel-file').attr('required', 'required');
                    }else{
                        $('#fuel-surcharge-diesel-file').removeAttr('required');
                    }
                    if($('#create-custom-fuel-surcharge-gasoline-22').is(':checked')){
                        $('#fuel-surcharge-gasoline-file').attr('required', 'required');
                    }else{
                        $('#fuel-surcharge-gasoline-file').removeAttr('required');
                    }
                @endif

                parsley.validate();

                if (parsley.isValid()){
                    form = form.serializeArray();

                    let formData = new FormData();
                    $.each(form, function (key, input) {
                        formData.append(input.name, input.value);
                    });
                    formData.append('customer_logo', $('#customer-logo')[0].files[0] || '');

                    $.ajax({
                        url: "{!! route('company.admin.brokers.save.tab1') !!}",
                        method: "POST",
                        data: formData,
                        dataType: 'json',
                        cache : false,
                        processData: false,
                        contentType: false,
                        beforeSend: function() {
                            loader();
                        },
                        success: function(response) {
                            if(response.success){
                                $('.broker-id').val(response.brokerId);
                                $('#customer-unique-id').val('{!! getCompIdentifier() !!}'+ response.brokerId);

                                toastr.success(response.msg, 'Success Alert', { timeOut: 5000 });

                                if($('#general-info-tab .geocoding .geocoding-trimble-place-id').val() != ''){
                                    generateTrimblePlaceEditorByPlaceId($('#general-info-tab .geocoding .geocoding-trimble-place-id').val());
                                }else{
                                    getTrimblePlaceIdByAddress();
                                    $('#geofence-tab .geofence-updated-at').val(moment().format('MM/DD/YYYY'));
                                    $('#geofence-tab .geofence-updated-at-text').text(moment().format('MM/DD/YYYY'));
                                }

                                if(isSaveAndClose == '1'){
                                    nextStep();
                                }else{
                                    window.location.href = '{!! route('company.admin.brokers.index') !!}'
                                }
                            }else{
                                toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        complete: function() {
                            Swal.close();
                        },
                        error: function(jqXHR, status, exception) {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });
            /********************* General Info - END *********************/

            /********************* Billing & Insurance - START *********************/
            $(document).on('change', '#factor-charge-type', function(){
                if($(this).val() == '1'){
                    $('#factorRateDiv').html('<label for="factor-rate">Factor Rate</label><div class="input-group pre-append"><div class="input-group-prepend"><span class="input-group-text">$</span></div>{!! Form::number('factor_rate', null, array('class' => 'form-control factor-rate-doller number', 'min' => 0, 'step' => .01, 'placeholder' => '0.00')) !!}</div>');
                    $('#minimumChargeDiv').html('');
                }else if($(this).val() == '2'){
                    $('#factorRateDiv').html('<label for="factor-rate">Factor Rate</label><div class="input-group post-append">{!! Form::number('factor_rate', null, array('class' => 'form-control factor-rate-per number', 'min' => 0, 'step' => .01, 'placeholder' => '0.00')) !!}<div class="input-group-append"><span class="input-group-text">%</span></div></div>');
                    $('#minimumChargeDiv').html('');
                }else if($(this).val() == '3'){
                    $('#factorRateDiv').html('<label for="factor-rate">Factor Rate</label><div class="input-group post-append">{!! Form::number('factor_rate', null, array('class' => 'form-control factor-rate-per number', 'min' => 0, 'step' => .01, 'placeholder' => '0.00')) !!}<div class="input-group-append"><span class="input-group-text">%</span></div></div>');
                    $('#minimumChargeDiv').html('<label for="minimum-charge">Minimum Charge</label><div class="input-group pre-append"><div class="input-group-prepend"><span class="input-group-text">$</span></div>{!! Form::number('minimum_charge', null, array('class' => 'form-control number', 'min' => 0, 'step' => .01, 'placeholder' => '0.00', 'id' => 'minimum-charge')) !!}</div>');
                }else{
                    $('#factorRateDiv').html('');
                    $('#minimumChargeDiv').html('');
                }
            });

            $(document).on('change', '#same-as-gen-info', function(){
                if ($(this).is(":checked")) {
                    $('input[name="bill_to_name"]').val($('input[name="name"]').val());
                    $('input[name="billing_address"]').val($('input[name="address"]').val());
                    $('input[name="billing_address_2"]').val($('input[name="address_2"]').val());
                    $('input[name="billing_city"]').val($('input[name="city"]').val());
                    $('input[name="billing_state"]').val($('input[name="state"]').val());
                    $('input[name="billing_zip"]').val($('input[name="zip"]').val());
                    $('input[name="billing_phone"]').val($('input[name="phone_number"]').val());
                    $('input[name="billing_email"]').val($('input[name="email"]').val());
                    $('input[name="billing_extention"]').val($('input[name="ext"]').val());
                    $('input[name="billing_fax"]').val($('input[name="fax"]').val());
                    $('input[name="billing_afterhours"]').val($('input[name="afterhours"]').val());

                    if($('input[name="billing_address"]').val()!=''){
                        $('input[name="billing_address"]').parsley().reset();
                    }
                    if($('input[name="billing_state"]').val()!=''){
                        $('input[name="billing_state"]').parsley().reset();
                    }
                    if($('input[name="billing_zip"]').val()!=''){
                        $('input[name="billing_zip"]').parsley().reset();
                    }
                    var address_verified = $('input[name="address_verified"]').val();
                    if(address_verified == 1){
                        $('input[name="billing_latitude"]').val($('input[name="latitude"]').val());
                        $('input[name="billing_longitude"]').val($('input[name="longitude"]').val());
                        $('input[name="billing_timezone_abbr"]').val($('input[name="timezone_abbr"]').val());
                        $('input[name="billing_address_verified"]').val('1');

                        $('input[name="billing_timezone_abbr"]').parsley().reset();
                        $('input[name="billing_latitude"]').closest('.geocoding').find('.geocoding-btn').text('Verified');
                    }
                }else{
                    $('input[name="bill_to_name"]').val('');
                    $('input[name="billing_address"]').val('');
                    $('input[name="billing_address_2"]').val('');
                    $('input[name="billing_city"]').val('');
                    $('input[name="billing_state"]').val('');
                    $('input[name="billing_zip"]').val('');
                    $('input[name="billing_phone"]').val('');
                    $('input[name="billing_email"]').val('');
                    $('input[name="billing_extention"]').val('');
                    $('input[name="billing_fax"]').val('');
                    $('input[name="billing_afterhours"]').val('');
                    $('input[name="billing_latitude"]').val('');
                    $('input[name="billing_longitude"]').val('');
                    $('input[name="billing_timezone_abbr"]').val('');
                    $('input[name="billing_address_verified"]').val('0');

                    $('input[name="billing_latitude"]').closest('.geocoding').find('.geocoding-btn').text('Verify');
                }
            });

            $(document).on('click', '.addMoreCarrierInsurance', function () {
                let index = $('.carrierInsuranceFile').length;

                let insuranceHtml = '';

                insuranceHtml += '<div class="row px-3 broker-content">';
                insuranceHtml += '<div class="col-md-2 bi-custom-grid">';
                insuranceHtml += '<div class="form-group">';
                insuranceHtml += '<label for="carrier-insurance-name">Insurance Name</label>';
                insuranceHtml += '{!! Form::text('carrier_insurance_name[]', null, array('class' => 'form-control', 'placeholder' => 'Enter Insurance Name')) !!}';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';

                insuranceHtml += '<div class="col-md-2 bi-custom-grid">';
                insuranceHtml += '<div class="form-group">';
                insuranceHtml += '<label for="carrier-insurance-type">Insurance Type</label>';
                insuranceHtml += '{!! Form::select('carrier_insurance_type[]', ['' => 'Select'] + getCompanyInsuranceTypes(), null, ['class' => 'form-control select2']) !!}';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';

                insuranceHtml += '<div class="col-md-2 bi-custom-grid">';
                insuranceHtml += '<div class="form-group">';
                insuranceHtml += '<label for="carrier-policy-number">Policy #</label>';
                insuranceHtml += '{!! Form::text('carrier_policy_number[]', null, array('class' => 'form-control', 'placeholder' => 'Enter Policy #')) !!}';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';

                insuranceHtml += '<div class="col-md-2 bi-custom-grid">';
                insuranceHtml += '<div class="form-group">';
                insuranceHtml += '<label for="carrier-limit">Limit</label>';
                insuranceHtml += '<div class="input-group pre-append">';
                insuranceHtml += '<div class="input-group-prepend">';
                insuranceHtml += '<span class="input-group-text">$</span>';
                insuranceHtml += '</div>';
                insuranceHtml += '{!! Form::number('carrier_limit[]', null, array('class' => 'form-control carrier-limit-doller number', 'min' => 0, 'step' => .01, 'placeholder' => '0.00')) !!}';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';

                insuranceHtml += '<div class="col-md-2 bi-custom-grid">';
                insuranceHtml += '<div class="form-group">';
                insuranceHtml += '<label for="carrier-deductible">Deductible</label>';
                insuranceHtml += '<div class="input-group pre-append">';
                insuranceHtml += '<div class="input-group-prepend">';
                insuranceHtml += '<span class="input-group-text">$</span>';
                insuranceHtml += '</div>';
                insuranceHtml += '{!! Form::number('carrier_deductible[]',null, array('class' => 'form-control carrier-deductible-doller number', 'min' => 0, 'step' => .01, 'placeholder' => '0.00')) !!}';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';

                insuranceHtml += '<div class="col-md-2 bi-custom-grid">';
                insuranceHtml += '<div class="row justify-content-between">';
                insuranceHtml += '<div class="col-sm-8 col-7">';
                insuranceHtml += '<div class="form-group">';
                insuranceHtml += '<label for="carrier-expiration-date">Expiration Date</label>';
                insuranceHtml += '<div class="input-group">';
                insuranceHtml += '{!! Form::text('carrier_expiration_date[]', null, array('class' => 'form-control datePicker', 'placeholder' => 'MM/DD/YYY')) !!}';
                insuranceHtml += '<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';
                insuranceHtml += '<div class="col-sm-2 px-lg-1">';
                insuranceHtml += '<div class="form-group">';
                insuranceHtml += '<div class="upload-element">';
                insuranceHtml += '<i class="fa fa-picture-o gallary-edit carrierInsuranceFile mt-3" aria-hidden="true" data-id="{{$broker->id ?? $dummy_id}}" data-source="brokers" data-field="carrier_insurance_file_'+index+'" data-toggle="modal" data-target="#galleryModal" title="Insurance File"></i>';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';
                insuranceHtml += '<div class="col-sm-2 px-1">';
                insuranceHtml += '<a href="javascript:void(0);" class="form-group form-group-o-icon removeMoreCarrierInsurance">';
                insuranceHtml += '<label for="" class="form-label d-block">&nbsp;</label>';
                insuranceHtml += '<i class="fa fa-minus-square mt-2"></i>';
                insuranceHtml += '</a>';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';

                $('#CarrierInsuranceMoreRows').append(insuranceHtml);
                $('#billing-insurance-tab .select2').each(function() {
                    var $this = $(this);
                    var placeholderText = $this.find('option:first').text();
                    $this.select2({
                        allowClear: true,
                        width : '100%',
                        placeholder: placeholderText
                    });
                    $this.find('option:first').hide();
                });
                $('.datePicker').datetimepicker({ format: 'MM/DD/YYYY', useCurrent: false });
            });

            $(document).on('click', '.removeMoreCarrierInsurance', function (){
                $(this).closest('.broker-content').remove();
            });

            $(document).on('click', '.addMoreCustomerInsurance', function () {
                let index = $('.customerInsuranceFile').length;

                let insuranceHtml = '';

                insuranceHtml += '<div class="row px-3 broker-content">';
                insuranceHtml += '<div class="col-md-2 bi-custom-grid">';
                insuranceHtml += '<div class="form-group">';
                insuranceHtml += '<label for="customer-insurance-name">Insurance Name</label>';
                insuranceHtml += '{!! Form::text('customer_insurance_name[]', null, array('class' => 'form-control', 'placeholder' => 'Enter Insurance Name')) !!}';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';

                insuranceHtml += '<div class="col-md-2 bi-custom-grid">';
                insuranceHtml += '<div class="form-group">';
                insuranceHtml += '<label for="customer-insurance-type">Insurance Type</label>';
                insuranceHtml += '{!! Form::select('customer_insurance_type[]', ['' => 'Select'] + getCompanyInsuranceTypes(), null, ['class' => 'form-control select2']) !!}';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';

                insuranceHtml += '<div class="col-md-2 bi-custom-grid">';
                insuranceHtml += '<div class="form-group">';
                insuranceHtml += '<label for="customer-policy-number">Policy #</label>';
                insuranceHtml += '{!! Form::text('customer_policy_number[]', null, array('class' => 'form-control', 'placeholder' => 'Enter Policy #')) !!}';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';

                insuranceHtml += '<div class="col-md-2 bi-custom-grid">';
                insuranceHtml += '<div class="form-group">';
                insuranceHtml += '<label for="customer-limit">Limit</label>';
                insuranceHtml += '<div class="input-group pre-append">';
                insuranceHtml += '<div class="input-group-prepend">';
                insuranceHtml += '<span class="input-group-text">$</span>';
                insuranceHtml += '</div>';
                insuranceHtml += '{!! Form::number('customer_limit[]', null, array('class' => 'form-control customer-limit-doller number', 'min' => 0, 'step' => .01, 'placeholder' => '0.00')) !!}';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';

                insuranceHtml += '<div class="col-md-2 bi-custom-grid">';
                insuranceHtml += '<div class="form-group">';
                insuranceHtml += '<label for="customer-deductible">Deductible</label>';
                insuranceHtml += '<div class="input-group pre-append">';
                insuranceHtml += '<div class="input-group-prepend">';
                insuranceHtml += '<span class="input-group-text">$</span>';
                insuranceHtml += '</div>';
                insuranceHtml += '{!! Form::number('customer_deductible[]',null, array('class' => 'form-control customer-deductible-doller number', 'min' => 0, 'step' => .01, 'placeholder' => '0.00')) !!}';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';

                insuranceHtml += '<div class="col-md-2 bi-custom-grid">';
                insuranceHtml += '<div class="row justify-content-between">';
                insuranceHtml += '<div class="col-sm-8 col-7">';
                insuranceHtml += '<div class="form-group">';
                insuranceHtml += '<label for="customer-expiration-date">Expiration Date</label>';
                insuranceHtml += '<div class="input-group">';
                insuranceHtml += '{!! Form::text('customer_expiration_date[]', null, array('class' => 'form-control datePicker', 'placeholder' => 'MM/DD/YYY')) !!}';
                insuranceHtml += '<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';
                insuranceHtml += '<div class="col-sm-2 px-lg-1">';
                insuranceHtml += '<div class="form-group">';
                insuranceHtml += '<div class="upload-element">';
                insuranceHtml += '<i class="fa fa-picture-o gallary-edit customerInsuranceFile mt-3" aria-hidden="true" data-id="{{$broker->id ?? $dummy_id}}" data-source="brokers" data-field="customer_insurance_file_'+index+'" data-toggle="modal" data-target="#galleryModal" title="Insurance File"></i>';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';
                insuranceHtml += '<div class="col-sm-2 px-1">';
                insuranceHtml += '<a href="javascript:void(0);" class="form-group form-group-o-icon removeMoreCustomerInsurance">';
                insuranceHtml += '<label for="" class="form-label d-block">&nbsp;</label>';
                insuranceHtml += '<i class="fa fa-minus-square mt-2"></i>';
                insuranceHtml += '</a>';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';
                insuranceHtml += '</div>';

                $('#CustomerInsuranceMoreRows').append(insuranceHtml);
                $('#billing-insurance-tab .select2').each(function() {
                    var $this = $(this);
                    var placeholderText = $this.find('option:first').text();
                    $this.select2({
                        allowClear: true,
                        width : '100%',
                        placeholder: placeholderText
                    });
                    $this.find('option:first').hide();
                });
                $('.datePicker').datetimepicker({ format: 'MM/DD/YYYY', useCurrent: false });
            });

            $(document).on('click', '.removeMoreCustomerInsurance', function (){
                $(this).closest('.broker-content').remove();
            });

            $(document).on('click', '.addMoreBondInformation', function () {
                let index = $('.bondInformationFile').length;

                let bondInformationHtml = '';

                bondInformationHtml += '<div class="row px-3 broker-content">';
                bondInformationHtml += '<div class="col-md-2 bi-custom-grid">';
                bondInformationHtml += '<div class="form-group">';
                bondInformationHtml += '<label for="surety-bond-required">Surety Bond Required</label>';
                bondInformationHtml += '{!! Form::select('surety_bond_required[]', ['' => 'Select'], null, ['class' => 'form-control select2']) !!}';
                bondInformationHtml += '</div>';
                bondInformationHtml += '</div>';

                bondInformationHtml += '<div class="col-md-2 bi-custom-grid">';
                bondInformationHtml += '<div class="form-group">';
                bondInformationHtml += '<label for="surety-bond-company">Surety Bond Company</label>';
                bondInformationHtml += '{!! Form::text('surety_bond_company[]', null, array('class' => 'form-control', 'placeholder' => 'Enter Bond Company')) !!}';
                bondInformationHtml += '</div>';
                bondInformationHtml += '</div>';

                bondInformationHtml += '<div class="col-md-2 bi-custom-grid">';
                bondInformationHtml += '<div class="form-group">';
                bondInformationHtml += '<label for="surety-bond-expiration">Surety Bond Expiration</label>';
                bondInformationHtml += '<div class="input-group">';
                bondInformationHtml += '{!! Form::text('surety_bond_expiration[]', null, array('class' => 'form-control datePicker', 'placeholder' => 'MM/DD/YYY')) !!}';
                bondInformationHtml += '<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">';
                bondInformationHtml += '</div>';
                bondInformationHtml += '</div>';
                bondInformationHtml += '</div>';

                bondInformationHtml += '<div class="col-md-2 bi-custom-grid">';
                bondInformationHtml += '<div class="form-group">';
                bondInformationHtml += '<label for="surety-bond-amount">Surety Bond Amount</label>';
                bondInformationHtml += '<div class="input-group pre-append">';
                bondInformationHtml += '<div class="input-group-prepend">';
                bondInformationHtml += '<span class="input-group-text">$</span>';
                bondInformationHtml += '</div>';
                bondInformationHtml += '{!! Form::number('surety_bond_amount[]', null, array('class' => 'form-control surety-bond-amount-doller number', 'min' => 0, 'step' => .01, 'placeholder' => '0.00')) !!}';
                bondInformationHtml += '</div>';
                bondInformationHtml += '</div>';
                bondInformationHtml += '</div>';

                bondInformationHtml += '<div class="col-md-4">';
                bondInformationHtml += '<div class="row">';
                bondInformationHtml += '<div class="col-sm-10 col-7">';
                bondInformationHtml += '<div class="form-group">';
                bondInformationHtml += '<label for="surety-bond-email">Surety Bond Email</label>';
                bondInformationHtml += '{!! Form::text('surety_bond_email[]', null, array('class' => 'form-control', 'placeholder' => 'Enter Email')) !!}';
                bondInformationHtml += '</div>';
                bondInformationHtml += '</div>';
                bondInformationHtml += '<div class="col-sm-1 px-lg-1">';
                bondInformationHtml += '<div class="form-group">';
                bondInformationHtml += '<div class="upload-element">';
                bondInformationHtml += '<i class="fa fa-picture-o gallary-edit bondInformationFile mt-3" aria-hidden="true" data-id="{{$broker->id ?? $dummy_id}}" data-source="brokers" data-field="bond_information_file_'+index+'" data-toggle="modal" data-target="#galleryModal" title="Bond Information File"></i>';
                bondInformationHtml += '</div>';
                bondInformationHtml += '</div>';
                bondInformationHtml += '</div>';
                bondInformationHtml += '<div class="col-sm-1 px-1">';
                bondInformationHtml += '<a href="javascript:void(0);" class="form-group form-group-o-icon removeMoreBondInformation">';
                bondInformationHtml += '<label for="" class="form-label d-block">&nbsp;</label>';
                bondInformationHtml += '<i class="fa fa-minus-square mt-2"></i>';
                bondInformationHtml += '</a>';
                bondInformationHtml += '</div>';
                bondInformationHtml += '</div>';
                bondInformationHtml += '</div>';

                bondInformationHtml += '<div class="col-md-2 bi-custom-grid">';
                bondInformationHtml += '<div class="form-group">';
                bondInformationHtml += '<label for="bond-contact-name">Bond Contact Name</label>';
                bondInformationHtml += '{!! Form::text('bond_contact_name[]', null, array('class' => 'form-control', 'placeholder' => 'Enter Name')) !!}';
                bondInformationHtml += '</div>';
                bondInformationHtml += '</div>';

                bondInformationHtml += '<div class="col-md-2 bi-custom-grid">';
                bondInformationHtml += '<div class="form-group">';
                bondInformationHtml += '<label for="bond-phone-number">Bond Phone Number</label>';
                bondInformationHtml += '{!! Form::text('bond_phone_number[]', null, array('class' => 'form-control phone', 'placeholder' => '(123) 456-7890')) !!}';
                bondInformationHtml += '</div>';
                bondInformationHtml += '</div>';
                bondInformationHtml += '</div>';

                $('#BondInformationMoreRows').append(bondInformationHtml);
                $('#billing-insurance-tab .select2').each(function() {
                    var $this = $(this);
                    var placeholderText = $this.find('option:first').text();
                    $this.select2({
                        allowClear: true,
                        width : '100%',
                        placeholder: placeholderText
                    });
                    $this.find('option:first').hide();
                });
                $('.datePicker').datetimepicker({ format: 'MM/DD/YYYY', useCurrent: false });
            });

            $(document).on('click', '.removeMoreBondInformation', function (){
                $(this).closest('.broker-content').remove();
            });

            $(document).on('click', '.billing-insurance-save', function(e){
                e.preventDefault();

                let form = $('#billing-insurance-tab');
                let parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });
                let isSaveAndClose = $(this).attr('data-save-close');

                parsley.validate();

                if (parsley.isValid()){
                    $.ajax({
                        url: "{!! route('company.admin.brokers.save.tab2') !!}",
                        method: "POST",
                        data: form.serialize(),
                        beforeSend: function() {
                            loader();
                        },
                        success: function(response) {
                            if(response.success){
                                $('.broker-id').val(response.brokerId);

                                toastr.success(response.msg, 'Success Alert', { timeOut: 5000 });

                                if(isSaveAndClose == '1'){
                                    nextStep();
                                }else{
                                    window.location.href = '{!! route('company.admin.brokers.index') !!}'
                                }
                            }else{
                                toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        complete: function() {
                            Swal.close();
                        },
                        error: function(jqXHR, status, exception) {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });
            /********************* Billing & Insurance - END *********************/

            /********************* Lanes Rates - START *********************/
            $(document).on('click', '.addMoreAccessorial', function () {
                let accessorialsHtml = '';

                accessorialsHtml += '<div class="row moreRow">';
                accessorialsHtml += '<div class="col-md-2">';
                accessorialsHtml += '<div class="form-group">';
                accessorialsHtml += '{!! Form::select('company_accessorial_id[]', ['' => 'Select'] + getAccessorials(), null, ['class' => 'form-control select2']) !!}';
                accessorialsHtml += '</div>';
                accessorialsHtml += '</div>';

                accessorialsHtml += '<div class="col-md-2">';
                accessorialsHtml += '<div class="form-group">';
                accessorialsHtml += '<div class="input-group">';
                accessorialsHtml += '<div class="input-group-prepend">';
                accessorialsHtml += '<span class="input-group-text">$</span>';
                accessorialsHtml += '</div>';
                accessorialsHtml += '{!! Form::number('rate[]', null, array('class' => 'form-control customer-bill-amount-doller number', 'min' => 0, 'step' => .01, 'placeholder' => 'Enter Credit Balance')) !!}';
                accessorialsHtml += '</div>';
                accessorialsHtml += '</div>';
                accessorialsHtml += '</div>';

                accessorialsHtml += '<div class="col-md-3">';
                accessorialsHtml += '<div class="row">';
                accessorialsHtml += '<div class="col-4">';
                accessorialsHtml += '<div class="form-group">';
                accessorialsHtml += '<p class="mt-2 font-weight-200 font-16 entered-by">';
                accessorialsHtml += '{{ auth()->guard('company-admin')->user()->fullname ?? '' }}';
                accessorialsHtml += '</p>';
                accessorialsHtml += '</div>';
                accessorialsHtml += '</div>';
                accessorialsHtml += '<div class="col-3">';
                accessorialsHtml += '<div class="form-group">';
                accessorialsHtml += '<p class="mt-2 font-weight-200 font-16 updated">';
                accessorialsHtml += '{{ \Carbon\Carbon::now()->format('m/d/Y') ?? '' }}';
                accessorialsHtml += '</p>';
                accessorialsHtml += '</div>';
                accessorialsHtml += '</div>';
                accessorialsHtml += '<div class="col-2">';
                accessorialsHtml += '<div class="d-flex align-items-end mt-2">';
                accessorialsHtml += '<a href="javascript:void(0);" class="removeMoreAccessorial">';
                accessorialsHtml += '<img src="{{ asset('theme/img/icon-material-delete.svg') }}" alt="" class="img-fluid  d-block mx-auto">';
                accessorialsHtml += '</a>';
                accessorialsHtml += '</div>';
                accessorialsHtml += '</div>';
                accessorialsHtml += '</div>';
                accessorialsHtml += '</div>';
                accessorialsHtml += '</div>';

                $('#accessorialMoreRows').append(accessorialsHtml);
                $('#lanes-rates-tab .select2').each(function() {
                    var $this = $(this);
                    var placeholderText = $this.find('option:first').text();
                    $this.select2({
                        allowClear: true,
                        width : '100%',
                        placeholder: placeholderText
                    });
                    $this.find('option:first').hide();
                });
            });

            $(document).on('click', '.removeMoreAccessorial', function (){
                $(this).closest('.moreRow').remove();
            });

            $(document).on('click', '.lanes-rates-save', function(e){
                e.preventDefault();

                let form = $('#lanes-rates-tab');
                let parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });
                let isSaveAndClose = $(this).attr('data-save-close');

                parsley.validate();

                if (parsley.isValid()){
                    $.ajax({
                        url: "{!! route('company.admin.brokers.save.tab3') !!}",
                        method: "POST",
                        data: form.serialize(),
                        beforeSend: function() {
                            loader();
                        },
                        success: function(response) {
                            if(response.success){
                                $('.broker-id').val(response.brokerId);
                                toastr.success(response.msg, 'Success Alert', { timeOut: 5000 });

                                if(isSaveAndClose == '1'){
                                    nextStep();
                                }else{
                                    window.location.href = '{!! route('company.admin.brokers.index') !!}'
                                }
                            }else{
                                toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        complete: function() {
                            Swal.close();
                        },
                        error: function(jqXHR, status, exception) {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });
            /********************* Lanes Rates - END *********************/

            /********************* Required Documents - START *********************/
            $(document).on('click', '#getRequiredDocumentProfileModal', function (){
                $.ajax({
                    url: "{!! route('company.admin.brokers.required.document.profile.view') !!}",
                    method: "GET",
                    data: {},
                    success: function(response) {
                        if(response.success){
                            $("#required-document-profile-modal .modal-content .modal-body").html("").html(response.view);
                            $('#required-document-profile-modal .select2').each(function() {
                                var $this = $(this);
                                var placeholderText = $this.find('option:first').text();
                                $this.select2({
                                    allowClear: true,
                                    width : '100%',
                                    placeholder: placeholderText
                                });
                                $this.find('option:first').hide();
                            });

                            $("#required-document-profile-modal").modal('show');
                        }else{
                            toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                        }
                    }
                });
            });

            $(document).on('click', '.addMoreShipperDocumentRow', function () {
                var newIncludeId = 'popup-shipper-include-w-billing-' + $('#table-when-shipper-m tbody tr').length;
                var newHideId = 'popup-shipper-hide-from-driver-' + $('#table-when-shipper-m tbody tr').length;

                var tr = $(this).closest('tr');
                var trClone = tr.clone().find('span').remove().end();
                trClone = trClone.find('td:last-child a').removeClass('addMoreShipperDocumentRow').addClass('removeMoreShipperDocumentRow').end();
                trClone = trClone.find('td:last-child a i').removeClass('fa-plus-square ').addClass('fa-minus-square').end();
                trClone = trClone.find('.form-check-input:first').attr('id', newIncludeId).end();
                trClone = trClone.find('.form-check-label:first').attr('for', newIncludeId).end();
                trClone = trClone.find('.form-check-input:last').attr('id', newHideId).end();
                trClone = trClone.find('.form-check-label:last').attr('for', newHideId).end();
                tr.parent().append(trClone);

                $('#required-document-profile-modal .select2').each(function() {
                    var $this = $(this);
                    var placeholderText = $this.find('option:first').text();
                    $this.select2({
                        allowClear: true,
                        width : '100%',
                        placeholder: placeholderText
                    });
                    $this.find('option:first').hide();
                });
            });

            $(document).on('click', '.removeMoreShipperDocumentRow', function () {
                $(this).closest('tr').remove();
                $(this).closest('.row').remove();
            });

            $(document).on('click', '.addMoreReceiverDocumentRow', function () {
                var newIncludeId = 'popup-receiver-include-w-billing-' + $('#table-when-receiver-m tbody tr').length;
                var newHideId = 'popup-receiver-hide-from-driver-' + $('#table-when-receiver-m tbody tr').length;

                var tr = $(this).closest('tr');
                var trClone = tr.clone().find('span').remove().end();
                trClone = trClone.find('td:last-child a').removeClass('addMoreReceiverDocumentRow ').addClass('removeMoreReceiverDocumentRow').end();
                trClone = trClone.find('td:last-child a i').removeClass('fa-plus-square ').addClass('fa-minus-square').end();
                trClone = trClone.find('.form-check-input:first').attr('id', newIncludeId).end();
                trClone = trClone.find('.form-check-label:first').attr('for', newIncludeId).end();
                trClone = trClone.find('.form-check-input:last').attr('id', newHideId).end();
                trClone = trClone.find('.form-check-label:last').attr('for', newHideId).end();
                tr.parent().append(trClone);

                $('#required-document-profile-modal .select2').each(function() {
                    var $this = $(this);
                    var placeholderText = $this.find('option:first').text();
                    $this.select2({
                        allowClear: true,
                        width : '100%',
                        placeholder: placeholderText
                    });
                    $this.find('option:first').hide();
                });
            });

            $(document).on('click', '.removeMoreReceiverDocumentRow', function () {
                $(this).closest('tr').remove();
                $(this).closest('.row').remove();
            });

            $(document).on('click', '#required-document-profile-save', function (e){
                e.preventDefault();

                let form = $('.required-document-profile-form');
                let parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });

                parsley.validate();

                if (parsley.isValid()){
                    $.ajax({
                        url: "{!! route('company.admin.brokers.required.document.profile') !!}",
                        method: "POST",
                        data: form.serializeArray(),
                        success: function(response) {
                            if(response.success){
                                $("#required-document-profile-modal").modal('hide');
                                $("#required-document-profile").html(response.documentProfileHtml);
                                $("#required-document-profile").val(response.new_profile_id).trigger('change');

                                setTimeout(function(){
                                    $("#required-document-profile-form .preViewImport").trigger('click');
                                }, 400);

                                toastr.success(response.msg, 'Success Alert', { timeOut: 5000 });
                            }else{
                                toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        error: function(jqXHR, status, exception) {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });

            $(document).on('change', '#required-document-profile', function (){
                $("#preViewRequiredDocumentProfile").html("");
                $("#requiredDocumentProfile").html("");
                $("#required-document-profile-form .previewBtn").addClass("d-none");

                if($('#required-document-profile option:selected').attr('data-shipper-documents') != '' || $('#required-document-profile option:selected').attr('data-receiver-documents') != ''){
                    $.ajax({
                        url: "{!! route('company.admin.brokers.required.document.profile.view') !!}",
                        method: "POST",
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        data: {
                            documentProfile: $(this).find('option:selected').text(),
                            shipperDocuments: $('#required-document-profile option:selected').attr('data-shipper-documents'),
                            shipperDocTypes: $('#required-document-profile option:selected').attr('data-shipper-doc-types'),
                            shipperIncludeWBilling: $('#required-document-profile option:selected').attr('data-shipper-include-w-billing'),
                            shipperHideFromDriver: $('#required-document-profile option:selected').attr('data-shipper-hide-from-driver'),
                            receiverDocuments: $('#required-document-profile option:selected').attr('data-receiver-documents'),
                            receiverDocTypes: $('#required-document-profile option:selected').attr('data-receiver-doc-types'),
                            receiverIncludeWBilling: $('#required-document-profile option:selected').attr('data-receiver-include-w-billing'),
                            receiverHideFromDriver: $('#required-document-profile option:selected').attr('data-receiver-hide-from-driver'),
                        },
                        success: function(response) {
                            if(response.success){
                                $("#preViewRequiredDocumentProfile").html(response.preViewHtml);
                                $("#required-document-profile-form .previewBtn").removeClass('d-none');
                            }else{
                                toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        error: function(jqXHR, status, exception) {
                            toastr.error('Uncaught Error.\n' + jqXHR.responseText, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });

            $(document).on('click', '#required-document-profile-form .preViewImport', function (){
                $("#required-document-profile-form .previewBtn").addClass("d-none");
                $("#requiredDocumentProfile").html($("#preViewRequiredDocumentProfile").html());
                $("#preViewRequiredDocumentProfile").html("");

                $('#required-document-profile-form .select2').each(function() {
                    var $this = $(this);
                    var placeholderText = $this.find('option:first').text();
                    $this.select2({
                        allowClear: true,
                        width : '100%',
                        placeholder: placeholderText
                    });
                    $this.find('option:first').hide();
                });
            });

            $(document).on('click', '#required-document-profile-form .preViewCancel', function (){
                $("#preViewRequiredDocumentProfile").html("");
                $("#required-document-profile").val("").trigger('change');
                $("#required-document-profile-form .previewBtn").addClass("d-none");
            });

            $(document).on('click', '.btn-copy', function (){
                if($(this).hasClass('btn-blueBr')){
                    $(this).removeClass('btn-blueBr').addClass('btn-blue');
                    $(this).parent().find('.btn-original').removeClass('btn-blue').addClass('btn-blueBr');
                    $(this).parent().find('.docType').val('1');
                }
            });

            $(document).on('click', '.btn-original', function (){
                if($(this).hasClass('btn-blueBr')){
                    $(this).removeClass('btn-blueBr').addClass('btn-blue');
                    $(this).parent().find('.btn-copy').removeClass('btn-blue').addClass('btn-blueBr');
                    $(this).parent().find('.docType').val('2');
                }
            });

            $(document).on('change', '[id^="popup-shipper-include-w-billing-"],[id^="profile-shipper-include-w-billing-"]', function (){
                if($(this).is(':checked')){
                    $(this).parent().parent().find('.chkSiwb').val('1');
                }else{
                    $(this).parent().parent().find('.chkSiwb').val('');
                }
            });

            $(document).on('change', '[id^="popup-shipper-hide-from-driver-"],[id^="profile-shipper-hide-from-driver-"]', function (){
                if($(this).is(':checked')){
                    $(this).parent().parent().find('.chkShfd').val('1');
                }else{
                    $(this).parent().parent().find('.chkShfd').val('');
                }
            });

            $(document).on('change', '[id^="popup-receiver-include-w-billing-"],[id^="profile-receiver-include-w-billing-"]', function (){
                if($(this).is(':checked')){
                    $(this).parent().parent().find('.chkRiwb').val('1');
                }else{
                    $(this).parent().parent().find('.chkRiwb').val('');
                }
            });

            $(document).on('change', '[id^="popup-receiver-hide-from-driver-"],[id^="profile-receiver-hide-from-driver-"]', function (){
                if($(this).is(':checked')){
                    $(this).parent().parent().find('.chkRhfd').val('1');
                }else{
                    $(this).parent().parent().find('.chkRhfd').val('');
                }
            });

            $(document).on('change', '[id^="additional-include-w-billing-"]', function (){
                if($(this).is(':checked')){
                    $(this).parent().parent().find('.chkAiwb').val('1');
                }else{
                    $(this).parent().parent().find('.chkAiwb').val('');
                }
            });

            $(document).on('change', '[id^="additional-hide-from-driver-"]', function (){
                if($(this).is(':checked')){
                    $(this).parent().parent().find('.chkAhfd').val('1');
                }else{
                    $(this).parent().parent().find('.chkAhfd').val('');
                }
            });

            $(document).on('click', '.addMoreAdditionalDocumentRow', function () {
                var rowLength = $('#additional-required-document-form .row').length - 1;

                var newRow = '';
                newRow += '<div class="row px-3 py-2 align-items-center">';
                newRow += '<div class="col-3">';
                newRow += '<div class="form-group m-0">';
                newRow += '{!! Form::select('documents[]', ['' => 'Select'] + getDocumentTitles(), null, ['class' => 'form-control select2']) !!}';
                newRow += '</div>';
                newRow += '</div>';
                newRow += '<div class="col-2">';
                newRow += '<input type="hidden" name="doc_types[]" class="docType" value="2">';
                newRow += '<button type="button" class="btn btn-blueBr btn-copy">Copy</button>';
                newRow += '<button type="button" class="btn btn-blue btn-original ml-2">Original</button>';
                newRow += '</div>';
                newRow += '<div class="col-1">';
                newRow += '<input type="hidden" name="include_w_billing[]" class="chkAiwb" value="">';
                newRow += '<div class="form-check p-0 m-0 only-checkbox">';
                newRow += '<input class="form-check-input" id="additional-include-w-billing-'+ rowLength +'" name="additional_include_w_billing[]" type="checkbox" value="1">';
                newRow += '<label class="form-check-label" for="additional-include-w-billing-'+ rowLength +'"></label>';
                newRow += '</div>';
                newRow += '</div>';
                newRow += '<div class="col-1">';
                newRow += '<input type="hidden" name="hide_from_driver[]" class="chkAhfd" value="">';
                newRow += '<div class="form-check p-0 m-0 only-checkbox">';
                newRow += '<input class="form-check-input" id="additional-hide-from-driver-'+ rowLength +'" name="additional_hide_from_driver[]" type="checkbox" value="1">';
                newRow += '<label class="form-check-label" for="additional-hide-from-driver-'+ rowLength +'"></label>';
                newRow += '</div>';
                newRow += '</div>';
                newRow += '<div class="col-1">';
                newRow += '<p class="mt-2 font-weight-200 fs-14 shipper-entered-by">';
                newRow += '{{ auth()->guard('company-admin')->user()->fullname ?? '' }}';
                newRow += '</p>';
                newRow += '</div>';
                newRow += '<div class="col-1">';
                newRow += '<p class="mt-2 font-weight-200 fs-14 shipper-updated">';
                newRow += '{{ \Carbon\Carbon::now()->format('m/d/Y') ?? '' }}';
                newRow += '</p>';
                newRow += '</div>';
                newRow += '<div class="col-3">';
                newRow += '<a href="javascript:void(0);" class="removeMoreAdditionalDocumentRow">';
                newRow += '<i class="fa fa-minus-square text-theme-color fs-30"></i>';
                newRow += '</a>';
                newRow += '</div>';
                newRow += '</div>';

                $('#additional-required-document-form').append(newRow);
                $('#additional-required-document-form .required-documents-column-name').removeClass('d-none');
                $('#additional-required-document-form .select2').each(function() {
                    var $this = $(this);
                    var placeholderText = $this.find('option:first').text();
                    $this.select2({
                        allowClear: true,
                        width : '100%',
                        placeholder: placeholderText
                    });
                    $this.find('option:first').hide();
                });
            });

            $(document).on('click', '.removeMoreAdditionalDocumentRow', function () {
                $(this).closest('.row').remove();

                var rowLength = $('#additional-required-document-form .row').length - 1;
                if(rowLength === 0){
                    $('#additional-required-document-form .required-documents-column-name').addClass('d-none');
                }
            });

            $(document).on('click', '.required-document-save', function (e){
                e.preventDefault();

                let isSaveAndClose = $(this).attr('data-save-close');
                let isError = 0;

                $.ajax({
                    url: "{!! route('company.admin.brokers.save.tab4', ['section' => '1']) !!}",
                    method: "POST",
                    data: $('#required-document-profile-form').serialize(),
                    async:false,
                    beforeSend: function() {
                        loader();
                    },
                    success: function(response) {
                        if(response.success){
                            $('.broker-id').val(response.brokerId);
                        }else{
                            isError = 1;
                            toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                        }
                    },
                    complete: function() {
                        Swal.close();
                    },
                    error: function(jqXHR, status, exception) {
                        isError = 1;

                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });

                $.ajax({
                    url: "{!! route('company.admin.brokers.save.tab4', ['section' => '2']) !!}",
                    method: "POST",
                    data: $('#additional-required-document-form').serialize(),
                    async:false,
                    beforeSend: function() {
                        loader();
                    },
                    success: function(response) {
                        if(response.success){
                            $('.broker-id').val(response.brokerId);
                        }else{
                            isError = 1;
                            toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                        }
                    },
                    complete: function() {
                        Swal.close();
                    },
                    error: function(jqXHR, status, exception) {
                        isError = 1;

                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });

                if(isError == 1){
                    toastr.error('Error, on save Required Documents', 'Error Alert', { timeOut: 5000 });
                }else{
                    toastr.success('Required Documents saved successfully', 'Success Alert', { timeOut: 5000 });

                    if(isSaveAndClose == '1'){
                        nextStep();
                    }else{
                        window.location.href = '{!! route('company.admin.brokers.index') !!}'
                    }
                }
            });
            /********************* Required Documents - END *********************/

            /********************* Departments - START *********************/
            $(document).on('click', '.departments-save', function (e){
                e.preventDefault();

                let isSaveAndClose = $(this).attr('data-save-close');
                let isError = 0;

                if(isError == 1){
                    toastr.error('Error, on save Required Documents', 'Error Alert', { timeOut: 5000 });
                }else{
                    toastr.success('Departments saved successfully', 'Success Alert', { timeOut: 5000 });

                    if(isSaveAndClose == '1'){
                        nextStep();
                    }else{
                        window.location.href = '{!! route('company.admin.brokers.index') !!}'
                    }
                }
            });
            /********************* Departments - END *********************/

            /********************* Contacts - START *********************/
            $(document).on('click', '.addMoreContactRow', function () {
                var contactsIndex = {{ (isset($broker) && $broker->broker_contact->count() > 0) ? $broker->broker_contact->count() : '1' }};

                var html = `<div class="row px-3 py-2 pt-3" data-last-index="`+contactsIndex+`">
                    <div class="col-2 pr-1">
                        <div class="form-group">
                            <label for="first-name" class="form-label">First Name</label>
                            <input class="form-control" placeholder="Enter First Name" name="contacts[`+contactsIndex+`][first_name]" type="text">
                        </div>
                    </div>
                    <div class="col-1 px-1">
                        <div class="form-group">
                            <label for="middle-name" class="form-label">Middle Name</label>
                            <input class="form-control" placeholder="Enter Middle Name" name="contacts[`+contactsIndex+`][middle_name]" type="text">
                        </div>
                    </div>
                    <div class="col-2 px-1">
                        <div class="form-group">
                            <label for="last-name" class="form-label">Last Name</label>
                            <input class="form-control" placeholder="Enter Last Name" name="contacts[`+contactsIndex+`][last_name]" type="text">
                        </div>
                    </div>
                    <div class="col-4">
                        <div class="row">
                            <div class="col-lg-8 col-md-12 col-sm-6 px-1">
                                <div class="form-group">
                                    <label for="department" class="form-label">Department</label>
                                    <select class="form-control select2Multiple" multiple="multiple" name="contacts[`+contactsIndex+`][department][]">
                                        @foreach(brokerDepartment() as $key => $value)
                                            <option value="{{$key}}">{{$value}}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="col-lg-4 col-md-12 col-sm-6 px-1">
                                <div class="form-group">
                                    <label for="phone-number" class="form-label">Phone NO.</label>
                                    <input class="form-control phone" placeholder="(540) 230-8759" name="contacts[`+contactsIndex+`][phone_number]" type="text">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-3">
                        <div class="row">
                            <div class="col-lg-2 col-md-12 col-sm-6 px-1">
                                <div class="form-group">
                                    <label for="ext" class="form-label">Ext</label>
                                    <input class="form-control" placeholder="Ext" name="contacts[`+contactsIndex+`][ext]" type="text">
                                </div>
                            </div>
                            <div class="col-lg-5 col-md-12 col-sm-6 px-1">
                                <div class="form-group">
                                    <label for="fax" class="form-label">Fax</label>
                                    <input class="form-control phone" placeholder="(540) 230-8759" name="contacts[`+contactsIndex+`][fax]" type="text">
                                </div>
                            </div>
                            <div class="col-lg-5 col-md-12 col-sm-6 px-1">
                                <div class="form-group">
                                    <label for="cell-number" class="form-label">Cell Phone</label>
                                    <input class="form-control phone" placeholder="(540) 230-8759" name="contacts[`+contactsIndex+`][cell_number]" type="text">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-2 px-1">
                        <div class="form-group">
                            <label for="contact-status" class="form-label">&nbsp;</label>
                            <select class="form-control select2" name="contacts[`+contactsIndex+`][contact_status]">
                                <option value="">Select</option>
                                @foreach(brokerContactStatus() as $key => $value)
                                    <option value="{{$key}}" {{ ($key == '1') ? 'selected' : '' }}>{{$value}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>

                    <div class="col-2 pr-1">
                        <div class="form-group">
                            <label for=preferred-connections" class="form-label">Preferred Contact Method</label>
                            <select class="form-control select2" name="contacts[`+contactsIndex+`][preferred_connections]">
                                <option value="">Select</option>
                                @foreach(brokerPreferredContactMethod() as $key => $value)
                                    <option value="{{$key}}">{{$value}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-2 px-1">
                        <div class="form-group">
                            <label for="date-of-birth" class="form-label">Date Of Birth</label>
                            <div class="input-group">
                                <input class="form-control datePicker" placeholder="MM/DD/YYY" name="contacts[`+contactsIndex+`][date_of_birth]" type="text">
                                <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                            </div>
                        </div>
                    </div>
                    <div class="col-2 px-1">
                        <div class="form-group">
                            <label for="start-date-work-anniversary" class="form-label">Start Date/Work-Anniversary</label>
                            <div class="input-group">
                                <input class="form-control datePicker" placeholder="MM/DD/YYY" name="contacts[`+contactsIndex+`][start_date_work_anniversary]" type="text">
                                <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                            </div>
                        </div>
                    </div>
                    <div class="col-2 px-1">
                        <div class="form-group">
                            <label for="gender" class="form-label">Gender</label>
                            <select class="form-control select2" name="contacts[`+contactsIndex+`][gender]">
                                <option value="">Select</option>
                                <option value="1">Male</option>
                                <option value="2">Female</option>
                            </select>
                        </div>
                    </div>
                    <div class="col-1 px-1">
                        <div class="form-group">
                            <label for="suffix" class="form-label">Suffix</label>
                            <select class="form-control select2" name="contacts[`+contactsIndex+`][suffix]">
                                <option value="">Select</option>
                                @foreach(brokerSuffix() as $key => $value)
                                    <option value="{{$key}}">{{$value}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-3 px-1">
                        <div class="form-group">
                            <div class="d-flex align-items-top justify-content-between">
                                <label for="email" class="form-label w-auto">Email</label>
                                <ul class="nav flex-column required-documents-check p-0 ml-xl-5">
                                    <li class="p-0">
                                        <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                            <input class="custom-control-input" id="is-invite-`+contactsIndex+`" name="contacts[`+contactsIndex+`][is_invite]" type="checkbox" value="1">
                                            <label class="custom-control-label text-theme-color" for="is-invite-`+contactsIndex+`">Send ProChat Messenger Invite</label>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                            <input class="form-control" placeholder="Enter Email" data-parsley-type="email" name="contacts[`+contactsIndex+`][email]" type="text">
                        </div>
                    </div>
                    <div class="col-3" style="max-width: 22%;">
                        <div class="row align-items-center">
                            <div class="col-md-7 px-1">
                                <div class="form-group">
                                    <label for="pro-chat-id" class="form-label">ProChat ID</label>
                                    <input class="form-control" placeholder="ProChat ID" readonly="readonly" name="contacts[`+contactsIndex+`][pro_chat_id]" type="text">
                                </div>
                            </div>
                            <div class="col-md-2 px-1">
                                <div class="contact-file-upload">
                                    <input type='file' name='contacts[`+contactsIndex+`][representative_profile_img]' id="representative-profile-img-`+contactsIndex+`" accept=".png, .jpg, .jpeg" />
                                    <label for="representative-profile-img-`+contactsIndex+`" title="Update Profile Picture" class=""></label>
                                </div>
                                {{--
                                <div class="upload-element">
                                    <i class="fa fa-picture-o mt-0 gallary-edit contactFile" aria-hidden="true" data-id="{{$broker->id ?? $dummy_id}}" data-source="brokers" data-field="contact_file_`+contactsIndex+`" data-toggle="modal" data-target="#galleryModal" title="Contact File"></i>
                                </div>
                                --}}
                            </div>
                            <div class="col-md-3 px-1">
                                <a href="javascript:void(0);" class="removeMoreContactRow">
                                    <i class="fa fa-minus-square text-theme-color fs-30 mt-2"></i>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>`;

                $('#contacts-wrapper').append(html);

                $('.datePicker').datetimepicker({ format: 'MM/DD/YYYY', useCurrent: false });

                $('[name="contacts['+ contactsIndex +'][contact_status]"], [name="contacts['+ contactsIndex +'][preferred_connections]"], [name="contacts['+ contactsIndex +'][gender]"], [name="contacts['+ contactsIndex +'][suffix]"]').each(function() {
                    var $this = $(this);
                    var placeholderText = $this.find('option:first').text();
                    $this.select2({
                        allowClear: true,
                        width : '100%',
                        placeholder: placeholderText
                    });
                    $this.find('option:first').hide();
                });
                $('[name="contacts['+ contactsIndex +'][department][]"]').select2({
                    closeOnSelect: false,
                    placeholder: "Select",
                    allowHtml: true,
                    allowClear: false,
                    tags: false,
                    dropdownCssClass: "multiple-select",
                    width: '100%'
                });
                $('.contacts-tab-heding').addClass('border-bottom');

                contactsIndex++;
            });

            $(document).on('click', '.removeMoreContactRow', function () {
                $(this).closest('.row').parent().closest('.row').remove();

                if($('#contacts-wrapper .row').length === 0){
                    $('.contacts-tab-heding').removeClass('border-bottom');
                }
            });

            $(document).on('change', '[id^="representative-profile-img-"]', function (){
                if($(this).val()) {
                    $(this).next('label').addClass('uploaded');
                }
            });

            $(document).on('click', '.contacts-save', function(e){
                e.preventDefault();

                let form = $('#contacts-tab');
                let parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });
                let isSaveAndClose = $(this).attr('data-save-close');

                parsley.validate();

                if (parsley.isValid()){
                    form = form.serializeArray();

                    let formData = new FormData();
                    $.each(form, function (key, input) {
                        formData.append(input.name, input.value);
                    });
                    $('[id^="representative-profile-img-"]').each(function (i, fileInput) {
                        formData.append('contacts['+i+'][representative_profile_img]', $(fileInput)[0].files[0] || '');
                    });

                    $.ajax({
                        url: "{!! route('company.admin.brokers.save.tab6') !!}",
                        method: "POST",
                        data: formData,
                        dataType: 'json',
                        cache : false,
                        processData: false,
                        contentType: false,
                        beforeSend: function() {
                            loader();
                        },
                        success: function(response) {
                            if(response.success){
                                getContacts();
                                $('.broker-id').val(response.brokerId);
                                toastr.success(response.msg, 'Success Alert', { timeOut: 5000 });

                                if(isSaveAndClose == '1'){
                                    nextStep();
                                }else{
                                    window.location.href = '{!! route('company.admin.brokers.index') !!}'
                                }
                            }else{
                                toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        complete: function() {
                            Swal.close();
                        },
                        error: function(jqXHR, status, exception) {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });
            /********************* Contacts - END *********************/

            /********************* Notification Center - START *********************/
            $(document).on('click', '.addMoreStandardNotificationRow', function () {
                var index = $("#standard-notification-wrapper tr").length;
                var standardNotificationNotifyOptions = $('.standardNotificationNotify').html();

                var htmlContent = `
                    <tr>
                        <td class="align-center">
                            <div class="form-check p-0 m-0 only-checkbox">
                                <input class="form-check-input" id="standard-notification-on-off-`+index+`" name="standard_notification[`+index+`][on_off]" type="checkbox" value="1">
                                <label class="form-check-label ml-0" for="standard-notification-on-off-`+index+`"></label>
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <select class="form-control standardNotificationType select2" name="standard_notification[`+index+`][type]">
                                    <option value="">Select</option>
                                    @foreach(brokerStandardNotificationTypes() as $key => $value)
                                        <option value="{{$key}}">{{$value}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <select class="form-control standardNotificationCommunicationType select2" name="standard_notification[`+index+`][communication_type]">
                                    <option value="">Select</option>
                                    @foreach(brokerStandardNotificationCommunicationTypes() as $key => $value)
                                        <option value="{{$key}}">{{$value}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <select class="form-control standardNotificationNotify select2Multiple" multiple="multiple" name="standard_notification[`+index+`][notify][]">
                                    <option value="">Select</option>
                                    `+standardNotificationNotifyOptions+`
                                </select>
                            </div>
                        </td>
                        <td class="align-center">
                            <p class="font-weight-200 fs-14 entered-by">
                                {{ auth()->guard('company-admin')->user()->fullname ?? '' }}
                            </p>
                        </td>
                        <td class="align-center">
                            <p class="font-weight-200 fs-14 updated">
                                {{ \Carbon\Carbon::now()->format('m/d/Y') ?? '' }}
                            </p>
                        </td>
                        <td class="align-center">
                            <div class="d-flex align-items-center justify-content-end">
                                <a href="javascript:void(0);" class="removeMoreStandardNotificationRow">
                                    <i class="fa fa-minus-square text-theme-color fs-30"></i>
                                </a>
                            </div>
                        </td>
                    </tr>
                `;

                $("#standard-notification-wrapper").append(htmlContent);
                $('.standardNotificationType, .standardNotificationCommunicationType').each(function() {
                    var $this = $(this);
                    var placeholderText = $this.find('option:first').text();
                    $this.select2({
                        allowClear: true,
                        width : '100%',
                        placeholder: placeholderText
                    });
                    $this.find('option:first').hide();
                });
                $('.standardNotificationNotify').select2({
                    closeOnSelect: false,
                    placeholder: "Select",
                    allowHtml: true,
                    allowClear: false,
                    tags: false,
                    dropdownCssClass: "multiple-select",
                    width: '100%'
                });
                $('#standard-notification-table thead').removeClass('d-none');
            });

            $(document).on('click', '.removeMoreStandardNotificationRow', function () {
                $(this).closest('tr').remove();

                if($("#standard-notification-wrapper tr").length === 0){
                    $('#standard-notification-table thead').addClass('d-none');
                }
            });

            $(document).on('click', '.addMoreGeofenseNotificationRow', function () {
                var index = $("#geofense-notification-wrapper tr").length;
                var geofenseNotificationContactOptions = $('.geofenseNotificationContact').html();

                var htmlContent = `
                    <tr>
                        <td class="align-center">
                            <div class="form-check p-0 m-0 only-checkbox">
                                <input class="form-check-input" id="geofense-notification-on-off-`+index+`" name="geofense_notification[`+index+`][on_off]" type="checkbox" value="1">
                                <label class="form-check-label ml-0" for="geofense-notification-on-off-`+index+`"></label>
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="input-group post-append">
                                <input class="form-control radius-miles number" min="0" step="0.01" placeholder="0.00" name="geofense_notification[`+index+`][radius]" type="number">
                                <div class="input-group-append">
                                    <div class="input-group-text">Miles</div>
                                </div>
                            </div>
                        </td>
                        <td class="align-center same-width">
                            <div class="form-group mb-0">
                                <select class="form-control geofenseNotificationLocation select2" name="geofense_notification[`+index+`][location]">
                                    <option value="">Select</option>
                                    @foreach(brokerGeofenseNotificationLocation() as $key => $value)
                                        <option value="{{$key}}">{{$value}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </td>
                        <td class="align-center same-width">
                            <div class="form-group mb-0">
                                <select class="form-control geofenseNotificationType select2" name="geofense_notification[`+index+`][type]">
                                    <option value="">Select</option>
                                    @foreach(brokerGeofenseNotificationTypes() as $key => $value)
                                        <option value="{{$key}}">{{$value}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </td>
                        <td class="align-center same-width">
                            <div class="form-group mb-0">
                                <select class="form-control geofenseNotificationNotify select2" name="geofense_notification[`+index+`][notify]">
                                    <option value="">Select</option>
                                    @foreach(brokerGeofenseNotificationNotify() as $key => $value)
                                        <option value="{{$key}}">{{$value}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </td>
                        <td class="align-center same-width">
                            <div class="form-group mb-0">
                                <select class="form-control geofenseNotificationCommunicationType select2" name="geofense_notification[`+index+`][communication_type]">
                                    <option value="">Select</option>
                                     @foreach(brokerGeofenseNotificationCommunicationTypes() as $key => $value)
                                        <option value="{{$key}}">{{$value}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <select class="form-control geofenseNotificationContact select2Multiple" multiple="multiple" name="geofense_notification[`+index+`][contact][]">
                                    <option value="">Select</option>
                                    `+geofenseNotificationContactOptions+`
                                </select>
                            </div>
                        </td>
                        <td class="align-center">
                            <p class="font-weight-200 fs-14 entered-by">
                                {{ auth()->guard('company-admin')->user()->fullname ?? '' }}
                            </p>
                        </td>
                        <td class="align-center">
                            <p class="font-weight-200 fs-14 updated">
                                {{ \Carbon\Carbon::now()->format('m/d/Y') ?? '' }}
                            </p>
                        </td>
                        <td class="align-center">
                            <div class="d-flex align-items-center justify-content-end">
                                <a href="javascript:void(0);" class="removeMoreGeofenseNotificationRow">
                                    <i class="fa fa-minus-square text-theme-color fs-30"></i>
                                </a>
                            </div>
                        </td>
                    </tr>
                `;

                $("#geofense-notification-wrapper").append(htmlContent);
                $('.geofenseNotificationLocation, .geofenseNotificationType, .geofenseNotificationNotify, .geofenseNotificationCommunicationType').each(function() {
                    var $this = $(this);
                    var placeholderText = $this.find('option:first').text();
                    $this.select2({
                        allowClear: true,
                        width : '100%',
                        placeholder: placeholderText
                    });
                    $this.find('option:first').hide();
                });
                $('.geofenseNotificationContact').select2({
                    closeOnSelect: false,
                    placeholder: "Select",
                    allowHtml: true,
                    allowClear: false,
                    tags: false,
                    dropdownCssClass: "multiple-select",
                    width: '100%'
                });
                $('#geofense-notification-table thead').removeClass('d-none');
            });

            $(document).on('click', '.removeMoreGeofenseNotificationRow', function () {
                $(this).closest('tr').remove();

                if($("#geofense-notification-wrapper tr").length === 0){
                    $('#geofense-notification-table thead').addClass('d-none');
                }
            });

            $(document).on('click', '.addMoreEdiNotificationRow', function () {
                var index = $("#edi-notification-wrapper tr").length;

                var htmlContent = `
                    <tr>
                        <td class="align-center">
                            <div class="form-check p-0 m-0 only-checkbox">
                                <input class="form-check-input" id="edi-notification-on-off-`+index+`" name="edi_notification[`+index+`][on_off]" type="checkbox" value="1">
                                <label class="form-check-label ml-0" for="edi-notification-on-off-`+index+`"></label>
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <select class="form-control ediNotificationNotify select2Multiple" multiple="" name="edi_notification[`+index+`][notify][]">
                                    @foreach(getCompanyAdminListByCompany() as $key => $value)
                                        <option value="{{$key}}">{{$value}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </td>
                        <td class="align-center">
                            <p class="font-weight-200 fs-14 entered-by">
                                {{ auth()->guard('company-admin')->user()->fullname ?? '' }}
                            </p>
                        </td>
                        <td class="align-center">
                            <p class="font-weight-200 fs-14 updated">
                                {{ \Carbon\Carbon::now()->format('m/d/Y') ?? '' }}
                            </p>
                        </td>
                        <td class="align-center">
                            <div class="d-flex align-items-center justify-content-end">
                                <a href="javascript:void(0);" class="removeMoreEdiNotificationRow">
                                    <i class="fa fa-minus-square text-theme-color fs-30"></i>
                                </a>
                            </div>
                        </td>
                    </tr>
                `;

                $("#edi-notification-wrapper").append(htmlContent);
                $('.ediNotificationNotify').select2({
                    closeOnSelect: false,
                    placeholder: "Select",
                    allowHtml: true,
                    allowClear: false,
                    tags: false,
                    dropdownCssClass: "multiple-select",
                    width: '100%'
                });
                $('#edi-notification-table thead').removeClass('d-none');
            });

            $(document).on('click', '.removeMoreEdiNotificationRow', function () {
                $(this).closest('tr').remove();

                if($("#edi-notification-wrapper tr").length === 0){
                    $('#edi-notification-table thead').addClass('d-none');
                }
            });

            $(document).on('click', '.addMoreIntegrationNotificationRow', function () {
                var index = $("#integration-notification-wrapper tr").length;
                var integrationNotificationNotifyOptions = $('.integrationNotificationNotify').html();

                var htmlContent = `
                    <tr>
                        <td class="align-center">
                            <div class="form-check p-0 m-0 only-checkbox">
                                <input class="form-check-input" id="integration-notification-on-off-`+index+`" name="integration_notification[`+index+`][on_off]" type="checkbox" value="1">
                                <label class="form-check-label ml-0" for="integration-notification-on-off-`+index+`"></label>
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <select class="form-control integrationNotificationPartner select2" name="integration_notification[`+index+`][partner]">
                                    <option value="">Select</option>
                                    @foreach(brokerIntegrationNotificationPartners() as $key => $value)
                                        <option value="{{$key}}">{{$value}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <select class="form-control integrationNotificationType select2" name="integration_notification[`+index+`][type]">
                                    <option value="">Select</option>
                                    @foreach(brokerIntegrationNotificationTypes() as $key => $value)
                                        <option value="{{$key}}">{{$value}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <select class="form-control integrationNotificationCompanyWide select2" name="integration_notification[`+index+`][company_wide]" data-no-search='true'>
                                    <option value="">Select</option>
                                    <option value="0">No</option>
                                    <option value="1">Yes</option>
                                </select>
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <select class="form-control integrationNotificationNotify select2Multiple" multiple="multiple" name="integration_notification[`+index+`][notify][]">
                                    @foreach(getCompanyAdminListByCompany() as $key => $value)
                                        <option value="{{$key}}">{{$value}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="d-flex align-items-center justify-content-end">
                                <a href="javascript:void(0);" class="removeMoreIntegrationNotificationRow">
                                    <i class="fa fa-minus-square text-theme-color fs-30"></i>
                                </a>
                            </div>
                        </td>
                    </tr>
                `;

                $("#integration-notification-wrapper").append(htmlContent);
                $('.integrationNotificationPartner, .integrationNotificationType, .integrationNotificationCompanyWide').each(function() {
                    var $this = $(this);
                    var placeholderText = $this.find('option:first').text();
                    if(typeof $this.attr('data-no-search') !== 'undefined' && $this.attr('data-no-search') === 'true'){
                        $this.select2({
                            width : '100%',
                            placeholder: placeholderText,
                            minimumResultsForSearch: -1
                        });
                    }else{
                        $this.select2({
                            allowClear: true,
                            width : '100%',
                            placeholder: placeholderText
                        });
                    }
                    $this.find('option:first').hide();
                });
                $('.integrationNotificationNotify').select2({
                    closeOnSelect: false,
                    placeholder: "Select",
                    allowHtml: true,
                    allowClear: false,
                    tags: false,
                    dropdownCssClass: "multiple-select",
                    width: '100%'
                });
                $('#integration-notification-table thead').removeClass('d-none');
            });

            $(document).on('click', '.removeMoreIntegrationNotificationRow', function () {
                $(this).closest('tr').remove();

                if($("#integration-notification-wrapper tr").length === 0){
                    $('#integration-notification-table thead').addClass('d-none');
                }
            });

            $(document).on('click', '.notification-center-save', function(e){
                e.preventDefault();

                let form = $('#notification-center-tab');
                let parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });
                let isSaveAndClose = $(this).attr('data-save-close');

                parsley.validate();

                if (parsley.isValid()){
                    $.ajax({
                        url: "{!! route('company.admin.brokers.save.tab7') !!}",
                        method: "POST",
                        data: form.serialize(),
                        beforeSend: function() {
                            loader();
                        },
                        success: function(response) {
                            if(response.success){
                                $('.broker-id').val(response.brokerId);

                                toastr.success(response.msg, 'Success Alert', { timeOut: 5000 });

                                if(isSaveAndClose == '1'){
                                    nextStep();
                                }else{
                                    window.location.href = '{!! route('company.admin.brokers.index') !!}'
                                }
                            }else{
                                toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        complete: function() {
                            Swal.close();
                        },
                        error: function(jqXHR, status, exception) {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });
            /********************* Notification Center - END *********************/

            /********************* Customer Files - START *********************/
            $('.contractsStatus').select2({
                width : '100%',
                placeholder: 'Select Status',
                minimumResultsForSearch: -1,
                templateResult: function(el){
                    if (!el.id) { return el.text; }
                    if(el.text === 'Active'){
                        return $('<span style="font-weight: 600;color:#2F9840;">' + el.text + '</span>');
                    }else if(el.text === 'Inactive'){
                        return $('<span style="font-weight: 600;color:#FF1010;">' + el.text + '</span>');
                    }else if(el.text === 'Pending'){
                        return $('<span style="font-weight: 600;color:#FF7C0A;">' + el.text + '</span>');
                    }else{
                        return el.text;
                    }
                },
                templateSelection: function(el){
                    if (!el.id) { return el.text; }
                    if(el.text === 'Active'){
                        return $('<span style="font-weight: 600;color:#2F9840;">' + el.text + '</span>');
                    }else if(el.text === 'Inactive'){
                        return $('<span style="font-weight: 600;color:#FF1010;">' + el.text + '</span>');
                    }else if(el.text === 'Pending'){
                        return $('<span style="font-weight: 600;color:#FF7C0A;">' + el.text + '</span>');
                    }else{
                        return el.text;
                    }
                }
            });
            $('.pricingStatus').select2({
                width : '100%',
                placeholder: 'Select Status',
                minimumResultsForSearch: -1,
                templateResult: function(el){
                    if (!el.id) { return el.text; }
                    if(el.text === 'Active'){
                        return $('<span style="font-weight: 600;color:#2F9840;">' + el.text + '</span>');
                    }else if(el.text === 'Inactive'){
                        return $('<span style="font-weight: 600;color:#FF1010;">' + el.text + '</span>');
                    }else if(el.text === 'Pending'){
                        return $('<span style="font-weight: 600;color:#FF7C0A;">' + el.text + '</span>');
                    }else{
                        return el.text;
                    }
                },
                templateSelection: function(el){
                    if (!el.id) { return el.text; }
                    if(el.text === 'Active'){
                        return $('<span style="font-weight: 600;color:#2F9840;">' + el.text + '</span>');
                    }else if(el.text === 'Inactive'){
                        return $('<span style="font-weight: 600;color:#FF1010;">' + el.text + '</span>');
                    }else if(el.text === 'Pending'){
                        return $('<span style="font-weight: 600;color:#FF7C0A;">' + el.text + '</span>');
                    }else{
                        return el.text;
                    }
                }
            });
            $('.fuelTablesStatus').select2({
                width : '100%',
                placeholder: 'Select Status',
                minimumResultsForSearch: -1,
                templateResult: function(el){
                    if (!el.id) { return el.text; }
                    if(el.text === 'Active'){
                        return $('<span style="font-weight: 600;color:#2F9840;">' + el.text + '</span>');
                    }else if(el.text === 'Inactive'){
                        return $('<span style="font-weight: 600;color:#FF1010;">' + el.text + '</span>');
                    }else if(el.text === 'Pending'){
                        return $('<span style="font-weight: 600;color:#FF7C0A;">' + el.text + '</span>');
                    }else{
                        return el.text;
                    }
                },
                templateSelection: function(el){
                    if (!el.id) { return el.text; }
                    if(el.text === 'Active'){
                        return $('<span style="font-weight: 600;color:#2F9840;">' + el.text + '</span>');
                    }else if(el.text === 'Inactive'){
                        return $('<span style="font-weight: 600;color:#FF1010;">' + el.text + '</span>');
                    }else if(el.text === 'Pending'){
                        return $('<span style="font-weight: 600;color:#FF7C0A;">' + el.text + '</span>');
                    }else{
                        return el.text;
                    }
                }
            });
            $('.quickQuotesStatus').select2({
                width : '100%',
                placeholder: 'Select Status',
                minimumResultsForSearch: -1,
                templateResult: function(el){
                    if (!el.id) { return el.text; }
                    if(el.text === 'Active'){
                        return $('<span style="font-weight: 600;color:#2F9840;">' + el.text + '</span>');
                    }else if(el.text === 'Inactive'){
                        return $('<span style="font-weight: 600;color:#FF1010;">' + el.text + '</span>');
                    }else if(el.text === 'Pending'){
                        return $('<span style="font-weight: 600;color:#FF7C0A;">' + el.text + '</span>');
                    }else{
                        return el.text;
                    }
                },
                templateSelection: function(el){
                    if (!el.id) { return el.text; }
                    if(el.text === 'Active'){
                        return $('<span style="font-weight: 600;color:#2F9840;">' + el.text + '</span>');
                    }else if(el.text === 'Inactive'){
                        return $('<span style="font-weight: 600;color:#FF1010;">' + el.text + '</span>');
                    }else if(el.text === 'Pending'){
                        return $('<span style="font-weight: 600;color:#FF7C0A;">' + el.text + '</span>');
                    }else{
                        return el.text;
                    }
                }
            });
            $('.performanceReviewsStatus').select2({
                width : '100%',
                placeholder: 'Select Status',
                minimumResultsForSearch: -1,
                templateResult: function(el){
                    if (!el.id) { return el.text; }
                    if(el.text === 'Active'){
                        return $('<span style="font-weight: 600;color:#2F9840;">' + el.text + '</span>');
                    }else if(el.text === 'Inactive'){
                        return $('<span style="font-weight: 600;color:#FF1010;">' + el.text + '</span>');
                    }else if(el.text === 'Pending'){
                        return $('<span style="font-weight: 600;color:#FF7C0A;">' + el.text + '</span>');
                    }else{
                        return el.text;
                    }
                },
                templateSelection: function(el){
                    if (!el.id) { return el.text; }
                    if(el.text === 'Active'){
                        return $('<span style="font-weight: 600;color:#2F9840;">' + el.text + '</span>');
                    }else if(el.text === 'Inactive'){
                        return $('<span style="font-weight: 600;color:#FF1010;">' + el.text + '</span>');
                    }else if(el.text === 'Pending'){
                        return $('<span style="font-weight: 600;color:#FF7C0A;">' + el.text + '</span>');
                    }else{
                        return el.text;
                    }
                }
            });
            $('.insuranceRequirementsStatus').select2({
                width : '100%',
                placeholder: 'Select Status',
                minimumResultsForSearch: -1,
                templateResult: function(el){
                    if (!el.id) { return el.text; }
                    if(el.text === 'Active'){
                        return $('<span style="font-weight: 600;color:#2F9840;">' + el.text + '</span>');
                    }else if(el.text === 'Inactive'){
                        return $('<span style="font-weight: 600;color:#FF1010;">' + el.text + '</span>');
                    }else if(el.text === 'Pending'){
                        return $('<span style="font-weight: 600;color:#FF7C0A;">' + el.text + '</span>');
                    }else{
                        return el.text;
                    }
                },
                templateSelection: function(el){
                    if (!el.id) { return el.text; }
                    if(el.text === 'Active'){
                        return $('<span style="font-weight: 600;color:#2F9840;">' + el.text + '</span>');
                    }else if(el.text === 'Inactive'){
                        return $('<span style="font-weight: 600;color:#FF1010;">' + el.text + '</span>');
                    }else if(el.text === 'Pending'){
                        return $('<span style="font-weight: 600;color:#FF7C0A;">' + el.text + '</span>');
                    }else{
                        return el.text;
                    }
                }
            });

            $(document).on('click', '.addMoreCustomerFilesContractsRow', function () {
                var index = $("#customer-files-contracts-wrapper tr").length;
                var contractsSubmittedToOptions = $('.contractsSubmittedTo').html();

                var htmlContent = `
                    <tr>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <input class="form-control" placeholder="Enter File name" name="contracts[`+index+`][name]" type="text">
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <select class="form-control contractsStatus" name="contracts[`+index+`][status]">
                                    <option value="">Select</option>
                                    @foreach(brokerCustomerFileStatus() as $key => $value)
                                        <option value="{{$key}}">{{$value}}</option>
                                     @endforeach
                                </select>
                            </div>
                        </td>
                        <td class="align-center td-calender">
                            <div class="form-group mb-0">
                                <div class="input-group">
                                    <input class="form-control datePicker" placeholder="MM/DD/YYY" name="contracts[`+index+`][start_date]" type="text">
                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </td>
                        <td class="align-center td-calendar">
                            <div class="form-group mb-0">
                                <div class="input-group">
                                    <input class="form-control datePicker" placeholder="MM/DD/YYY" name="contracts[`+index+`][end_date]" type="text">
                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <select class="form-control contractsSubmittedTo select2Multiple" multiple="multiple" name="contracts[`+index+`][submitted_to][]">
                                    <option value="">Select Recipient</option>
                                    `+contractsSubmittedToOptions+`
                                </select>
                            </div>
                        </td>
                        <td class="align-center td-calendar">
                            <div class="form-group mb-0">
                                <div class="input-group">
                                    <input class="form-control datePicker" placeholder="MM/DD/YYY" name="contracts[`+index+`][submission_date]" type="text">
                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <input class="form-control" placeholder="Enter Submitted By" name="contracts[`+index+`][submitted_by]" type="text" value="{{auth()->guard('company-admin')->user()->full_name ?? null}}" readonly="readonly">
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="d-flex align-items-center justify-content-end">
                                <div class="upload-element">
                                    <i class="fa fa-picture-o pt-0 gallary-edit contractsFile" aria-hidden="true" data-id="{{ $broker->id ?? $dummy_id }}" data-source="brokers" data-field="contract_file_`+index+`" data-toggle="modal" data-target="#galleryModal" title="Contract File"></i>
                                </div>
                                <a href="javascript:void(0);" class="removeMoreCustomerFilesContractsRow">
                                    <i class="fa fa-minus-square text-theme-color fs-30"></i>
                                </a>
                            </div>
                        </td>
                    </tr>
                `;

                $("#customer-files-contracts-wrapper").append(htmlContent);
                $('#customer-files-contracts-table .contractsStatus').each(function() {
                    var $this = $(this);
                    $this.select2({
                        width : '100%',
                        placeholder: 'Select Status',
                        minimumResultsForSearch: -1,
                        templateResult: function(el){
                            if (!el.id) { return el.text; }
                            if(el.text === 'Active'){
                                return $('<span style="font-weight: 600;color:#2F9840;">' + el.text + '</span>');
                            }else if(el.text === 'Inactive'){
                                return $('<span style="font-weight: 600;color:#FF1010;">' + el.text + '</span>');
                            }else if(el.text === 'Pending'){
                                return $('<span style="font-weight: 600;color:#FF7C0A;">' + el.text + '</span>');
                            }else{
                                return el.text;
                            }
                        },
                        templateSelection: function(el){
                            if (!el.id) { return el.text; }
                            if(el.text === 'Active'){
                                return $('<span style="font-weight: 600;color:#2F9840;">' + el.text + '</span>');
                            }else if(el.text === 'Inactive'){
                                return $('<span style="font-weight: 600;color:#FF1010;">' + el.text + '</span>');
                            }else if(el.text === 'Pending'){
                                return $('<span style="font-weight: 600;color:#FF7C0A;">' + el.text + '</span>');
                            }else{
                                return el.text;
                            }
                        }
                    });
                });
                $('.contractsSubmittedTo').select2({
                    closeOnSelect: false,
                    placeholder: "Select",
                    allowHtml: true,
                    allowClear: false,
                    tags: false,
                    dropdownCssClass: "multiple-select",
                    width: '100%'
                });
                $('#customer-files-contracts-table .datePicker').datetimepicker({ format: dateLayout, useCurrent: false });
                $('#customer-files-contracts-table thead').removeClass('d-none');
            });

             $(document).on('click', '.removeMoreCustomerFilesContractsRow', function () {
                $(this).closest('tr').remove();

                if($("#customer-files-contracts-wrapper tr").length === 0){
                    $('#customer-files-contracts-table thead').addClass('d-none');
                }
            });

            $(document).on('click', '.addMoreCustomerFilesPricingRow', function () {
                var index = $("#customer-files-pricing-wrapper tr").length;
                var pricingSubmittedToOptions = $('.pricingSubmittedTo').html();

                var htmlContent = `
                        <tr>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <input class="form-control" placeholder="Enter File name" name="pricing[`+index+`][name]" type="text">
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <select class="form-control pricingStatus" name="pricing[`+index+`][status]">
                                    <option value="">Select</option>
                                    @foreach(brokerCustomerFileStatus() as $key => $value)
                                        <option value="{{$key}}">{{$value}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </td>
                        <td class="align-center td-calender">
                            <div class="form-group mb-0">
                                <div class="input-group">
                                    <input class="form-control datePicker" placeholder="MM/DD/YYY" name="pricing[`+index+`][start_date]" type="text">
                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </td>
                        <td class="align-center td-calendar">
                            <div class="form-group mb-0">
                                <div class="input-group">
                                    <input class="form-control datePicker" placeholder="MM/DD/YYY" name="pricing[`+index+`][end_date]" type="text">
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <select class="form-control pricingSubmittedTo select2Multiple" multiple="multiple" name="pricing[`+index+`][submitted_to][]">
                                    <option value="">Select Recipient</option>
                                    `+pricingSubmittedToOptions+`
                                </select>
                            </div>
                        </td>
                        <td class="align-center td-calendar">
                            <div class="form-group mb-0">
                                <div class="input-group">
                                    <input class="form-control datePicker" placeholder="MM/DD/YYY" name="pricing[`+index+`][submission_date]" type="text">
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <input class="form-control" placeholder="Enter Submitted By" name="pricing[`+index+`][submitted_by]" type="text" value="{{auth()->guard('company-admin')->user()->full_name ?? null}}" readonly="readonly">
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="d-flex align-items-center justify-content-end">
                                <div class="upload-element">
                                    <i class="fa fa-picture-o pt-0 gallary-edit pricingFile" aria-hidden="true" data-id="{{ $broker->id ?? $dummy_id }}" data-source="brokers" data-field="pricing_file_`+index+`" data-toggle="modal" data-target="#galleryModal" title="Pricing File"></i>
                                </div>
                                <a href="javascript:void(0);" class="removeMoreCustomerFilesPricingRow">
                                    <i class="fa fa-minus-square text-theme-color fs-30"></i>
                                </a>
                            </div>
                        </td>
                    </tr>
                `;


                $("#customer-files-pricing-wrapper").append(htmlContent);
                $('#customer-files-pricing-table .pricingStatus').each(function() {
                    var $this = $(this);
                    $this.select2({
                        width : '100%',
                        placeholder: 'Select Status',
                        minimumResultsForSearch: -1,
                        templateResult: function(el){
                            if (!el.id) { return el.text; }
                            if(el.text === 'Active'){
                                return $('<span style="font-weight: 600;color:#2F9840;">' + el.text + '</span>');
                            }else if(el.text === 'Inactive'){
                                return $('<span style="font-weight: 600;color:#FF1010;">' + el.text + '</span>');
                            }else if(el.text === 'Pending'){
                                return $('<span style="font-weight: 600;color:#FF7C0A;">' + el.text + '</span>');
                            }else{
                                return el.text;
                            }
                        },
                        templateSelection: function(el){
                            if (!el.id) { return el.text; }
                            if(el.text === 'Active'){
                                return $('<span style="font-weight: 600;color:#2F9840;">' + el.text + '</span>');
                            }else if(el.text === 'Inactive'){
                                return $('<span style="font-weight: 600;color:#FF1010;">' + el.text + '</span>');
                            }else if(el.text === 'Pending'){
                                return $('<span style="font-weight: 600;color:#FF7C0A;">' + el.text + '</span>');
                            }else{
                                return el.text;
                            }
                        }
                    });
                });
                $('.pricingSubmittedTo').select2({
                    closeOnSelect: false,
                    placeholder: "Select",
                    allowHtml: true,
                    allowClear: false,
                    tags: false,
                    dropdownCssClass: "multiple-select",
                    width: '100%'
                });
                $('#customer-files-pricing-table .datePicker').datetimepicker({ format: dateLayout, useCurrent: false });
                $('#customer-files-pricing-table thead').removeClass('d-none');
            });

            $(document).on('click', '.removeMoreCustomerFilesPricingRow', function () {
                $(this).closest('tr').remove();

                if($("#customer-files-pricing-wrapper tr").length === 0){
                    $('#customer-files-pricing-table thead').addClass('d-none');
                }
            });

            $(document).on('click', '.addMoreCustomerFilesFuelTableRow', function () {
                var index = $("#customer-files-fuel-table-wrapper tr").length;
                var fuelTablesSubmittedToOptions = $('.fuelTablesSubmittedTo').html();

                var htmlContent = `
                        <tr>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <input class="form-control" placeholder="Enter File name" name="fuelTables[`+index+`][name]" type="text">
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <select class="form-control fuelTablesStatus" name="fuelTables[`+index+`][status]">
                                    <option value="">Select</option>
                                    @foreach(brokerCustomerFileStatus() as $key => $value)
                                        <option value="{{$key}}">{{$value}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </td>
                        <td class="align-center td-calender">
                            <div class="form-group mb-0">
                                <div class="input-group">
                                    <input class="form-control datePicker" placeholder="MM/DD/YYY" name="fuelTables[`+index+`][start_date]" type="text">
                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </td>
                        <td class="align-center td-calendar">
                            <div class="form-group mb-0">
                                <div class="input-group">
                                    <input class="form-control datePicker" placeholder="MM/DD/YYY" name="fuelTables[`+index+`][end_date]" type="text">
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <select class="form-control fuelTablesSubmittedTo select2Multiple" multiple="multiple" name="fuelTables[`+index+`][submitted_to][]">
                                    <option value="">Select Recipient</option>
                                    `+fuelTablesSubmittedToOptions+`
                                </select>
                            </div>
                        </td>
                        <td class="align-center td-calendar">
                            <div class="form-group mb-0">
                                <div class="input-group">
                                    <input class="form-control datePicker" placeholder="MM/DD/YYY" name="fuelTables[`+index+`][submission_date]" type="text">
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <input class="form-control" placeholder="Enter Submitted By" name="fuelTables[`+index+`][submitted_by]" type="text" value="{{auth()->guard('company-admin')->user()->full_name ?? null}}" readonly="readonly">
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="d-flex align-items-center justify-content-end">
                                <div class="upload-element">
                                    <i class="fa fa-picture-o pt-0 gallary-edit fuelTableFile" aria-hidden="true" data-id="{{ $broker->id ?? $dummy_id }}" data-source="brokers" data-field="fuel_table_file_`+index+`" data-toggle="modal" data-target="#galleryModal" title="Fuel Table File"></i>
                                </div>
                                <a href="javascript:void(0);" class="removeMoreCustomerFilesFuelTableRow">
                                    <i class="fa fa-minus-square text-theme-color fs-30"></i>
                                </a>
                            </div>
                        </td>
                    </tr>
                `;


                $("#customer-files-fuel-table-wrapper").append(htmlContent);
                $('#customer-files-fuel-tables-table .fuelTablesStatus').each(function() {
                    var $this = $(this);
                    $this.select2({
                        width : '100%',
                        placeholder: 'Select Status',
                        minimumResultsForSearch: -1,
                        templateResult: function(el){
                            if (!el.id) { return el.text; }
                            if(el.text === 'Active'){
                                return $('<span style="font-weight: 600;color:#2F9840;">' + el.text + '</span>');
                            }else if(el.text === 'Inactive'){
                                return $('<span style="font-weight: 600;color:#FF1010;">' + el.text + '</span>');
                            }else if(el.text === 'Pending'){
                                return $('<span style="font-weight: 600;color:#FF7C0A;">' + el.text + '</span>');
                            }else{
                                return el.text;
                            }
                        },
                        templateSelection: function(el){
                            if (!el.id) { return el.text; }
                            if(el.text === 'Active'){
                                return $('<span style="font-weight: 600;color:#2F9840;">' + el.text + '</span>');
                            }else if(el.text === 'Inactive'){
                                return $('<span style="font-weight: 600;color:#FF1010;">' + el.text + '</span>');
                            }else if(el.text === 'Pending'){
                                return $('<span style="font-weight: 600;color:#FF7C0A;">' + el.text + '</span>');
                            }else{
                                return el.text;
                            }
                        }
                    });
                });
                $('.fuelTablesSubmittedTo').select2({
                    closeOnSelect: false,
                    placeholder: "Select",
                    allowHtml: true,
                    allowClear: false,
                    tags: false,
                    dropdownCssClass: "multiple-select",
                    width: '100%'
                });
                $('#customer-files-fuel-tables-table .datePicker').datetimepicker({ format: dateLayout, useCurrent: false });
                $('#customer-files-fuel-tables-table thead').removeClass('d-none');
            });

            $(document).on('click', '.removeMoreCustomerFilesFuelTableRow', function () {
                $(this).closest('tr').remove();

                if($("#customer-files-fuel-table-wrapper tr").length === 0){
                    $('#customer-files-fuel-tables-table thead').addClass('d-none');
                }
            });

            $(document).on('click', '.addMoreCustomerFilesQuickQuoteRow', function () {
                var index = $("#customer-files-quick-quotes-wrapper tr").length;
                var quickQuotesSubmittedToOptions = $('.quickQuotesSubmittedTo').html();

                var htmlContent = `
                        <tr>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <input class="form-control" placeholder="Enter File name" name="quickQuotes[`+index+`][name]" type="text">
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <select class="form-control quickQuotesStatus" name="quickQuotes[`+index+`][status]">
                                    <option value="">Select</option>
                                    @foreach(brokerCustomerFileStatus() as $key => $value)
                                        <option value="{{$key}}">{{$value}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </td>
                        <td class="align-center td-calender">
                            <div class="form-group mb-0">
                                <div class="input-group">
                                    <input class="form-control datePicker" placeholder="MM/DD/YYY" name="quickQuotes[`+index+`][start_date]" type="text">
                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </td>
                        <td class="align-center td-calendar">
                            <div class="form-group mb-0">
                                <div class="input-group">
                                    <input class="form-control datePicker" placeholder="MM/DD/YYY" name="quickQuotes[`+index+`][end_date]" type="text">
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <select class="form-control quickQuotesSubmittedTo select2Multiple" multiple="multiple" name="quickQuotes[`+index+`][submitted_to][]">
                                    <option value="">Select Recipient</option>
                                    `+quickQuotesSubmittedToOptions+`
                                </select>
                            </div>
                        </td>
                        <td class="align-center td-calendar">
                            <div class="form-group mb-0">
                                <div class="input-group">
                                    <input class="form-control datePicker" placeholder="MM/DD/YYY" name="quickQuotes[`+index+`][submission_date]" type="text">
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <input class="form-control" placeholder="Enter Submitted By" name="quickQuotes[`+index+`][submitted_by]" type="text" value="{{auth()->guard('company-admin')->user()->full_name ?? null}}" readonly="readonly">
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="d-flex align-items-center justify-content-end">
                                <div class="upload-element">
                                    <i class="fa fa-picture-o pt-0 gallary-edit quickQuoteFile" aria-hidden="true" data-id="{{ $broker->id ?? $dummy_id }}" data-source="brokers" data-field="quick_quote_file_`+index+`" data-toggle="modal" data-target="#galleryModal" title="Quick Quote File"></i>
                                </div>
                                <a href="javascript:void(0);" class="removeMoreCustomerFilesQuickQuoteRow">
                                    <i class="fa fa-minus-square text-theme-color fs-30"></i>
                                </a>
                            </div>
                        </td>
                    </tr>
                `;


                $("#customer-files-quick-quotes-wrapper").append(htmlContent);
                $('#customer-files-quick-quotes-table .quickQuotesStatus').each(function() {
                    var $this = $(this);
                    $this.select2({
                        width : '100%',
                        placeholder: 'Select Status',
                        minimumResultsForSearch: -1,
                        templateResult: function(el){
                            if (!el.id) { return el.text; }
                            if(el.text === 'Active'){
                                return $('<span style="font-weight: 600;color:#2F9840;">' + el.text + '</span>');
                            }else if(el.text === 'Inactive'){
                                return $('<span style="font-weight: 600;color:#FF1010;">' + el.text + '</span>');
                            }else if(el.text === 'Pending'){
                                return $('<span style="font-weight: 600;color:#FF7C0A;">' + el.text + '</span>');
                            }else{
                                return el.text;
                            }
                        },
                        templateSelection: function(el){
                            if (!el.id) { return el.text; }
                            if(el.text === 'Active'){
                                return $('<span style="font-weight: 600;color:#2F9840;">' + el.text + '</span>');
                            }else if(el.text === 'Inactive'){
                                return $('<span style="font-weight: 600;color:#FF1010;">' + el.text + '</span>');
                            }else if(el.text === 'Pending'){
                                return $('<span style="font-weight: 600;color:#FF7C0A;">' + el.text + '</span>');
                            }else{
                                return el.text;
                            }
                        }
                    });
                });
                $('.quickQuotesSubmittedTo').select2({
                    closeOnSelect: false,
                    placeholder: "Select",
                    allowHtml: true,
                    allowClear: false,
                    tags: false,
                    dropdownCssClass: "multiple-select",
                    width: '100%'
                });
                $('#customer-files-quick-quotes-table .datePicker').datetimepicker({ format: dateLayout, useCurrent: false });
                $('#customer-files-quick-quotes-table thead').removeClass('d-none');
            });

            $(document).on('click', '.removeMoreCustomerFilesQuickQuoteRow', function () {
                $(this).closest('tr').remove();

                if($("#customer-files-quick-quotes-wrapper tr").length === 0){
                    $('#customer-files-quick-quotes-table thead').addClass('d-none');
                }
            });

            $(document).on('click', '.addMoreCustomerFilesPerformanceReviewRow', function () {
                var index = $("#customer-files-performance-reviews-wrapper tr").length;
                var performanceReviewsSubmittedToOptions = $('.performanceReviewsSubmittedTo').html();

                var htmlContent = `
                        <tr>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <input class="form-control" placeholder="Enter File name" name="performanceReviews[`+index+`][name]" type="text">
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <select class="form-control performanceReviewsStatus select2" name="performanceReviews[`+index+`][status]">
                                    <option value="">Select</option>
                                    @foreach(brokerCustomerFileStatus() as $key => $value)
                                        <option value="{{$key}}">{{$value}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </td>
                        <td class="align-center td-calender">
                            <div class="form-group mb-0">
                                <div class="input-group">
                                    <input class="form-control datePicker" placeholder="MM/DD/YYY" name="performanceReviews[`+index+`][start_date]" type="text">
                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </td>
                        <td class="align-center td-calendar">
                            <div class="form-group mb-0">
                                <div class="input-group">
                                    <input class="form-control datePicker" placeholder="MM/DD/YYY" name="performanceReviews[`+index+`][end_date]" type="text">
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <select class="form-control performanceReviewsSubmittedTo select2Multiple" multiple="multiple" name="performanceReviews[`+index+`][submitted_to][]">
                                    <option value="">Select Recipient</option>
                                    `+performanceReviewsSubmittedToOptions+`
                                </select>
                            </div>
                        </td>
                        <td class="align-center td-calendar">
                            <div class="form-group mb-0">
                                <div class="input-group">
                                    <input class="form-control datePicker" placeholder="MM/DD/YYY" name="performanceReviews[`+index+`][submission_date]" type="text">
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <input class="form-control" placeholder="Enter Submitted By" name="performanceReviews[`+index+`][submitted_by]" type="text" value="{{auth()->guard('company-admin')->user()->full_name ?? null}}" readonly="readonly">
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="d-flex align-items-center justify-content-end">
                                <div class="upload-element">
                                    <i class="fa fa-picture-o pt-0 gallary-edit performanceReviewFile" aria-hidden="true" data-id="{{ $broker->id ?? $dummy_id }}" data-source="brokers" data-field="performance_review_file_`+index+`" data-toggle="modal" data-target="#galleryModal" title="Performance Review File"></i>
                                </div>
                                <a href="javascript:void(0);" class="removeMoreCustomerFilesPerformanceReviewRow">
                                    <i class="fa fa-minus-square text-theme-color fs-30"></i>
                                </a>
                            </div>
                        </td>
                    </tr>
                `;


                $("#customer-files-performance-reviews-wrapper").append(htmlContent);
                $('#customer-files-performance-reviews-table .performanceReviewsStatus').each(function() {
                    var $this = $(this);
                    $this.select2({
                        width : '100%',
                        placeholder: 'Select Status',
                        minimumResultsForSearch: -1,
                        templateResult: function(el){
                            if (!el.id) { return el.text; }
                            if(el.text === 'Active'){
                                return $('<span style="font-weight: 600;color:#2F9840;">' + el.text + '</span>');
                            }else if(el.text === 'Inactive'){
                                return $('<span style="font-weight: 600;color:#FF1010;">' + el.text + '</span>');
                            }else if(el.text === 'Pending'){
                                return $('<span style="font-weight: 600;color:#FF7C0A;">' + el.text + '</span>');
                            }else{
                                return el.text;
                            }
                        },
                        templateSelection: function(el){
                            if (!el.id) { return el.text; }
                            if(el.text === 'Active'){
                                return $('<span style="font-weight: 600;color:#2F9840;">' + el.text + '</span>');
                            }else if(el.text === 'Inactive'){
                                return $('<span style="font-weight: 600;color:#FF1010;">' + el.text + '</span>');
                            }else if(el.text === 'Pending'){
                                return $('<span style="font-weight: 600;color:#FF7C0A;">' + el.text + '</span>');
                            }else{
                                return el.text;
                            }
                        }
                    });
                });
                $('.performanceReviewsSubmittedTo').select2({
                    closeOnSelect: false,
                    placeholder: "Select",
                    allowHtml: true,
                    allowClear: false,
                    tags: false,
                    dropdownCssClass: "multiple-select",
                    width: '100%'
                });
                $('#customer-files-performance-reviews-table .datePicker').datetimepicker({ format: dateLayout, useCurrent: false });
                $('#customer-files-performance-reviews-table thead').removeClass('d-none');
            });

            $(document).on('click', '.removeMoreCustomerFilesPerformanceReviewRow', function () {
                $(this).closest('tr').remove();

                if($("#customer-files-performance-reviews-wrapper tr").length === 0){
                    $('#customer-files-performance-reviews-table thead').addClass('d-none');
                }
            });

            $(document).on('click', '.addMoreCustomerFilesInsuranceRequirementRow', function () {
                var index = $("#customer-files-insurance-requirements-wrapper tr").length;
                var insuranceRequirementsSubmittedToOptions = $('.insuranceRequirementsSubmittedTo').html();

                var htmlContent = `
                        <tr>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <input class="form-control" placeholder="Enter File name" name="insuranceRequirements[`+index+`][name]" type="text">
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <select class="form-control insuranceRequirementsStatus" name="insuranceRequirements[`+index+`][status]">
                                    <option value="">Select</option>
                                    @foreach(brokerCustomerFileStatus() as $key => $value)
                                        <option value="{{$key}}">{{$value}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </td>
                        <td class="align-center td-calender">
                            <div class="form-group mb-0">
                                <div class="input-group">
                                    <input class="form-control datePicker" placeholder="MM/DD/YYY" name="insuranceRequirements[`+index+`][start_date]" type="text">
                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </td>
                        <td class="align-center td-calendar">
                            <div class="form-group mb-0">
                                <div class="input-group">
                                    <input class="form-control datePicker" placeholder="MM/DD/YYY" name="insuranceRequirements[`+index+`][end_date]" type="text">
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <select class="form-control insuranceRequirementsSubmittedTo select2Multiple" multiple="multiple" name="insuranceRequirements[`+index+`][submitted_to][]">
                                    <option value="">Select Recipient</option>
                                    `+insuranceRequirementsSubmittedToOptions+`
                                </select>
                            </div>
                        </td>
                        <td class="align-center td-calendar">
                            <div class="form-group mb-0">
                                <div class="input-group">
                                    <input class="form-control datePicker" placeholder="MM/DD/YYY" name="insuranceRequirements[`+index+`][submission_date]" type="text">
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="form-group mb-0">
                                <input class="form-control" placeholder="Enter Submitted By" name="insuranceRequirements[`+index+`][submitted_by]" type="text" value="{{auth()->guard('company-admin')->user()->full_name ?? null}}" readonly="readonly">
                            </div>
                        </td>
                        <td class="align-center">
                            <div class="d-flex align-items-center justify-content-end">
                                <div class="upload-element">
                                    <i class="fa fa-picture-o pt-0 gallary-edit insuranceRequirementFile" aria-hidden="true" data-id="{{ $broker->id ?? $dummy_id }}" data-source="brokers" data-field="insurance_requirement_file_`+index+`" data-toggle="modal" data-target="#galleryModal" title="Insurance Requirement File"></i>
                                </div>
                                <a href="javascript:void(0);" class="removeMoreCustomerFilesInsuranceRequirementRow">
                                    <i class="fa fa-minus-square text-theme-color fs-30"></i>
                                </a>
                            </div>
                        </td>
                    </tr>
                `;


                $("#customer-files-insurance-requirements-wrapper").append(htmlContent);
                $('#customer-files-insurance-requirements-table .insuranceRequirementsStatus').each(function() {
                    var $this = $(this);
                    $this.select2({
                        width : '100%',
                        placeholder: 'Select Status',
                        minimumResultsForSearch: -1,
                        templateResult: function(el){
                            if (!el.id) { return el.text; }
                            if(el.text === 'Active'){
                                return $('<span style="font-weight: 600;color:#2F9840;">' + el.text + '</span>');
                            }else if(el.text === 'Inactive'){
                                return $('<span style="font-weight: 600;color:#FF1010;">' + el.text + '</span>');
                            }else if(el.text === 'Pending'){
                                return $('<span style="font-weight: 600;color:#FF7C0A;">' + el.text + '</span>');
                            }else{
                                return el.text;
                            }
                        },
                        templateSelection: function(el){
                            if (!el.id) { return el.text; }
                            if(el.text === 'Active'){
                                return $('<span style="font-weight: 600;color:#2F9840;">' + el.text + '</span>');
                            }else if(el.text === 'Inactive'){
                                return $('<span style="font-weight: 600;color:#FF1010;">' + el.text + '</span>');
                            }else if(el.text === 'Pending'){
                                return $('<span style="font-weight: 600;color:#FF7C0A;">' + el.text + '</span>');
                            }else{
                                return el.text;
                            }
                        }
                    });
                });
                $('.insuranceRequirementsSubmittedTo').select2({
                    closeOnSelect: false,
                    placeholder: "Select",
                    allowHtml: true,
                    allowClear: false,
                    tags: false,
                    dropdownCssClass: "multiple-select",
                    width: '100%'
                });
                $('#customer-files-insurance-requirements-table .datePicker').datetimepicker({ format: dateLayout, useCurrent: false });
                $('#customer-files-insurance-requirements-table thead').removeClass('d-none');
            });

            $(document).on('click', '.removeMoreCustomerFilesInsuranceRequirementRow', function () {
                $(this).closest('tr').remove();

                if($("#customer-files-insurance-requirements-wrapper tr").length === 0){
                    $('#customer-files-insurance-requirements-table thead').addClass('d-none');
                }
            });

            $(document).on('click', '.customer-files-save', function(e){
                e.preventDefault();

                let form = $('#customer-files-tab');
                let parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });
                let isSaveAndClose = $(this).attr('data-save-close');

                parsley.validate();

                if (parsley.isValid()){
                    $.ajax({
                        url: "{!! route('company.admin.brokers.save.tab9') !!}",
                        method: "POST",
                        data: form.serialize(),
                        beforeSend: function() {
                            loader();
                        },
                        success: function(response) {
                            if(response.success){
                                $('.broker-id').val(response.brokerId);
                                toastr.success(response.msg, 'Success Alert', { timeOut: 5000 });

                                if(isSaveAndClose == '1'){
                                    nextStep();
                                }else{
                                    window.location.href = '{!! route('company.admin.brokers.index') !!}'
                                }
                            }else{
                                toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        complete: function() {
                            Swal.close();
                        },
                        error: function(jqXHR, status, exception) {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });
            /********************* Customer Files - END *********************/
        });

        /********************* Customer Notes - START *********************/
        // Function to update character count
        function updateCharCount(editorID, charCountID) {
            var editorContent = CKEDITOR.instances[editorID].getData();
            //var charCount = editorContent.replace(/<[^>]*>/g, '').length;
            var charCount = $(editorContent).text().length;
            var activeTab = $("ul.tabList li a.active").attr('aria-controls');

            if (charCount > 500) {
                if(activeTab == 'tabCustomerNotes'){
                    $('.customer-notes-save').attr('disabled', 'disabled');
                }else if(activeTab == 'tabInternalNotes'){
                    $('.internal-notes-save').attr('disabled', 'disabled');
                }

                toastr.error('The Notes must be at least 500 characters', 'Error Alert', { timeOut: 5000 });
                document.getElementById(charCountID).innerText = 'Total Characters: '+charCount+' | Characters Left: 0';
            } else {
                if(activeTab == 'tabCustomerNotes'){
                    $('.customer-notes-save').removeAttr('disabled');
                }else if(activeTab == 'tabInternalNotes'){
                    $('.internal-notes-save').removeAttr('disabled');
                }

                document.getElementById(charCountID).innerText = 'Characters Left: ' + (500 - charCount);
            }
        }

        // Function to initialize CKEditor instances with dynamic IDs
        function initializeCKEditorWithDynamicID(editorID, charCountID) {
            CKEDITOR.replace(editorID, {
                toolbar: [
                    { name: 'colors', items: ['TextColor', 'BGColor'] },
                    { name: 'basicstyles', items: ['Bold', 'Italic'] },
                ],
                on: {
                    instanceReady: function() {
                        $.each(CKEDITOR.instances, function (instance) {
                            CKEDITOR.instances[instance].on("change", function (e) {
                                for (instance in CKEDITOR.instances) {
                                    CKEDITOR.instances[instance].updateElement();
                                }
                            });
                        });
                    },
                    paste: function() {
                        updateCharCount(editorID, charCountID);
                    },
                    change: function() {
                        updateCharCount(editorID, charCountID);
                    }
                },
            });
        }

        $(function () {
            $(document).ready(function (){
                // Initialize CKEditor instances with dynamic IDs
                $('.customer-note-textarea').each(function (i){
                    initializeCKEditorWithDynamicID('customer-note-textarea-'+ i, 'customer-notes-characters-left-text-'+ i);
                    updateCharCount('customer-note-textarea-'+ i, 'customer-notes-characters-left-text-'+ i);
                });
            });

            $(document).on('click', '.addMoreCustomerNotesRow', function () {
                var index = $("#customer-notes-wrapper tr").length;

                var htmlContent = `
                    <tr>
                        <td class="align-top">
                            <div class="form-group">
                                <select class="form-control customerNotesAddTo select2Multiple" multiple="" name="customer-notes[`+index+`][add_to][]">
                                    @foreach(getBrokerCustomerNotesAddTo() as $key => $value)
                                        <option value="{{$key}}">{{$value}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </td>
                        <td class="align-top">
                            <div class="form-group position-relative">
                                <textarea class="form-control customer-note-textarea" placeholder="Enter Notes" rows="6" name="customer-notes[`+index+`][notes]" cols="50" id="customer-note-textarea-`+index+`"></textarea>
                                {{--
                                <a href="javascript:void(0);" class="position-absolute color-circle-txt d-none">
                                    <img src="{{ asset('theme/images/color-circle.svg') }}" alt="color circle" class="img-fluid">
                                </a>
                                --}}
                                <span class="d-block text-right fw-600 fs-14 customer-notes-characters-left-text" id="customer-notes-characters-left-text-`+index+`">Characters Left: 500</span>
                            </div>
                        </td>
                        <td class="align-top">
                            <div class="d-flex align-items-center justify-content-center pt-2">
                                <a href="javascript:void(0);" class="removeMoreCustomerNotesRow">
                                    <i class="fa fa-minus-square text-theme-color fs-30"></i>
                                </a>
                            </div>
                        </td>
                    </tr>
                `;

                $("#customer-notes-wrapper").append(htmlContent);
                $('.customerNotesAddTo').select2({
                    closeOnSelect: false,
                    placeholder: "Select",
                    allowHtml: true,
                    allowClear: false,
                    tags: false,
                    dropdownCssClass: "multiple-select",
                    width: '100%'
                });

                initializeCKEditorWithDynamicID('customer-note-textarea-'+ index, 'customer-notes-characters-left-text-'+ index);
            });

            $(document).on('click', '.removeMoreCustomerNotesRow', function () {
                $(this).closest('tr').remove();
            });

            $(document).on('click', '.customer-notes-save', function(e){
                e.preventDefault();

                let form = $('#customer-notes-tab');
                let parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });
                let isSaveAndClose = $(this).attr('data-save-close');

                parsley.validate();

                if (parsley.isValid()){
                    $.ajax({
                        url: "{!! route('company.admin.brokers.save.tab8') !!}",
                        method: "POST",
                        data: form.serialize(),
                        beforeSend: function() {
                            loader();
                        },
                        success: function(response) {
                            if(response.success){
                                $('.broker-id').val(response.brokerId);
                                toastr.success(response.msg, 'Success Alert', { timeOut: 5000 });

                                if(isSaveAndClose == '1'){
                                    nextStep();
                                }else{
                                    window.location.href = '{!! route('company.admin.brokers.index') !!}'
                                }
                            }else{
                                toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        complete: function() {
                            Swal.close();
                        },
                        error: function(jqXHR, status, exception) {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });
        });
        /********************* Customer Notes - END *********************/

        /********************* Internal Notes - START *********************/
        $(function () {
            $(document).ready(function (){
                // Initialize CKEditor instances with dynamic IDs
                $('.internal-note-textarea').each(function (i){
                    initializeCKEditorWithDynamicID('internal-note-textarea-'+ i, 'internal-notes-characters-left-text-'+ i);
                    updateCharCount('internal-note-textarea-'+ i, 'internal-notes-characters-left-text-'+ i);
                });
            });

            $(document).on('click', '.addMoreInternalNotesRow', function () {
                var index = $("#internal-notes-wrapper tr").length;

                var htmlContent = `
                        <tr>
                            <td class="align-top">
                                <div class="form-group">
                                    <select class="form-control internalNotesAddTo select2Multiple" multiple="" name="internal-notes[`+index+`][add_to][]">
                                        @foreach(getBrokerInternalNotesAddTo() as $key => $value)
                                            <option value="{{$key}}">{{$value}}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </td>
                            <td class="align-top">
                                <div class="form-group position-relative">
                                    <textarea class="form-control internal-note-textarea" placeholder="Enter Notes" rows="6" name="internal-notes[`+index+`][notes]" cols="50" id="internal-note-textarea-`+index+`"></textarea>
                                    {{--
                                    <a href="javascript:void(0);" class="position-absolute color-circle-txt d-none">
                                        <img src="{{ asset('theme/images/color-circle.svg') }}" alt="color circle" class="img-fluid">
                                    </a>
                                    --}}
                                    <span class="d-block text-right fw-600 fs-14 internal-notes-characters-left-text" id="internal-notes-characters-left-text-`+index+`">Characters Left: 500</span>
                                </div>
                            </td>
                            <td class="align-top">
                                <div class="d-flex align-items-center justify-content-center pt-2">
                                    <a href="javascript:void(0);" class="removeMoreInternalNotesRow">
                                        <i class="fa fa-minus-square text-theme-color fs-30"></i>
                                    </a>
                                </div>
                            </td>
                        </tr>
                    `;

                $("#internal-notes-wrapper").append(htmlContent);
                $('.internalNotesAddTo').select2({
                    closeOnSelect: false,
                    placeholder: "Select",
                    allowHtml: true,
                    allowClear: false,
                    tags: false,
                    dropdownCssClass: "multiple-select",
                    width: '100%'
                });

                initializeCKEditorWithDynamicID('internal-note-textarea-'+ index, 'internal-notes-characters-left-text-'+ index);
            });

            $(document).on('click', '.removeMoreInternalNotesRow', function () {
                $(this).closest('tr').remove();
            });

            $(document).on('click', '.internal-notes-save', function(e){
                e.preventDefault();

                let form = $('#internal-notes-tab');
                let parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });
                let isSaveAndClose = $(this).attr('data-save-close');

                parsley.validate();

                if (parsley.isValid()){
                    $.ajax({
                        url: "{!! route('company.admin.brokers.save.tab10') !!}",
                        method: "POST",
                        data: form.serialize(),
                        beforeSend: function() {
                            loader();
                        },
                        success: function(response) {
                            if(response.success){
                                $('.broker-id').val(response.brokerId);
                                toastr.success(response.msg, 'Success Alert', { timeOut: 5000 });

                                if(isSaveAndClose == '1'){
                                    nextStep();
                                }else{
                                    window.location.href = '{!! route('company.admin.brokers.index') !!}'
                                }
                            }else{
                                toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        complete: function() {
                            Swal.close();
                        },
                        error: function(jqXHR, status, exception) {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });
        });
        /********************* Internal Notes - END *********************/

        /********************* Geofence - START *********************/
        function savePlaceId(placeId){
            $.ajax({
                url: "{!! route('company.admin.brokers.save.place') !!}",
                method: "POST",
                data: {
                    _token: '{{csrf_token()}}',
                    broker_id: $('#general-info-tab .broker-id').val(),
                    placeId: placeId
                },
                success: function(response) {
                    //console.log(response.success);
                },
            });
        }

        function getAuthenticateToken() {
            var token = '';

            if(typeof trimbleMapsAPIKey != 'undefined' && trimbleMapsAPIKey != '') {
                $.ajax({
                    "url": "https://api.trimblemaps.com/places/v1/authenticate",
                    "method": "POST",
                    "timeout": 0,
                    "async": false,
                    "headers": {
                        "Content-Type": "application/json"
                    },
                    "data": JSON.stringify({
                        "apiKey": trimbleMapsAPIKey
                    }),
                }).done(function (response) {
                    token = response.token;
                });
            }else{
                console.error("Trimble maps API key not found.");
            }

            return token
        }

        function getTrimblePlaceIdByAddress(location = ''){
            if(typeof trimbleMapsAPIKey != 'undefined' && trimbleMapsAPIKey != ''){
                if($('#general-info-tab').find('.geocoding .geocoding-trimble-place-id').val() == ''){
                    var address1 = $('#general-info-tab').find('.geocoding .geocoding-address-1').val();
                    var address2 = $('#general-info-tab').find('.geocoding .geocoding-address-2').val();
                    var city = $('#general-info-tab').find('.geocoding .geocoding-city').val();
                    var state = $('#general-info-tab').find('.geocoding .geocoding-state').val();
                    var zip = $('#general-info-tab').find('.geocoding .geocoding-zip').val();
                    var latitude = $('#general-info-tab').find('.geocoding .geocoding-latitude').val();
                    var longitude = $('#general-info-tab').find('.geocoding .geocoding-longitude').val();

                    if(address1 != '' && city != '' && state != '' && zip != ''){
                        if(address2 != ''){
                            location += address1 + ' ' + address2 + ' ' + city + ' ' + state + ' ' + zip;
                        }else{
                            location += address1 + ' ' + city + ' ' + state + ' ' + zip;
                        }
                    }

                    if(location != ''){
                        $.ajax({
                            url: 'https://singlesearch.alk.com/NA/api/search',
                            data: {
                                query: location,
                                authToken: trimbleMapsAPIKey,
                                includeTrimblePlaceIds: true,
                            },
                            success: function(data) {
                                if(data.Locations.length > 0){
                                    var isGetTrimblePlaceId = false;

                                    $.each(data.Locations, function(key, value){
                                        //if(address1 == value.Address['StreetAddress'] && city == value.Address['City'] && (state == value.Address['State'] || state == value.Address['StateName']) && zip == value.Address['Zip'] && typeof value.TrimblePlaceId != 'undefined' && value.TrimblePlaceId != ''){
                                        if(typeof value.TrimblePlaceId != 'undefined' && value.TrimblePlaceId != ''){
                                            isGetTrimblePlaceId = true;
                                            $('#general-info-tab .geocoding .geocoding-trimble-place-id').val(value.TrimblePlaceId);
                                            return false;
                                        }
                                    });

                                    if(isGetTrimblePlaceId){
                                        generateTrimblePlaceEditorByPlaceId($('#general-info-tab .geocoding .geocoding-trimble-place-id').val());
                                        savePlaceId($('#general-info-tab .geocoding .geocoding-trimble-place-id').val());
                                    }else{
                                        var authToken = getAuthenticateToken();

                                        if(authToken != ''){
                                            $.ajax({
                                                "url": "https://api.trimblemaps.com/places/v1/place",
                                                "method": "POST",
                                                "timeout": 0,
                                                "async": false,
                                                "headers": {
                                                    "Content-Type": "application/json",
                                                    "Authorization": "bearer " + authToken
                                                },
                                                "data": JSON.stringify({
                                                    "name": location,
                                                    "setId": "{{ env('TRIMBLE_PLACE_SET_ID') }}",
                                                    "address": {
                                                        "streetAddress": address1,
                                                        "extendedAddress": address2,
                                                        "streetNumber": "",
                                                        "city": city,
                                                        "county": "",
                                                        "state": {
                                                            "name": state,
                                                            "abbrv": ""
                                                        },
                                                        "country": {
                                                            "name": "",
                                                            "abbrv": ""
                                                        },
                                                        "postalCode": zip
                                                    },
                                                    "formattedAddress": location,
                                                    "geometry": {
                                                        "type": "Point",
                                                        "coordinates": [
                                                            longitude,
                                                            latitude
                                                        ]
                                                    }
                                                }),
                                            }).done(function (response) {
                                                if(typeof response.trimblePlaceId != 'undefined'){
                                                    $('#general-info-tab .geocoding .geocoding-trimble-place-id').val(response.trimblePlaceId);
                                                    generateTrimblePlaceEditorByPlaceId(response.trimblePlaceId);
                                                    savePlaceId(response.trimblePlaceId);
                                                }else{
                                                    console.error("Error on create a new place.");
                                                }
                                            });
                                        }else{
                                            console.error("Auth token not found.");
                                        }
                                    }
                                }
                            },
                            error: function(err) {
                                console.error("Trimble place id finding error:", err);
                            }
                        });
                    }
                }
            }else{
                console.error("Trimble maps API key not found.");
            }
        }

        function generateTrimblePlaceEditorByPlaceId(trimblePlaceId) {
            if(typeof trimbleMapsAPIKey != 'undefined' && trimbleMapsAPIKey != ''){
                if(trimblePlaceId != ''){
                    var authToken = getAuthenticateToken();

                    if(authToken != ''){
                        $.ajax({
                            "url": "https://api.trimblemaps.com/places/v1/place/"+trimblePlaceId+"/editor",
                            "method": "GET",
                            "timeout": 0,
                            "async": false,
                            "headers": {
                                "Content-Type": "application/json",
                                "Authorization": "bearer " + authToken
                            },
                        }).done(function (placeEditorResponse) {
                            if(placeEditorResponse != ""){
                                if(placeEditorResponse.url != ""){
                                    $('#geofence-map-error').addClass("d-none");
                                    $("#geofence-tab #placeEditorViewer").removeClass('fill-inactive-url').attr('href', placeEditorResponse.url);
                                }else{
                                    $("#geofence-tab #placeEditorViewer").addClass('fill-inactive-url').attr('href', 'javascript:void(0);');
                                }
                            }else{
                                $("#geofence-tab #placeEditorViewer").addClass('fill-inactive-url').attr('href', 'javascript:void(0);');
                            }
                        });
                    }else{
                        console.error("Auth token not found.");
                    }
                }else{
                    console.error("Trimble placeId cannot be empty.");
                }
            }else{
                console.error("Trimble maps API key not found.");
            }
        }

        $(function () {
            $(document).ready(function(){
                if($('#general-info-tab .geocoding .geocoding-trimble-place-id').val() != ''){
                    generateTrimblePlaceEditorByPlaceId($('#general-info-tab .geocoding .geocoding-trimble-place-id').val());
                }
            });

            $(document).on('click', '.geofence-save', function (e){
                e.preventDefault();

                let form = $('#geofence-tab');
                let parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });

                parsley.validate();

                if (parsley.isValid()){
                    $.ajax({
                        url: "{!! route('company.admin.brokers.save.tab11') !!}",
                        method: "POST",
                        data: form.serialize(),
                        beforeSend: function() {
                            loader();
                        },
                        success: function(response) {
                            if(response.success){
                                toastr.success(response.msg, 'Success Alert', { timeOut: 5000 });

                                setTimeout(function(){
                                    window.location.href = '{!! route('company.admin.brokers.index') !!}'
                                }, 1000);
                            }else{
                                toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        complete: function() {
                            Swal.close();
                        },
                        error: function(jqXHR, status, exception) {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });

            $(document).on('keyup','.geocoding-address-1,.geocoding-city,.geocoding-state,.geocoding-zip',function(event) {
                event.preventDefault();
                $('.geocoding-trimble-place-id').val("");
                $('#geofence-map-error').removeClass("d-none");
                $("#geofence-tab #placeEditorViewer").addClass('fill-inactive-url').attr('href', 'javascript:void(0);');
            });
        });
        //********************* Geofence - END *********************/
    </script>
@endsection

@push('after-scripts')
    <script src="{{ asset('theme/js/trimble.js') }}"></script>
@endpush
