@extends($companyAdminTheme)

@section('title')
    Customer Show
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/slick.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/datepicker3.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/media3.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/daterangepicker.css') }}">
    <style type="text/css">
        .ui-widget-shadow {
            opacity: 1 !important;
        }
        .ui-tooltip.ui-widget-shadow {
            max-width: 210px;
            padding: 0;
            background: #FFFFFF;
            box-shadow: 0px 3px 46px #0000001F;
            border-radius: 10px;
            border: 0;
        }
        .ui-tooltip .ui-tooltip-content{
            color: #322727;
            font-size: 12px;
            font-weight: 500;
            font-family: 'Inter', sans-serif;
            padding: 17px 14px;
        }
        .ui-tooltip .ui-tooltip-content strong{
            font-weight: 600;
        }
        ::-webkit-scrollbar-thumb {
            background: #305F9C;
            border-radius: 10px;
        }

        .broker-header .card {
            border-radius: 0.75rem 0.75rem 0.25rem 0.25rem;
        }
        .broker-header .card .card-header {
            padding: 0.25rem 0.50rem;
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border-radius: 10px 10px 0px 0px;
            height: 55px;
        }
        .broker-header .card .card-header h6 {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FFFFFF;
            padding-top: 4px;
        }
        .broker-header .card .card-header #btnEdit {
            border-radius: 10px;
            height: 45px;
        }
        .broker-header .card .card-header #btnEdit:hover {
            color: #ffffff;
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border: 1px solid #ffffff;
        }

        .broker-tabs .select2-container {
            width: 100%;
        }
        .broker-tabs .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .broker-tabs .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        .broker-tabs .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        .broker-tabs .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        .broker-tabs .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            /*font-weight: 600;*/
            /*color: #000000e6 !important;*/
            padding-right: 30px;
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        .broker-tabs .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
        .broker-tabs .my-trips-content .active-status-s2 {
            width: 130px !important;
        }
        .broker-tabs .form-group label {
            font: normal normal 600 14px/17px Inter;
            letter-spacing: 0px;
            color: #616376;
        }

        #tabAccount .card {
            border-radius: 10px;
        }
        #tabAccount .card-header {
            background-color: #ffffff;
            border-radius: 10px 10px 0px 0px;
        }
        #tabAccount .top-header-row .broker-details p {
            font: normal normal 600 14px/18px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        #tabAccount .top-header-row .broker-details label {
            font: normal normal bold 14px/18px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #0C0B0B;
        }
        #tabAccount .border-left {
            border-left: 1px solid #CCCCCC;
        }
        #tabAccount .border-top {
            border-top: 1px solid #dee2e6;
        }
        #tabAccount .border-bottom {
            border-bottom: 1px solid #CCCCCC;
        }
        #tabAccount .broker-details-header h6 {
            font: normal normal bold 16px/20px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        #tabAccount .broker-details-body p {
            font: normal normal 600 14px/18px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        #tabAccount .broker-details-body label {
            font: normal normal bold 14px/18px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #0C0B0B;
        }
        #tabAccount .thresholdsbox-content input.form-control {
            max-width: 61px;
            text-align: center;
            margin: auto;
            font: normal normal 500 16px/20px 'Inter', sans-serif !important;
            color: #0C0B0B;
            padding: 0;
        }
        #tabAccount .thresholdsbox-content label {
            font: normal normal 600 10px/12px 'Inter', sans-serif !important;
            color: #616376;
        }
        #tabAccount .thresholdsbox-content h6 {
            color: #000000;
        }
        #tabAccount .form-group .thresholdsbox-content img {
            position: inherit;
            right: inherit;
            bottom: inherit;
        }
        #tabAccount .card-shadow {
            box-shadow: 0px 14px 54px #00000026;
            background: #FFFFFF 0% 0% no-repeat padding-box;
            border: inherit;
        }
        #tabAccount .bond-info h6 {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        #tabAccount .bond-info label {
            font: normal normal medium 10px/12px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #7B838C;
        }
        #tabAccount .bond-info p {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #000000;
        }
        #tabAccount .bond-info .badge {
            font: normal normal 600 12px/15px Inter, Sans-Serif;
            letter-spacing: 0px;
            text-transform: capitalize;
        }
        #tabAccount .insurance-info h6 {
            font: normal normal bold 17px/20px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        #tabAccount .insurance-info label {
            font: normal normal bold 9px/11px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #7B838C;
        }
        #tabAccount .insurance-info p {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #000000;
        }
        #tabAccount .insurance-info .badge {
            font: normal normal 600 11px/14px Inter, Sans-Serif;
            letter-spacing: 0px;
            text-transform: capitalize;
        }
        #tabAccount .insurance-info i {
            font-size: 20px;
        }
        #tabAccount .insurance-info i.uploaded {
            color: #305F9C;
        }
        #tabAccount .insurance-info a {
            text-decoration: underline;
            font: normal normal bold 12px/14px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }

        #tabAccount .representatives-info {
            height: 375px;
            overflow-y: scroll;
        }
        #tabAccount .representatives-info label {
            font: normal normal 600 16px/20px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        #tabAccount .representatives-info .broker-contact-img {
            width: 40px;
            height: 40px;
            background: #FF6D10;
            border-radius: 50%;
            overflow: hidden;
            display: flex;
            align-items: center;
            justify-content: center;
        }
        #tabAccount .representatives-info .broker-contact-img img {
            width: 100%;
            height: 100%;
            object-fit: cover;
            object-position: center center;
        }
        #tabAccount .representatives-info input[type=text].form-control {
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            height: 45px;
            font-weight: inherit !important;
            color: #616376 !important;
        }
        #tabAccount .representatives-info .view a {
            text-decoration: underline;
            font: normal normal 500 16px/20px Inter;
            letter-spacing: 0px;
            color: #305F9C;
        }
        #tabAccount .representatives-info ul li{
            margin: 0 5px 0px;
            display: none;
        }
        #tabAccount .representatives-info ul li{
            display: block;
        }
        #tabAccount .representatives-info ul li a{
            font: normal normal 500 10px/12px 'Inter', sans-serif;
            color: #322727;
        }
        #tabAccount .representatives-info ul li a .profile-icons{
            width: 40px;
            height: 40px;
            border: 1px solid #305F9C;
            border-radius: 100%;
            display: flex;
            align-items: center;
            justify-content: center;
        }
        #tabAccount .representatives-info p{
            font: normal normal 500 14px/17px 'Inter', sans-serif;
            color: #616376;
            text-align: center;
        }

        @media (max-width:1599px) {
            #tabAccount .thresholdsbox-content input.form-control {
                max-width: 48px;
            }
        }
        @media (max-width:1399px) {
            #tabAccount .thresholdsbox-content input.form-control {
                font-size: 14px !important;
            }
            #tabAccount .thresholdsbox-content input.form-control {
                max-width: 45px;
            }
        }
        @media (max-width:1199px) {
            #tabAccount .thresholdsbox-content input.form-control {
                max-width: 50px;
            }
        }

        .modal-myRep .modal-content {
            border-radius: 10px;
            overflow: hidden;
            border: 0;
        }
        .modal-myRep .modal-header {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            padding: 22px 22px;
            border: 0;
        }
        .modal-myRep .modal-title {
            font-size: 20px;
            font-weight: bold;
            color: #fff;
        }
        .modal-myRep .modal-header .close {
            color: #fff;
            text-shadow: none;
            opacity: 1;
        }
        .modal-myRep .modal-footer {
            border-color: #A4A9B0;
        }
        .modal-myRep .btn-outline-blue {
            color: #305F9C
        }
        .modal-myRep .modal-footer .btn {
            font-size: 15px;
            height: auto;
            padding: 10px 15px;
            border-radius: 10px;
        }
        .modal-myRep .create-rep {
            border-radius: 10px;
        }
        .modal-myRep .btn-blue {
            color: #fff;
        }
        .modal-myRep .btn-outline-blue:hover {
            color: #fff;
        }
        .modal-myRep .btn-blue:hover {
            color: #305F9C;
        }
        .modal-myRep .modal-body .btn {
            font-size: 18px;
            padding: 16px 20px;
            height: auto;
        }
        .modal-myRep .modal-body .btn i {
            font-size: 20px;
            margin-right: 8px;
        }
        .modal-myRep .orNew-block {
            margin: 20px -20px;
            font-size: 18px;
            font-weight: bold;
        }
        .modal-myRep label {
            font-size: 16px;
            font-weight: bold;
            text-align: left;
            color: #305F9C;
            margin: 7px 0 0;
            width: 100%;
        }
        .modal-myRep .form-control {
            font-weight: 600;
            /* color: #305F9C !important; */
            border-radius: 10px;
        }
        .modal-myRep .select2-container {
            width: 100%;
        }
        .modal-myRep .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .modal-myRep .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        .modal-myRep .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        .modal-myRep .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        .modal-myRep .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            /*font-weight: 600;*/
            /*color: #000000e6 !important;*/
            padding-right: 30px;
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        .modal-myRep .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }

        #tabFuelSurcharge .card-fuelSurcharges {
            border-radius: 10px;
        }
        #tabFuelSurcharge .card-fuelSurcharges .card-header {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border-radius: 10px 10px 0px 0px;
            text-align: center;
        }
        #tabFuelSurcharge .card-fuelSurcharges .card-header h6 {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FFFFFF;
        }

        #tabFuelSurcharge .card-fuelSurcharges .card-body hr {
            border-color: #D8D8DD;
            margin: 0;
        }
        #tabFuelSurcharge .card-fuelSurcharges .card-body .form-group label {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #322727;
        }
        #tabFuelSurcharge .card-fuelSurcharges .card-body .form-group p {
            font: normal normal 600 12px/15px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #7C8C9D;
        }
        #tabFuelSurcharge .card-fuelSurcharges .card-body input.form-control {
            font-size: 14px;
            font-weight: bolder;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
        }
        #tabFuelSurcharge .card-fuelSurcharges .card-body input::placeholder {
            color: #616376 !important;
            font-weight: 600 !important;
            opacity: 0.5 !important;
        }
        #tabFuelSurcharge .card-fuelSurcharges .card-body .pre-append input.form-control {
            border-radius: 0px 10px 10px 0px !important;
        }
        #tabFuelSurcharge .card-fuelSurcharges .card-body .post-append input.form-control {
            border-radius: 10px 0px 0px 10px !important;
        }
        #tabFuelSurcharge .card-fuelSurcharges .card-body .input-group .input-group-prepend {
            background: transparent;
            border-radius: 10px 0px 0px 10px;
            color: #342828;
            font-family: 'Inter', sans-serif;
        }
        #tabFuelSurcharge .card-fuelSurcharges .card-body .input-group .input-group-prepend .input-group-text {
            color: #342828;
            font-size: 16px;
            font-weight: 600;
            border: 1px solid #D8D8DD;
            background: #fff;
            font-family: 'Inter', sans-serif;
            min-width: 55px;
            justify-content: center;
        }
        #tabFuelSurcharge .card-fuelSurcharges .card-body .form-group .input-group img {
            width: 15px;
            position: absolute;
            right: 10px;
            bottom: 12px;
        }
        #tabFuelSurcharge .card-fuelSurcharges .card-body .section-heading {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
            padding: 8px 13px;
        }
        #tabFuelSurcharge .card-fuelSurcharges .card-body .text-info-box {
            color: #305F9C;
        }
        #tabFuelSurcharge .card-fuelSurcharges .card-body .region-map-url {
            text-decoration: underline !important;
            letter-spacing: 0px;
            color: #305F9C;
        }
        #tabFuelSurcharge .card-fuelSurcharges .card-footer {
            background-color: rgb(255 255 255 / 3%);
        }
        #tabFuelSurcharge .card-fuelSurcharges .card-footer .btn-blueBr,
        #tabFuelSurcharge .card-fuelSurcharges .btn-bottom .btn-blueBr {
            background: #F1F3F6 0% 0% no-repeat padding-box;
            border: 1px solid #305F9C;
            border-radius: 10px;
            opacity: 1;
            width: 116px;
            height: 45px;
        }
        #tabFuelSurcharge .card-fuelSurcharges .card-footer .btn-blue,
        #tabFuelSurcharge .card-fuelSurcharges .btn-bottom .btn-blue {
            background: #305F9C 0% 0% no-repeat padding-box;
            border: 1px solid #305F9C;
            border-radius: 10px;
            opacity: 1;
            width: 116px;
            height: 45px;
        }
        #tabFuelSurcharge .card-fuelSurcharges .card-footer .btn-blueBr:hover,
        #tabFuelSurcharge .card-fuelSurcharges .btn-bottom .btn-blueBr:hover {
            color: #fff;
            background-color: #305F9C;
        }
        #tabFuelSurcharge .card-fuelSurcharges .card-footer .btn-blue:hover,
        #tabFuelSurcharge .card-fuelSurcharges .btn-bottom .btn-blue:hover {
            border: 1px solid #305F9C;
            background-color: #F1F3F6;
            color: #305F9C;
        }
        #tabFuelSurcharge .card-fuelSurcharges .card-footer .btn-bottom .btn {
            font-size: 13px;
            padding: 10px;
        }
        #tabFuelSurcharge .card-fuelSurcharges .card-footer .btn-bottom .img-fluid {
            width: 30% !important;
            margin-left: 0px !important;
        }
        #tabFuelSurcharge .card-fuelSurcharges .table {
            color: #fff;
            margin-top: inherit !important;
        }
        #tabFuelSurcharge .card-fuelSurcharges .table th {
            padding: inherit;
        }
        #tabFuelSurcharge .card-fuelSurcharges .table td {
            text-align: center;
            font-size: 14px;
            color: #322727;
            font-weight: 600;
        }
        #tabFuelSurcharge .card-fuelSurcharges .table tbody tr:first-child td {
            border: 1px solid #dee2e6 !important;
        }
        #tabFuelSurcharge .map .override:hover {
            background: #305F9C 0% 0% no-repeat padding-box;
            border: 1px solid #305F9C;
            color: #F1F3F6;
        }
        #tabFuelSurcharge .disabled {
            opacity: 0.5 !important;
            pointer-events: none !important;
        }

        #tabFuelSurcharge .card-fileHistory {
            border-radius: 10px;
        }
        #tabFuelSurcharge .card-fileHistory .card-header {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border-radius: 10px 10px 0px 0px;
            text-align: center;
        }
        #tabFuelSurcharge .card-fileHistory .card-header h6 {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FFFFFF;
        }
        #tabFuelSurcharge .card-fileHistory table th {
            padding: 5px 3px;
            font: normal normal bold 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #322727;
        }
        #tabFuelSurcharge .card-fileHistory table td:first-of-type {
            padding: 5px 3px;
        }
        #tabFuelSurcharge .card-fileHistory table td:first-of-type a {
            text-decoration: underline;
            font: normal normal 500 12px/15px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;;
        }
        #tabFuelSurcharge .card-fileHistory table td:not(:first-of-type) {
            padding: 5px 3px;
            font: normal normal 500 12px/15px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #616376;
        }

        .modal-createFuelSurchargeIndex .modal-content {
            border-radius: 10px;
            border: 0;
        }
        .modal-createFuelSurchargeIndex .modal-header {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            padding: 22px 22px;
            border: 0;
        }
        .modal-createFuelSurchargeIndex .modal-title {
            font-size: 20px;
            font-weight: bold;
            color: #fff;
        }
        .modal-createFuelSurchargeIndex .form-group label {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #616376;
        }
        .modal-createFuelSurchargeIndex .form-group input[type=text].form-control {
            font-size: 14px;
            font-weight: bolder;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
        }
        .modal-createFuelSurchargeIndex .form-group input[type=text]::placeholder {
            color: #616376 !important;
            font-weight: 600 !important;
            opacity: 0.5 !important;
        }
        .modal-createFuelSurchargeIndex .form-group .input-group img {
            width: 15px;
            position: absolute;
            right: 10px;
            bottom: 8px;
        }
        .modal-createFuelSurchargeIndex .modal-footer {
            border-color: #D8D8DD;
        }
        .modal-createFuelSurchargeIndex .modal-footer .btn {
            font-size: 15px;
            height: auto;
            padding: 10px 15px;
            border-radius: 10px;
        }
        .modal-createFuelSurchargeIndex .btn-outline-blue {
            color: #305F9C
        }
        .modal-createFuelSurchargeIndex .btn-outline-blue:hover {
            color: #fff;
        }
        .modal-createFuelSurchargeIndex .btn-blue {
            color: #fff;
        }
        .modal-createFuelSurchargeIndex .btn-blue:hover {
            color: #305F9C;
        }
        .modal-createFuelSurchargeIndex .custom-checkbox-blue .custom-control-label::before {
            left: -22px;
        }
        .modal-createFuelSurchargeIndex .custom-checkbox-blue .custom-control-input:checked~.custom-control-label::after {
            left: -19px;
        }

        #tabFilesImages #pills-files .dataTables_filter input[type=search].form-control {
            font-size: 14px;
            font-weight: bolder !important;
            border: 1px solid #D8D8DD;
            border-radius: 10px !important;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            width: 309px;
            margin-left: inherit;
        }
        #tabFilesImages #pills-files .table td {
            font: normal normal normal 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #616376;
        }
        #tabFilesImages #pills-files .customer-file-name {
            text-decoration: underline;
            font: normal normal normal 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        #tabFilesImages .select2-container--default .select2-selection--single .select2-selection__placeholder {
            font-weight: bold;
            color: #000000e6 !important;
        }
        #tabFilesImages #pills-images .serchbox:after{
            font-size: 16px;
            top: 45%;
            right: 14px;
        }
        #tabFilesImages #pills-images .img-fluid {
            width: 129px;
            height: 81px;
        }

        .modal-addFileOrImage .modal-content {
            border-radius: 10px;
            border: 0;
        }
        .modal-addFileOrImage .modal-header {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            padding: 22px 22px;
            border: 0;
        }
        .modal-addFileOrImage .modal-title {
            font-size: 20px;
            font-weight: bold;
            color: #fff;
        }
        .modal-addFileOrImage .form-group label {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #616376;
        }
        .modal-addFileOrImage .form-group input[type=text].form-control {
            font-size: 14px;
            font-weight: bolder;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
        }
        .modal-addFileOrImage .form-group input[type=text]::placeholder {
            color: #616376 !important;
            font-weight: 600 !important;
            opacity: 0.5 !important;
        }
        .modal-addFileOrImage .form-group .input-group img {
            width: 15px;
            position: absolute;
            right: 10px;
            bottom: 8px;
        }
        .modal-addFileOrImage .modal-footer {
            border-color: #D8D8DD;
        }
        .modal-addFileOrImage .modal-footer .btn {
            font-size: 15px;
            height: auto;
            padding: 10px 15px;
            border-radius: 10px;
        }
        .modal-addFileOrImage .btn-outline-blue {
            color: #305F9C
        }
        .modal-addFileOrImage .btn-outline-blue:hover {
            color: #fff;
        }
        .modal-addFileOrImage .btn-blue {
            color: #fff;
        }
        .modal-addFileOrImage .btn-blue:hover {
            color: #305F9C;
        }
        .modal-addFileOrImage .custom-checkbox-blue .custom-control-label::before {
            left: -22px;
        }
        .modal-addFileOrImage .custom-checkbox-blue .custom-control-input:checked~.custom-control-label::before {
            background-color: #305F9C;
        }
        .modal-addFileOrImage .custom-checkbox-blue .custom-control-input:checked~.custom-control-label::after {
            left: -19px;
            top: 2px;
            color: #fff;
        }
        .modal-addFileOrImage .select2-container {
            width: 100%;
        }
        .modal-addFileOrImage .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .modal-addFileOrImage .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        .modal-addFileOrImage .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        .modal-addFileOrImage .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        .modal-addFileOrImage .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            /*font-weight: 600;*/
            /*color: #000000e6 !important;*/
            padding-right: 30px;
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        .modal-addFileOrImage .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
        .modal-addFileOrImage .file-drop-area {
            position: relative;
            display: flex;
            align-items: center;
            width: 450px;
            max-width: 100%;
            padding: 25px;
            transition: 0.2s;
            border: 1px dashed #D8D8DD;
            border-radius: 10px;
            justify-content: center;
        }
        .modal-addFileOrImage .choose-file-button {
            width: 92px;
            height: 39px;
            background: #305F9C 0% 0% no-repeat padding-box;
            border: 1px solid #305F9C;
            border-radius: 10px;
            text-align: center;
            font: normal normal bold 14px/17px Inter, Sans-Serif;
            letter-spacing: -0.34px;
            color: #FFFFFF;
            padding: 0.375rem 0.75rem;
        }
        .modal-addFileOrImage .file-message {
            text-align: left;
            font: normal normal 500 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #616376;
            line-height: 1.4;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
        }
        .modal-addFileOrImage .file-message i {
            color: #305F9C;
            font-size: 20px;
        }
        .modal-addFileOrImage .file-input {
            position: absolute;
            left: 0;
            top: 0;
            height: 100%;
            width: 100%;
            cursor: pointer;
            opacity: 0;

        }

        /* Billing - START */
        ::-webkit-scrollbar-thumb {
            background: #305F9C;
            border-radius: 10px;
        }
        .slick-dots {
            position: absolute;
            bottom: -20px;
            display: block;
            width: 100%;
            padding: 0;
            margin: 0;
            list-style: none;
            text-align: center;
        }
        .slick-dots li {
            position: relative;
            display: inline-block;
            width: 20px;
            height: 20px;
            margin: 0 0;
            padding: 0;
            cursor: pointer;
        }
        .slick-dots li button {
            font-size: 0;
            line-height: 0;
            display: block;
            width: 20px;
            height: 20px;
            padding: 5px;
            cursor: pointer;
            color: transparent;
            border: 0;
            outline: none;
            background: transparent;
        }
        .slick-dots li.slick-active button:before {
            opacity: 1;
            color: #305F9C;
        }
        .slick-dots li button:before {
            font-family: 'slick';
            font-size: 30px;
            line-height: 20px;
            position: absolute;
            top: 0;
            left: 0;
            width: 20px;
            height: 20px;
            content: '•';
            text-align: center;
            opacity: .25;
            color: black;
            -webkit-font-smoothing: antialiased;
            -moz-osx-font-smoothing: grayscale;
        }
        .billing-content .col-xl-custom-25p {
            -ms-flex: 0 0 25%;
            flex: 0 0 25%;
            max-width: 25%;
            padding-right: 4px;
            padding-left: 4px;
        }
        .billing-content .timestats-box .card p {
            font: normal normal medium 11px/14px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #7B838C;
        }
        .billing-content .timestats-box .card img {
            max-width: 75px;
            height: 75px;
        }
        .billing-content .timestats-box .card .arrow {
            font-size: 14px;
            font-weight: 600;
        }
        .billing-content .timestats-box .card .arrow .fa-long-arrow-up {
            font-size: 14px;
            color: #305F9C;
        }
        .billing-content .timestats-box .card .arrow .fa-long-arrow-down {
            font-size: 14px;
            color: #FF1010;
        }
        .modal-content .disabled {
            pointer-events: none !important;
        }
        .child-receive-button {
            line-height: 1.5;
            padding: 3.5px 0.75rem;
        }
        .billing-child-dropdown .dropdown-toggle::after {
            border-top: 7px solid #305F9C;
            border-right: 7px solid transparent;
            border-left: 7px solid transparent;
        }
        .fill-readonly {
            pointer-events: none;
            opacity: 0.8;
            background-color: #ededed;
        }
        .modal-dishpatch label {
            font-size: 13px;
            line-height: 18px;
            letter-spacing: -0.31px;
            color: #342828;
            font-weight: bold;
            margin-bottom: 0px;
            margin-top: 2px;
            padding-left: 5px;
        }
        #uploadBillingDocument .btn {
            border-radius: 10px;
            width: 94px;
            height: 39px;
        }
        #uploadBillingDocument .form-check {
            padding-left: inherit;
        }
        #uploadBillingDocument .form-check input {
            opacity: 0;
        }
        #uploadBillingDocument .form-check label::before {
            content: '';
            position: absolute;
            width: 16px;
            height: 16px;
            left: 5px;
            border: 2px solid #305F9C;
            border-radius: 4px;
            top: -1px;
        }
        #uploadBillingDocument .form-check label::after {
            content: "\f00c";
            font: normal normal normal 14px/1 FontAwesome;
            color: white;
            left: 8px;
            position: absolute;
            top: 1.5px;
            font-size: 10px;
            opacity: 0;
        }
        #uploadBillingDocument .form-check-input {
            /*position: inherit;*/
            margin-top: inherit;
            margin-left: inherit;
        }
        #uploadBillingDocument .form-check input[type="checkbox"]:checked~label::before {
            background-color: #305F9C;
        }
        #uploadBillingDocument .form-check input[type="checkbox"]:checked~label::after {
            opacity: 1;
        }
        .billingNew-block .btn.btn-success:hover {
            background: #FF6D10 !important;
            border-color: #FF6D10 !important;
        }
        .progress-bar-100 {
            background-color: #19C936;
        }
        /* History table start */
        .table-docReqModal {
            border: 1px solid #CCCCCC;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
        }
        .table-docReqModal table {
            margin-top: 0 !important;
            width: 100%;
        }
        .table-docReqModal th,
        .table-docReqModal td {
            padding: 8px 7px;
            border-bottom: 1px solid #CCCCCC;
        }
        .table-docReqModal tr:last-child td {
            border-bottom: 0;
        }
        .table-docReqModal th {
            color: #000000;
            font-size: 12px;
            font-weight: 600;
        }
        .table-docReqModal td {
            color: #616376;
            font-size: 10px;
            font-weight: 500;
        }
        /* History table end */
        /* History button start */
        .docReqHistory-button {
            color: #305F9C;
            font-size: 14px;
            font-weight: 600;
            padding: 0;
            border: 0;
            background: transparent;
        }
        .docReqHistory-button i {
            transition: all .5s;
        }
        .docReqHistory-button+.table-responsive {
            margin-top: 9px;
        }
        .docReqHistory-button.active i {
            transform: rotate(180deg);
        }
        /* History button end */
        .modal-docReq .custom-control-input:checked~.custom-control-label::before,
        .modal-addDocumentation .custom-control-input:checked~.custom-control-label::before {
            background-color: #305F9C !important;
        }
        .modal-docReq .custom-control-input~.custom-control-label::before,
        .modal-docReq .custom-control-input~.custom-control-label::before,
        .modal-docReq .custom-control-input:checked~.custom-control-label::before,
        .modal-addDocumentation .custom-control-input~.custom-control-label::before,
        .modal-addDocumentation .custom-control-input~.custom-control-label::before,
        .modal-addDocumentation .custom-control-input:checked~.custom-control-label::before {
            border: 2px solid #305F9C !important;
            border-radius: 4px;
        }
        #addDocumentation .table thead {
            background: transparent;
        }
        #addDocumentation .table thead th {
            padding: 8px 12px !important;
            color: #222b45;
            font-weight: 600;
            border-bottom: 1px solid #ccc;
        }
        #addReminder .custom-switch-blue .custom-control-label {
            width: 42px;
            height: 28px;
            margin-bottom: 0;
        }
        #addReminder .custom-switch-blue .custom-control-input:checked~.custom-control-label::before {
            background-color: #305F9C;
            border-color: #305F9C !important;
        }
        #addReminder .custom-switch-blue .custom-control-label::before {
            width: 100%;
            height: 100%;
            top: 0;
            left: 0;
            border-radius: 30px;
            border: 1px solid #305F9C;
        }
        #addReminder .custom-switch-blue .custom-control-input:checked~.custom-control-label::after {
            transform: translateX(16px);
            background: #fff;
        }
        #addReminder .custom-switch-blue .custom-control-label::after {
            width: 18px;
            height: 18px;
            left: 4px;
            background: #305F9C;
            top: 5px;
            border-radius: 100%;
            transition: transform .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out, -webkit-transform .15s ease-in-out;
        }
        #addReminder .custom-switch-blue .custom-control-input:checked~.custom-control-label::before {
            background-color: #305F9C;
            border-color: #305F9C !important;
        }
        #addReminder .custom-switch-blue .custom-control-label::before {
            width: 100%;
            height: 100%;
            top: 0;
            left: 0;
            border-radius: 30px;
        }
        #removeMoreReminderCc {
            font-size: 25px;
            padding: 5px 16px;
            font-weight: bold;
            height: auto;
            border-radius: 4px;
            box-shadow: 0 3px 6px rgb(0 0 0 / 16%);
        }
        /* Select 2 Multiple */
        .select2-container .select2-selection--multiple {
            height: auto !important;
            min-height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .select2-container--default .select2-selection--multiple {
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--multiple .select2-selection__rendered {
            line-height: 10px !important;
        }
        .select2-container--default .select2-selection--multiple .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        .select2-container .select2-selection--multiple .select2-selection__rendered {
            font-weight: 400;
            color: #616376 !important;
        }
        .select2-container--default .select2-selection--multiple .select2-selection__rendered li {
            padding: 5px 5px;
        }
        .multiple-select .select2-results__option {
            padding-right: 20px;
            vertical-align: middle;
        }
        .multiple-select .select2-results__option:before {
            content: "";
            display: inline-block;
            position: relative;
            height: 16px;
            width: 16px;
            border: 2px solid #305F9C;
            border-radius: 4px;
            background-color: #fff;
            margin-right: 8px;
            vertical-align: middle;
        }
        .multiple-select .select2-results__option[aria-selected=true]:before {
            font-family: fontAwesome;
            content: "\f00c";
            color: #fff;
            background-color: #305F9C;
            border: 0;
            display: inline-block;
            padding-left: 2px;
        }
        .multiple-select .select2-container--default .select2-results__option[aria-selected=true] {
            background-color: #fff;
        }
        .multiple-select .select2-container--default .select2-results__option--highlighted[aria-selected] {
            color: #616376;
        }
        .multiple-select .select2-container--default .select2-selection--multiple {
            margin-bottom: 10px;
        }
        .multiple-select .select2-container--default.select2-container--open.select2-container--below .select2-selection--multiple {
            border-radius: 4px;
        }
        .multiple-select .select2-container--default.select2-container--focus .select2-selection--multiple {
            border-color: #f77750;
            border-width: 2px;
        }
        .multiple-select .select2-container--default .select2-selection--multiple {
            border-width: 2px;
        }
        .multiple-select .select2-container--open .select2-dropdown--below {
            border-radius: 6px;
            box-shadow: 0 0 10px rgba(0,0,0,0.5);
        }
        .multiple-select .select2-selection .select2-selection--multiple:after {
            content: 'hhghgh';
        }
        .multiple-select .select-icon .select2-selection__placeholder .badge {
            display: none;
        }
        .multiple-select .select-icon .placeholder {
            display: none;
        }
        .multiple-select .select-icon .select2-results__option:before,
        .multiple-select .select-icon .select2-results__option[aria-selected=true]:before {
            display: none !important;
        }
        .multiple-select .select-icon  .select2-search--dropdown {
            display: none;
        }
        .multiple-select ul li {
            padding: 5px 8px !important;
        }
        .select2-selection--multiple {
            overflow: hidden !important;
            height: auto !important;
        }
        .select2-container .select2-selection--multiple {
            width: 100%;
            display: table;
        }
        .select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
            color: #fff !important;
        }
        .select2-container--default .select2-selection--multiple .select2-selection__choice {
            background-color: #305F9C !important;
            border: 1px solid #305F9C !important;
            color: #fff;
        }
        .select2-container--default .select2-search--inline .select2-search__field {
            max-width: 373px !important;
        }
        .modal-billingNew .select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
            font-size: 12px !important;
        }
        .select2-container .select2-search--inline .select2-search__field {
            margin-top: 15px !important;
        }
        /* Select 2 Multiple */
        #receive-payment-form .form-check,
        #addEdit .form-check,
        #editAccount .form-check,
        #create-payment-account-form .form-check {
            padding-left: 0px !important;
        }
        #receive-payment-form .form-check input,
        #addEdit .form-check input,
        #editAccount .form-check input,
        #create-payment-account-form .form-check input {
            opacity: 0;
        }
        #receive-payment-form .form-check label::before,
        #addEdit .form-check label::before,
        #editAccount .form-check label::before,
        #create-payment-account-form .form-check label::before {
            content: '';
            position: absolute;
            width: 16px;
            height: 16px;
            left: 0;
            border: 2px solid #305F9C;
            border-radius: 4px;
            top: 3px;
        }
        #receive-payment-form .form-check label::after,
        #addEdit .form-check label::after,
        #editAccount .form-check label::after,
        #create-payment-account-form .form-check label::after {
            content: "\f00c";
            font: normal normal normal 14px/1 FontAwesome;
            color: white;
            left: 3px;
            position: absolute;
            top: 6px;
            font-size: 10px;
            opacity: 0;
        }
        #receive-payment-form .form-check-input,
        #addEdit .form-check-input,
        #editAccount .form-check-input,
        #create-payment-account-form .form-check-input {
            position: inherit;
            margin-top: inherit;
            margin-left: inherit;
        }
        #receive-payment-form .form-check input[type="checkbox"]:checked~label::before,
        #addEdit .form-check input[type="checkbox"]:checked~label::before,
        #editAccount .form-check input[type="checkbox"]:checked~label::before,
        #create-payment-account-form .form-check input[type="checkbox"]:checked~label::before {
            background-color: #305F9C;
        }
        #receive-payment-form .form-check input[type="checkbox"]:checked~label::after,
        #addEdit .form-check input[type="checkbox"]:checked~label::after,
        #editAccount .form-check input[type="checkbox"]:checked~label::after,
        #create-payment-account-form .form-check input[type="checkbox"]:checked~label::after {
            opacity: 1;
        }
        #receive-payment-form .remove-more-chargeback-btn {
            font-size: 25px;
            padding: 5px 16px;
            font-weight: bold;
            height: auto;
            border-radius: 4px;
            box-shadow: 0 3px 6px rgb(0 0 0 / 16%);
        }
        /* Billing - END */
    </style>
    <style type="text/css">
        #tabBilling .dataTables_scrollBody table.dataTable > thead tr th {
            padding: 0 15px !important;
        }
        #tabBilling .DTFC_RightBodyLiner table.dataTable > thead tr th {
            height: 0;
            padding: 0 15px !important;
            opacity: 0;
        }
        #tabBilling .DTFC_RightBodyLiner {
            overflow: hidden;
        }
        #tabBilling th.td-invoice-now{
            background-color: #305f9c;
        }
        #tabBilling .td-invoice-now {
            position: sticky !important;
            right: 0;
            background-color: #fff;
            z-index: 1; /* Ensure it stays above other cells */
            box-shadow: 1px 0 0 #ddd; /* Optional: Add a shadow to indicate it's fixed */
        }
    </style>
    <style type="text/css">
        #select2-status-results .select2-results__option[aria-selected=true] {
            background-color: unset !important;
        }
        #select2-status-results .select2-results__option--highlighted[aria-selected] {
            background-color: #305f9c1c !important;
        }
        #select2-status-results  .select2-results__option {
            padding: 6px 9px !important;
        }
        .select2 .select2-selection--multiple .select2-search--inline .select2-search__field {
            margin-top: 8px;
        }
        .left-profile-content #contact-info-tab .rating-stars .stars a {
            display: inline-block;
            padding-right: 4px;
            text-decoration: none;
            margin: 0;
        }
        .left-profile-content #contact-info-tab .rating-stars .stars a:after {
            position: relative;
            font-size: 18px;
            font-family: 'FontAwesome', serif;
            display: block;
            content: "\f005";
            color: #9e9e9e;
        }
        .left-profile-content #contact-info-tab .rating-stars span {
            font-size: 0;
        }
        .left-profile-content #contact-info-tab .rating-stars .stars a:hover~a:after {
            color: #9e9e9e !important;
        }
        .left-profile-content #contact-info-tab .rating-stars span.active a.active~a:after {
            color: #9e9e9e;
        }
        .left-profile-content #contact-info-tab .rating-stars span:hover a:after {
            color: #FFC300 !important;
        }
        .left-profile-content #contact-info-tab .rating-stars span.active a:after,
        .left-profile-content #contact-info-tab .rating-stars .stars a.active:after {
            color: #FFC300;
        }
        .modal-billingNew .form-group #select2-payment-type-container img,
        .modal-billingNew .form-group #select2-account-payment-type-container img,
        .modal-billingNew .form-group #select2-edit-account-payment-type-container img {
            max-width: inherit;
            max-height: inherit;
            top: inherit;
            transform: inherit;
        }
        .form-group #select2-payment-type-container img,
        .form-group #select2-account-payment-type-container img,
        .form-group #select2-edit-account-payment-type-container img {
            position: inherit;
            right: inherit;
            bottom: inherit;
        }
        #select2-payment-type-results .select2-results__option--highlighted[aria-selected] .img-icon,
        #select2-account-payment-type-results .select2-results__option--highlighted[aria-selected] .img-icon,
        #select2-edit-account-payment-type-results .select2-results__option--highlighted[aria-selected] .img-icon {
            filter: brightness(0) saturate(100%) invert(100%) sepia(10%) saturate(7459%) hue-rotate(286deg) brightness(118%) contrast(108%);
        }
    </style>
@endsection

@section('content')
    <div class="row px-2 py-2 pt-3">
        <div class="col-md-12 p-0 broker-header">
            <div class="card mb-1">
                <div class="card-header">
                    <div class="d-flex">
                        <div class="mr-auto p-2">
                            <h6>{{ $broker->name }}</h6>
                        </div>
                        <div class="">
                            <a href="{{ route('company.admin.brokers.edit', base64Encode($broker->id)) }}" target="_blank"><button type="button" class="btn btn-blueBr" id="btnEdit">Edit Account</button></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex p-0 equipment-logistics-content w-100 position-relative">
            <div class="left-profile-content">
                <div>
                    <div class="d-flex flex-wrap justify-content-between px-sm-3 px-2 ">
                        <a href="{{ route('company.admin.brokers.index') }}" class="fs-14 fw-600 text-theme-color text-nowrap">
                            <i class="fa fa-chevron-circle-left mr-1 text-theme-color" aria-hidden="true"></i>Back to customer list
                        </a>
                        <a href="javascript:void(0);" class="fs-14 fw-600 text-theme-color text-nowrap" id="btn-profile-hide"> My Rep
                            <i class="fa fa-eye nl-1 text-theme-color" aria-hidden="true"></i>
                        </a>
                    </div>
                    @if(!is_null($broker->rep_details))
                        <div class="profile-content">
                            <div class="profile-pic">
                                @if(!is_null($broker->rep_details->representative_profile_img))
                                    <img src="{{ asset('storage/companyAdmin/broker/contact_profile/'.$broker->rep_details->representative_profile_img) }}" alt="icon" />
                                @else
                                    <img src="{{ asset('theme/img/avtar.png') }}" alt="icon" />
                                @endif
                            </div>
                            <h2 class="text-center">
                                {{ $broker->rep_details->first_name.' '.$broker->rep_details->last_name }}
                                @if($broker->rep_details->contact_status == '1')
                                    <span class="ml-2 badge bg-success">Active</span>
                                @elseif($broker->rep_details->contact_status == '2')
                                    <span class="ml-2 badge bg-danger">Inactive</span>
                                @endif
                            </h2>
                            <ul class="nav text-center justify-content-center">
                                <li class="nav-item">
                                    <a href="javascript:void(0);">
                                        <div class="profile-icons mb-1">
                                            <img src="{{ asset('theme/images/phone-icon.svg') }}" alt=" " class="img-fluid" />
                                        </div>
                                        <span>Office</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="javascript:void(0);">
                                        <div class="profile-icons mb-1">
                                            <img src="{{ asset('theme/images/smartphone-icon.svg') }}" alt=" " class="img-fluid" />
                                        </div>
                                        <span>Cell</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="javascript:void(0);">
                                        <div class="profile-icons mb-1">
                                            <img src="{{ asset('theme/images/email-icon.svg') }}" alt=" " class="img-fluid" />
                                        </div>
                                        <span>Email</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="javascript:void(0);">
                                        <div class="profile-icons mb-1">
                                            <img src="{{ asset('theme/images/msg-or-chat-icon.svg') }}" alt=" " class="img-fluid" />
                                        </div>
                                        <span>ProChat</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="javascript:void(0);">
                                        <div class="profile-icons mb-1">
                                            <img src="{{ asset('theme/images/three-dot-horizontal-icon.svg') }}" alt=" " class="img-fluid" />
                                        </div>
                                        <span>More</span>
                                    </a>
                                </li>
                            </ul>
                            <p>Last Communication: January 5th 2023 at 10:00 am</p>
                        </div>
                        <div class="mr-auto mt-1 profileinfo-tab-content mb-5">
                            <nav>
                                <ul class="nav nav-tabs flex-nowrap py-0" role="tablist">
                                    <li role="presentation" class="nav-item">
                                        <a href="#contact-info-tab" class="nav-link active" data-toggle="tab" aria-controls="Contact-Info" role="tab"> Contact Info </a>
                                    </li>
                                    <li role="presentation" class="nav-item">
                                        <a href="#personal-info-tab" class="nav-link" data-toggle="tab" aria-controls="personal-info" role="tab"> Personal Info </a>
                                    </li>
                                </ul>
                            </nav>
                            <div class="tab-content">
                                <div class="tab-pane active" role="tabpanel" id="contact-info-tab">
                                    <div class="information-box">
                                        <label class="txt-label mb-2 text-theme-color">Full Name:</label>
                                        <p>{{ $broker->rep_details->first_name.''.$broker->rep_details->middle_name.' '.$broker->rep_details->last_name  ?? '-'}}</p>
                                    </div>
                                    <div class="information-box">
                                        <label class="txt-label mb-2 text-theme-color">Address:</label>
                                        <p>-</p>
                                    </div>
                                    <div class="information-box">
                                        <label class="txt-label mb-2 text-theme-color">Email:</label>
                                        <p>{{ $broker->rep_details->email ?? '-' }}</p>
                                    </div>
                                    <div class="information-box">
                                        <label class="txt-label mb-2 text-theme-color">Office:</label>
                                        <p>-</p>
                                    </div>
                                    <div class="information-box">
                                        <label class="txt-label mb-2 text-theme-color">Department:</label>
                                        <p>{{ implode(',', $broker->rep_details->department) ?? '-' }}</p>
                                    </div>
                                    <div class="information-box">
                                        <label class="txt-label mb-2 text-theme-color">Timezone:</label>
                                        <p>-</p>
                                    </div>
                                    <div class="information-box">
                                        <label class="txt-label mb-2 text-theme-color">Office Phone:</label>
                                        <p>{{ $broker->rep_details->phone_number ?? '-' }} Ext. {{ $broker->rep_details->ext ?? '-' }}</p>
                                    </div>
                                    <div class="information-box">
                                        <label class="txt-label mb-2 text-theme-color">Cell Phone:</label>
                                        <p>{{ $broker->rep_details->cell_number ?? '-' }}</p>
                                    </div>
                                    <div class="information-box">
                                        <label class="txt-label mb-2 text-theme-color">Fax:</label>
                                        <p>{{ $broker->rep_details->fax ?? '-' }}</p>
                                    </div>
                                    <div class="information-box">
                                        <label class="txt-label mb-2 text-theme-color">Start Date/Workiversary:</label>
                                        @if($broker->rep_details->start_date_work_anniversary != '')
                                            <p>{{ $broker->rep_details->start_date_work_anniversary }} ({{ \Carbon\Carbon::parse($broker->rep_details->start_date_work_anniversary)->diff($currentDate)->format('%y years, %m months and %d days') }})</p>
                                        @else
                                            <p>-</p>
                                        @endif
                                    </div>
                                    <div class="information-box">
                                        <label class="txt-label mb-2 text-theme-color">Preferred Contact Method:</label>
                                        <p>{{ brokerPreferredContactMethod()[$broker->rep_details->preferred_connections] ?? 'N/A' }}</p>
                                    </div>
                                    <div class="information-box">
                                        <label class="txt-label mb-2 text-theme-color">ProChat ID: </label>
                                        <p>-</p>
                                    </div>
                                    <div class="col-12 d-flex align-content-start justify-content-between">
                                        <div>
                                            <label class="txt-label-2 mb-1">Reminder</label>
                                            <p class="fs-18 fw-600"><img src="{{ asset('theme/images/calendar-blue-icon.svg') }}" alt=" " class="img-fluid mr-1" />MM/DD/YYYY</p>
                                        </div>
                                        <div>
                                            <label class="txt-label-2 mb-1">Loads</label>
                                            <p class="fs-18 fw-600"><img src="{{ asset('theme/images/truck-loads-moving-icon.svg') }}" alt=" " class="img-fluid mr-1" /> 000</p>
                                        </div>
                                        <div class="rating-stars">
                                            <label class="txt-label-2 mb-1">Rating</label>
                                            <p class="stars">
                                                <input type="hidden" id="representative-id" name="representative_id" value="{{ base64Encode($broker->rep_details->id) ?? ''}}">
                                                <input type="hidden" id="representative-rating" name="representative_rating" value="{{ $broker->rep_details->rating ?? 0 }}">
                                                <span class="{{ ($broker->rep_details->rating > 0) ? 'active' : '' }}">
                                                    <a class="rating-star-1 {{ ($broker->rep_details->rating == 1) ? 'active' : '' }}" href="javascript:void(0);">1</a>
                                                    <a class="rating-star-2 {{ ($broker->rep_details->rating == 2) ? 'active' : '' }}" href="javascript:void(0);">2</a>
                                                    <a class="rating-star-3 {{ ($broker->rep_details->rating == 3) ? 'active' : '' }}" href="javascript:void(0);">3</a>
                                                    <a class="rating-star-4 {{ ($broker->rep_details->rating == 4) ? 'active' : '' }}" href="javascript:void(0);">4</a>
                                                    <a class="rating-star-5 {{ ($broker->rep_details->rating == 5) ? 'active' : '' }}" href="javascript:void(0);">5</a>
                                                </span>
                                            </p>
                                        </div>
                                    </div>
                                    <div class="form-group mt-1">
                                        <textarea class="form-control p-3" rows="5" placeholder="Enter Notes"></textarea>
                                        <a href="javascript:void(0);" class="btn-link mt-3 text-theme-color fs-14 fw-500 float-right text-underline btn-select-or-create-profile">Change Reps</a>
                                    </div>
                                </div>
                                <div class="tab-pane" role="tabpanel" id="personal-info-tab">
                                    <div class="information-box">
                                        <label class="txt-label mb-2 text-theme-color">Nickname:</label>
                                        <p>-</p>
                                    </div>
                                    <div class="information-box">
                                        <label class="txt-label mb-2 text-theme-color">Birthday:</label>
                                        <p>{{ $broker->rep_details->date_of_birth ?? '-' }}</p>
                                    </div>
                                    <div class="information-box">
                                        <label class="txt-label mb-2 text-theme-color">Gender:</label>
                                        @if($broker->rep_details->gender == '1')
                                            <p>Male</p>
                                        @elseif($broker->rep_details->gender == '2')
                                            <p>Female</p>
                                        @else
                                            <p>-</p>
                                        @endif
                                    </div>
                                    <div class="information-box">
                                        <label class="txt-label mb-2 text-theme-color">Hobbies/Interests</label>
                                        <p>-</p>
                                    </div>
                                    <div class="form-group">
                                        <label class="txt-label-2 mb-1">Notes</label>
                                        <textarea class="form-control p-3" rows="3" placeholder="Enter Notes"></textarea>
                                    </div>
                                </div>
                            </div>
                        </div>
                    @endif
                </div>
            </div>
            <div class="right-tabs-content">
                <div class="col-12 broker-tabs">
                    <div class="row align-items-end">
                        <div class="col-md-9">
                            <div class="row align-items-center g-2">
                                <div class="col-auto customer-list-show">
                                    <a href="{{ route('company.admin.brokers.index') }}" class="fs-14 fw-600 text-theme-color">
                                        <i class="fa fa-chevron-circle-left mr-1 text-theme-color" aria-hidden="true"></i>Back to customer list
                                    </a>
                                </div>
                                <div class="col-auto my-rep-show text-center" id="div-profile">
                                    @if(!is_null($broker->rep_details))
                                        <a href="javascript:void(0);" id="btn-profile-show" class="profile-img">
                                            <div class="profile-pic">
                                                @if(!is_null($broker->rep_details->representative_profile_img))
                                                    <img src="{{ asset('storage/companyAdmin/broker/contact_profile/'.$broker->rep_details->representative_profile_img) }}" alt="icon" />
                                                @else
                                                    <img src="{{ asset('theme/images/profile-user-blue.svg') }}" alt="icon" />
                                                @endif
                                            </div>
                                            <span class="fs-12 fw-600 text-theme-color mt-1 d-block">{{ $broker->rep_details->first_name }}</span>
                                        </a>
                                    @else
                                        <a href="javascript:void(0);" class="profile-img btn-select-or-create-profile">
                                            <div class="profile-pic">
                                                <img src="{{ asset('theme/images/profile-user-blue.svg') }}" alt="icon" />
                                            </div>
                                            <span class="fs-12 fw-600 text-theme-color mt-1 d-block">Set My Rep</span>
                                        </a>
                                    @endif
                                </div>
                                <div class="col-auto">
                                    <div class="form-group serchbox mb-0">
                                        <input class="form-control" type="text">
                                    </div>
                                </div>
                                <div class="col-auto">
                                    <div class="hours-operation-content">
                                        <label>Hours of Operation</label>
                                        <div class="dropdown">
                                            <button class="dropdown-toggle font-weight-bold" type="button" data-toggle="dropdown" aria-expanded="false">
                                                {!! $hoursOfOperations['status'] ?? '' !!}
                                            </button>
                                            <div class="dropdown-menu">
                                                @foreach($hoursOfOperations as $key => $value)
                                                    @if($key != 'status')
                                                        <a class="dropdown-item" href="javascript:void(0);">
                                                            <span style="font-weight: 600;">{!! ucfirst($key) !!}</span>{{ (is_array($value)) ? $value['open'].' - '.$value['close'] : 'Closed' }}
                                                        </a>
                                                    @endif
                                                @endforeach
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="d-flex">
                                <div class="msg-box">
                                    <a href="javascript:void(0);" class="btn-msg-box d-flex">
                                        <img src="http://127.0.0.1:8001/theme/images/comment.svg" alt="Comment">
                                        <span class="d-block"> Minimize <br> ProChat</span>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="d-flex custom-margin my-trips-content">
                        <div class="order-xl-last">
                            <div class="form-group mb-1 active-status-s2">
                                <select id="status" name="status" class="form-control select2Status">
                                    <option value="">Select Status</option>
                                    @foreach (brokerStatus() as $status => $data)
                                        <option value="{{ $status }}" data-color="{{ $data['color'] }}" {{ ((empty($broker->status) && $status == '1') || (!empty($broker->status) && $broker->status == $status)) ? 'selected' : '' }}>{{ $data['text'] }}</option>
                                    @endforeach
                                </select>
                                {{-- {!! Form::select('status', brokerStatus(), $broker->status ?? '1', ['class' => 'form-control select2', 'id' => 'status', 'data-no-search' => 'true']) !!} --}}
                            </div>
                        </div>
                        <div class="mr-auto trips-tabs">
                            <input type="hidden" name="active_tab" id="active_tab" value="">
                            <ul class="nav nav-tabs flex-nowrap" id="myTab" role="tablist">
                                <li role="presentation" class="nav-item">
                                    <a href="#tabAccount" class="nav-link active" data-toggle="tab" aria-controls="tabAccount" role="tab"> Account </a>
                                </li>
                                <li role="presentation" class="nav-item">
                                    <a href="#tabActivity" class="nav-link" data-toggle="tab" aria-controls="tabActivity" role="tab"> Activity </a>
                                </li>
                                <li role="presentation" class="nav-item">
                                    <a href="#tabLoads" class="nav-link" data-toggle="tab" aria-controls="tabLoads" role="tab"> Loads </a>
                                </li>
                                <li role="presentation" class="nav-item">
                                    <a href="#tabBilling" class="nav-link" data-toggle="tab" aria-controls="tabBilling" role="tab"> Billing </a>
                                </li>
                                <li role="presentation" class="nav-item">
                                    <a href="#tabLocations" class="nav-link" data-toggle="tab" aria-controls="tabLocations" role="tab"> Locations </a>
                                </li>
                                <li role="presentation" class="nav-item">
                                    <a href="#tabQuotes" class="nav-link" data-toggle="tab" aria-controls="tabQuotes" role="tab"> Quotes </a>
                                </li>
                                <li role="presentation" class="nav-item">
                                    <a href="#tabFuelSurcharge" class="nav-link" data-toggle="tab" aria-controls="tabFuelSurcharge" role="tab"> Fuel Surcharge </a>
                                </li>
                                <li role="presentation" class="nav-item">
                                    <a href="#tabOffice" class="nav-link" data-toggle="tab" aria-controls="tabOffice" role="tab"> Office </a>
                                </li>
                                <li role="presentation" class="nav-item">
                                    <a href="#tabOnTimeStats" class="nav-link" data-toggle="tab" aria-controls="tabOnTimeStats" role="tab"> On Time Stats </a>
                                </li>
                                <li role="presentation" class="nav-item">
                                    <a href="#tabAccessorialsRates" class="nav-link" data-toggle="tab" aria-controls="tabAccessorialsRates" role="tab"> Accessorials & Rates </a>
                                </li>
                                <li role="presentation" class="nav-item">
                                    <a href="#tabFilesImages" class="nav-link" data-toggle="tab" aria-controls="tabFilesImages" role="tab"> Files & Images </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <div class="tab-content">
                        <div class="tab-pane active" role="tabpanel" id="tabAccount">
                            <div class="row px-3 py-3 top-header-row">
                                <div class="col-md-3">
                                    <div class="card">
                                        <div class="card-header">
                                            <div class="row">
                                                <div class="col-md-12 text-center">
                                                    <h6>On-Time Delivery (OTD)</h6>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card-body broker-details py-2 px-3">
                                            <div class="row align-items-center py-1">
                                                <div class="col-6">
                                                    <p>On-Time Delivery:</p>
                                                </div>
                                                <div class="col-6 text-right">
                                                    <label>-</label>
                                                </div>
                                            </div>
                                            <div class="row align-items-center py-1">
                                                <div class="col-6">
                                                    <p>Service Failures:</p>
                                                </div>
                                                <div class="col-6 text-right">
                                                    <label>-</label>
                                                </div>
                                            </div>
                                            <div class="row align-items-center py-1">
                                                <div class="col-6">
                                                    <p>On-Time Percentage:</p>
                                                </div>
                                                <div class="col-6 text-right">
                                                    <label>-</label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="card">
                                        <div class="card-header">
                                            <div class="row">
                                                <div class="col-md-12 text-center">
                                                    <h6>Tracking</h6>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card-body broker-details py-2 px-3">
                                            <div class="row align-items-center py-1">
                                                <div class="col-6">
                                                    <p>Loads Tracked:</p>
                                                </div>
                                                <div class="col-6 text-right">
                                                    <label>-</label>
                                                </div>
                                            </div>
                                            <div class="row align-items-center py-1">
                                                <div class="col-6">
                                                    <p>Loads Untracked:</p>
                                                </div>
                                                <div class="col-6 text-right">
                                                    <label>-</label>
                                                </div>
                                            </div>
                                            <div class="row align-items-center py-1">
                                                <div class="col-6">
                                                    <p>Tracking Percentage:</p>
                                                </div>
                                                <div class="col-6 text-right">
                                                    <label>-</label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="card">
                                        <div class="card-header">
                                            <div class="row">
                                                <div class="col-md-12 text-center">
                                                    <h6>Claims</h6>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card-body broker-details py-2 px-3">
                                            <div class="row align-items-center py-1">
                                                <div class="col-6">
                                                    <p>Clean Deliveries:</p>
                                                </div>
                                                <div class="col-6 text-right">
                                                    <label>-</label>
                                                </div>
                                            </div>
                                            <div class="row align-items-center py-1">
                                                <div class="col-6">
                                                    <p>Claimed Deliveries:</p>
                                                </div>
                                                <div class="col-6 text-right">
                                                    <label>-</label>
                                                </div>
                                            </div>
                                            <div class="row align-items-center py-1">
                                                <div class="col-6">
                                                    <p>Claim Percentage:</p>
                                                </div>
                                                <div class="col-6 text-right">
                                                    <label>-</label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="card">
                                        <div class="card-header">
                                            <div class="row">
                                                <div class="col-md-12 text-center">
                                                    <h6>Revenue</h6>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card-body broker-details py-2 px-3">
                                            <div class="row align-items-center py-1">
                                                <div class="col-6">
                                                    <p>Total Revenue:</p>
                                                </div>
                                                <div class="col-6 text-right">
                                                    <label>-</label>
                                                </div>
                                            </div>
                                            <div class="row align-items-center py-1">
                                                <div class="col-6">
                                                    <p>Total Miles:</p>
                                                </div>
                                                <div class="col-6 text-right">
                                                    <label>-</label>
                                                </div>
                                            </div>
                                            <div class="row align-items-center py-1">
                                                <div class="col-6">
                                                    <p>Total Cent-Per-Mile:</p>
                                                </div>
                                                <div class="col-6 text-right">
                                                    <label>-</label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row m-0 broker-details-header border-bottom">
                                <div class="col-md-6 text-center">
                                    <h6 class="py-2">General Information</h6>
                                </div>
                                <div class="col-md-6 text-center">
                                    <h6 class="py-2">Billing Information</h6>
                                </div>
                            </div>
                            <div class="row pl-4 pr-3 broker-details-body">
                                <div class="col-md-6 py-2 broker-details">
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Customer Type:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ brokerType()[$broker->customer_type] ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Customer Name:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->name ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Customer ID:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->customer_unique_id ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Customer Assignment:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ brokerCustomerAssignment()[$broker->customer_assignment] ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Office Type:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ brokerOfficeType()[$broker->office_type] ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Parent Company:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ getBrokerParentCompany($broker->id)[$broker->parent_company] ?? 'None' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Terminal Assignment:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->terminal_assignment ?? 'None' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>DBA:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->customer_dba ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Address 1:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->address ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Address 2:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->address_2 ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>City:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->city ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>State:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->state ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Zip:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->zip ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Phone:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->phone_number ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Extension:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->ext ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Afterhours:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->afterhours ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Fax:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->fax ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Website:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->website ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Email:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->email ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Federal ID:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->federal_id ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>MC/MX/FF#:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->mc_number ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>SCAC Code:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->scac ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>USDOT:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->usdot ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Workaversary:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>-</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Performance Review:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ brokerPerformanceReviewFrequency()[$broker->performance_review_frequency] ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>C-TPAT Certified:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ ($broker->c_tpat_certified) ? 'Yes' : 'No' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>C-TPAT SVI Number:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->c_tpat_svi_number ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Broker Loads:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ ($broker->broker_loads) ? 'Yes' : 'No' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Sourcing:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ brokerSourcing()[$broker->sourcing] ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>PC Miler:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>-</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Duns Number:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->duns_number ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Duns Expiration:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->duns_expiration_date ?? '-' }}</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6 py-2 broker-details border-left">
                                    <div class="row align-items-center py-2">
                                        <div class="col-md-3">
                                            <p>Preferred Billing Method:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ brokerBillingMethod()[$broker->billing_method] ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-2">
                                        <div class="col-md-3">
                                            <p>Preferred Payment Method:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ brokerPaymentMethod()[$broker->payment_method]['text'] ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-2">
                                        <div class="col-md-3">
                                            <p>Billing ID:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->billing_id ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-2">
                                        <div class="col-md-3">
                                            <p>Bill To:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->bill_to_name ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-2">
                                        <div class="col-md-3">
                                            <p>Billing Address:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->billing_address ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-2">
                                        <div class="col-md-3">
                                            <p>Billing Address 2:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->billing_address_2 ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-2">
                                        <div class="col-md-3">
                                            <p>Billing City:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->billing_city ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-2">
                                        <div class="col-md-3">
                                            <p>Billing State:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->billing_state ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-2">
                                        <div class="col-md-3">
                                            <p>Billing Zip:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->billing_zip ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-2">
                                        <div class="col-md-3">
                                            <p>Billing Phone:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->billing_phone ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-2">
                                        <div class="col-md-3">
                                            <p>Billing Extension:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->billing_extention ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-2">
                                        <div class="col-md-3">
                                            <p>Billing Fax:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->billing_fax ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-2">
                                        <div class="col-md-3">
                                            <p>Billing Email:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->billing_email ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-2">
                                        <div class="col-md-3">
                                            <p>Billing Afterhours:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ $broker->billing_afterhours ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-2">
                                        <div class="col-md-3">
                                            <p>Billing Contact:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>-</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-2">
                                        <div class="col-md-3">
                                            <p>Days To Pay: (Last 30):</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>-</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-2">
                                        <div class="col-md-3">
                                            <p>Days To Pay: (Last 60):</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>-</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-2">
                                        <div class="col-md-3">
                                            <p>Days To Pay: (Last 90):</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>-</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-2">
                                        <div class="col-md-3">
                                            <p>Days To Pay: (YTD):</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>-</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-2">
                                        <div class="col-md-3">
                                            <p>Days To Pay: (Lifetime):</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>-</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-2">
                                        <div class="col-md-3">
                                            <p>Open Balance:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>-</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-2">
                                        <div class="col-md-3">
                                            <p>Billed Balance:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>-</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-2">
                                        <div class="col-md-3">
                                            <p>Freight Bill Format:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>-</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1 broker-details-header border-bottom">
                                        <div class="col-md-12">
                                            <p style="color: #7B838C;">Fuel Surcharge</p>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-2">
                                        <div class="col-md-3">
                                            <p>On-Highway Diesel:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>-</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-2">
                                        <div class="col-md-3">
                                            <p>U.S. Regular Gasoline:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>-</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row pl-4 pr-3 m-0 broker-details-header border-bottom border-top">
                                <div class="col-md-6 text-center">
                                    <h6 class="py-2">Invoice Information</h6>
                                </div>
                                <div class="col-md-6 text-center">
                                    <h6 class="py-2">Compliance</h6>
                                </div>
                            </div>
                            <div class="row pl-4 pr-3 broker-details-body">
                                <div class="col-md-6 py-2 broker-details">
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Factor Invoices:</p>
                                        </div>
                                        <div class="col-md-9 text-right">
                                            <label>{{ ($broker->factor_invoices) ? 'Yes' : 'No' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Factoring Company:</p>
                                        </div>
                                        <div class="col-md-9 text-right">
                                            <label>{{ brokerFactoringCompany()[$broker->factor_company] ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Factoring Type:</p>
                                        </div>
                                        <div class="col-md-9 text-right">
                                            <label>{{ brokerFactorChargeType()[$broker->factor_charge_type] ?? '-' }}</label>
                                        </div>
                                    </div>
                                    @if($broker->factor_charge_type == '1')
                                        <div class="row align-items-center py-1">
                                            <div class="col-md-3">
                                                <p>Factor Rate:</p>
                                            </div>
                                            <div class="col-md-9 text-right">
                                                <label>${{ $broker->factor_rate ?? '0.00' }}</label>
                                            </div>
                                        </div>
                                    @elseif($broker->factor_charge_type == '2')
                                        <div class="row align-items-center py-1">
                                            <div class="col-md-3">
                                                <p>Factor Rate:</p>
                                            </div>
                                            <div class="col-md-9 text-right">
                                                <label>{{ $broker->factor_rate ?? '0.00' }}%</label>
                                            </div>
                                        </div>
                                    @elseif($broker->factor_charge_type == '3')
                                        <div class="row align-items-center py-1">
                                            <div class="col-md-3">
                                                <p>Factor Rate:</p>
                                            </div>
                                            <div class="col-md-9 text-right">
                                                <label>{{ $broker->factor_rate ?? '0.00' }}%</label>
                                            </div>
                                        </div>
                                        <div class="row align-items-center py-1">
                                            <div class="col-md-3">
                                                <p>Minimum Charge</p>
                                            </div>
                                            <div class="col-md-9 text-right">
                                                <label>${{ $broker->factor_rate ?? '0.00' }}</label>
                                            </div>
                                        </div>
                                    @endif
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Terms:</p>
                                        </div>
                                        <div class="col-md-9 text-right">
                                            <label>{{ brokerTerms()[$broker->terms] ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Term Start Date:</p>
                                        </div>
                                        <div class="col-md-9 text-right">
                                            <label>{{ brokerTermStartDate($broker->id)[$broker->term_start_date] ?? 'None' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Credit Score:</p>
                                        </div>
                                        <div class="col-md-9 text-right">
                                            <label>{{ $broker->credit_score ?? 'None' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Credit Limit:</p>
                                        </div>
                                        <div class="col-md-9 text-right">
                                            <label>${{ number_format($broker->credit_limit, 2) ?? '0.00' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Credit Warning:</p>
                                        </div>
                                        <div class="col-md-9 text-right">
                                            <label>${{ number_format($broker->credit_warning, 2) ?? '0.00' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Credit Balance:</p>
                                        </div>
                                        <div class="col-md-9 text-right">
                                            <label>${{ number_format($broker->credit_balance, 2) ?? '0.00' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>First Credit Check:</p>
                                        </div>
                                        <div class="col-md-9 text-right">
                                            <label>{{ $broker->first_credit_check ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Last Credit Check:</p>
                                        </div>
                                        <div class="col-md-9 text-right">
                                            <label>{{ $broker->last_credit_check ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Freight Bill Format:</p>
                                        </div>
                                        <div class="col-md-9 text-right">
                                            <label>{{ brokerFreightBillFormat()[$broker->freight_bill_format] ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Credit App Completed:</p>
                                        </div>
                                        <div class="col-md-9 text-right">
                                            <label>{{ $broker->credit_app_completed ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Credit App Expiration:</p>
                                        </div>
                                        <div class="col-md-9 text-right">
                                            @if(\Illuminate\Support\Carbon::parse($broker->credit_app_expiration)->lte($currentDate))
                                                <label class="text-danger">{{ $broker->credit_app_expiration ?? '-' }}</label>
                                            @else
                                                <label>{{ $broker->credit_app_expiration ?? '-' }}</label>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6 py-2 broker-details border-left">
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label class="form-label" style="color: #7B838C;">FMCSA Thresholds</label>
                                                <div class="thresholdsbox-content">
                                                    <div class="row justify-content-between">
                                                        <div class="col-auto">
                                                            <div class="thresholds-box text-center">
                                                                <img src="{{ asset('theme/images/frontal-truck.svg') }}" alt="" class="img-fluid mb-1 d-block mx-auto">
                                                                <label for="txt-unsafe">Unsafe</label>
                                                                <h6 class="mt-2 text-black">{{ $broker->fmcsa_unsafe ?? '' }}</h6>
                                                            </div>
                                                        </div>
                                                        <div class="col-auto">
                                                            <div class="thresholds-box text-center">
                                                                <img src="{{ asset('theme/images/lorry.svg') }}" alt="" class="img-fluid mb-1 d-block mx-auto">
                                                                <label for="txt-crash">Crash</label>
                                                                <h6 class="mt-2">{{ $broker->fmcsa_crash ?? '' }}</h6>
                                                            </div>
                                                        </div>
                                                        <div class="col-auto">
                                                            <div class="thresholds-box text-center">
                                                                <img src="{{ asset('theme/images/24-hours.svg') }}" alt="" class="img-fluid mb-1 d-block mx-auto">
                                                                <label for="txt-hos">HOS</label>
                                                                <h6 class="mt-2">{{ $broker->fmcsa_hos ?? '' }}</h6>
                                                            </div>
                                                        </div>
                                                        <div class="col-auto">
                                                            <div class="thresholds-box text-center">
                                                                <img src="{{ asset('theme/images/wrench.svg') }}" alt="" class="img-fluid mb-1 d-block mx-auto">
                                                                <label for="txt-maintenance">Maintenance</label>
                                                                <h6 class="mt-2">{{ $broker->fmcsa_maintenance ?? '' }}</h6>
                                                            </div>
                                                        </div>
                                                        <div class="col-auto">
                                                            <div class="thresholds-box text-center">
                                                                <img src="{{ asset('theme/images/alcohol.svg') }}" alt="" class="img-fluid mb-1 d-block mx-auto">
                                                                <label for="txt-substances">Substances</label>
                                                                <h6 class="mt-2">{{ $broker->fmcsa_substances ?? '' }}</h6>
                                                            </div>
                                                        </div>
                                                        <div class="col-auto">
                                                            <div class="thresholds-box text-center">
                                                                <img src="{{ asset('theme/images/biohazard-sign.svg') }}" alt="" class="img-fluid mb-1 d-block mx-auto">
                                                                <label for="txt-hazardous">Hazardous</label>
                                                                <h6 class="mt-2">{{ $broker->fmcsa_hazardous ?? '' }}</h6>
                                                            </div>
                                                        </div>
                                                        <div class="col-auto">
                                                            <div class="thresholds-box text-center">
                                                                <img src="{{ asset('theme/images/42-Certificate.svg') }}" alt="" class="img-fluid mb-1 d-block mx-auto">
                                                                <label for="txt-driver-fitness">Driver Fitness</label>
                                                                <h6 class="mt-2">{{ $broker->fmcsa_driver_fitness ?? '' }}</h6>
                                                            </div>
                                                        </div>
                                                        <div class="col-auto">
                                                            <div class="thresholds-box text-center">
                                                                <img src="{{ asset('theme/images/insurance.svg') }}" alt="" class="img-fluid mb-1 d-block mx-auto">
                                                                <label for="txt-insurance">Insurance</label>
                                                                <h6 class="mt-2">{{ $broker->fmcsa_insurance ?? '' }}</h6>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1 broker-details-header border-bottom">
                                        <div class="col-md-12">
                                            <p style="color: #7B838C;">Fleet Requirements</p>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Req'd Safer Status:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ brokerRequiredSaferStatus()[$broker->required_safer_status] ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Req'd Authority Tenure:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ brokerRequiredAuthorityTenure()[$broker->required_authority_tenure] ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Req'd Fleet Size:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ brokerRequiredFleetSize()[$broker->required_fleet_size] ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Req'd Total Load Count:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>-</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Req'd Loads Last 30 Days:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ brokerRequiredLoadsLast30Days()[$broker->required_loads_last_30_days] ?? '-' }}</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-3">
                                            <p>Req'd Loads Per Month:</p>
                                        </div>
                                        <div class="col-md-9">
                                            <label>{{ brokerRequiredLoadsPerMonth()[$broker->required_loads_per_month] ?? '-' }}</label>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row pl-4 pr-3 m-0 broker-details-header border-top border-bottom">
                                <div class="col-md-6 text-center">
                                    <h6 class="py-2">Representatives</h6>
                                </div>
                                <div class="col-md-6 text-center">
                                    <h6 class="py-2">Insurance & Bond</h6>
                                </div>
                            </div>
                            <div class="row pl-4 pr-3 broker-details-body">
                                <div class="col-md-6 py-2 representatives-info">
                                    @if(isset($broker) && count($broker->broker_contact) > 0)
                                        @foreach($broker->broker_contact as $brokerContact)
                                            <div class="row align-items-center">
                                                <div class="col-md-4 my-2 d-flex align-items-center">
                                                    <span class="broker-contact-img">
                                                        @if(!is_null($brokerContact->representative_profile_img))
                                                            <img src="{{ asset('storage/companyAdmin/broker/contact_profile/'.$brokerContact->representative_profile_img) }}" />
                                                        @else
                                                            <img src="{{ asset('theme/img/avtar.png') }}" />
                                                        @endif
                                                    </span>
                                                    <label class="ml-4 pt-2">{{ $brokerContact->first_name.' '.$brokerContact->last_name }}</label>
                                                </div>
                                                <div class="col-md-3 my-2">
                                                    @if(!is_null($brokerContact->department) && count($brokerContact->department) > 0)
                                                        {!! Form::text('representative_department',  implode(', ', $brokerContact->department) ?? null, array('class' => 'form-control', 'id' => 'representative-department', 'readonly' => 'readonly')) !!}
                                                    @else
                                                        {!! Form::text('representative_department',  null, array('class' => 'form-control', 'id' => 'representative-department', 'readonly' => 'readonly')) !!}
                                                    @endif
                                                </div>
                                                <div class="col-md-4 my-2">
                                                    <ul class="nav text-center justify-content-center">
                                                        <li class="nav-item">
                                                            <a href="javascript:void(0);">
                                                                <div class="profile-icons mb-1">
                                                                    <img src="{{ asset('theme/images/phone-icon.svg') }}" alt=" " class="img-fluid" />
                                                                </div>
                                                                <span>Office</span>
                                                            </a>
                                                        </li>
                                                        <li class="nav-item">
                                                            <a href="javascript:void(0);">
                                                                <div class="profile-icons mb-1">
                                                                    <img src="{{ asset('theme/images/smartphone-icon.svg') }}" alt=" " class="img-fluid" />
                                                                </div>
                                                                <span>Cell</span>
                                                            </a>
                                                        </li>
                                                        <li class="nav-item">
                                                            <a href="javascript:void(0);">
                                                                <div class="profile-icons mb-1">
                                                                    <img src="{{ asset('theme/images/email-icon.svg') }}" alt=" " class="img-fluid" />
                                                                </div>
                                                                <span>Email</span>
                                                            </a>
                                                        </li>
                                                        <li class="nav-item">
                                                            <a href="javascript:void(0);">
                                                                <div class="profile-icons mb-1">
                                                                    <img src="{{ asset('theme/images/msg-or-chat-icon.svg') }}" alt=" " class="img-fluid" />
                                                                </div>
                                                                <span>ProChat</span>
                                                            </a>
                                                        </li>
                                                        <li class="nav-item">
                                                            <a href="javascript:void(0);">
                                                                <div class="profile-icons mb-1">
                                                                    <img src="{{ asset('theme/images/three-dot-horizontal-icon.svg') }}" alt=" " class="img-fluid" />
                                                                </div>
                                                                <span>More</span>
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </div>
                                                <div class="col-md-1 my-2 view">
                                                    <a href="javascript:void(0);">View</a>
                                                </div>
                                            </div>
                                        @endforeach
                                    @else
                                        <div class="row align-items-center">
                                            <div class="col-md-12 my-2 text-center">
                                                <p>No Contacts Found</p>
                                            </div>
                                        </div>
                                    @endif
                                </div>
                                <div class="col-md-6 py-2 broker-details border-left">
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-6">
                                            <p>General Liability Requirements:</p>
                                        </div>
                                        <div class="col-md-6 text-right">
                                            <label>-</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-6">
                                            <p>Auto Liability Requirements:</p>
                                        </div>
                                        <div class="col-md-6 text-right">
                                            <label>-</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-6">
                                            <p>Cargo Liability Requirements:</p>
                                        </div>
                                        <div class="col-md-6 text-right">
                                            <label>-</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-6">
                                            <p>Reefer Breakdown Requirement</p>
                                        </div>
                                        <div class="col-md-6 text-right">
                                            <label>-</label>
                                        </div>
                                    </div>
                                    <div class="row align-items-center py-1">
                                        <div class="col-md-6">
                                            <p>Trailer Interchange Requirement</p>
                                        </div>
                                        <div class="col-md-6 text-right">
                                            <label>-</label>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row pl-4 pr-3 m-0 broker-details-header border-top border-bottom">
                                <div class="col-md-6 text-center">
                                    <h6 class="py-2">Bonds</h6>
                                </div>
                                <div class="col-md-6 text-center">
                                    <h6 class="py-2">Insurance</h6>
                                </div>
                            </div>
                            <div class="row pl-4 pr-3 broker-details-body">
                                <div class="col-md-6 py-2 px-3 bond-info">
                                    <div class="row align-items-center">
                                        @if(isset($broker) && !is_null($broker->broker_bond_information))
                                            @foreach(unserialize($broker->broker_bond_information->surety_bond_required) as $key => $value)
                                                <div class="col-md-12 my-2">
                                                    <div class="card card-shadow">
                                                        <div class="card-body broker-details py-2 px-3">
                                                            <div class="row align-items-center py-1">
                                                                <div class="col-6">
                                                                    <h6>Bond Certificate</h6>
                                                                </div>
                                                                <div class="col-6 text-right">
                                                                    <label class="badge badge-danger text-white">Active</label>
                                                                </div>
                                                            </div>
                                                            <div class="row align-items-center py-1">
                                                                <div class="col-6">
                                                                    <label>Bond Company:</label>
                                                                    <p>{{ unserialize($broker->broker_bond_information->surety_bond_company)[$key] ?? '-' }}</p>
                                                                </div>
                                                                <div class="col-6 text-right">
                                                                    <label>Bond Amount:</label>
                                                                    <p>${{ number_format(unserialize($broker->broker_bond_information->surety_bond_amount)[$key]) ?? '0' }}</p>
                                                                </div>
                                                            </div>
                                                            <div class="row align-items-center py-1">
                                                                <div class="col-6">
                                                                    <label>Amount:</label>
                                                                    <p>{{ numberToWords(unserialize($broker->broker_bond_information->surety_bond_amount)[$key]) ?? ''}}</p>
                                                                </div>
                                                                <div class="col-6 text-right">
                                                                    <label>Expiration Date</label>
                                                                    <p>{{ unserialize($broker->broker_bond_information->surety_bond_expiration)[$key] ?? '-' }}</p>
                                                                </div>
                                                            </div>
                                                            <div class="row align-items-center py-1">
                                                                <div class="col-2">
                                                                    <label>Bond #</label>
                                                                    <p>-</p>
                                                                </div>
                                                                <div class="col-2">
                                                                    <label>Bond Contact</label>
                                                                    <p>{{ unserialize($broker->broker_bond_information->bond_contact_name)[$key] ?? '-' }}</p>
                                                                </div>
                                                                <div class="col-3">
                                                                    <label>Bond Phone Number</label>
                                                                    <p>{{ unserialize($broker->broker_bond_information->bond_phone_number)[$key] ?? '-' }}</p>
                                                                </div>
                                                                <div class="col-5">
                                                                    <label>Bond Email</label>
                                                                    <p>{{ unserialize($broker->broker_bond_information->surety_bond_email)[$key] ?? '-' }}</p>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            @endforeach
                                        @else
                                            <div class="col-md-12 my-2 text-center">
                                                <p>No Data Found</p>
                                            </div>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-6 py-2 px-3 border-left insurance-info">
                                    <div class="row align-items-center">
                                        @if(isset($broker) && !is_null($broker->broker_customer_insurances))
                                            @foreach(unserialize($broker->broker_customer_insurances->customer_insurance_name) as $key => $value)
                                                <div class="col-md-4 my-2">
                                                    <div class="card card-shadow">
                                                        <div class="card-body broker-details py-2 px-3">
                                                            <div class="row align-items-center py-1">
                                                                <div class="col-12">
                                                                    <h6>{{ getCompanyInsuranceTypes()[unserialize($broker->broker_customer_insurances->customer_insurance_type)[$key]] ?? '-' }}</h6>
                                                                </div>
                                                                <div class="col-12">
                                                                    <label class="badge badge-danger text-white mt-2 mb-0">Active</label>
                                                                </div>
                                                            </div>
                                                            <div class="row align-items-center py-1">
                                                                <div class="col-12">
                                                                    <label>Insurer Name:</label>
                                                                    <p>{{ unserialize($broker->broker_customer_insurances->customer_insurance_name)[$key] ?? '-' }}</p>
                                                                </div>
                                                            </div>
                                                            <div class="row align-items-center py-1">
                                                                <div class="col-6 pr-1">
                                                                    <label>Policy #:</label>
                                                                    <p>{{ unserialize($broker->broker_customer_insurances->customer_policy_number)[$key] ?? '-' }}</p>
                                                                </div>
                                                                <div class="col-6 pl-1">
                                                                    <label class="mb-0">Certificate of Insurance:</label>
                                                                    <div class="upload-element">
                                                                        <i class="fa fa-picture-o gallary-edit {{checkeGalleryFileUpload($broker->id, 'customer_insurance_file_'.$key)}} customerInsuranceFile mr-1" aria-hidden="true" data-id="{{$broker->id ?? $dummy_id}}" data-source="brokers" data-field="customer_insurance_file_{{ $key }}" data-toggle="modal" data-target="#galleryModal" title="Customer Insurance File"></i>
                                                                        <a href="javascript:void(0);" class="view-gallary">View</a>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="row align-items-center py-1">
                                                                <div class="col-6 pr-1">
                                                                    <label>Limit:</label>
                                                                    <p>${{ number_format(unserialize($broker->broker_customer_insurances->customer_limit)[$key]) ?? '0' }}</p>
                                                                </div>
                                                                <div class="col-6 pl-1">
                                                                    <label>Expiration Date:</label>
                                                                    <p>{{ unserialize($broker->broker_customer_insurances->customer_expiration_date)[$key] ?? '-' }}</p>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            @endforeach
                                        @else
                                            <div class="col-md-12 my-2 text-center">
                                                <p>No Data Found</p>
                                            </div>
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane" role="tabpanel" id="tabActivity">
                            <div class="row px-3 py-4">
                                <div class="col-md-12 text-center">
                                    <h6>Coming Soon</h6>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane" role="tabpanel" id="tabLoads">
                            <div class="row px-3 pt-3">
                                <div class="col-md-12">
                                    <div class="d-flex flex-row-reverse align-items-center">
                                        <div class="ml-2 text-left">
                                            {!! Form::select('compare_period', ['1' => 'Previous Period', '2' => 'Previous Period Last Year'], '1', ['class' => 'form-control select2', 'id' => 'compare-period']) !!}
                                        </div>
                                        <div class="ml-2">
                                            <div class="form-check">
                                                <input class="form-check-input" type="checkbox" id="check-compare" name="check_compare" value="1">
                                                <label class="form-check-label ml-2" for="check-compare">Compare</label>
                                            </div>
                                        </div>
                                        <div>
                                            <div class="dropdown date-selection">
                                                <div id="reportRange">
                                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon" width="15" height="15">&nbsp;
                                                    <span data-from-date="" data-to-date=""></span> <i class="fa fa-caret-down"></i>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12 py-2 load-report">
                                    <div class="d-flex justify-content-between">
                                        <div class="text-center">
                                            <div class="white-box">
                                                <div class="box-padding employee-box">
                                                    <span class="big-ttl">Active Loads</span>
                                                    <h5 id="report-active-load">0</h5>
                                                    <ul class="per-data">
                                                        <li></li>
                                                        <li id="compare-active-load"></li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="text-center">
                                            <div class="white-box">
                                                <div class="box-padding employee-box">
                                                    <span class="big-ttl">Ready to Bill</span>
                                                    <h5 id="report-ready-to-bill">0</h5>
                                                    <ul class="per-data">
                                                        <li></li>
                                                        <li id="compare-ready-to-bill"></li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="text-center">
                                            <div class="white-box">
                                                <div class="box-padding employee-box">
                                                    <span class="big-ttl">Delivered</span>
                                                    <h5 id="report-delivered">0</h5>
                                                    <ul class="per-data">
                                                        <li></li>
                                                        <li id="compare-delivered"></li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="text-center">
                                            <div class="white-box">
                                                <div class="box-padding employee-box">
                                                    <span class="big-ttl">Complete</span>
                                                    <h5 id="report-complete">0</h5>
                                                    <ul class="per-data">
                                                        <li></li>
                                                        <li id="compare-complete"></li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="text-center">
                                            <div class="white-box">
                                                <div class="box-padding employee-box">
                                                    <span class="big-ttl">On Hold</span>
                                                    <h5 id="report-on-hold">0</h5>
                                                    <ul class="per-data">
                                                        <li></li>
                                                        <li id="compare-on-hold"></li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="text-center">
                                            <div class="white-box">
                                                <div class="box-padding employee-box">
                                                    <span class="big-ttl">Cancelled</span>
                                                    <h5 id="report-cancelled">0</h5>
                                                    <ul class="per-data">
                                                        <li></li>
                                                        <li id="compare-cancelled"></li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="text-center">
                                            <div class="white-box">
                                                <div class="box-padding employee-box">
                                                    <span class="big-ttl">All Loads</span>
                                                    <h5 id="report-all-loads">0</h5>
                                                    <ul class="per-data">
                                                        <li></li>
                                                        <li id="compare-all-loads"></li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="text-center">
                                            <div class="white-box">
                                                <div class="box-padding employee-box">
                                                    <span class="big-ttl">Cargo Claims</span>
                                                    <h5 id="report-cargo-claims">0</h5>
                                                    <ul class="per-data">
                                                        <li></li>
                                                        <li id="compare-cargo-claims"></li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12">
                                    <div class="white-box table-view scroll-data-table">
                                        <h3 class="table-title">Loads</h3>
                                        <div class="table-responsive">
                                            <table id="customer-load-data-table" class="table rounded-corners customer-load-data-table">
                                                <thead>
                                                    <tr>
                                                        @foreach($getField as $key => $filed)
                                                            @if($filed == 1 && isset(config('settings.table_customer_loads')[$key]['name']))
                                                                @if(isset(config('settings.table_customer_loads')[$key]['searchBuilderType']))
                                                                    @if(config('settings.table_customer_loads')[$key]['col_search'] == 0)
                                                                        @if( config('settings.table_customer_loads')[$key]['searchBuilderType'] == 'string' )
                                                                            <th class="{{ config('settings.table_customer_loads')[$key]['class'] }}">{{ config('settings.table_customer_loads')[$key]['name'] }} <i class="fa fa-filter columnFilter table_customer_loads_{{ $key }}_string" data-table="table1" data-modal="SearchByStringModal{{ $key }}table1"></i></th>
                                                                        @elseif( config('settings.table_customer_loads')[$key]['searchBuilderType'] == 'date' )
                                                                            <th class="{{ config('settings.table_customer_loads')[$key]['class'] }}">{{ config('settings.table_customer_loads')[$key]['name'] }} <i class="fa fa-filter columnFilter table_customer_loads_{{ $key }}_date" data-table="table1" data-modal="SearchByDateModal{{ $key }}table1"></i></th>
                                                                        @elseif( config('settings.table_customer_loads')[$key]['searchBuilderType'] == 'status' )
                                                                            <th class="{{ config('settings.table_customer_loads')[$key]['class'] }}">{{ config('settings.table_customer_loads')[$key]['name'] }} <i class="fa fa-filter columnFilter table_customer_loads_{{ $key }}_status" data-table="table1" data-modal="SearchByStatusModal{{ $key }}table1"></i></th>
                                                                        @endif
                                                                    @else
                                                                        @if( config('settings.table_customer_loads')[$key]['searchBuilderType'] == 'string' )
                                                                            <th>{{ config('settings.table_customer_loads')[$key]['name'] }} <i class="fa fa-filter columnFilter table_customer_loads_{{ $key }}_string" data-table="table1" data-modal="SearchByStringModal{{ $key }}table1"></i></th>
                                                                        @elseif( config('settings.table_customer_loads')[$key]['searchBuilderType'] == 'date' )
                                                                            <th>{{ config('settings.table_customer_loads')[$key]['name'] }} <i class="fa fa-filter columnFilter table_customer_loads_{{ $key }}_date" data-table="table1" data-modal="SearchByDateModal{{ $key }}table1"></i></th>
                                                                        @elseif( config('settings.table_customer_loads')[$key]['searchBuilderType'] == 'status' )
                                                                            <th>{{ config('settings.table_customer_loads')[$key]['name'] }} <i class="fa fa-filter columnFilter table_customer_loads_{{ $key }}_status" data-table="table1" data-modal="SearchByStatusModal{{ $key }}table1"></i></th>
                                                                        @endif

                                                                    @endif
                                                                @else
                                                                    @if(config('settings.table_customer_loads')[$key]['col_search'] == 0)
                                                                        <th class="{{ config('settings.table_customer_loads')[$key]['class'] }}">{{ config('settings.table_customer_loads')[$key]['name'] }}</th>
                                                                    @else
                                                                        <th>{{ config('settings.table_customer_loads')[$key]['name'] }}</th>
                                                                    @endif
                                                                @endif
                                                            @endif
                                                        @endforeach
                                                    </tr>
                                                </thead>
                                                <tbody></tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane" role="tabpanel" id="tabBilling">
                            <div class="row px-2 py-1">
                                <div class="col-md-12 billing-content">
                                    <div class="timestats-box">
                                        <div class="row g-2 mx-0">
                                            <div class="col-xl-custom-25p col-md-3 col-sm-6">
                                                <div class="card h-100">
                                                    <div class="d-flex align-items-center justify-content-between mb-1">
                                                        <div class="">
                                                            <h3>$ {{ number_format(sprintf("%02d", customerBillingTotalReadyToBillLoads($broker->id)), 2) ?? '00'}}</h3>
                                                        </div>
                                                        <div class="">
                                                            <img src="{{ asset('theme/img/customer-ready-to-bill.png') }}" alt="icon" class="img-fluid">
                                                        </div>
                                                    </div>
                                                    <div class="d-flex align-items-end justify-content-between mb-1">
                                                        <div class="">
                                                            <p class="mb-0">This Year</p>
                                                            <strong class="fs-18 text-ganache">Ready To Bill</strong>
                                                        </div>
                                                        <div class="d-none">
                                                            <span class="arrow"><i class="fa fa-long-arrow-up" aria-hidden="true"></i> 0%</span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-xl-custom-25p col-md-3 col-sm-6">
                                                <div class="card h-100">
                                                    <div class="d-flex align-items-center justify-content-between mb-1">
                                                        <div class="">
                                                            <h3>$ {{ number_format(sprintf("%02d", customerUnbilledLoads($broker->id)), 2) ?? '00'}}</h3>
                                                        </div>
                                                        <div class="">
                                                            <img src="{{ asset('theme/img/customer-unbilled.png') }}" alt="icon" class="img-fluid">
                                                        </div>
                                                    </div>
                                                    <div class="d-flex align-items-end justify-content-between mb-1">
                                                        <div class="">
                                                            <p class="mb-0">This Year</p>
                                                            <strong class="fs-18 text-ganache">Unbilled</strong>
                                                        </div>
                                                        <div class="d-none">
                                                            <span class="arrow"><i class="fa fa-long-arrow-up" aria-hidden="true"></i> 0%</span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-xl-custom-25p col-md-3 col-sm-6">
                                                <div class="card h-100">
                                                    <div class="d-flex align-items-center justify-content-between mb-1">
                                                        <div class="">
                                                            <h3>$ {{ number_format(sprintf("%02d", customerOverdueLoads($broker->id)), 2) ?? '00'}}</h3>
                                                        </div>
                                                        <div class="">
                                                            <img src="{{ asset('theme/img/customer-overdue.png') }}" alt="icon" class="img-fluid">
                                                        </div>
                                                    </div>
                                                    <div class="d-flex align-items-end justify-content-between mb-1">
                                                        <div class="">
                                                            <p class="mb-0">This Year</p>
                                                            <strong class="fs-18 text-ganache">Overdue</strong>
                                                        </div>
                                                        <div class="d-none">
                                                            <span class="arrow"><i class="fa fa-long-arrow-up" aria-hidden="true"></i> 0%</span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-xl-custom-25p col-md-3 col-sm-6">
                                                <div class="card h-100">
                                                    <div class="d-flex align-items-center justify-content-between mb-1">
                                                        <div class="">
                                                            <h3>$ {{ number_format(sprintf("%02d", customerTotalBilledLoads($broker->id)), 2) ?? '00'}}</h3>
                                                        </div>
                                                        <div class="">
                                                            <img src="{{ asset('theme/img/customer-billed.png') }}" alt="icon" class="img-fluid">
                                                        </div>
                                                    </div>
                                                    <div class="d-flex align-items-end justify-content-between mb-1">
                                                        <div class="">
                                                            <p class="mb-0">This Year</p>
                                                            <strong class="fs-18 text-ganache">Total Billed</strong>
                                                        </div>
                                                        <div class="d-none">
                                                            <span class="arrow"><i class="fa fa-long-arrow-down" aria-hidden="true"></i> 0%</span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="mt-xl-5" style="margin-top: 1rem !important;">
                                        <div class="billing-slider-div"></div>

                                        <div class="white-box table-view">
                                            <h3 class="table-title">Billing</h3>
                                            <div class="table-responsive">
                                                <table class="table all-loads-data-table" id="all-loads-data-table">
                                                    <thead>
                                                    <tr>
                                                        @foreach($getField2 as $key => $filed)
                                                            @if($filed == 1 && isset(config('settings.table_customer_billing_loads')[$key]['name']))
                                                                @if(isset(config('settings.table_customer_billing_loads')[$key]['searchBuilderType']))
                                                                    @if(config('settings.table_customer_billing_loads')[$key]['col_search'] == 0)
                                                                        @if( config('settings.table_customer_billing_loads')[$key]['searchBuilderType'] == 'string' )
                                                                            <th class="{{ config('settings.table_customer_billing_loads')[$key]['class'] }} notsech">{{ config('settings.table_customer_billing_loads')[$key]['name'] }} <i class="fa fa-filter columnFilter table_customer_billing_loads_{{ $key }}_string" data-table="table2" data-modal="SearchByStringModal{{ $key }}table2"></i></th>
                                                                        @elseif( config('settings.table_customer_billing_loads')[$key]['searchBuilderType'] == 'date' )
                                                                            <th class="{{ config('settings.table_customer_billing_loads')[$key]['class'] }} notsech">{{ config('settings.table_customer_billing_loads')[$key]['name'] }} <i class="fa fa-filter columnFilter table_customer_billing_loads_{{ $key }}_date" data-table="table2" data-modal="SearchByDateModal{{ $key }}table2"></i></th>
                                                                        @elseif( config('settings.table_customer_billing_loads')[$key]['searchBuilderType'] == 'status' )
                                                                            <th class="{{ config('settings.table_customer_billing_loads')[$key]['class'] }} notsech">{{ config('settings.table_customer_billing_loads')[$key]['name'] }} <i class="fa fa-filter columnFilter table_customer_billing_loads_{{ $key }}_status" data-table="table2" data-modal="SearchByStatusModal{{ $key }}table2"></i></th>
                                                                        @endif
                                                                    @else
                                                                        @if( config('settings.table_customer_billing_loads')[$key]['searchBuilderType'] == 'string' )
                                                                            <th class="{{ config('settings.table_customer_billing_loads')[$key]['class'] }}">{{ config('settings.table_customer_billing_loads')[$key]['name'] }} <i class="fa fa-filter columnFilter table_customer_billing_loads_{{ $key }}_string" data-table="table2" data-modal="SearchByStringModal{{ $key }}table2"></i></th>
                                                                        @elseif( config('settings.table_customer_billing_loads')[$key]['searchBuilderType'] == 'date' )
                                                                            <th class="{{ config('settings.table_customer_billing_loads')[$key]['class'] }}">{{ config('settings.table_customer_billing_loads')[$key]['name'] }} <i class="fa fa-filter columnFilter table_customer_billing_loads_{{ $key }}_date" data-table="table2" data-modal="SearchByDateModal{{ $key }}table2"></i></th>
                                                                        @elseif( config('settings.table_customer_billing_loads')[$key]['searchBuilderType'] == 'status' )
                                                                            <th class="{{ config('settings.table_customer_billing_loads')[$key]['class'] }}">{{ config('settings.table_customer_billing_loads')[$key]['name'] }} <i class="fa fa-filter columnFilter table_customer_billing_loads_{{ $key }}_status" data-table="table2" data-modal="SearchByStatusModal{{ $key }}table2"></i></th>
                                                                        @endif
                                                                    @endif
                                                                @else
                                                                    @if(config('settings.table_customer_billing_loads')[$key]['col_search'] == 0)
                                                                        <th class="{{ config('settings.table_customer_billing_loads')[$key]['class'] }} notsech">{{ config('settings.table_customer_billing_loads')[$key]['name'] }}</th>
                                                                    @else
                                                                        <th class="{{ config('settings.table_customer_billing_loads')[$key]['class'] }}">{{ config('settings.table_customer_billing_loads')[$key]['name'] }}</th>
                                                                    @endif
                                                                @endif
                                                            @endif
                                                        @endforeach
                                                        <th class="text-center td-invoice-now"></th>
                                                    </tr>
                                                    </thead>
                                                    <tbody class="billingLoadTableBody"></tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane" role="tabpanel" id="tabLocations">
                            <div class="row px-3 py-4">
                                <div class="col-md-12 text-center">
                                    <h6>Coming Soon</h6>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane" role="tabpanel" id="tabQuotes">
                            <div class="row px-3 py-4">
                                <div class="col-md-12 text-center">
                                    <h6>Coming Soon</h6>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane" role="tabpanel" id="tabFuelSurcharge">
                            <div class="row px-3 py-4 calculator">
                                <div class="col-md-4">
                                    <div class="card card-fuelSurcharges mb-4">
                                        <div class="card-header">
                                            <h6>Fuel Surcharge Calculator</h6>
                                        </div>
                                        <div class="card-body p-0">
                                            <div class="row px-3 pt-3 pb-2 align-items-center">
                                                <div class="col-md-5">
                                                    <div class="form-group mb-0">
                                                        <label>Request Date</label>
                                                    </div>
                                                </div>
                                                <div class="col-md-7">
                                                    <div class="form-group mb-0">
                                                        <div class="input-group">
                                                            {!! Form::text('request_date', null, array('class' => 'form-control', 'id' => 'request-date', 'autocomplete'  => 'off')) !!}
                                                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row px-3 pb-3 pt-2 align-items-center">
                                                <div class="col-md-5">
                                                    <div class="form-group mb-0">
                                                        <label>Last Release Date</label>
                                                    </div>
                                                </div>
                                                <div class="col-md-7">
                                                    <div class="form-group mb-0">
                                                        {!! Form::text('last_release_date', null, array('class' => 'form-control', 'id' => 'last-release-date', 'readonly' => 'readonly', 'autocomplete'  => 'off')) !!}
                                                    </div>
                                                </div>
                                            </div>
                                            <hr class="px-0" />
                                            <div class="row px-3 pt-3 pb-2 align-items-center">
                                                <div class="col-md-5">
                                                    <div class="form-group mb-0">
                                                        <label>Fuel Type</label>
                                                        <p>Last Release <span id="fuel-type-last-release"></span></p>
                                                    </div>
                                                </div>
                                                <div class="col-md-7">
                                                    <div class="form-group mb-0">
                                                        {!! Form::select('fuel_type', ['' => 'Select Fuel Type', 'EPMR' => 'U.S. Regular Gasoline Price', 'EPD2D' => 'U.S. On-Highway Diesel'], null, ['class' => 'form-control select2', 'id' => 'fuel-type']) !!}
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row px-3 py-2 align-items-center">
                                                <div class="col-md-5">
                                                    <div class="form-group mb-0">
                                                        <label>Region &nbsp;<a href="javascript:void(0);" class="region-map-url">Map</a></label>
                                                    </div>
                                                </div>
                                                <div class="col-md-7">
                                                    <div class="form-group mb-0">
                                                        {!! Form::select('region', ['' => 'Select Region'], null, ['class' => 'form-control select2', 'id' => 'region']) !!}
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row px-3 py-2 align-items-center">
                                                <div class="col-md-5">
                                                    <div class="form-group mb-0">
                                                        <label>Rate Type</label>
                                                    </div>
                                                </div>
                                                <div class="col-md-7">
                                                    <div class="form-group mb-0">
                                                        {!! Form::select('rate_type', ['0' => 'Per Mile', '1' => 'Percentage'], '2', ['class' => 'form-control select2', 'id' => 'rate-type']) !!}
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row px-3 py-2 align-items-center">
                                                <div class="col-md-5">
                                                    <div class="form-group mb-0">
                                                        <label>Start Price (PPG) &nbsp;<i class="fa fa-info-circle font-16 text-info-box tooltip_new" title="<strong>Start Price (PPG)</strong> <br> The start price determines the price per gallon a fuel surcharge calculator will be begin. Start price is commonly referred to as the base price."></i></label>
                                                        <p>Starting Price</p>
                                                    </div>
                                                </div>
                                                <div class="col-md-7">
                                                    <div class="input-group pre-append">
                                                        <div class="input-group-prepend">
                                                            <span class="input-group-text">$</span>
                                                        </div>
                                                        {!! Form::number('start_price', null, array('class' => 'form-control number', 'id' => 'start-price', 'min' => 0, 'step' => .01)) !!}
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row px-3 py-2 align-items-center">
                                                <div class="col-md-5">
                                                    <div class="form-group mb-0">
                                                        <label>Max Price (PPG) &nbsp;<i class="fa fa-info-circle font-16 text-info-box tooltip_new" title="<strong>Max Price (PPG)</strong> <br> The max price acts as the ceiling of your Fuel Surcharge calculator. The max price ends the visual calculations but does not imply that a surcharge doesn't exists if the fuel costs exceeds the max price, it just isn't visualized. The pattern established below the max price would carry forward past the max price."></i></label>
                                                        <p>Ending Price</p>
                                                    </div>
                                                </div>
                                                <div class="col-md-7">
                                                    <div class="input-group pre-append">
                                                        <div class="input-group-prepend">
                                                            <span class="input-group-text">$</span>
                                                        </div>
                                                        {!! Form::number('ending_price', null, array('class' => 'form-control number', 'id' => 'ending-price', 'min' => 0, 'step' => .01)) !!}
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row px-3 pb-3 pt-2 align-items-center">
                                                <div class="col-md-5">
                                                    <div class="form-group mb-0">
                                                        <label>Price Change &nbsp;<i class="fa fa-info-circle font-16 text-info-box tooltip_new" title="<strong>Price Change</strong> <br> Price change is the indicator showing the difference between each price per gallon band. This interval determines when the next band is created. The incremental changes applied to the calculator are based on this factor. The larger the Price Change the smaller the fuel surcharge becomes. (Example: A $.05 Price Change indicates that the fuel surcharge will change every time a gallon of fuel fluctuates $.05, but a $0.10 Price Change indicates that the fuel surcharge will change ever time a gallon of fuel fluctuates $.10)"></i></label>
                                                        <p>Interval Band</p>
                                                    </div>
                                                </div>
                                                <div class="col-md-7">
                                                    <div class="input-group pre-append">
                                                        <div class="input-group-prepend">
                                                            <span class="input-group-text">$</span>
                                                        </div>
                                                        {!! Form::number('price_change', null, array('class' => 'form-control number', 'id' => 'price-change', 'min' => 0, 'step' => .01)) !!}
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="fulPm">
                                                <hr/>
                                                <p class="section-heading mb-0">Per Mile Intervals</p>
                                                <hr/>
                                                <div class="row px-3 pt-3 pb-2 align-items-center">
                                                    <div class="col-md-5">
                                                        <div class="form-group mb-0">
                                                            <label>Per Mile Start &nbsp;<i class="fa fa-info-circle font-16 text-info-box tooltip_new" title="<strong>Per Mile Start</strong> <br> Per Mile Start is the beginning measurement that a per mile fuel surcharge is calculated. This number determines the initial amount the first fuel ‘band’ is multiplied against to establish the commencement of fuel surcharge."></i></label>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-7">
                                                        <div class="input-group pre-append">
                                                            <div class="input-group-prepend">
                                                                <span class="input-group-text">$</span>
                                                            </div>
                                                            {!! Form::number('per_mile_start', null, array('class' => 'form-control number', 'id' => 'per-mile-start', 'min' => 0, 'step' => .01)) !!}
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row px-3 pb-3 pt-2 align-items-center">
                                                    <div class="col-md-5">
                                                        <div class="form-group mb-0">
                                                            <label>Per Mile Change &nbsp;<i class="fa fa-info-circle font-16 text-info-box tooltip_new" title="<strong>Per Mile Change</strong> <br> The Per Mile Change represents an incremental increase provided at each interval. The change signifies the per mile rise at each band as fuel increases."></i></label>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-7">
                                                        <div class="input-group pre-append">
                                                            <div class="input-group-prepend">
                                                                <span class="input-group-text">$</span>
                                                            </div>
                                                            {!! Form::number('per_mile_change', null, array('class' => 'form-control number', 'id' => 'per-mile-change', 'min' => 0, 'step' => .01)) !!}
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="fulPer d-none">
                                                <hr/>
                                                <p class="section-heading mb-0">Percentage Intervals</p>
                                                <hr/>
                                                <div class="row px-3 pt-3 pb-2 align-items-center">
                                                    <div class="col-md-5">
                                                        <div class="form-group mb-0">
                                                            <label>Base Percentage &nbsp;<i class="fa fa-info-circle font-16 text-info-box tooltip_new" title="<strong>Base Percentage</strong> <br> The beginning measurement that a percentage-based fuel surcharge is calculated. This number determines the initial amount the first fuel 'band' is multiplied against to establish the commencement of fuel surcharge."></i></label>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-7">
                                                        <div class="input-group pre-append">
                                                            <div class="input-group-prepend">
                                                                <span class="input-group-text">%</span>
                                                            </div>
                                                            {!! Form::number('base_percentage', null, array('class' => 'form-control number', 'id' => 'base-percentage', 'min' => 0, 'step' => .01)) !!}
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row px-3 pb-3 pt-2 align-items-center">
                                                    <div class="col-md-5 pr-0">
                                                        <div class="form-group mb-0">
                                                            <label>Percentage Change &nbsp;<i class="fa fa-info-circle font-16 text-info-box tooltip_new" title="<strong>Percentage Change</strong> <br> The Percentage Change represents an incremental increase provided at each interval. The change signifies the percentage rise at each band as fuel increases."></i></label>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-7">
                                                        <div class="input-group pre-append">
                                                            <div class="input-group-prepend">
                                                                <span class="input-group-text">%</span>
                                                            </div>
                                                            {!! Form::number('percentage_change', null, array('class' => 'form-control number', 'id' => 'percentage-change', 'min' => 0, 'step' => .01)) !!}
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card-footer d-flex justify-content-end px-2">
                                            <button type="button" class="btn btn-blueBr" id="clearPricing">Clear</button>
                                            <button type="button" class="btn btn-blue ml-2" id="calculatePricing">Calculate</button>
                                            <button type="button" class="btn btn-blue ml-2" id="savePricing">Save</button>
                                        </div>
                                    </div>

                                    <div class="card card-fileHistory mb-4">
                                        <div class="card-header">
                                            <div class="row">
                                                <div class="col-md-12 text-center">
                                                    <h6>File History</h6>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card-body py-1 px-2">
                                            <table class="mt-0 w-100">
                                                <tr>
                                                    <th>File Name</th>
                                                    <th>Start Date</th>
                                                    <th>End Date</th>
                                                    <th>Created By</th>
                                                    <th>Status</th>
                                                </tr>
                                                @forelse($fileHistory as $fileDetails)
                                                    <tr>
                                                        <td>
                                                            <a href="javascript:void(0);">
                                                                {{ $fileDetails->customer_file_name ?? '' }}
                                                            </a>
                                                        </td>
                                                        <td>{{ $fileDetails->start_date ?? '' }}</td>
                                                        <td>{{ $fileDetails->end_date ?? '' }}</td>
                                                        <td>{{ $fileDetails->created_by ?? '' }}</td>
                                                        @if($fileDetails->set_as_active == '1')
                                                            <td style="color: #2F9840;">Active</td>
                                                        @else
                                                            <td>Inactive</td>
                                                        @endif
                                                    </tr>
                                                @empty
                                                    <tr class="text-center">
                                                        <td colspan="5" class="font-weight-bold text-danger py-2">No Data Found</td>
                                                    </tr>
                                                @endforelse
                                            </table>
                                        </div>
                                    </div>

                                    <div class="card card-fuelSurcharges">
                                        <div class="card-header">
                                            <div class="row">
                                                <div class="col-md-12 text-center">
                                                    <h6>Options</h6>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card-body px-3 py-3">
                                            <div class="d-flex justify-content-between btn-bottom">
                                                <button class="btn btn-blue disabled" id="btnEmail">
                                                    Email <img src="{{ asset('theme/images/mail-send.svg') }}" class="img-fluid" width="20" height="20" alt="">
                                                </button>
                                                <button class="btn btn-blue ml-2 disabled">
                                                    PDF <img src="{{ asset('theme/images/download-pdf.svg') }}" class="img-fluid" width="18" height="18" alt="">
                                                </button>
                                                <button class="btn btn-blue ml-2 disabled" id="btnPrint">
                                                    Print <img src="{{ asset('theme/images/printer.svg') }}" class="img-fluid" width="18" height="18" alt="">
                                                </button>
                                                <button class="btn btn-blue ml-2 disabled" id="btnExport">
                                                    Export <img src="{{ asset('theme/images/export.svg') }}" class="img-fluid" width="18" height="18" alt="">
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-8">
                                    <div class="card card-fuelSurcharges">
                                        <div class="card-header">
                                            <table class="table">
                                                <tr>
                                                    <th width="25%"><h6>Fuel Price Start</h6></th>
                                                    <th width="25%"><h6>Fuel Price End</h6></th>
                                                    <th width="25%" class="fulPm"><h6>Fuel Surcharge <small>(Per Mile)</small></h6></th>
                                                    <th width="25%" class="fulPer d-none"><h6>Fuel Surcharge <small>(Percentage)</small></h6></th>
                                                </tr>
                                            </table>
                                        </div>
                                        <div class="card-body p-0">
                                            <table class="table table-bordered" id="pricingTable">
                                                <tr>
                                                    <td colspan="3">No data</td>
                                                </tr>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row px-3 py-4 map d-none">
                                <div class="col-12">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="row">
                                                <div class="col-12 text-center">
                                                    <a href="https://www.eia.gov/petroleum/gasdiesel/diesel_map.php" target="_blank">
                                                        <img src="{{asset('theme/images/fuel-surcharges-region-map.png')}}" alt="" width="100%" height="100%" style="height: 100%;width: auto;margin: 0 auto;max-height: 612px;" />
                                                    </a>
                                                </div>
                                                <div class="col-12 text-center mt-4">
                                                    <a href="javascript:void(0);" class="btn btn-blue region-map-close override" style="min-width: 100px;">Back</a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane" role="tabpanel" id="tabOffice">
                            <div class="row px-3 py-4">
                                <div class="col-md-12 text-center">
                                    <h6>Coming Soon</h6>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane" role="tabpanel" id="tabOnTimeStats">
                            <div class="row px-3 py-4">
                                <div class="col-md-12 text-center">
                                    <h6>Coming Soon</h6>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane" role="tabpanel" id="tabAccessorialsRates">
                            <div class="row px-3 py-4">
                                <div class="col-md-12 text-center">
                                    <h6>Coming Soon</h6>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane" role="tabpanel" id="tabFilesImages">
                            <div class="row px-0">
                                <div class="col-md-12">
                                    <nav class="inner-navtabs p-25 pb-0">
                                        <ul class="nav nav-pills " id="pills-tab" role="tablist">
                                            <li class="nav-item" role="presentation">
                                                <a href="#pills-files" id="pills-files-tab" data-toggle="pill"  role="tab" aria-controls="pills-files" aria-selected="true" class="active">Files</a>
                                            </li>
                                            <li class="nav-item" role="presentation">
                                                <a href="#pills-images" id="pills-images-tab" data-toggle="pill"  role="tab" aria-controls="pills-images" aria-selected="true">Images</a>
                                            </li>
                                        </ul>
                                    </nav>
                                    <div class="tab-content" id="pills-tabContent">
                                        <div class="tab-pane fade active show" id="pills-files" role="tabpanel" aria-labelledby="pills-files-tab">
                                            <div class="table-responsive">
                                                <table id="company-files-table" class="table border-0 nowrap w-100" >
                                                    <thead>
                                                        <tr>
                                                            <th>Category</th>
                                                            <th>File Name</th>
                                                            <th>Description</th>
                                                            <th>Entered By</th>
                                                            <th>Date Entered</th>
                                                        </tr>
                                                    </thead>
                                                </table>
                                            </div>
                                        </div>
                                        <div class="tab-pane fade" id="pills-images" role="tabpanel" aria-labelledby="pills-images-tab">
                                            <div class="hedding-content col-12">
                                                <div class="row border-bottom pb-2 align-items-end">
                                                    <div class="col-md-6">
                                                        <h3 class="fs-14 fw-600 text-theme-color">Company Images</h3>
                                                    </div>
                                                    <div class="col-md-6 pr-3">
                                                        <div class="row align-items-end justify-content-between">
                                                            <div class="col-auto">
                                                                <h3 class="fs-14 fw-600 text-theme-color">Load Images</h3>
                                                            </div>
                                                            <div class="col-auto">
                                                                <div class="row justify-content-end">
                                                                    <div class="col-auto px-2">
                                                                        <a href="javascript:void(0);" class="text-center text-theme-color fs-14 fw-500 addFileOrImageModal" data-file-type="image">
                                                                            <span class="plus-box">
                                                                                <img src="{{ asset('theme/images/plus-normal.svg') }}" alt="plus icon" class="img-fluid">
                                                                            </span>
                                                                            <span class="mt-1 d-block">Add</span>
                                                                        </a>
                                                                    </div>
                                                                    <div class="col-auto px-2">
                                                                        <div class="form-group">
                                                                            <select class="form-control select2" id="sortImage"></select>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-auto pl-1 pr-2">
                                                                        <div class="form-group serchbox" style="max-width: 309px;">
                                                                            <input type="search" class="form-control form-control-sm search" placeholder="Search...">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="body-content col-12">
                                                <div class="row g-0">
                                                    <div class="col-md-6 border-right">
                                                        @if($broker->broker_company_images()->count() > 0)
                                                            <div class="p-25 pt-0">
                                                                <div class="row g-2 align-items-end company-image-view">
                                                                    @foreach($broker->broker_company_images()->get() as $brokerCompanyImages)
                                                                        <div class="col-xl-2 col-sm-4 col-6">
                                                                            <div class="company-image-box text-center">
                                                                                <div class="overflow-hidden mb-1">
                                                                                    <a data-fslightbox="gallery" href="{{ asset('storage/companyAdmin/broker/company_images/'.$brokerCompanyImages->image) }}">
                                                                                        <img src="{{ asset('storage/companyAdmin/broker/company_images/'.$brokerCompanyImages->image) }}" alt="" class="img-fluid">
                                                                                    </a>
                                                                                </div>
                                                                                <a href="javascript:void(0);" class="text-theme-color mt-2 text-underline d-block" >{{ $brokerCompanyImages->file_name ?? '' }}</a>
                                                                            </div>
                                                                        </div>
                                                                    @endforeach
                                                                </div>
                                                                <div class="row g-2 align-items-end d-none company-image-filter-view"></div>
                                                            </div>
                                                        @else
                                                            <div class="p-25 pt-0 h-100">
                                                                <div class="row g-2 h-100 align-items-center justify-content-center">
                                                                    <div class="col-md-12 text-center">
                                                                        <h6>No Records Found</h6>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        @endif
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="p-25 pt-0 h-100">
                                                            <div class="row g-2 h-100 align-items-center justify-content-center">
                                                                <div class="col-md-12 text-center">
                                                                    <h6>Coming Soon</h6>
                                                                </div>
                                                            </div>
                                                            {{--
                                                            <div class="row g-2">
                                                                <div class="col-xl-2 col-sm-4 col-6">
                                                                    <div class="company-image-box text-center">
                                                                        <div class="overflow-hidden mb-1">
                                                                            <img src="{{ asset('theme/images/company-images-2.png') }}" alt="" class="img-fluid">
                                                                        </div>
                                                                        <a href="javascript:void(0);" class="text-theme-color mt-2 text-underline d-block" >Load 20423 BOL</a>
                                                                    </div>
                                                                </div>
                                                                <div class="col-xl-2 col-sm-4 col-6">
                                                                    <div class="company-image-box text-center">
                                                                        <div class="overflow-hidden mb-1">
                                                                            <img src="{{ asset('theme/images/company-images-2.png') }}" alt="" class="img-fluid">
                                                                        </div>
                                                                        <a href="javascript:void(0);" class="text-theme-color mt-2 text-underline d-block" >Load 20423 BOL</a>
                                                                    </div>
                                                                </div>
                                                                <div class="col-xl-2 col-sm-4 col-6">
                                                                    <div class="company-image-box text-center">
                                                                        <div class="overflow-hidden mb-1">
                                                                            <img src="{{ asset('theme/images/company-images-2.png') }}" alt="" class="img-fluid">
                                                                        </div>
                                                                        <a href="javascript:void(0);" class="text-theme-color mt-2 text-underline d-block" >Load 20423 BOL</a>
                                                                    </div>
                                                                </div>
                                                                <div class="col-xl-2 col-sm-4 col-6">
                                                                    <div class="company-image-box text-center">
                                                                        <div class="overflow-hidden mb-1">
                                                                            <img src="{{ asset('theme/images/company-images-2.png') }}" alt="" class="img-fluid">
                                                                        </div>
                                                                        <a href="javascript:void(0);" class="text-theme-color mt-2 text-underline d-block" >Load 20423 BOL</a>
                                                                    </div>
                                                                </div>
                                                                <div class="col-xl-2 col-sm-4 col-6">
                                                                    <div class="company-image-box text-center">
                                                                        <div class="overflow-hidden mb-1">
                                                                            <img src="{{ asset('theme/images/company-images-2.png') }}" alt="" class="img-fluid">
                                                                        </div>
                                                                        <a href="javascript:void(0);" class="text-theme-color mt-2 text-underline d-block" >Load 20423 BOL</a>
                                                                    </div>
                                                                </div>
                                                                <div class="col-xl-2 col-sm-4 col-6">
                                                                    <div class="company-image-box text-center">
                                                                        <div class="overflow-hidden mb-1">
                                                                            <img src="{{ asset('theme/images/company-images-2.png') }}" alt="" class="img-fluid">
                                                                        </div>
                                                                        <a href="javascript:void(0);" class="text-theme-color mt-2 text-underline d-block" >Load 20423 BOL</a>
                                                                    </div>
                                                                </div>
                                                                <div class="col-xl-2 col-sm-4 col-6">
                                                                    <div class="company-image-box text-center">
                                                                        <div class="overflow-hidden mb-1">
                                                                            <img src="{{ asset('theme/images/company-images-2.png') }}" alt="" class="img-fluid">
                                                                        </div>
                                                                        <a href="javascript:void(0);" class="text-theme-color mt-2 text-underline d-block" >Load 20423 BOL</a>
                                                                    </div>
                                                                </div>
                                                                <div class="col-xl-2 col-sm-4 col-6">
                                                                    <div class="company-image-box text-center">
                                                                        <div class="overflow-hidden mb-1">
                                                                            <img src="{{ asset('theme/images/company-images-2.png') }}" alt="" class="img-fluid">
                                                                        </div>
                                                                        <a href="javascript:void(0);" class="text-theme-color mt-2 text-underline d-block" >Load 20423 BOL</a>
                                                                    </div>
                                                                </div>
                                                                <div class="col-xl-2 col-sm-4 col-6">
                                                                    <div class="company-image-box text-center">
                                                                        <div class="overflow-hidden mb-1">
                                                                            <img src="{{ asset('theme/images/company-images-2.png') }}" alt="" class="img-fluid">
                                                                        </div>
                                                                        <a href="javascript:void(0);" class="text-theme-color mt-2 text-underline d-block" >Load 20423 BOL</a>
                                                                    </div>
                                                                </div>
                                                                <div class="col-xl-2 col-sm-4 col-6">
                                                                    <div class="company-image-box text-center">
                                                                        <div class="overflow-hidden mb-1">
                                                                            <img src="{{ asset('theme/images/company-images-2.png') }}" alt="" class="img-fluid">
                                                                        </div>
                                                                        <a href="javascript:void(0);" class="text-theme-color mt-2 text-underline d-block" >Load 20423 BOL</a>
                                                                    </div>
                                                                </div>
                                                                <div class="col-xl-2 col-sm-4 col-6">
                                                                    <div class="company-image-box text-center">
                                                                        <div class="overflow-hidden mb-1">
                                                                            <img src="{{ asset('theme/images/company-images-2.png') }}" alt="" class="img-fluid">
                                                                        </div>
                                                                        <a href="javascript:void(0);" class="text-theme-color mt-2 text-underline d-block" >Load 20423 BOL</a>
                                                                    </div>
                                                                </div>
                                                                <div class="col-xl-2 col-sm-4 col-6">
                                                                    <div class="company-image-box text-center">
                                                                        <div class="overflow-hidden mb-1">
                                                                            <img src="{{ asset('theme/images/company-images-2.png') }}" alt="" class="img-fluid">
                                                                        </div>
                                                                        <a href="javascript:void(0);" class="text-theme-color mt-2 text-underline d-block" >Load 20423 BOL</a>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            --}}
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('modal')
    <div class="modal fade" id="myRepModal" role="dialog" aria-labelledby="myRepModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-myRep" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="myRepModalLabel">Set My Rep</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    {!! Form::open(['autocomplete'  => 'off', 'class' => 'myRepCreateForm', 'name' => 'my-rep-create-form', 'id' => 'my-rep-create-form']) !!}
                        <input type="hidden" class="broker-id" name="broker_id" value="{{ $broker->id ?? ''}}">
                        <div class="row px-2">
                            <div class="col-sm-3 pr-0">
                                <label>Select Rep<span>*</span></label>
                            </div>
                            <div class="col-sm-9">
                                <div class="form-group">
                                    {!! Form::select('representative', ['' => 'Select Rep'] + getBrokerContactsOptions('broker', $broker->id), $broker->rep_details->id ?? null, ['class' => 'form-control select2', 'required' => 'required', 'data-parsley-errors-container' => '#representative-error']) !!}
                                    <div id="representative-error"></div>
                                </div>
                            </div>
                        </div>
                    {!! Form::close() !!}
                    <div class="orNew-block">
                        <p>OR</p>
                    </div>
                    <div class="text-center">
                        <a class="btn btn-blue create-rep" href="{{ route('company.admin.brokers.create.rep', ['broker_id' => base64Encode($broker->id)]) }}">
                            <i class="fa fa-plus-circle" aria-hidden="true"></i>
                            Create Rep
                        </a>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-outline-blue" data-dismiss="modal">Cancel</button>
                    <button type="button" class="btn btn-blue create-rep-submit" data-from="">Save</button>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="createFuelSurchargeIndexModal" role="dialog" aria-labelledby="createFuelSurchargeIndexModalLabel" aria-hidden="false">
        <div class="modal-dialog modal-createFuelSurchargeIndex" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="createFuelSurchargeIndexModalLabel">Create Fuel Surcharge Index</h5>
                </div>
                <div class="modal-body py-3">
                    {!! Form::open(['autocomplete'  => 'off', 'class' => 'create-fuel-surcharge-index', 'name' => 'create-fuel-surcharge-index-form', 'id' => 'create-fuel-surcharge-index-form']) !!}
                        <input type="hidden" id="customer" name="customer" value="{{ $broker->id ?? ''}}">
                        <div class="row px-2">
                            <div class="col-sm-12">
                                <div class="form-group">
                                    <label>Name</label>
                                    {!! Form::text('customer_file_name', null, array('class' => 'form-control', 'id' => 'customer-file-name', 'required' => 'required')) !!}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group mb-0">
                                    <label>Start Date</label>
                                    <div class="input-group">
                                        {!! Form::text('start_date', null, array('class' => 'form-control date', 'id' => 'start-date', 'required' => 'required', 'autocomplete'  => 'off', 'data-parsley-errors-container' => '#start-date-error')) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                    <div id="start-date-error"></div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group mb-0">
                                    <label>End Date</label>
                                    <div class="input-group">
                                        {!! Form::text('end_date', null, array('class' => 'form-control date', 'id' => 'end-date', 'required' => 'required', 'autocomplete'  => 'off', 'data-parsley-errors-container' => '#end-date-error')) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                    <div id="end-date-error"></div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="custom-control custom-checkbox-blue d-flex align-items-center pt-2 pl-4">
                                    {!! Form::checkbox('set_as_active', 1, null, array('class' => 'custom-control-input', 'id' => 'set-as-active')) !!}
                                    <label class="custom-control-label text-theme-color" for="set-as-active">Set as Active</label>
                                </div>
                            </div>
                        </div>
                    {!! Form::close() !!}
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-outline-blue" data-dismiss="modal">Cancel</button>
                    <button type="button" class="btn btn-blue" id="create-fuel-surcharge-index-submit">Create</button>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="addFileOrImageModal" role="dialog" aria-labelledby="addFileOrImageModalLabel" aria-hidden="false" data-backdrop="static" data-keyboard="false">
        <div class="modal-dialog modal-addFileOrImage" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="addFileOrImageModalLabel">Add Files & Images</h5>
                </div>
                <div class="modal-body py-3">
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'create-file-or-image-form', 'id' => 'create-file-or-image-form']) !!}
                        <input type="hidden" id="customer" name="customer" value="{{ $broker->id ?? ''}}">
                        <div class="row px-2">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Select Type</label>
                                    <div class="d-flex">
                                        <div class="custom-control custom-checkbox-blue d-flex align-items-center pt-2 pl-4 pr-3">
                                            {!! Form::radio('file_type', 1, true, array('class' => 'custom-control-input fileType', 'id' => 'file')) !!}
                                            <label class="custom-control-label text-theme-color" for="file">File</label>
                                        </div>
                                        <div class="custom-control custom-checkbox-blue d-flex align-items-center pt-2 pl-4">
                                            {!! Form::radio('file_type', 2, null, array('class' => 'custom-control-input fileType', 'id' => 'image')) !!}
                                            <label class="custom-control-label text-theme-color" for="image">Image</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6 pr-1">
                                <div class="form-group">
                                    <label>Date Entered</label>
                                    <div class="input-group">
                                        {!! Form::text('date_entered', \Carbon\Carbon::parse($currentDate)->format('m/d/Y') ?? null, array('class' => 'form-control date', 'placeholder' => 'MM/DD/YYYY', 'id' => 'date-entered', 'required' => 'required', 'autocomplete'  => 'off', 'data-parsley-errors-container' => '#date-entered-error')) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                    <div id="date-entered-error"></div>
                                </div>
                            </div>
                            <div class="col-md-6 pl-1">
                                <div class="form-group">
                                    <label class="name-text">File Name</label>
                                    {!! Form::text('file_name', null, array('class' => 'form-control', 'id' => 'file-name', 'placeholder' => 'Enter File Name', 'required' => 'required', 'autocomplete'  => 'off')) !!}
                                </div>
                            </div>
                            <div class="col-md-12" id="categoryDiv">
                                <div class="form-group">
                                    <label>Category</label>
                                    {!! Form::select('category', ['' => 'Select Category'] + customerFileTypes(), null, ['class' => 'form-control select2', 'id' => 'category', 'autocomplete'  => 'off', 'data-parsley-errors-container' => '#category-error']) !!}
                                    <div id="category-error"></div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group mb-0">
                                    <div class="file-drop-area">
                                        <span class="file-message"><i class="fa fa-cloud-upload font-16" aria-hidden="true"></i> Upload Your Files Here or</span>
                                        <button type="button" class="btn btn-blue choose-file-button ml-1">Browse</button>
                                        <input class="file-input" type="file" name="file_or_image_upload" multiple>
                                    </div>
                                </div>
                            </div>
                        </div>
                    {!! Form::close() !!}
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-outline-blue" data-dismiss="modal" id="cancel-file-or-image">Cancel</button>
                    <button type="button" class="btn btn-blue" id="create-file-or-image-submit">Add</button>
                </div>
            </div>
        </div>
    </div>

    {{-- Loads - START--}}
    <div class="modal fade columReorderModal" id="exampleModal1" tabindex="-1" role="dialog" aria-labelledby="exampleModal1Label" aria-hidden="true">
        <div class="modal-dialog modal-dishpatch" role="document">
            {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
            <input type="hidden" name="table_id" value="customer_loads">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModal1Label">Adjust Table Columns</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <ul class="sortableList connected-sortable droppable-area1" id="sortable1">
                        @foreach($getField as $key => $filed)
                            @if(isset(config('settings.table_customer_loads')[$key]['name']) && config('settings.table_customer_loads')[$key]['name'] != '')
                                <li class="ui-state-default">
                                    <div class="d-flex justify-content-between">
                                        <div class="form-check">
                                            <input type='hidden' value='0' name='field[{{ $key }}]'>
                                            <input class="form-check-input" type="checkbox" id="Check01{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                            <label class="form-check-label" for="Check01{{ $key }}">{{ config('settings.table_customer_loads')[$key]['name'] }}</label>
                                        </div>
                                        <i class="fa fa-align-justify drag-icon pt-1"></i>
                                    </div>
                                    {{--
                                    <div class="custom-control custom-checkbox">
                                        <input type='hidden' value='0' name='field[{{ $key }}]'>
                                        <input type="checkbox" class="custom-control-input" id="Check01{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                        <label class="custom-control-label" for="Check01{{ $key }}">{{ config('settings.table_customer_loads')[$key]['name'] }}</label>
                                    </div>
                                    <i class="fa fa-align-justify drag-icon"></i>
                                    --}}
                                </li>
                            @endif
                        @endforeach
                    </ul>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                    <button type="submit" class="btn btn-blue">Save</button>
                </div>
            </div>
            {!! Form::close() !!}
        </div>
    </div>
    {{-- Loads - START--}}

    {{-- Billing Loads - END --}}
    <div class="modal fade columReorderModal" id="exampleModal2" tabindex="-1" role="dialog" aria-labelledby="exampleModal2Label" aria-hidden="true">
        <div class="modal-dialog modal-dishpatch" role="document">
            {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
            <input type="hidden" name="table_id" value="customer_billing_loads">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModal2Label">Adjust Table Columns</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <ul class="sortableList connected-sortable droppable-area1" id="sortable2">
                        @foreach($getField2 as $key => $filed)
                            @if(isset(config('settings.table_billing_loads')[$key]['name']) && config('settings.table_billing_loads')[$key]['name'] != '')
                                <li class="ui-state-default">
                                    <div class="d-flex justify-content-between">
                                        <div class="form-check">
                                            <input type='hidden' value='0' name='field[{{ $key }}]'>
                                            <input class="form-check-input" type="checkbox" id="Check02{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                            <label class="form-check-label" for="Check02{{ $key }}">{{ config('settings.table_billing_loads')[$key]['name'] }}</label>
                                        </div>
                                        <i class="fa fa-align-justify drag-icon pt-1"></i>
                                    </div>
                                    {{--
                                    <div class="custom-control custom-checkbox">
                                        <input type='hidden' value='0' name='field[{{ $key }}]'>
                                        <input type="checkbox" class="custom-control-input" id="Check01{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                        <label class="custom-control-label" for="Check01{{ $key }}">{{ config('settings.table_billing_loads')[$key]['name'] }}</label>
                                    </div>
                                    <i class="fa fa-align-justify drag-icon"></i>
                                    --}}
                                </li>
                            @endif
                        @endforeach
                    </ul>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                    <button type="submit" class="btn btn-blue">Save</button>
                </div>
            </div>
            {!! Form::close() !!}
        </div>
    </div>

    @include('companyAdmin.billing.common-modal')
    {{-- Billing Loads - END --}}
@endsection

@section('script')
    <script type="text/javascript">
        $(function () {
            $('.select2Status').select2({
                width : '100%',
                placeholder: 'Select Status',
                minimumResultsForSearch: -1,
                templateResult: function(el){
                    if (!el.id) { return el.text; }
                    var $el = $('<span style="color:' + $(el.element).data('color') + '">' + el.text + ' <i class="fa fa-circle" aria-hidden="true"></i></span>');
                    return $el;
                },
                templateSelection: function(el){
                    if (!el.id) { return el.text; }
                    var $el = $('<span style="color:' + $(el.element).data('color') + '">' + el.text + ' <i class="fa fa-circle" aria-hidden="true"></i></span>');
                    return $el;
                }
            });

            $('.date').datetimepicker({format: dateLayout, useCurrent: false});

            $(document).on('change', '#status', function () {
                let status      = $(this).val();
                if(status != ""){
                    $.ajax({
                        url: "{!! route('company.admin.brokers.update.status') !!}",
                        method: "POST",
                        data: {
                            broker_id: '{!! $broker->id !!}',
                            status: status,
                        },
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        dataType: 'json',
                        success: function(response) {
                            if(response.success){
                                toastr.success(response.message, 'Success Alert', { timeOut: 5000 });

                                setTimeout(function(){ window.location.reload() }, 2000);
                            }else{
                                toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        error: function () {
                            toastr.error('Oops! Something went wrong..', 'Error Alert', { timeOut: 5000 });
                        }
                    });
                }
            });

            $(document).on('click', '.gallary-edit ', function () {
                $("#galleryModal #ffdupdlsoe").addClass('d-none');
                setTimeout(function(){
                    $("#galleryModal #viewCurrentImage .cufilenameedit").addClass('d-none');
                    $("#galleryModal .previUploads table tr th:nth-child(5)").addClass('d-none');
                    $("#galleryModal .previUploads table tr td:nth-child(5)").addClass('d-none');
                    $("#galleryModal .previUploads #getgalleryfile .clobtn").addClass('d-none');
                },500);
            });

            /*************** Create & Change Rep - START ***************/
            $(document).on('click', '.btn-select-or-create-profile', function () {
                $('#myRepModal .select2').each(function() {
                    var $this = $(this);
                    var placeholderText = $this.find('option:first').text();
                    $this.select2({
                        allowClear: true,
                        width : '100%',
                        placeholder: placeholderText
                    });
                    $this.find('option:first').hide();
                });
                $('#myRepModal').modal('show');
            });

            $(document).on('click', '#btn-profile-show', function() {
                $('.equipment-logistics-content').addClass('show-profile');
                $('.customer-list-show').addClass('d-none');
                $('.my-rep-show').addClass('d-none')
            });

            $(document).on('click', '#btn-profile-hide', function() {
                $('.equipment-logistics-content').removeClass('show-profile');
                $('.customer-list-show').removeClass('d-none');
                $('.my-rep-show').removeClass('d-none');
            });

            $(document).on('click', '.create-rep-submit', function(e){
                e.preventDefault();

                let form        = $('#my-rep-create-form');
                let parsley     = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });
                parsley.validate();
                if (parsley.isValid()){
                    $.ajax({
                        url: "{!! route('company.admin.brokers.update.representative') !!}",
                        method: "POST",
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        data: form.serialize(),
                        success: function(response) {
                            if(response.success){
                                window.location.reload();
                            }else{
                                toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        error: function(jqXHR, status, exception) {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });

            $(document).on('click', '#contact-info-tab .rating-stars .stars a', function() {
                $('#contact-info-tab .rating-stars .stars span, #contact-info-tab .rating-stars .stars a').removeClass('active');

                $(this).addClass('active');
                $('#contact-info-tab .rating-stars .stars span').addClass('active');
                $('#contact-info-tab #representative-rating').val($(this).text());

                let representativeId = $('#contact-info-tab #representative-id').val();

                $.ajax({
                    url: "{!! route('company.admin.broker.representative.rating') !!}",
                    method: "POST",
                    data: {
                        representativeId: representativeId,
                        rating: $(this).text(),
                    },
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    dataType: 'json',
                    success: function(response) {
                        if(response.success){
                            toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                        }else{
                            toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                        }
                    },
                    error: function () {
                        toastr.error('Oops! Something went wrong..', 'Error Alert', { timeOut: 5000 });
                    }
                });
            });
            /*************** Create & Change Rep - END ***************/

            /*************** Fuel Surcharge - START ***************/
            $(document).on('click', '.view-gallary', function () {
                $(this).parent().find('i').click()
            });
            /*************** Fuel Surcharge - END ***************/

            /*************** Fuel Surcharge - START ***************/
            window.currentWeekMonday        = moment().day(1);
            window.lastWeekMonday           = moment().subtract(1, 'weeks').day(1);

            $('#request-date').datetimepicker({ format: 'MM/DD/YYYY', defaultDate: currentWeekMonday, maxDate: currentWeekMonday });
            $("#last-release-date").val(moment(currentWeekMonday).format('MM/DD/YYYY'));
            $("#fuel-type-last-release").text(moment(currentWeekMonday).format('MM/DD/YYYY'));

            $(document).on("change", "#fuel-type", function (){
                if($(this).val() == "EPMR"){
                    $("#region").html('{!! $regionEPMRHtml !!}');
                }else if($(this).val() == "EPD2D"){
                    $("#region").html('{!! $regionEPD2DHtml !!}');
                }else{
                    $("#region").html('<option value="">Select Region</option>');
                }
            });

            $(document).on("change", "#rate-type", function (){
                if($(this).val() == "1"){
                    $(".fulPm").addClass('d-none');
                    $(".fulPer").removeClass('d-none');
                    $("#per-mile-start").val("");
                    $("#per-mile-change").val("");
                }else{
                    $(".fulPm").removeClass('d-none');
                    $(".fulPer").addClass('d-none');
                    $("#base-percentage").val("");
                    $("#percentage-change").val("");
                }

                let pricingTableHtml        = '';

                pricingTableHtml            += '<tr>';
                pricingTableHtml            += '<td colspan="4">No data</td>';
                pricingTableHtml            += '</tr>';
                $("#pricingTable").html(pricingTableHtml);
            });

            $(document).on("click", "#clearPricing", function (){
                $("#request-date").val(moment(currentWeekMonday).format('MM/DD/YYYY'));
                $("#fuel-type").val("").trigger('change');
                $("#rate-type").val("0").trigger('change');
                $("#start-price,#ending-price,#price-change,#base-percentage,#percentage-change,#per-mile-start,#per-mile-change").val("");

                let pricingTableHtml        = '';
                pricingTableHtml            += '<tr>';
                pricingTableHtml            += '<td colspan="4">No data</td>';
                pricingTableHtml            += '</tr>';
                $("#pricingTable").html(pricingTableHtml);
            });

            $(document).on("click", "#calculatePricing", function (){
                let rateType                = $("#rate-type").val();

                let startPrice              = parseFloat($("#start-price").val()).toFixed(2);
                let endingPrice             = parseFloat($("#ending-price").val()).toFixed(2);
                let priceChange             = parseFloat($("#price-change").val()).toFixed(2);

                let pricingTableHtml        = '';

                if(rateType == "1"){
                    let basePercentage      = parseFloat($("#base-percentage").val()).toFixed(2);
                    let percentageChange    = parseFloat($("#percentage-change").val()).toFixed(2);

                    if(isNaN(startPrice) || isNaN(endingPrice) || isNaN(priceChange)  || isNaN(basePercentage) || isNaN(percentageChange)){
                        let msg             = '';
                        if(isNaN(startPrice)){
                            msg             = "Please enter <b>Start Price (PPG)</b>.";
                        }else if(isNaN(endingPrice)){
                            msg             = "Please enter <b>Max Price (PPG)</b>.";
                        }else if(isNaN(priceChange)){
                            msg             = "Please enter <b>Price Change</b>.";
                        }else if(isNaN(basePercentage)){
                            msg             = "Please enter <b>Base Percentage</b>.";
                        }else if(isNaN(percentageChange)){
                            msg             = "Please enter <b>Percentage Change</b>.";
                        }

                        if(msg != ""){
                            Swal.fire({
                                title: "Error!",
                                html: msg,
                                icon: "warning",
                                confirmButtonText: "&nbsp;&nbsp;&nbsp;OK&nbsp;&nbsp;&nbsp;&nbsp;",
                            });
                        }
                    }

                    if(!isNaN(startPrice) && !isNaN(endingPrice) && !isNaN(priceChange)){
                        if(!isNaN(basePercentage) && !isNaN(percentageChange)){
                            for (let i = parseFloat(startPrice), l = parseFloat(endingPrice); i < l; i+= parseFloat(priceChange)){
                                if(i == startPrice){
                                    pricingTableHtml    += '<tr>';
                                    pricingTableHtml    += '<td width="25%">_______</td>';
                                    pricingTableHtml    += '<td width="25%">$ '+ (parseFloat(i) - 0.01).toFixed(2) +'</td>';
                                    pricingTableHtml    += '<td width="25%" class="fulPer">No Surcharge</td>';
                                    pricingTableHtml    += '</tr>';

                                    pricingTableHtml    += '<tr>';
                                    pricingTableHtml    += '<td>$ '+ parseFloat(i).toFixed(2) +'</td>';
                                    pricingTableHtml    += '<td>$ '+ (parseFloat(i) + (parseFloat(priceChange) - 0.01)).toFixed(2) +'</td>';
                                    pricingTableHtml    += '<td class="fulPer">'+ parseFloat(basePercentage).toFixed(2) +'%</td>';
                                    pricingTableHtml    += '</tr>';
                                }else{
                                    basePercentage      = parseFloat(basePercentage) + parseFloat(percentageChange);

                                    pricingTableHtml    += '<tr>';
                                    pricingTableHtml    += '<td>$ '+ parseFloat(i).toFixed(2) +'</td>';
                                    pricingTableHtml    += '<td>$ '+ (parseFloat(i) + (parseFloat(priceChange) - 0.01)).toFixed(2) +'</td>';
                                    pricingTableHtml    += '<td class="fulPer">'+ parseFloat(basePercentage).toFixed(2) +'%</td>';
                                    pricingTableHtml    += '</tr>';
                                }
                            }
                        }
                    }
                }else{
                    let perMileStart        = parseFloat($("#per-mile-start").val()).toFixed(2);
                    let perMileChange       = parseFloat($("#per-mile-change").val()).toFixed(2);

                    if(isNaN(startPrice) || isNaN(endingPrice) || isNaN(priceChange) || isNaN(perMileStart) || isNaN(perMileChange)){
                        let msg             = '';
                        if(isNaN(startPrice)){
                            msg             = "Please enter <b>Start Price (PPG)</b>.";
                        }else if(isNaN(endingPrice)){
                            msg             = "Please enter <b>Max Price (PPG)</b>.";
                        }else if(isNaN(priceChange)){
                            msg             = "Please enter <b>Price Change</b>.";
                        }else if(isNaN(perMileStart)){
                            msg             = "Please enter <b>Per Mile Start</b>.";
                        }else if(isNaN(perMileChange)){
                            msg             = "Please enter <b>Per Mile Change</b>.";
                        }

                        if(msg != ""){
                            Swal.fire({
                                title: "Error!",
                                html: msg,
                                icon: "warning",
                                confirmButtonText: "&nbsp;&nbsp;&nbsp;OK&nbsp;&nbsp;&nbsp;&nbsp;",
                            });
                        }
                    }

                    if(!isNaN(startPrice) && !isNaN(endingPrice) && !isNaN(priceChange)){
                        if(!isNaN(perMileStart) && !isNaN(perMileChange)){
                            for (let i = parseFloat(startPrice), l = parseFloat(endingPrice); i < l; i+= parseFloat(priceChange)){
                                if(i == startPrice){
                                    pricingTableHtml    += '<tr>';
                                    pricingTableHtml    += '<td width="25%">_______</td>';
                                    pricingTableHtml    += '<td width="25%">$ '+ (parseFloat(i) - 0.01).toFixed(2) +'</td>';
                                    pricingTableHtml    += '<td width="25%" class="fulPm">No Surcharge</td>';
                                    pricingTableHtml    += '</tr>';

                                    pricingTableHtml    += '<tr>';
                                    pricingTableHtml    += '<td>$ '+ parseFloat(i).toFixed(2) +'</td>';
                                    pricingTableHtml    += '<td>$ '+ (parseFloat(i) + (parseFloat(priceChange) - 0.01)).toFixed(2) +'</td>';
                                    pricingTableHtml    += '<td class="fulPm">$ '+ parseFloat(perMileStart).toFixed(2) +'</td>';
                                    pricingTableHtml    += '</tr>';
                                }else{
                                    perMileStart        = parseFloat(perMileStart) + parseFloat(perMileChange);

                                    pricingTableHtml    += '<tr>';
                                    pricingTableHtml    += '<td>$ '+ parseFloat(i).toFixed(2) +'</td>';
                                    pricingTableHtml    += '<td>$ '+ (parseFloat(i) + (parseFloat(priceChange) - 0.01)).toFixed(2) +'</td>';
                                    pricingTableHtml    += '<td class="fulPm">$ '+ parseFloat(perMileStart).toFixed(2) +'</td>';
                                    pricingTableHtml    += '</tr>';
                                }
                            }
                        }
                    }
                }

                if(pricingTableHtml == ''){
                    pricingTableHtml        += '<tr>';
                    pricingTableHtml        += '<td colspan="4">No data</td>';
                    pricingTableHtml        += '</tr>';

                    $("#pricingTable").html(pricingTableHtml);
                }else{
                    $("#pricingTable").html(pricingTableHtml);
                }
            });

            $(document).on('click', '.region-map-url, .region-map-close', function () {
                if($('.map').hasClass('d-none')){
                    $('.map').removeClass('d-none');
                    $('.calculator').addClass('d-none');
                }else{
                    $('.map').addClass('d-none');
                    $('.calculator').removeClass('d-none');
                }
            });

            $('.tooltip_new').tooltip({
                content: function () {
                    return $(this).prop('title');
                },
                position: {
                    my: "left+15 top",
                    at: "right center"
                }
            });

            $(document).on("click", "#savePricing", function (){
                let fuelType                = $("#fuel-type").val();
                let region                  = $("#region").val();
                let rateType                = $("#rate-type").val();
                let startPrice              = parseFloat($("#start-price").val()).toFixed(2);
                let endingPrice             = parseFloat($("#ending-price").val()).toFixed(2);
                let priceChange             = parseFloat($("#price-change").val()).toFixed(2);
                let perMileStart            = parseFloat($("#per-mile-start").val()).toFixed(2);
                let perMileChange           = parseFloat($("#per-mile-change").val()).toFixed(2);
                let basePercentage          = parseFloat($("#base-percentage").val()).toFixed(2);
                let percentageChange        = parseFloat($("#percentage-change").val()).toFixed(2);

                if(fuelType == "" || region == "" || rateType == "" || isNaN(startPrice) || isNaN(endingPrice) || isNaN(priceChange)  || isNaN(basePercentage) || isNaN(percentageChange) || isNaN(perMileStart) || isNaN(perMileChange)){
                    let msg                 = '';
                    if(fuelType == "" ){
                        msg                 = "Please select <b>Fuel Type</b>.";
                    }else if(region == ""){
                        msg                 = "Please select <b>Region</b>.";
                    }else if(rateType == ""){
                        msg                 = "Please select <b>Rate Type</b>.";
                    }else if(isNaN(startPrice)){
                        msg                 = "Please enter <b>Start Price (PPG)</b>.";
                    }else if(isNaN(endingPrice)){
                        msg                 = "Please enter <b>Max Price (PPG)</b>.";
                    }else if(isNaN(priceChange)){
                        msg                 = "Please enter <b>Price Change</b>.";
                    }else if(rateType == '0' && isNaN(perMileStart)){
                        msg                 = "Please enter <b>Per Mile Start</b>.";
                    }else if(rateType == '0' && isNaN(perMileChange)){
                        msg                 = "Please enter <b>Per Mile Change</b>.";
                    }else if(rateType == '1' && isNaN(basePercentage)){
                        msg                 = "Please enter <b>Base Percentage</b>.";
                    }else if(rateType == '1' && isNaN(percentageChange)){
                        msg                 = "Please enter <b>Percentage Change</b>.";
                    }

                    if(msg != ""){
                        Swal.fire({
                            title: "Error!",
                            html: msg,
                            icon: "warning",
                            confirmButtonText: "&nbsp;&nbsp;&nbsp;OK&nbsp;&nbsp;&nbsp;&nbsp;",
                        });
                    }
                }

                if(fuelType != "" && region != "" && rateType != "" && !isNaN(startPrice) && !isNaN(endingPrice) && !isNaN(priceChange) && ((!isNaN(perMileStart) && !isNaN(perMileChange)) || (!isNaN(basePercentage) && !isNaN(percentageChange)))){
                    $('#createFuelSurchargeIndexModal').modal('show');
                }
            });

            $(document).on("click", "#create-fuel-surcharge-index-submit", function (e){
                e.preventDefault();

                let form                    = $('#create-fuel-surcharge-index-form');
                let parsley                 = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });
                parsley.validate();
                if (parsley.isValid()){
                    let fuelType            = $("#fuel-type").val();
                    let region              = $("#region").val();
                    let rateType            = $("#rate-type").val();
                    let startPrice          = parseFloat($("#start-price").val()).toFixed(2);
                    let endingPrice         = parseFloat($("#ending-price").val()).toFixed(2);
                    let priceChange         = parseFloat($("#price-change").val()).toFixed(2);
                    let perMileStart        = parseFloat($("#per-mile-start").val()).toFixed(2);
                    let perMileChange       = parseFloat($("#per-mile-change").val()).toFixed(2);
                    let basePercentage      = parseFloat($("#base-percentage").val()).toFixed(2);
                    let percentageChange    = parseFloat($("#percentage-change").val()).toFixed(2);
                    let customer            = $("#createFuelSurchargeIndexModal #customer").val();
                    let customerFileName    = $("#createFuelSurchargeIndexModal #customer-file-name").val();
                    let startDate           = $("#createFuelSurchargeIndexModal #start-date").val();
                    let endDate             = $("#createFuelSurchargeIndexModal #end-date").val();
                    let setAsActive         = ($("#createFuelSurchargeIndexModal #set-as-active").is(':checked')) ? '1' : '0';

                    if(fuelType != "" && region != "" && rateType != "" && !isNaN(startPrice) && !isNaN(endingPrice) && !isNaN(priceChange) && ((!isNaN(perMileStart) && !isNaN(perMileChange)) || (!isNaN(basePercentage) && !isNaN(percentageChange))) && customer != "" && customerFileName != "" && startDate != "" && endDate != "" && setAsActive != ""){

                        $('#createFuelSurchargeIndexModal').modal('hide');

                        $.ajax({
                            url: "{!! route('company.admin.fuel-surcharges.save') !!}",
                            method: "POST",
                            data: {
                                fuelType: fuelType,
                                region: region,
                                rateType: rateType,
                                startPrice: startPrice,
                                endingPrice: endingPrice,
                                priceChange: priceChange,
                                perMileStart: (!isNaN(perMileStart)) ? perMileStart : null,
                                perMileChange: (!isNaN(perMileChange)) ? perMileChange : null,
                                basePercentage: (!isNaN(basePercentage)) ? basePercentage : null,
                                percentageChange: (!isNaN(percentageChange)) ? percentageChange : null,
                                customer: customer,
                                customerFileName: customerFileName,
                                startDate: startDate,
                                endDate: endDate,
                                setAsActive: setAsActive,
                            },
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            dataType: 'json',
                            success: function(response) {
                                if(response.success){
                                    toastr.success(
                                        response.message,
                                        'Success Alert', {
                                            timeOut: 1000,
                                            onHidden: function () {
                                                location.reload();
                                            }
                                        }
                                    );
                                }else{
                                    toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                                }
                            },
                            error: function () {
                                toastr.error('Oops! Something went wrong..', 'Error Alert', { timeOut: 5000 });
                            }
                        });
                    }
                }
            });
            /*************** Fuel Surcharge - END ***************/

            /*************** Files & Images - START ***************/
            $('#company-files-table').DataTable({
                responsive: true,
                dom:"<'row border-bottom pb-2 align-items-end'<'col-md-6'<'header'i>><'col-md-6 pr-3'<'row justify-content-end' <'col-auto px-2 addFileOrImageDiv'><'col-auto px-2 sortDiv'><'col-auto pl-1 pr-2'f>>>><'row mb-2'<'col-sm-12'tr>><'row mb-0'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
                oLanguage: {
                    "sInfo": "Company Files"
                },
                language: {
                    search: "",
                    searchPlaceholder: "Search...",
                },
                processing: true,
                serverSide: true,
                paging: false,
                order: [],
                {{--pageLength: "{{ perPageView() }}",--}}
                ajax: {
                    url: '{{ route('company.admin.broker.customer.files') }}',
                    data: function (d) {
                        d.broker_id = '{{ $broker->id }}';
                    },
                },
                columns: [
                    { data: 'section', name: 'section' },
                    { data: 'name', name: 'name' },
                    { data: 'description', name: 'description' },
                    { data: 'submitted_by', name: 'submitted_by' },
                    { data: 'submission_date', name: 'submission_date' }
                ]
            });

            $('.addFileOrImageDiv').append('<a href="javascript:void(0);" class="text-center text-theme-color fs-14 fw-500 addFileOrImageModal" data-file-type="file"><span class="plus-box"><img src="{{ asset('theme/images/plus-normal.svg') }}" alt="plus icon" class="img-fluid"></span><span class="mt-1 d-block">Add</span></a>');
            $('.sortDiv').append('<div class="form-group"><select class="form-control w-100 select2" id="sortFile"></select></div>');

            $("#sortFile").select2({ placeholder : "Sort", width: '120px' });
            $("#sortImage").select2({ placeholder : "Sort", width: '120px' });

            $(document).on('click', '.addFileOrImageModal', function() {
                if($(this).attr('data-file-type') == 'image'){
                    $('#addFileOrImageModal #image').trigger('click');
                }else{
                    $('#addFileOrImageModal #file').trigger('click');
                }

                $('#addFileOrImageModal').modal('show');
            });

            $(document).on('change', '#addFileOrImageModal .fileType', function() {
                if($(this).val() == '2'){
                    $('#addFileOrImageModal .name-text').text('Image Name');
                    $('#addFileOrImageModal #file-name').attr('placeholder', 'Enter Image Name');
                    $('#addFileOrImageModal #categoryDiv').addClass('d-none');
                    $('#addFileOrImageModal #category').val('').trigger('change');
                }else{
                    $('#addFileOrImageModal .name-text').text('File Name');
                    $('#addFileOrImageModal #file-name').attr('placeholder', 'Enter File Name');
                    $('#addFileOrImageModal #categoryDiv').removeClass('d-none');
                }
            });

            $(document).on('change', '#addFileOrImageModal .file-input', function() {
                var filesCount = $(this)[0].files.length;
                var textbox = $(this).parent().find('.file-message');
                if (filesCount === 1) {
                    var fileName = $(this).val().split('\\').pop();
                    textbox.text(fileName);
                } else {
                    if(filesCount === 0){
                        textbox.html('<i class="fa fa-cloud-upload font-16" aria-hidden="true"></i> Upload Your Files Here or');
                    }else{
                        textbox.text(filesCount + ' files selected');
                    }
                }
            });

            function resetAddFileOrImageForm(){
                $('#addFileOrImageModal #file').trigger('click');
                $('#addFileOrImageModal #date-entered').val(moment().format('MM/DD/YYYY'));
                $('#addFileOrImageModal #file-name').val('');
                $('#addFileOrImageModal #category').val('').trigger('change');
                $("#addFileOrImageModal .file-input").val('').trigger('change');
            }

            $(document).on('click', '#addFileOrImageModal #cancel-file-or-image', function() {
                resetAddFileOrImageForm();
            });

            $(document).on("click", "#create-file-or-image-submit", function (e){
                e.preventDefault();

                let form                    = $('#create-file-or-image-form');
                let parsley                 = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });

                if($('#create-file-or-image-form input[name=file_type]:checked').val() == '2'){
                    $('#create-file-or-image-form #category').attr('data-parsley-required', false);
                }else{
                    $('#create-file-or-image-form #category').attr('data-parsley-required', true);
                }

                parsley.validate();
                if (parsley.isValid()){
                    var filesCount          = $('#addFileOrImageModal .file-input')[0].files.length;
                    if(filesCount === 0){
                        toastr.error('Please upload file or image.', 'Error Alert', { timeOut: 5000 });
                    }else{
                        form                = form.serializeArray();
                        let formData        = new FormData();
                        $.each(form, function (key, input) {
                            formData.append(input.name, input.value);
                        });
                        $.each($('#addFileOrImageModal .file-input')[0].files, function (key, file) {
                            formData.append('uploaded_files[]', file);
                        });

                        $.ajax({
                            url: "{!! route('company.admin.broker.save.files.images') !!}",
                            method: "POST",
                            data: formData,
                            dataType: 'json',
                            cache : false,
                            processData: false,
                            contentType: false,
                            success: function(response) {
                                if(response.success){
                                    $('#addFileOrImageModal').modal('hide');

                                    toastr.success(response.message,
                                        'Success Alert', {
                                            timeOut: 500,
                                            onHidden: function () {
                                                location.reload();
                                            }
                                        }
                                    );
                                }else{
                                    toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                                }
                            },
                            error: function () {
                                toastr.error('Oops! Something went wrong..', 'Error Alert', { timeOut: 5000 });
                            }
                        });
                    }
                }
            });

            $(document).on("keyup past", "#pills-images .search", function (e){
                e.preventDefault();

                if ($(this).val() != ''){
                    $('.company-image-view').addClass('d-none');
                    $('.company-image-filter-view').removeClass('d-none');

                    $.ajax({
                        url: "{!! route('company.admin.broker.search.images') !!}",
                        method: "POST",
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        data: {
                            broker_id: '{{ $broker->id }}',
                            search: $(this).val(),
                        },
                        beforeSend: function() {
                            $('.company-image-filter-view').html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
                        },
                        success: function(response) {
                            if(response.success){
                                if(response.imageView != ''){
                                    $('.company-image-filter-view').html(response.imageView);
                                }else{
                                    $('.company-image-filter-view').html('<div class="col-md-12 text-center"><h6>No Records Found</h6></div>');
                                }
                            }
                        },
                        error: function () {
                            toastr.error('Oops! Something went wrong..', 'Error Alert', { timeOut: 5000 });
                        }
                    });
                }else{
                    $('.company-image-view').removeClass('d-none');
                    $('.company-image-filter-view').addClass('d-none');
                }
            });
            /*************** Files & Images - END ***************/
        });
    </script>

    {{-- Loads - START--}}
    <script src="{{ asset('theme/js/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('theme/js/daterangepicker.min.js') }}"></script>
    <script type="text/javascript">
        var start                           = moment().subtract(29, 'days');
        var end                             = moment();
        var broker_id                       = '{{ $broker->id }}';

        var table1                          = $('#customer-load-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-2 col-md-2'f><''l>><'row px-0'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            bJQueryUI: true,
            ordering: false,
            pageLength: "{{ perPageView() }}",
            lengthMenu: [[10, 20, 50, 100, -1], [10, 20, 50, 100, "All"]],
            ajax: {
                url: "{{ url('company-admin/broker/'.base64Encode($broker->id).'/loads') }}",
                type:'POST',
                dataType: "json",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: function (d) {
                    d.start_date                                        = ($('#reportRange span').attr('data-from-date') != "") ? $('#reportRange span').attr('data-from-date') : start.format('YYYY-MM-D');
                    d.end_date                                          = ($('#reportRange span').attr('data-to-date') != "") ? $('#reportRange span').attr('data-to-date') : end.format('YYYY-MM-D');
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_{{ $key }}                = $('#search_string_{{ $key }}_table1').val();
                        d.search_string_name_{{ $key }}                 = $('#stringKey{{ $key }}_table1').val();
                        d.search_string_type_{{ $key }}                 = $('#stringType{{ $key }}_table1').val();
                        d.search_table_name_{{ $key }}                  = $('#stringTableType{{ $key }}_table1').val();
                        d.search_string_condition_{{ $key }}            = $("input[type='radio'][name='condition{{ $key }}']:checked").val();
                        d.search_string_sort_{{ $key }}                 = $("input[type='radio'][name='string_sort_{{ $key }}']:checked").val();

                        d.search_string_relation_table_{{ $key }}       = $('#stringRelationTable{{ $key }}_table1').val();
                        d.search_string_col_name1_{{ $key }}            = $('#stringColName1{{ $key }}_table1').val();
                        d.search_string_col_name2_{{ $key }}            = $('#stringColName2{{ $key }}_table1').val();
                        d.search_string_static_{{ $key }}               = $('#stringStatic{{ $key }}_table1').val();

                        d.search_string_having_{{ $key }}               = $('#stringHaving{{ $key }}_table1').val();

                        d.search_string_col_alias1_name_{{ $key }}      = $('#stringColAl1{{ $key }}_table1').val();
                        d.search_string_col_alias2_name_{{ $key }}      = $('#stringColAl2{{ $key }}_table1').val();
                        d.search_string_col_alias3_name_{{ $key }}      = $('#stringColAl3{{ $key }}_table1').val();
                        d.search_string_col_alias4_name_{{ $key }}      = $('#stringColAl4{{ $key }}_table1').val();
                        d.search_string_col_alias5_name_{{ $key }}      = $('#stringColAl5{{ $key }}_table1').val();
                        d.search_string_col_alias6_name_{{ $key }}      = $('#stringColAl6{{ $key }}_table1').val();

                        d.search_date_from_value_{{ $key }}             = $('#search_date_{{ $key }}_table1').val();
                        d.search_date_to_value_{{ $key }}               = $('#search_date_end_{{ $key }}_table1').val();
                        d.search_date_name_{{ $key }}                   = $('#dateKey{{ $key }}_table1').val();
                        d.search_date_type_{{ $key }}                   = $('#dateType{{ $key }}_table1').val();
                        d.search_date_table_name_{{ $key }}             = $('#dateTableType{{ $key }}_table1').val();
                        d.search_date_condition_{{ $key }}              = $("input[type='radio'][name='conditiondate{{ $key }}']:checked").val();
                        d.search_date_sort_{{ $key }}                   = $("input[type='radio'][name='date_sort_{{ $key }}']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_{{ $key }}_{{ $ke }}  = $("#conditionstatus_{{ $key }}_{{ $ke }}_table1:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_{{ $key }}            = $('#is_status_condition_applied{{ $key }}_table1').val();
                        d.search_status_name_{{ $key }}                 = $('#statusOrgColName{{ $key }}_table1').val();
                        d.search_status_table_name_{{ $key }}           = $('#statusTableType{{ $key }}_table1').val();
                        d.search_status_sort_{{ $key }}                 = $("input[type='radio'][name='status_sort_{{ $key }}']:checked").val();
                        d.search_status_sort_column_{{ $key }}          = $("#statusOrderColName{{ $key }}_table1").val();
                    <?php endforeach; ?>
                }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_customer_loads')[$key]['name'])): ?>
                            <?php if(config('settings.table_customer_loads')[$key]['orderable'] == 1 && config('settings.table_customer_loads')[$key]['searchable'] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true, className: '{{ config("settings.table_customer_loads")[$key]['class'] }}' },
                            <?php elseif(config('settings.table_customer_loads')[$key]['orderable'] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false, className: '{{ config("settings.table_customer_loads")[$key]['class'] }}' },
                            <?php elseif(config('settings.table_customer_loads')[$key]['searchable'] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true, className: '{{ config("settings.table_customer_loads")[$key]['class'] }}' },
                            <?php else: ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false, className: '{{ config("settings.table_customer_loads")[$key]['class'] }}' },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });

        $('<a href="javascript:void(0);" class="btn btn-blueBr refreshAll ml-3 d-inline-flex align-content-center" data-tablevariable="table1"><i class="fa fa-refresh mt-2"></i>&nbsp;&nbsp;<span class="mt-1">Refresh</span></a>').prependTo("#tabLoads .dataTables_filter");
        $('<a href="javascript:void(0)" id="clearAll{{ str_replace("settings.", "", $tables[0]["table"] ?? "") }}_table1" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tables[0]["table"] ?? "") }} {{ str_replace("settings.", "", $tables[0]["table"] ?? "") }} ml-3 d-none" data-tablevariable="table1">Clear filters</a>').prependTo("#tabLoads .dataTables_filter");
        $('<button type="button" class="btn btn-blueBr ml-3" data-toggle="modal" data-target="#exampleModal1">Columns</button>').appendTo("#tabLoads .cusotdiv");

        function loadReport(start, end) {
            $('#reportRange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
            $('#reportRange span').attr('data-from-date', start.format('YYYY-MM-D'));
            $('#reportRange span').attr('data-to-date', end.format('YYYY-MM-D'));

            var start_date                  = start.format('MM/DD/YYYY');
            var end_date                    = end.format('MM/DD/YYYY');

            loadCompareReport(broker_id, start_date, end_date);
        }

        function loadCompareReport(broker_id, start_date, end_date) {
            $("#report-active-load,#report-ready-to-bill,#report-delivered,#report-complete,#report-on-hold,#report-cancelled,#report-all-loads,#report-cargo-claims").html('<div class="loadingdiv"><img src="{{ asset('theme/img/loading.gif') }}" /></div>');

            $.ajax({
                url: "{{ route('company.admin.broker.loads.tab.reports') }}",
                method: 'POST',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: {
                    broker_id: broker_id,
                    start_date: start_date,
                    end_date: end_date,
                    compare: ($("#check-compare").is(':checked')) ? $("#compare-period").val() : ''
                },
                dataType: 'json',
                success: function (response) {
                    $('#report-active-load').text(response.reportActiveLoad);
                    $('#compare-active-load').html(response.compareActiveLoad);
                    $('#report-ready-to-bill').text(response.reportReadyToBill);
                    $('#compare-ready-to-bill').html(response.compareReadyToBill);
                    $('#report-delivered').text(response.reportDelivered);
                    $('#compare-delivered').html(response.compareDelivered);
                    $('#report-complete').text(response.reportComplete);
                    $('#compare-complete').html(response.compareComplete);
                    $('#report-on-hold').text(response.reportOnHold);
                    $('#compare-on-hold').html(response.compareOnHold);
                    $('#report-cancelled').text(response.reportCancelled);
                    $('#compare-cancelled').html(response.compareCancelled);
                    $('#report-all-loads').text(response.reportAllLoads);
                    $('#compare-all-loads').html(response.compareAllLoads);
                    $('#report-cargo-claims').text(response.reportCargoClaims);
                    $('#compare-cargo-claims').html(response.compareCargoClaims);
                }
            });
        }

        $('#reportRange').daterangepicker({
            startDate: start,
            endDate: end,
            ranges: {
                'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                'Last Week': [moment().subtract(1, 'weeks').startOf('week'), moment().subtract(1, 'weeks').endOf('week')],
                'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                'This Week': [moment().startOf('week'), moment()],
                'This Month': [moment().startOf('month'), moment().endOf('month')],
                'This Year': [moment().startOf('year'), moment().endOf('year')],
                'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')],
                'Last Year': [moment().subtract(1, 'year').startOf('year'), moment().subtract(1, 'year').endOf('year')]
            }
        }, loadReport);

        loadReport(start, end);

        $('#reportRange').on('apply.daterangepicker', function() {
            table1.draw();
        });

        $(document).on('change', '#check-compare', function() {
            loadReport(moment($('#reportRange span').attr('data-from-date')), moment($('#reportRange span').attr('data-to-date')));
        });

        $(document).on('change', '#compare-period', function() {
            if($('#check-compare').is(':checked')){
                loadReport(moment($('#reportRange span').attr('data-from-date')), moment($('#reportRange span').attr('data-to-date')));
            }
        });
    </script>
    {{-- Loads - END--}}

    {{-- Billing Loads - START--}}
    <script src="{{ asset('theme/js/slick.min.js') }}"></script>
    <script type="text/javascript">
        function reloadAuditSlider(slickHtml, activeSlickIndex){
            $('#tabBilling').find('.billing-slider-div').html(slickHtml);

            const slider                    = $(".billingNew-slider");

            slider.slick({
                dots: true,
                infinite: false,
                arrows: true,
                slidesToShow: 1,
                slidesToScroll: 1,
                variableWidth: true,
                centerMode: true,
            });

            if(activeSlickIndex != ''){
                slider.slick('slickGoTo', activeSlickIndex);
            }
        }

        function updateLoadStatus(loadDetailId = ''){
            var receivedProgressBar         = $('.received-progress-bar').attr('aria-valuenow');
            var auditProgressBar            = $('.audit-progress-bar').attr('aria-valuenow');
            var documentCount               = $('.progress-bar').attr('data-doc');

            $('#tabBilling').find('.billingLoadTableBody tr').each(function (){
                if($(this).hasClass('current-user-audit-lock')){
                    if(documentCount == '0'){
                        $(this).find('.td-document').html('<i class="fa fa-file-text-o document-in-review document-icon" aria-hidden="true"></i>');
                        $(this).find('.td-review').text('In Review');
                        if(loadDetailId != ''){
                            var url         = '{{ route('company.admin.billing.invoice.create', ['id' => ':id']) }}'
                            url             = url.replace(':id', loadDetailId);
                            $(this).find('.td-invoice-now').html('<a href="'+ url +'" class="btn btn-success">Invoice Now</a>');
                        }else{
                            $(this).find('.td-invoice-now').html('<a href="javascript:void(0);" class="btn btn-success">Invoice Now</a>');
                        }
                    }else{
                        if(receivedProgressBar == '100' && auditProgressBar == '100'){
                            $(this).find('.td-document').html('<i class="fa fa-file-text-o document-complete document-icon" aria-hidden="true"></i>');
                            $(this).find('.td-review').text('Complete');
                            if(loadDetailId != ''){
                                var url     = '{{ route('company.admin.billing.invoice.create', ['id' => ':id']) }}'
                                url = url.replace(':id', loadDetailId);
                                $(this).find('.td-invoice-now').html('<a href="'+ url +'" class="btn btn-success">Invoice Now</a>');
                            }else{
                                $(this).find('.td-invoice-now').html('<a href="javascript:void(0);" class="btn btn-success">Invoice Now</a>');
                            }
                        }else if(receivedProgressBar == '100' && auditProgressBar != '100'){
                            $(this).find('.td-document').html('<i class="fa fa-file-text-o document-complete document-icon" aria-hidden="true"></i>');
                            $(this).find('.td-review').text('In Review');
                            $(this).find('.td-invoice-now').html('<a href="javascript:void(0);" class="btn btn-liteGray">Invoice Now</a>');
                        }else if(receivedProgressBar != '100' && auditProgressBar != '100'){
                            $(this).find('.td-document').html('<i class="fa fa-file-text-o document-in-review document-icon" aria-hidden="true"></i>');
                            $(this).find('.td-review').text('In Review');
                            $(this).find('.td-invoice-now').html('<a href="javascript:void(0);" class="btn btn-liteGray">Invoice Now</a>');
                        }
                    }
                }
            });
        }
    </script>
    <script type="text/javascript">
        var table2                          = $('#all-loads-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            scrollX: true,
            scrollCollapse: true,
            fixedHeader: true,
            dom: "<'row cusotdiv mb-0'<'col-sm-5 col-md-6 cusotdiv2'fl>><'row mt-3'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            ordering: false,
            pageLength: "{{ perPageView() }}",
            ajax: {
                url: "{{ route('company.admin.billing.loads.index') }}",
                type:'POST',
                dataType: "json",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: function (d) {
                    d.broker_id                                         = '{{ base64Encode($broker->id) }}';
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_{{ $key }}                = $('#search_string_{{ $key }}_table2').val();
                        d.search_string_name_{{ $key }}                 = $('#stringKey{{ $key }}_table2').val();
                        d.search_string_type_{{ $key }}                 = $('#stringType{{ $key }}_table2').val();
                        d.search_table_name_{{ $key }}                  = $('#stringTableType{{ $key }}_table2').val();
                        d.search_string_condition_{{ $key }}            = $("input[type='radio'][name='condition{{ $key }}']:checked").val();
                        d.search_string_sort_{{ $key }}                 = $("input[type='radio'][name='string_sort_{{ $key }}']:checked").val();

                        d.search_string_relation_table_{{ $key }}       = $('#stringRelationTable{{ $key }}_table2').val();
                        d.search_string_col_name1_{{ $key }}            = $('#stringColName1{{ $key }}_table2').val();
                        d.search_string_col_name2_{{ $key }}            = $('#stringColName2{{ $key }}_table2').val();
                        d.search_string_static_{{ $key }}               = $('#stringStatic{{ $key }}_table2').val();

                        d.search_string_having_{{ $key }}               = $('#stringHaving{{ $key }}_table2').val();

                        d.search_string_col_alias1_name_{{ $key }}      = $('#stringColAl1{{ $key }}_table2').val();
                        d.search_string_col_alias2_name_{{ $key }}      = $('#stringColAl2{{ $key }}_table2').val();
                        d.search_string_col_alias3_name_{{ $key }}      = $('#stringColAl3{{ $key }}_table2').val();
                        d.search_string_col_alias4_name_{{ $key }}      = $('#stringColAl4{{ $key }}_table2').val();
                        d.search_string_col_alias5_name_{{ $key }}      = $('#stringColAl5{{ $key }}_table2').val();
                        d.search_string_col_alias6_name_{{ $key }}      = $('#stringColAl6{{ $key }}_table2').val();

                        d.search_date_from_value_{{ $key }}             = $('#search_date_{{ $key }}_table2').val();
                        d.search_date_to_value_{{ $key }}               = $('#search_date_end_{{ $key }}_table2').val();
                        d.search_date_name_{{ $key }}                   = $('#dateKey{{ $key }}_table2').val();
                        d.search_date_type_{{ $key }}                   = $('#dateType{{ $key }}_table2').val();
                        d.search_date_table_name_{{ $key }}             = $('#dateTableType{{ $key }}_table2').val();
                        d.search_date_condition_{{ $key }}              = $("input[type='radio'][name='conditiondate{{ $key }}']:checked").val();
                        d.search_date_sort_{{ $key }}                   = $("input[type='radio'][name='date_sort_{{ $key }}']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_{{ $key }}_{{ $ke }}  = $("#conditionstatus_{{ $key }}_{{ $ke }}_table2:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_{{ $key }}            = $('#is_status_condition_applied{{ $key }}_table2').val();
                        d.search_status_name_{{ $key }}                 = $('#statusOrgColName{{ $key }}_table2').val();
                        d.search_status_table_name_{{ $key }}           = $('#statusTableType{{ $key }}_table2').val();
                        d.search_status_sort_{{ $key }}                 = $("input[type='radio'][name='status_sort_{{ $key }}']:checked").val();
                        d.search_status_sort_column_{{ $key }}          = $("#statusOrderColName{{ $key }}_table2").val();
                    <?php endforeach; ?>
                },
                beforeSend: function () {
                    if (typeof table2 != 'undefined' && table2.hasOwnProperty('settings')) {
                        table2.settings()[0].jqXHR.abort();
                    }
                }
            },
            columns: [
                <?php foreach($getField2 as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_customer_billing_loads')[$key]['name'])): ?>
                            <?php if(config('settings.table_customer_billing_loads')[$key]['orderable'] == 1 && config('settings.table_customer_billing_loads')[$key]['searchable'] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true, className: '{{ config("settings.table_customer_billing_loads")[$key]["class"] }}' },
                            <?php elseif(config('settings.table_customer_billing_loads')[$key]['orderable'] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false, className: '{{ config("settings.table_customer_billing_loads")[$key]["class"] }}' },
                            <?php elseif(config('settings.table_customer_billing_loads')[$key]['searchable'] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true, className: '{{ config("settings.table_customer_billing_loads")[$key]["class"] }}' },
                            <?php else: ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false, className: '{{ config("settings.table_customer_billing_loads")[$key]["class"] }}' },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
                { data: 'invoice_now', name: 'invoice_now', visible:true, orderable:false, searchable:false, className: 'text-center td-invoice-now' },
            ],
            fnDrawCallback: function( oSettings ) {
                $('.audit-close').trigger('click');
            }
        });

        $('#all-loads-data-table tbody').on('click', '.details-control', function () {
            var tr                          = $(this).closest('tr');
            var row                         = table2.row(tr);

            if (row.child.isShown()) {
                row.child.hide();
                tr.removeClass('shown');
                tr.children('td:eq(1)').find('.fa-caret-down').removeClass('fa-caret-up');
            } else {
                row.child(loadsChildRows(row.data())).show();
                tr.addClass('shown');
                tr.next('tr').children('td').addClass('p-0 child-row');
                tr.children('td:eq(1)').find('.fa-caret-down').addClass('fa-caret-up');
            }
        });

        $('<a href="javascript:void(0)" class="btn btn-primary refreshAll ml-3" data-tablevariable="table2"><i class="fa fa-refresh"></i> Refresh</a>').prependTo("#tabBilling .dataTables_filter");
        $('<a href="javascript:void(0)" id="clearAll{{ str_replace("settings.", "", $tables[1]["table"] ?? "") }}_table2" class="btn btn-orange clearAll filter_{{ str_replace("settings.", "", $tables[1]["table"] ?? "") }} {{ str_replace("settings.", "", $tables[1]["table"] ?? "") }} ml-3 d-none" data-tablevariable="table2">Clear filters</a>').prependTo("#tabBilling .dataTables_filter");
        $('<button type="button" class="btn btn-primary btn-columns" data-toggle="modal" data-target="#exampleModal2">Columns</button>').appendTo("#tabBilling .cusotdiv");

        $(document).ready(function (){
            $('.trips-tabs #myTab a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
                var targetTab               = $(e.target).attr('href');
                //console.log("Active tab:", targetTab);

                if(targetTab !== 'undefined') {
                    if (targetTab === '#tabBilling' && table2 !== 'undefined' && $.fn.DataTable.isDataTable('.all-loads-data-table')) {
                        // console.log("Adjusting columns for table2...");

                        // Adjust column widths without redrawing
                        table2.columns.adjust().fixedColumns().relayout(); // table2.columns.adjust().draw();
                    }
                }
            });
        });
    </script>
    <script type="text/javascript">
        $(function() {
            $(document).on('click', '.audit-close', function() {
                $('#tabBilling').find('.billing-slider-div').html('');
                $('#tabBilling').find('.billingLoadTableBody tr').each(function (){
                    if($(this).hasClass('current-user-audit-lock')){
                        $(this).removeClass('current-user-audit-lock');
                        $(this).find('.audit-lock').addClass('d-none');
                        $(this).find('.audit-load').removeClass('d-none');
                    }
                });

                auditLoadUnlock();
            });

            $(document).on('click', '.audit-load', function() {
                var thisEle                 = $(this);

                // Close All Child Row
                $(this).closest('tbody').find('tr').each(function (){
                    $(this).find('td').each(function (){
                        if($(this).find('.fa-caret-up').length > 0){
                            $(this).find('.fa-caret-up').parent().click();
                        }
                    });
                });
                // Close All Child Row

                $.ajax({
                    url: '{!! route("company.admin.billing.audit.load.view") !!}',
                    method: "POST",
                    data: {
                        load: $(this).attr('data-load'),
                        load_details: $(this).attr('data-load-details'),
                    },
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    dataType: "json",
                    beforeSend: function() {
                        loader();

                        //For Active Tab
                        $('#tabBilling').find('.billingLoadTableBody tr').each(function (){
                            if($(this).hasClass('current-user-audit-lock')){
                                $(this).removeClass('current-user-audit-lock');
                                $(this).find('.audit-lock').addClass('d-none');
                                $(this).find('.audit-load').removeClass('d-none');
                            }
                        });
                    },
                    success: function(response) {
                        if(response.success && response.auditLoadView !== ''){
                            thisEle.addClass('d-none');
                            thisEle.closest('tr').addClass('current-user-audit-lock').find('.audit-lock').removeClass('d-none');

                            $('#tabBilling').find('.billing-slider-div').html(response.auditLoadView);

                            $(".billingNew-slider").slick({
                                dots: true,
                                infinite: false,
                                arrows: true,
                                slidesToShow: 1,
                                slidesToScroll: 1,
                                variableWidth: true,
                                centerMode: true,
                            });

                            auditSliderHideShowOption();
                        }else{
                            if(typeof response.reload !== 'undefined'){
                                var tbName = 'table2';
                                window[tbName].ajax.reload(null, false);
                            }
                            toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                        }
                    },
                    complete: function() {
                        Swal.close();
                    },
                    error: function () {
                        toastr.error('Oops! Something went wrong..', 'Error Alert', { timeOut: 5000 });
                    }
                });
            });
        });
    </script>
    @include('companyAdmin.billing.common-script')
    {{-- Billing Loads - END --}}
@endsection
