@extends($companyAdminTheme)

@section('title')
    Driver Show
@endsection

@section('header-title')
    View User
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/datepicker3.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/media3.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/jquery.lineProgressbar.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/daterangepicker.css') }}">
    <style type="text/css">
        .driver-header .card {
            border-radius: 0.75rem 0.75rem 0.25rem 0.25rem;
        }
        .driver-header .card .card-header {
            padding: 0.25rem 1.25rem;
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border-radius: 10px 10px 0px 0px;
            height: 55px;
        }
        .driver-header .card .card-header h6 {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FFFFFF;
            padding-top: 14px;
        }
        .driver-header .card .card-header #btnEdit {
            border-radius: 10px;
            height: 45px;
        }
        .driver-header .card .card-header #btnEdit:hover {
            color: #ffffff;
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border: 1px solid #ffffff;
        }

        .driver-profile .card {
            border-radius: 10px;
        }
        .driver-profile .card .avatar-upload {
            position: relative;
            max-width: 230px;
            margin: 20px auto;
        }
        .driver-profile .card .avatar-upload .avatar-edit {
            position: absolute;
            right: 18px;
            z-index: 1;
            bottom: 10px;
        }
        .driver-profile .card .avatar-upload .avatar-edit input {
            display: none;
        }
        .driver-profile .card .avatar-upload .avatar-edit input + label {
            display: inline-block;
            width: 34px;
            height: 34px;
            margin-bottom: 0;
            border-radius: 100%;
            background: #FFFFFF;
            border: 1px solid transparent;
            box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.12);
            cursor: pointer;
            font-weight: normal;
            transition: all 0.2s ease-in-out;
        }
        .driver-profile .card .avatar-upload .avatar-edit input + label:hover {
            background: #f1f1f1;
            border-color: #d6d6d6;
        }
        .driver-profile .card .avatar-upload .avatar-edit input + label:after {
            content: "\f030";
            font-family: 'FontAwesome';
            color: #305F9C;
            position: absolute;
            top: 6px;
            left: 0;
            right: 0;
            text-align: center;
            margin: auto;
            font-size: 16px;
        }
        .driver-profile .card .avatar-upload .avatar-preview {
            width: 230px;
            height: 230px;
            position: relative;
            border-radius: 100%;
            border: 6px solid #F8F8F8;
            box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.1);
        }
        .driver-profile .card .avatar-upload .avatar-preview > div {
            width: 100%;
            height: 100%;
            border-radius: 100%;
            background-size: cover;
            background-repeat: no-repeat;
            background-position: center;
        }
        .driver-profile .card .card .ranked-box h3 {
            font: normal normal 900 36px/30px Arial, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .driver-profile .card .ranked-box span {
            font: normal normal normal 12px/14px Arial, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .driver-profile .card .ranked-box h6 {
            font: normal normal bold 12px/14px Arial, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .driver-profile .card .ranked-box div:not(:last-child) {
            border-right: 1px solid #E4E4E4;
        }
        .driver-profile .card .card-body {
            padding: 1rem;
        }
        .driver-profile .top-section>li {
            margin-right: 15px;
        }
        .driver-profile .card .card-body .driver-profile-detail .select2-container .select2-selection--single {
            /* height: 27px !important; */
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .driver-profile .card .card-body .driver-profile-detail .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        .driver-profile .card .card-body .driver-profile-detail .select2-container--default .select2-selection--single .select2-selection__rendered {
            /* line-height: 27px !important; */
        }
        .driver-profile .card .card-body .driver-profile-detail .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 38px;
            width: 35px;
        }
        .driver-profile .card .card-body .driver-profile-detail .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            /*font-weight: 600;*/
            /*color: #000000e6 !important;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        .driver-profile .card .card-body .driver-profile-detail i:not('#select2-active_status-container') {
            color: #7C8C9D;
            font-size: 20px;
        }
        .driver-profile .card .card-body .driver-profile-detail h6 {
            font: normal normal bold 13px/24px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .driver-profile .card .card-body .driver-profile-detail td {
            padding-bottom: 12px;
        }
        .driver-profile .card .card-body .driver-profile-detail td:first-of-type {
            text-align: center;
            padding-right: 12px;
        }
        .driver-profile .card .card-body .driver-profile-detail td:last-child {
            padding-left: 15px;
            font: normal normal 14px/20px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #322727;
        }
        .driver-profile .card .card-body .driver-profile-detail td:last-child a {
            font: normal normal 14px/20px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #322727;
        }
        .driver-profile .card .card-body .driver-profile-detail td:last-child a:hover {
            font: normal normal 14px/20px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .driver-profile .card .card-body .driver-profile-detail td:last-child a:hover {
            font: normal normal 14px/20px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .driver-profile .card .card-body .driver-profile-detail td:last-child .eld-status {
            display: inline-block;
            padding: 0.25em 0.4em;
            font-size: 14px;
            font-weight: 700;
            line-height: 1;
            text-align: left;
            white-space: nowrap;
            vertical-align: baseline;
            border-radius: 0.25rem;
            transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
            border: 1px solid #E4E4E4;
        }
        .driver-profile .card .card-body .driver-profile-detail td:last-child .truck-and-trailer {
            display: inline-block;
            padding: 0.25em 0.4em;
            font-size: 75%;
            font-weight: 700;
            line-height: 1;
            text-align: left;
            white-space: nowrap;
            vertical-align: baseline;
            border-radius: 0.25rem;
            transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
            border: 1px solid #E4E4E4;
        }
        .driver-profile .card .card-body .driver-profile-detail td:last-child .truck-and-trailer h6 {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #322727;
            text-transform: capitalize;
        }
        .driver-profile .card .card-body .last-location-chart label {
            font: normal normal bold 16px/20px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .driver-profile .card .card-body .last-location-chart p {
            font: normal normal 16px/20px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #322727;
        }

        .driver-tabs .nav-tabs {
            border: 0;
            padding: 25px 0px 0px
        }
        .driver-tabs .nav-tabs a {
            font: normal normal bold 15px Inter, Sans-Serif;
            color: #305F9C;
            padding: 1rem 1rem;
            position: relative;
            height: 45px;
        }
        .driver-tabs .nav-tabs a.active {
            font: normal normal bold 15px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FFFFFF !important;
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
        }
        .driver-tabs .nav-tabs .nav-link.disabled {
            font: normal normal bold 15px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .driver-tabs .nav-tabs .nav-item {
            margin-right: 3px;
            border: 1px solid #305F9C;
            border-radius: 10px 10px 0px 0px;
            border-bottom: 1px solid #D8D8D9;
        }
        .driver-tabs .nav-tabs a.active::before {
            content: '';
            background-color: inherit;
            height: 2px;
            width: 100%;
            position: absolute;
            left: 0;
            top: inherit;
            bottom: 0;
        }
        .driver-tabs .tab-content {
            background: #FFFFFF 0% 0% no-repeat padding-box;
            border: 1px solid #D8D8D9;
            border-radius: 0px 10px 10px 10px;
        }
        .driver-tabs .tab-content ul li {
            padding: 0px 0px;
        }

        .driver-tabs #tabAccount .dropdown #reportrange {
            background: #FFFFFF 0% 0% no-repeat padding-box;
            cursor: pointer;
            padding: 10px 10px;
            border: 1px solid #D8D8DD;
            width: 100%;
            border-radius: 10px;
        }
        .driver-tabs #tabAccount .dropdown #reportrange .fa-caret-down {
            color: #305F9C;
        }
        .driver-tabs #tabAccount .dropdown #OccupancyReportrange {
            color: #FFFFFF;
            cursor: pointer;
            padding: 10px 10px;
            border: 1px solid #D8D8DD;
            width: 100%;
            border-radius: 10px;
        }
        .driver-tabs #tabAccount .dropdown #UpcomingReportrange {
            color: #FFFFFF;
            cursor: pointer;
            padding: 10px 10px;
            border: 1px solid #D8D8DD;
            width: 100%;
            border-radius: 10px;
        }
        .driver-tabs #tabAccount .dropdown #GoalsReportrange {
            color: #FFFFFF;
            cursor: pointer;
            padding: 10px 10px;
            border: 1px solid #D8D8DD;
            width: 100%;
            border-radius: 10px;
        }
        .driver-tabs #tabAccount .dropdown #StatisticsReportrange {
            color: #FFFFFF;
            cursor: pointer;
            padding: 10px 10px;
            border: 1px solid #D8D8DD;
            width: 100%;
            border-radius: 10px;
        }
        .driver-tabs #tabAccount .white-box span {
            font: normal normal bold 16px/20px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .driver-tabs #tabAccount .white-box h5 {
            font: normal normal bold 28px/34px Inter;
            letter-spacing: 0px;
            color: #322727;
        }
        .driver-tabs #tabAccount .white-box .loadingdiv {
            min-height: inherit;
        }
        .driver-tabs #tabAccount .white-box .loadingdiv img {
            width: 30px;
        }
        .driver-tabs #tabAccount .card {
            border-radius: 10px 10px 10px 10px;
        }
        .driver-tabs #tabAccount .card .card-header {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border-radius: 10px 10px 0px 0px;
            height: 55px;
            padding-top: 7px;
        }
        .driver-tabs #tabAccount .card .card-header h6 {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FFFFFF;
            padding-top: 7px;
        }
        .driver-tabs #tabAccount #chartAccount .box-padding {
            padding: inherit;
        }
        .driver-tabs #tabAccount .tbl2 .table thead th {
            padding: 5px 5px !important;
        }
        .driver-tabs #tabAccount .tbl2 .table tbody td {
            padding: 5px 5px !important;
        }
        .driver-tabs #tabAccount .t-info ul li:after {
            background: inherit;
        }
        .driver-tabs #tabAccount #accountTable th {
            border-bottom: 1px solid #E4E4E4;
            text-align: center;
            font-size: 14px;
        }
        .driver-tabs #tabAccount #accountTable td {
            text-align: center;
        }
        .driver-tabs #tabAccount #accountTable td:first-of-type {
            text-align: left;
            color: #212121;
            font-family: 'Open Sans', sans-serif;
            font-weight: 600;
            font-size: 14px !important;
        }
        .driver-tabs #tabAccount #statisticsTable th {
            border-bottom: 1px solid #E4E4E4;
            text-align: center;
            font-size: 14px;
        }
        .driver-tabs #tabAccount #statisticsTable td {
            text-align: center;
        }
        .driver-tabs #tabAccount #statisticsTable td:first-of-type {
            text-align: left;
            color: #212121;
            font-family: 'Open Sans', sans-serif;
            font-weight: 600;
            font-size: 14px !important;
        }

        .driver-tabs #tabOccupancyCalendar .card {
            border-radius: 10px 10px 10px 10px;
        }
        .driver-tabs #tabOccupancyCalendar .card .card-header {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border-radius: 10px 10px 0px 0px;
            height: 55px;
            padding-top: 7px;
        }
        .driver-tabs #tabOccupancyCalendar .card .card-header h6 {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FFFFFF;
            padding-top: 7px;
        }
        .driver-tabs #tabOccupancyCalendar .select2-container {
            width: 100% !important;
        }
        .driver-tabs #tabOccupancyCalendar .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .driver-tabs #tabOccupancyCalendar .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        .driver-tabs #tabOccupancyCalendar .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        .driver-tabs #tabOccupancyCalendar .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        .driver-tabs #tabOccupancyCalendar .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            /*font-weight: 600;*/
            /*color: #000000e6 !important;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        .driver-tabs #tabOccupancyCalendar .timeframe label {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #616376;
        }
        .driver-tabs #tabOccupancyCalendar .occupancyTrackerCalendar label {
            font: normal normal bold 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .driver-tabs #tabOccupancyCalendar .occupancyTrackerCalendar p {
            font: normal normal 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #322727;
        }
        .driver-tabs #tabOccupancyCalendar .occupancyTrackerCalendar .form-check {
            padding-left: inherit;
            margin-left: -5px;
            margin-top: 2px;
        }
        .driver-tabs #tabOccupancyCalendar .occupancyTrackerCalendar .form-check input {
            opacity: 0;
        }
        .driver-tabs #tabOccupancyCalendar .occupancyTrackerCalendar .form-check label::before {
            content: '';
            position: absolute;
            width: 16px;
            height: 16px;
            left: 5px;
            border: 2px solid #305F9C;
            border-radius: 4px;
            top: -1px;
        }
        .driver-tabs #tabOccupancyCalendar .occupancyTrackerCalendar .form-check label::after {
            content: "\f00c";
            font: normal normal normal 14px/1 FontAwesome;
            color: white;
            left: 8px;
            position: absolute;
            top: 1.5px;
            font-size: 10px;
            opacity: 0;
        }
        .driver-tabs #tabOccupancyCalendar .occupancyTrackerCalendar .form-check-input {
            position: inherit;
            margin-top: inherit;
            margin-left: inherit;
        }
        .driver-tabs #tabOccupancyCalendar .occupancyTrackerCalendar .form-check input[type="checkbox"]:checked~label::before {
            background-color: #305F9C;
        }
        .driver-tabs #tabOccupancyCalendar .occupancyTrackerCalendar .form-check input[type="checkbox"]:checked~label::after {
            opacity: 1;
        }
        .driver-tabs #tabOccupancyCalendar .occupanyType .occupancy-key-table td:first-of-type {
            font: normal normal bold 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #322727;
        }
        .driver-tabs #tabOccupancyCalendar .occupanyType .occupancy-key-table td:nth-child(2) {
            font: normal normal 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #322727;
        }
        .driver-tabs #tabOccupancyCalendar .occupanyType .occupancy-key-table td:nth-child(3) .color-box {
            border-radius: 5px;
        }
        .driver-tabs #tabOccupancyCalendar .performanceSummary .panel-group i {
            color: #305F9C;
        }
        .driver-tabs #tabOccupancyCalendar .performanceSummary .panel-group .panel-heading label {
            font: normal normal 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #322727;
            font-weight: 500;
        }
        .driver-tabs #tabOccupancyCalendar .performanceSummary .panel-body label {
            font: normal normal 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #7C8C9D;
        }
        .driver-tabs #tabOccupancyCalendar .performanceSummary .panel-body p {
            font: normal normal 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #322727;
            font-weight: 500;
        }
        .driver-tabs #tabOccupancyCalendar .performanceSummary .panel-body ul {
            border-top: 1px solid #E4E4E4;
            border-bottom: 1px solid #E4E4E4;
        }
        .driver-tabs #tabOccupancyCalendar .target-calendar .calendar-content {
            margin-bottom: 0px;
        }
        .driver-tabs #tabOccupancyCalendar .target-calendar .calendar-content .calendar-dates-no {
            padding: 5px;
        }
        .driver-tabs #tabOccupancyCalendar .target-calendar .calendar-content .calendar-dates-no .ecensew{
            top: 50%;
        }
        .driver-tabs #tabOccupancyCalendar .target-calendar .btn-group>.btn-group:not(:last-child)>.btn, .btn-group>.btn:not(:last-child):not(.dropdown-toggle){
            border-top-right-radius: 20px;
            border-bottom-right-radius: 20px;
        }
        .driver-tabs #tabOccupancyCalendar .target-calendar .modal-addLoad .btn-group>.btn, .ngd-new .btn-group>.btn {
            padding: 0px;
            margin: 14px 8px;
            border-radius: 20px;
            font-size: 14px;
            font-weight: bold;
            height: 29px;
            width: 29px;
            flex: initial;
            box-shadow: none;
            background: #FFFFFF 0% 0% no-repeat padding-box;
        }
        .driver-tabs #tabOccupancyCalendar .target-calendar .modal-addLoad .btn-group>.btn, .ngd-new .btn-group>.btn:hover {
            padding: 0px;
            margin: 14px 8px;
            border-radius: 20px;
            font-size: 14px;
            font-weight: bold;
            height: 29px;
            width: 29px;
            flex: initial;
            box-shadow: none;
            background: #FFFFFF 0% 0% no-repeat padding-box;
            border-color: #FFFFFF;
        }
        .driver-tabs #tabOccupancyCalendar .target-calendar .modal-addLoad .btn-group>.btn, .ngd-new .btn-group>.btn .fa-chevron-left:before,
        .driver-tabs #tabOccupancyCalendar .target-calendar .modal-addLoad .btn-group>.btn, .ngd-new .btn-group>.btn .fa-chevron-right:before{
            color: #305F9C;
        }
        #viewLoadDetailsByDate .modal-dishpatch .modal-header {
            padding: 15px 18px;
            height: 55px;
        }
        #viewLoadDetailsByDate .modal-dishpatch .modal-body .content-header label a,
        #viewLoadDetailsByDate .modal-dishpatch .modal-footer label {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        #viewLoadDetailsByDate .modal-dishpatch .modal-body .content-body  p,
        #viewLoadDetailsByDate .modal-dishpatch .modal-footer p {
            font: normal normal 600 16px/20px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #322727;
        }
        #viewLoadDetailsByDate .modal-dishpatch .modal-footer .col-md-4:not(:last-child) {
            border-right: 1px solid #E4E4E4;
        }

        .driver-tabs #tabLoads .white-box.table-view .table-title {
            background: #F1F3F6 0% 0% no-repeat padding-box;
            border-radius: 10px;
        }
        .driver-tabs #tabLoads .white-box.table-view .dataTables_wrapper .dataTables_filter .form-control {
            /*font-size: 14px;*/
            /*font-weight: bolder;*/
            border: 1px solid #305F9C;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            background: #F1F3F6 0% 0% no-repeat padding-box;
            width: 373px;
            height: 43px;
            box-shadow: 0 3px 6px rgb(0 0 0 / 16%);
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        .driver-tabs #tabLoads .white-box.table-view .dataTables_wrapper .dataTables_length .form-control {
            /*font-size: 14px;*/
            /*font-weight: bolder;*/
            border: 1px solid #305F9C;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 8px;
            height: 43px;
            width: 60px;
            /*color: #305F9C !important;*/
            box-shadow: 0 3px 6px rgb(0 0 0 / 16%);
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        .driver-tabs #tabLoads .white-box.table-view .dataTables_wrapper .dataTables_length .form-control:hover {
            color: #fff !important;
            background-color: #305F9C;
        }
        .driver-tabs #tabLoads .white-box.table-view .table-title {
            margin-bottom: -54px;
        }
        .driver-tabs #tabLoads .white-box.table-view .dataTables_filter {
            padding-right: 0px;
            margin-right: -10px;
        }
        .driver-tabs #tabLoads .white-box.table-view table.dataTable {
            border: 1px solid #CCCCCC;
            margin-top: 0px !important;
        }
        .driver-tabs #tabLoads .white-box.table-view .row .dataTables_length {
            display: block!important;
            margin-right: -10px;
        }
        .driver-tabs #tabLoads .white-box.table-view .table thead th {
            padding: 15px 15px 15px 15px !important;
        }
        .driver-tabs #tabLoads .white-box.table-view .table tbody td {
            padding: 8px 15px 8px 15px !important;
        }
        .driver-tabs #tabLoads .white-box.table-view .listing .table thead {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            text-align: center;
        }
        .driver-tabs #tabLoads .white-box.table-view .listing .table tbody {
            text-align: center;
        }
        .driver-tabs #tabLoads .white-box.table-view .listing .table tbody tr:first-child td {
            border: 1px solid #dee2e6 !important;
        }
        .driver-tabs #tabLoads .white-box.table-view table.rounded-corners {
            border-radius: 10px;
            border-spacing: 0;
            border-collapse: separate;
            overflow: hidden;
            font-weight: 600;
        }
        .driver-tabs #tabLoads .white-box.table-view table.rounded-corners th:not(:last-child),
        .driver-tabs #tabLoads .white-box.table-view table.rounded-corners td:not(:last-child) {
            border-right: var(--border);
        }
        .driver-tabs #tabLoads .white-box.table-view table.rounded-corners>thead>tr:not(:last-child)>th,
        .driver-tabs #tabLoads .white-box.table-view table.rounded-corners>thead>tr:not(:last-child)>td,
        .driver-tabs #tabLoads .white-box.table-view table.rounded-corners>tbody>tr:not(:last-child)>th,
        .driver-tabs #tabLoads .white-box.table-view table.rounded-corners>tbody>tr:not(:last-child)>td,
        .driver-tabs #tabLoads .white-box.table-view table.rounded-corners>tfoot>tr:not(:last-child)>th,
        .driver-tabs #tabLoads .white-box.table-view table.rounded-corners>tfoot>tr:not(:last-child)>td,
        .driver-tabs #tabLoads .white-box.table-view table.rounded-corners>tr:not(:last-child)>td,
        .driver-tabs #tabLoads .white-box.table-view table.rounded-corners>tr:not(:last-child)>th,
        .driver-tabs #tabLoads .white-box.table-view table.rounded-corners>thead:not(:last-child),
        .driver-tabs #tabLoads .white-box.table-view table.rounded-corners>tbody:not(:last-child),
        .driver-tabs #tabLoads .white-box.table-view table.rounded-corners>tfoot:not(:last-child) {
            border-bottom: var(--border);
        }
        .driver-tabs #tabLoads .white-box.table-view .table thead::before {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
        }

        .driver-tabs #tabSafetyCompliance hr {
            border: 1px solid #E4E4E4;
        }
        .driver-tabs #tabSafetyCompliance .account-detail li a {
            font: normal normal bold 16px/20px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #322727;
        }
        .driver-tabs #tabSafetyCompliance .account-detail li i {
            color: #305F9C;
            font-size: 30px;
            border-radius: 8px;
        }
        .driver-tabs #tabSafetyCompliance .date-details {
            display: inline-table;
        }
        .driver-tabs #tabSafetyCompliance .date-details .top-header {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .driver-tabs #tabSafetyCompliance .table tr td:not(.top-header){
            font: normal normal 600 14px/17px Inter, Sans-Serif !important;
            letter-spacing: 0px;
            color: #322727;
        }
        .driver-tabs #tabSafetyCompliance .text-incomplete{
            color: #FF1010 !important;
        }
        .driver-tabs #tabSafetyCompliance .text-complete{
            color: #2F9840 !important;
        }

        #createHOSViolationsModal .modal-lg, .modal-xl,
        #editHOSViolationsModal .modal-lg, .modal-xl,
        #showHOSViolationsModal .modal-lg, .modal-xl,
        #createNonViolationsModal .modal-lg, .modal-xl,
        #editNONViolationsModal .modal-lg, .modal-xl,
        #showNONViolationsModal .modal-lg, .modal-xl {
            max-width: 1109px;
        }
        #createAccidentModal .modal-dialog,
        #editAccidentModal .modal-dialog,
        #showAccidentModal .modal-dialog {
            max-width: 668px;
        }
        #createHOSViolationsModal input[type=text].form-control,
        #editHOSViolationsModal input[type=text].form-control,
        #showHOSViolationsModal input[type=text].form-control,
        #createNonViolationsModal input[type=text].form-control,
        #editNONViolationsModal input[type=text].form-control,
        #showNONViolationsModal input[type=text].form-control,
        #createAccidentModal input[type=text].form-control,
        #editAccidentModal input[type=text].form-control,
        #showAccidentModal input[type=text].form-control {
            /*font-size: 14px;*/
            /*font-weight: bolder;*/
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            /*color: #000000 !important;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        #createHOSViolationsModal .form-group .input-group img,
        #editHOSViolationsModal .form-group .input-group img,
        #showHOSViolationsModal .form-group .input-group img,
        #createNonViolationsModal .form-group .input-group img,
        #editNONViolationsModal .form-group .input-group img,
        #showNONViolationsModal .form-group .input-group img,
        #createAccidentModal .form-group .input-group img,
        #editAccidentModal .form-group .input-group img,
        #showAccidentModal .form-group .input-group img {
            width: 15px;
            height: 17px;
        }
        #createHOSViolationsModal .form-group label,
        #editHOSViolationsModal .form-group label,
        #showHOSViolationsModal .form-group label,
        #createNonViolationsModal .form-group label,
        #editNONViolationsModal .form-group label,
        #showNONViolationsModal .form-group label,
        #createAccidentModal .form-group label,
        #editAccidentModal .form-group label,
        #showAccidentModal .form-group label {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            color: #616376 !important;
        }
        #createHOSViolationsModal select.form-control,
        #editHOSViolationsModal select.form-control,
        #showHOSViolationsModal select.form-control,
        #createNonViolationsModal select.form-control,
        #editNONViolationsModal select.form-control,
        #showNONViolationsModal select.form-control,
        #createAccidentModal select.form-control,
        #editAccidentModal select.form-control,
        #showAccidentModal select.form-control {
            /*font-size: 14px;*/
            border: 1px solid #C5CEE0;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding-left: 12px;
            font-weight: 400;
            /*color: #616376;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        #createHOSViolationsModal input::placeholder,
        #editHOSViolationsModal input::placeholder,
        #showHOSViolationsModal input::placeholder,
        #createNonViolationsModal input::placeholder,
        #editNONViolationsModal input::placeholder,
        #showNONViolationsModal input::placeholder,
        #createAccidentModal input::placeholder,
        #editAccidentModal input::placeholder,
        #showAccidentModal input::placeholder {
            font: normal normal normal 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #616376;
        }
        #createHOSViolationsModal .select2-container,
        #editHOSViolationsModal .select2-container,
        #showHOSViolationsModal .select2-container,
        #createNonViolationsModal .select2-container,
        #editNONViolationsModal .select2-container,
        #showNONViolationsModal .select2-container,
        #createAccidentModal .select2-container,
        #editAccidentModal .select2-container,
        #showAccidentModal .select2-container {
            width: 100% !important;
        }
        #createHOSViolationsModal .select2-container .select2-selection--single,
        #editHOSViolationsModal .select2-container .select2-selection--single,
        #showHOSViolationsModal .select2-container .select2-selection--single,
        #createNonViolationsModal .select2-container .select2-selection--single,
        #editNONViolationsModal .select2-container .select2-selection--single,
        #showNONViolationsModal .select2-container .select2-selection--single,
        #createAccidentModal .select2-container .select2-selection--single,
        #editAccidentModal .select2-container .select2-selection--single,
        #showAccidentModal .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        #createHOSViolationsModal .select2-container--default .select2-selection--single,
        #editHOSViolationsModal .select2-container--default .select2-selection--single,
        #showHOSViolationsModal .select2-container--default .select2-selection--single,
        #createNonViolationsModal .select2-container--default .select2-selection--single,
        #editNONViolationsModal .select2-container--default .select2-selection--single,
        #showNONViolationsModal .select2-container--default .select2-selection--single,
        #createAccidentModal .select2-container--default .select2-selection--single,
        #editAccidentModal .select2-container--default .select2-selection--single,
        #showAccidentModal .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        #createHOSViolationsModal .select2-container--default .select2-selection--single .select2-selection__rendered,
        #editHOSViolationsModal .select2-container--default .select2-selection--single .select2-selection__rendered,
        #showHOSViolationsModal .select2-container--default .select2-selection--single .select2-selection__rendered,
        #createNonViolationsModal .select2-container--default .select2-selection--single .select2-selection__rendered,
        #editNONViolationsModal .select2-container--default .select2-selection--single .select2-selection__rendered,
        #showNONViolationsModal .select2-container--default .select2-selection--single .select2-selection__rendered,
        #createAccidentModal .select2-container--default .select2-selection--single .select2-selection__rendered,
        #editAccidentModal .select2-container--default .select2-selection--single .select2-selection__rendered,
        #showAccidentModal .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        #createHOSViolationsModal .select2-container--default .select2-selection--single .select2-selection__arrow,
        #editHOSViolationsModal .select2-container--default .select2-selection--single .select2-selection__arrow,
        #showHOSViolationsModal .select2-container--default .select2-selection--single .select2-selection__arrow,
        #createNonViolationsModal .select2-container--default .select2-selection--single .select2-selection__arrow,
        #editNONViolationsModal .select2-container--default .select2-selection--single .select2-selection__arrow,
        #showNONViolationsModal .select2-container--default .select2-selection--single .select2-selection__arrow,
        #createAccidentModal .select2-container--default .select2-selection--single .select2-selection__arrow,
        #editAccidentModal .select2-container--default .select2-selection--single .select2-selection__arrow,
        #showAccidentModal .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        #createHOSViolationsModal .select2-container .select2-selection--single .select2-selection__rendered,
        #editHOSViolationsModal .select2-container .select2-selection--single .select2-selection__rendered,
        #showHOSViolationsModal .select2-container .select2-selection--single .select2-selection__rendered,
        #createNonViolationsModal .select2-container .select2-selection--single .select2-selection__rendered,
        #editNONViolationsModal .select2-container .select2-selection--single .select2-selection__rendered,
        #showNONViolationsModal .select2-container .select2-selection--single .select2-selection__rendered,
        #createAccidentModal .select2-container .select2-selection--single .select2-selection__rendered,
        #editAccidentModal .select2-container .select2-selection--single .select2-selection__rendered,
        #showAccidentModal .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            /*font-weight: 600;*/
            /*color: #000000e6 !important;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        #createHOSViolationsModal #HosaddRow,
        #editHOSViolationsModal #HosaddRow,
        #showHOSViolationsModal #HosaddRow,
        #createNonViolationsModal #HosaddRow,
        #editNONViolationsModal #HosaddRow,
        #showNONViolationsModal #HosaddRow {
            background: #305F9C !important;
        }
        #createHOSViolationsModal #HosaddRow:hover,
        #editHOSViolationsModal #HosaddRow:hover,
        #showHOSViolationsModal #HosaddRow:hover,
        #createNonViolationsModal #HosaddRow:hover,
        #editNONViolationsModal #HosaddRow:hover,
        #showNONViolationsModal #HosaddRow:hover {
            opacity: 0.5;
        }
        #createHOSViolationsModal textarea.form-control,
        #editHOSViolationsModal textarea.form-control,
        #showHOSViolationsModal textarea.form-control,
        #createNonViolationsModal textarea.form-control,
        #editNONViolationsModal textarea.form-control,
        #showNONViolationsModal textarea.form-control,
        #createAccidentModal textarea.form-control,
        #editAccidentModal textarea.form-control,
        #showAccidentModal textarea.form-control {
            height: inherit;
            /*font-size: 14px;*/
            /*font-weight: bolder;*/
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 9px 12px;
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        #createHOSViolationsModal textarea::placeholder,
        #editHOSViolationsModal textarea::placeholder,
        #showHOSViolationsModal textarea::placeholder,
        #createNonViolationsModal textarea::placeholder,
        #editNONViolationsModal textarea::placeholder,
        #showNONViolationsModal textarea::placeholder,
        #createAccidentModal textarea::placeholder,
        #editAccidentModal textarea::placeholder,
        #showAccidentModal textarea::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        #createHOSViolationsModal .custom-switch .custom-control-label::before,
        #editHOSViolationsModal .custom-switch .custom-control-label::before,
        #showHOSViolationsModal .custom-switch .custom-control-label::before,
        #createNonViolationsModal .custom-switch .custom-control-label::before,
        #editNONViolationsModal .custom-switch .custom-control-label::before,
        #showNONViolationsModal .custom-switch .custom-control-label::before {
            width: 40px;
            height: 23px;
            border-radius: 30px;
            border: 1px solid #305F9C;
            background-color: #fff;
            top: 4px;
        }
        #createHOSViolationsModal .custom-switch .custom-control-label::after,
        #editHOSViolationsModal .custom-switch .custom-control-label::after,
        #showHOSViolationsModal .custom-switch .custom-control-label::after,
        #createNonViolationsModal .custom-switch .custom-control-label::after,
        #editNONViolationsModal .custom-switch .custom-control-label::after,
        #showNONViolationsModal .custom-switch .custom-control-label::after {
            left: calc(-2.28rem + 4px);
            width: calc(1rem - 1px);
            height: calc(1rem - 1px);
            font-family: 'FontAwesome';
            top: 8.4px;
            font-size: 20px;
            color: #ffffff;
            background: #305F9C;
            border-radius: 100%;
            content: '';
        }
        #createHOSViolationsModal .custom-control-input:checked~.custom-control-label::after,
        #editHOSViolationsModal .custom-control-input:checked~.custom-control-label::after,
        #showHOSViolationsModal .custom-control-input:checked~.custom-control-label::after,
        #createNonViolationsModal .custom-control-input:checked~.custom-control-label::after,
        #editNONViolationsModal .custom-control-input:checked~.custom-control-label::after,
        #showNONViolationsModal .custom-control-input:checked~.custom-control-label::after {
            color: #305F9C !important;
            background: #ffffff !important;
        }
        #createHOSViolationsModal .custom-control-input:checked~.custom-control-label::before,
        #editHOSViolationsModal .custom-control-input:checked~.custom-control-label::before,
        #showHOSViolationsModal .custom-control-input:checked~.custom-control-label::before,
        #createNonViolationsModal .custom-control-input:checked~.custom-control-label::before,
        #editNONViolationsModal .custom-control-input:checked~.custom-control-label::before,
        #showNONViolationsModal .custom-control-input:checked~.custom-control-label::before {
            background-color: #305F9C !important;
            border-color: #305F9C !important;
        }
        #createNonViolationsModal.input-group>.custom-select:not(:last-child),
        #createNonViolationsModal.input-group>.form-control:not(:last-child),
        #editNONViolationsModal.input-group>.custom-select:not(:last-child),
        #editNONViolationsModal.input-group>.form-control:not(:last-child),
        #showNONViolationsModal.input-group>.custom-select:not(:last-child),
        #showNONViolationsModal.input-group>.form-control:not(:last-child) {
            border-top-right-radius: 10px 10px;
            border-bottom-right-radius: 10px 10px;
        }

        #createAccidentModal .input-group-text,
        #editAccidentModal .input-group-text,
        #showAccidentModal .input-group-text {
            background: transparent;
            border-radius: 10px 0px 0px 10px;
            color: #342828;
            padding: 4px 14px;
            font-family: 'Inter', sans-serif;
        }
        #createAccidentModal input[type=number].form-control,
        #editAccidentModal input[type=number].form-control,
        #showAccidentModal input[type=number].form-control {
            width: auto;
            /*font-size: 14px;*/
            /*font-weight: bolder;*/
            border: 1px solid #D8D8DD;
            border-radius: 0px 10px 10px 0px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            /*color: #000000 !important;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        #createAccidentModal #upload,
        #editAccidentModal #upload {
            display: block;
            border: 2px dashed #8f9bb3;
            font-size: 16px;
            cursor: pointer;
            background: #eff4fa;
            color: #305F9C;
            outline: none;
            font-family: 'Open Sans', sans-serif;
            width: 100%;
            height: 192px;
            border-radius: 10px;
        }
        #createAccidentModal .drop-zone__prompt,
        #editAccidentModal .drop-zone__prompt {
            font: normal normal 600 14px/17px Inter;
            letter-spacing: 0px;
            color: #305F9C;
            bottom: 65px;
        }
        #createAccidentModal .drop-zone__prompt::before,
        #editAccidentModal .drop-zone__prompt::before {
            top: -40px;
            font-size: 50px;
            color: #305F9C;
        }
        #createAccidentModal .image-wrapper img,
        #editAccidentModal .image-wrapper img {
            display: block;
            margin: 0 auto 15px;
            position: absolute;
            width: 100%;
            height: 192px;
            object-fit: cover;
            border-radius: 10px;
        }

        .driver-tabs #tabDocuments .white-box.table-view .table-title {
            background: #F1F3F6 0% 0% no-repeat padding-box;
            border-radius: 10px;
        }
        .driver-tabs #tabDocuments .white-box.table-view .dataTables_wrapper .dataTables_filter .form-control {
            /*font-size: 14px;*/
            /*font-weight: bolder;*/
            border: 1px solid #305F9C;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            background: #F1F3F6 0% 0% no-repeat padding-box;
            width: 373px;
            height: 43px;
            box-shadow: 0 3px 6px rgb(0 0 0 / 16%);
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        .driver-tabs #tabDocuments .white-box.table-view .dataTables_wrapper .dataTables_length .form-control {
            /*font-size: 14px;*/
            /*font-weight: bolder;*/
            border: 1px solid #305F9C;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 8px;
            height: 43px;
            width: 60px;
            /*color: #305F9C !important;*/
            box-shadow: 0 3px 6px rgb(0 0 0 / 16%);
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        .driver-tabs #tabDocuments .white-box.table-view .dataTables_wrapper .dataTables_length .form-control:hover {
            color: #fff !important;
            background-color: #305F9C;
        }
        .driver-tabs #tabDocuments .white-box.table-view .table-title {
            margin-bottom: -54px;
        }
        .driver-tabs #tabDocuments .white-box.table-view .dataTables_filter {
            padding-right: 0px;
            margin-right: -10px;
        }
        .driver-tabs #tabDocuments .white-box.table-view table.dataTable {
            border: 1px solid #CCCCCC;
            margin-top: 0px !important;
        }
        .driver-tabs #tabDocuments .white-box.table-view .row .dataTables_length {
            display: block!important;
            margin-right: -10px;
        }
        .driver-tabs #tabDocuments .white-box.table-view .table thead th {
            padding: 15px 15px 15px 15px !important;
        }
        .driver-tabs #tabDocuments .white-box.table-view .table tbody td {
            padding: 8px 15px 8px 15px !important;
        }
        .driver-tabs #tabDocuments .white-box.table-view .listing .table thead {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            text-align: center;
        }
        .driver-tabs #tabDocuments .white-box.table-view .listing .table tbody {
            text-align: center;
        }
        .driver-tabs #tabDocuments .white-box.table-view .listing .table tbody tr:first-child td {
            border: 1px solid #dee2e6 !important;
        }
        .driver-tabs #tabDocuments .white-box.table-view table.rounded-corners {
            border-radius: 10px;
            border-spacing: 0;
            border-collapse: separate;
            overflow: hidden;
            font-weight: 600;
        }
        .driver-tabs #tabDocuments .white-box.table-view table.rounded-corners th:not(:last-child),
        .driver-tabs #tabDocuments .white-box.table-view table.rounded-corners td:not(:last-child) {
            border-right: var(--border);
        }
        .driver-tabs #tabDocuments .white-box.table-view table.rounded-corners>thead>tr:not(:last-child)>th,
        .driver-tabs #tabDocuments .white-box.table-view table.rounded-corners>thead>tr:not(:last-child)>td,
        .driver-tabs #tabDocuments .white-box.table-view table.rounded-corners>tbody>tr:not(:last-child)>th,
        .driver-tabs #tabDocuments .white-box.table-view table.rounded-corners>tbody>tr:not(:last-child)>td,
        .driver-tabs #tabDocuments .white-box.table-view table.rounded-corners>tfoot>tr:not(:last-child)>th,
        .driver-tabs #tabDocuments .white-box.table-view table.rounded-corners>tfoot>tr:not(:last-child)>td,
        .driver-tabs #tabDocuments .white-box.table-view table.rounded-corners>tr:not(:last-child)>td,
        .driver-tabs #tabDocuments .white-box.table-view table.rounded-corners>tr:not(:last-child)>th,
        .driver-tabs #tabDocuments .white-box.table-view table.rounded-corners>thead:not(:last-child),
        .driver-tabs #tabDocuments .white-box.table-view table.rounded-corners>tbody:not(:last-child),
        .driver-tabs #tabDocuments .white-box.table-view table.rounded-corners>tfoot:not(:last-child) {
            border-bottom: var(--border);
        }
        .driver-tabs #tabDocuments .white-box.table-view .table thead::before {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
        }
        .driver-tabs #tabDocuments .white-box.table-view .table tbody td .status-approved::before,
        .driver-tabs #tabDocuments .white-box.table-view .table tbody td .status-pending::before,
        .driver-tabs #tabDocuments .white-box.table-view .table tbody td .status-review::before {
            margin-top: 5px;
            margin-left: -10px;
            left: 45px;
        }
        .driver-tabs #tabDocuments .white-box.table-view .btn-blueBr {
            color: #305F9C;
            background-color: #F1F3F6;
            border: 1px solid #305F9C;
            height: 43px;
            border-radius: 10px;
        }
        .driver-tabs #tabDocuments .white-box.table-view .btn-blueBr:hover {
            color: #fff;
            background-color: #305F9C;
        }

        #otherDocModal .select2-container,
        #requestDocModal .select2-container {
            width: 100% !important;
        }
        #otherDocModal .select2-container .select2-selection--single,
        #requestDocModal .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        #otherDocModal .select2-container--default .select2-selection--single,
        #requestDocModal .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        #otherDocModal .select2-container--default .select2-selection--single .select2-selection__rendered,
        #requestDocModal .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        #otherDocModal .select2-container--default .select2-selection--single .select2-selection__arrow,
        #requestDocModal .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        #otherDocModal .select2-container .select2-selection--single .select2-selection__rendered,
        #requestDocModal .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            /*font-weight: 600;*/
            /*color: #000000e6 !important;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        #otherDocModal input[type="file"].form-control {
            height: 43px;
            padding: 5px 12px;
        }
        #requestDocModal .addmorefile {
            cursor: pointer;
            color: #305F9C;
            font-size: 30px;
            border-radius: 8px;
        }
        #requestDocModal .removeRow {
            cursor: pointer;
            color: #dc3545;
            font-size: 30px;
            border-radius: 8px;
        }
        #requestDocModal .form-check {
            padding-left: inherit;
            margin-left: -5px;
            margin-top: 2px;
        }
        #requestDocModal .form-check input {
            opacity: 0;
        }
        #requestDocModal .form-check label::before {
            content: '';
            position: absolute;
            width: 16px;
            height: 16px;
            left: 5px;
            border: 2px solid #305F9C;
            border-radius: 4px;
            top: -1px;
        }
        #requestDocModal .form-check label::after {
            content: "\f00c";
            font: normal normal normal 14px/1 FontAwesome;
            color: white;
            left: 8px;
            position: absolute;
            top: 1.5px;
            font-size: 10px;
            opacity: 0;
        }
        #requestDocModal .form-check-input {
            position: inherit;
            margin-top: inherit;
            margin-left: inherit;
        }
        #requestDocModal .form-check input[type="checkbox"]:checked~label::before {
            background-color: #305F9C;
        }
        #requestDocModal .form-check input[type="checkbox"]:checked~label::after {
            opacity: 1;
        }
        #requestDocModal .form-group label {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            color: #616376 !important;
        }
        #requestDocModal .form-group p {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #342828;
        }
        #requestDocModal .btn-group>.btn {
            width: 111px;
            height: auto;
            padding: 8px 10px;
        }
        #requestDocModal .btn-group>.btn img {
            width: 12px;
            margin-left: 7px;
        }
        #requestDocModal .btn-group>.btn-group>.btn, .btn-group>.btn:not(.dropdown-toggle){
            border-radius: 10px !important;
        }
        #requestDocModal .btn-group>.btn, .ngd-new .btn-group>.btn{
            margin: 8px;
            font-size: 14px;
            font-weight: bold;
            flex: initial;
            box-shadow: none;
        }
        #requestDocModal .custom-switch-blue {
            padding-left: 0;
            display: inline-block;
        }
        #requestDocModal .custom-switch-blue .custom-control-label {
            width: 42px;
            height: 28px;
            margin-bottom: 0;
        }
        #requestDocModal .custom-switch-blue .custom-control-label::before {
            width: 100%;
            height: 100%;
            border: 1px solid #305F9C;
            background-color: #fff;
            top: 0;
            left: 0;
            border-radius: 30px;
        }
        #requestDocModal .custom-switch-blue .custom-control-label::after {
            width: 18px;
            height: 18px;
            left: 4px;
            background: #305F9C;
            top: 5px;
            border-radius: 100%;
            transition: background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out, -webkit-transform .15s ease-in-out;
            transition: transform .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
            transition: transform .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out, -webkit-transform .15s ease-in-out;
        }
        #requestDocModal .custom-switch-blue .custom-control-input:checked~.custom-control-label::before {
            background-color: #305F9C;
            border-color: #305F9C !important;
        }
        #requestDocModal .custom-switch-blue .custom-control-input:checked~.custom-control-label::after {
            transform: translateX(16px);
            background: #fff;
        }
        #requestDocModal .dispatchHubNew-btn .custom-switch-blue {
            margin-bottom: 7px;
        }

        .driver-tabs #tabEventsCalendar .card {
            border-radius: 10px 10px 10px 10px;
        }
        .driver-tabs #tabEventsCalendar .card .card-header {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border-radius: 10px 10px 0px 0px;
            height: 55px;
            padding-top: 7px;
        }
        .driver-tabs #tabEventsCalendar .card .card-header h6 {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FFFFFF;
            padding-top: 7px;
        }
        .driver-tabs #tabEventsCalendar .select2-container {
            width: 100% !important;
        }
        .driver-tabs #tabEventsCalendar .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .driver-tabs #tabEventsCalendar .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        .driver-tabs #tabEventsCalendar .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        .driver-tabs #tabEventsCalendar .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        .driver-tabs #tabEventsCalendar .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            /*font-weight: 600;*/
            /*color: #000000e6 !important;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        .driver-tabs #tabEventsCalendar .custom-switch-blue .custom-control-label::after,
        .driver-tabs #tabEventsCalendar .custom-switch-blue .custom-control-label::after {
            width: 16px;
            height: 16px;
            left: 5px;
            top: 2px;
        }
        .driver-tabs #tabEventsCalendar .custom-switch-blue .custom-control-label::before,
        .driver-tabs #tabEventsCalendar .custom-switch-blue .custom-control-label::before{
            height: 70%;
        }
        .driver-tabs #tabEventsCalendar .form-group label {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            color: #616376 !important;
        }
        .driver-tabs #tabEventsCalendar .target-calendar #calendar .fc-toolbar {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border-radius: 10px 10px 0px 0px;
            height: 55px;
        }
        .driver-tabs #tabEventsCalendar .dropdown #calendarEventsRange {
            color: #FFFFFF;
            cursor: pointer;
            padding: 10px 10px;
            border: 1px solid #D8D8DD;
            width: 100%;
            border-radius: 10px;
        }
        .driver-tabs #tabEventsCalendar #calendarEventsList h6 {
            font: normal normal 600 16px/20px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #322727;
        }
        .driver-tabs #tabEventsCalendar #calendarEventsList i {
            font-size: 16px;
            color: #305f9c;
        }
        .driver-tabs #tabEventsCalendar #calendarEventsList span {
            font: normal normal 500 16px/20px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #616376;
        }
        .driver-tabs #tabEventsCalendar .fc-basic-view .fc-body .fc-row {
            min-height: 94px;
        }
        #newEvent .form-group label,
        #editEvent .form-group label {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            color: #616376 !important;
        }
        #newEvent .select2-container,
        #editEvent .select2-container {
            width: 100% !important;
        }
        #newEvent .select2-container .select2-selection--single,
        #editEvent .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        #newEvent .select2-container--default .select2-selection--single,
        #editEvent .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        #newEvent .select2-container--default .select2-selection--single .select2-selection__rendered,
        #editEvent .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        #newEvent .select2-container--default .select2-selection--single .select2-selection__arrow,
        #editEvent .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        #newEvent .select2-container .select2-selection--single .select2-selection__rendered,
        #editEvent .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            /*font-weight: 600;*/
            /*color: #000000e6 !important;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        #newEvent .input-group>.custom-select:not(:last-child),
        #editEvent .input-group>.custom-select:not(:last-child),
        #newEvent .input-group>.form-control:not(:last-child),
        #editEvent .input-group>.form-control:not(:last-child) {
            border-top-right-radius: 10px;
            border-bottom-right-radius: 10px;
        }
        #newEvent .input-group-text,
        #editEvent .input-group-text {
            background: transparent;
            border-radius: 10px 0px 0px 10px;
            color: #342828;
            padding: 4px 14px;
            font-family: 'Inter', sans-serif;
        }
        #newEvent .input-group img,
        #editEvent .input-group img {
            width: 15px;
            height: 17px;
        }

        .driver-tabs #tabDriverOnboarding .card-onboarding-form {
            border-radius: 0.75rem 0.75rem 0.25rem 0.25rem;
        }
        .driver-tabs #tabDriverOnboarding .card-onboarding-form .card-header {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border-radius: 10px 10px 0px 0px;
            height: 55px;
        }
        .driver-tabs #tabDriverOnboarding .card-onboarding-form .card-header h6 {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FFFFFF;
            padding-top: 7px;
        }
        .driver-tabs #tabDriverOnboarding .card-onboarding-form .card-header h6 a,
        .driver-tabs #tabDriverOnboarding .card-onboarding-form .card-header h6 a:hover {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FFFFFF;
            padding-top: 7px;
            text-decoration: underline;
        }
        .driver-tabs #tabDriverOnboarding .card-onboarding-form .card-body textarea.form-control {
            /*font-size: 14px;*/
            /*font-weight: bolder;*/
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 9px 12px;
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        .driver-tabs #tabDriverOnboarding .card-onboarding-form hr {
            border-color: #D8D8DD;
            margin: 0;
        }
        .driver-tabs #tabDriverOnboarding .onboard-progress-bar li.fill-active {
            background-color: #305F9C !important;
        }
        .driver-tabs #tabDriverOnboarding .onboard-progress-bar li.fill-active:after {
            content: inherit;
        }
        .driver-tabs #tabDriverOnboarding .onboard-progress-bar li.fill-active img {
            position: absolute;
            bottom: -6px;
            height: 40px;
        }
        .driver-tabs #tabDriverOnboarding .onboard-progress-bar li.fill-inactive {
            background-color: #DCE4EE !important;
        }
        .driver-tabs #tabDriverOnboarding .onboard-progress-bar li.fill-inactive:after {
            content: inherit;
        }
        .driver-tabs #tabDriverOnboarding .onboard-progress-bar li.fill-inactive img {
            position: absolute;
            bottom: -6px;
            height: 40px;
        }
        .driver-tabs #tabDriverOnboarding .onboard-progress-bar li .p-value {
            top: -30px !important;
            color: #305F9C !important;
        }
        .driver-tabs #tabDriverOnboarding .progress-bar-div {
            height: 50px;
        }
        .driver-tabs #tabDriverOnboarding .onboard-progress-bar li:first-of-type {
            border-radius: 0px 0px 0px 10px !important;
        }
        .driver-tabs #tabDriverOnboarding .onboard-progress-bar li:last-of-type {
            border-radius: 0px 0px 10px 0px !important;
        }
        .driver-tabs #tabDriverOnboarding table.rounded-corners {
            border-radius: 10px 10px 0px 0px;
            border-spacing: 0;
            border-collapse: separate;
            overflow: hidden;
            font-weight: 600;
        }
        .driver-tabs #tabDriverOnboarding.dataTable thead::before {
            font: normal normal bold 15px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FFFFFF !important;
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
        }
        .driver-tabs #tabDriverOnboarding.dataTable thead tr th,
        .driver-tabs #tabDriverOnboarding.dataTable thead tr td {
            text-align: center;
        }
        .driver-tabs #tabDriverOnboarding .table td,
        .driver-tabs #tabDriverOnboarding .table tbody tr:first-child td {
            border-bottom: inherit !important;
        }
        .driver-tabs #tabDriverOnboarding .stage-listing table td {
            text-align: center;
            font-family: Inter, Sans-Serif;
            font-size: 14px !important;
            letter-spacing: 0px;
            color: #616376;
        }
        .driver-tabs #tabDriverOnboarding .stage-listing table td .custom-switch-blue .custom-control-label{
            height: 20px;
        }
        .driver-tabs #tabDriverOnboarding .stage-listing table td .custom-switch-blue label::after {
            width: 14px;
            height: 14px;
            left: 5px;
            top: 3px
        }
        .driver-tabs #tabDriverOnboarding .stage-listing table td .form-group.w-f-content img {
            bottom: 12px;
        }
        .driver-tabs #tabDriverOnboarding input[type=text].form-control {
            /*font-size: 14px;*/
            /*font-weight: bolder;*/
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        .driver-tabs #tabDriverOnboarding .form-group img {
            width: 15px;
        }
        .driver-tabs #tabDriverOnboarding hr {
            border-color: #D8D8D9;
        }
        .driver-tabs #tabDriverOnboarding .select2-container {
            width: 100% !important;
        }
        .driver-tabs #tabDriverOnboarding .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .driver-tabs #tabDriverOnboarding .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        .driver-tabs #tabDriverOnboarding .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        .driver-tabs #tabDriverOnboarding .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        .driver-tabs #tabDriverOnboarding .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            /*font-weight: 600;*/
            /*color: #000000e6 !important;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }

        .driver-tabs #tabStateMap ::-webkit-scrollbar-thumb {
            background: #305F9C;
            border-radius: 10px;
        }
        .driver-tabs #tabStateMap .state-map-chart-custom-grid {
            max-width: 78%;
        }
        .driver-tabs #tabStateMap .state-map-chkbox-custom-grid {
            max-width: 22%;
        }
        .driver-tabs #tabStateMap .state-map-base-box {
            border: 1px solid #CCCCCC;
            border-radius: 10px;
            overflow-y: auto;
            overflow-x: hidden;
            max-height: 808px;
        }
        .driver-tabs #tabStateMap .state-map-base-box::-webkit-scrollbar{
            width: 5px;
        }
        .driver-tabs #tabStateMap .state-map-base-box .box-header{
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            color: #fff;
            position: relative;
            border-radius: 10px 10px 0 0;
            height: 53px;
            margin-right: -5px;
        }
        .driver-tabs #tabStateMap .state-map-base-box .box-header h3 {
            font-size: 17px;
            line-height: 19px;
            color: #FFFFFF;
            font-weight: bold;
            white-space: nowrap;
            text-overflow: ellipsis;
            margin-top: 0;
            margin-bottom: 0;
            margin-left: 10px;
            padding: 18px 0px 0px 25px;
        }
        .driver-tabs #tabStateMap .state-map-base-box .tr-head {
            font-size: 15px;
            line-height: 19px;
            color: #FFFFFF;
            font-weight: bold;
            white-space: nowrap;
            text-overflow: ellipsis;
            margin-top: 0;
            margin-bottom: 0;
            margin-left: 10px;
            padding: 18px 0px 0px 10px;
        }
        .driver-tabs #tabStateMap .state-map-base-box table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 0 !important;
            overflow-x: auto;
        }
        .driver-tabs #tabStateMap .state-map-base-box table tbody tr td .form-check {
            margin-right: 10px;
        }
        .driver-tabs #tabStateMap .state-map-base-box .table .tr-head {
            background-color: #DCE4EE;
            color: white;
        }
        .driver-tabs #tabStateMap .state-map-base-box .table .tr-head td {
            font-size: 14px;
            line-height: 19px;
            font-weight: 800;
            padding: 8px 10px !important;
            width: 100%;
            position: relative;
            min-width: 75px;
            color: #342828;
        }
        .driver-tabs #tabStateMap .state-map-base-box .table tbody tr:not(.tr-head) td {
            width: 100%;
            padding: 8px 30px !important;
            border-bottom: 1px solid #CCCCCC !important;
            font-size: 12px;
            line-height: 17px;
            font-weight: bold;
            min-width: 75px;
        }
        .driver-tabs #tabStateMap .state-map-base-box .form-check label::before {
            top: 2px;
        }
        .driver-tabs #tabStateMap .state-map-base-box .form-check label::after {
            top: 3.5px;
        }
        .driver-tabs #tabStateMap .state-map-base-box .form-check-label, .state-map-block {
            cursor: pointer;
        }
        .driver-tabs #tabStateMap .state-map-base-box .state-map-block {
            color: #FF1010;
        }
        .driver-tabs #tabStateMap .icon-preferred i {
            font-size: 14px;
            color: #305F9C;
        }
        .driver-tabs #tabStateMap .icon-Open i {
            font-size: 14px;
            color: #EAEAEA;
        }
        .driver-tabs #tabStateMap .icon-Block i {
            font-size: 14px;
            color: #FF1010;
        }
        .driver-tabs #tabStateMap .icon-preferred b {
            font-size: 14px;
            color: #322727;
        }
        .driver-tabs #tabStateMap .icon-Open b {
            font-size: 14px;
            color: #322727;
        }
        .driver-tabs #tabStateMap .icon-Block b {
            font-size: 14px;
            color: #322727;
        }
        .driver-tabs #tabStateMap .map-legend {
            position: absolute;
            bottom: 0;
            right: 0;
        }
        .driver-tabs #tabStateMap .form-check {
            padding-left: inherit;
        }
        .driver-tabs #tabStateMap .form-check input {
            opacity: 0;
        }
        .driver-tabs #tabStateMap .form-check label::before {
            content: '';
            position: absolute;
            width: 16px;
            height: 16px;
            left: 5px;
            border: 2px solid #305F9C;
            border-radius: 4px;
            top: -1px;
        }
        .driver-tabs #tabStateMap .form-check label::after {
            content: "\f00c";
            font: normal normal normal 14px/1 FontAwesome;
            color: white;
            left: 8px;
            position: absolute;
            top: 1.5px;
            font-size: 10px;
            opacity: 0;
        }
        .driver-tabs #tabStateMap .form-check-input {
            position: inherit;
            margin-top: inherit;
            margin-left: inherit;
        }
        .driver-tabs #tabStateMap .form-check input[type="checkbox"]:checked~label::before {
            background-color: #305F9C;
        }
        .driver-tabs #tabStateMap .form-check input[type="checkbox"]:checked~label::after {
            opacity: 1;
        }

        .driver-tabs #tabDriverInfo .card {
            border-radius: 10px 10px 10px 10px;
        }
        .driver-tabs #tabDriverInfo .card .card-header {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border-radius: 10px 10px 0px 0px;
            height: 55px;
            padding-top: 7px;
        }
        .driver-tabs #tabDriverInfo .card .card-header h6 {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FFFFFF;
            padding-top: 7px;
            text-align: center;
        }
        .driver-tabs #tabDriverInfo .table .heading {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .driver-tabs #tabDriverInfo .table tbody td:not(.heading) {
            font: normal normal 600 14px/17px Inter;
            letter-spacing: 0px;
            color: #322727;
        }
        .driver-tabs #tabDriverInfo .table td:not(.heading) {
            word-break: break-all;
            white-space: inherit;
        }
        .driver-tabs #tabDriverInfo .table tbody td {
            vertical-align: top;
        }
        .driver-tabs #tabDriverInfo .table tbody td {
            padding: 10px 5px !important;
        }

        .driver-tabs #tabYourLeave #pills-tab a.btn-blueBr {
            background: #FFFFFF 0% 0% no-repeat padding-box;
            border: 1px solid #305F9C;
            border-radius: 10px !important;
        }
        .driver-tabs #tabYourLeave #pills-tab a.btn-blueBr:hover {
            background: #FFFFFF 0% 0% no-repeat padding-box;
            border: 1px solid #305F9C;
            color: #305F9C;
        }
        .driver-tabs #tabYourLeave #pills-tab a.active {
            background: #305F9C 0% 0% no-repeat padding-box;
            border: 1px solid #305F9C;
            color: #fff;
        }
        .driver-tabs #tabYourLeave #pills-tab a.active:hover {
            background: #305F9C 0% 0% no-repeat padding-box;
            border: 1px solid #305F9C;
            color: #fff;
        }
        .driver-tabs #tabYourLeave #pills-tabContent {
            border: 0;
        }
        .driver-tabs #tabYourLeave #pills-tabContent .card {
            border-radius: 10px 10px 10px 10px;
        }
        .driver-tabs #tabYourLeave #pills-tabContent .card .card-header {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border-radius: 10px 10px 0px 0px;
            height: 55px;
        }
        .driver-tabs #tabYourLeave #pills-tabContent .card .card-header h6 {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FFFFFF;
            padding-top: 7px;
        }
        .driver-tabs #tabYourLeave #pills-tabContent .btn-blue {
            background: #305F9C 0% 0% no-repeat padding-box;
            border: 1px solid #305F9C;
            color: #fff;
            border-radius: 10px !important;
        }
        .driver-tabs #tabYourLeave #pills-tabContent .select2-container,
        .editLeaveAllowanceForm .select2-container {
            width: 100% !important;
        }
        .driver-tabs #tabYourLeave #pills-tabContent .select2-container .select2-selection--single,
        .editLeaveAllowanceForm .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .driver-tabs #tabYourLeave #pills-tabContent .select2-container--default .select2-selection--single,
        .editLeaveAllowanceForm .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        .driver-tabs #tabYourLeave #pills-tabContent .select2-container--default .select2-selection--single .select2-selection__rendered,
        .editLeaveAllowanceForm .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        .driver-tabs #tabYourLeave #pills-tabContent .select2-container--default .select2-selection--single .select2-selection__arrow,
        .editLeaveAllowanceForm .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        .driver-tabs #tabYourLeave #pills-tabContent .select2-container .select2-selection--single .select2-selection__rendered,
        .editLeaveAllowanceForm .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            /*font-weight: 600;*/
            /*color: #000000e6 !important;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        .driver-tabs #tabYourLeave #pills-tabContent .form-group label,
        .editLeaveAllowanceForm .form-group label,
        #leaveDetailsModal .form-group label {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            color: #616376 !important;
        }
        .driver-tabs #tabYourLeave #pills-tabContent input[type=text].form-control,
        .editLeaveAllowanceForm input[type=text].form-control {
            /*font-size: 14px;*/
            /*font-weight: bolder;*/
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            /*color: #000000 !important;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        .driver-tabs #tabYourLeave #pills-tabContent .input-group>.custom-select:not(:last-child),
        .driver-tabs #tabYourLeave #pills-tabContent .input-group>.form-control:not(:last-child) {
            border-top-right-radius: 10px;
            border-bottom-right-radius: 10px;
        }
        .driver-tabs #tabYourLeave #pills-tabContent .input-group-text {
            background: transparent;
            border-radius: 10px 0px 0px 10px;
            color: #342828;
            padding: 4px 14px;
            font-family: 'Inter', sans-serif;
        }
        .driver-tabs #tabYourLeave #pills-tabContent .input-group img {
            width: 15px;
            height: 17px;
        }
        .driver-tabs #tabYourLeave #pills-tabContent textarea.form-control {
            height: inherit;
            /*font-size: 14px;*/
            /*font-weight: bolder;*/
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 9px 12px;
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        .driver-tabs #tabYourLeave #pills-tabContent textarea::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        .driver-tabs #tabYourLeave #pills-tabContent .occupancy-toolbar {
            border-radius: 10px;
            margin-top: 0px;
        }
        .driver-tabs #tabYourLeave #pills-tabContent .occupancy-table table thead th {
            background-color: #fff !important;
        }
        .driver-tabs #tabYourLeave #pills-tabContent .card .card-body .occupancy-table table th, .occupancy-table table td {
            padding: 15px 7px;
        }

        .driver-tabs #tabMileageRates .state-map-chart-custom-grid {
            max-width: 78%;
        }
        .driver-tabs #tabMileageRates .state-map-chkbox-custom-grid {
            max-width: 22%;
        }
        .driver-tabs #tabMileageRates .card {
            border-radius: 10px 10px 10px 10px;
        }
        .driver-tabs #tabMileageRates .card .card-header {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border-radius: 10px 10px 0px 0px;
            height: 55px;
            padding-top: 7px;
        }
        .driver-tabs #tabMileageRates .card .card-header h6 {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FFFFFF;
            padding-top: 7px;
        }
        .driver-tabs #tabMileageRates .form-check {
            padding-left: inherit;
        }
        .driver-tabs #tabMileageRates .form-check input {
            opacity: 0;
        }
        .driver-tabs #tabMileageRates .form-check label::before {
            content: '';
            position: absolute;
            width: 16px;
            height: 16px;
            left: 5px;
            border: 2px solid #305F9C;
            border-radius: 4px;
            top: -1px;
        }
        .driver-tabs #tabMileageRates .form-check label::after {
            content: "\f00c";
            font: normal normal normal 14px/1 FontAwesome;
            color: white;
            left: 8px;
            position: absolute;
            top: 1.5px;
            font-size: 10px;
            opacity: 0;
        }
        .driver-tabs #tabMileageRates .form-check-input {
            position: inherit;
            margin-top: inherit;
            margin-left: inherit;
        }
        .driver-tabs #tabMileageRates .form-check input[type="checkbox"]:checked~label::before {
            background-color: #305F9C;
        }
        .driver-tabs #tabMileageRates .form-check input[type="checkbox"]:checked~label::after {
            opacity: 1;
        }
        .driver-tabs #tabMileageRates .form-check label::before {
            top: 2px;
        }
        .driver-tabs #tabMileageRates .form-check label::after {
            top: 3.5px;
        }
        .driver-tabs #tabMileageRates .form-check-label, .state-map-block {
            cursor: pointer;
        }
        .driver-tabs #tabMileageRates .tr-head {
            font-size: 15px;
            line-height: 19px;
            color: #FFFFFF;
            font-weight: bold;
            white-space: nowrap;
            text-overflow: ellipsis;
            margin-top: 0;
            margin-bottom: 0;
            margin-left: 10px;
            padding: 18px 0px 0px 10px;
        }
        .driver-tabs #tabMileageRates table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 0 !important;
            overflow-x: auto;
        }
        .driver-tabs #tabMileageRates table tbody tr td .form-check {
            margin-right: 10px;
        }
        .driver-tabs #tabMileageRates .table .tr-head {
            background-color: #DCE4EE;
            color: white;
        }
        .driver-tabs #tabMileageRates .table .tr-head td {
            font-size: 14px;
            line-height: 19px;
            font-weight: 800;
            padding: 8px 10px !important;
            width: 100%;
            position: relative;
            min-width: 75px;
            color: #342828;
        }
        .driver-tabs #tabMileageRates .table tbody tr:not(.tr-head) td {
            width: 100%;
            padding: 8px 30px !important;
            border-top: 1px solid #CCCCCC !important;
            border-bottom: 1px solid #CCCCCC !important;
            font-size: 12px;
            line-height: 17px;
            font-weight: bold;
            min-width: 75px;
        }
        .driver-tabs #tabMileageRates .form-group label {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            color: #616376 !important;
        }
        .driver-tabs #tabMileageRates input[type=text].form-control {
            /*font-size: 14px;*/
            /*font-weight: bolder;*/
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            /*color: #000000 !important;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        .driver-tabs #tabMileageRates .input-group>.custom-select:not(:last-child),
        .driver-tabs #tabMileageRates .input-group>.form-control:not(:last-child) {
            border-top-right-radius: 10px;
            border-bottom-right-radius: 10px;
        }
        .driver-tabs #tabMileageRates .input-group-text {
            background: transparent;
            border-radius: 10px 0px 0px 10px;
            color: #342828;
            padding: 4px 14px;
            font-family: 'Inter', sans-serif;
        }
        .driver-tabs #tabMileageRates .input-group img {
            width: 15px;
            height: 17px;
        }
        .driver-tabs #tabMileageRates .btn {
            border-radius: 10px;
        }
        .driver-tabs #tabMileageRates input::placeholder {
            font: normal normal normal 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #616376;
        }

        .ngd-new .load-requirements-table .table td, .ngd-new .table tbody tr:first-child td {
            border-bottom: inherit !important;
        }
        ::-webkit-scrollbar-thumb {
            background: #305F9C;
            border-radius: 10px;
        }
        .font-weight-600 {
            font-weight: 600;
        }
        #select2-event-type-container img {
            position: inherit;
            right: inherit;
            bottom: inherit;
            width: auto;
            height: 20px;
            margin-top: 10px;
        }
        #select2-event-type-results li img {
            width: auto;
            height: 20px;
        }
    </style>
@endsection

@section('content')
    <div class="row px-2 py-2 pt-3">
        <div class="col-md-12 p-0 driver-header">
            <div class="card mb-1">
                <div class="card-header">
                    <div class="row">
                        <div class="col-md-6">
                            <h6>{{ $driver->full_name }}</h6>
                        </div>
                        <div class="col-md-6 pr-0 text-right">
                            <a href="{{ route('company.admin.drivers.edit', base64Encode($driver->id)) }}" target="_blank"><button type="button" class="btn btn-blueBr" id="btnEdit">Edit Account</button></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-12 p-0 driver-profile">
            <div class="row">
                <div class="col-md-6 pr-2">
                    <div class="card h-100">
                        <div class="card-body">
                            <ul class="top-section">
                                <li>
                                    <div class="avatar-upload">
                                        <div class="avatar-edit">
                                            <input type='file' id="profile_image" accept=".png, .jpg, .jpeg" />
                                            <label for="profile_image" title="Update Profile Picture"></label>
                                        </div>
                                        <div class="avatar-preview">
                                            @if (!is_null($driver->profile_image))
                                                <div id="profile_image_preview" style="background-image: url('{!! asset('storage/companyAdmin/driver/'.$driver->profile_image) !!}');"></div>
                                            @else
                                                <div id="profile_image_preview" style="background-image: url('{!! asset('theme/img/avtar.png') !!}');"></div>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="ranked-box mt-2">
                                        <div class="d-flex flex-row justify-content-center">
                                            <div class="p-2 text-center">
                                                <h3>#2</h3>
                                                <h6>Ranked</h6>
                                                <span>Occupancy</span>
                                                <h6>2 of 50</h6>
                                            </div>
                                            <div class="p-2 text-center">
                                                <h3>#4</h3>
                                                <h6>Ranked</h6>
                                                <span>Revenue</span>
                                                <h6>4 of 50</h6>
                                            </div>
                                            <div class="p-2 text-center">
                                                <h3>#15</h3>
                                                <h6>Ranked</h6>
                                                <span>Safety</span>
                                                <h6>15 of 50</h6>
                                            </div>
                                        </div>
                                    </div>
                                </li>
                                <li>
                                    <table class="driver-profile-detail">
                                        @if(!is_null($driver->full_name))
                                            <tr>
                                                <td>
                                                    <img src="{{ asset('theme/images/profile.svg') }}" alt="profile.svg" width="20" height="20">
                                                </td>
                                                <td>
                                                    <h6>Name:</h6>
                                                </td>
                                                <td>
                                                    @if($driver->suffix == 0)
                                                        Mr.
                                                    @elseif($driver->suffix == 1)
                                                        Mrs.
                                                    @elseif($driver->suffix == 2)
                                                        Ms.
                                                    @elseif($driver->suffix == 3)
                                                        Miss
                                                    @elseif($driver->suffix == 4)
                                                        Dr.
                                                    @endif
                                                    {{ $driver->full_name }}
                                                </td>
                                            </tr>
                                        @endif
                                        @php
                                            $addresses = [];

                                            if(isset($driver->address) && $driver->address!==''){
                                                $addresses[] = $driver->address;
                                            }
                                            if(isset($driver->address_2) && $driver->address_2!==''){
                                                $addresses[] = $driver->address_2;
                                            }
                                            if(isset($driver->city) && $driver->city!==''){
                                                $addresses[] = $driver->city;
                                            }
                                            if(isset($driver->state) && $driver->state!==''){
                                                $addresses[] = $driver->state;
                                            }
                                            if(isset($driver->zip) && $driver->zip!==''){
                                                $addresses[] = $driver->zip;
                                            }
                                            $addresses = implode(', ', $addresses);
                                        @endphp
                                        @if($addresses != '')
                                            <tr>
                                                <td>
                                                    <img src="{{ asset('theme/images/maps-and-flags.svg') }}" alt="maps-and-flags.svg" width="20" height="20">
                                                </td>
                                                <td>
                                                    <h6>Address:</h6>
                                                </td>
                                                <td>
                                                    {{ $addresses }}
                                                </td>
                                            </tr>
                                        @endif
                                        @if(!is_null($driver->cell_phone))
                                            <tr>
                                                <td>
                                                    <img src="{{ asset('theme/images/smartphone-call.svg') }}" alt="smartphone-call.svg" width="20" height="20">
                                                </td>
                                                <td>
                                                    <h6>Cell Phone:</h6>
                                                </td>
                                                <td>
                                                    @if ($driver->cell_phone)
                                                        <a href="tel:{{ $driver->cell_phone }}" class="mr-4">{{ $driver->cell_phone }}</a>
                                                    @else
                                                        -
                                                    @endif
                                                    <h6 class="d-inline mr-1">SMS:</h6>
                                                    @if ($driver->sms == 0)
                                                        <label class="badge badge-danger text-white">No</label>
                                                    @else
                                                        <label class="badge badge-success text-white">Yes</label>
                                                    @endif
                                                </td>
                                            </tr>
                                        @endif
                                        @if(!is_null($driver->home_phone))
                                            <tr>
                                                <td>
                                                    <img src="{{ asset('theme/images/phone-call.svg') }}" alt="phone-call.svg" width="20" height="20">
                                                </td>
                                                <td>
                                                    <h6>Home Phone:</h6>
                                                </td>
                                                <td>
                                                    @if ($driver->home_phone)
                                                        <a href="tel:{{ $driver->home_phone }}">{{ $driver->home_phone }}</a>
                                                    @else
                                                        -
                                                    @endif
                                                </td>
                                            </tr>
                                        @endif
                                        @if(!is_null($driver->email))
                                            <tr>
                                                <td>
                                                    <img src="{{ asset('theme/images/email.svg') }}" alt="email.svg" width="20" height="20">
                                                </td>
                                                <td>
                                                    <h6>Email:</h6>
                                                </td>
                                                <td>
                                                    <a href="mailto:{{ $driver->email }}" class="text-lowercase">{{ $driver->email }}</a>
                                                </td>
                                            </tr>
                                        @endif
                                        <tr>
                                            <td>
                                                <img src="{{ asset('theme/images/Path 10642.svg') }}" alt="Path 10642.svg" width="20" height="20">
                                            </td>
                                            <td>
                                                <h6>Status:</h6>
                                            </td>
                                            <td>
                                                <div class="row">
                                                    <div class="col-5">
                                                        @if(isset($driver) && $driver->status == 2)
                                                            <h6 class="text-danger">Terminated ({{ \Carbon\Carbon::parse($driver->termination_date)->format('m/d/Y') ?? '' }})</h6>
                                                        @else
                                                            <select id="active_status" name="active_status" class="form-control select2ActiveStatus">
                                                                <option value="">Select Status</option>
                                                                <option value="0" data-color="#2F9840" {{ (empty($driver->status) || (!empty($driver) && $driver->status == '0')) ? 'selected' : '' }}>Active</option>
                                                                <option value="1" data-color="#FFCF10" {{ (!empty($driver) && $driver->status == '1') ? 'selected' : '' }}>OOS</option>
                                                                <option value="3" data-color="#305F9C" {{ (!empty($driver) && $driver->status == '3') ? 'selected' : '' }}>Rehire</option>
                                                            </select>
                                                            {{-- {!! Form::select('active_status', ['' => 'Select', '0' => 'Active', '1' => 'OOS', '3' => 'Rehire'], $driver->status ?? '0', ['class' => 'form-control select2', 'id' => 'active_status', 'data-no-search' => 'true']) !!} --}}
                                                        @endif
                                                    </div>
                                                </div>
                                            </td>
                                        </tr>
                                        @if(isset($samsaraInfo) && !empty($samsaraInfo))
                                        <tr>
                                            <td>
                                                <img src="{{ asset('theme/images/Group 12921.svg') }}" alt="Group 12921.svg" width="20" height="20">
                                            </td>
                                            <td>
                                                <h6>Current ELD Status:</h6>
                                            </td>
                                            <td>
                                                @if($samsaraInfo['duty_status'] == 'offDuty')
                                                    <label class="badge eld-status">
                                                        <div class="d-flex align-items-center">
                                                            <div>
                                                                <span class="badge badge-danger">OFF</span>
                                                            </div>
                                                            <div>
                                                                <label class="form-check-label ml-1">Off Duty</label>
                                                            </div>
                                                        </div>
                                                    </label>
                                                @elseif($samsaraInfo['duty_status'] == 'sleeperBed')
                                                    <label class="badge eld-status">
                                                        <div class="d-flex align-items-center">
                                                            <div>
                                                                <span class="badge badge-theme">SB</span>
                                                            </div>
                                                            <div>
                                                                <label class="form-check-label ml-1">Sleeper Bed</label>
                                                            </div>
                                                        </div>
                                                    </label>
                                                @elseif($samsaraInfo['duty_status'] == 'driving')
                                                    <label class="badge eld-status">
                                                        <div class="d-flex align-items-center">
                                                            <div>
                                                                <span class="badge badge-success">D</span>
                                                            </div>
                                                            <div>
                                                                <label class="form-check-label ml-1">Driving</label>
                                                            </div>
                                                        </div>
                                                    </label>
                                                @elseif($samsaraInfo['duty_status'] == 'onDuty')
                                                    <label class="badge eld-status">
                                                        <div class="d-flex align-items-center">
                                                            <div>
                                                                <span class="badge badge-themeOrange">ON</span>
                                                            </div>
                                                            <div>
                                                                <label class="form-check-label ml-1">On Duty</label>
                                                            </div>
                                                        </div>
                                                    </label>
                                                @elseif($samsaraInfo['duty_status'] == '')
                                                    <label class="badge eld-status">
                                                        <div class="d-flex align-items-center">
                                                            <div>
                                                                <span class="badge badge-info">DC</span>
                                                            </div>
                                                            <div>
                                                                <label class="form-check-label ml-1">Disconnected</label>
                                                            </div>
                                                        </div>
                                                    </label>
                                                @endif
                                            </td>
                                        </tr>
                                        @endif
                                        <tr>
                                            <td colspan="3" class="text-left pl-0 pb-0">
                                                <label class="badge truck-and-trailer mb-0">
                                                    <div class="d-flex align-items-center">
                                                        <div>
                                                            <img src="{{ asset('theme/images/trailer.svg') }}" alt="trailer.svg" width="43" height="28">
                                                        </div>
                                                        <div>
                                                            <h6 class="m-2">{{ $driver->driver_information->trailer_number ?? '' }}</h6>
                                                        </div>
                                                    </div>
                                                </label>
                                                <label class="badge truck-and-trailer ml-3 mb-0">
                                                    <div class="d-flex align-items-center">
                                                        <div>
                                                            <img src="{{ asset('theme/images/big-truck.svg') }}" alt="big-truck.svg"  width="43" height="28">
                                                        </div>
                                                        <div>
                                                            <h6 class="m-2">{{ $driver->driver_information->truck_number ?? '' }}</h6>
                                                        </div>
                                                    </div>
                                                </label>
                                            </td>
                                        </tr>
                                    </table>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 pl-2">
                    <div class="card h-100">
                        <div class="card-body pl-2 pb-0 p-0">
                            <ul class="top-section">
                                <li class="mr-5">
                                    <table class="driver-profile-detail mt-4">
                                        @if(!is_null($driver->managerDetails->first_name))
                                            <tr>
                                                <td>
                                                    <img src="{{ asset('theme/images/profile-user.svg') }}" alt="profile-user.svg" width="20" height="20">
                                                </td>
                                                <td>
                                                    <h6>Manager:</h6>
                                                </td>
                                                <td>
                                                    {{ $driver->managerDetails->first_name ?? '-' }} {{ $driver->managerDetails->last_name ?? '' }}
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <img src="{{ asset('theme/images/logout.svg') }}" alt="logout.svg" width="20" height="20">
                                                </td>
                                                <td>
                                                    <h6>Manager Ext:</h6>
                                                </td>
                                                <td>
                                                    {{ !is_null($driver->managerDetails) ? $driver->managerDetails->extension_number : '-' }}
                                                </td>
                                            </tr>
                                        @endif
                                        @if(!is_null($driver->birthday))
                                            <tr>
                                                <td>
                                                    <img src="{{ asset('theme/images/birthday-cake.svg') }}" alt="birthday-cake.svg" width="20" height="20">
                                                </td>
                                                <td>
                                                    <h6>Birthday:</h6>
                                                </td>
                                                <td>
                                                    {{ $driver->birthday }}
                                                </td>
                                            </tr>
                                        @endif
                                        @if(!is_null($driver->eobr_provider))
                                            <tr>
                                                <td>
                                                    <img src="{{ asset('theme/images/Group 12925.svg') }}" alt="Group 12925.svg" width="20" height="20">
                                                </td>
                                                <td>
                                                    <h6>ELD Provider:</h6>
                                                </td>
                                                <td>
                                                    @if($driver->eobr_provider == '0')
                                                        Samsara
                                                    @elseif($driver->eobr_provider == '1')
                                                        GeoTab
                                                    @elseif($driver->eobr_provider == '2')
                                                        Omnitracs
                                                    @endif
                                                </td>
                                            </tr>
                                        @endif
                                        <tr>
                                            <td>
                                                <img src="{{ asset('theme/images/Group 12925.svg') }}" alt="Group 12925.svg" width="20" height="20">
                                            </td>
                                            <td>
                                                <h6>Tanker Endorsement:</h6>
                                            </td>
                                            <td>
                                                @if(!is_null($driver->tanker))
                                                    Yes
                                                @else
                                                    No
                                                @endif
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <img src="{{ asset('theme/images/credit-card.svg') }}" alt="credit-card.svg" width="20" height="20">
                                            </td>
                                            <td>
                                                <h6>TWIC Card:</h6>
                                            </td>
                                            <td>
                                                @if(!is_null($driver->twic))
                                                    Yes
                                                @else
                                                    No
                                                @endif
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <img src="{{ asset('theme/images/passport.svg') }}" alt="passport.svg" width="20" height="20">
                                            </td>
                                            <td>
                                                <h6>Passport:</h6>
                                            </td>
                                            <td>
                                                @if(!is_null($driver->passport_number))
                                                    Yes
                                                @else
                                                    No
                                                @endif
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <img src="{{ asset('theme/images/travel.svg') }}" alt="travel.svg" width="20" height="20">
                                            </td>
                                            <td>
                                                <h6>Passenger:</h6>
                                            </td>
                                            <td>
                                                @if(!is_null($driver->passenger))
                                                    Yes
                                                @else
                                                    No
                                                @endif
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <img src="{{ asset('theme/images/pets.svg') }}" alt="pets.svg" width="20" height="20">
                                            </td>
                                            <td>
                                                <h6>Pets:</h6>
                                            </td>
                                            <td>
                                                @if(!is_null($driver->pets))
                                                    Yes
                                                @else
                                                    No
                                                @endif
                                            </td>
                                        </tr>
                                        @if(!is_null($driver->anniversary))
                                            <tr>
                                                <td>
                                                    <img src="{{ asset('theme/images/wedding-day.svg') }}" alt="wedding-day.svg" width="20" height="20">
                                                </td>
                                                <td>
                                                    <h6>Anniversary:</h6>
                                                </td>
                                                <td>
                                                    {{ $driver->anniversary }}
                                                </td>
                                            </tr>
                                        @endif
                                    </table>
                                </li>
                                <li>
                                    <div class="row last-location-chart">
                                        <div class="col-sm-12 text-center pt-4" style="border-bottom: 1px solid #E4E4E4; border-left: 1px solid #E4E4E4;">
                                            <label class="font-weight-bold">Last Location</label>
                                            <div class="liveLocation mb-2" data-driver="{{ $driver->id }}">
                                                <img src="{{ asset('theme/images/driverDetails-img.png') }}" alt="images" class="img-fluid">
                                            </div>
                                            @if(isset($driverLastLocation) && !empty($driverLastLocation))
                                            <p class="mb-2">{{ $driverLastLocation['City'].', '.$driverLastLocation['State'] }}</p>
                                            @endif
                                        </div>
                                        <div class="col-sm-12 text-center" style="border-left: 1px solid #E4E4E4;">
                                            <div class="form-group mb-3">
                                                <label class="pl-0 mb-4 mt-2">Hours of Service</label>
                                                @if(isset($samsaraInfo) && !empty($samsaraInfo))
                                                    <div class="progress-main justify-content-center">
                                                        <div class="progress-block">
                                                            <div class="progress progress-circle" data-percentage="{{ isset($progress['unit_break_percentage'])?$progress['unit_break_percentage']:'0' }}">
                                                                <span class="progress-left">
                                                                    <span class="progress-bar"></span>
                                                                </span>
                                                                <span class="progress-right">
                                                                    <span class="progress-bar"></span>
                                                                </span>
                                                                <div class="progress-value">
                                                                    <div>
                                                                        {{ isset($samsaraInfo['time_in_unit_break'])?$samsaraInfo['time_in_unit_break']:'00:00' }}
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="progress-title">Until Break</div>
                                                        </div>
                                                        <div class="progress-block">
                                                            <div class="progress progress-circle" data-percentage="{{ isset($progress['drive_percentage'])?$progress['drive_percentage']:'0' }}">
                                                                <span class="progress-left">
                                                                    <span class="progress-bar"></span>
                                                                </span>
                                                                <span class="progress-right">
                                                                    <span class="progress-bar"></span>
                                                                </span>
                                                                <div class="progress-value">
                                                                    <div>
                                                                        {{ isset($samsaraInfo['drive'])?$samsaraInfo['drive']:'00:00' }}
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="progress-title">Drive</div>
                                                        </div>
                                                        <div class="progress-block">
                                                            <div class="progress progress-circle" data-percentage="{{ isset($progress['shift_percentage'])?$progress['shift_percentage']:'0' }}">
                                                                <span class="progress-left">
                                                                    <span class="progress-bar"></span>
                                                                </span>
                                                                <span class="progress-right">
                                                                    <span class="progress-bar"></span>
                                                                </span>
                                                                <div class="progress-value">
                                                                    <div>
                                                                        {{ isset($samsaraInfo['shift'])?$samsaraInfo['shift']:'00:00' }}
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="progress-title">Shift</div>
                                                        </div>
                                                        <div class="progress-block">
                                                            <div class="progress progress-circle" data-percentage="{{ isset($progress['cycle_percentage'])?$progress['cycle_percentage']:'0' }}">
                                                                <span class="progress-left">
                                                                    <span class="progress-bar"></span>
                                                                </span>
                                                                <span class="progress-right">
                                                                    <span class="progress-bar"></span>
                                                                </span>
                                                                <div class="progress-value">
                                                                    <div>
                                                                        {{ isset($samsaraInfo['cycle'])?$samsaraInfo['cycle']:'00:00' }}
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="progress-title">Cycle</div>
                                                        </div>
                                                    </div>
                                                    <div class="d-flex justify-content-center hours-serText">
                                                        <p>
                                                            Available Tomorrow {{ isset($samsaraInfo['cycle_tom'])?$samsaraInfo['cycle_tom'].' h':'' }}
                                                        </p>
                                                    </div>
                                                @endif
                                            </div>
                                        </div>
                                    </div>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-12 p-0 driver-tabs">
            <ul class="nav nav-tabs flex-nowrap" role="tablist">
                <li role="presentation" class="nav-item">
                    <a href="#tabAccount" class="nav-link active" data-toggle="tab" aria-controls="tabAccount" role="tab"> Account </a>
                </li>
                <li role="presentation" class="nav-item">
                    <a href="#tabOccupancyCalendar" class="nav-link" data-toggle="tab" aria-controls="tabOccupancyCalendar" role="tab"> Occupancy Calendar </a>
                </li>
                <li role="presentation" class="nav-item">
                    <a href="#tabLoads" class="nav-link" data-toggle="tab" aria-controls="tabLoads" role="tab"> Loads </a>
                </li>
                <li role="presentation" class="nav-item">
                    <a href="#tabSafetyCompliance" class="nav-link" data-toggle="tab" aria-controls="tabSafetyCompliance" role="tab"> Safety & Compliance </a>
                </li>
                <li role="presentation" class="nav-item">
                    <a href="#tabDocuments" class="nav-link" data-toggle="tab" aria-controls="tabDocuments" role="tab"> Documents </a>
                </li>
                <li role="presentation" class="nav-item">
                    <a href="#tabEventsCalendar" class="nav-link" data-toggle="tab" aria-controls="tabEventsCalendar" role="tab"> Events Calendar </a>
                </li>
                <li role="presentation" class="nav-item">
                    <a href="#tabDriverOnboarding" class="nav-link" data-toggle="tab" aria-controls="tabDriverOnboarding" role="tab"> Driver Onboarding </a>
                </li>
                <li role="presentation" class="nav-item">
                    <a href="#tabStateMap" class="nav-link" data-toggle="tab" aria-controls="tabStateMap" role="tab"> State Map </a>
                </li>
                <li role="presentation" class="nav-item">
                    <a href="#tabMileageRates" class="nav-link" data-toggle="tab" aria-controls="tabMileageRates" role="tab"> Mileage & Rates </a>
                </li>
                <li role="presentation" class="nav-item">
                    <a href="#tabYourLeave" class="nav-link" data-toggle="tab" aria-controls="tabYourLeave" role="tab"> Your Leave </a>
                </li>
                <li role="presentation" class="nav-item">
                    <a href="#tabDriverInfo" class="nav-link" data-toggle="tab" aria-controls="tabDriverInfo" role="tab"> Driver Info </a>
                </li>
            </ul>
            <div class="tab-content">
                <div class="tab-pane active" role="tabpanel" id="tabAccount">
                    <div class="row px-3 py-2 pt-3">
                        <div class="col-md-12">
                            <div class="dropdown date-selection dowpdowdate">
                                <div id="reportrange">
                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon" width="15" height="15">&nbsp;
                                    <span></span> <i class="fa fa-caret-down"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row px-3 pb-2">
                        <div class="col-md-12">
                            <div class="d-flex justify-content-between">
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span>Occupancy</span>
                                            <h5 id="topfiler1">0%</h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span>Loads</span>
                                            <h5 id="topfiler2">0</h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span>Miles Per Gallon</span>
                                            <h5 id="topfiler3">0</h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span>Average Fuel Discount</span>
                                            <h5 id="topfiler4">$0.00</h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span>Average Fuel Cost (PPG)</span>
                                            <h5 id="topfiler5">$0.00</h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span>Total Miles</span>
                                            <h5 id="topfiler6">0</h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span>Total CPM</span>
                                            <h5 id="topfiler7">$0.00</h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span>Total Revenue</span>
                                            <h5 id="topfiler8">$0.00</h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span>Earnings</span>
                                            <h5 id="topfiler9">$0.00</h5>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row px-3">
                        <div class="col-md-6 pr-2">
                            <div class="card mb-1 h-100">
                                <div class="card-header">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6>Occupancy</h6>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body">
                                    <div id="chartAccount"></div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 pl-2">
                            <div class="card mb-1 h-100">
                                <div class="card-header">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <h6>Upcoming</h6>
                                        </div>
                                        <div class="col-md-6 pr-1">
                                            <div class="dropdown date-selection dowpdowdate">
                                                <div id="UpcomingReportrange">
                                                    <img src="{{ asset('theme/images/date-calendar-white.svg') }}" alt="icon" width="15" height="15">&nbsp;
                                                    <span></span> <i class="fa fa-caret-down"></i>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body p-2">
                                    <div class="t-info">
                                        <ul class="sefixheight"></ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 pr-2 pt-2 pb-3">
                            <div class="card mb-1 h-100">
                                <div class="card-header">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6>Goals</h6>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body p-0">
                                    <div class="add-responsive tbl2">
                                        <table id="accountTable" class="table" style="width:100%">
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 pl-2 pt-2 pb-3">
                            <div class="card mb-1 h-100">
                                <div class="card-header">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6>Statistics</h6>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body p-0">
                                    <div class="add-responsive tbl2">
                                        <table id="statisticsTable" class="table" style="width:100%">
                                            <thead>
                                                <tr>
                                                    <th class="text-left">Period</th>
                                                    <th>DH%</th>
                                                    <th>DH Miles</th>
                                                    <th>Loaded Miles</th>
                                                    <th>Total Miles</th>
                                                    <th>Fuel Surcharge</th>
                                                    <th>Linehaul</th>
                                                    <th>Total Gross</th>
                                                    <th>CPM</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td>This Month</td>
                                                    @if(isset($statistics))
                                                        <td>{{ $statistics['current_month']['DHPercentage'] }}</td>
                                                        <td>{{ $statistics['current_month']['DHMiles'] }}</td>
                                                        <td>{{ $statistics['current_month']['LoadedMiles'] }}</td>
                                                        <td>{{ $statistics['current_month']['TotalMiles'] }}</td>
                                                        <td>{{ $statistics['current_month']['FuelSurcharge'] }}</td>
                                                        <td>{{ $statistics['current_month']['Linehaul'] }}</td>
                                                        <td>{{ $statistics['current_month']['TotalGross'] }}</td>
                                                        <td>{{ $statistics['current_month']['CPM'] }}</td>
                                                    @else
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                    @endif
                                                </tr>
                                                <tr>
                                                    <td>Last Month</td>
                                                    @if(isset($statistics))
                                                        <td>{{ $statistics['previous_month']['DHPercentage'] }}</td>
                                                        <td>{{ $statistics['previous_month']['DHMiles'] }}</td>
                                                        <td>{{ $statistics['previous_month']['LoadedMiles'] }}</td>
                                                        <td>{{ $statistics['previous_month']['TotalMiles'] }}</td>
                                                        <td>{{ $statistics['previous_month']['FuelSurcharge'] }}</td>
                                                        <td>{{ $statistics['previous_month']['Linehaul'] }}</td>
                                                        <td>{{ $statistics['previous_month']['TotalGross'] }}</td>
                                                        <td>{{ $statistics['previous_month']['CPM'] }}</td>
                                                    @else
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                    @endif
                                                </tr>
                                                <tr>
                                                    <td>This Year</td>
                                                    @if(isset($statistics))
                                                        <td>{{ $statistics['current_year']['DHPercentage'] }}</td>
                                                        <td>{{ $statistics['current_year']['DHMiles'] }}</td>
                                                        <td>{{ $statistics['current_year']['LoadedMiles'] }}</td>
                                                        <td>{{ $statistics['current_year']['TotalMiles'] }}</td>
                                                        <td>{{ $statistics['current_year']['FuelSurcharge'] }}</td>
                                                        <td>{{ $statistics['current_year']['Linehaul'] }}</td>
                                                        <td>{{ $statistics['current_year']['TotalGross'] }}</td>
                                                        <td>{{ $statistics['current_year']['CPM'] }}</td>
                                                    @else
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                    @endif
                                                </tr>
                                                <tr>
                                                    <td>Last Year</td>
                                                    @if(isset($statistics))
                                                        <td>{{ $statistics['previous_year']['DHPercentage'] }}</td>
                                                        <td>{{ $statistics['previous_year']['DHMiles'] }}</td>
                                                        <td>{{ $statistics['previous_year']['LoadedMiles'] }}</td>
                                                        <td>{{ $statistics['previous_year']['TotalMiles'] }}</td>
                                                        <td>{{ $statistics['previous_year']['FuelSurcharge'] }}</td>
                                                        <td>{{ $statistics['previous_year']['Linehaul'] }}</td>
                                                        <td>{{ $statistics['previous_year']['TotalGross'] }}</td>
                                                        <td>{{ $statistics['previous_year']['CPM'] }}</td>
                                                    @else
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                    @endif
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabOccupancyCalendar">
                    <div class="row px-3 py-2 pt-3">
                        <div class="col-md-12">
                            <div class="row">
                                <div class="col-md-3 pr-2">
                                    <div class="card mb-3 timeframe">
                                        <div class="card-header">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <h6>Timeframe</h6>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card-body px-3 py-2">
                                            <div class="form-group">
                                                <label>Select View</label>
                                                {!! Form::select('timeframe', ['weekly' => 'Weekly', 'month' => 'Month', 'quarterly' => 'Quarterly', 'year' => 'Annual'], 'month', ['class' => 'form-control showtype select2', 'id' => 'timeframe']) !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card mb-3 occupancyTrackerCalendar">
                                        <div class="card-header">
                                            <div class="row mb-1">
                                                <div class="col-md-12">
                                                    <h6>Occupancy Tracker Calendar</h6>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card-body px-3 py-2">
                                            <div class="row">
                                                <div class="col-md-4 pr-0">
                                                    <label>Driver:</label>
                                                </div>
                                                <div class="col-md-8">
                                                    <p class="driver_name">{{ $driver->last_name }}, {{ $driver->first_name }}</p>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-4 pr-0">
                                                    <label>Show Holidays:</label>
                                                </div>
                                                <div class="col-md-8">
                                                    <div class="form-check">
                                                        <input class="form-check-input holidychecked" type="checkbox" id="show-holiday">
                                                        <label class="form-check-label" for="show-holiday"></label>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card mb-3 occupanyType">
                                        <div class="card-header">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <h6>Occupancy Type Key</h6>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card-body px-3 py-2"></div>
                                    </div>
                                    <div class="card mb-2 performanceSummary">
                                        <div class="card-header">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <h6>Monthly Performance Summary</h6>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card-body px-3 py-2"></div>
                                    </div>
                                </div>
                                <div class="col-md-9 pl-2">
                                    <div class="card mb-3 target-calendar append-view">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabLoads">
                    <div class="row px-3 py-2 pt-3">
                        <div class="col-md-12">
                            <div class="white-box table-view scroll-data-table">
                                <h3 class="table-title">Loads</h3>
                                <div class="table-responsive">
                                    <table class="table rounded-corners new-load-data-table">
                                        <thead>
                                            <tr>
                                                @foreach($getField as $key => $filed)
                                                    @if($filed == 1 && isset(config('settings.table_driver_view_loads')[$key]['name']))
                                                        @if(isset(config('settings.table_driver_view_loads')[$key]['searchBuilderType']))
                                                            @if(config('settings.table_driver_view_loads')[$key]['col_search'] == 0)
                                                                @if( config('settings.table_driver_view_loads')[$key]['searchBuilderType'] == 'string' )
                                                                    <th class="{{ config("settings.table_driver_view_loads")[$key]["class"] }}">{{ config('settings.table_driver_view_loads')[$key]['name'] }} <span><img src="{{ asset('theme/img/white-fillter-icon.svg') }}" class="table_driver_view_loads_{{$key}}_string columnFilter" data-modal="SearchByStringModal{{ $key }}" alt=""></span></th>
                                                                @elseif( config('settings.table_driver_view_loads')[$key]['searchBuilderType'] == 'date' )
                                                                    <th class="{{ config("settings.table_driver_view_loads")[$key]["class"] }}">{{ config('settings.table_driver_view_loads')[$key]['name'] }} <span><img src="{{ asset('theme/img/white-fillter-icon.svg') }}" class="table_driver_view_loads_{{$key}}_date columnFilter" data-modal="SearchByDateModal{{ $key }}" alt=""></span></th>
                                                                @elseif( config('settings.table_driver_view_loads')[$key]['searchBuilderType'] == 'status' )
                                                                    <th class="{{ config("settings.table_driver_view_loads")[$key]["class"] }}">{{ config('settings.table_driver_view_loads')[$key]['name'] }} <span><img src="{{ asset('theme/img/white-fillter-icon.svg') }}" class="table_driver_view_loads_{{$key}}_status columnFilter" data-modal="SearchByStatusModal{{ $key }}" alt=""></span></th>
                                                                @endif
                                                            @else
                                                                @if( config('settings.table_driver_view_loads')[$key]['searchBuilderType'] == 'string' )
                                                                    <th>{{ config('settings.table_driver_view_loads')[$key]['name'] }} <span><img src="{{ asset('theme/img/white-fillter-icon.svg') }}" class="table_driver_view_loads_{{$key}}_string columnFilter" data-modal="SearchByStringModal{{ $key }}" alt=""></span></th>
                                                                @elseif( config('settings.table_driver_view_loads')[$key]['searchBuilderType'] == 'date' )
                                                                    <th>{{ config('settings.table_driver_view_loads')[$key]['name'] }} <span><img src="{{ asset('theme/img/white-fillter-icon.svg') }}" class="table_driver_view_loads_{{$key}}_date columnFilter" data-modal="SearchByDateModal{{ $key }}" alt=""></span></th>
                                                                @elseif( config('settings.table_driver_view_loads')[$key]['searchBuilderType'] == 'status' )
                                                                    <th>{{ config('settings.table_driver_view_loads')[$key]['name'] }} <span><img src="{{ asset('theme/img/white-fillter-icon.svg') }}" class="table_driver_view_loads_{{$key}}_status columnFilter" data-modal="SearchByStatusModal{{ $key }}" alt=""></span></th>
                                                                @endif
                                                            @endif
                                                        @else
                                                            @if(config('settings.table_driver_view_loads')[$key]['col_search'] == 0)
                                                                <th class="{{ config("settings.table_driver_view_loads")[$key]["class"] }}">{{ config('settings.table_driver_view_loads')[$key]['name'] }}</th>
                                                            @else
                                                                <th>{{ config('settings.table_driver_view_loads')[$key]['name'] }}</th>
                                                            @endif
                                                        @endif
                                                    @endif
                                                @endforeach
                                            </tr>
                                        </thead>
                                        <tbody></tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabSafetyCompliance">
                    <div class="row px-4 py-2 pt-3">
                        <div class="col-md-12">
                            <ul class="account-detail">
                                <li>
                                    <a href="" class="lbl-p create-hos-violations-btn" data-driver-id="{{ $driver->id }}" data-toggle="modal" data-target="#createHOSViolationsModal">
                                        <div class="d-flex align-items-center">
                                            <div>
                                                Driver Violations
                                            </div>
                                            <div>
                                                <i class="fa fa-plus-square mr-10"></i>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                            </ul>
                        </div>
                        <div class="col-md-12 pl-0 pr-0">
                            @if ($driverHosViolations->count())
                                <table class="table border-0 w-100 date-details mt-0">
                                    <tr>
                                        <td class="top-header text-center">Report Number</td>
                                        <td class="top-header text-center">Date</td>
                                        <td class="top-header text-center">Inspection Level</td>
                                        <td class="top-header text-center">State</td>
                                        <td class="top-header text-center">Carrier</td>
                                        <td class="top-header text-center">Unit #</td>
                                        <td class="top-header text-center">Disciplinary Action</td>
                                        <td class="top-header text-center">Load No.</td>
                                        <td class="top-header text-center">OOS</td>
                                        <td class="top-header text-center">Violation Code</td>
                                        <td class="top-header text-center">Points</td>
                                        <td class="top-header text-center">Status</td>
                                        <td class="top-header text-center"></td>
                                    </tr>
                                    @foreach ($driverHosViolations as $driverHosViolation)
                                        <tr>
                                            <td class="text-center top-header">{{ Str::limit($driverHosViolation->title,90) }}</td>
                                            <td class="text-center">{{ $driverHosViolation->date }}</td>
                                            <td class="text-center">{{ getDriverInspectionLevel()[$driverHosViolation->inspection_level] ?? '' }}</td>
                                            <td class="text-center">{{ getStateList()[$driverHosViolation->state] ?? '' }}</td>
                                            <td class="text-center">{{ getCarrierList()[$driverHosViolation->motor_carrier] ?? '' }}</td>
                                            <td class="text-center">{{ getTruckList()[$driverHosViolation->unit1] ?? '' }}</td>
                                            <td class="text-center">{{ getDriverDisciplinaryAction()[$driverHosViolation->disciplinary_action] ?? '' }}</td>
                                            <td class="text-center">{{ $driverHosViolation->load_number }}</td>
                                            <td class="text-center">{{ (in_array('1', $driverHosViolation->DriverHosViolationsData->pluck('oos')->toArray())) ? 'Yes' : 'No' }}</td>
                                            <td class="text-center">{{ $driverHosViolation->DriverHosViolationsData->count('violation_code') ?? '0' }}</td>
                                            <td class="text-center">-</td>
                                            <td class="text-center text-capitalize @if($driverHosViolation->status == 'incomplete') text-incomplete @else text-complete @endif">{{ $driverHosViolation->status }}</td>
                                            <td class="text-center">
                                                <a href="javascript:void(0);" class="destroy" data-id="{{ $driverHosViolation->id }}" data-action="{{ route('company.admin.hos.violation.destroy',$driverHosViolation->id) }}"><i class="fa fa-trash theme-danger-icon" aria-hidden="true"></i></a>
                                                <a href="javascript:void(0);" class="edit-hos-violations-btn" data-id="{{ $driverHosViolation->id }}" data-toggle="modal" data-target="#editHOSViolationsModal"><i class="fa fa-pencil theme-icon" aria-hidden="true"></i></a>
                                                <a href="javascript:void(0);" class="show-hos-violations-btn" data-id="{{ $driverHosViolation->id }}" data-toggle="modal" data-target="#showHOSViolationsModal"><i class="fa fa-eye theme-icon" aria-hidden="true"></i></a>
                                            </td>
                                        </tr>
                                    @endforeach
                                </table>
                                {{--
                                @foreach ($driverHosViolations as $driverHosViolation)
                                    <div class="col-md-12">
                                        <ul class="date-details">
                                            <li>{{ $driverHosViolation->date }}</li>
                                            <li style="width: 100px;">{{ Str::limit($driverHosViolation->title,90) }}</li>
                                            <li class="text-capitalize @if($driverHosViolation->status == 'incomplete') text-incomplete @else text-complete @endif">{{ $driverHosViolation->status }}</li>
                                            <li class="action-icons">
                                                <a href="javascript:void(0);" class="destroy" data-id="{{ $driverHosViolation->id }}" data-action="{{ route('company.admin.hos.violation.destroy',$driverHosViolation->id) }}"><img src="{{ asset('theme/img/icon-material-delete.svg') }}" alt=""></a>
                                                <a href="javascript:void(0);" class="edit-hos-violations-btn" data-id="{{ $driverHosViolation->id }}" data-toggle="modal" data-target="#editHOSViolationsModal"><img src="{{ asset('theme/img/icon-material-edit.svg') }}" alt=""></a>
                                                <a href="javascript:void(0);" class="show-hos-violations-btn" data-id="{{ $driverHosViolation->id }}" data-toggle="modal" data-target="#showHOSViolationsModal"><img src="{{ asset('theme/img/Icon ionic-md-eye.svg') }}" alt=""></a>
                                            </li>
                                        </ul>
                                    </div>
                                @endforeach
                                --}}
                                @if ($driver->driver_hos_violations()->count() > 3)
                                    <div class="col-md-12">
                                        <ul class="date-details">
                                            <li><a href="{{ route('company.admin.hos.violation.index', $driver->id) }}">View All</a></li>
                                        </ul>
                                    </div>
                                @endif
                            @endif
                        </div>
                    </div>
                    <hr />
                    <div class="row px-4 py-2 pt-3">
                        <div class="col-md-12">
                            <ul class="account-detail">
                                <li>
                                    <a href="" class="lbl-p create-hos-violations-btn" data-driver-id="{{ $driver->id }}" data-toggle="modal" data-target="#createHOSViolationsModal">
                                        <div class="d-flex align-items-center">
                                            <div>
                                                Citations/Violations/Warnings
                                            </div>
                                            <div>
                                                <i class="fa fa-plus-square mr-10"></i>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                            </ul>
                        </div>
                        <div class="col-md-12 pl-0 pr-0">
                            @if ($driverHosViolationsCheckCitations->count())
                                <table class="table border-0 w-100 date-details mt-0">
                                    <tr>
                                        <td class="top-header text-center">Report Number</td>
                                        <td class="top-header text-center">Date</td>
                                        <td class="top-header text-center">Inspection Level</td>
                                        <td class="top-header text-center">State</td>
                                        <td class="top-header text-center">Carrier</td>
                                        <td class="top-header text-center">Unit #</td>
                                        <td class="top-header text-center">Disciplinary Action</td>
                                        <td class="top-header text-center">Load No.</td>
                                        <td class="top-header text-center">OOS</td>
                                        <td class="top-header text-center">Violation Code</td>
                                        <td class="top-header text-center">Points</td>
                                        <td class="top-header text-center">Status</td>
                                        <td class="top-header text-center"></td>
                                    </tr>
                                    @foreach ($driverHosViolationsCheckCitations as $key => $driverHosViolation)
                                        @if($loop->index <= 2)
                                            <tr>
                                                <td class="text-center top-header">{{ Str::limit($driverHosViolation->title,90) }}</td>
                                                <td class="text-center">{{ $driverHosViolation->date }}</td>
                                                <td class="text-center">{{ getDriverInspectionLevel()[$driverHosViolation->inspection_level] ?? '' }}</td>
                                                <td class="text-center">{{ getStateList()[$driverHosViolation->state] ?? '' }}</td>
                                                <td class="text-center">{{ getCarrierList()[$driverHosViolation->motor_carrier] ?? '' }}</td>
                                                <td class="text-center">{{ getTruckList()[$driverHosViolation->unit1] ?? '' }}</td>
                                                <td class="text-center">{{ getDriverDisciplinaryAction()[$driverHosViolation->disciplinary_action] ?? '' }}</td>
                                                <td class="text-center">{{ $driverHosViolation->load_number }}</td>
                                                <td class="text-center">{{ (in_array('1', $driverHosViolation->DriverHosViolationsData->pluck('oos')->toArray())) ? 'Yes' : 'No' }}</td>
                                                <td class="text-center">{{ $driverHosViolation->DriverHosViolationsData->count('violation_code') ?? '0' }}</td>
                                                <td class="text-center">-</td>
                                                <td class="text-center text-capitalize @if($driverHosViolation->status == 'incomplete') text-incomplete @else text-complete @endif">{{ $driverHosViolation->status }}</td>
                                                <td class="text-center">
                                                    <a href="javascript:void(0);" class="destroy" data-id="{{ $driverHosViolation->id }}" data-action="{{ route('company.admin.hos.violation.destroy',$driverHosViolation->id) }}"><i class="fa fa-trash theme-danger-icon" aria-hidden="true"></i></a>
                                                    <a href="javascript:void(0);" class="edit-hos-violations-btn" data-id="{{ $driverHosViolation->id }}" data-toggle="modal" data-target="#editHOSViolationsModal"><i class="fa fa-pencil theme-icon" aria-hidden="true"></i></a>
                                                    <a href="javascript:void(0);" class="show-hos-violations-btn" data-id="{{ $driverHosViolation->id }}" data-toggle="modal" data-target="#showHOSViolationsModal"><i class="fa fa-eye theme-icon" aria-hidden="true"></i></a>
                                                </td>
                                            </tr>
                                        @endif
                                    @endforeach
                                </table>
                                {{--
                                @foreach ($driverHosViolationsCheckCitations as $key => $driverHosViolation)
                                        @if($loop->index <= 2)
                                            <div class="col-md-12">
                                                <ul class="date-details">
                                                    <li>{{ $driverHosViolation->date }}</li>
                                                    <li style="width: 100px;">{{ Str::limit($driverHosViolation->title,90) }}</li>
                                                    <li class="text-capitalize @if($driverHosViolation->status == 'incomplete') text-incomplete @else text-complete @endif">{{ $driverHosViolation->status }}</li>
                                                    <li class="action-icons">
                                                        <a href="javascript:void(0);" class="destroy" data-id="{{ $driverHosViolation->id }}" data-action="{{ route('company.admin.hos.violation.destroy',$driverHosViolation->id) }}"><img src="{{ asset('theme/img/icon-material-delete.svg') }}" alt=""></a>
                                                        <a href="javascript:void(0);" class="edit-hos-violations-btn" data-id="{{ $driverHosViolation->id }}" data-toggle="modal" data-target="#editHOSViolationsModal"><img src="{{ asset('theme/img/icon-material-edit.svg') }}" alt=""></a>
                                                        <a href="javascript:void(0);" class="show-hos-violations-btn" data-id="{{ $driverHosViolation->id }}" data-toggle="modal" data-target="#showHOSViolationsModal"><img src="{{ asset('theme/img/Icon ionic-md-eye.svg') }}" alt=""></a>
                                                    </li>
                                                </ul>
                                            </div>
                                        @endif
                                --}}
                                @if ($driverHosViolationsCheckCitations->count() > 3)
                                    <div class="col-md-12">
                                        <ul class="date-details">
                                            <li><a href="{{ route('company.admin.hos.violation.index', $driver->id) }}">View All</a></li>
                                        </ul>
                                    </div>
                                @endif
                            @endif
                        </div>
                    </div>
                    <hr />
                    <div class="row px-4 py-2 pt-3">
                        <div class="col-md-12">
                            <ul class="account-detail">
                                <li>
                                    <a href="" class="lbl-p create-accident-btn" data-driver-id="{{ $driver->id }}" data-toggle="modal" data-target="#createAccidentModal">
                                        <div class="d-flex align-items-center">
                                            <div>
                                                Accident/Incident/Claim/Injury
                                            </div>
                                            <div>
                                                <i class="fa fa-plus-square mr-10"></i>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                            </ul>
                        </div>
                        <div class="col-md-12 pl-0 pr-0">
                            @if ($driverAccidents->count())
                                <table class="table border-0 w-100 date-details mt-0">
                                    <tr>
                                        <td class="top-header text-center">Report Number</td>
                                        <td class="top-header text-center">Date</td>
                                        <td class="top-header text-center">Type</td>
                                        <td class="top-header text-center">Title</td>
                                        <td class="top-header text-center">Load Number</td>
                                        <td class="top-header text-center">State</td>
                                        <td class="top-header text-center">Injury</td>
                                        <td class="top-header text-center">Drug Test Req.</td>
                                        <td class="top-header text-center">File on Insurance</td>
                                        <td class="top-header text-center">Fault</td>
                                        <td class="top-header text-center">Damage Estimate</td>
                                        <td class="top-header text-center"></td>
                                    </tr>
                                    @foreach ($driverAccidents as $driverAccident)
                                        <tr>
                                            <td class="text-center top-header">{{ $driverAccident->report_number }}</td>
                                            <td class="text-center">{{ $driverAccident->date }}</td>
                                            <td class="text-center">{{ getAccidentIncidentClaimInjuryList()[$driverAccident->type] ?? '' }}</td>
                                            <td class="text-center">{{ Str::limit($driverAccident->title,90) }}</td>
                                            <td class="text-center">{{ $driverAccident->load_number }}</td>
                                            <td class="text-center">{{ getStateList()[$driverAccident->state] ?? '' }}</td>
                                            <td class="text-center">{{ ($driverAccident->injury == '1') ? 'Yes' : 'No' }}</td>
                                            <td class="text-center">{{ ($driverAccident->drug_Test == '1') ? 'Yes' : 'No' }}</td>
                                            <td class="text-center">{{ ($driverAccident->file_on_insurance == '1') ? 'Yes' : 'No' }}</td>
                                            <td class="text-center">{{ $driverAccident->fault }}</td>
                                            <td class="text-center">{{ '$'.number_format($driverAccident->damage_estimate, '2', '.', ',') }}</td>
                                            <td class="text-center">
                                                <a href="javascript:void(0);" class="destroy" data-id="{{ $driverAccident->id }}" data-action="{{ route('company.admin.accident.destroy',$driverAccident->id) }}"><i class="fa fa-trash theme-danger-icon" aria-hidden="true"></i></a>
                                                <a href="javascript:void(0);" class="edit-accident-btn" data-id="{{ $driverAccident->id }}" data-toggle="modal" data-target="#editAccidentModal"><i class="fa fa-pencil theme-icon" aria-hidden="true"></i></a>
                                                <a href="javascript:void(0);" class="show-accident-btn" data-id="{{ $driverAccident->id }}" data-toggle="modal" data-target="#showAccidentModal"><i class="fa fa-eye theme-icon" aria-hidden="true"></i></a>
                                            </td>
                                        </tr>
                                    @endforeach
                                </table>
                                {{--
                                @foreach ($driverAccidents as $driverAccident)
                                    <div class="col-md-12">
                                        <ul class="date-details">
                                            <li>{{ $driverAccident->date }}</li>
                                            <li>{{ Str::limit($driverAccident->title,90) }}</li>
                                            <li class="action-icons">
                                                <a href="javascript:void(0);" class="destroy" data-id="{{ $driverAccident->id }}" data-action="{{ route('company.admin.accident.destroy',$driverAccident->id) }}"><img src="{{ asset('theme/img/icon-material-delete.svg') }}" alt=""></a>
                                                <a href="javascript:void(0);" class="edit-accident-btn" data-id="{{ $driverAccident->id }}" data-toggle="modal" data-target="#editAccidentModal"><img src="{{ asset('theme/img/icon-material-edit.svg') }}" alt=""></a>
                                                <a href="javascript:void(0);" class="show-accident-btn" data-id="{{ $driverAccident->id }}" data-toggle="modal" data-target="#showAccidentModal"><img src="{{ asset('theme/img/Icon ionic-md-eye.svg') }}" alt=""></a>
                                            </li>
                                        </ul>
                                    </div>
                                @endforeach
                                --}}
                                @if ($driver->driver_accidents()->count() > 3)
                                    <div class="col-md-12">
                                        <ul class="date-details">
                                            <li><a href="{{ route('company.admin.accident.index', $driver->id) }}">View All</a></li>
                                        </ul>
                                    </div>
                                @endif
                            @endif
                        </div>
                    </div>
                    <hr />
                    <div class="row px-4 py-2 pt-3">
                        <div class="col-md-12">
                            <ul class="account-detail">
                                <li>
                                    <a href="" class="lbl-p create-non-violations-btn" data-driver-id="{{ $driver->id }}" data-toggle="modal" data-target="#createNonViolationsModal">
                                        <div class="d-flex align-items-center">
                                            <div>
                                                Non Violation Reports
                                            </div>
                                            <div>
                                                <i class="fa fa-plus-square mr-10"></i>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                            </ul>
                        </div>
                        <div class="col-md-12 pl-0 pr-0">
                            @if ($driverNonViolations->count())
                                <table class="table border-0 w-100 date-details mt-0">
                                    <tr>
                                        <td class="top-header text-center">Report Number</td>
                                        <td class="top-header text-center">Date</td>
                                        <td class="top-header text-center">Inspection Level</td>
                                        <td class="top-header text-center">State</td>
                                        <td class="top-header text-center">Carrier</td>
                                        <td class="top-header text-center">Unit #</td>
                                        <td class="top-header text-center">Disciplinary Action</td>
                                        <td class="top-header text-center">Load No.</td>
                                        <td class="top-header text-center">OOS</td>
                                        <td class="top-header text-center">Violation Code</td>
                                        <td class="top-header text-center">Points</td>
                                        <td class="top-header text-center">Status</td>
                                        <td class="top-header text-center"></td>
                                    </tr>
                                    @foreach ($driverNonViolations as $drivernonviolation)
                                        <tr>
                                            <td class="text-center top-header">{{ Str::limit($drivernonviolation->title,90) }}</td>
                                            <td class="text-center">{{ $drivernonviolation->date }}</td>
                                            <td class="text-center">{{ getDriverInspectionLevel()[$drivernonviolation->inspection_level] ?? '' }}</td>
                                            <td class="text-center">{{ getStateList()[$drivernonviolation->state] ?? '' }}</td>
                                            <td class="text-center">{{ getCarrierList()[$drivernonviolation->motor_carrier] ?? '' }}</td>
                                            <td class="text-center">{{ getTruckList()[$drivernonviolation->unit1] ?? '' }}</td>
                                            <td class="text-center">{{ getDriverDisciplinaryAction()[$drivernonviolation->disciplinary_action] ?? '' }}</td>
                                            <td class="text-center">{{ $drivernonviolation->load_number }}</td>
                                            <td class="text-center">{{ (in_array('1', $drivernonviolation->DriverNonViolationsData->pluck('oos')->toArray())) ? 'Yes' : 'No' }}</td>
                                            <td class="text-center">{{ $drivernonviolation->DriverNonViolationsData->count('violation_code') }}</td>
                                            <td class="text-center">-</td>
                                            <td class="text-center text-capitalize @if($drivernonviolation->status == 'incomplete') text-danger @else text-success @endif">{{ $drivernonviolation->status }}</td>
                                            <td class="text-center">
                                                <a href="javascript:void(0);" class="destroy" data-id="{{ $drivernonviolation->id }}" data-action="{{ route('company.admin.non.violation.destroy',$drivernonviolation->id) }}"><i class="fa fa-trash theme-danger-icon" aria-hidden="true"></i></a>
                                                <a href="javascript:void(0);" class="edit-non-violations-btn" data-id="{{ $drivernonviolation->id }}" data-toggle="modal" data-target="#editNONViolationsModal"><i class="fa fa-pencil theme-icon" aria-hidden="true"></i></a>
                                                <a href="javascript:void(0);" class="show-non-violations-btn" data-id="{{ $drivernonviolation->id }}" data-toggle="modal" data-target="#showNONViolationsModal"><i class="fa fa-eye theme-icon" aria-hidden="true"></i></a>
                                            </td>
                                        </tr>
                                    @endforeach
                                </table>
                                {{--
                                @foreach ($driverNonViolations as $drivernonviolation)
                                    <div class="col-md-12">
                                        <ul class="date-details">
                                            <li>{{ $drivernonviolation->date }}</li>
                                            <li>{{ Str::limit($drivernonviolation->title,90) }}</li>
                                            <li class="action-icons">
                                                <a href="javascript:void(0);" class="destroy" data-id="{{ $drivernonviolation->id }}" data-action="{{ route('company.admin.non.violation.destroy',$drivernonviolation->id) }}"><img src="{{ asset('theme/img/icon-material-delete.svg') }}" alt=""></a>
                                                <a href="javascript:void(0);" class="edit-non-violations-btn" data-id="{{ $drivernonviolation->id }}" data-toggle="modal" data-target="#editNONViolationsModal"><img src="{{ asset('theme/img/icon-material-edit.svg') }}" alt=""></a>
                                                <a href="javascript:void(0);" class="show-non-violations-btn" data-id="{{ $drivernonviolation->id }}" data-toggle="modal" data-target="#showNONViolationsModal"><img src="{{ asset('theme/img/Icon ionic-md-eye.svg') }}" alt=""></a>
                                            </li>
                                        </ul>
                                    </div>
                                @endforeach
                                --}}
                                @if ($driver->driver_non_violations()->count() > 3)
                                    <div class="col-md-12">
                                        <ul class="date-details">
                                            <li><a href="{{ route('company.admin.non.violation.index', $driver->id) }}">View All</a></li>
                                        </ul>
                                    </div>
                                @endif
                            @endif
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabDocuments">
                    <div class="row px-3 py-2 pt-3">
                        <div class="col-md-12">
                            <div class="white-box table-view scroll-data-table">
                                <h3 class="table-title">Documents</h3>
                                <div class="table-responsive">
                                    <table class="table rounded-corners request-documents-data-table">
                                        <thead>
                                            <tr>
                                                <th class="text-center">Name</th>
                                                <th class="text-center">Created By</th>
                                                <th class="text-center">Date</th>
                                                <th class="text-center">Status</th>
                                                <th class="text-center">Requested By</th>
                                                <th class="text-center">Approved By</th>
                                                <th class="text-center">Access</th>
                                                <th class="text-center">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody></tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabEventsCalendar">
                    <div class="row px-3 py-3">
                        <div class="col-md-3 pr-2">
                            <div class="card">
                                <div class="card-header">
                                    <h6>Filters</h6>
                                </div>
                                <div class="card-body px-3 py-2">
                                    <div class="form-group">
                                        <label class="pb-1">Calendar Event</label>
                                        <select class="form-control changeEvent select2" id="calendarEvent">
                                            <option value="1">All</option>
                                            <option value="2">Personal</option>
                                        </select>
                                    </div>
                                    <div class="form-group">
                                        <div class="d-flex align-items-center mt-3">
                                            <div class="d-inline-block">
                                                <div class="custom-control custom-switch-blue">
                                                    <input type="checkbox" class="custom-control-input changeEvent" id="birthdays" checked>
                                                    <label class="custom-control-label birthdayscolor" for="birthdays"></label>
                                                </div>
                                            </div>
                                            <div>
                                                <p class="ml-2 font-weight-600">Birthdays / Anniversary</p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="d-flex align-items-center mt-3">
                                            <div class="d-inline-block">
                                                <div class="custom-control custom-switch-blue">
                                                    <input type="checkbox" class="custom-control-input changeEvent" id="expirations" checked>
                                                    <label class="custom-control-label expirationscolor" for="expirations"></label>
                                                </div>
                                            </div>
                                            <div>
                                                <p class="ml-2 font-weight-600">Expirations</p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="d-flex align-items-center mt-3">
                                            <div class="d-inline-block">
                                                <div class="custom-control custom-switch-blue">
                                                    <input type="checkbox" class="custom-control-input changeEvent" id="maintenanceTrucks">
                                                    <label class="custom-control-label truckscolor" for="maintenanceTrucks"></label>
                                                </div>
                                            </div>
                                            <div>
                                                <p class="ml-2 font-weight-600">Maintenance Trucks</p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="d-flex align-items-center mt-3">
                                            <div class="d-inline-block">
                                                <div class="custom-control custom-switch-blue">
                                                    <input type="checkbox" class="custom-control-input changeEvent" id="maintenanceTrailers">
                                                    <label class="custom-control-label trailerscolor" for="maintenanceTrailers"></label>
                                                </div>
                                            </div>
                                            <div>
                                                <p class="ml-2 font-weight-600">Maintenance Trailers</p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="d-flex align-items-center mt-3">
                                            <div class="d-inline-block">
                                                <div class="custom-control custom-switch-blue">
                                                    <input type="checkbox" class="custom-control-input changeEvent" id="hidePersonalEvents" checked>
                                                    <label class="custom-control-label personalcolor" for="hidePersonalEvents"></label>
                                                </div>
                                            </div>
                                            <div>
                                                <p class="ml-2 font-weight-600">Personal Events</p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="d-flex align-items-center mt-3">
                                            <div class="d-inline-block">
                                                <div class="custom-control custom-switch-blue">
                                                    <input type="checkbox" class="custom-control-input changeEvent" id="myLeaves">
                                                    <label class="custom-control-label myLeaveslcolor" for="myLeaves"></label>
                                                </div>
                                            </div>
                                            <div>
                                                <p class="ml-2 font-weight-600">My Leaves</p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="d-flex align-items-center mt-3">
                                            <div class="d-inline-block">
                                                <div class="custom-control custom-switch-blue">
                                                    <input type="checkbox" class="custom-control-input changeEvent" id="myViolations">
                                                    <label class="custom-control-label myViolationscolor" for="myViolations"></label>
                                                </div>
                                            </div>
                                            <div>
                                                <p class="ml-2 font-weight-600">My Violations</p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="d-flex align-items-center mt-3">
                                            <div class="d-inline-block">
                                                <div class="custom-control custom-switch-blue">
                                                    <input type="checkbox" class="custom-control-input changeEvent" id="maintenanceTicket">
                                                    <label class="custom-control-label maintenanceTicketcolor" for="maintenanceTicket"></label>
                                                </div>
                                            </div>
                                            <div>
                                                <p class="ml-2 font-weight-600">Maintenance Ticket</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 pl-2 pr-2 target-calendar">
                            <div id='calendar'></div>
                        </div>
                        <div class="col-md-3 pl-2">
                            <div class="card">
                                <div class="card-header">
                                    <div class="row">
                                        <div class="col-md-5 pl-2 pr-0">
                                            <h6 style="font: normal normal bold 16px/21px Inter, Sans-Serif;padding-top: 12px;">Calendar Event List</h6>
                                        </div>
                                        <div class="col-md-7 pl-0 pr-0">
                                            <div class="dropdown date-selection dowpdowdate">
                                                <div id="calendarEventsRange">
                                                    <img src="{{ asset('theme/images/date-calendar-white.svg') }}" alt="icon" width="15" height="15">&nbsp;
                                                    <span style="font-size: 10px;"></span> <i class="fa fa-caret-down"></i>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body px-0 py-2" id="calendarEventsList"></div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabDriverOnboarding">
                    @include('companyAdmin.driver.tab.driverOnboarding')
                </div>
                <div class="tab-pane" role="tabpanel" id="tabStateMap">
                    {!! Form::open(['files' => 'true', 'autocomplete'  => 'off', 'name' => 'state-map-tab', 'id' => 'state-map-tab']) !!}
                        <input type="hidden" class="driver-id" name="driver_id" value="{{ $driver->id ?? ''}}">
                        @include('companyAdmin.driver.tab.stateMap')
                    {!! Form::close() !!}
                </div>
                <div class="tab-pane" role="tabpanel" id="tabMileageRates">
                    <div class="row px-3 py-2 pt-3">
                        <div class="col-md-9 state-map-chart-custom-grid">
                            <div id="mileageRateMap" style="width:1315px; height:808px" class="d-none"></div>
                            <div id="mileageRateChart" style="width:1315px; height:808px"></div>
                        </div>
                        <div class="col-md-3 state-map-chkbox-custom-grid">
                            <div class="card mb-3">
                                <div class="card-header">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6>Search Parameters</h6>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body px-0 py-0">
                                    <div class="col-md-12 pl-0 pr-0">
                                        <div class="table-responsive">
                                            <table class="table">
                                                <tbody>
                                                <tr class="tr-head">
                                                    <td>
                                                        <div class="d-flex">
                                                            <div class="form-check">
                                                                <input class="form-check-input" type="checkbox" id="complete-history" name="complete_history" value="1" checked>
                                                                <label class="form-check-label" for="complete-history"></label>
                                                            </div>
                                                            <div>
                                                                Complete History
                                                            </div>
                                                        </div>
                                                    </td>
                                                </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                    <div class="col-md-12 pl-0 pr-0">
                                        <div class="row p-3">
                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="period-start">Period Start</label>
                                                    <div class="input-group">
                                                        {!! Form::text('period_start', null, array('class' => 'form-control', 'id' => 'period-start', 'placeholder' => 'Period Start')) !!}
                                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="period-end">Period End</label>
                                                    <div class="input-group">
                                                        {!! Form::text('period_end', null, array('class' => 'form-control', 'id' => 'period-end', 'placeholder' => 'Period End')) !!}
                                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-12 pl-0 pr-0">
                                        <div class="row pl-3 pr-3">
                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="select-one">Select One</label>
                                                </div>
                                            </div>
                                            <div class="col-12 pr-0 pl-0">
                                                <div class="table-responsive">
                                                    <table class="table">
                                                        <tbody>
                                                            <tr>
                                                                <td>
                                                                    <div class="d-flex">
                                                                        <div class="form-check">
                                                                            <input class="form-check-input chkValueType" type="checkbox" id="view-total" name="view_total" value="1">
                                                                            <label class="form-check-label" for="view-total"></label>
                                                                        </div>
                                                                        <div>
                                                                            Total
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <div class="d-flex">
                                                                        <div class="form-check">
                                                                            <input class="form-check-input chkValueType" type="checkbox" id="view-percentage" name="view_percentage" value="1">
                                                                            <label class="form-check-label" for="view-percentage"></label>
                                                                        </div>
                                                                        <div>
                                                                            Percentage
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <div class="d-flex">
                                                                        <div class="form-check">
                                                                            <input class="form-check-input chkValueType" type="checkbox" id="view-rank" name="view_rank" value="1">
                                                                            <label class="form-check-label" for="view-rank"></label>
                                                                        </div>
                                                                        <div>
                                                                            Rank
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                            <div class="col-12 mt-4">
                                                <div class="form-group">
                                                    <label for="select-one">Select One</label>
                                                </div>
                                            </div>
                                            <div class="col-12 pr-0 pl-0">
                                                <div class="table-responsive">
                                                    <table class="table">
                                                        <tbody>
                                                            <tr>
                                                                <td>
                                                                    <div class="d-flex">
                                                                        <div class="form-check">
                                                                            <input class="form-check-input chkReport" type="checkbox" id="deadead-Mileage-by-State" name="deadead_Mileage_by_State" value="1">
                                                                            <label class="form-check-label" for="deadead-Mileage-by-State"></label>
                                                                        </div>
                                                                        <div>
                                                                            Deadead Mileage by State
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <div class="d-flex">
                                                                        <div class="form-check">
                                                                            <input class="form-check-input chkReport" type="checkbox" id="loaded-mileage-by-state" name="loaded_mileage_by_state" value="1">
                                                                            <label class="form-check-label" for="loaded-mileage-by-state"></label>
                                                                        </div>
                                                                        <div>
                                                                            Loaded Mileage by State
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <div class="d-flex">
                                                                        <div class="form-check">
                                                                            <input class="form-check-input chkReport" type="checkbox" id="fuel-cost" name="fuel_cost" value="1">
                                                                            <label class="form-check-label" for="fuel-cost"></label>
                                                                        </div>
                                                                        <div>
                                                                            Fuel cost
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <div class="d-flex">
                                                                        <div class="form-check">
                                                                            <input class="form-check-input chkReport" type="checkbox" id="fuel-cost-per-gallon" name="fuel_cost_per_gallon" value="1">
                                                                            <label class="form-check-label" for="fuel-cost-per-gallon"></label>
                                                                        </div>
                                                                        <div>
                                                                            Fuel Cost per Gallon
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <div class="d-flex">
                                                                        <div class="form-check">
                                                                            <input class="form-check-input chkReport" type="checkbox" id="toll-cost" name="toll_cost" value="1">
                                                                            <label class="form-check-label" for="toll-cost"></label>
                                                                        </div>
                                                                        <div>
                                                                            Toll cost
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <div class="d-flex">
                                                                        <div class="form-check">
                                                                            <input class="form-check-input chkReport" type="checkbox" id="inbound-cpm" name="inbound_cpm" value="1">
                                                                            <label class="form-check-label" for="inbound-cpm"></label>
                                                                        </div>
                                                                        <div>
                                                                            Inbound CPM
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <div class="d-flex">
                                                                        <div class="form-check">
                                                                            <input class="form-check-input chkReport" type="checkbox" id="outbound-cpm" name="outbound_cpm" value="1">
                                                                            <label class="form-check-label" for="outbound-cpm"></label>
                                                                        </div>
                                                                        <div>
                                                                            Outbound CPM
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <div class="d-flex">
                                                                        <div class="form-check">
                                                                            <input class="form-check-input chkReport" type="checkbox" id="inbound-gross-revenue" name="inbound_gross_revenue" value="1">
                                                                            <label class="form-check-label" for="inbound-gross-revenue"></label>
                                                                        </div>
                                                                        <div>
                                                                            Inbound Gross Revenue
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <div class="d-flex">
                                                                        <div class="form-check">
                                                                            <input class="form-check-input chkReport" type="checkbox" id="outbound-gross-revenue" name="outbound_gross_revenue" value="1">
                                                                            <label class="form-check-label" for="outbound-gross-revenue"></label>
                                                                        </div>
                                                                        <div>
                                                                            Outbound Gross Revenue
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                            <div class="col-12 p-3 text-right">
                                                <button type="button" class="btn btn-blue mr-1">Print Details</button>
                                                <button type="button" class="btn btn-blue">View Details</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabYourLeave">
                    <div class="row px-3 py-2 pt-3">
                        <div class="col-md-12">
                            <div class="row profile-tabs-section">
                                <div class="col-md-12">
                                    <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
                                        <li class="nav-item" role="presentation">
                                            <a class="nav-link btn btn-blueBr active" id="leaves-tab" data-toggle="pill" href="#leaves-tab-content" role="tab" aria-controls="leaves" aria-selected="false">
                                                <i class="fa fa-history" aria-hidden="true"></i>Leaves
                                            </a>
                                        </li>
                                        <li class="nav-item ml-2" role="presentation">
                                            <a class="nav-link btn btn-blueBr" id="time-off-tab" data-toggle="pill" href="#time-off-tab-content" role="tab" aria-controls="time-off" aria-selected="false"><i class="fa fa-bug" aria-hidden="true"></i>Time Off</a>
                                        </li>
                                        @if(hasPermission(config('settings.company_admin_modules.leaveusertypes'),config('settings.permissions.edit')))
                                            <li class="nav-item ml-2" role="presentation">
                                                <a class="nav-link btn btn-blueBr" id="allowance-tab" data-toggle="pill" href="#allowance-tab-content" role="tab" aria-controls="allowance" aria-selected="false"><i class="fa fa-sliders" aria-hidden="true"></i>Allowance</a>
                                            </li>
                                        @endif
                                    </ul>
                                </div>
                                <div class="col-md-12 leavsecion px-3">
                                    <div class="tab-content " id="pills-tabContent">
                                        <div class="tab-pane fade active show" id="leaves-tab-content" role="tabpanel" aria-labelledby="leaves-tab">
                                            <div class="row">
                                                <div class="col-lg-4 pr-2">
                                                    <div class="card mb-2">
                                                        <div class="card-header">
                                                            <div class="row">
                                                                <div class="col-md-12">
                                                                    <h6>Book time off</h6>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="card-body px-3 py-2">
                                                            {!! Form::open(array('route' => 'company.admin.leaves.store','method'=>'POST','files'=>'true','class'=>'createLeave')) !!}
                                                                <input type="hidden" name="driver_id" value="{{ $driver->id }}">
                                                                <div class="row">
                                                                    <div class="col-md-12">
                                                                        <div class="form-group">
                                                                            <label>Leave type :</label>
                                                                            <select class="form-control select2" name="leave_type_id" data-parsley-errors-container="#leaveTypeId-errors" required>
                                                                                <option value="">Select Leave Type</option>
                                                                                @foreach($getLeaveUserType as $leave_user_type)
                                                                                    <option value="{{ $leave_user_type->leave_type_id }}" leave="{{ $leave_user_type->days_per_year_for_driver - $leave_user_type->days_per_year_for_driver_used  }}">{{ $leave_user_type->leave_type->name }}</option>
                                                                                @endforeach
                                                                            </select>
                                                                            <div id="leaveTypeId-errors"></div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-6">
                                                                        <div class="form-group">
                                                                            <label>Paid Type :</label>
                                                                            <select class="form-control select2" name="paid_type" data-parsley-errors-container="#paidType-errors" required>
                                                                                <option value="">Select Paid Type</option>
                                                                                @foreach(getPaidType() as $key => $paid_type)
                                                                                    <option value="{{ $key }}"> {{ $paid_type }}</option>
                                                                                @endforeach
                                                                            </select>
                                                                            <div id="paidType-errors"></div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-6">
                                                                        <div class="form-group ">
                                                                            <label>Duration :</label>
                                                                            <select class="form-control select2" name="duration" data-parsley-errors-container="#duration-errors" required>
                                                                                <option value="">Select Duration Type</option>
                                                                                @foreach(getLeaveDurationType() as $key => $duration_type)
                                                                                    <option value="{{ $key }}"> {{ $duration_type }}</option>
                                                                                @endforeach
                                                                            </select>
                                                                            <div id="duration-errors"></div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-6">
                                                                        <div class="form-group">
                                                                            <label>From Date :</label>
                                                                            <div class="input-group">
                                                                                <input type="text" class="form-control leave_from_date" name="from_date" data-parsley-errors-container="#fromDate-errors" required />
                                                                                <img src="{{asset('theme/images/date-calender.svg')}}" alt="icon">
                                                                            </div>
                                                                            <div id="fromDate-errors"></div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-6">
                                                                        <div class="form-group ">
                                                                            <label>To Date :</label>
                                                                            <div class="input-group">
                                                                                <input type="text" class="form-control leave_to_date" name="to_date" data-parsley-errors-container="#toDate-errors" required />
                                                                                <img src="{{asset('theme/images/date-calender.svg')}}" alt="icon">
                                                                            </div>
                                                                            <div id="toDate-errors"></div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-12">
                                                                        <div class="form-group ">
                                                                            <textarea class="form-control" rows="4" placeholder="Enter Comment" name="comment" required></textarea>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-12">
                                                                        <button class="btn btn-blue m-0 my-1" type="submit" id="booktimeoff-btn">
                                                                            <i class="fa fa-paper-plane-o" aria-hidden="true"></i> Book time off
                                                                        </button>
                                                                    </div>
                                                                </div>
                                                            {!! Form::close() !!}
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-lg-4 pl-2 pr-2">
                                                    <div class="card mb-2">
                                                        <div class="card-header">
                                                            <div class="row">
                                                                <div class="col-md-6 text-left">
                                                                    <h6>My next leaves</h6>
                                                                </div>
                                                                <div class="col-md-6 text-right">
                                                                    <h6>Day</h6>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="card-body px-3 py-2">
                                                            <div class="table-responsive nextleaves-table">
                                                                <table class="table mt-0 px-3">
                                                                    <tbody class="leaveColumn4"></tbody>
                                                                </table>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-lg-4 pl-2">
                                                    <div class="card mb-2">
                                                        <div class="card-header">
                                                            <div class="d-flex justify-content-between">
                                                                <div class="pl-2">
                                                                    <h6>Balance</h6>
                                                                </div>
                                                                <div class="pl-5">
                                                                    <h6>Used</h6>
                                                                </div>
                                                                <div class="pl-5">
                                                                    <h6>Available</h6>
                                                                </div>
                                                                <div class="pl-4">
                                                                    <h6>Allowance</h6>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="card-body px-3 py-2">
                                                            <div class="table-responsive nextleaves-table">
                                                                <table class="table mt-0 px-3">
                                                                    <tbody class="leaveColumn3"></tbody>
                                                                </table>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-12 pl-0 pr-0">
                                                    <div class="monthly-occupancy-title">
                                                    </div>
                                                    <div class="px-3 py-2">
                                                        <div class="occupancy-toolbar text-center tooembo-box-leave disabled-click">
                                                            <button type="button" class="prev-arrow"><img src="{{ asset('theme/img/arrow-left-circle.svg') }}" class="" alt=""></button>
                                                            <h2 class="mtitle-leave">{{ $month_name }} {{ $year }}</h2>
                                                            <button type="button" class="next-arrow"><img src="{{ asset('theme/img/arrow-right-circle.svg') }}" class="" alt=""></button>
                                                            <input type="hidden" class="cyear-leave" value="{{ $year }}">
                                                            <input type="hidden" class="cmonth-leave" value="{{ $month }}">
                                                        </div>
                                                        <div class="append-view-leave"></div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="tab-pane fade" id="time-off-tab-content" role="tabpanel" aria-labelledby="time-off-tab">
                                            <div class="row">
                                                <div class="col-md-6 pr-2">
                                                    <div class="card mb-2">
                                                        <div class="card-header">
                                                            <div class="d-flex justify-content-between">
                                                                <div class="pl-2" style="margin-top: -6px;">
                                                                    <div class="form-group">
                                                                        <div class="input-group">
                                                                            <input type="text" class="form-control leavesAllowanceYear2" value="{{ date('Y') }}" />
                                                                            <img src="{{asset('theme/images/date-calender.svg')}}" alt="icon">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="pl-5">
                                                                    <h6>Used</h6>
                                                                </div>
                                                                <div class="pl-5">
                                                                    <h6>Available</h6>
                                                                </div>
                                                                <div class="pl-4">
                                                                    <h6>Allowance</h6>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="card-body px-3 py-2">
                                                            <div class="table-responsive">
                                                                <table class="table mt-0 px-3">
                                                                    <tbody class="leavesAllowance2"></tbody>
                                                                </table>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-6 pl-2">
                                                    <div class="card mb-2">
                                                        <div class="card-header">
                                                            <div class="row">
                                                                <div class="col-md-6 text-left">
                                                                    <h6>Next Leaves</h6>
                                                                </div>
                                                                <div class="col-md-6 text-right">
                                                                    <h6>Day</h6>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="card-body px-3 py-2">
                                                            <div class="table-responsive">
                                                                <table class="table mt-0 px-3">
                                                                    <tbody class="leavesAllowance3"></tbody>
                                                                </table>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        @if(hasPermission(config('settings.company_admin_modules.leaveusertypes'),config('settings.permissions.edit')))
                                            <div class="tab-pane fade" id="allowance-tab-content" role="tabpanel" aria-labelledby="allowance-tab">
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <div class="card mb-2">
                                                            <div class="card-header">
                                                                <div class="row">
                                                                    <div class="col-md-1 text-left" style="margin-top: -6px;">
                                                                        <div class="form-group">
                                                                            <div class="input-group">
                                                                                <input type="text" class="form-control leavesAllowanceYear" value="{{ date('Y') }}" />
                                                                                <img src="{{asset('theme/images/date-calender.svg')}}" alt="icon">
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-5"></div>
                                                                    <div class="col-md-6 text-right">
                                                                        <h6>Allowance</h6>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="card-body px-3 py-2">
                                                                <div class="table-responsive">
                                                                    <table class="table mt-0 px-3">
                                                                        <tbody class="leavesAllowance"></tbody>
                                                                    </table>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabDriverInfo">
                    <div class="row px-3 py-2 pt-3">
                        <div class="col-md-6 mb-3 pr-2">
                            <div class="card h-100">
                                <div class="card-header">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6>Driver Information</h6>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body px-2 py-2">
                                    <table class="table border-0 w-100 mt-0">
                                        <tr>
                                            <td class="heading">Business Name:</td>
                                            <td colspan="3 detail-value">{{ $driver->business_name ?? '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading" width="25%">Full Name:</td>
                                            <td class="detail-value" width="30%">
                                                @if($driver->suffix == 0)
                                                    Mr.
                                                @elseif($driver->suffix == 1)
                                                    Mrs.
                                                @elseif($driver->suffix == 2)
                                                    Ms.
                                                @elseif($driver->suffix == 3)
                                                    Miss
                                                @elseif($driver->suffix == 4)
                                                    Dr.
                                                @endif
                                                {{ $driver->full_name ?? '-' }}
                                            </td>
                                            <td class="heading" width="25%">Birth Date:</td>
                                            <td class="detail-value" width="20%">{{ $driver->birthday ?? '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Handle/Nickname:</td>
                                            <td class="detail-value">{{ $driver->nick_name ?? '-' }}</td>
                                            <td class="heading">Hire Source:</td>
                                            <td class="detail-value">{{ getRecruitingSourceListByCompany()[$driver->recruiter_source] ?? '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Address:</td>
                                            <td class="detail-value">
                                                @php
                                                    $addresses = [];

                                                    if(isset($driver->address) && $driver->address!==''){
                                                        $addresses[] = $driver->address;
                                                    }
                                                    if(isset($driver->address_2) && $driver->address_2!==''){
                                                        $addresses[] = $driver->address_2;
                                                    }
                                                    if(isset($driver->city) && $driver->city!==''){
                                                        $addresses[] = $driver->city;
                                                    }
                                                    if(isset($driver->state) && $driver->state!==''){
                                                        $addresses[] = $driver->state;
                                                    }
                                                    if(isset($driver->zip) && $driver->zip!==''){
                                                        $addresses[] = $driver->zip;
                                                    }
                                                    $addresses = implode(', ', $addresses);
                                                @endphp
                                                {{ $addresses ?? '-'}}
                                            </td>
                                            <td class="heading">Hire Date:</td>
                                            <td class="detail-value">{{ $driver->start_date ?? '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Cell Phone:</td>
                                            <td class="detail-value">
                                                {{ $driver->cell_phone ?? '' }}
                                            </td>
                                            <td class="heading">Termination Date:</td>
                                            <td class="detail-value">{{ $driver->termination_date ?? '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Home Phone:</td>
                                            <td class="detail-value">{{ $driver->home_phone ?? '-' }}</td>
                                            <td class="heading">Termination Reason:</td>
                                            <td class="detail-value">{{ $driver->termination_reason ?? '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Other Phone:</td>
                                            <td class="detail-value">{{ $driver->other_phone ?? '-' }}</td>
                                            <td class="heading">Days since Delivery</td>
                                            <td class="detail-value">{{ '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Fax Number:</td>
                                            <td class="detail-value">{{ $driver->fax ?? '-' }}</td>
                                            <td class="heading">Time Onboard:</td>
                                            <td class="detail-value">{{ '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Social Security Number:</td>
                                            <td class="detail-value">
                                                @if(isset($driver->ssn_or_ein) && !is_null($driver->ssn_or_ein))
                                                    @if($driver->ssn_or_ein == 1)
                                                        {{ \Str::mask(\Str::mask(base64_decode($driver->ein), 'X', 0, 2), 'X', 3, 3) ?? '-' }}
                                                    @else
                                                        {{ \Str::mask(\Str::mask(base64_decode($driver->ssn), 'X', 0, 3), 'X', 4, 2) ?? '-' }}
                                                    @endif
                                                @else
                                                    {{ '-' }}
                                                @endif
                                            </td>
                                            <td class="heading">Years Experience:</td>
                                            <td class="detail-value">{{ $driver->years_experience ?? '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Email:</td>
                                            <td class="detail-value text-lowercase">{{ $driver->email ?? '-' }}</td>
                                            <td class="heading">Work Anniversary Date:</td>
                                            <td class="detail-value">{{ $driver->anniversary ?? '-' }}</td>
                                        </tr>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 mb-3 pl-2 pr-2">
                            <div class="card h-100">
                                <div class="card-header">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6>Company Contacts</h6>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body px-2 py-2">
                                    <table class="table border-0 w-100 mt-0">
                                        <tr>
                                            <td class="heading">Terminal:</td>
                                            @if(isset($driver->driver_information->terminal->name) && isset($driver->driver_information->terminal->state))
                                                <td colspan="3 detail-value">{{ $driver->driver_information->terminal->name ?? '-' }}{{ ', '.$driver->driver_information->terminal->state ?? '' }}</td>
                                            @else
                                                <td colspan="3 detail-value">{{ '-' }}</td>
                                            @endif
                                        </tr>
                                        <tr>
                                            <td class="heading">Team:</td>
                                            <td class="detail-value">{{ $driver->team->name ?? '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Dispatcher:</td>
                                            <td class="detail-value">{{ $driver->dispatcher->full_name ?? '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Load Planner:</td>
                                            <td class="detail-value">{{ $driver->loadPlanner->full_name ?? '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Recruiter:</td>
                                            <td class="detail-value">{{ $driver->recruiterDetails->full_name ?? '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Onboarder:</td>
                                            <td class="detail-value">{{ $driver->Onboarder->full_name ?? '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Billing:</td>
                                            <td class="detail-value">{{ $driver->driverBilling->full_name ?? '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Safety:</td>
                                            <td class="detail-value">{{ $driver->driverSafety->full_name ?? '-' }}</td>
                                        </tr>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 mb-3 pl-2">
                            <div class="card h-100">
                                <div class="card-header">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6>Passenger Authorization</h6>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body px-2 py-2">
                                    <table class="table border-0 w-100 mt-0">
                                        <tr>
                                            <td class="heading">Passenger Onboard:</td>
                                            <td colspan="3 detail-value">{{ '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Passenger Authorization On-file:</td>
                                            <td class="detail-value">{{ '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Passenger Authorization Expiration:</td>
                                            <td class="detail-value">{{ '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Passenger Full Name:</td>
                                            <td class="detail-value">{{ '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Passenger Phone Number:</td>
                                            <td class="detail-value">{{ '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Passenger Relationship:</td>
                                            <td class="detail-value">{{ '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Passenger Allergies:</td>
                                            <td class="detail-value">{{ '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Passenger Gender:</td>
                                            <td class="detail-value">{{ '-' }}</td>
                                        </tr>
                                    </table>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-6 mb-2 pr-2">
                            <div class="card h-100">
                                <div class="card-header">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6>Credentials & Certifications</h6>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body px-2 py-2">
                                    <table class="table border-0 w-100 mt-0">
                                        <tr>
                                            <td class="heading">License Class:</td>
                                            <td colspan="3 detail-value">
                                                @if($driver->license_class == '0')
                                                    Class A
                                                @elseif($driver->license_class == '1')
                                                    Class B
                                                @elseif($driver->license_class == '2')
                                                    Class C
                                                @elseif($driver->license_class == '3')
                                                    Class D
                                                @elseif($driver->license_class == '4')
                                                    Class M
                                                @else
                                                    {{ '-' }}
                                                @endif
                                            </td>
                                            <td class="heading">TWIC Certified:</td>
                                            <td colspan="3 detail-value">
                                                @if(!is_null($driver->twic_certified))
                                                    {{ ($driver->twic_certified == '1' ? 'Yes' : 'No') ?? '-' }}
                                                @else
                                                    {{ '-' }}
                                                @endif
                                            </td>
                                            <td class="heading">Tanker Endorsement:</td>
                                            <td colspan="3 detail-value">
                                                @if(!is_null($driver->tanker_endorsement))
                                                    {{ ($driver->tanker_endorsement == '1' ? 'Yes' : 'No') ?? '-' }}
                                                @else
                                                    {{ '-' }}
                                                @endif
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="heading">License Number:</td>
                                            <td colspan="3 detail-value">
                                                @if(!is_null($driver->license_number))
                                                    {{ \Str::mask(base64_decode($driver->license_number), 'X', 0, -4) ?? '-' }}
                                                @else
                                                    {{ '-' }}
                                                @endif
                                            </td>
                                            <td class="heading">TWIC Expiration Date:</td>
                                            <td colspan="3 detail-value">{{ $driver->twic_expiration_date ?? '-' }}</td>
                                            <td class="heading">EOBR Provider:</td>
                                            <td colspan="3 detail-value">
                                                @if($driver->eobr_provider == '0')
                                                    Samsara
                                                @elseif($driver->eobr_provider == '1')
                                                    GeoTab
                                                @elseif($driver->eobr_provider == '2')
                                                    Omnitracs
                                                @else
                                                    {{ '-' }}
                                                @endif
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="heading">License State:</td>
                                            <td colspan="3 detail-value">{{ getStateList()[$driver->license_state] ?? '-' }}</td>
                                            <td class="heading">TSA Certified:</td>
                                            <td colspan="3 detail-value">
                                                @if(!is_null($driver->tsa_certified))
                                                    {{ ($driver->tsa_certified == '1' ? 'Yes' : 'No') ?? '-' }}
                                                @else
                                                    {{ '-' }}
                                                @endif
                                            </td>
                                            <td class="heading">EOBR ID:</td>
                                            <td colspan="3 detail-value">{{ $driver->eobr_id ?? '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">License Expiration:</td>
                                            <td colspan="3 detail-value">{{ $driver->license_exp ?? '-' }}</td>
                                            <td class="heading">TSA Expiration Date:</td>
                                            <td colspan="3 detail-value">{{ $driver->tsa_expiration ?? '-' }}</td>
                                            <td class="heading">Fuel Card Type:</td>
                                            <td colspan="3 detail-value">
                                                @if($driver->fuel_card_type == '0')
                                                    WEX
                                                @elseif($driver->fuel_card_type == '1')
                                                    EFS
                                                @elseif($driver->fuel_card_type == '2')
                                                    Comdata
                                                @else
                                                    {{ '-' }}
                                                @endif
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="heading">License Endorsements:</td>
                                            <td colspan="3 detail-value">
                                                {{ (!is_null($driver->license_endorsements)) ? 'Yes' : '-' }}
                                            </td>
                                            <td class="heading">Hazmat Certified:</td>
                                            <td colspan="3 detail-value">{{ '-' }}</td>
                                            <td class="heading">Fuel Card Number:</td>
                                            <td colspan="3 detail-value">
                                                @if(!is_null($driver->fuel_card_number))
                                                    {{ \Str::mask($driver->fuel_card_number, 'X', 0, -4) ?? '-' }}
                                                @else
                                                    {{ '-' }}
                                                @endif
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="heading">(T) Doubles/Triples</td>
                                            <td colspan="3 detail-value">
                                                @if(!is_null($driver->license_endorsements))
                                                    @if(in_array(4, explode(',', $driver->license_endorsements)))
                                                        {{ 'Yes' }}
                                                    @else
                                                        {{ 'No' }}
                                                    @endif
                                                @else
                                                    {{ '-' }}
                                                @endif
                                            </td>
                                            <td class="heading">Hazmat Expiration:</td>
                                            <td colspan="3 detail-value">{{ '-' }}</td>
                                            <td class="heading">Drug & Alcohol Due:</td>
                                            <td colspan="3 detail-value">{{ $driver->drug_alcohol ?? '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">(X) Hazmat/ Tanker</td>
                                            <td colspan="3 detail-value">
                                                @if(!is_null($driver->license_endorsements))
                                                    @if(in_array(5, explode(',', $driver->license_endorsements)))
                                                        {{ 'Yes' }}
                                                    @else
                                                        {{ 'No' }}
                                                    @endif
                                                @else
                                                    {{ '-' }}
                                                @endif
                                            </td>
                                            <td class="heading">Passport Number:</td>
                                            <td colspan="3 detail-value">
                                                @if(!is_null($driver->passport_number))
                                                    {{ \Str::mask(base64_decode($driver->passport_number), 'X', 0, -4) ?? '-' }}
                                                @else
                                                    {{ '-' }}
                                                @endif
                                            </td>
                                            <td class="heading">Next Review:</td>
                                            <td colspan="3 detail-value">{{ $driver->next_review ?? '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading"></td>
                                            <td colspan="3 detail-value"></td>
                                            <td class="heading">Passport Expiration:</td>
                                            <td colspan="3 detail-value">{{ $driver->passport_expiration ?? '-' }}</td>
                                            <td class="heading">Last MVR Date:</td>
                                            <td colspan="3 detail-value">{{ $driver->mvr_date ?? '-' }}</td>
                                        </tr>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 mb-2 pl-2 pr-2">
                            <div class="card h-100">
                                <div class="card-header">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6>Other</h6>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body px-2 py-2">
                                    <table class="table border-0 w-100 mt-0">
                                        <tr>
                                            <td class="heading">Allergies:</td>
                                            <td colspan="3 detail-value">{{ '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Pets:</td>
                                            <td class="detail-value">{{ '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Pet Name:</td>
                                            <td class="detail-value">{{ '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Pet Type:</td>
                                            <td class="detail-value">{{ '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Smoker:</td>
                                            <td class="detail-value">{{ $driver->mvr_date ?? '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">1099:</td>
                                            <td class="detail-value">
                                                @if(!is_null($driver->is_1099))
                                                    {{ ($driver->is_1099 == '1' ? 'Yes' : 'No') ?? '-' }}
                                                @else
                                                    {{ '-' }}
                                                @endif
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Gender:</td>
                                            <td class="detail-value">
                                                @if(!is_null($driver->gender))
                                                    {{ ($driver->gender == '1' ? 'Female' : 'Male') ?? '-' }}
                                                @else
                                                    {{ '-' }}
                                                @endif
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 mb-2 pl-2">
                            <div class="card h-100">
                                <div class="card-header">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6>Insurance & Medical</h6>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body px-2 py-2">
                                    <table class="table border-0 w-100 mt-0">
                                        <tr>
                                            <td class="heading">Insurance Policy Type:</td>
                                            <td colspan="3 detail-value">{{ '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Policy Provider:</td>
                                            <td class="detail-value">{{ '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Policy Number:</td>
                                            <td class="detail-value">{{ '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Policy Expiration:</td>
                                            <td class="detail-value">{{ '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Medical Certificate Updated:</td>
                                            <td class="detail-value">{{ '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Medical Certificate Expiration:</td>
                                            <td class="detail-value">{{ $driver->medical_cert ?? '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Medical Restrictions :</td>
                                            <td class="detail-value">{{ '-' }}</td>
                                        </tr>
                                        <tr>
                                            <td class="heading">Medical Condition:</td>
                                            <td class="detail-value">{{ '-' }}</td>
                                        </tr>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('modal')
    <!-- Occupancy Calendar view Load Details By Date - START -->
    <div class="modal fade" id="viewLoadDetailsByDate" tabindex="-1" aria-labelledby="viewLoadDetailsByDateLabel" aria-hidden="false">
        <div class="modal-dialog modal-dishpatch">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title viewLoadDetailsByDateLabel"></h5>
                </div>
                <div class="modal-body px-0 py-2" >
                    <div class="px-2">
                        <div class="col-md-12 content-header">
                            <label>DTL-39325</label>
                        </div>
                        <div class="col-md-12 content-body">
                            <p class="mb-1">Stop 01 : Roanoke, VA</p>
                            <p class="mb-1">Stop 99 : Bethlehem, PA</p>
                            <p class="mb-1">Mileage : 80 DH | 580 LD | 660 Total</p>
                            <p class="mb-1">Revenue : $1,590.00</p>
                            <p class="mb-1">CPM : $2.00</p>
                        </div>
                    </div>
                </div>
                <div class="modal-footer px-0 py-0 justify-content-between">
                    <div class="col-md-4 py-3 mr-0 text-center">
                        <label>1,590</label>
                        <p>Total Mileage</p>
                    </div>
                    <div class="col-md-4 py-3 ml-0 mr-0 text-center">
                        <label>$4,510.00</label>
                        <p>Total Revenue</p>
                    </div>
                    <div class="col-md-4 py-3 ml-0 text-center">
                        <label>$2.84</label>
                        <p>Total CPM</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Occupancy Calendar view Load Details By Date - END -->

    <!-- Safety & Compliance - START -->
    @include('companyAdmin.driver.modal.createHosViolation')
    @include('companyAdmin.driver.modal.editHosViolation')
    @include('companyAdmin.driver.modal.showHosViolation')

    @include('companyAdmin.driver.modal.createCitation')
    @include('companyAdmin.driver.modal.editCitation')
    @include('companyAdmin.driver.modal.showCitation')

    @include('companyAdmin.driver.modal.createAccident')
    @include('companyAdmin.driver.modal.editAccident')
    @include('companyAdmin.driver.modal.showAccident')

    @include('companyAdmin.driver.modal.createNonViolation')
    @include('companyAdmin.driver.modal.editNonViolation')
    @include('companyAdmin.driver.modal.showNonViolation')
    <!-- Safety & Compliance - END -->

    <!-- Documents - START -->
    <div class="modal fade bd-example-modal-lg file-request-modal" id="otherDocModal" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dishpatch">
            {!! Form::open(array('route' => 'company.admin.request-documents.store','method'=>'POST','files'=>'true','class'=>'storeGalleryImage')) !!}
            <input type="hidden" name="action_id" value="{{ $driver->id }}" />
            <input type="hidden" name="source" value="drivers" />
            <input type="hidden" name="company_id" value="{{ auth()->guard('company-admin')->user()->company_id }}" />
            <input type="hidden" name="requested_by" value="{{ auth()->guard('company-admin')->user()->id }}" />
            <input type="hidden" name="requested_by_type" value="{{ auth()->guard('company-admin')->user()->type }}" />
            <input type="hidden" name="date" value="{{ date('m/d/Y') }}" />
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="newTeamModalLabel">New Document</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row px-2">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Files</label>
                                <select class="form-control cfile_name select2" name="field_name" required>
                                    <option value="">Select Files Name</option>
                                    @foreach(getRequestDocumentsList() as $fdata)
                                        @if($fdata['source'] == 'driver')
                                            <option value="{{ $fdata['field_name'] }}" class="{{ $fdata['source'] }}">{{ $fdata['name'] }}</option>
                                        @endif
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Driver Files</label>
                                <input type="file" class="form-control" name="image[]" id="inputGroupFile01" multiple accept="image/png,image/gif,image/jpeg,application/pdf,application/vnd.ms-excel" required>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Name</label>
                                {!! Form::text('file_name', old('file_name'), array('class' => 'form-control', 'placeholder' => 'Enter File Name','required' => 'required')) !!}
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                    <button type="submit" class="btn btn-blue">Upload</button>
                </div>
            </div>
            {!! Form::close() !!}
        </div>
    </div>
    <div class="modal fade bd-example-modal-lg file-request-modal" id="requestDocModal" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dishpatch">
            {!! Form::open(array('route' => 'company.admin.request.documents.save','method'=>'POST','files'=>'true','class'=>'storeForm')) !!}
                <input type="hidden" name="action_id" value="{{ $driver->id }}" />
                <input type="hidden" name="source" value="drivers" />
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="newTeamModalLabel">Document Request</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body pb-1">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Drivers</label>
                                    {!! Form::select('setdriver', ['' => 'Select Driver']+getDriverListByCompany(auth()->guard('company-admin')->user()->company_id), $driver->id, ['class' => 'select2 setdriver form-control driverse', 'required' => 'required', 'data-parsley-errors-container' => '#setdriver-errors']) !!}
                                    <div id="setdriver-errors"></div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="row align-items-end">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Document Type</label>
                                            <select class="form-control cfile_name select2" name="field_name[]" data-parsley-errors-container="#field_name_0-errors" required>
                                                <option value="">Select Document Type</option>
                                                @foreach(getRequestDocumentsList() as $fdata)
                                                    @if($fdata['source'] == 'driver')
                                                        <option value="{{ $fdata['field_name'] }}" class="{{ $fdata['source'] }}">{{ $fdata['name'] }}</option>
                                                    @endif
                                                @endforeach
                                            </select>
                                            <div id="field_name_0-errors"></div>
                                        </div>
                                    </div>
                                    <div class="col-md-5">
                                        <div class="form-group">
                                            <label for="inputEmail4">File Name</label>
                                            {!! Form::text('file_name[]', null, array('class' => 'form-control', 'placeholder' => 'Enter File Name','required' => 'required')) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-1">
                                        <div class="form-group">
                                            <a href="javascript:void(0);" class="addmorefile"><i class="fa fa-plus-square" aria-hidden="true"></i></a>
                                        </div>
                                    </div>
                                </div>
                                <div id="newRow"></div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label for="inputEmail4">Request Notes</label>
                                    <textarea class="form-control" rows="8" name="notes" placeholder="Enter Notes"></textarea>
                                </div>
                            </div>
                            <div class="col-md-5">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label>Request Via:</label>
                                            <div class="d-flex">
                                                <div class="d-flex mt-1 pr-2">
                                                    <div class="form-check">
                                                        <input class="form-check-input" type="checkbox" id="req-reminder-on-email" name="req_reminder_on[]" value="1">
                                                        <label class="form-check-label" for="req-reminder-on-email"></label>
                                                    </div>
                                                    <div>
                                                        <p class="ml-3 font-weight-600">Email</p>
                                                    </div>
                                                </div>
                                                <div class="d-flex mt-1">
                                                    <div class="form-check">
                                                        <input class="form-check-input" type="checkbox" id="req-reminder-on-sms" name="req_reminder_on[]" value="2">
                                                        <label class="form-check-label" for="req-reminder-on-sms"></label>
                                                    </div>
                                                    <div>
                                                        <p class="ml-3 font-weight-600">SMS</p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label>Approval Required</label>
                                            <div class="d-flex mt-1">
                                                <div class="form-check">
                                                    <input class="form-check-input" type="checkbox" id="requires-approval" name="requires_approval" value="1">
                                                    <label class="form-check-label" for="requires-approval"></label>
                                                </div>
                                                <div>
                                                    <p class="ml-3 font-weight-600">Requires Approval for Acceptance</p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-7 pl-0">
                                <div class="row">
                                    <div class="col-md-12 pl-0">
                                        <div class="d-flex">
                                            <input type="hidden" id="req-reminder-type" name="req_reminder_type" value="">
                                            <div class="reminder_btn_div">
                                                <label>Reminder</label>
                                                <div class="form-group">
                                                    <div class="btn-group">
                                                        <a href="javascript:void(0);" class="btn btn-blueBr ml-0" data-value="4 Hours">4 Hours<img src="{{ asset('theme/images/proRouter-time.svg') }}" alt="icon"></a>
                                                        <a href="javascript:void(0);" class="btn btn-blueBr" data-value="24 Hours">24 Hours<img src="{{ asset('theme/images/proRouter-time.svg') }}" alt="icon"></a>
                                                        <a href="javascript:void(0);" class="btn btn-blueBr" data-value="Custom">Custom<img src="{{ asset('theme/images/proRouter-time.svg') }}" alt="icon"></a>
                                                    </div>
                                                </div>
                                            </div>
                                            <div>
                                                <label>Repeat</label>
                                                <div class="d-flex align-items-center mt-3">
                                                    <div class="d-inline-block">
                                                        <div class="custom-control custom-switch-blue">
                                                            <input type="checkbox" class="custom-control-input" name="req_reminder_repeat" id="req-reminder-repeat" value="1">
                                                            <label class="custom-control-label" for="req-reminder-repeat"></label>
                                                        </div>
                                                    </div>
                                                    <div>
                                                        <p class="ml-1 font-weight-600">OFF/ON</p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="offset-9 col-md-3 pl-0 reminder_custom_div d-none">
                                        <div class="form-group">
                                            <select class="form-control" name="req_reminder_custom_hours">
                                                @foreach (range(1, 24) as $hour)
                                                    <option value="{{ $hour }}">{{ $hour }} Hours</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                        <button type="submit" class="btn btn-blue">Send Request</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>
    <!-- Documents - END -->

    <!-- Events Calendar - START -->
    <div class="modal fade blank-modal-body teamModal-2" id="newEvent" tabindex="-1" aria-labelledby="newEvent" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-dishpatch">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Add Event</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="append-form">
                    {!! Form::open(array('route' => 'company.admin.driver.add.event','method'=>'POST','files'=>'true','class'=>'storeAddEvent')) !!}
                        <div class="modal-body">
                            {!! Form::hidden('driver_id', $driver->id) !!}
                            <div class="form-group">
                                <label>Title<span>*</span></label>
                                {!! Form::text('name', old('name'), array('class' => 'form-control', 'autocomplete' => 'new', 'placeholder' => 'Enter Title', 'required' => 'required')) !!}
                                <span class="error title_error text-danger"></span>
                            </div>
                            <div class="form-group">
                                <label>Address<span>*</span></label>
                                {!! Form::text('address', old('address'), array('class' => 'form-control', 'autocomplete' => 'new', 'placeholder' => 'Enter Address', 'required' => 'required')) !!}
                                <span class="error title_error text-danger"></span>
                            </div>
                            <div class="form-group">
                                <label>Event Type</label>
                                <select id="event-type" name="type" class="form-control select2EventType" data-parsley-errors-container="#drivernum" required>
                                    <option value="">Select Type</option>
                                    @foreach (getEventTypesWithIcon() as $id => $eventTypes)
                                        <option value="{{ $id }}" data-icon="{{ $eventTypes['icon'] }}">{{ $eventTypes['text'] }}</option>
                                    @endforeach
                                </select>
                                {{-- {!! Form::select('type', ['' => 'Select Type']+getEventTypesWithIcon(), null, ['class' => 'custom-select driver-select2 form-control','required' => 'required','data-parsley-errors-container'=>'#drivernum']) !!} --}}
                                <div id="drivernum"></div>
                                @error('type')
                                <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                            <div class="form-group">
                                <label>Add Icon <input type="checkbox" class="addshoicon" name="addshoicon"></label>
                                <div class="row">
                                    <div class="col-md-12 faicon">
                                        @php
                                            $faicon = config('settings.icon_fa');
                                        @endphp
                                        @foreach($faicon as $icon)
                                            <label for="{{$icon}}">
                                                <i class="fa {{$icon}}"></i>
                                                <input type="radio" id="{{$icon}}" name="fa_icon" value="{{$icon}}">
                                            </label>
                                        @endforeach
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Start Date<span>*</span></label>
                                        <div class="input-group">
                                            {!! Form::text('from_date', old('from_date'), array('class' => 'form-control eventstart', 'autocomplete' => 'off', 'required' => 'required')) !!}
                                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                        </div>
                                    </div>
                                    <span class="error date_error text-danger"></span>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>End Date<span>*</span></label>
                                        <div class="input-group">
                                            {!! Form::text('to_date', old('to_date'), array('class' => 'form-control eventend', 'autocomplete' => 'off', 'required' => 'required')) !!}
                                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                        </div>
                                    </div>
                                    <span class="error date_error text-danger"></span>
                                </div>
                            </div>
                            <div class="form-group">
                                <label>Is Repeat</label>
                                {!! Form::select('is_repeat', getEventRepeat(), null, ['class' => 'custom-select driver-select2 form-control']) !!}
                            </div>
                            <div class="form-group">
                                <label>Notes<span>*</span></label>
                                {!! Form::textarea('notes', old('notes'), array('class' => 'form-control', 'autocomplete' => 'new', 'required' => 'required')) !!}
                                <span class="error title_error text-danger"></span>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-blue">Add New</button>
                        </div>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
    </div>
    <div class="modal blank-modal-body teamModal-3" id="editEvent" tabindex="-1" aria-labelledby="editEvent" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-dishpatch">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Edit Event</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="data">

                </div>
            </div>
        </div>
    </div>
    <!-- Events Calendar - END -->

    <!-- Driver Onboarding -->
    @include('companyAdmin.driver.modal.onboardingFile')
    <!-- Driver Onboarding -->

    <!--  Your Leave  -->
    <div class="modal fade teamModal-2 blank-modal-body" id="leaveDetailsModal" tabindex="-1" aria-labelledby="leaveDetailsModal" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-dishpatch">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="leaveDetailsModal">Leave Details</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="append-leave-view">

                </div>
            </div>
        </div>
    </div>

    @include('companyAdmin.driver.modal.editLeavesAllowance')
    <!--  Your Leave  -->
@endsection

@section('script')
    <script src="https://code.jscharting.com/latest/jscharting.js"></script>
    <script type="text/javascript">
        $(function () {
            var chartConfig = {
                debug: false,
                type: 'map',
                series: [{ id: 'usMap', map: 'us' }],
                palette: {
                    pointValue: '{%zValue}',
                    colors: ['#EAEAEA', '#B2D9FF', '#8CC6FF', '#4DA5FF', '#2C80FF', '#2266CC', '#174D99', '#0C3366'],
                    ranges: { min: 0, max: 100000, interval: (100000/8) },
                    defaultRange_legendEntry_value: '$%min - $%max',
                },
                legend: {
                    position: 'right'
                },
                defaultPoint: {
                    label_text: '<b>%stateCode</b><br/>{%zValue:c2}',
                    tooltip: false,
                    outline: { color: "#FFFFFF" },
                },
                defaultSeries_shape_padding: 0.02,
            };

            function loadChart() {
                let mileageRateDataArray = [];
                $.ajax({
                    url: "/company-admin/drivers/mileage-rate-state-list-for-map",
                    method: 'POST',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    dataType: 'json',
                    success: function(response) {
                        for (var i = 0; i < response.data.length; i++) {
                            mileageRateDataArray.push({ "map":"US." + response.data[i][0], "z": response.data[i][1] });
                        }
                        chartConfig.series[0].points = mileageRateDataArray;
                        let chart = JSC.chart('mileageRateChart', chartConfig);
                    }
                });
            }
            loadChart(chartConfig);
        });
    </script>

    <script src="https://www.gstatic.com/charts/loader.js"></script>
    <script src="https://code.highcharts.com/highcharts.js"></script>
    <script src="https://code.highcharts.com/modules/variable-pie.js"></script>
    <script src="https://code.highcharts.com/modules/export-data.js"></script>
    <script src="https://code.highcharts.com/modules/accessibility.js"></script>

    <script defer src="https://maps.google.com/maps/api/js?key={{ env('GOOGLE_MAPS_KEY') }}&callback=initialize&libraries=places,visualization"></script>
    <script src="{{ asset('theme/js/charts-loader.js') }}"></script>
    <script src="{{ asset('theme/js/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('theme/js/fullcalendar.min.js') }}"></script>
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script src="{{ asset('theme/js/jquery.lineProgressbar.js') }}"></script>
    <script src="{{ asset('theme/js/daterangepicker.min.js') }}"></script>
    <script type="text/javascript">
        /********************* Events Calendar - START *********************/
        function newEvent(date) {
            var CurrentDate     = moment(new Date(date)).tz(localTimeZone);
            var CurrentD        = moment(CurrentDate).tz(localTimeZone).add(0, 'day').format('MM/DD/YYYY');
            $(".storeAddEvent")[0].reset();
            $('#newEvent').modal('toggle');
            $('.eventstart').val(CurrentD).change();
            $('.eventend').val(CurrentD).change();
            $('.eventend').data('DateTimePicker').minDate(CurrentD);
        }

        function prependZero(number) {
            if (number < 10)
                return "0" + number;
            else
                return number;
        }
        /********************* Events Calendar - END *********************/

        /********************* Driver Onboarding - START *********************/
        function daysToOnboard() {
            if ($('.application-date').val() != '' && $('.start-date').val() != '') {
                var applicationDate = moment($('.application-date').val());
                var startDate       = moment($('.start-date').val());
                var days            = (startDate - applicationDate) / 1000 / 60 / 60 / 24;
                var round           = Math.round(days);
                $('.days-to-onboard').val(round);
            } else {
                $('.days-to-onboard').val(0);
            }
        }

        function driverOnboardingFormSubmit(id = null) {
            if (id != null) {
                var staid       = '.child' + id;
                var parrentid   = '#yes-no-' + id;
                var numberOfChildCheckBoxes = $(staid).length;
                var checkedChildCheckBox    = $(staid + ':checked').length;
                var stage_name = $(parrentid).data('stage-name');

                if (checkedChildCheckBox == numberOfChildCheckBoxes) {
                    $(parrentid).prop('checked', true);

                    $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").removeClass('fill-inactive');
                    $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").addClass('fill-active');
                    $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").find('img').attr('src', '{!! asset('theme/img/indicator-icon-active.svg') !!}');
                } else {
                    $(parrentid).prop('checked', false);

                    $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").removeClass('fill-active');
                    $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").addClass('fill-inactive');
                    $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").find('img').attr('src', '{!! asset('theme/img/indicator-icon-inactive.svg') !!}');
                }
            }
            $(".driver-onboarding-tab").submit();
        }
        /********************* Driver Onboarding - END *********************/

        /********************* State Map - START *********************/
        function loader(){
            Swal.fire({
                title: '<h5 class="font-weight-bold">Please wait...</h5>',
                allowEscapeKey: false,
                allowOutsideClick: false,
                didOpen: () => {
                    Swal.showLoading()
                }
            });
        }

        function updateStateMap() {
            let that = $(this);
            let formData = $('#state-map-tab').not('[id^="region-"]').serializeArray();

            let dataArr = [];
            $('[id^="region-"]').not('#region-southwest,#region-west,#region-midwest,#region-southeast,#region-northeast').each(function (){
                dataArr.push({ region: ($(this).attr('id')).slice(7), value: $(this).attr('value') });
            });

            formData.push({ name: 'dataArr', value: JSON.stringify(dataArr) });

            $.ajax({
                url: "{!! route('company.admin.save.state.map') !!}",
                method: "POST",
                data: formData,
                beforeSend: function() {
                    loader();
                },
                success: function(response) {
                    if(response.success){
                        toastr.success(response.msg, 'Success Alert', { timeOut: 5000 });
                    }else{
                        toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                    }
                },
                complete: function() {
                    Swal.close();
                },
                error: function(jqXHR, status, exception) {
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, 'Error Alert', {
                        timeOut: 5000
                    });
                }
            });
        }

        function preLoadStateMap() {
            @if(isset($driver->restricted_states))
                let restricted_states = {{ $driver->restricted_states ?? '' }};
            @else
                let restricted_states = [];
            @endif
            @if(isset($driver->restricted_states))
                let avoid_states = {{ $driver->avoid_states ?? '' }};
            @else
                let avoid_states = [];
            @endif

            $('[id^="region-"]').not('#region-southwest,#region-west,#region-midwest,#region-southeast,#region-northeast').each(function (){
                var id = parseInt(($(this).attr('id')).slice(7));

                if($.inArray(id, restricted_states) !== -1){
                    $(this).val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }
                if($.inArray(id, avoid_states) !== -1){
                    $(this).prop('checked', true).val(1);
                }
            });
        }
        /********************* State Map - END *********************/

        function initialize() {
            // Google Chart
            google.charts.load('current', { 'packages':['geochart'] });

            /********************* State Map - START *********************/
            function drawRegionsMap() {
                var data    = google.visualization.arrayToDataTable(dataArray);
                var options = {
                    region: 'US',
                    width: 1315,
                    height: 808,
                    colorAxis: {
                        colors: ['#EAEAEA', '#305F9C', '#FF1010'],
                        minValue: 0,
                        maxValue: 2,
                    },
                    legend: "none",
                    resolution: 'provinces',
                };

                var container = document.getElementById('map');
                var chart   = new google.visualization.GeoChart(container);

                // Change default stroke color
                google.visualization.events.addListener(chart, 'ready', function () {
                    var countries = container.getElementsByTagName('path');
                    Array.prototype.forEach.call(countries, function(path) {
                        path.setAttribute('stroke', '#8D8D8D');
                    });
                });

                // change active stroke color, build mutation observer
                var observer = new MutationObserver(function (nodes) {
                    Array.prototype.forEach.call(nodes, function(node) {
                        // check for new nodes
                        if (node.addedNodes.length > 0) {
                            Array.prototype.forEach.call(node.addedNodes, function(addedNode) {
                                // the tooltip element will also be here, we only want the group elements
                                if (addedNode.tagName === 'g') {
                                    // find children of the group element
                                    Array.prototype.forEach.call(addedNode.childNodes, function(childNode) {
                                        // check for path element, change stroke
                                        if (childNode.tagName === 'path') {
                                            childNode.setAttribute('stroke', '#000000FF');
                                        }
                                    });
                                }
                            });
                        }
                    });
                });

                // activate mutation observer
                observer.observe(container, {
                    childList: true,
                    subtree: true
                });

                chart.draw(data, options);
            }

            var restricted_states, avoid_states;
            var dataArray = [['State', '']];

            @if(isset($driver->restricted_states) || isset($driver->avoid_states))
                preLoadStateMap();

                @if(isset($driver->restricted_states) && $driver->restricted_states != '')
                    restricted_states = $.parseJSON('{!! $driver->restricted_states !!}');
                @endif
                    @if(isset($driver->avoid_states) && $driver->avoid_states != '')
                    avoid_states = $.parseJSON('{!! $driver->avoid_states !!}');
                @endif

                if($('.region-southwest-child').length === $('.region-southwest-child').filter(':checked').length){
                    $('#region-southwest').prop('checked', true).val(1);
                }else if($('.region-southwest-child').length === $('.region-southwest-child').filter(function() { return !this.value; }).length){
                    $('#region-southwest').val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }
                if($('.region-west-child').length === $('.region-west-child').filter(':checked').length){
                    $('#region-west').prop('checked', true).val(1);
                }else if($('.region-west-child').length === $('.region-west-child').filter(function() { return !this.value; }).length){
                    $('#region-west').val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }
                if($('.region-midwest-child').length === $('.region-midwest-child').filter(':checked').length){
                    $('#region-midwest').prop('checked', true).val(1);
                }else if($('.region-midwest-child').length === $('.region-midwest-child').filter(function() { return !this.value; }).length){
                    $('#region-midwest').val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }
                if($('.region-southeast-child').length === $('.region-southeast-child').filter(':checked').length){
                    $('#region-southeast').prop('checked', true).val(1);
                }else if($('.region-southeast-child').length === $('.region-southeast-child').filter(function() { return !this.value; }).length){
                    $('#region-southeast').val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }
                if($('.region-northeast-child').length === $('.region-northeast-child').filter(':checked').length){
                    $('#region-northeast').prop('checked', true).val(1);
                }else if($('.region-northeast-child').length === $('.region-northeast-child').filter(function() { return !this.value; }).length){
                    $('#region-northeast').val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }
            @endif

            $('[id^="region-"]').on('change', function (e) {
                restricted_states = [], avoid_states = [];

                $('[id^="region-"]').not('#region-southwest,#region-west,#region-midwest,#region-southeast,#region-northeast').each(function (){
                    if($(this).attr('value') == ''){
                        restricted_states.push(($(this).attr('id')).slice(7));
                    }else if($(this).attr('value') == '1'){
                        avoid_states.push(($(this).attr('id')).slice(7));
                    }
                });

                stateList(restricted_states, avoid_states);
            });

            $('.state-map-block').on('click', function (e) {
                restricted_states = [], avoid_states = [];

                setTimeout(function(){
                    $('[id^="region-"]').not('#region-southwest,#region-west,#region-midwest,#region-southeast,#region-northeast').each(function (){
                        if($(this).attr('value') === ''){
                            restricted_states.push(($(this).attr('id')).slice(7));
                        }else if($(this).attr('value') === '1'){
                            avoid_states.push(($(this).attr('id')).slice(7));
                        }
                    });

                    stateList(restricted_states, avoid_states);
                }, 100);
            });

            google.charts.setOnLoadCallback(drawRegionsMap);

            function stateList(restricted_states, avoid_states) {
                $.ajax({
                    url: "/company-admin/drivers/state-list-for-map",
                    method: 'POST',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: { restricted_states: restricted_states, avoid_states: avoid_states },
                    dataType: 'json',
                    success: function(response) {
                        for (var i = 0; i < response.data.length; i++) {
                            dataArray.push([{ v: response.data[i][2] , f: response.data[i][0] } , { v:response.data[i][1] , f: response.data[i][3] }]);
                        }
                        drawRegionsMap();
                    }
                });
            }

            stateList(restricted_states, avoid_states);
            /********************* State Map - END *********************/

            /*********************  Mileage & Rates - START *********************/
            function drawMileageRateMap() {
                var data = google.visualization.arrayToDataTable(mileageRateDataArray);

                var options = {
                    region: 'US',
                    width: 1315,
                    height: 808,
                    colorAxis: {
                        colors: ['#EAEAEA', '#174D99', '#4DA5FF', '#2266CC', '#B2D9FF', '#2C80FF', '#8CC6FF', '#0C3366', '#031A33'],
                        minValue: 0,
                        maxValue: 8,
                    },
                    legend: "none",
                    resolution: 'provinces',
                    displayMode: 'regions',
                };

                var container = document.getElementById('mileageRateMap');
                var chart = new google.visualization.GeoChart(container);

                // Change default stroke color
                google.visualization.events.addListener(chart, 'ready', function () {
                    var countries = container.getElementsByTagName('path');
                    Array.prototype.forEach.call(countries, function(path) {
                        path.setAttribute('stroke', '#FFFFFF');
                    });
                });

                // change active stroke color, build mutation observer
                var observer = new MutationObserver(function (nodes) {
                    Array.prototype.forEach.call(nodes, function(node) {
                        // check for new nodes
                        if (node.addedNodes.length > 0) {
                            Array.prototype.forEach.call(node.addedNodes, function(addedNode) {
                                // the tooltip element will also be here, we only want the group elements
                                if (addedNode.tagName === 'g') {
                                    // find children of the group element
                                    Array.prototype.forEach.call(addedNode.childNodes, function(childNode) {
                                        // check for path element, change stroke
                                        if (childNode.tagName === 'path') {
                                            childNode.setAttribute('stroke', '#000000FF');
                                        }
                                    });
                                }
                            });
                        }
                    });
                });

                // activate mutation observer
                observer.observe(container, {
                    childList: true,
                    subtree: true
                });

                chart.draw(data, options);
            }

            var mileageRateDataArray = [['State', '']];

            google.charts.setOnLoadCallback(drawMileageRateMap);

            function mileageRateStateList() {
                $.ajax({
                    url: "/company-admin/drivers/mileage-rate-state-list-for-map",
                    method: 'POST',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    dataType: 'json',
                    success: function(response) {
                        for (var i = 0; i < response.data.length; i++) {
                            mileageRateDataArray.push([{ v: response.data[i][2] , f: response.data[i][0] } , { v:response.data[i][1] , f: response.data[i][3] }]);
                        }
                        drawMileageRateMap();
                    }
                });
            }

            mileageRateStateList();
            /********************* Mileage & Rates - END *********************/
        }

        /********************* Your Leave - START *********************/
        function leavesAllowance(driver_id, year) {
            $(".leavesAllowance").html('<tr><td colspan="2"><div class="loadingdiv"><img src="'+loadimg+'" /></div></tr></td>');
            var token               = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                url: "{{ route('company.admin.get.user.leaves.allowance') }}",
                method: "POST",
                data: { _token : token , type : 'driver', driver_id : driver_id , year : year},
                success: function(response) {
                    $('.leavesAllowance').html(response.view);
                }
            });
        }

        function editLeaveAllowanceForm() {
            $(".editLeaveAllowanceForm").ajaxForm({
                complete: function (response) {
                    $(".editLeaveAllowanceForm").trigger("reset");
                    $('.error').text('');
                    toastr.success('Days updated.', 'Success Alert', {timeOut: 5000})
                    $("#editLeavesAllowance").modal("hide");
                    var year = $(".leavesAllowanceYear").val();
                    leavesAllowance(driver_id, year);
                },
            });
        }

        function leavesAllowance2(driver_id, year) {
            $(".leavesAllowance2").html('<tr><td colspan="2"><div class="loadingdiv"><img src="'+loadimg+'" /></div></tr></td>');
            $(".leavesAllowance3").html('<tr><td colspan="2"><div class="loadingdiv"><img src="'+loadimg+'" /></div></tr></td>');
            var token               = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                url: "{{ route('company.admin.get.user.leaves.timeoff') }}",
                method: "POST",
                data: { _token : token , type : 'driver', driver_id : driver_id , year : year},
                success: function(response) {
                    $('.leavesAllowance2').html(response.view);
                    $('.leavesAllowance3').html(response.view2);
                }
            });
        }

        function leaveColumn3(driver_id, year) {
            $(".leavesAllowance2").html('<tr><td colspan="2"><div class="loadingdiv"><img src="'+loadimg+'" /></div></tr></td>');
            $(".leavesAllowance3").html('<tr><td colspan="2"><div class="loadingdiv"><img src="'+loadimg+'" /></div></tr></td>');
            var token               = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                url: "{{ route('company.admin.get.user.leaves.timeoff') }}",
                method: "POST",
                data: { _token : token , type : 'driver', driver_id : driver_id , year : year},
                success: function(response) {
                    $('.leaveColumn3').html(response.view);
                    $('.leaveColumn4').html(response.view2);
                }
            });
        }

        function leaveCalanderView(get_data,cyear,cmonth) {
            $(".append-view-leave").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
            $(".tooembo-box-leave").addClass('disabled-click');
            var token               = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                url: "{{ route('company.admin.leave.calendar.show') }}",
                method: "POST",
                data: { _token : token , get_data:get_data, cyear:cyear, cmonth:cmonth, driver_id:'{{ $driver->id }}'},
                success: function(response) {
                    $(".append-view-leave").html(response.view);
                    $(".cmonth-leave").val(response.month);
                    $(".cyear-leave").val(response.year);
                    $(".mtitle-leave").html(response.month_name+' '+response.year);
                    $(".tooembo-box-leave").removeClass('disabled-click');
                }
            });
        }
        /********************* Your Leave - END *********************/

        $(function () {
            let token = $('meta[name="csrf-token"]').attr('content');
            let driver_id = "{{ $driver->id }}";
            let loadimg = "{{ asset('theme/img/loading.gif') }}";
            let get_data        = 'current';
            let cyear           = $(".cyear").val();
            let cmonth          = $(".cmonth").val();

            /********************* Driver Profile - START *********************/
            $('.select2ActiveStatus').select2({
                width : '100%',
                placeholder: 'Select Status',
                minimumResultsForSearch: -1,
                templateResult: function(el){
                    if (!el.id) { return el.text; }
                    var $el = $('<span style="color:' + $(el.element).data('color') + '">' + el.text + ' <i class="fa fa-circle" aria-hidden="true"></i></span>');
                    return $el;
                },
                templateSelection: function(el){
                    if (!el.id) { return el.text; }
                    var $el = $('<span style="color:' + $(el.element).data('color') + '">' + el.text + ' <i class="fa fa-circle" aria-hidden="true"></i></span>');
                    return $el;
                }
            });

            $(document).on('change', '#active_status', function () {
                let status = $(this).val();

                if(status != ""){
                    $.ajax({
                        url: "{!! route('company.admin.drivers.update.status') !!}",
                        method: "POST",
                        data: {
                            driver_id: '{!! $driver->id !!}',
                            status: status,
                        },
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        dataType: 'json',
                        success: function(response) {
                            if(response.success){
                                toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                            }else{
                                toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        error: function () {
                            toastr.error('Oops! Something went wrong..', 'Error Alert', { timeOut: 5000 });
                        }
                    });
                }else{
                    toastr.error('Please select driver status.', 'Error Alert', { timeOut: 5000 });
                }
            });

            $('.select2EventType').select2({
                width : '100%',
                placeholder: 'Select Type',
                minimumResultsForSearch: -1,
                templateResult: function(el){
                    if (!el.id) { return el.text; }
                    var $el = $('<span class="d-flex flex-row"><img src="' + $(el.element).data('icon') + '" class="img-icon pr-2" />' + el.text + '</span>');
                    return $el;
                },
                templateSelection: function(el){
                    if (!el.id) { return el.text; }
                    var $el = $('<span class="d-flex flex-row"><img src="' + $(el.element).data('icon') + '" class="img-icon pr-2" />' + el.text + '</span>');
                    return $el;
                }
            });

            function readURL(input) {
                if (input.files && input.files[0]) {
                    var reader = new FileReader();
                    reader.onload = function(e) {
                        $('#profile_image_preview').css('background-image', 'url('+e.target.result +')');
                        $('#profile_image_preview').hide();
                        $('#profile_image_preview').fadeIn(650);
                    }
                    reader.readAsDataURL(input.files[0]);
                }
            }
            $('#profile_image').change(function (e) {
                let profile = e.target.files[0];

                console.log(profile);

                var formData = new FormData();

                formData.append('profile_image', profile);
                formData.append('driver_id', '{!! $driver->id !!}');

                $.ajax({
                    cache: false,
                    contentType: false,
                    processData: false,
                    type: 'post',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: formData,
                    url: "{{ route('company.admin.driver.update.profile.image') }}",
                    success: function (response) {
                        if (response.type == 'success') {
                            toastr.success(response.msg, 'Success Alert', {timeOut: 5000});
                        } else {
                            toastr.error(response.msg, 'Error Alert', {timeOut: 5000});
                        }
                    }
                });
                readURL(this);
            });
            /********************* Driver Profile - END *********************/

            /********************* Account - START *********************/
            let start               = moment().subtract(29, 'days');
            let end                 = moment();
            let upcomingStart       = moment();
            let upcomingEnd         = moment().add(31, 'days');

            function cb(start, end) {
                $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));

                var start_date      = start.format('MM/DD/YYYY');
                var end_date        = end.format('MM/DD/YYYY');
                chartAccount(driver_id, start_date, end_date);
            }

            function chartAccount(driver_id, start_date, end_date) {
                $("#accountTable,#chartAccount,#topfiler1,#topfiler2,#topfiler3,#topfiler4,#topfiler5,#topfiler6,#topfiler7,#topfiler8,#topfiler9").html('<div class="loadingdiv"><img src="' + loadimg + '" /></div>');

                $.ajax({
                    url: "{{ route('company.admin.driver.account.tab.chart') }}",
                    method: 'POST',
                    data: {_token: token, driver_id: driver_id, start_date: start_date, end_date: end_date},
                    dataType: 'json',
                    success: function (response) {
                        $('#chartAccount').html(response.view);
                        $('#accountTable').html(response.goalsview);

                        $('#topfiler1').html(response.topfiler1);
                        $('#topfiler2').html(response.topfiler2);
                        $('#topfiler3').html(response.topfiler3);
                        $('#topfiler4').html(response.topfiler4);
                        $('#topfiler5').html(response.topfiler5);
                        $('#topfiler6').html(response.topfiler6);
                        $('#topfiler7').html(response.topfiler7);
                        $('#topfiler8').html(response.topfiler8);
                        $('#topfiler9').html(response.topfiler9);
                    }
                });
            }

            $('#reportrange').daterangepicker({
                startDate: start,
                endDate: end,
                ranges: {
                    'Today': [moment(), moment()],
                    'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                    'Last 7 Days': [moment().subtract(6, 'days'), moment()],
                    'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                    'This Month': [moment().startOf('month'), moment().endOf('month')],
                    'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')],
                    'This Year': [moment().startOf('year'), moment().endOf('year')],
                    'Last Year': [moment().subtract(1, 'year').startOf('year'), moment().subtract(1, 'year').endOf('year')]
                }
            }, cb);

            cb(start, end);

            function loadEvents(start, end) {
                $('#UpcomingReportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));

                var start_date      = start.format('MM/DD/YYYY');
                var end_date        = end.format('MM/DD/YYYY');
                getUpcomingEvents(driver_id, start_date, end_date);
            }

            function getUpcomingEvents(driver_id, start_date, end_date) {
                $(".sefixheight").html('<div class="loadingdiv"><img src="' + loadimg + '" /></div>');

                $.ajax({
                    url: "{{ route('company.admin.driver.account.tab.upcoming.events') }}",
                    method: 'POST',
                    data: {_token: token, driver_id: driver_id, start_date: start_date, end_date: end_date},
                    dataType: 'json',
                    success: function (response) {
                        $('.sefixheight').html(response.calendarEvents);
                    }
                });
            }

            $('#UpcomingReportrange').daterangepicker({
                startDate: start,
                endDate: end,
                minDate: new Date(),
                ranges: {
                    'Today': [moment(), moment()],
                    'Tomorrow': [moment().add(1, 'days'), moment().add(1, 'days')],
                    'Next 7 Days': [moment(), moment().add(6, 'days')],
                    'Next 30 Days': [moment(), moment().add(29, 'days')],
                    'This Month': [moment(), moment().endOf('month')],
                    'Next Month': [moment().add(1, 'month').startOf('month'), moment().add(1, 'month').endOf('month')],
                    'This Year': [moment(), moment().endOf('year')],
                    'Next Year': [moment().add(1, 'year').startOf('year'), moment().add(1, 'year').endOf('year')]
                }
            }, loadEvents);

            loadEvents(upcomingStart, upcomingEnd);
            /********************* Account - END *********************/

            /********************* Occupancy Calendar - START *********************/
            let showtype        = $(".showtype").val();
            let start_date      = $(".start_date").val();
            let end_date        = $(".end_date").val();

            $('#timeframe').each(function() {
                var $this = $(this);
                var placeholderText = $this.find('option:first').text();
                $this.select2({
                    width : '100%',
                    placeholder: placeholderText,
                    minimumResultsForSearch: -1
                });
                $this.find('option:first').hide();
            });

            function OccupancyCalanderView(driver_id, showtype, get_data, cyear, cmonth, start_date, end_date) {
                $(".append-view").html('<div class="loadingdiv"><img src="' + loadimg + '" /></div>');
                $(".occupanyType").html('<div class="loadingdiv"><img src="' + loadimg + '" /></div>');
                $(".performanceSummary").html('<div class="loadingdiv"><img src="' + loadimg + '" /></div>');

                $.ajax({
                    url: "{{ route('company.admin.occupancy.calander.view') }}",
                    method: "POST",
                    data: {
                        _token: token, driver_id: driver_id, showtype: showtype, get_data: get_data,
                        cyear: cyear, cmonth: cmonth, start_date: start_date, end_date: end_date
                    },
                    success: function (response) {
                        $(".append-view").html(response.view);
                        //$(".occupanyType").html(response.occupanytype);
                        //$(".performanceSummary").html(response.performanceSummary);
                        $(".driver_name").html(response.driver_name);
                        $('.holid').tooltip();

                        if ($('.holidychecked').is(':checked')) {
                            $(".holid").removeClass("hidden")
                        } else {
                            $(".holid").addClass("hidden")
                        }

                        $(".performanceSummary").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
                        $(".occupanytype").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
                        var token   = $('meta[name="csrf-token"]').attr('content');
                        var bggreen = $('.calendar-date.bg-green').length;
                        $.ajax({
                            url: "{{ route('company.admin.occupancy.calendar.report.view') }}",
                            method: "POST",
                            data: { _token : token , driver_id : driver_id, showtype : showtype, get_data:get_data, cyear:cyear, cmonth:cmonth, start_date:start_date, end_date:end_date, bggreen:bggreen},
                            success: function(response) {
                                $(".occupanyType").html(response.occupanytype);
                                $(".performanceSummary").html(response.performanceSummary);
                            }
                        });
                    }
                });
            }

            OccupancyCalanderView(driver_id, showtype, get_data, cyear, cmonth, start_date, end_date);

            $(document).on("click", ".next-arrow", function (e) {
                var showtype    = $(".showtype").val();
                var get_data    = 'next';
                var cyear       = $(".cyear").val();
                var cmonth      = $(".cmonth").val();
                var start_date  = $(".start_date").val();
                var end_date    = $(".end_date").val();
                OccupancyCalanderView(driver_id, showtype, get_data, cyear, cmonth, start_date, end_date);
            });

            $(document).on("click", ".prev-arrow", function (e) {
                var showtype    = $(".showtype").val();
                var get_data    = 'previous';
                var cyear       = $(".cyear").val();
                var cmonth      = $(".cmonth").val();
                var start_date  = $(".start_date").val();
                var end_date    = $(".end_date").val();
                OccupancyCalanderView(driver_id, showtype, get_data, cyear, cmonth, start_date, end_date);
            });

            $(document).on('change', '.showtype', function () {
                var showtype    = this.value;
                var get_data    = 'current';
                var cyear       = $(".cyear").val();
                var cmonth      = $(".cmonth").val();
                var start_date  = $(".start_date").val();
                var end_date    = $(".end_date").val();
                OccupancyCalanderView(driver_id, showtype, get_data, cyear, cmonth, start_date, end_date);
            });

            $(document).on('click', '.holidychecked', function () {
                if ($(this).is(':checked')) {
                    $(".holid").removeClass("hidden")
                } else {
                    $(".holid").addClass("hidden")
                }
            });

            $(document).on('click', '.checkdate', function () {
                var dataid  = $(this).attr('data-id');
                if ($(this).is(':checked')) {
                    $(".ondate" + dataid).show(300)
                } else {
                    $(".ondate" + dataid).hide()
                }
            });

            $(document).on('click', '.checkfile', function () {
                var dataid  = $(this).attr('data-id');
                if ($(this).is(':checked')) {
                    $(".onfile" + dataid).show(300)
                } else {
                    $(".onfile" + dataid).hide()
                }
            });

            $(document).on('click', '.viewLoadDetailsByDate', function () {
                let date = $(this).attr('data-date');
                let load = $(this).attr('data-load');

                $('#viewLoadDetailsByDate .viewLoadDetailsByDateLabel').text(moment(date).format('dddd MMMM Do, YYYY'));

                if(load != ""){
                    $.ajax({
                        url: "{{ route('company.admin.occupancy.calendar.view.loaddetails') }}",
                        method: "POST",
                        data: {
                            _token: token, load
                        },
                        success: function (response) {
                            if(response.loadDetailsBody != ''){
                                $("#viewLoadDetailsByDate .modal-body").html(response.loadDetailsBody);
                                $("#viewLoadDetailsByDate .modal-footer").html(response.loadDetailsFooter);
                                $('#viewLoadDetailsByDate').modal('show');
                            }
                        }
                    });
                }
            });
            /********************* Occupancy Calendar - END *********************/

            /********************* Loads - START *********************/
            let table = $('.new-load-data-table').DataTable({
                stateSave: true,
                language: {
                    search: "",
                    searchPlaceholder: "Search...",
                },
                processing: true,
                serverSide: true,
                bJQueryUI: true,
                ordering: false,
                pageLength: "{{ perPageView() }}",
                lengthMenu: [[10, 20, 50, 100, -1], [10, 20, 50, 100, "All"]],
                dom: "<'row cusotdiv'<'col-sm-2 col-md-2'f><''l>><'row px-0'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
                ajax: {
                    url: "{{ url('company-admin/drivers/'.$driver->id.'/loads') }}",
                    data: function (d) {
                        <?php foreach($getField as $key => $filed): ?>
                            d.search_string_value_{{$key}}              = $('#search_string_{{$key}}').val();
                            d.search_string_name_{{$key}}               = $('#stringKey{{$key}}').val();
                            d.search_string_type_{{$key}}               = $('#stringType{{$key}}').val();
                            d.search_table_name_{{$key}}                = $('#stringTableType{{$key}}').val();
                            d.search_string_condition_{{$key}}          = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                            d.search_string_sort_{{$key}}               = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();

                            d.search_string_relation_table_{{$key}}     = $('#stringRelationTable{{$key}}').val();
                            d.search_string_col_name1_{{$key}}          = $('#stringColName1{{$key}}').val();
                            d.search_string_col_name2_{{$key}}          = $('#stringColName2{{$key}}').val();
                            d.search_string_static_{{$key}}             = $('#stringStatic{{$key}}').val();

                            d.search_string_having_{{$key}}             = $('#stringHaving{{$key}}').val();

                            d.search_string_col_alias1_name_{{$key}}    = $('#stringColAl1{{$key}}').val();
                            d.search_string_col_alias2_name_{{$key}}    = $('#stringColAl2{{$key}}').val();
                            d.search_string_col_alias3_name_{{$key}}    = $('#stringColAl3{{$key}}').val();
                            d.search_string_col_alias4_name_{{$key}}    = $('#stringColAl4{{$key}}').val();
                            d.search_string_col_alias5_name_{{$key}}    = $('#stringColAl5{{$key}}').val();
                            d.search_string_col_alias6_name_{{$key}}    = $('#stringColAl6{{$key}}').val();

                            <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                                d.search_status_value_{{$key}}_{{$ke}}  = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                            <?php endforeach; ?>

                            d.search_status_condition_{{$key}}          = $('#is_status_condition_applied{{$key}}').val();
                            d.search_status_name_{{$key}}               = $('#statusOrgColName{{$key}}').val();
                            d.search_status_table_name_{{$key}}         = $('#statusTableType{{$key}}').val();
                            d.search_status_sort_{{$key}}               = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                            d.search_status_sort_column_{{$key}}        = $("#statusOrderColName{{$key}}").val();
                        <?php endforeach; ?>
                    }
                },
                columns: [
                    <?php foreach($getField as $key => $filed): ?>
                        <?php if($filed == 1): ?>
                            <?php if(isset(config('settings.table_driver_view_loads')[$key]['name'])): ?>
                                <?php if(config("settings.table_driver_view_loads")[$key]["orderable"] == 1 && config("settings.table_driver_view_loads")[$key]["searchable"] == 1): ?>
                                    { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true, className: '{{ config("settings.table_driver_view_loads")[$key]["class"] }}' },
                                <?php elseif(config("settings.table_driver_view_loads")[$key]["orderable"] == 1): ?>
                                    { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false, className: '{{ config("settings.table_driver_view_loads")[$key]["class"] }}' },
                                <?php elseif(config("settings.table_driver_view_loads")[$key]["searchable"] == 1): ?>
                                    { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true, className: '{{ config("settings.table_driver_view_loads")[$key]["class"] }}' },
                                <?php else: ?>
                                    { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false, className: '{{ config("settings.table_driver_view_loads")[$key]["class"] }}' },
                                <?php endif; ?>
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endforeach; ?>
                ]
            });

            $(document).on('click', '.filterString, .filterStatus, .clearAll, .refreshAll, .chkclear', function () {
                table.draw();
            });
            /********************* Loads - END *********************/

            /********************* Safety & Compliance - START *********************/
            var previousUnitype;

            function storeHOSViolationFormAjax() {
                $(".storeHOSViolationForm").ajaxForm({
                    complete: function (response) {
                        if (response.responseJSON.success) {
                            window.location.href = window.location.href;
                        } else {
                            $('.error').text('');
                            $.each(response.responseJSON.errors, function (key, value) {
                                var key = key.replace(/\./g, '_');
                                $.each(value, function (skey, svalue) {
                                    $('.' + key + '_error').text(svalue);
                                });
                            });
                            toastr.error('Please check the form below for errors', 'Error Alert', {timeOut: 5000})
                        }
                    },
                });
            }
            $(document).on("click", ".create-hos-violations-btn", function () {
                var token           = $('meta[name="csrf-token"]').attr('content');
                var driver_id       = $(this).data('driver-id');
                $.ajax({
                    url: "/company-admin/hos-violation/create/form/view",
                    method: "POST",
                    data: {_token: token, driver_id: driver_id},
                    success: function (response) {
                        $('.blank-modal-body').find('.append-form').html('');
                        $('#createHOSViolationsModal').find('.append-form').html(response.view);

                        $('.date').datetimepicker({
                            format: 'MM/DD/YYYY',
                            useCurrent: false,
                        });

                        $('.cutomtime').datetimepicker({
                            format: timeLayout,
                            useCurrent: true,
                        });

                        $('.storeHOSViolationForm .select2').each(function() {
                            var $this = $(this);
                            var placeholderText = $this.find('option:first').text();
                            if(typeof $this.attr('data-no-search') !== 'undefined' && $this.attr('data-no-search') === 'true'){
                                $this.select2({
                                    width : '100%',
                                    placeholder: placeholderText,
                                    minimumResultsForSearch: -1
                                });
                            }else{
                                $this.select2({
                                    allowClear: true,
                                    width : '100%',
                                    placeholder: placeholderText
                                });
                            }
                            $this.find('option:first').hide();
                        });

                        imagePreview();
                        storeHOSViolationFormAjax();
                        AddMoreHOS();

                        $('.unit1').change();
                        $('.unit2').change();
                    }
                });
            });

            $(document).on("click",".create-non-violations-btn",function() {
                var token           = $('meta[name="csrf-token"]').attr('content');
                var driver_id       = $(this).data('driver-id');
                $.ajax({
                    url: "/company-admin/non-violation/create/form/view",
                    method: "POST",
                    data: {_token: token, driver_id: driver_id},
                    success: function (response) {
                        $('.blank-modal-body').find('.append-form').html('');
                        $('#createNonViolationsModal').find('.append-form').html(response.view);

                        $('.date').datetimepicker({
                            format: 'MM/DD/YYYY',
                            useCurrent: false,
                        });

                        $('.cutomtime').datetimepicker({
                            format: timeLayout,
                            useCurrent: true,
                        });

                        $('.storeHOSViolationForm .select2').each(function() {
                            var $this = $(this);
                            var placeholderText = $this.find('option:first').text();
                            if(typeof $this.attr('data-no-search') !== 'undefined' && $this.attr('data-no-search') === 'true'){
                                $this.select2({
                                    width : '100%',
                                    placeholder: placeholderText,
                                    minimumResultsForSearch: -1
                                });
                            }else{
                                $this.select2({
                                    allowClear: true,
                                    width : '100%',
                                    placeholder: placeholderText
                                });
                            }
                            $this.find('option:first').hide();
                        });

                        imagePreview();
                        storeHOSViolationFormAjax();
                        AddMoreHOS();

                        $('.unit1').change();
                        $('.unit2').change();
                    }
                });
            });

            function updateHOSViolationFormAjax() {
                $(".updateHOSViolationForm").ajaxForm({
                    complete: function (response) {
                        if (response.responseJSON.success) {
                            window.location.href = window.location.href;
                        } else {
                            $('.error').text('');
                            $.each(response.responseJSON.errors, function (key, value) {
                                var key = key.replace(/\./g, '_');
                                $.each(value, function (skey, svalue) {
                                    $('.' + key + '_error').text(svalue);
                                });
                            });
                            toastr.error('Please check the form below for errors', 'Error Alert', {timeOut: 5000})
                        }
                    },
                });
            }
            $(document).on("click", ".edit-hos-violations-btn", function () {
                var token           = $('meta[name="csrf-token"]').attr('content');
                var id              = $(this).data('id');
                $.ajax({
                    url: "/company-admin/hos-violation/edit/form/view",
                    method: "POST",
                    data: {_token: token, id: id},
                    success: function (response) {
                        $('.blank-modal-body').find('.append-form').html('');
                        $('#editHOSViolationsModal').find('.append-form').html(response.view);

                        $('.date').datetimepicker({
                            format: 'MM/DD/YYYY',
                            useCurrent: false,
                        });

                        $('.cutomtime').datetimepicker({
                            format: timeLayout,
                            useCurrent: true,
                        });

                        $('.updateHOSViolationForm .select2').each(function() {
                            var $this = $(this);
                            console.log($this);
                            var placeholderText = $this.find('option:first').text();
                            if(typeof $this.attr('data-no-search') !== 'undefined' && $this.attr('data-no-search') === 'true'){
                                $this.select2({
                                    width : '100%',
                                    placeholder: placeholderText,
                                    minimumResultsForSearch: -1
                                });
                            }else{
                                $this.select2({
                                    allowClear: true,
                                    width : '100%',
                                    placeholder: placeholderText
                                });
                            }
                            $this.find('option:first').hide();
                        });

                        imagePreview();
                        updateHOSViolationFormAjax();
                        AddMoreHOS();

                        $('.unit1').change();
                        $('.unit2').change();
                        $('.unittype:first').trigger('change');
                    }
                });
            });

            $(document).on("click", ".edit-non-violations-btn", function () {
                var token           = $('meta[name="csrf-token"]').attr('content');
                var id              = $(this).data('id');
                $.ajax({
                    url: "/company-admin/non-violation/edit/form/view",
                    method: "POST",
                    data: {_token: token, id: id},
                    success: function (response) {
                        $('.blank-modal-body').find('.append-form').html('');
                        $('#editNONViolationsModal').find('.append-form').html(response.view);

                        $('.date').datetimepicker({
                            format: 'MM/DD/YYYY',
                            useCurrent: false,
                        });

                        $('.cutomtime').datetimepicker({
                            format: timeLayout,
                            useCurrent: true,
                        });

                        $('.updateHOSViolationForm .select2').each(function() {
                            var $this = $(this);
                            var placeholderText = $this.find('option:first').text();
                            if(typeof $this.attr('data-no-search') !== 'undefined' && $this.attr('data-no-search') === 'true'){
                                $this.select2({
                                    width : '100%',
                                    placeholder: placeholderText,
                                    minimumResultsForSearch: -1
                                });
                            }else{
                                $this.select2({
                                    allowClear: true,
                                    width : '100%',
                                    placeholder: placeholderText
                                });
                            }
                            $this.find('option:first').hide();
                        });

                        imagePreview();
                        updateHOSViolationFormAjax();
                        AddMoreHOS();

                        $('.unit1').change();
                        $('.unit2').change();
                        $('.unittype:first').trigger('change');
                    }
                });
            });

            $(document).on("click", ".show-hos-violations-btn", function () {
                var token           = $('meta[name="csrf-token"]').attr('content');
                var id              = $(this).data('id');
                $.ajax({
                    url: "/company-admin/hos-violation/show/view",
                    method: "POST",
                    data: {_token: token, id: id},
                    success: function (response) {
                        $('#showHOSViolationsModal').find('.append-form').html(response.view);
                    }
                });
            });

            $(document).on("click", ".show-non-violations-btn", function () {
                var token           = $('meta[name="csrf-token"]').attr('content');
                var id              = $(this).data('id');
                $.ajax({
                    url: "/company-admin/non-violation/show/view",
                    method: "POST",
                    data: {_token: token, id: id},
                    success: function (response) {
                        $('#showNONViolationsModal').find('.append-form').html(response.view);
                    }
                });
            });

            function storeCitationFormAjax() {
                $(".storeCitationForm").ajaxForm({
                    complete: function (response) {
                        if (response.responseJSON.success) {
                            window.location.href = window.location.href;
                        } else {
                            $('.error').text('');
                            $.each(response.responseJSON.errors, function (key, value) {
                                var key = key.replace(/\./g, '_');
                                $.each(value, function (skey, svalue) {
                                    $('.' + key + '_error').text(svalue);
                                });
                            });
                            toastr.error('Please check the form below for errors', 'Error Alert', {timeOut: 5000})
                        }
                    },
                });
            }
            $(document).on("click", ".create-citation-btn", function () {
                var token           = $('meta[name="csrf-token"]').attr('content');
                var driver_id       = $(this).data('driver-id');
                $.ajax({
                    url: "/company-admin/citation/create/form/view",
                    method: "POST",
                    data: {_token: token, driver_id: driver_id},
                    success: function (response) {
                        $('.blank-modal-body').find('.append-form').html('');
                        $('#createCitationModal').find('.append-form').html(response.view);

                        $('.date').datetimepicker({
                            format: 'MM/DD/YYYY',
                            useCurrent: false,
                        });

                        $('.storeCitationForm .select2').each(function() {
                                var $this = $(this);
                                var placeholderText = $this.find('option:first').text();
                                $this.select2({
                                    allowClear: true,
                                    width: '100%',
                                    placeholder: placeholderText
                                });
                                $this.find('option:first').hide();
                            });

                        imagePreview();
                        storeCitationFormAjax();
                    }
                });
            });

            function updateCitationFormAjax() {
                $(".updateCitationForm").ajaxForm({
                    complete: function (response) {
                        if (response.responseJSON.success) {
                            window.location.href = window.location.href;
                        } else {
                            $('.error').text('');
                            $.each(response.responseJSON.errors, function (key, value) {
                                var key = key.replace(/\./g, '_');
                                $.each(value, function (skey, svalue) {
                                    $('.' + key + '_error').text(svalue);
                                });
                            });
                            toastr.error('Please check the form below for errors', 'Error Alert', {timeOut: 5000})
                        }
                    },
                });
            }
            $(document).on("click", ".edit-citation-btn", function () {
                var token           = $('meta[name="csrf-token"]').attr('content');
                var id              = $(this).data('id');
                $.ajax({
                    url: "/company-admin/citation/edit/form/view",
                    method: "POST",
                    data: {_token: token, id: id},
                    success: function (response) {
                        $('.blank-modal-body').find('.append-form').html('');
                        $('#editCitationModal').find('.append-form').html(response.view);

                        $('.date').datetimepicker({
                            format: 'MM/DD/YYYY',
                            useCurrent: false,
                        });

                        $('.updateCitationForm .select2').each(function() {
                            var $this = $(this);
                            var placeholderText = $this.find('option:first').text();
                            $this.select2({
                                allowClear: true,
                                width: '100%',
                                placeholder: placeholderText
                            });
                            $this.find('option:first').hide();
                        });

                        imagePreview();
                        updateCitationFormAjax();
                    }
                });
            });

            $(document).on("click", ".show-citation-btn", function () {
                var token           = $('meta[name="csrf-token"]').attr('content');
                var id              = $(this).data('id');
                $.ajax({
                    url: "/company-admin/citation/show/view",
                    method: "POST",
                    data: {_token: token, id: id},
                    success: function (response) {
                        $('#showCitationModal').find('.append-form').html(response.view);
                    }
                });
            });

            function storeAccidentFormAjax() {
                $(".storeAccidentForm").ajaxForm({
                    complete: function (response) {
                        if (response.responseJSON.success) {
                            window.location.href = window.location.href;
                        } else {
                            $('.error').text('');
                            $.each(response.responseJSON.errors, function (key, value) {
                                var key = key.replace(/\./g, '_');
                                $.each(value, function (skey, svalue) {
                                    $('.' + key + '_error').text(svalue);
                                });
                            });
                            toastr.error('Please check the form below for errors', 'Error Alert', {timeOut: 5000})
                        }
                    },
                });
            }
            $(document).on("click", ".create-accident-btn", function () {
                var token           = $('meta[name="csrf-token"]').attr('content');
                var driver_id       = $(this).data('driver-id');
                $.ajax({
                    url: "/company-admin/accident/create/form/view",
                    method: "POST",
                    data: {_token: token, driver_id: driver_id},
                    success: function (response) {
                        $('.blank-modal-body').find('.append-form').html('');
                        $('#createAccidentModal').find('.append-form').html(response.view);

                        $('.date').datetimepicker({
                            format: 'MM/DD/YYYY',
                            useCurrent: false,
                        });

                        $('.storeAccidentForm .select2').each(function() {
                            var $this = $(this);
                            var placeholderText = $this.find('option:first').text();
                            if(typeof $this.attr('data-no-search') !== 'undefined' && $this.attr('data-no-search') === 'true'){
                                $this.select2({
                                    width : '100%',
                                    placeholder: placeholderText,
                                    minimumResultsForSearch: -1
                                });
                            }else{
                                $this.select2({
                                    allowClear: true,
                                    width : '100%',
                                    placeholder: placeholderText
                                });
                            }
                            $this.find('option:first').hide();
                        });

                        imagePreview();
                        storeAccidentFormAjax();
                    }
                });
            });

            function updateAccidentFormAjax() {
                $(".updateAccidentForm").ajaxForm({
                    complete: function (response) {
                        if (response.responseJSON.success) {
                            window.location.href = window.location.href;
                        } else {
                            $('.error').text('');
                            $.each(response.responseJSON.errors, function (key, value) {
                                var key = key.replace(/\./g, '_');
                                $.each(value, function (skey, svalue) {
                                    $('.' + key + '_error').text(svalue);
                                });
                            });
                            toastr.error('Please check the form below for errors', 'Error Alert', {timeOut: 5000})
                        }
                    },
                });
            }
            $(document).on("click", ".edit-accident-btn", function () {
                var token           = $('meta[name="csrf-token"]').attr('content');
                var id              = $(this).data('id');
                $.ajax({
                    url: "/company-admin/accident/edit/form/view",
                    method: "POST",
                    data: {_token: token, id: id},
                    success: function (response) {
                        $('.blank-modal-body').find('.append-form').html('');
                        $('#editAccidentModal').find('.append-form').html(response.view);

                        $('.date').datetimepicker({
                            format: 'MM/DD/YYYY',
                            useCurrent: false,
                        });

                        $('.updateAccidentForm .select2').each(function() {
                            var $this = $(this);
                            var placeholderText = $this.find('option:first').text();
                            if(typeof $this.attr('data-no-search') !== 'undefined' && $this.attr('data-no-search') === 'true'){
                                $this.select2({
                                    width : '100%',
                                    placeholder: placeholderText,
                                    minimumResultsForSearch: -1
                                });
                            }else{
                                $this.select2({
                                    allowClear: true,
                                    width : '100%',
                                    placeholder: placeholderText
                                });
                            }
                            $this.find('option:first').hide();
                        });

                        imagePreview();
                        updateAccidentFormAjax();
                    }
                });
            });

            $(document).on("click", ".show-accident-btn", function () {
                var token           = $('meta[name="csrf-token"]').attr('content');
                var id              = $(this).data('id');
                $.ajax({
                    url: "/company-admin/accident/show/view",
                    method: "POST",
                    data: {_token: token, id: id},
                    success: function (response) {
                        $('#showAccidentModal').find('.append-form').html(response.view);
                    }
                });
            });

            $(document).on("change", ".accident-type", function () {
                var type            = $(this).val();
                if (type == 5) {
                    $(".accident-modal").find(".other-div").css('display', 'block');
                } else {
                    $(".accident-modal").find(".other-div").css('display', 'none');
                }
            });

            function imagePreview() {
                var container = $('.image-wrapper'), inputFile = $('#file'), img, btn, txt = 'Drag and drop file here or click to browse',
                    txtAfter = 'Changes file';
                if (!container.find('#upload').length) {
                    container.find('.input').append('<span class="drop-zone__prompt text-center">Drag and drop file here or click to browse</span><input type="button" value="" id="upload">');
                    btn             = $('#upload');
                    container.prepend('<img src="" class="hidden" alt="Uploaded file" id="uploadImg" width="100">');
                    img             = $('#uploadImg');
                } else {
                    btn             = $('#upload');
                    img             = $('#uploadImg');
                }
                btn.on('click', function () {
                    img.animate({opacity: 0}, 300);
                    inputFile.click();
                    img.parent().find('.input').find('.drop-zone__prompt').removeClass('d-none');
                });
                inputFile.on('change', function (e) {
                    container.find('label').html(inputFile.val());
                    var i           = 0;
                    for (i; i < e.originalEvent.srcElement.files.length; i++) {
                        var file    = e.originalEvent.srcElement.files[i],
                            reader  = new FileReader();
                        reader.onloadend = function () {
                            img.attr('src', reader.result).animate({opacity: 1}, 700);
                        }
                        reader.readAsDataURL(file);
                        img.removeClass('hidden');
                        img.parent().find('.input').find('.drop-zone__prompt').addClass('d-none');
                    }
                    btn.val(txtAfter);
                    if (btn.val(txtAfter)) {
                        $('#upload').addClass('changeImg');
                    }
                });

                var container2 = $('.image-wrapper2'), inputFile2 = $('#file2'), img2, btn2, txt2 = 'Drag and drop file here or click to browse',
                    txtAfter2 = 'Changes file';
                if (!container2.find('#upload2').length) {
                    container2.find('.input2').append('<span class="drop-zone__prompt text-center">Drag and drop file here or click to browse</span><input type="button" value="" id="upload2">');
                    btn2            = $('#upload2');
                    container2.prepend('<img src="" class="hidden" alt="Uploaded file" id="uploadImg2" width="100">');
                    img2            = $('#uploadImg2');
                } else {
                    btn2            = $('#upload2');
                    img2            = $('#uploadImg2');
                }
                btn2.on('click', function () {
                    img2.animate({opacity: 0}, 300);
                    inputFile2.click();
                    img2.parent().find('.input').find('.drop-zone__prompt').removeClass('d-none');
                });
                inputFile2.on('change', function (e) {
                    container2.find('label2').html(inputFile2.val());
                    var i = 0;
                    for (i; i < e.originalEvent.srcElement.files.length; i++) {
                        var file2   = e.originalEvent.srcElement.files[i],
                            reader2 = new FileReader();
                        reader2.onloadend = function () {
                            img2.attr('src', reader2.result).animate({opacity: 1}, 700);
                        }
                        reader2.readAsDataURL(file2);
                        img2.removeClass('hidden');
                        img2.parent().find('.input').find('.drop-zone__prompt').addClass('d-none');
                    }
                    btn2.val(txtAfter2);
                    if (btn2.val(txtAfter2)) {
                        $('#upload2').addClass('changeImg2');
                    }
                });

                var container3 = $('.image-wrapper3'), inputFile3 = $('#file3'), img3, btn3, txt3 = 'Drag and drop file here or click to browse',
                    txtAfter3 = 'Changes file';
                if (!container3.find('#upload3').length) {
                    container3.find('.input3').append('<span class="drop-zone__prompt text-center">Drag and drop file here or click to browse</span><input type="button" value="" id="upload3">');
                    btn3            = $('#upload3');
                    container3.prepend('<img src="" class="hidden" alt="Uploaded file" id="uploadImg3" width="100">');
                    img3            = $('#uploadImg3');
                } else {
                    btn3            = $('#upload3');
                    img3            = $('#uploadImg3');
                }
                btn3.on('click', function () {
                    img3.animate({opacity: 0}, 300);
                    inputFile3.click();
                    img3.parent().find('.input').find('.drop-zone__prompt').removeClass('d-none');
                });
                inputFile3.on('change', function (e) {
                    container3.find('label3').html(inputFile3.val());
                    var i = 0;
                    for (i; i < e.originalEvent.srcElement.files.length; i++) {
                        var file3   = e.originalEvent.srcElement.files[i],
                            reader3 = new FileReader();
                        reader3.onloadend = function () {
                            img3.attr('src', reader3.result).animate({opacity: 1}, 700);
                        }
                        reader3.readAsDataURL(file3);
                        img3.removeClass('hidden');
                        img3.parent().find('.input').find('.drop-zone__prompt').addClass('d-none');
                    }
                    btn3.val(txtAfter3);
                    if (btn3.val(txtAfter3)) {
                        $('#upload3').addClass('changeImg3');
                    }
                });

                var container4 = $('.image-wrapper4'), inputFile4 = $('#file4'), img4, btn4, txt4 = 'Drag and drop file here or click to browse',
                    txtAfter4 = 'Changes file';
                if (!container4.find('#upload4').length) {
                    container4.find('.input4').append('<span class="drop-zone__prompt text-center">Drag and drop file here or click to browse</span><input type="button" value="" id="upload4">');
                    btn4            = $('#upload4');
                    container4.prepend('<img src="" class="hidden" alt="Uploaded file" id="uploadImg4" width="100">');
                    img4            = $('#uploadImg4');
                } else {
                    btn4            = $('#upload4');
                    img4            = $('#uploadImg4');
                }
                btn4.on('click', function () {
                    img4.animate({opacity: 0}, 400);
                    inputFile4.click();
                    img4.parent().find('.input').find('.drop-zone__prompt').removeClass('d-none');
                });
                inputFile4.on('change', function (e) {
                    container4.find('label4').html(inputFile4.val());
                    var i = 0;
                    for (i; i < e.originalEvent.srcElement.files.length; i++) {
                        var file4   = e.originalEvent.srcElement.files[i],
                            reader4 = new FileReader();
                        reader4.onloadend = function () {
                            img4.attr('src', reader4.result).animate({opacity: 1}, 700);
                        }
                        reader4.readAsDataURL(file4);
                        img4.removeClass('hidden');
                        img4.parent().find('.input').find('.drop-zone__prompt').addClass('d-none');
                    }
                    btn4.val(txtAfter4);
                    if (btn4.val(txtAfter4)) {
                        $('#upload4').addClass('changeImg4');
                    }
                });
            }

            function AddMoreHOS(){
                $("#HosaddRow").click(function () {
                    var html = '';
                    html += '<div class="d-flex align-items-center justify-content-between" id="hosvolation">';
                    html += '<div>';
                    html += '<div class="form-group">';
                    html += '<label>Violations Unit</label>';
                    html += '<select name="unit_type[]" class="form-control unittype select2" data-no-search="true">';
                    html += '<option value="">Select Unit</option>';
                    html += '<option value="1">Driver</option>';
                    html += '<option value="2">Truck</option>';
                    html += '<option value="3">Trailer</option>';
                    html += '</select>';
                    html += '</div>';
                    html += '</div>';
                    html += '<div>';
                    html += '<div class="form-group">';
                    html += '<label>Out of Service</label>';
                    html += '<select name="oos[]" class="form-control select2" data-no-search="true">';
                    html += '<option value="">Select OOS</option>';
                    html += '<option value="1">Yes</option>';
                    html += '<option value="0">No</option>';
                    html += '</select>';
                    html += '</div>';
                    html += '</div>';
                    html += '<div class="violation_code">';
                    html += '<div class="form-group">';
                    html += '<label>Violation Code</label>';
                    html += '<select name="violation_code[]" class="form-control select2">';
                    html += '<option value="">Select Violation Code</option>';
                    html += '</select>';
                    html += '</div>';
                    html += '</div>';
                    html += '<div class="description">';
                    html += '<div class="form-group">';
                    html += '<label>Description </label>';
                    html += '<input type="text" name="description[]" value="" class="form-control" placeholder="Enter Description">';
                    html += '</div>';
                    html += '</div>';
                    html += '<div>';
                    html += '<div class="form-group">';
                    html += '<label class="d-block" style="visibility: hidden;">Action</label>';
                    html += '<a href="javascript:void(0)" class="btn btn-danger" id="HosremoveRow"><i class="fa fa-trash"></i></a>';
                    html += '</div>';
                    html += '</div>';
                    html += '</div>';

                    $('#HosnewRow').append(html);
                    $('#HosnewRow .select2').each(function() {
                        var $this = $(this);
                        var placeholderText = $this.find('option:first').text();
                        if(typeof $this.attr('data-no-search') !== 'undefined' && $this.attr('data-no-search') === 'true'){
                            $this.select2({
                                width : '100%',
                                placeholder: placeholderText,
                                minimumResultsForSearch: -1
                            });
                        }else{
                            $this.select2({
                                allowClear: true,
                                width : '100%',
                                placeholder: placeholderText
                            });
                        }
                        $this.find('option:first').hide();
                    });
                });
            }

            $(document).on('click', '#HosremoveRow', function () {
                $(this).closest('#hosvolation').remove();

                var unit_types      = [];
                $(".unittype").each(function() {
                    var val         = $(this).val();
                    if(val){
                        unit_types.push($(this).val());
                    }
                });
                var unit_types      = unit_types.filter(function(itm, i, a) {
                    return i == a.indexOf(itm);
                });
                if (unit_types.length === 0) {
                    $('.unittypeset').addClass('d-none');
                    $('.unittruck').addClass('d-none');
                    $('.unittrailer').addClass('d-none');
                }else{
                    var unittypeset = false;
                    var unittruck   = false;
                    var unittrailer = false;
                    if(jQuery.inArray("2", unit_types) !== -1){
                        unittypeset = true;
                        unittruck   = true;
                    }
                    if(jQuery.inArray("3", unit_types) !== -1){
                        unittypeset = true;
                        unittrailer = true;
                    }
                    if(unittypeset){
                        $('.unittypeset').removeClass('d-none');
                        if(unittruck)
                            $('.unittruck').removeClass('d-none');
                        else
                            $('.unittruck').addClass('d-none');
                        if(unittrailer)
                            $('.unittrailer').removeClass('d-none');
                        else
                            $('.unittrailer').addClass('d-none');
                    }else{
                        $('.unittypeset').addClass('d-none');
                        $('.unittruck').addClass('d-none');
                        $('.unittrailer').addClass('d-none');
                    }
                }
            });

            $(document).on('focus', '.unittype', function () {
                // Store the current value on focus and on change
                previousUnitype = this.value;
            });

            $(document).on('change', '.unittype', function () {
                // Do something with the previous value after the change
                if($.inArray(this.value, ['2','3']) !== -1){
                    if(this.value=='2'){
                        if($('select[name="unit1"] option:selected').val()==''){
                            Swal.fire({
                                icon: 'error',
                                text: 'Please Select Unit 1(Truck)',
                            });
                            $(this).val(previousUnitype); //set back
                            return; //abort!
                        }
                    }
                    if(this.value=='3'){
                        if($('select[name="unit2"] option:selected').val()==''){
                            Swal.fire({
                                icon: 'error',
                                text: 'Please Select Unit 2(Trailer)',
                            });
                            $(this).val(previousUnitype); //set back
                            return; //abort!
                        }
                    }
                }
                //console.log(previousUnitype);
                // Make sure the previous value is updated
                previousUnitype     = this.value;
                //console.log(previousUnitype);

                var value           = this.value;

                var unit_types      = [];
                $(".unittype").each(function() {
                    var val         = $(this).val();
                    if(val){
                        unit_types.push($(this).val());
                    }
                });
                var unit_types      = unit_types.filter(function(itm, i, a) {
                    return i == a.indexOf(itm);
                });
                if (unit_types.length === 0) {
                    $('.unittypeset').addClass('d-none');
                    $('.unittruck').addClass('d-none');
                    $('.unittrailer').addClass('d-none');
                }else{
                    var unittypeset = false;
                    var unittruck   = false;
                    var unittrailer = false;
                    if(jQuery.inArray("2", unit_types) !== -1){
                        unittypeset = true;
                        unittruck   = true;
                    }
                    if(jQuery.inArray("3", unit_types) !== -1){
                        unittypeset = true;
                        unittrailer = true;
                    }
                    if(unittypeset){
                        $('.unittypeset').removeClass('d-none');
                        if(unittruck)
                            $('.unittruck').removeClass('d-none');
                        else
                            $('.unittruck').addClass('d-none');
                        if(unittrailer)
                            $('.unittrailer').removeClass('d-none');
                        else
                            $('.unittrailer').addClass('d-none');
                    }else{
                        $('.unittypeset').addClass('d-none');
                        $('.unittruck').addClass('d-none');
                        $('.unittrailer').addClass('d-none');
                    }
                }

                if(value == '1'){
                    if ($(this).closest('#hosvolation').find('.violation_code select').hasClass("select2-hidden-accessible")){
                        $(this).closest('#hosvolation').find('.violation_code select').select2("destroy");
                    }
                    $(this).closest('#hosvolation').find('.violation_code select').remove();
                    $(this).closest('#hosvolation').find('.violation_code span').remove();
                    $(".hosvolationdata.firsttime").clone().appendTo($(this).closest('#hosvolation').find('.violation_code .form-group'));
                    $(this).closest('#hosvolation').find('.violation_code select').removeClass('firsttime');

                    $(this).closest('#hosvolation').find('.make').hide(300);
                    $(this).closest('#hosvolation').find('.year').hide(300);
                    $(this).closest('#hosvolation').find('.vin').hide(300);

                    $(this).closest('#hosvolation').find('.make input').prop('required',false);
                    $(this).closest('#hosvolation').find('.year input').prop('required',false);
                    $(this).closest('#hosvolation').find('.vin input').prop('required',false);
                }

                if(value == '2' || value == '3'){
                    if ($(this).closest('#hosvolation').find('.violation_code select').hasClass("select2-hidden-accessible")){
                        $(this).closest('#hosvolation').find('.violation_code select').select2("destroy");
                    }
                    $(this).closest('#hosvolation').find('.violation_code select').remove();
                    $(this).closest('#hosvolation').find('.violation_code span').remove();
                    $(".hoscitationsdata.firsttime").clone().appendTo($(this).closest('#hosvolation').find('.violation_code .form-group'));
                    $(this).closest('#hosvolation').find('.violation_code select').removeClass('firsttime');

                    $(this).closest('#hosvolation').find('.make').show(300);
                    $(this).closest('#hosvolation').find('.year').show(300);
                    $(this).closest('#hosvolation').find('.vin').show(300);

                    $(this).closest('#hosvolation').find('.make input').prop('required',true);
                    $(this).closest('#hosvolation').find('.year input').prop('required',true);
                    $(this).closest('#hosvolation').find('.vin input').prop('required',true);

                    if(value == '2'){
                        var truck_make      = $('.noneusedata input[name="truck_make"]').val();
                        var truck_year      = $('.noneusedata input[name="truck_year"]').val();
                        var truck_vin       = $('.noneusedata input[name="truck_vin"]').val();

                        $(this).closest('#hosvolation').find('.make input').val(truck_make);
                        $(this).closest('#hosvolation').find('.year input').val(truck_year);
                        $(this).closest('#hosvolation').find('.vin input').val(truck_vin);
                    }

                    if(value == '3'){
                        var trailer_make    = $('.noneusedata input[name="trailer_make"]').val();
                        var trailer_year    = $('.noneusedata input[name="trailer_year"]').val();
                        var trailer_vin     = $('.noneusedata input[name="truck_vin"]').val();

                        $(this).closest('#hosvolation').find('.make input').val(trailer_make);
                        $(this).closest('#hosvolation').find('.year input').val(trailer_year);
                        $(this).closest('#hosvolation').find('.vin input').val(trailer_vin);
                    }
                }

                setTimeout( function(){
                    if($('#editHOSViolationsModal').hasClass('show') || $('#editNONViolationsModal').hasClass('show')){
                        $('.updateHOSViolationForm .select2').each(function() {
                            var $this = $(this);
                            var placeholderText = $this.find('option:first').text();
                            if(typeof $this.attr('data-no-search') !== 'undefined' && $this.attr('data-no-search') === 'true'){
                                $this.select2({
                                    width : '100%',
                                    placeholder: placeholderText,
                                    minimumResultsForSearch: -1
                                });
                            }else{
                                $this.select2({
                                    allowClear: true,
                                    width : '100%',
                                    placeholder: placeholderText
                                });
                            }
                            $this.find('option:first').hide();
                        });
                    }else{
                        $('.storeHOSViolationForm .select2').each(function() {
                            var $this = $(this);
                            var placeholderText = $this.find('option:first').text();
                            if(typeof $this.attr('data-no-search') !== 'undefined' && $this.attr('data-no-search') === 'true'){
                                $this.select2({
                                    width : '100%',
                                    placeholder: placeholderText,
                                    minimumResultsForSearch: -1
                                });
                            }else{
                                $this.select2({
                                    allowClear: true,
                                    width : '100%',
                                    placeholder: placeholderText
                                });
                            }
                            $this.find('option:first').hide();
                        });
                    }
                }, 500);
            });

            $(document).on('change', '.unit1', function () {
                var truck_id        = this.value;
                if(truck_id){
                    var token       = $('meta[name="csrf-token"]').attr('content');
                    $.ajax({
                        url: "{{route('company.admin.truck.get.details')}}",
                        method: "POST",
                        data: { _token : token , truck_id : truck_id},
                        success: function(response) {
                            $('.noneusedata input[name="truck_make"]').val(response.make);
                            $('.noneusedata input[name="truck_year"]').val(response.year);
                            $('.noneusedata input[name="truck_vin"]').val(response.vin_number);

                            $('.unittruck .make').text(response.make);
                            $('.unittruck .year').text(response.year);
                            $('.unittruck .vin').text(response.vin_number);
                        }
                    });
                }else{
                    $('.noneusedata input[name="truck_make"]').val('');
                    $('.noneusedata input[name="truck_year"]').val('');
                    $('.noneusedata input[name="truck_vin"]').val('');

                    $('.unittruck .make').text('');
                    $('.unittruck .year').text('');
                    $('.unittruck .vin').text('');
                }
            });

            $(document).on('change', '.unit2', function () {
                var trailer_id      = this.value;
                if(trailer_id){
                    var token       = $('meta[name="csrf-token"]').attr('content');
                    $.ajax({
                        url: "{{route('company.admin.trailer.get.details')}}",
                        method: "POST",
                        data: { _token : token , trailer_id : trailer_id},
                        success: function(response) {
                            $('.noneusedata input[name="trailer_make"]').val(response.make);
                            $('.noneusedata input[name="trailer_year"]').val(response.year);
                            $('.noneusedata input[name="trailer_vin"]').val(response.vin);

                            $('.unittrailer .make').text(response.make);
                            $('.unittrailer .year').text(response.year);
                            $('.unittrailer .vin').text(response.vin);
                        }
                    });
                }else{
                    $('.noneusedata input[name="trailer_make"]').val('');
                    $('.noneusedata input[name="trailer_year"]').val('');
                    $('.noneusedata input[name="trailer_vin"]').val('');

                    $('.unittrailer .make').text('');
                    $('.unittrailer .year').text('');
                    $('.unittrailer .vin').text('');
                }
            });

            $(document).on('change', '.hosvolationdata', function () {
                var title = $(this).find(":selected").data("title");
                $(this).closest('#hosvolation').find('.description input').val(title);
            });

            $(document).on('change', '.hoscitationsdata', function () {
                var title = $(this).find(":selected").data("title");
                $(this).closest('#hosvolation').find('.description input').val(title);
            });

            $(document).on('click', '.clobtn', function(){
                setTimeout(function(){ 
                    let fileCount = $('#galleryModal .previUploads #getgalleryfile tr').length;
                    
                    if(fileCount > 0){
                        $('.gallary-edit').each(function(){
                            if($(this).attr('data-source') == 'driver_hos_violations'){
                                $(this).html(fileCount + ' File Uploaded <img src="{{ asset('theme/img/picture.png') }}" alt="">');
                            }
                        });
                    }else{
                        $('.gallary-edit').each(function(){
                            if($(this).attr('data-source') == 'driver_hos_violations'){
                                $(this).html('Upload <img src="{{ asset('theme/img/picture.png') }}" alt="">');
                            }
                        });
                    }
                }, 500);
            });

            $(document).on('submit', '.storeGalleryImage', function(){
                setTimeout(function(){ 
                    let fileCount = $('#galleryModal .previUploads #getgalleryfile tr').length;
                    if(fileCount > 0){
                        $('.gallary-edit').each(function(){
                            if($(this).attr('data-source') == 'driver_hos_violations'){
                                $(this).html(fileCount + ' File Uploaded <img src="{{ asset('theme/img/picture.png') }}" alt="">');
                            }
                        });
                    }else{
                        $('.gallary-edit').each(function(){
                            if($(this).attr('data-source') == 'driver_hos_violations'){
                                $(this).html('Upload <img src="{{ asset('theme/img/picture.png') }}" alt="">');
                            }
                        });
                    }
                }, 500);
            });
            /********************* Safety & Compliance - END *********************/

            /********************* Documents - START *********************/
            $('.storeForm').parsley();

            $('.setdriver').each(function() {
                var $this = $(this);
                var placeholderText = $this.find('option:first').text();
                $this.select2({
                    allowClear: true,
                    width : '100%',
                    placeholder: placeholderText
                });
                $this.find('option:first').hide();
            });

            $('.cfile_name').each(function() {
                var $this = $(this);
                var placeholderText = $this.find('option:first').text();
                $this.select2({
                    allowClear: true,
                    width : '100%',
                    placeholder: placeholderText
                });
                $this.find('option:first').hide();
            });

            $('.driversediv select').each(function() {
                var $this = $(this);
                var placeholderText = $this.find('option:first').text();
                $this.select2({
                    allowClear: true,
                    width : '100%',
                    placeholder: placeholderText
                });
                $this.find('option:first').hide();
            });

            $(document).on('click', '.addmorefile', function () {
               let index = $("#requestDocModal .cfile_name").length;

                var html = '';

                html    += '<div class="row row align-items-end">';
                html    += '<div class="col-md-6">';
                html    += '<div class="form-group">';
                html    += '<label>Document Type</label>';
                html    += '<select class="form-control cfile_name select2" name="field_name[]" data-parsley-errors-container="#field_name_'+index+'-errors" required>';
                html    += '<option value="">Select Document Type</option>';
                @foreach(getRequestDocumentsList() as $fdata)
                    @if($fdata['source'] == 'driver')
                        html    += '<option value="{{ $fdata['field_name'] }}" class="{{ $fdata['source'] }}">{{ $fdata['name'] }}</option>';
                    @endif
                @endforeach
                html    += '</select>';
                html    += '<div id="field_name_'+index+'-errors"></div>';
                html    += '</div>';
                html    += '</div>';
                html    += '<div class="col-md-5">';
                html    += '<div class="form-group">';
                html    += '<label for="inputEmail4">File Name</label>';
                html    += '{!! Form::text('file_name[]', null, array('class' => 'form-control', 'placeholder' => 'Enter File Name','required' => 'required')) !!}';
                html    += '</div>';
                html    += '</div>';
                html    += '<div class="col-md-1">';
                html    += '<div class="form-group">';
                html    += '<a href="javascript:void(0);" class="removeRow"><i class="fa fa-minus-square" aria-hidden="true"></i></a>';
                html    += '</div>';
                html    += '</div>';
                html    += '</div>';

                $("#requestDocModal #newRow").append(html);
                $('.cfile_name').each(function() {
                    var $this = $(this);
                    var placeholderText = $this.find('option:first').text();
                    $this.select2({
                        allowClear: true,
                        width : '100%',
                        placeholder: placeholderText
                    });
                    $this.find('option:first').hide();
                });
            });

            $(document).on('click', '.removeRow', function () {
                $(this).closest('.row').remove();
            });

            var table1 = $('.request-documents-data-table').DataTable({
                stateSave: true,
                language: {
                    search: "",
                    searchPlaceholder: "Search...",
                },
                processing: true,
                serverSide: true,
                bJQueryUI: true,
                ordering: false,
                pageLength: "{{ perPageView() }}",
                lengthMenu: [[10, 20, 50, 100, -1], [10, 20, 50, 100, "All"]],
                dom: "<'row cusotdiv'<'col-sm-6 col-md-6'f><''l>><'row px-0'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
                ajax: "{{  route('company.admin.driver.get.request.documents', $driver->id) }}",
                columns: [
                    {data: 'field_name', name: 'field_name', className: 'text-center'},
                    {data: 'created_by', name: 'created_by', className: 'text-center'},
                    {data: 'date', name: 'date', className: 'text-center'},
                    {data: 'status', name: 'status', className: 'text-center'},
                    {data: 'requested_by', name: 'requested_by', className: 'text-center'},
                    {data: 'approved_by', name: 'approved_by', className: 'text-center'},
                    {data: 'access', name: 'access', className: 'text-center'},
                    {data: 'action', name: 'action', className: 'text-center'},
                ]
            });
            $('<button type="button" class="btn btn-blueBr ml-2" data-toggle="modal" data-target="#otherDocModal">New Document</button>').appendTo("#tabDocuments  .dataTables_filter");
            $('<button type="button" class="btn btn-blueBr ml-2" data-toggle="modal" data-target="#requestDocModal">Request Document</button>').appendTo("#tabDocuments  .dataTables_filter");

            $(document).on('click', '.reminder_btn_div a.btn', function(event) {
                event.preventDefault();
                var that 	= $(this);
                var value 	= that.attr('data-value');
                that.removeClass('btn-blueBr').addClass('btn-blue');
                that.closest('.btn-group').find('a.btn').not(this).removeClass('btn-blue').addClass('btn-blueBr');
                that.closest('.row').find('input[name="req_reminder_type"]').val(value);

                if(value=='Custom'){
                    $('.reminder_custom_div').removeClass('d-none');
                }else{
                    $('.reminder_custom_div').addClass('d-none');
                }
            });
            /********************* Documents - END *********************/

            /********************* Events Calendar - START *********************/
            let eventListStart = moment().startOf('month');
            let eventListEnd = moment().endOf('month');

            $('.storeAddEvent').parsley();

            $('#calendarEvent').each(function() {
                var $this = $(this);
                var placeholderText = $this.find('option:first').text();
                $this.select2({
                    width : '100%',
                    placeholder: placeholderText,
                    minimumResultsForSearch: -1
                });
                $this.find('option:first').hide();
            });
            $('.driver-select2').each(function() {
                var $this = $(this);
                var placeholderText = $this.find('option:first').text();
                $this.select2({
                    allowClear: true,
                    width : '100%',
                    placeholder: placeholderText
                });
                $this.find('option:first').hide();
            });

            $('#calendar').fullCalendar({
                header: {
                    left: 'today, prevYear, nextYear, printButton',
                    center: 'prev, title, next',
                    right: 'month,agendaWeek,agendaDay'
                },
                dayRender: function (date, cell) {
                    let view = $('#calendar').fullCalendar('getView');

                    if (view.name == 'month') {
                        let cellDate = $(cell).data('date');
                        let dayContent = $('#calendar div.fc-content-skeleton td[data-date="'+ cellDate +'"] .fc-day-number');
                        dayContent = $('#calendar div.fc-content-skeleton td[data-date="'+ cellDate +'"] .fc-day-number').text(prependZero(dayContent.text()));
                        dayContent.prepend('<img src="{{ asset('theme/img/calendar-blue-plus.svg') }}" onclick="newEvent(' + date + ')" class="addevent plus-btn" alt="">');

                        $(".driver-tabs #tabEventsCalendar .target-calendar .plus-btn").css({"position": "absolute", "left": "35px", "top": "2px"});
                    }else{
                        $(".driver-tabs #tabEventsCalendar .target-calendar .fc-row .fc-content-skeleton").css({"z-index": "0"});
                        cell.append('<img src="{{ asset('theme/img/calendar-blue-plus.svg') }}" onclick="newEvent(' + date + ')" class="addevent plus-btn" alt="">');
                    }
                },
                editable: false,
                eventLimit: true,
                eventRender: function eventRender(event, element, view) {
                    element.attr('title', event.title);
                    if (event.icon) {
                        element.find(".fc-title").prepend("<i class='fa " + event.icon + "'></i>");
                    }
                    if (event.id) {
                        element.prepend("<span class='closeon'>X</span>");
                        element.prepend("<span class='editon'><i class='fa fa-pencil' aria-hidden='true'></i></span>");
                    }
                    if (event.dataid) {
                        element.prepend("<span class='edit-hos-violations-btn editon' data-id='"+event.dataid+"' data-toggle='modal' data-target='#editHOSViolationsModal'><i class='fa fa-pencil' aria-hidden='true'></i></span>");
                    }
                    if(event.maintenance_id){
                        element.click(function(){
                            var token   = $('meta[name="csrf-token"]').attr('content');
                            $.ajax({
                                url: "{{ route('company.admin.managers.show.event') }}",
                                method: "POST",
                                data: { _token : token , maintenance_event_id : event.maintenance_id },
                                success: function (response) {
                                    $(".show-event").modal('show');
                                    $(".show-data").html(response['html']);
                                }
                            });
                        });
                    }
                    element.find(".closeon").click(function () {
                        Swal.fire({
                            title: "Are you sure?",
                            text: "You won't be able to revert this!",
                            showCancelButton: true,
                            reverseButtons: true,
                            confirmButtonColor: "#3085d6",
                            cancelButtonColor: "#d33",
                            confirmButtonText: "Confirm and Submit",
                            cancelButtonText: "Cancel",
                        }).then((result) => {
                            if (result.value) {
                                var token   = $('meta[name="csrf-token"]').attr('content');
                                $.ajax({
                                    url: "{{ route('company.admin.driver.remove.event') }}",
                                    method: "POST",
                                    data: {_token: token, event_id: event.id},
                                    success: function (response) {
                                        $('#calendar').fullCalendar('removeEvents', event._id);
                                        toastr.success('Event Deleted successfully.', 'Success Alert', {timeOut: 5000})
                                    }
                                });
                            }
                        });
                    });
                    element.find(".editon").click(function () {
                        var id              = event.id;
                        var token           = $('meta[name="csrf-token"]').attr('content');
                        $.ajax({
                            url: "{{ route('company.admin.driver.edit.event') }}",
                            method: "POST",
                            data: {_token: token, event_id: id},
                            success: function (response) {
                                $(".teamModal-3").modal('show');
                                $(".data").html(response['html']);

                                $('.select2EventType').select2({
                                    width : '100%',
                                    placeholder: 'Select Type',
                                    minimumResultsForSearch: -1,
                                    templateResult: function(el){
                                        if (!el.id) { return el.text; }
                                        var $el = $('<span class="d-flex flex-row"><img src="' + $(el.element).data('icon') + '" class="img-icon pr-2" />' + el.text + '</span>');
                                        return $el;
                                    },
                                    templateSelection: function(el){
                                        if (!el.id) { return el.text; }
                                        var $el = $('<span class="d-flex flex-row"><img src="' + $(el.element).data('icon') + '" class="img-icon pr-2" />' + el.text + '</span>');
                                        return $el;
                                    }
                                });
                            }
                        });
                    });
                },
            });

            $(document).on('click', '.close', function () {
                $(".teamModal-3").modal('hide');
            });

            var calendarEvent           = $("#calendarEvent").val();
            var birthdays               = $("#birthdays:checked").val();
            var expirations             = $("#expirations:checked").val();
            var maintenanceTrucks       = $("#maintenanceTrucks:checked").val();
            var maintenanceTrailers     = $("#maintenanceTrailers:checked").val();
            var hidePersonalEvents      = $("#hidePersonalEvents:checked").val();
            var myLeaves                = $("#myLeaves:checked").val();
            var myViolations            = $("#myViolations:checked").val();
            var maintenanceTicket       = $("#maintenanceTicket:checked").val();

            function getEvent(driver_id, calendarEvent, birthdays, expirations, maintenanceTrucks, maintenanceTrailers,hidePersonalEvents,myLeaves,myViolations,maintenanceTicket) {
                var token               = $('meta[name="csrf-token"]').attr('content');
                $.ajax({
                    url: "{{ route('company.admin.driver.get.event') }}",
                    data: {_token: token, driver_id: driver_id,calendarEvent: calendarEvent,birthdays: birthdays,expirations: expirations,maintenanceTrucks: maintenanceTrucks,hidePersonalEvents: hidePersonalEvents,maintenanceTrailers: maintenanceTrailers,myLeaves: myLeaves,myViolations: myViolations,maintenanceTicket: maintenanceTicket},
                    method: "POST",
                    success: function (response) {
                        //console.log(eval(response.view));
                        $('#calendar').fullCalendar('removeEvents');
                        $('#calendar').fullCalendar('addEventSource', eval(response.view))
                        $('#calendar').fullCalendar('rerenderEvents');
                        $('.fc-event').tooltip();
                    }
                });
            }

            getEvent(driver_id, calendarEvent, birthdays, expirations, maintenanceTrucks, maintenanceTrailers,hidePersonalEvents,myLeaves,myViolations,maintenanceTicket);

            $('.changeEvent').on('change', function () {
                var driver_id           = '{{ $driver->id }}';
                var calendarEvent       = $("#calendarEvent").val();
                var birthdays           = $("#birthdays:checked").val();
                var expirations         = $("#expirations:checked").val();
                var maintenanceTrucks   = $("#maintenanceTrucks:checked").val();
                var maintenanceTrailers = $("#maintenanceTrailers:checked").val();
                var hidePersonalEvents  = $("#hidePersonalEvents:checked").val();
                var myLeaves            = $("#myLeaves:checked").val();
                var myViolations        = $("#myViolations:checked").val();
                var maintenanceTicket   = $("#maintenanceTicket:checked").val();
                getEvent(driver_id, calendarEvent, birthdays, expirations, maintenanceTrucks, maintenanceTrailers,hidePersonalEvents,myLeaves,myViolations,maintenanceTicket);
            });

            $('#calendar').fullCalendar('refetchEvents');

            $(document).on("click", "#tabEventsCalendar", function () {
                setTimeout(function () {
                    $('#calendar').fullCalendar('refetchEvents');
                }, 500);
            });

            @if(isset($_GET['calendar']) && $_GET['calendar'] == 1)
                setTimeout(function () {
                    $('#tabEventsCalendar').trigger('click');
                }, 300);
            @endif

            $(document).on('click', '.faicon input[type="radio"]', function () {
                $(this).parent().addClass('active').siblings('label').removeClass('active');
            });

            $(".faicon").hide();

            $(document).on('click', '.addshoicon', function () {
                if ($(this).is(":checked")) {
                    $(".faicon").show(300);
                } else {
                    $(".faicon").hide(200);
                }
            });

            $('.eventstart,.eventend').datetimepicker({
                format: dateTimeLayout,
                useCurrent: false
            });

            $('.eventstart').datetimepicker().on('dp.change', function (e) {
                var CurrentDate     = $(this).val();
                var CurrentD        = moment(CurrentDate).tz(localTimeZone).add(0, 'day').format(dateTimeLayout);
                $('.eventend').data('DateTimePicker').minDate(CurrentD);
                $('.eventend').val(CurrentD);
            });

            $('.date').datetimepicker({
                format: 'MM/DD/YYYY',
                useCurrent: false,
            });

            function getEventListByRange(startDate, endDate)  {
                $('#calendarEventsRange span').html(startDate.format('MMMM D, YYYY') + ' - ' + endDate.format('MMMM D, YYYY'));

                var start_date = startDate.format('YYYY-MM-DD');
                var end_date = endDate.format('YYYY-MM-DD');

                var token = $('meta[name="csrf-token"]').attr('content');
                $.ajax({
                    url: "{{ route('company.admin.driver.get.event') }}",
                    data: {
                        _token: token,
                        driver_id: driver_id,
                        calendarEvent: $("#calendarEvent").val(),
                        birthdays: $("#birthdays:checked").val(),
                        expirations: $("#expirations:checked").val(),
                        maintenanceTrucks: $("#maintenanceTrucks:checked").val(),
                        maintenanceTrailers: $("#maintenanceTrailers:checked").val(),
                        hidePersonalEvents: $("#hidePersonalEvents:checked").val(),
                        myLeaves: $("#myLeaves:checked").val(),
                        myViolations: $("#myViolations:checked").val(),
                        maintenanceTicket: $("#maintenanceTicket:checked").val(),
                        startDate: start_date,
                        endDate: end_date
                    },
                    method: "POST",
                    success: function (response) {
                        let eventListHtml = '';
                        $.each(eval(response.view), function (key, val){
                            eventListHtml += '<div class="row mb-3 px-3">';
                            eventListHtml += '<div class="col-md-12 pb-1" style="border-bottom: 1px solid #E4E4E4;">';
                            eventListHtml += '<h6>'+ moment(val.start).format("dddd, MMMM Do") +'</h6>';
                            eventListHtml += '</div>';
                            eventListHtml += '<div class="col-md-12 mt-1">';
                            eventListHtml += '<i class="'+ val.icon +'"></i> <span>'+ val.title +'</span>';
                            eventListHtml += '</div>';
                            eventListHtml += '</div>';
                        });

                        $("#calendarEventsList").html(eventListHtml);
                    }
                });
            }

            getEventListByRange(eventListStart, eventListEnd);

            $('#calendarEventsRange').daterangepicker({
                startDate: eventListStart,
                endDate: eventListEnd,
                ranges: {
                    'Today': [moment(), moment()],
                    'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                    'Last 7 Days': [moment().subtract(6, 'days'), moment()],
                    'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                    'This Month': [moment().startOf('month'), moment().endOf('month')],
                    'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')],
                    'This Year': [moment().startOf('year'), moment().endOf('year')],
                    'Last Year': [moment().subtract(1, 'year').startOf('year'), moment().subtract(1, 'year').endOf('year')]
                }
            }, getEventListByRange);
            /********************* Events Calendar - END *********************/

            /********************* Driver Onboarding - START *********************/
            $(document).on("dp.change", ".application-date,.start-date", function () {
                daysToOnboard();
                driverOnboardingFormSubmit();
            });

            $(document).on("click", ".yes-no-checkbox", function () {
                var stage_name          = $(this).data('stage-name');
                var stage_no            = $(this).data('stage-no');
                $('.onboard-progress-bar li').each(function (i, li) {
                    var li_stage_no     = $(li).data('stage-no');
                    if ($(li).hasClass("fill-active") == false && li_stage_no <= stage_no) {
                        $(li).removeClass('fill-active');
                        $(li).addClass('fill-inactive');
                    }
                });
                if ($(this).prop("checked") == true) {
                    $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").removeClass('fill-inactive');
                    $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").addClass('fill-active');
                    $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").find('img').attr('src', '{!! asset('theme/img/indicator-icon-active.svg') !!}');
                } else if ($(this).prop("checked") == false) {
                    $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").removeClass('fill-active');
                    $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").addClass('fill-inactive');
                    $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").find('img').attr('src', '{!! asset('theme/img/indicator-icon-inactive.svg') !!}');
                }
            });

            $(document).on("dp.change", ".date", function () {
                driverOnboardingFormSubmit();
            });

            $(document).on("click", ".show-onboarding-file-btn", function () {
                var token               = $('meta[name="csrf-token"]').attr('content');
                var driver_id           = $(this).data('driver-id');
                var stage_name          = $(this).data('stage-name');
                $.ajax({
                    url: "/company-admin/driver-onboarding/file/view",
                    method: "POST",
                    data: {_token: token, driver_id: driver_id, stage_name: stage_name},
                    success: function (response) {
                        $('#onboardingFileModal').find('.append-form').html(response.view);
                    }
                });
            });

            $(document).on("click", ".delete-onboarding-file", function () {
                var token               = $('meta[name="csrf-token"]').attr('content');
                var onboarding_id       = $(this).data('onboarding-id');
                var stage_name          = $(this).data('stage-name');
                $.ajax({
                    url: "/company-admin/driver-onboarding/file/delete",
                    method: "POST",
                    data: {_token: token, onboarding_id: onboarding_id, stage_name: stage_name},
                    success: function (response) {
                        if (response.success) {
                            toastr.success(response.success, 'Success Alert', {timeOut: 5000})
                            $("#onboardingFileModal").modal('hide');
                        }
                    }
                });
            });

            $(".driver-onboarding-tab").ajaxForm({
                complete: function (response) {
                    console.log(response);
                },
            });
            /********************* Driver Onboarding - END *********************/

            /********************* State Map - START *********************/
            $(document).on('click', '#region-southwest', function () {
                if($(this).is(':checked')){
                    $(this).val(1);
                    $(".region-southwest-child").prop('checked', true).val(1);
                }else{
                    $(this).parent().addClass('d-none').prev('div').removeClass('d-none');
                    $(".region-southwest-child").parent().addClass('d-none').prev('div').removeClass('d-none');

                    $(this).val('');
                    $(".region-southwest-child").prop('checked', false).val('');
                }
            });
            $(document).on('click', '.region-southwest-block', function () {
                $(this).parent().addClass('d-none').next('div').removeClass('d-none').find('#region-southwest').val(0);
                $(".region-southwest-child-block").parent().addClass('d-none').next('div').removeClass('d-none').find('.region-southwest-child').val(0);
            });

            $(document).on('click', '#region-west', function () {
                if($(this).is(':checked')){
                    $(this).val(1);
                    $(".region-west-child").prop('checked', true).val(1);
                }else{
                    $(this).parent().addClass('d-none').prev('div').removeClass('d-none');
                    $(".region-west-child").parent().addClass('d-none').prev('div').removeClass('d-none');

                    $(this).val('');
                    $(".region-west-child").prop('checked', false).val('');
                }
            });
            $(document).on('click', '.region-west-block', function () {
                $(this).parent().addClass('d-none').next('div').removeClass('d-none').find('#region-west').val(0);
                $(".region-west-child-block").parent().addClass('d-none').next('div').removeClass('d-none').find('.region-west-child').val(0);
            });

            $(document).on('click', '#region-midwest', function () {
                if($(this).is(':checked')){
                    $(this).val(1);
                    $(".region-midwest-child").prop('checked', true).val(1);
                }else{
                    $(this).parent().addClass('d-none').prev('div').removeClass('d-none');
                    $(".region-midwest-child").parent().addClass('d-none').prev('div').removeClass('d-none');

                    $(this).val('');
                    $(".region-midwest-child").prop('checked', false).val('');
                }
            });
            $(document).on('click', '.region-midwest-block', function () {
                $(this).parent().addClass('d-none').next('div').removeClass('d-none').find('#region-midwest').val(0);
                $(".region-midwest-child-block").parent().addClass('d-none').next('div').removeClass('d-none').find('.region-midwest-child').val(0);
            });

            $(document).on('click', '#region-southeast', function () {
                if($(this).is(':checked')){
                    $(this).val(1);
                    $(".region-southeast-child").prop('checked', true).val(1);
                }else{
                    $(this).parent().addClass('d-none').prev('div').removeClass('d-none');
                    $(".region-southeast-child").parent().addClass('d-none').prev('div').removeClass('d-none');

                    $(this).val('');
                    $(".region-southeast-child").prop('checked', false).val('');
                }
            });
            $(document).on('click', '.region-southeast-block', function () {
                $(this).parent().addClass('d-none').next('div').removeClass('d-none').find('#region-southeast').val(0);
                $(".region-southeast-child-block").parent().addClass('d-none').next('div').removeClass('d-none').find('.region-southeast-child').val(0);
            });

            $(document).on('click', '#region-northeast', function () {
                if($(this).is(':checked')){
                    $(this).val(1);
                    $(".region-northeast-child").prop('checked', true).val(1);
                }else{
                    $(this).parent().addClass('d-none').prev('div').removeClass('d-none');
                    $(".region-northeast-child").parent().addClass('d-none').prev('div').removeClass('d-none');

                    $(this).val('');
                    $(".region-northeast-child").prop('checked', false).val('');
                }
            });
            $(document).on('click', '.region-northeast-block', function () {
                $(this).parent().addClass('d-none').next('div').removeClass('d-none').find('#region-northeast').val(0);
                $(".region-northeast-child-block").parent().addClass('d-none').next('div').removeClass('d-none').find('.region-northeast-child').val(0);
            });

            $(document).on('click', '.region-southwest-child', function () {
                if($(this).is(':checked')){
                    $(this).val(1);
                }else{
                    $(this).val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }

                if($(".region-southwest-child").length === $(".region-southwest-child").filter(':checked').length){
                    $("#region-southwest").prop('checked', true).val(1);
                }else if($('.region-southwest-child').length === $('.region-southwest-child').filter(function() { return !this.value; }).length){
                    $('#region-southwest').val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }else{
                    $("#region-southwest").prop('checked', false);
                }
            });
            $(document).on('click', '.region-southwest-child-block', function () {
                $('#region-southwest').val(0).parent().removeClass('d-none').prev('div').addClass('d-none');
                $(this).parent().addClass('d-none').next('div').removeClass('d-none').find('.region-southwest-child').val(0);
            });

            $(document).on('click', '.region-west-child', function () {
                if($(this).is(':checked')){
                    $(this).val(1);
                }else{
                    $(this).val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }

                if($(".region-west-child").length === $(".region-west-child").filter(':checked').length){
                    $("#region-west").prop('checked', true).val(1);
                }else if($('.region-west-child').length === $('.region-west-child').filter(function() { return !this.value; }).length){
                    $('#region-west').val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }else{
                    $("#region-west").prop('checked', false);
                }
            });
            $(document).on('click', '.region-west-child-block', function () {
                $('#region-west').val(0).parent().removeClass('d-none').prev('div').addClass('d-none');
                $(this).parent().addClass('d-none').next('div').removeClass('d-none').find('.region-west-child').val(0);
            });

            $(document).on('click', '.region-midwest-child', function () {
                if($(this).is(':checked')){
                    $(this).val(1);
                }else{
                    $(this).val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }

                if($(".region-midwest-child").length === $(".region-midwest-child").filter(':checked').length){
                    $("#region-midwest").prop('checked', true).val(1);
                }else if($('.region-midwest-child').length === $('.region-midwest-child').filter(function() { return !this.value; }).length){
                    $('#region-midwest').val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }else{
                    $("#region-midwest").prop('checked', false);
                }
            });
            $(document).on('click', '.region-midwest-child-block', function () {
                $('#region-midwest').val(0).parent().removeClass('d-none').prev('div').addClass('d-none');
                $(this).parent().addClass('d-none').next('div').removeClass('d-none').find('.region-midwest-child').val(0);
            });

            $(document).on('click', '.region-southeast-child', function () {
                if($(this).is(':checked')){
                    $(this).val(1);
                }else{
                    $(this).val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }

                if($(".region-southeast-child").length === $(".region-southeast-child").filter(':checked').length){
                    $("#region-southeast").prop('checked', true).val(1);
                }else if($('.region-southeast-child').length === $('.region-southeast-child').filter(function() { return !this.value; }).length){
                    $('#region-southeast').val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }else{
                    $("#region-southeast").prop('checked', false);
                }
            });
            $(document).on('click', '.region-southeast-child-block', function () {
                $('#region-southeast').val(0).parent().removeClass('d-none').prev('div').addClass('d-none');
                $(this).parent().addClass('d-none').next('div').removeClass('d-none').find('.region-southeast-child').val(0);
            });

            $(document).on('click', '.region-northeast-child', function () {
                if($(this).is(':checked')){
                    $(this).val(1);
                }else{
                    $(this).val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }

                if($(".region-northeast-child").length === $(".region-northeast-child").filter(':checked').length){
                    $("#region-northeast").prop('checked', true).val(1);
                }else if($('.region-northeast-child').length === $('.region-northeast-child').filter(function() { return !this.value; }).length){
                    $('#region-northeast').val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }else{
                    $("#region-northeast").prop('checked', false);
                }
            });
            $(document).on('click', '.region-northeast-child-block', function () {
                $('#region-northeast').val(0).parent().removeClass('d-none').prev('div').addClass('d-none');
                $(this).parent().addClass('d-none').next('div').removeClass('d-none').find('.region-northeast-child').val(0);
            });

            $(document).on('click', '.state-map-block', function(e){
                e.preventDefault();
                updateStateMap();
            });
            $(document).on('change', '[id^="region-"]', function(e){
                e.preventDefault();
                updateStateMap();
            });
            /********************* State Map - END *********************/

            /********************* Mileage & Rates - END *********************/
            $('#period-start').datetimepicker({
                format: 'MM/DD/YYYY',
                useCurrent: false,
            });

            $('#period-start').datetimepicker().on('dp.change', function (e) {
                var CurrentDate = $(this).val();
                if(localTimeZone!=timeZone){
                    var CurrentD = moment(CurrentDate).tz(localTimeZone).add(0, 'day').format('MM/DD/YYYY');
                }else{
                    var CurrentD = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
                }
                $('#period-end').val(CurrentD);
                $('#period-end').data('DateTimePicker').minDate(CurrentD);
            });

            $('#period-end').datetimepicker({
                format: 'MM/DD/YYYY',
                useCurrent: false,
            });

            $(document).on('change', '.chkValueType', function(){
                if($(this).is(':checked')){
                    $('.chkValueType').each(function (key, value){
                        $(this).prop('checked', false);
                    });
                    $(this).prop('checked', true);
                }
            });

            $(document).on('change', '.chkReport', function(){
                if($(this).is(':checked')){
                    $('.chkReport').each(function (key, value){
                        $(this).prop('checked', false);
                    });
                    $(this).prop('checked', true);
                }
            });
            /********************* Mileage & Rates - END *********************/

            /********************* Your Leave - START *********************/
            $('[name="leave_type_id"]').each(function() {
                var $this = $(this);
                var placeholderText = $this.find('option:first').text();
                $this.select2({
                    allowClear: true,
                    width : '100%',
                    placeholder: placeholderText
                });
                $this.find('option:first').hide();
            });

            $('[name="paid_type"]').each(function() {
                var $this = $(this);
                var placeholderText = $this.find('option:first').text();
                $this.select2({
                    width : '100%',
                    placeholder: placeholderText
                });
                $this.find('option:first').hide();
            });

            $('[name="duration"]').each(function() {
                var $this = $(this);
                var placeholderText = $this.find('option:first').text();
                $this.select2({
                    allowClear: true,
                    width : '100%',
                    placeholder: placeholderText
                });
                $this.find('option:first').hide();
            });

            var obD = "<?php if(isset($_GET['DonB'])){echo 1;} ?>";
            if (obD == 1) {
                $('.Account').removeClass('active')
                $('.DriverOnboarding').addClass('active');
                $('.DriverOnboardingContent').addClass('active show');
            }

            var year = "{{ date('Y') }}";

            $('.leavesAllowanceYear').datetimepicker({
                format: 'YYYY',
                useCurrent: true,
            });

            $('.leavesAllowanceYear').datetimepicker().on('dp.change', function (e) {
                var CurrentDate         = $(this).val();
                if(localTimeZone!=timeZone){
                    var year            = moment(CurrentDate).tz(localTimeZone).add(0, 'day').format('YYYY');
                }else{
                    var year            = moment(CurrentDate).add(0, 'day').format('YYYY');
                }
                leavesAllowance(driver_id, year);
            });

            leavesAllowance(driver_id, year);

            $(document).on("click", ".edit-leaves-allowance", function () {
                var token               = $('meta[name="csrf-token"]').attr('content');
                var data_id             = $(this).data('leave-user-type-id');
                $.ajax({
                    url: "{{ route('company.admin.edit.user.leaves.allowance.view') }}",
                    method: "POST",
                    data: {_token: token, data_id: data_id},
                    success: function (response) {
                        $('.blank-modal-body').find('.append-form').html('');
                        $('#editLeavesAllowance').find('.append-form').html(response.view);
                        editLeaveAllowanceForm()
                    }
                });
            });

            $('.leavesAllowanceYear2').datetimepicker({
                format: 'YYYY',
                useCurrent: true,
            });

            $('.leavesAllowanceYear2').datetimepicker().on('dp.change', function (e) {
                var CurrentDate         = $(this).val();
                if(localTimeZone!=timeZone){
                    var year            = moment(CurrentDate).tz(localTimeZone).add(0, 'day').format('YYYY');
                }else{
                    var year            = moment(CurrentDate).add(0, 'day').format('YYYY');
                }
                leavesAllowance2(driver_id, year);
            });

            leavesAllowance2(driver_id, year);

            leaveColumn3(driver_id, year);

            $('.createLeave').parsley();

            $('.leave_from_date').datetimepicker({
                format: 'MM/DD/YYYY',
                useCurrent: true,
            });

            $('.leave_from_date').datetimepicker().on('dp.change', function (e) {
                var CurrentDate         = $(this).val();
                if(localTimeZone!=timeZone){
                    var CurrentD        = moment(CurrentDate).tz(localTimeZone).add(0, 'day').format('MM/DD/YYYY');
                }else{
                    var CurrentD        = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
                }
                $('.leave_to_date').val(CurrentD);
                $('.leave_to_date').data('DateTimePicker').minDate(CurrentD);
            });

            $('.leave_to_date').datetimepicker({
                format: 'MM/DD/YYYY',
                useCurrent: true,
            });

            $(document).on("click",".next-arrow",function(e){
                var get_data            = 'next';
                var cyear               = $(".cyear-leave").val();
                var cmonth              = $(".cmonth-leave").val();
                leaveCalanderView(get_data,cyear,cmonth);
            });

            $(document).on("click",".prev-arrow",function(e){
                var get_data            = 'previous';
                var cyear               = $(".cyear-leave").val();
                var cmonth              = $(".cmonth-leave").val();
                leaveCalanderView(get_data,cyear,cmonth);
            });

            leaveCalanderView(get_data,cyear,cmonth);

            $(document).on("click", ".show-leave-details", function () {
                $('#leaveDetailsModal').find('.append-view').html('');
                var token               = $('meta[name="csrf-token"]').attr('content');
                var leave_id            = $(this).data('leave-id');
                $.ajax({
                    url: "{{ route('company.admin.leave.details.view') }}",
                    method: "POST",
                    data: { _token : token , leave_id : leave_id },
                    success: function(response) {
                        $('#leaveDetailsModal').find('.append-leave-view').html(response.view);
                    }
                });
            });

            $('select[name="leave_type_id"]').change(function() {
                var leave_type_id       = this.value;
                var token               = $('meta[name="csrf-token"]').attr('content');
                $.ajax({
                    url: "{{ route('company.admin.check.leave.option') }}",
                    method: "POST",
                    data: { _token : token , leave_type_id : leave_type_id },
                    success: function(response) {
                        if(response.half_day_request == 1){
                            $('select[name="duration"] option[value=2]').prop('disabled', false);
                        }else{
                            $('select[name="duration"] option[value=2]').prop('disabled', true);
                        }

                        if(response.register_in_the_past == 1){
                            var CurrentDate     = moment(new Date());
                            var CurrentDate     = moment(CurrentDate).subtract(12, 'months').format('MM/DD/YYYY');
                            $('.leave_from_date').data('DateTimePicker').minDate(CurrentDate);
                        }else{
                            var CurrentDate     = moment(new Date());
                            $('.leave_from_date').data('DateTimePicker').minDate(CurrentDate);
                        }

                        if(response.enforce_allowance == 1){
                            $('.createLeave button').prop('disabled', false);
                        }else{
                            $('.createLeave button').prop('disabled', true);
                            $('.leave_to_date').datetimepicker().on('dp.change', function (e) {
                                var startDate   = moment( $('.leave_from_date').val(), "MM/DD/YYYY");
                                var endDate     = moment( $('.leave_to_date'  ).val(), "MM/DD/YYYY");
                                var diff        = endDate.diff(startDate, 'days') + 1;

                                var leave_days = $('select[name="leave_type_id"]').find(":selected").attr('leave');
                                var leave_name = $('select[name="leave_type_id"]').find(":selected").text();

                                if(leave_days < diff){
                                    toastr.error('Available "'+leave_name+'" leave only '+leave_days+', so please change the dates accordingly.', 'Error Alert', {timeOut: 5000})
                                    $('.createLeave button').prop('disabled', true);
                                }else{
                                    $('.createLeave button').prop('disabled', false);
                                }
                            });
                        }
                    }
                });
            });
            /********************* Your Leave - END *********************/
        });
    </script>
@endsection
