@extends($companyAdminTheme)

@section('title')
    Load Edit
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
        .select2-container{
            width: 100% !important;
        }
        .select2-container .select2-selection--single{
            height: 40px;
        }
        .select2-container--default .select2-selection--single, .select2-container--default .select2-selection--multiple{
            border: 1px solid #707070;
            border-radius: 0;
            color: #000000 !important;
            overflow: hidden !important;
            min-height: 40px;
            height: auto !important;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered{
            line-height: 40px;
            font-size: 14px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow{
            height: 40px;
            margin-right: 5px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow b{
            border-color: #000 transparent transparent transparent;
        }
    </style>
    <style type="text/css">
        .h-auto{
            height: auto;
        }
    </style>
    <style type="text/css">
        .fa-sort{
            padding: 7px;
            cursor: move;
        }
        .ui-state-highlight {
            border: 3px dashed #aaa !important;
            height: 70px !important;
            background: #ccc !important;
        }
        .movable-placeholder {
            background: #e2e2e2;
            height: 100px;
            display: block;
            padding: 20px;
            margin: 0 0 15px 0;
            border-style: dashed;
            border-width: 2px;
            border-color: #757575;
        }
    </style>
    <style type="text/css">
        #map {
            position: absolute;
            top: 0;
            bottom: 0;
            width: 100%;
        }
    </style>
    <style type="text/css">
        .required-documents-upload {
            position: relative;
            display: inline-block;
            overflow: hidden;
        }
        .required-documents-upload input {
            position: absolute;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            opacity: 0;
            z-index: 1;
            cursor: pointer;
        }
    </style>
    <style type="text/css">
        .table-view table.dataTable thead tr:nth-child(n) th{
            padding: 5px 20px !important;
            font-size: 16px;
        }
        .table-view table.dataTable tbody td{
            padding: 5px 15px !important;
        }
        .table-view .dataTable thead::before{
            left: 0;
            right: 0;
        }
        .btn-link-red{
            color: red !important;
            font-size: 12px;
            font-weight: 600;
            float: right;
            text-decoration: underline;
            text-transform: uppercase;
            margin-top: 0;
        }
    </style>
    @if(getDeliveryDateOption() == 3)
        <style type="text/css">
            .disbaleDatepop input[type="time"]::-webkit-inner-spin-button,
            .disbaleDatepop input[type="time"]::-webkit-calendar-picker-indicator {
                pointer-events: none;
            }
            .disbaleDatepop .bootstrap-datetimepicker-widget {display: none!important;}
        </style>
    @endif
    <style type="text/css">
        #detentionRequestModal .detail-block{
            border-bottom: 1px solid #eff4fa;
            margin: 0 -20PX 10px;
            padding: 0 20px 5px;
        }
        #detentionRequestModal .footer-block .logs{
            color: #ABB4C6 !important;
        }
        #detentionRequestModal .footer-block{
            margin: 20px -20px -20px;
        }
        #detentionRequestModal .footer-block .btn {
            color: #fff;
        }
        #detentionRequestModal .footer-block .btn:hover {
            color: #fff;
        }
        #detentionRequestModal .modal-body label > span {
            color: rgb(33, 37, 41);
        }
        .flex-all {
            display: flex;
            flex-wrap: wrap;
            align-items: center;
            justify-content: center;
        }
        .html-duration-picker-input-controls-wrapper .html-duration-picker {
            text-align:left !important;
        }
        .btn-warning{
            color: #fff !important;
        }
        .btn-warning:hover{
            color: #fff !important;
        }
        .invalid-feedback{
            display: block;
        }
        .pending-detention-txt{
            font-size: 14px;
        }
    </style>
    <style type="text/css">
        .dropTrailer-block {
            width: 550px;
            display: inline-block;
            border: 1px solid #707070;
            border-radius: 12px;
            padding: 20px;
            position: absolute;
            top: calc(100% + 5px);
            right: 0;
            background: #fff;
            z-index: 11;
        }
        .dropTrailer-heading {
            padding-bottom: 6px;
            margin-bottom: 20px;
            border-bottom: 1px solid #707070;
        }
        .dropTrailer-heading h5 {
            font-size: 16px;
            font-weight: 600;
            margin-right: 12px;
            margin-bottom: 4px;
        }
        .dropTrailer-head {
            margin-bottom: 12px;
        }
        .dropTrailer-head>div {
            margin-bottom: 5px;
        }
        .dropTrailer-head>div:not(:last-child) {
            margin-right: 6px;
        }
        .dropTrailer-head .custom-checkbox .custom-control-input:checked~.custom-control-label::after {
            left: -21px;
        }
        .dropTrailer-head .switches-container {
            height: 21px;
        }
        .dropTrailer-head .switches-container label,
        .dropTrailer-head .switch div {
            font-size: 12px;
            font-weight: 600;
        }
        .ngd-new .dropTrailer-block textarea.form-control {
            min-height: auto;
        }
        .dropTrailer-row {
            margin: 0 -8px;
        }
        .dropTrailer-row>div {
            padding: 0 8px;
        }
        .ngd-new .dropTrailer-block .btn {
            min-width: 121px;
            border-radius: 0;
            box-shadow: none;
            margin-right: 26px;
        }
        .ngd-new .dropTrailer-block .btn:last-child {
            margin-right: 0;
        }
        @media (max-width: 991px) {
            .dropTrailer-block {
                right: 15px;
            }
        }
        @media (max-width: 767px) {
            .dropTrailer-block {
                width: 496px;
                padding: 17px 12px;
            }
            .ngd-new .dropTrailer-block .btn {
                min-width: auto;
                margin-right: 16px;
            }
        }
        @media (max-width: 575px) {
            .dropTrailer-block {
                max-width: calc(100% - 30px);
            }
        }
        .drop-search .select2-selection__arrow b{
            display:none !important;
        }
    </style>
    <style type="text/css">
        .hazardousOptions {
            background-image: none !important;
        }
        .hazardousOptions::after {
            content: none !important;
        }
        .add-btn {
            float: left !important;
            color: #0E70BB !important;
        }
        .add-btn i {
            color: #0E70BB !important;
        }
        .form-group img.fileUploadIcon {
            font-size: 40px;
            margin-left: 0.25rem!important;
            position: relative;
            bottom:0;
            right: 0;
        }
        .brokan-info-fileupload input[type="file"]{
            z-index: 1;
        }
        .opacity-0{
            opacity:0 ;
        }
        .brokan-info-fileupload{
            margin-top: -10px;
            margin-left: 10px;
        }
        .brokan-info-fileupload input,.brokan-info-fileupload select{
            max-width: 123px;
            width: 100%;
        }
        .brokan-info-fileupload .custom-checkbox{
            margin-left: 5px;
        }
        .brokan-info-fileupload .col-lable .form-group{
            min-width: 65px;
            margin-bottom: 0;
        }
        /*.brokan-info-lables div:first-of-type label{*/
        /*    min-width: 65px;*/
        /*}*/
        /*.brokan-info-lables label{*/
        /*    min-width: 110px;*/
        /*    text-align: center;*/
        /*    margin-bottom:0 ;*/
        /*}*/
        .ngd-new .brokan-info-fileupload .form-group{
            margin-bottom: 0;
        }

        @media (max-width: 1799px){
            .brokan-info-fileupload input,.brokan-info-fileupload select{
                max-width: 100px;
            }
            /*.brokan-info-lables label {*/
            /*    min-width: 100px;*/
            /*}*/
        }
        @media (max-width: 1599px){
            .brokan-info-fileupload input,.brokan-info-fileupload select{
                max-width: 85px;
            }
            .brokan-info-lables label {
                min-width: 62px;
                max-width: 62px;
            }
        }
        @media (max-width: 1499px){
            .brokan-info-fileupload input,.brokan-info-fileupload select{
                max-width: 84px;
            }
        }
        @media (max-width: 1199px){
            .brokan-info-fileupload input,.brokan-info-fileupload select{
                max-width: 45px;
            }
            .brokan-info-lables label {
                min-width: 45px;
                max-width: 45px;
            }
            .brokan-info-fileupload .custom-checkbox{
                margin-left: 0px;
            }
            .brokan-info-fileupload .fileUploadIcon{
                font-size:30px;
            }
        }
        @media (max-width: 1300px){
            .brokan-info-fileupload{
                margin-left: 0px;
            }
        }
        @media (max-width: 991px){
            .brokan-info-fileupload input,.brokan-info-fileupload select{
                max-width: inherit;
            }
        }
    </style>
    <style type="text/css">
        .accessorial-field-collapse {
            font-weight: 600;
        }
        #accessorialModal .hedding h3 {
            font-size: 16px;
            margin-right: 26px;
            font-weight: bold;
        }
        #accessorialModal .close {
            position: absolute;
            right: 10px;
            top: 15px;
            padding: 0 !important;
            font-size: 20px !important;
        }
        #accessorialModal .file-upload {
            background: #cccccc;
            display: inline-block;
            text-align: center;
            padding: 6px 10px;
            font-size: 12px;
            color: black;
            font-weight: 600;
        }
        #accessorialModal .file-upload i {
            margin-right: 5px;
        }
        #accessorialModal .form-check-input {
            margin-top: 3px;
        }
        @media (min-width: 992px) {
            #accessorialModal .col-lg-auto {
                width: 20%;
            }
        }
        @media (max-width: 575px) {
            #accessorialModal .hedding {
                display: block;
            }
            #accessorialModal .hedding h2 {
                margin-bottom: 12px;
            }
        }
        @media (max-width: 1365px){
            #accessorialModal .hedding h2 {
                font-size: 15px;
            }
        }
    </style>
@endsection

@php
    $setting    = auth()->guard('company-admin')->user()->getCompany;
@endphp

@section('content')
    <div class="is_load_page" is_load="1"></div>
    <div class="get_mileage" url="{{ route('company.admin.load.getTrimbleData') }}"></div>
    <div class="pending_detention_url" data-url="{{ route('company.admin.loads.pending.detention.list') }}"></div>

    {!! Form::model($loadDetail, array(
            'route'         => ['company.admin.loads.update',$load->id],
            'method'        => 'PATCH',
            'files'         => 'true',
            'class'         => 'edit-form',
            'autocomplete'  => 'off'
        )
    ) !!}
        <input type="hidden" name="from" value="{{ Request::get('from') }}">
        <input type="hidden" name="backurl" value="{{ URL::previous() }}">
        @php
            $load_id                = $load->id;
            $is_driver              = isset($loadDetail->driver_id) && $loadDetail->driver_id!='0'?'1':'0';

            // accessorial_unique_id
            $accessorial_unique_id  = \Str::random(4).substr(base_convert(sha1(uniqid(mt_rand())), 16, 36), 0, 12);
        @endphp
        <input type="hidden" name="dummyloadid" value="{{ $load_id }}">
        <input type="hidden" name="accessorial_unique_id" value="{{ $accessorial_unique_id }}">

        <input type="hidden" name="is_driver" value="{{ $is_driver }}">
        <input type="hidden" class="is_on_hold" name="is_on_hold" value="{{ $loadDetail->is_on_hold }}">

        <input type="hidden" name="trucking_company" class="trucking-company" value="{{ $loadDetail->driver->company->name ?? '' }}">
        <input type="hidden" name="trucking_company_hidden" class="trucking-company-hidden" value="{{ $loadDetail->driver->company->name ?? '' }}">

        <input type="hidden" name="setcustomdateshipping" id="setcustomdateshipping" value="">
        <input type="hidden" name="setcustomdatedelivery" id="setcustomdatedelivery" value="">

        <input type="hidden" id="addStopOnIndex" value="">
        <input type="hidden" id="removeStopOnIndex" value="">

        <input type="hidden" id="loadIdForTrip" value="{{ $load->id }}">
        <input type="hidden" name="load_trip_id" id="loadTripId" value="{{ $loadDetail->load_trip_id ?? '' }}">
        <input type="hidden" name="load_tms_trip_id" id="loadTmsTripId" value="{{ $loadDetail->load_tms_trip_id ?? $loadDetail->nextTmsTripId() }}">

        <div class="row new-load">
            <div class="col-12">
                <nav aria-label="breadcrumb mb-3">
                    @if($totalPendingDetention > 0)
                        <span class="text-danger pending-detention-txt">Billing Hold (Detention Requests Pending)</span>
                    @else
                        <span class="text-danger pending-detention-txt d-none">Billing Hold (Detention Requests Pending)</span>
                    @endif
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{ route('company.admin.dispatch.hub.index') }}">Dispatch</a></li>
                        <li class="breadcrumb-item"><a href="{{ route('company.admin.loads.index') }}">Loads</a></li>
                        <li class="breadcrumb-item active" aria-current="page">
                            Edit Load
                        </li>
                    </ol>
                </nav>
            </div>
            <div class="col-xl-3 col-lg-4 col-md-6">
                <!-- <h4>Edit New Load</h4>width: 300px;height: 50px;font-size: 28px;-->
                <div class="form-group row mb-0">
                    <div class="col-3 col-md-2 pr-1">
                        <input type="text" name="identifier" class="form-control text-center" value="{{ old('identifier') ??  ((isset($loadDetail->identifier) ? $loadDetail->identifier : ''))}}" readonly>
                    </div>
                    <div class="col-9 col-md-10 pl-1">
                        {!! Form::text('load_number', $loadDetail->load_number, array(
                                'class'         => 'form-control',
                                'placeholder'   => 'Load Number',
                                'readonly'      => (isset($carrierDetails->carrier) && ($carrierDetails->carrier->desired_option == "0")) ? true : false
                            )
                        ) !!}
                        @error('load_number')
                            <span class="text-danger" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                        @enderror
                    </div>
                </div>
            </div>
            @include('companyAdmin.load.include.load-type')
        </div>

        @include('companyAdmin.load.include.load-status-edit')

        <!-- collapse section -->
        <div class="accordion" id="add_new_load_accrordion">
            <div class="card broker-div">
                <div class="card-header" id="headingBroker">
                    <h2 class="mb-0">
                        <button
                            class="btn btn-link btn-block text-left"
                            type="button"
                            data-toggle="collapse"
                            data-target="#broker-info-collapse"
                            aria-expanded="true"
                            aria-controls="broker-info-collapse">
                                Broker Info <i class="fa fa-angle-down" aria-hidden="true"></i>
                        </button>
                    </h2>
                </div>
                <div
                    class="collapse show"
                    id="broker-info-collapse"
                    aria-labelledby="headingBroker">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-xl-8 col-lg-8">
                                <div class="row">
                                    <div class="col-lg-4 col-sm-6">
                                        <div class="form-group">
                                            <label for="brokerage_firm">Brokerage Firm:</label>
                                            {!! Form::select('brokerage_firm', ['' => 'Select Customer']+getBrokerList(), old('brokerage_firm'), [
                                                    'class'                         => 'form-control brokerage-firm-select2',
                                                    'data-parsley-errors-container' => '#brokerage_firm-errors'
                                                ]
                                            ) !!}
                                            <div id="brokerage_firm-errors"></div>
                                            @error('brokerage_firm')
                                                <span class="text-danger" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-lg-4 col-sm-6">
                                        <div class="form-group">
                                            <label for="brokerage_mc">Brokerage MC:</label>
                                            {!! Form::text('brokerage_mc', old('brokerage_mc'), array(
                                                    'class'     => 'form-control brokerage-mc'
                                                )
                                            ) !!}
                                            @error('brokerage_mc')
                                                <span class="text-danger" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-lg-4 col-sm-6">
                                        <div class="form-group">
                                            <div class="row">
                                                <div class="col-9">
                                                    <label>Terms</label>
                                                </div>
                                                <div class="col-3 mb-1">
                                                    <div class="custom-control custom-checkbox" style="margin-top: -2px;margin-left: 12px;">
                                                        <input type="checkbox" class="custom-control-input" name="is_cod" value="1" id="is_cod">
                                                        <label class="custom-control-label" for="is_cod">COD</label>
                                                    </div>
                                                </div>
                                                <div class="col-md-12">
                                                    {!! Form::select('terms', ['' => 'Select Terms']+getCompanyTerms(), null, ['class' => 'terms-select2 custom-select form-control']) !!}
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-lg-4 col-sm-6">
                                        <div class="form-group brokerContact">
                                            <label for="rep">Representative:</label>
                                            <a
                                                href="javascript:void(0);"
                                                class="btn-link-orange rep-broker-contact @if(!isset($loadDetail->brokerage_firm)) d-none @endif">
                                                <i class="fa fa-plus" aria-hidden="true"></i> Add New
                                            </a>
                                            <select class="form-control broker-contact select2" name="rep">
                                                <option value="">Select option</option>
                                                {!! $contact_html !!}
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-lg-4 col-sm-6">
                                        <div class="row">
                                            <div class="col-8 pr-2">
                                                <div class="form-group">
                                                    <label for="phone">Phone:</label>
                                                    {!! Form::text('phone', old('phone'), array(
                                                            'class'         => 'form-control phone'
                                                        )
                                                    ) !!}
                                                    @error('phone')
                                                        <span class="text-danger" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                            <div class="col-4 pl-2">
                                                <div class="form-group">
                                                    <label for="ext">Ext:</label>
                                                    {!! Form::text('ext', old('ext'), array(
                                                            'class' => 'form-control ext'
                                                        )
                                                    ) !!}
                                                    @error('ext')
                                                        <span class="text-danger" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-4 col-sm-6">
                                        <div class="form-group">
                                            <label for="broker_email">Email:</label>
                                            {!! Form::email('broker_email', old('broker_email'), array(
                                                    'class'         => 'form-control broker-email',
                                                    'placeholder'   => ''
                                                )
                                            ) !!}
                                            @error('broker_email')
                                                <span class="text-danger" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4 col-lg-4" id="rtsCreditScoreDiv">
                                <div class="d-flex h-100 align-items-center">
                                    <div class="card credit-score-card @if(!isset($loadDetail->brokerage_firm)) d-none @endif">
                                        <input type="hidden" name="score_ratting" value="{{ $loadDetail->score_ratting }}">
                                        <input type="hidden" name="score_credit" value="{{ $loadDetail->score_credit }}">
                                        <input type="hidden" name="score_updated_at" value="{{ $loadDetail->score_updated_at }}">
                                        <div class="row no-gutters align-items-end">
                                            <div class="col-xl-3 col-lg-3 col-md-2 col-3">
                                                <div class="user-profile ratting">
                                                    <h2 class="val">{{ $loadDetail->score_ratting }}</h2>
                                                </div>
                                            </div>
                                            @php
                                                $convert_score_update       = '';
                                            @endphp
                                            @if(isset($loadDetail->score_updated_at) && $loadDetail->score_updated_at!='')
                                                @php
                                                    $convert_score_update   = convertTimeToUSERzone([
                                                        'str'       => $loadDetail->score_updated_at,
                                                        'toFormat'  => getTimeLayout(),
                                                        'fromFormat'=> 'Y-m-d H:i:s']
                                                    ).' '.$getTimeZoneId;
                                                @endphp
                                            @endif
                                            <div class="col-xl-9 col-lg-9 col-md-10 col-9">
                                                <div class="card-body">
                                                    <h5 class="card-title">RTS Credit Score</h5>
                                                    <p class="card-text update">Last Update: <span class="val">{{ $convert_score_update }}</span></p>
                                                    <p class="card-text available">Credit Available: <span class="val">{{ $loadDetail->score_credit }}</span></p>
                                                    @if(isset($loadDetail->score_updated_at) && $loadDetail->score_updated_at!='')
                                                        <a href="javascript:void(0);" class="score-btn d-none">Update</a>
                                                    @else
                                                        <a href="javascript:void(0);" class="score-btn @if(!isset($loadDetail->brokerage_firm)) d-none @endif">Add</a>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4 col-lg-4 d-none" id="codDiv">
                                <div class="brokan-info-fileupload">
                                    {{--<div class="row align-items-center mt-2 g-2 brokan-info-lables">
                                        <div class="col-lg-auto col-lable col-sm-2 px-lg-0">
                                            <div class="form-group ">
                                                <label></label>
                                            </div>
                                        </div>
                                        <div class="col-lg-auto col-sm-2 pl-1 pr-1 text-center">
                                            <b><label>Amount</label></b>
                                        </div>
                                        <div class="col-lg-auto col-sm-2 pr-1 pl-1 text-center">
                                            <b><label>Payment Type</label></b>
                                        </div>
                                        <div class="col-lg-auto col-sm-2 pr-1 pl-1 text-center">
                                            <b><label>Ref Number</label></b>
                                        </div>
                                        <div class="col-lg-auto col-sm-2 pr-1 pl-1">
                                            <b><label class="text-left">Paid</label></b>
                                        </div>
                                    </div>--}}
                                    <div class="row align-items-center mt-2 g-2">
                                        <div class="col-lg-auto col-lable col-sm-2 px-lg-0">
                                            <div class="form-group ">
                                                <label class="pt-4">Up Front</label>
                                            </div>
                                        </div>
                                        <div class="col-lg-auto col-sm-2 pl-1 pr-1 text-center">
                                            <b><label>Amount</label></b>
                                            <div class="form-group">
                                                {!! Form::number('up_front_amount', old('up_front_amount'), array('class' => 'form-control number', 'min' => 0, 'step' => .01)) !!}
                                            </div>
                                        </div>
                                        <div class="col-lg-auto col-sm-2 pr-1 pl-1 text-center">
                                            <b><label>Payment Type</label></b>
                                            <div class="form-group">
                                                {!! Form::select('up_front_payment_type', ['' => 'Select', '1' => 'Cash', '2' => 'Cheque', '3' => 'Certified Cheque', '4' => 'Wire'], null, ['class' => 'custom-select form-control']) !!}
                                            </div>
                                        </div>
                                        <div class="col-lg-auto col-sm-2 pr-1 pl-1 text-center">
                                            <b><label>Ref Number</label></b>
                                            <div class="form-group">
                                                {!! Form::text('up_front_ref_number', old('up_front_ref_number'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                                            </div>
                                        </div>
                                        <div class="col-lg-auto col-sm-2 pr-1 pl-1">
                                            <b><label>Paid</label></b>
                                            <div class="form-group d-flex align-items-center">
                                                <div class="custom-control custom-checkbox" >
                                                    <input type="checkbox" class="custom-control-input" name="up_front_is_paid" value="1" id="up_front_is_paid">
                                                    <label class="custom-control-label" for="up_front_is_paid"></label>
                                                </div>
                                                <div class="position-relative overflow-hidden">
                                                    {{--
                                                    <input type="file" id="up_front_file" name="up_front_file" class="position-absolute opacity-0" accept="image/*">
                                                    <img src="{{asset('theme/images/file-not-uploaded.png')}}" class="fileUploadIcon position-relative" alt="file-not-uploaded.png"/>
                                                    --}}
                                                    <img src="{{asset('theme/images/file-not-uploaded.png')}}" class="fileUploadIcon position-relative up_front_file gallary-edit" alt="file-not-uploaded.png" data-id="{{ $load_id }}" data-source="load" data-field="up_front_file" data-upload-status="0" data-toggle="modal" data-target="#galleryModal" />
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row align-items-center mt-2 g-2">
                                        <div class="col-lg-auto col-lable col-sm-2 px-lg-0">
                                            <div class="form-group ">
                                                <label>At Pickup</label>
                                            </div>
                                        </div>
                                        <div class="col-lg-auto col-sm-2 pl-1 pr-1 text-center">
                                            <div class="form-group">
                                                {!! Form::number('at_pickup_amount', old('up_front_amount'), array('class' => 'form-control number', 'min' => 0, 'step' => .01)) !!}
                                            </div>
                                        </div>
                                        <div class="col-lg-auto col-sm-2 pr-1 pl-1 text-center">
                                            <div class="form-group">
                                                {!! Form::select('at_pickup_payment_type', ['' => 'Select', '1' => 'Cash', '2' => 'Cheque', '3' => 'Certified Cheque', '4' => 'Wire'], null, ['class' => 'custom-select form-control']) !!}
                                            </div>
                                        </div>
                                        <div class="col-lg-auto col-sm-2 pr-1 pl-1 text-center">
                                            <div class="form-group">
                                                {!! Form::text('at_pickup_ref_number', old('at_pickup_ref_number'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                                            </div>
                                        </div>
                                        <div class="col-lg-auto col-sm-2 pr-1 pl-1">
                                            <div class="form-group d-flex align-items-center">
                                                <div class="custom-control custom-checkbox" >
                                                    <input type="checkbox" class="custom-control-input" name="at_pickup_is_paid" value="1" id="at_pickup_is_paid">
                                                    <label class="custom-control-label" for="at_pickup_is_paid"></label>
                                                </div>
                                                <div class="position-relative overflow-hidden">
                                                    {{--
                                                    <input type="file" id="at_pickup_file" name="at_pickup_file" class="position-absolute opacity-0" accept="image/*">
                                                    <img src="{{asset('theme/images/file-not-uploaded.png')}}" class="fileUploadIcon position-relative" alt="file-not-uploaded.png"/>
                                                    --}}
                                                    <img src="{{asset('theme/images/file-not-uploaded.png')}}" class="fileUploadIcon position-relative at_pickup_file gallary-edit" alt="file-not-uploaded.png" data-id="{{ $load_id }}" data-source="load" data-field="at_pickup_file" data-upload-status="0" data-toggle="modal" data-target="#galleryModal" />
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row align-items-center mt-2 g-2">
                                        <div class="col-lg-auto col-lable col-sm-2 px-lg-0">
                                            <div class="form-group ">
                                                <label>At Delivery</label>
                                            </div>
                                        </div>
                                        <div class="col-lg-auto col-sm-2 pl-1 pr-1 text-center">
                                            <div class="form-group">
                                                {!! Form::number('at_delivery_amount', old('at_delivery_amount'), array('class' => 'form-control number', 'min' => 0, 'step' => .01)) !!}
                                            </div>
                                        </div>
                                        <div class="col-lg-auto col-sm-2 pr-1 pl-1 text-center">
                                            <div class="form-group">
                                                {!! Form::select('at_delivery_payment_type', ['' => 'Select', '1' => 'Cash', '2' => 'Cheque', '3' => 'Certified Cheque', '4' => 'Wire'], null, ['class' => 'custom-select form-control']) !!}
                                            </div>
                                        </div>
                                        <div class="col-lg-auto col-sm-2 pr-1 pl-1 text-center">
                                            <div class="form-group">
                                                {!! Form::text('at_delivery_ref_number', old('at_delivery_ref_number'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                                            </div>
                                        </div>
                                        <div class="col-lg-auto col-sm-2 pr-1 pl-1">
                                            <div class="form-group d-flex align-items-center">
                                                <div class="custom-control custom-checkbox" >
                                                    <input type="checkbox" class="custom-control-input" name="at_delivery_is_paid" value="1" id="at_delivery_is_paid">
                                                    <label class="custom-control-label" for="at_delivery_is_paid"></label>
                                                </div>
                                                <div class="position-relative overflow-hidden">
                                                    {{--
                                                    <input type="file" src="" id="at_delivery_file" name="at_delivery_file" class="position-absolute opacity-0" accept="image/*">
                                                    <img src="{{asset('theme/images/file-not-uploaded.png')}}" class="fileUploadIcon position-relative" alt="file-not-uploaded.png"/>
                                                    --}}
                                                    <img src="{{asset('theme/images/file-not-uploaded.png')}}" class="fileUploadIcon position-relative at_delivery_file gallary-edit" alt="file-not-uploaded.png" data-id="{{ $load_id }}" data-source="load" data-field="at_delivery_file" data-upload-status="0" data-toggle="modal" data-target="#galleryModal" />
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            @include('companyAdmin.load.include.driver-info')
            <div class="card">
                <div class="card-header" id="headingPickupDelivery">
                    <h2 class="mb-0">
                        <button
                            class="btn btn-link btn-block text-left"
                            type="button"
                            data-toggle="collapse"
                            data-target="#pickup-delivery-collapse"
                            aria-expanded="true"
                            aria-controls="pickup-delivery-collapse">
                            Pickup & Delivery<i class="fa fa-angle-down" aria-hidden="true"></i>
                        </button>
                    </h2>
                </div>
                <div
                    class="collapse show"
                    id="pickup-delivery-collapse"
                    aria-labelledby="headingPickupDelivery">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-xl-6 col-lg-7" id="sortable">
                                @php
                                    // accessorial_unique_id
                                    $shipper_accessorial_unique_id      = \Str::random(4).substr(base_convert(sha1(uniqid(mt_rand())), 16, 36), 0, 12);

                                    $shipper_detention                  = isset($loadDetail->shipper_detention)?$loadDetail->shipper_detention:null;

                                    if(!empty($loadDetail->shipper_files)){
                                        $shipper_files                  = unserialize($loadDetail->shipper_files);
                                    }else{
                                        if(!empty($broker_shipper_files)){
                                            $shipper_files              = $broker_shipper_files;
                                        }else{
                                            $shipper_files              = unserialize(config('settings.shipper_files'));
                                        }
                                    }

                                    if(!empty($loadDetail->shipper_files_upload)){
                                        $shipper_files_upload           = unserialize($loadDetail->shipper_files_upload);
                                    }else{
                                        if(!empty($broker_shipper_files)){
                                            $shipper_files_upload       = $broker_shipper_files;
                                        }else{
                                            $shipper_files_upload       = unserialize(config('settings.shipper_files'));
                                        }
                                    }

                                    $is_leaves                          = $loadDetail->shipper_is_arrived;
                                    $arrived_at                         = $loadDetail->shipper_arrived_at;
                                    if(isset($arrived_at)){
                                        $arrived_at                     = convertTimeToUSERzone([
                                            'str'       => $arrived_at,
                                            'toFormat'  => getTimeLayout(),
                                            'fromFormat'=> 'Y-m-d H:i:s']
                                        ).' '.$getTimeZoneId;
                                    }
                                    $leaves_at                          = $loadDetail->shipper_leaves_at;
                                    if(isset($leaves_at)){
                                        $leaves_at                      = convertTimeToUSERzone([
                                            'str'       => $leaves_at,
                                            'toFormat'  => getTimeLayout(),
                                            'fromFormat'=> 'Y-m-d H:i:s']
                                        ).' '.$getTimeZoneId;
                                    }
                                @endphp
                                <div class="stop geocoding fixed" data-stop_no="1" data-customer_type="1" data-is_leaves="{{ $is_leaves }}">
                                    <div class="hedding-section">
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="hedding">
                                                    <h2 class="stop-hedding">Pickup - Stop <span class="stop_no">1</span></h2>
                                                    <a href="javascript:void(0);" class="btn-theme btn-grey-theme">Pending</a>
                                                </div>
                                            </div>
                                            <div class="col-sm-6 mt-2 mt-sm-0">
                                                <div class="d-flex justify-content-end stop-btnGroup">
                                                    <!-- data-type="Pickup"  -->
                                                    <a
                                                        href="javascript:void(0);"
                                                        class="btn-oreng-theme btn-theme accessorial-link"
                                                        data-temp="0"
                                                        data-type="1"
                                                        data-is_stop="0"
                                                        data-unique_id="{{ $accessorial_unique_id }}"
                                                        data-btn_unique_id="{{ $shipper_accessorial_unique_id }}"
                                                    ><i class="fa fa-plus" aria-hidden="true"></i>Accessorial</a>
                                                    @if($is_driver=='1')
                                                        @if(!is_null($shipper_detention))
                                                            <a
                                                                href="javascript:void(0);"
                                                                class="btn-oreng-theme btn-theme detention-link detention-request"
                                                                data-mode="edit"
                                                                data-type="1"
                                                                data-is_stop="0"
                                                                data-load_detail_id="{{ $loadDetail->id }}"
                                                                data-unique_id="{{ substr(base_convert(sha1(uniqid(mt_rand())), 16, 36), 0, 12) }}"
                                                                data-detention_id="{{ $shipper_detention->id }}"
                                                            ><i class="fa fa-pencil" aria-hidden="true"></i>Detention</a>
                                                        @else
                                                            <a
                                                                href="javascript:void(0);"
                                                                class="btn-oreng-theme btn-theme detention-link detention-request"
                                                                data-mode="add"
                                                                data-type="1"
                                                                data-is_stop="0"
                                                                data-load_detail_id="{{ $loadDetail->id }}"
                                                                data-unique_id="{{ substr(base_convert(sha1(uniqid(mt_rand())), 16, 36), 0, 12) }}"
                                                            ><i class="fa fa-plus" aria-hidden="true"></i>Detention</a>
                                                        @endif
                                                        <a
                                                            href="javascript:void(0)"
                                                            class=" btn-oreng-theme btn-theme dropTrailer-btn"
                                                            id="pickupDropTrailerBtn"
                                                            ><i class="fa fa-plus" aria-hidden="true"></i>DropTrailer
                                                        </a>
                                                        <div
                                                            class="dropTrailer-block"
                                                            id="pickupDropTrailerBlock">
                                                            <input type="hidden" id="pickupStopNumber" name="shipper_stop_number" value="1">
                                                            <div class="d-flex flex-wrap dropTrailer-heading align-items-center justify-content-between">
                                                                <h5>Drop Trailer: <span id="pickupDropTrailer"></span></h5>
                                                                <h5>Driver: <span id="pickupDropDriverName"></span></h5>
                                                                <h5>Truck: <span id="pickupDropTruck"></span></h5>
                                                                <a href="javascript:void(0)" class="close cancel-btn pickupDropCancelBtn m-0">
                                                                    <i class="fa fa-times" aria-hidden="true"></i>
                                                                </a>
                                                            </div>
                                                            <div class="">
                                                                <div class="d-flex flex-wrap align-items-center justify-content-between dropTrailer-head">
                                                                    <div class="switches-container">
                                                                        <input type="radio" id="pickupSwitchLoaded" name="shipper_drop_empty_loaded" value="0" {{((isset($shippingDropDetails->empty_loaded) ? ($shippingDropDetails->empty_loaded == '0' ? 'checked' : '') : 'checked'))}}>
                                                                        <input type="radio" id="pickupSwitchEmpty" name="shipper_drop_empty_loaded" value="1" {{((isset($shippingDropDetails->empty_loaded) ? ($shippingDropDetails->empty_loaded == '1' ? 'checked' : '') : ''))}}>
                                                                        <label for="pickupSwitchLoaded">Loaded</label>
                                                                        <label for="pickupSwitchEmpty">Empty</label>
                                                                        <div class="switch-wrapper">
                                                                            <div class="switch">
                                                                                <div>Loaded</div>
                                                                                <div>Empty</div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="custom-control custom-checkbox drop-checkbox">
                                                                        <input type="checkbox" class="custom-control-input" id="pickupDropAtStop" name="shipper_drop_at_stop" value="1">
                                                                        <label class="custom-control-label" for="pickupDropAtStop">Drop at Stop</label>
                                                                    </div>
                                                                    <div class="custom-control custom-checkbox">
                                                                        <input type="checkbox" class="custom-control-input" id="pickupKeepDriver" name="shipper_drop_keep_assigned" value="1" {{((isset($shippingDropDetails->keep_assigned) && $shippingDropDetails->keep_assigned == '1') ? 'checked' : '') }}>
                                                                        <label class="custom-control-label" for="pickupKeepDriver">Keep load assigned to driver</label>
                                                                    </div>
                                                                </div>
                                                                <div class="row dropTrailer-row">
                                                                    <div class="col-md-4 col-sm-5">
                                                                        <div class="form-group">
                                                                            <label for="dorp-date">Drop Date / Time</label>
                                                                            <input type="text" class="form-control" id="pickupDorpDate" name="shipper_dorp_date" placeholder="" style="font-size: 13px;" value="{{ $shippingDropDetails->drop_date ?? '' }}">
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-8 col-sm-7">
                                                                        <div class="form-group drop-search">
                                                                            <label for="drop-loc">Drop Location</label>
                                                                            <div class="position-relative">
                                                                                <select class="form-control select2" id="pickupDropLocByUser" name="shipper_drop_loc_by_user">
                                                                                    {!! $dropSearchDropDown !!}
                                                                                </select>
                                                                                <img src="{{asset('theme/images/search-icon-black.png')}}" alt="search-icon">
                                                                            </div>
                                                                            <input type="hidden" id="pickupDropUserType" name="shipper_drop_user_type" value="">
                                                                        </div>
                                                                        <div class="form-group drop-select">
                                                                            <label for="ext-txt">Drop Location</label>
                                                                            <select class="form-control dropLocByStop" id="pickupDropLocByStop" name="shipper_drop_loc_by_stop">
                                                                                <option value="">Select Stop</option>
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm-6">
                                                                        <div class="form-group">
                                                                            <label for="dropAdd1">Address 1:</label>
                                                                            <input type="text" class="form-control" id="pickupDropAdd1" name="shipper_drop_add1" placeholder="" value="{{ $shippingDropDetails->add1 ?? ''}}" readonly>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm-6">
                                                                        <div class="form-group">
                                                                            <label for="drop_add2">Address 2:</label>
                                                                            <input type="text" class="form-control" id="pickupDropAdd2" name="shipper_drop_add2" placeholder="" value="{{ $shippingDropDetails->add2 ?? ''}}" readonly>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-7 col-sm-7">
                                                                        <div class="form-group">
                                                                            <label for="dropCity">City:</label>
                                                                            <input type="text" class="form-control" id="pickupDropCity" name="shipper_drop_city" placeholder="" value="{{ $shippingDropDetails->city ?? ''}}" readonly>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm col-6">
                                                                        <div class="form-group">
                                                                            <label for="dropState">State:</label>
                                                                            <input type="text" class="form-control" id="pickupDropState" name="shipper_drop_state" placeholder="" value="{{ $shippingDropDetails->state ?? ''}}" readonly>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm col-6">
                                                                        <div class="form-group">
                                                                            <label for="dropZip">Zip:</label>
                                                                            <input type="text" class="form-control" id="pickupDropZip" name="shipper_drop_zip" placeholder="" value="{{ $shippingDropDetails->zip ?? ''}}" readonly>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-12">
                                                                        <div class="form-group">
                                                                            <label for="dropNotes">Notes:</label>
                                                                            <textarea id="pickupDropNotes" name="shipper_drop_notes" rows="3" class="form-control">{{ $shippingDropDetails->notes ?? ''}}</textarea>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-12 text-right">
                                                                        <button type="button" class="btn btn-themeGray cancel-btn pickupDropCancelBtn" id="pickupCancelBtn">Cancel</button>
                                                                        <button type="button" class="btn btn-orange" id="pickupSaveBtn">Save</button>
                                                                    </div>
                                                                    <div class="col-12">
                                                                        <div class="form-group mb-0">
                                                                            <label class="mb-0" id="pickupCreatedBy">Created By: {{ $shippingDropDetails->created_by ?? ''}}</label>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row align-items-center">
                                        <div class="col-sm-6">
                                            <div class="buttons-group d-flex justify-content-start">
                                                <button type="button" class="btn btn-theme {{ $loadDetail->shipping_time_range == 0 ? 'btn-oreng-theme' : 'btn-grey-theme' }} time-range-btn shippingTime">
                                                    {!! Form::radio('shipping_time_range', 0, $loadDetail->shipping_time_range == 0 ? true : false, array(
                                                            'class' => 'custom-control-input'
                                                        )
                                                    ) !!} Set Time
                                                </button>
                                                <button type="button" class="btn btn-theme {{ $loadDetail->shipping_time_range == 1 ? 'btn-oreng-theme' : 'btn-grey-theme' }} time-range-btn shippingRange">
                                                    {!! Form::radio('shipping_time_range', 1, $loadDetail->shipping_time_range == 1 ? true : false, array(
                                                            'class' => 'custom-control-input'
                                                        )
                                                    ) !!} Range
                                                </button>
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="form-group occupied-switch OccupiedPickupDay">
                                                <div class="custom-control custom-switch pl-0 mr-2">
                                                    {!! Form::checkbox('occupied_pickup_day', 1, null, array(
                                                            'class' => 'custom-control-input occupied-pickup-day-toggle',
                                                            'id'    => 'occupied_pickup_day'
                                                        )
                                                    ) !!}
                                                    <label class="custom-control-label mb-0" for="occupied_pickup_day"></label>
                                                </div>
                                                <label class="mb-0">Occupied Pickup Day</label>
                                            </div>
                                        </div>
                                        @if(getDeliveryDateOption() == 1)
                                            <div class="col-sm-6 custom-width">
                                                <div class="form-group">
                                                    <label>Choose Date / Time: <br/> <span>(This date and time will be based on location)</span></label>
                                                    <div class="position-relative">
                                                        {!! Form::text('shipper_date_time', request()->get('shipper_date'), array(
                                                                'class'                         => 'form-control shipper-date-time',
                                                                'id'                            => 'shipperDate',
                                                                'required'                      => 'required',
                                                                'autocomplete'                  => 'off',
                                                                'onPaste'                       => 'return false',
                                                                'data-parsley-errors-container' => '#shipperDate-errors'
                                                            )
                                                        ) !!}
                                                        <img src="{{ asset('theme/img/calendar.png') }}" alt="shipper_date_time" data-datepickerimage="1">
                                                    </div>
                                                    <div id="shipperDate-errors"></div>
                                                    @error('shipper_date_time')
                                                        <span class="text-danger" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                        @elseif(getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3)
                                            <div class="col-sm-6 custom-width disbaleDatepop">
                                                <div class="form-group">
                                                    <label>Choose Date / Time: <br/> <span>(This date and time will be based on location)</span></label>
                                                    <div class="position-relative">
                                                        <div class="row">
                                                            <div class="col-md-7 pr-0">
                                                                <input type="text" class="form-control custshippingdate" placeholder="MM/DD/YYYY" value="{{ getDateMDY($loadDetail->shipper_date_time) }}" onPaste="return false">
                                                                <img src="{{ asset('theme/img/calendar.png') }}" class="smallicon" alt="custshippingdate" data-datepickerimage="1">
                                                            </div>
                                                            <div class="col-md-5 pl-1">
                                                                <input type="text" class="form-control custshippingtime" value="{{ getTime($loadDetail->shipper_date_time) }}" onPaste="return false">
                                                                <img src="{{ asset('theme/img/clock.png') }}" class="timeicon" alt="custshippingtime">
                                                            </div>
                                                        </div>
                                                        {!! Form::text('shipper_date_time', request()->get('shipper_date'), array(
                                                                'class'                         => 'form-control shipper-date-time hidden',
                                                                'id'                            => 'shipperDate',
                                                                'required'                      => 'required',
                                                                'autocomplete'                  => 'off',
                                                                'onPaste'                       => 'return false',
                                                                'data-parsley-errors-container' => '#shipperDate-errors'
                                                            )
                                                        ) !!}
                                                    </div>
                                                    <div id="shipperDate-errors"></div>
                                                    @error('shipper_date_time')
                                                        <span class="text-danger" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                        @endif
                                        @if(getDeliveryDateOption() == 1)
                                            <div class="col-sm-6 custom-width">
                                                <div class="form-group shippingEnd {{ $loadDetail->shipping_time_range == 1 ? 'd-block' : '' }}">
                                                    <label>Choose Date / Time End: <br/> <span>(This date and time will be based on location)</span></label>
                                                    <div class="position-relative">
                                                        {!! Form::text('shipper_date_time_end', old('shipper_date_time_end'), array(
                                                                'class'                         => 'form-control shipper-date-time-end',
                                                                'id'                            => 'shipperDateEnd',
                                                                'autocomplete'                  => 'off',
                                                                'onPaste'                       => 'return false',
                                                                'data-parsley-errors-container' => '#shipperDateEnd-errors'
                                                            )
                                                        ) !!}
                                                        <img src="{{ asset('theme/img/calendar.png') }}" alt="shipper_date_time_end" data-datepickerimage="1">
                                                    </div>
                                                    <div id="shipperDateEnd-errors"></div>
                                                    @error('shipper_date_time_end')
                                                        <span class="text-danger" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                        @elseif(getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3)
                                            <div class="col-sm-6 custom-width disbaleDatepop">
                                                <div class="form-group shippingEnd {{ $loadDetail->shipping_time_range == 1 ? 'd-block' : '' }}">
                                                    <label>Choose Date / Time End: <br/> <span>(This date and time will be based on location)</span></label>
                                                    <div class="position-relative">
                                                        <div class="row">
                                                            <div class="col-md-7 pr-0">
                                                                <input type="text" class="form-control custshippingdateend" placeholder="MM/DD/YYYY" value="{{ getDateMDY($loadDetail->shipper_date_time_end) }}" onPaste="return false">
                                                                <img src="{{ asset('theme/img/calendar.png') }}" class="smallicon" alt="custshippingdateend" data-datepickerimage="1">
                                                            </div>
                                                            <div class="col-md-5 pl-1">
                                                                <input type="text" class="form-control custshippingtimeend" value="{{ getTime($loadDetail->shipper_date_time_end) }}" onPaste="return false">
                                                                <img src="{{ asset('theme/img/clock.png') }}" class="timeicon" alt="custshippingtimeend">
                                                            </div>
                                                        </div>
                                                        {!! Form::text('shipper_date_time_end', old('shipper_date_time_end'), array(
                                                                'class'                         => 'form-control shipper-date-time-end hidden',
                                                                'id'                            => 'shipperDateEnd',
                                                                'autocomplete'                  => 'off',
                                                                'onPaste'                       => 'return false',
                                                                'data-parsley-errors-container' => '#shipperDateEnd-errors'
                                                            )
                                                        ) !!}
                                                    </div>
                                                    <div id="shipperDateEnd-errors"></div>
                                                    @error('shipper_date_time_end')
                                                        <span class="text-danger" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                        @endif
                                        <div class="col-12">
                                            <input type="hidden" class="geocoding-abbr" name="shipper_timezone_abbr" value="{{ isset($loadDetail->shipper_timezone_abbr)?$loadDetail->shipper_timezone_abbr:'' }}" data-parsley-errors-container="#shipper_timezone_abbr-errors" data-parsley-required-message="Please verify address">
                                            <input type="hidden" class="geocoding-latitude" name="shipper_latitude" value="{{ isset($loadDetail->shipper_latitude)?$loadDetail->shipper_latitude:'' }}">
                                            <input type="hidden" class="geocoding-longitude" name="shipper_longitude" value="{{ isset($loadDetail->shipper_longitude)?$loadDetail->shipper_longitude:'' }}">
                                            <input type="hidden" class="geocoding-verified" name="shipper_address_verified" value="{{ isset($loadDetail->shipper_address_verified)?$loadDetail->shipper_address_verified:'0' }}">
                                            <div id="shipper_timezone_abbr-errors" class="text-right"></div>
                                        </div>
                                        <div class="col-sm-12 text-right">
                                            @if(isset($loadDetail->shipper_timezone_abbr))
                                                <span class="geocoding-timezone">{{ $loadDetail->shipper_timezone_abbr }}</span>
                                            @else
                                                <span class="geocoding-timezone d-none"></span>
                                            @endif
                                        </div>
                                        <div class="col-sm-12">
                                            <div class="form-group">
                                                <label for="shipper_id">Shipper:</label>
                                                <a
                                                    href="javascript:void(0);"
                                                    class="btn-link-orange add-shipper-link" data-toggle="modal" data-target="#addShipperModal">
                                                    <i class="fa fa-plus" aria-hidden="true"></i>
                                                    Add New
                                                </a>
                                                {!! Form::select('shipper_id', ['' => 'Shipper']+getCustomerList(), null, [
                                                        'class' => 'form-control shipper-select2',
                                                        'id'    => 'shipper_id'
                                                    ]
                                                ) !!}
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="shipper_address_one">Address 1:</label>
                                                        {!! Form::text('shipper_address_one', old('shipper_address_one'), array(
                                                                'class'         => 'form-control shipper-address-1 geocoding-address-1',
                                                                'id'            => 'shipper_address_one',
                                                                'placeholder'   => ''
                                                            )
                                                        ) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="shipper_address_two">Address 2:</label>
                                                        {!! Form::text('shipper_address_two', old('shipper_address_two'), array(
                                                                'class'         => 'form-control shipper-address-2 geocoding-address-2',
                                                                'id'            => 'shipper_address_two',
                                                                'placeholder'   => ''
                                                            )
                                                        ) !!}
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="shipper_city">City:</label>
                                                        {!! Form::text('shipper_city', old('shipper_city'), array(
                                                                'class'         => 'form-control shipper-city geocoding-city',
                                                                'id'            => 'shipper_city',
                                                                'placeholder'   => ''
                                                            )
                                                        ) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-2 col-6">
                                                    <div class="form-group">
                                                        <label for="shipper_state">State:</label>
                                                        {!! Form::text('shipper_state', old('shipper_state'), array(
                                                                'class'         => 'form-control shipper-state geocoding-state',
                                                                'id'            => 'shipper_state',
                                                                'placeholder'   => ''
                                                            )
                                                        ) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-2 col-6">
                                                    <div class="form-group">
                                                        <label for="shipper_zip">Zip:</label>
                                                        {!! Form::text('shipper_zip', old('shipper_zip'), array(
                                                                'class'         => 'form-control shipper-zip geocoding-zip',
                                                                'id'            => 'shipper_zip',
                                                                'placeholder'   => ''
                                                            )
                                                        ) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-2 col-6">
                                                    <div class="d-flex align-items-center h-100">
                                                        @if(isset($loadDetail->shipper_timezone_abbr))
                                                            <a
                                                                href="javascript:void(0);"
                                                                class="btn-link-orange verify-address-btn justify-content-end geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verified</a>
                                                        @else
                                                            <a
                                                                href="javascript:void(0);"
                                                                class="btn-link-orange verify-address-btn justify-content-end geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify Address</a>
                                                        @endif
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-sm-12">
                                            <div class="form-group">
                                                <label for="shipper_note">Notes:</label>
                                                {!! Form::textarea('shipper_note', old('shipper_note'), array(
                                                        'class'         => 'form-control h-auto',
                                                        'id'            => 'shipper_note',
                                                        'placeholder'   => '',
                                                        'cols'          => '30',
                                                        'rows'          => '2'
                                                    )
                                                ) !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <!-- accessorial-div -->
                                        <div class="col-12 sigale mb-10">
                                            <div class="single-collapse">
                                                <div>
                                                    <button
                                                        type="button"
                                                        class="btn btn-primary accessorials-collapse-btn"
                                                        data-toggle="collapse"
                                                        data-target="#accessorials-shipper-collapse"
                                                        aria-expanded="true"
                                                        aria-controls="accessorials-shipper-collapse">
                                                        Accessorials <img src="{{ asset('theme/images/sort-down-solid.svg') }}">
                                                    </button>
                                                </div>
                                                <div class="accessorials-collapse-div collapse show" id="accessorials-shipper-collapse">
                                                    <div class="card-body">
                                                        <div class="accessorials-table table-responsive">
                                                            <table class="table mt-0">
                                                                <thead>
                                                                    <tr>
                                                                        <td>Status</td>
                                                                        <td>Name</td>
                                                                        <td>Qty</td>
                                                                        <td>Rate</td>
                                                                        <td></td>
                                                                        <td></td>
                                                                        <td>
                                                                            <!-- data-type="Pickup"  -->
                                                                            <a
                                                                                href="javascript:void(0);"
                                                                                class="btn-link-orange asdquerymetn accessorial-link"
                                                                                data-temp="0"
                                                                                data-type="1"
                                                                                data-is_stop="0"
                                                                                data-unique_id="{{ $accessorial_unique_id }}"
                                                                                data-btn_unique_id="{{ $shipper_accessorial_unique_id }}"
                                                                            ><i class="fa fa-plus" aria-hidden="true"></i> Add</a>
                                                                        </td>
                                                                    </tr>
                                                                </thead>
                                                                @if($loadDetail->shipper_accessorials->isNotEmpty())
                                                                    <tbody data-record_exists="yes">
                                                                        @foreach ($loadDetail->shipper_accessorials as $key => $item)
                                                                            <tr
                                                                                data-temp="0"
                                                                                data-id="{{ $item->id }}"
                                                                                data-company_accessorial_id="{{ $item->company_accessorial_id }}"
                                                                                data-company_accessorial_name="{{ $item->company_accessorial->name ?? '' }}"
                                                                                data-paid_by="{{ $item->paid_by }}"
                                                                                data-charge_deduct="{{ $item->charge_deduct }}"
                                                                                data-paid_type="{{ $item->paid_type }}"
                                                                                data-qty="{{ $item->qty }}"
                                                                                data-rate="{{ $item->rate }}"
                                                                                data-doc_required="{{ $item->doc_required }}"
                                                                                data-is_received="{{ $item->is_received }}"
                                                                                data-driver_liable="{{ $item->driver_liable }}"
                                                                                data-driver_id="{{ $item->driver_id }}"
                                                                                data-pay_deduct="{{ $item->pay_deduct }}"
                                                                                data-is_deduction="{{ $item->is_deduction }}"
                                                                                data-driver_qty="{{ $item->driver_qty }}"
                                                                                data-driver_rate="{{ $item->driver_rate }}"
                                                                                data-driver_total="{{ $item->driver_total }}"
                                                                                data-status="{{ $item->status }}"
                                                                                >
                                                                                <td>
                                                                                    @if($item->status=='1')
                                                                                        Completed
                                                                                    @elseif($item->status=='2')
                                                                                        Driver Bypass
                                                                                    @else
                                                                                        Pending
                                                                                    @endif
                                                                                </td>
                                                                                <td>{{ $item->company_accessorial->name ?? '' }}</td>
                                                                                <td class="qty">{{ $item->qty ?? '' }}</td>
                                                                                <td class="rate">{{ isset($item->rate)?'$'.number_format((float)$item->rate, 2, '.', ','):''}}</td>
                                                                                @if($item->doc_required=='0')
                                                                                    <td class="is_received"></td>
                                                                                    <td class="files"></td>
                                                                                @else
                                                                                    <td class="is_received">
                                                                                        <div class="form-check form-check-inline mr-2">
                                                                                            <input class="form-check-input" type="checkbox" {{ ($item->is_received=="1")? "checked" : "" }}>
                                                                                            <label class="form-check-label">Received</label>
                                                                                        </div>
                                                                                    </td>
                                                                                    <td class="doc_required">
                                                                                        @if($item->is_received=="1")
                                                                                            <a
                                                                                                href="javascript:void(0);"
                                                                                                class="mr-2 list-file-upload gallary-edit"
                                                                                                data-temp="0"
                                                                                                data-id="{{ $item->id }}"
                                                                                                data-source="load_accessorials"
                                                                                                data-field="accessorial_files"
                                                                                                data-toggle="modal"
                                                                                                data-target="#galleryModal"
                                                                                                data-upload-status="1">
                                                                                                View
                                                                                            </a>
                                                                                        @else
                                                                                            <a
                                                                                                href="javascript:void(0);"
                                                                                                class="mr-2 list-file-upload gallary-edit"
                                                                                                data-temp="0"
                                                                                                data-id="{{ $item->id }}"
                                                                                                data-source="load_accessorials"
                                                                                                data-field="accessorial_files"
                                                                                                data-toggle="modal"
                                                                                                data-target="#galleryModal"
                                                                                                data-upload-status="0">
                                                                                                Upload
                                                                                            </a>
                                                                                        @endif
                                                                                    </td>
                                                                                @endif
                                                                                <td>
                                                                                    <a
                                                                                        href="javascript:void(0);"
                                                                                        class="mr-2 accessorial-edit"
                                                                                        data-id="{{ $item->id }}"
                                                                                        data-temp="0"
                                                                                        style="float: right;">
                                                                                        <i class="fa fa-edit" aria-hidden="true"></i>
                                                                                    </a>
                                                                                </td>
                                                                            </tr>
                                                                        @endforeach
                                                                    </tbody>
                                                                @else
                                                                    <tbody data-record_exists="no">
                                                                        <tr>
                                                                            <td colspan="7">Record Not Found.</td>
                                                                        </tr>
                                                                    </tbody>
                                                                @endif
                                                            </table>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12 sigale mb-10">
                                            <div class="single-collapse">
                                                <div>
                                                    <button
                                                        type="button"
                                                        class="btn btn-primary required-documents-collapse-btn"
                                                        data-toggle="collapse"
                                                        data-target="#required-documents-shipper-collapse"
                                                        aria-expanded="true"
                                                        aria-controls="required-documents-shipper-collapse">
                                                        Required Documents <img src="{{ asset('theme/images/sort-down-solid.svg') }}">
                                                    </button>
                                                </div>
                                                <div class="required-documents-collapse-div collapse show" id="required-documents-shipper-collapse">
                                                    <div class="card-body">
                                                        <div class="required-documents-table table-responsive">
                                                            @if(!empty($shipper_files_upload))
                                                                <table class="table mt-0">
                                                                    <tbody>
                                                                        @foreach ($shipper_files_upload as $key => $upload)
                                                                            @php
                                                                                $documents                      = [];
                                                                            @endphp
                                                                            @if($upload['type']==1)
                                                                                @php
                                                                                    $filelabel                  = 'Copy';
                                                                                    if(!empty($upload['file'])){
                                                                                        $documents              = $upload['file'];
                                                                                    }
                                                                                @endphp
                                                                            @else
                                                                                @php
                                                                                    $filelabel                  = 'Original';
                                                                                @endphp
                                                                            @endif
                                                                            <tr>
                                                                                <td class="d-none">
                                                                                    <input type="hidden" class="custom-input" name="shipper_files_upload[custom][{{ $key }}]" value="{{ (isset($upload['custom']) && $upload['custom']=='yes')?'yes':'no' }}">
                                                                                    <input type="hidden" class="fixed-input" name="shipper_files_upload[fixed][{{ $key }}]" value="{{ $upload['fixed'] }}">
                                                                                    <input type="hidden" class="name-input" name="shipper_files_upload[name][{{ $key }}]" value="{{ $upload['name'] }}">
                                                                                    <input type="hidden" class="type-input" name="shipper_files_upload[type][{{ $key }}]" value="{{ $upload['type'] }}">
                                                                                </td>
                                                                                <td class="name">
                                                                                    {{ $upload['name'] }}
                                                                                </td>
                                                                                <td class="type">
                                                                                    {{ $filelabel }}
                                                                                </td>
                                                                                @if($filelabel=='Copy')
                                                                                    @if(is_array($documents) && count($documents) > 0)
                                                                                        <td class="is_received">
                                                                                            <div class="form-check form-check-inline">
                                                                                                <input type="hidden" name="shipper_files_upload[file_not_provided][{{ $key }}]" class="form-check-input is_not_file-input" value="{{ (isset($upload['file_not_provided']) && $upload['file_not_provided']=='on')? 'on' : 'off' }}">
                                                                                                <!--  -->
                                                                                                <input class="form-check-input is_received-input" type="checkbox" name="shipper_files_upload[is_received][{{ $key }}]" id="shipper_files_upload_is_received_{{ $key }}" checked>
                                                                                                <label class="form-check-label" for="shipper_files_upload_is_received_{{ $key }}">Received</label>
                                                                                            </div>
                                                                                        </td>
                                                                                    @else
                                                                                        <td class="is_received">
                                                                                            <div class="form-check form-check-inline">
                                                                                                <input type="hidden" name="shipper_files_upload[file_not_provided][{{ $key }}]" class="form-check-input is_not_file-input" value="{{ (isset($upload['file_not_provided']) && $upload['file_not_provided']=='on')? 'on' : 'off' }}">
                                                                                                <!--  -->
                                                                                                <input class="form-check-input is_received-input" type="checkbox" name="shipper_files_upload[is_received][{{ $key }}]" id="shipper_files_upload_is_received_{{ $key }}" {{ (isset($upload['is_received']) && $upload['is_received']=="on")? "checked" : "" }}>
                                                                                                <label class="form-check-label" for="shipper_files_upload_is_received_{{ $key }}">Received</label>
                                                                                            </div>
                                                                                        </td>
                                                                                    @endif
                                                                                @else
                                                                                    <td class="is_received">
                                                                                        <div class="form-check form-check-inline">
                                                                                            <input class="form-check-input is_received-input" type="checkbox" name="shipper_files_upload[is_received][{{ $key }}]" id="shipper_files_upload_is_received_{{ $key }}" {{ (isset($upload['is_received']) && $upload['is_received']=="on")? "checked" : "" }}>
                                                                                            <label class="form-check-label" for="shipper_files_upload_is_received_{{ $key }}">Received</label>
                                                                                        </div>
                                                                                    </td>
                                                                                @endif
                                                                                <td class="is_required">
                                                                                    <div class="form-check form-check-inline">
                                                                                        <input class="form-check-input is_required-input" type="checkbox" name="shipper_files_upload[is_required][{{ $key }}]" id="shipper_files_upload_is_required_{{ $key }}" {{ (isset($upload['is_required']) && $upload['is_required']=="on")? "checked" : "" }}>
                                                                                        <label class="form-check-label" for="shipper_files_upload_is_required_{{ $key }}">Required</label>
                                                                                    </div>
                                                                                </td>
                                                                                @if($filelabel=='Copy')
                                                                                    @if(is_array($documents) && count($documents) > 0)
                                                                                        <td>
                                                                                            <div class="required-documents-upload">
                                                                                                <a href="javascript:void(0);">Replace Image</a>
                                                                                                <input type="file" class="file-input" name="shipper_files_upload[file][{{ $key }}][]" multiple>
                                                                                            </div>
                                                                                        </td>
                                                                                        <td>
                                                                                            @php
                                                                                                $total_documents    = count($documents);
                                                                                            @endphp
                                                                                            @foreach ($documents as $dkey => $document)
                                                                                                <input type="hidden" name="shipper_files_upload[file_exists][{{ $key }}][]" value="{{ $document }}">
                                                                                                <input type="hidden" name="shipper_files_upload[upload_user_type][{{ $key }}]" value="{{ $upload['upload_user_type'] ?? auth()->guard('company-admin')->user()->type }}">
                                                                                                <input type="hidden" name="shipper_files_upload[upload_by][{{ $key }}]" value="{{ $upload['upload_by'] ?? auth()->guard('company-admin')->user()->id }}">
                                                                                                <input type="hidden" name="shipper_files_upload[uploaded_at][{{ $key }}]" value="{{ $upload['uploaded_at'] ?? date('Y-m-d H:i:s') }}">
                                                                                                @php
                                                                                                    $file_path      = 'storage/companyAdmin/load_detail_document/'.$document;
                                                                                                    $type           = \File::extension($file_path);
                                                                                                @endphp
                                                                                                @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                                                                    <a href="{{ asset($file_path) }}" target="_blank" class="mr-2">
                                                                                                        View
                                                                                                    </a>
                                                                                                @else
                                                                                                    <a href="{{ asset($file_path) }}" target="_blank" class="mr-2">
                                                                                                        View
                                                                                                    </a>
                                                                                                @endif
                                                                                                @if($total_documents > 1)
                                                                                                    <br/>
                                                                                                @endif
                                                                                            @endforeach
                                                                                        </td>
                                                                                    @else
                                                                                        <td>
                                                                                        </td>
                                                                                        <td>
                                                                                            <div class="required-documents-upload">
                                                                                                <a href="javascript:void(0);">Upload</a>
                                                                                                <input type="file" class="file-input" name="shipper_files_upload[file][{{ $key }}][]" multiple>
                                                                                            </div>
                                                                                        </td>
                                                                                    @endif
                                                                                @else
                                                                                    <td>
                                                                                    </td>
                                                                                    <td>
                                                                                    </td>
                                                                                @endif
                                                                            </tr>
                                                                        @endforeach
                                                                    </tbody>
                                                                </table>
                                                            @else
                                                                No required documents.
                                                            @endif
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="position-relative add-edit-popup">
                                                <a
                                                    href="javascript:void(0);"
                                                    class="btn-link-orange btn-link-required-documents add-edit-btn">
                                                    Add / Edit Required Documents
                                                </a>
                                                <div class="add-edit-block d-none">
                                                    @if(!empty($shipper_files))
                                                        @php
                                                            $i                              = 0;
                                                            $shipper_files_custom           = array_filter($shipper_files, function ($var) {
                                                                return (isset($var['custom']) && $var['custom'] == 'yes');
                                                            });
                                                            if(!empty($shipper_files_custom)){
                                                                $shipper_files              = array_diff_key($shipper_files, $shipper_files_custom);
                                                            }
                                                            $shipper_files_required         = array_filter($shipper_files, function ($var) {
                                                                return ($var['is_required'] == 'on');
                                                            });
                                                            $shipper_files_non_required     = array_filter($shipper_files, function ($var) {
                                                                return ($var['is_required'] == 'off');
                                                            });
                                                        @endphp
                                                        <h5 class="popup-heading"></h5>
                                                        @if(!empty($shipper_files_required))
                                                            <div class="add-edit-reg-block">
                                                                <h6>Required by Broker</h6>
                                                                <div class="required-checkbox">
                                                                    @foreach ($shipper_files_required as $key => $value)
                                                                        <div class="d-flex">
                                                                            <div class="custom-control custom-checkbox">
                                                                                <input type="checkbox" class="custom-control-input" id="shipper_files_is_required_{{ $i }}" name="shipper_files[is_required][{{ $i }}]" checked>
                                                                                <label class="custom-control-label" for="shipper_files_is_required_{{ $i }}">{{ $value['name'] }}</label>
                                                                            </div>
                                                                            <div>
                                                                                <input type="hidden" name="shipper_files[name][{{ $i }}]" value="{{ $value['name'] }}">
                                                                                <input type="hidden" name="shipper_files[fixed][{{ $i }}]" value="{{ $value['fixed'] }}">
                                                                                <div class="switches-container">
                                                                                    <input type="radio" id="shipper_files_type_1_{{ $i }}" name="shipper_files[type][{{ $i }}]" value="1" {{ ($value['type']=="1")? "checked" : "" }}>
                                                                                    <input type="radio" id="shipper_files_type_2_{{ $i }}" name="shipper_files[type][{{ $i }}]" value="2" {{ ($value['type']=="2")? "checked" : "" }}>
                                                                                    <label for="shipper_files_type_1_{{ $i }}">Copy</label>
                                                                                    <label for="shipper_files_type_2_{{ $i }}">Original</label>
                                                                                    <div class="switch-wrapper">
                                                                                        <div class="switch">
                                                                                            <div>Copy</div>
                                                                                            <div>Original</div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        @php
                                                                            ++$i;
                                                                        @endphp
                                                                    @endforeach
                                                                </div>
                                                            </div>
                                                        @endif
                                                        @if(!empty($shipper_files_non_required))
                                                            <div class="add-edit-reg-block">
                                                                <h6>Preset Items</h6>
                                                                <div class="required-checkbox">
                                                                    @foreach ($shipper_files_non_required as $key => $value)
                                                                        <div class="d-flex">
                                                                            <div class="custom-control custom-checkbox">
                                                                                <input type="checkbox" class="custom-control-input" id="shipper_files_is_required_{{ $i }}" name="shipper_files[is_required][{{ $i }}]">
                                                                                <label class="custom-control-label" for="shipper_files_is_required_{{ $i }}">{{ $value['name'] }}</label>
                                                                            </div>
                                                                            <div>
                                                                                <input type="hidden" name="shipper_files[name][{{ $i }}]" value="{{ $value['name'] }}">
                                                                                <input type="hidden" name="shipper_files[fixed][{{ $i }}]" value="{{ $value['fixed'] }}">
                                                                                <div class="switches-container">
                                                                                    <input type="radio" id="shipper_files_type_1_{{ $i }}" name="shipper_files[type][{{ $i }}]" value="1" {{ ($value['type']=="1")? "checked" : "" }}>
                                                                                    <input type="radio" id="shipper_files_type_2_{{ $i }}" name="shipper_files[type][{{ $i }}]" value="2" {{ ($value['type']=="2")? "checked" : "" }}>
                                                                                    <label for="shipper_files_type_1_{{ $i }}">Copy</label>
                                                                                    <label for="shipper_files_type_2_{{ $i }}">Original</label>
                                                                                    <div class="switch-wrapper">
                                                                                        <div class="switch">
                                                                                            <div>Copy</div>
                                                                                            <div>Original</div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        @php
                                                                            ++$i;
                                                                        @endphp
                                                                    @endforeach
                                                                </div>
                                                            </div>
                                                        @endif
                                                        @if(!empty($shipper_files_custom))
                                                            <div class="add-edit-reg-block custom-required-documents">
                                                                <h6>Custom Options</h6>
                                                                <div class="required-checkbox">
                                                                    @foreach ($shipper_files_custom as $key => $value)
                                                                        <div class="d-flex align-items-center custom-item mb-2">
                                                                            <div class="custom-control custom-checkbox mb-0">
                                                                                <input type="checkbox" class="custom-control-input" id="shipper_files_is_required_{{ $i }}" name="shipper_files[is_required][{{ $i }}]" {{ ($value['is_required']=="on")? "checked" : "" }}>
                                                                                <label class="custom-control-label" for="shipper_files_is_required_{{ $i }}">
                                                                                    <input type="text" class="form-control custom-name" id="shipper_files_name_{{ $i }}" name="shipper_files[name][{{ $i }}]" placeholder="{{ $value['name'] }}">
                                                                                </label>
                                                                            </div>
                                                                            <div>
                                                                                <input type="hidden" name="shipper_files[custom][{{ $i }}]" value="yes">
                                                                                <input type="hidden" name="shipper_files[fixed][{{ $i }}]" value="no">
                                                                                <div class="switches-container">
                                                                                    <input type="radio" id="shipper_files_type_1_{{ $i }}" name="shipper_files[type][{{ $i }}]" value="1" {{ ($value['type']=="1")? "checked" : "" }}>
                                                                                    <input type="radio" id="shipper_files_type_2_{{ $i }}" name="shipper_files[type][{{ $i }}]" value="2" {{ ($value['type']=="2")? "checked" : "" }}>
                                                                                    <label for="shipper_files_type_1_{{ $i }}">Copy</label>
                                                                                    <label for="shipper_files_type_2_{{ $i }}">Original</label>
                                                                                    <div class="switch-wrapper">
                                                                                        <div class="switch">
                                                                                            <div>Copy</div>
                                                                                            <div>Original</div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <a href="javascript:void(0);" class="remove-link remove-required-documents">remove</a>
                                                                        </div>
                                                                        @php
                                                                            ++$i;
                                                                        @endphp
                                                                    @endforeach
                                                                </div>
                                                                <div class="clearfix">
                                                                    <a href="javascript:void(0);" class="btn-link-orange add-required-documents" data-type="pickup" data-last_index="{{ $i-1 }}">
                                                                        <i class="fa fa-plus" aria-hidden="true"></i>
                                                                        Add Document
                                                                    </a>
                                                                </div>
                                                            </div>
                                                        @else
                                                            <div class="add-edit-reg-block custom-required-documents">
                                                                <h6>Custom Options</h6>
                                                                <div class="required-checkbox">
                                                                    <div class="d-flex align-items-center custom-item mb-2">
                                                                        <div class="custom-control custom-checkbox mb-0">
                                                                            <input type="checkbox" class="custom-control-input" id="shipper_files_is_required_{{ $i }}" name="shipper_files[is_required][{{ $i }}]">
                                                                            <label class="custom-control-label" for="shipper_files_is_required_{{ $i }}">
                                                                                <input type="text" class="form-control custom-name" id="shipper_files_name_{{ $i }}" name="shipper_files[name][{{ $i }}]" placeholder="Enter name">
                                                                            </label>
                                                                        </div>
                                                                        <div>
                                                                            <input type="hidden" name="shipper_files[custom][{{ $i }}]" value="yes">
                                                                            <input type="hidden" name="shipper_files[fixed][{{ $i }}]" value="no">
                                                                            <div class="switches-container">
                                                                                <input type="radio" id="shipper_files_type_1_{{ $i }}" name="shipper_files[type][{{ $i }}]" value="1" checked>
                                                                                <input type="radio" id="shipper_files_type_2_{{ $i }}" name="shipper_files[type][{{ $i }}]" value="2">
                                                                                <label for="shipper_files_type_1_{{ $i }}">Copy</label>
                                                                                <label for="shipper_files_type_2_{{ $i }}">Original</label>
                                                                                <div class="switch-wrapper">
                                                                                    <div class="switch">
                                                                                        <div>Copy</div>
                                                                                        <div>Original</div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <a href="javascript:void(0);" class="remove-link remove-required-documents">remove</a>
                                                                    </div>
                                                                </div>
                                                                <div class="clearfix">
                                                                    <a href="javascript:void(0);" class="btn-link-orange add-required-documents" data-type="pickup" data-last_index="{{ $i }}">
                                                                        <i class="fa fa-plus" aria-hidden="true"></i>
                                                                        Add Document
                                                                    </a>
                                                                </div>
                                                            </div>
                                                        @endif
                                                        <div class="text-center ">
                                                            <button type="button" class="btn btn-themeGray doc-cancel-btn">Cancel</button>
                                                            <button type="button" class="btn btn-themeGray doc-save-btn">Save</button>
                                                        </div>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                        <!-- log-div -->
                                        <div class="col-12 sigale">
                                            <div class="single-collapse">
                                                <div>
                                                    <button
                                                        type="button"
                                                        class="btn btn-primary logs-collapse-btn"
                                                        data-toggle="collapse"
                                                        data-target="#logs-shipper-collapse"
                                                        aria-expanded="true"
                                                        aria-controls="logs-shipper-collapse">
                                                        Logs <img src="{{ asset('theme/images/sort-down-solid.svg') }}">
                                                    </button>
                                                </div>
                                                <div class="logs-collapse-div collapse show" id="logs-shipper-collapse">
                                                    <div class="card-body">
                                                        <p style="margin:0;">Arrival date & time : {{ isset($arrived_at)?$arrived_at:'' }}</p>
                                                        <p style="margin:0;">Departure date & time : {{ isset($leaves_at)?$leaves_at:'' }}</p>
                                                    </div>
                                                </div>
                                            </div>
                                            <button class="btn add-shop-btn" type="button">+ Add Stop</button>
                                        </div>
                                    </div>
                                </div>
                                <!-- stop -->
                                @php
                                    $stop_no                            = 2;
                                    $actual_stop_no                     = 0;
                                @endphp
                                @if($load->load_stops->isNotEmpty())
                                    @foreach ($load->load_stops as $key => $stop)
                                        @php
                                            ++$actual_stop_no;
                                            $actual_stop_index                      = $key;
                                            $random_id                              = $actual_stop_index.\Str::random(8);

                                            // accessorial_unique_id
                                            $stop_accessorial_unique_id             = \Str::random(4).substr(base_convert(sha1(uniqid(mt_rand())), 16, 36), 0, 12);

                                            $stop_detention                         = isset($stop->detention)?$stop->detention:null;

                                            $customer_type                          = $stop->customer_type;
                                            if($customer_type=='1'){
                                                $customer_type_label                = 'Shipper';

                                                if(!empty($stop->stop_shipper_files)){
                                                    $stop_files                     = unserialize($stop->stop_shipper_files);
                                                }else{
                                                    if(!empty($broker_shipper_files)){
                                                        $stop_files                 = $broker_shipper_files;
                                                    }else{
                                                        $stop_files                 = unserialize(config('settings.shipper_files'));
                                                    }
                                                }

                                                if(!empty($stop->stop_shipper_files_upload)){
                                                    $stop_files_upload              = unserialize($stop->stop_shipper_files_upload);
                                                }else{
                                                    if(!empty($broker_shipper_files)){
                                                        $stop_files_upload          = $broker_shipper_files;
                                                    }else{
                                                        $stop_files_upload          = unserialize(config('settings.shipper_files'));
                                                    }
                                                }
                                            }else{
                                                $customer_type_label                = 'Receiver';

                                                if(!empty($stop->stop_consignee_files)){
                                                    $stop_files                     = unserialize($stop->stop_consignee_files);
                                                }else{
                                                    if(!empty($broker_consignee_files)){
                                                        $stop_files                 = $broker_consignee_files;
                                                    }else{
                                                        $stop_files                 = unserialize(config('settings.consignee_files'));
                                                    }
                                                }

                                                if(!empty($stop->stop_consignee_files_upload)){
                                                    $stop_files_upload              = unserialize($stop->stop_consignee_files_upload);
                                                }else{
                                                    if(!empty($broker_consignee_files)){
                                                        $stop_files_upload          = $broker_consignee_files;
                                                    }else{
                                                        $stop_files_upload          = unserialize(config('settings.consignee_files'));
                                                    }
                                                }
                                            }

                                            $is_leaves                              = $stop->is_arrived;
                                            $arrived_at                             = $stop->arrived_at;
                                            if(isset($arrived_at)){
                                                $arrived_at                         = convertTimeToUSERzone([
                                                    'str'       => $arrived_at,
                                                    'toFormat'  => getTimeLayout(),
                                                    'fromFormat'=> 'Y-m-d H:i:s']
                                                ).' '.$getTimeZoneId;
                                            }
                                            $leaves_at                              = $stop->leaves_at;
                                            if(isset($leaves_at)){
                                                $leaves_at                          = convertTimeToUSERzone([
                                                    'str'       => $leaves_at,
                                                    'toFormat'  => getTimeLayout(),
                                                    'fromFormat'=> 'Y-m-d H:i:s']
                                                ).' '.$getTimeZoneId;
                                            }
                                        @endphp
                                        <div class="stop geocoding {{ $random_id }}" data-stop_no="{{ $stop_no }}" data-customer_type="{{ $customer_type }}" data-stop_index="{{ $actual_stop_index }}" data-is_leaves="{{ $is_leaves }}">
                                            <input type="hidden" class="random_id" name="stop[{{ $actual_stop_index }}][random_id]" value="{{ $random_id }}">
                                            <input type="hidden" class="actual_stop_no" name="stop[{{ $actual_stop_index }}][stop_no]" value="{{ $actual_stop_no }}">
                                            <input type="hidden" class="stop_row_id" name="stop[{{ $actual_stop_index }}][id]" value="{{ isset($stop->id) ? $stop->id : '' }}">
                                            <div class="hedding-section">
                                                <div class="row">
                                                    <div class="col-sm-6">
                                                        <div class="hedding">
                                                            <i class="fa fa-sort" aria-hidden="true"></i>
                                                            <h2 class="stop-hedding">
                                                                @if($customer_type=='1')
                                                                <span class="changetypelabel">Pickup</span>
                                                                @else
                                                                <span class="changetypelabel">Delivery</span>
                                                                @endif
                                                                 - Stop <span class="stop_no">{{ $stop_no }}</span></h2>
                                                            <a href="javascript:void(0);" class="btn-theme btn-grey-theme">Pending</a>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-6 mt-2 mt-sm-0">
                                                        <div class="d-flex justify-content-end stop-btnGroup">
                                                            <!-- data-type="Stop"  -->
                                                            <a
                                                                href="javascript:void(0);"
                                                                class="btn-oreng-theme btn-theme accessorial-link"
                                                                data-temp="0"
                                                                data-type="3"
                                                                data-is_stop="1"
                                                                data-load_stop_id="{{ $stop->id }}"
                                                                data-unique_id="{{ $accessorial_unique_id }}"
                                                                data-btn_unique_id="{{ $stop_accessorial_unique_id }}"
                                                            ><i class="fa fa-plus" aria-hidden="true"></i>Accessorial</a>
                                                            @if($is_driver=='1')
                                                                @if(!is_null($stop_detention))
                                                                    <a
                                                                        href="javascript:void(0);"
                                                                        class="btn-oreng-theme btn-theme detention-link detention-request"
                                                                        data-mode="edit"
                                                                        data-type="{{ $customer_type }}"
                                                                        data-is_stop="1"
                                                                        data-load_detail_id="{{ $stop->loads->load_detail->id }}"
                                                                        data-load_stop_id="{{ $stop->id }}"
                                                                        data-random_id="{{ $random_id }}"
                                                                        data-unique_id="{{ substr(base_convert(sha1(uniqid(mt_rand())), 16, 36), 0, 12) }}"
                                                                        data-detention_id="{{ $stop_detention->id }}"
                                                                    ><i class="fa fa-pencil" aria-hidden="true"></i>Detention</a>
                                                                @else
                                                                    <a
                                                                        href="javascript:void(0);"
                                                                        class="btn-oreng-theme btn-theme detention-link detention-request"
                                                                        data-mode="add"
                                                                        data-type="{{ $customer_type }}"
                                                                        data-is_stop="1"
                                                                        data-load_detail_id="{{ $stop->loads->load_detail->id }}"
                                                                        data-load_stop_id="{{ $stop->id }}"
                                                                        data-random_id="{{ $random_id }}"
                                                                        data-unique_id="{{ substr(base_convert(sha1(uniqid(mt_rand())), 16, 36), 0, 12) }}"
                                                                    ><i class="fa fa-plus" aria-hidden="true"></i>Detention</a>
                                                                @endif
                                                                <a
                                                                    href="javascript:void(0)"
                                                                    class=" btn-oreng-theme btn-theme dropTrailer-btn"
                                                                    id="dropTrailerBtn_{{ $actual_stop_index }}"
                                                                        ><i class="fa fa-plus" aria-hidden="true"></i>DropTrailer
                                                                </a>
                                                                <div class="dropTrailer-block" id="dropTrailerBlock_{{ $actual_stop_index }}">
                                                                    <input type="hidden" class="dropStopNumber" name="drop[{{ $actual_stop_index }}][stop_number]" value="{{ $stop_no }}">
                                                                    <div class="d-flex flex-wrap dropTrailer-heading align-items-center justify-content-between">
                                                                        <h5>Drop Trailer: <span id="dropTrailer_{{ $actual_stop_index }}"></span></h5>
                                                                        <h5>Driver: <span id="dropDriverName_{{ $actual_stop_index }}"></span></h5>
                                                                        <h5>Truck: <span id="dropTruck_{{ $actual_stop_index }}"></span></h5>
                                                                        <a href="javascript:void(0)" class="close cancel-btn m-0" id="dropCancelBtn_top_{{ $actual_stop_index }}">
                                                                            <i class="fa fa-times" aria-hidden="true"></i>
                                                                        </a>
                                                                    </div>
                                                                    <div class="">
                                                                        <div class="d-flex flex-wrap align-items-center justify-content-between dropTrailer-head">
                                                                            <div class="switches-container">
                                                                                <input type="radio" id="dropSwitchLoaded_{{ $actual_stop_index }}" name="drop[{{ $actual_stop_index }}][empty_loaded]" value="0" @if(isset($dropTrailerDetails[$key]['drop_at_stop'])) {{(($dropTrailerDetails[$key]['keep_assigned'] =="0") ? 'checked' : '')}} @else checked  @endif>
                                                                                <input type="radio" id="dropSwitchEmpty_{{ $actual_stop_index }}" name="drop[{{ $actual_stop_index }}][empty_loaded]" value="1" @if(isset($dropTrailerDetails[$key]['drop_at_stop'])) {{(($dropTrailerDetails[$key]['keep_assigned'] =="1") ? 'checked' : '')}} @endif>
                                                                                <label for="dropSwitchLoaded_{{ $actual_stop_index }}">Loaded</label>
                                                                                <label for="dropSwitchEmpty_{{ $actual_stop_index }}">Empty</label>
                                                                                <div class="switch-wrapper">
                                                                                    <div class="switch">
                                                                                        <div>Loaded</div>
                                                                                        <div>Empty</div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <div class="custom-control custom-checkbox drop-checkbox_{{ $actual_stop_index }}">
                                                                                <input type="checkbox" class="custom-control-input" id="dropAtStop_{{ $actual_stop_index }}" name="drop[{{ $actual_stop_index }}][drop_at_stop]" value="1" @if(isset($dropTrailerDetails[$key]['drop_at_stop']) && $dropTrailerDetails[$key]['drop_at_stop'] =="1") checked @endif>
                                                                                <label class="custom-control-label" for="dropAtStop_{{ $actual_stop_index }}">Drop at Stop</label>
                                                                            </div>
                                                                            <div class="custom-control custom-checkbox">
                                                                                <input type="checkbox" class="custom-control-input" id="dropKeepDriver_{{ $actual_stop_index }}" name="drop[{{ $actual_stop_index }}][keep_assigned]" value="1" @if(isset($dropTrailerDetails[$key]['drop_at_stop']) && $dropTrailerDetails[$key]['keep_assigned'] =="1") checked @endif>
                                                                                <label class="custom-control-label" for="dropKeepDriver_{{ $actual_stop_index }}">Keep load assigned to driver</label>
                                                                            </div>
                                                                        </div>
                                                                        <div class="row dropTrailer-row">
                                                                            <div class="col-md-4 col-sm-5">
                                                                                <div class="form-group">
                                                                                    <label for="dorp-date">Drop Date / Time</label>
                                                                                    <input type="text" class="form-control" id="dropDorpDate_{{ $actual_stop_index }}" name="drop[{{ $actual_stop_index }}][dorp_date]" placeholder="" style="font-size: 13px;" value="{{ $dropTrailerDetails[$key]['drop_date'] ?? '' }}">
                                                                                </div>
                                                                            </div>
                                                                            <div class="col-md-8 col-sm-7">
                                                                                <div class="form-group drop-search">
                                                                                    <label for="drop-loc">Drop Location</label>
                                                                                    <div class="position-relative">
                                                                                        <select class="form-control select2" id="dropLocByUser_{{ $actual_stop_index }}" name="drop[{{ $actual_stop_index }}][loc_by_user]">
                                                                                            {!! $dropSearchDropDown !!}
                                                                                        </select>
                                                                                        <img src="{{asset('theme/images/search-icon-black.png')}}" alt="search-icon">
                                                                                    </div>
                                                                                    <input type="hidden" id="dropUserType_{{ $actual_stop_index }}" name="drop[{{ $actual_stop_index }}][user_type]" value="">
                                                                                </div>
                                                                                <div class="form-group drop-select">
                                                                                    <label for="ext-txt">Drop Location</label>
                                                                                    <select class="form-control dropLocByStop" id="dropLocByStop_{{ $actual_stop_index }}" name="drop[{{ $actual_stop_index }}][loc_by_stop]">
                                                                                        <option value="">Select Stop</option>
                                                                                    </select>
                                                                                </div>
                                                                            </div>
                                                                            <div class="col-sm-6">
                                                                                <div class="form-group">
                                                                                    <label for="dropAdd1_{{ $actual_stop_index }}">Address 1:</label>
                                                                                    <input type="text" class="form-control" id="dropAdd1_{{ $actual_stop_index }}" name="drop[{{ $actual_stop_index }}][drop_add1]" placeholder="" value="{{ $dropTrailerDetails[$key]['add1'] ?? '' }}" readonly>
                                                                                </div>
                                                                            </div>
                                                                            <div class="col-sm-6">
                                                                                <div class="form-group">
                                                                                    <label for="dropAdd2_{{ $actual_stop_index }}">Address 2:</label>
                                                                                    <input type="text" class="form-control" id="dropAdd2_{{ $actual_stop_index }}" name="drop[{{ $actual_stop_index }}][drop_add2]" placeholder="" value="{{ $dropTrailerDetails[$key]['add2'] ?? '' }}" readonly>
                                                                                </div>
                                                                            </div>
                                                                            <div class="col-md-7 col-sm-7">
                                                                                <div class="form-group">
                                                                                    <label for="dropCity_{{ $actual_stop_index }}">City:</label>
                                                                                    <input type="text" class="form-control" id="dropCity_{{ $actual_stop_index }}" name="drop[{{ $actual_stop_index }}][drop_city]" placeholder="" value="{{ $dropTrailerDetails[$key]['city'] ?? '' }}" readonly>
                                                                                </div>
                                                                            </div>
                                                                            <div class="col-sm col-6">
                                                                                <div class="form-group">
                                                                                    <label for="dropState_{{ $actual_stop_index }}">State:</label>
                                                                                    <input type="text" class="form-control" id="dropState_{{ $actual_stop_index }}" name="drop[{{ $actual_stop_index }}][drop_state]" value="{{ $dropTrailerDetails[$key]['state'] ?? '' }}" placeholder="" readonly>
                                                                                </div>
                                                                            </div>
                                                                            <div class="col-sm col-6">
                                                                                <div class="form-group">
                                                                                    <label for="dropZip_{{ $actual_stop_index }}">Zip:</label>
                                                                                    <input type="text" class="form-control" id="dropZip_{{ $actual_stop_index }}" name="drop[{{ $actual_stop_index }}][drop_zip]" placeholder="" value="{{ $dropTrailerDetails[$key]['zip'] ?? '' }}" readonly>
                                                                                </div>
                                                                            </div>
                                                                            <div class="col-12">
                                                                                <div class="form-group">
                                                                                    <label for="dropNotes_{{ $actual_stop_index }}">Notes:</label>
                                                                                    <textarea id="dropNotes_{{ $actual_stop_index }}" name="drop[{{ $actual_stop_index }}][drop_notes]" rows="3" class="form-control">{{ $dropTrailerDetails[$key]['notes'] ?? '' }}</textarea>
                                                                                </div>
                                                                            </div>
                                                                            <div class="col-12 text-right">
                                                                                <button type="button" class="btn btn-themeGray cancel-btn" id="dropCancelBtn_bottom_{{ $actual_stop_index }}">Cancel</button>
                                                                                <button type="button" class="btn btn-orange" id="dropSaveBtn_{{ $actual_stop_index }}">Save</button>
                                                                            </div>
                                                                            <div class="col-12">
                                                                                <div class="form-group mb-0">
                                                                                    <label class="mb-0" id="dropCreatedBy_{{ $actual_stop_index }}">Created By: {{ $dropTrailerDetails[$key]['created_by'] ?? '' }}</label>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                @push('after-scripts')
                                                                    <script type="text/javascript">
                                                                        $(function (){
                                                                            $("#dropTrailerBlock_{{ $actual_stop_index }}").hide();
                                                                            let driverName      = $("[name='driver_id']").select2('data')[0].text;
                                                                            let trailerNumber   = $("[name='trailer_number']").select2('data')[0].text;
                                                                            let truckNumber     = $("[name='truck_number']").val();
                                                                            if(driverName !== ""){
                                                                                $("#dropDriverName_{{ $actual_stop_index }}").text(driverName);
                                                                            }
                                                                            if(trailerNumber !== ""){
                                                                                $("#dropTrailer_{{ $actual_stop_index }}").text(trailerNumber);
                                                                            }
                                                                            if(truckNumber !== ""){
                                                                                $("#dropTruck_{{ $actual_stop_index }}").text(truckNumber);
                                                                            }
                                                                            $("#dropLocByUser_{{ $actual_stop_index }}").select2();
                                                                            $("#dropDorpDate_{{ $actual_stop_index }}").datetimepicker({ format: DateTimeFormat });

                                                                            @if(isset($dropTrailerDetails[$key]) && $dropTrailerDetails[$key] != "")
                                                                                @if($dropTrailerDetails[$key]['drop_at_stop'] == '1')
                                                                                    $("#dropTrailerBlock_{{ $actual_stop_index }} .drop-search").hide();
                                                                                    $("#dropTrailerBlock_{{ $actual_stop_index }} .drop-select").show();
                                                                                    $("#dropLocByStop_{{ $actual_stop_index }}").val("{{ $dropTrailerDetails[$key]['loc'] ?? '' }}");
                                                                                @elseif($dropTrailerDetails[$key]['drop_at_stop'] == '0')
                                                                                    $("#dropTrailerBlock_{{ $actual_stop_index }} .drop-search").show();
                                                                                    $("#dropTrailerBlock_{{ $actual_stop_index }} .drop-select").hide();
                                                                                    $("#dropLocByUser_{{ $actual_stop_index }}").val("{{ $dropTrailerDetails[$key]['loc'] ?? '' }}").trigger('change');
                                                                                @endif
                                                                            @else
                                                                                $("#dropTrailerBlock_{{ $actual_stop_index }} .drop-search").show();
                                                                                $("#dropTrailerBlock_{{ $actual_stop_index }} .drop-select").hide();
                                                                            @endif
                                                                        });
                                                                    </script>
                                                                @endpush
                                                            @endif
                                                            <a href="javascript:void(0);" class="close remove-shop-btn"><i class="fa fa-times" aria-hidden="true"></i></a>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row align-items-center">
                                                <div class="col-sm-6">
                                                    <div class="buttons-group d-flex justify-content-start">
                                                        <button type="button" class="btn btn-theme @if($stop->date_time_range == 0) btn-oreng-theme @else btn-grey-theme @endif time-range-btn">
                                                            {!! Form::radio('stop['.$actual_stop_index.'][date_time_range]', 0, $stop->date_time_range == 0, array(
                                                                    'class' => 'custom-control-input stop-date_time_range'
                                                                )
                                                            ) !!} Set Time
                                                        </button>
                                                        <button type="button" class="btn btn-theme @if($stop->date_time_range == 1) btn-oreng-theme @else btn-grey-theme @endif time-range-btn">
                                                            {!! Form::radio('stop['.$actual_stop_index.'][date_time_range]', 1, $stop->date_time_range == 1, array(
                                                                    'class' => 'custom-control-input stop-date_time_range'
                                                                )
                                                            ) !!} Range
                                                        </button>
                                                    </div>
                                                </div>
                                                <div class="col-sm-6">
                                                    <div class="buttons-group d-flex justify-content-end">
                                                        <button type="button" class="btn btn-theme @if($stop->customer_type == 1) btn-oreng-theme @else btn-grey-theme @endif rdio customer-type-btn">
                                                            {!! Form::radio('stop['.$actual_stop_index.'][customer_type]', 1, $stop->customer_type == 1, array(
                                                                    'class' => 'custom-control-input stop-customer_type'
                                                                )
                                                            ) !!} Shipper
                                                        </button>
                                                        <button type="button" class="btn btn-theme @if($stop->customer_type == 2) btn-oreng-theme @else btn-grey-theme @endif rdio customer-type-btn">
                                                            {!! Form::radio('stop['.$actual_stop_index.'][customer_type]', 2, $stop->customer_type == 2, array(
                                                                    'class' => 'custom-control-input stop-customer_type'
                                                                )
                                                            ) !!} Consignee
                                                        </button>
                                                    </div>
                                                </div>
                                                @if(getDeliveryDateOption() == 1)
                                                    <div class="col-sm-6 custom-width">
                                                        <div class="form-group">
                                                            <label>Choose Date / Time: <br/> <span>(This date and time will be based on location)</span></label>
                                                            <div class="position-relative">
                                                                {!! Form::text('stop['.$actual_stop_index.'][date_time]', $stop->date_time, array(
                                                                        'class'                         => 'form-control stop-date-time' ,
                                                                        'required'                      => 'required',
                                                                        'autocomplete'                  => 'off',
                                                                        'onPaste'                       => 'return false',
                                                                        'data-parsley-errors-container' => '#stop-'.$actual_stop_index.'-date-time-errors'
                                                                    )
                                                                ) !!}
                                                                <img src="{{ asset('theme/img/calendar.png') }}" alt="" data-datepickerimage="1">
                                                            </div>
                                                            <div id="stop-{{ $actual_stop_index }}-date-time-errors"></div>
                                                        </div>
                                                    </div>
                                                @elseif(getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3)
                                                    <div class="col-sm-6 custom-width disbaleDatepop">
                                                        <div class="form-group">
                                                            <label>Choose Date / Time: <br/> <span>(This date and time will be based on location)</span></label>
                                                            <div class="position-relative">
                                                                <div class="row">
                                                                    <div class="col-md-7 pr-0">
                                                                        <input type="text" class="form-control custstopdate" value="{{ getDateMDY($stop->date_time) }}" placeholder="MM/DD/YYYY">
                                                                        <img src="{{ asset('theme/img/calendar.png') }}" class="smallicon" alt="">
                                                                    </div>
                                                                    <div class="col-md-5 pl-1">
                                                                        <input type="text" class="form-control custstoptime" value="{{ getTime($stop->date_time) }}">
                                                                        <img src="{{ asset('theme/img/clock.png') }}" class="timeicon" alt="">
                                                                    </div>
                                                                </div>
                                                                {!! Form::text('stop['.$actual_stop_index.'][date_time]', $stop->date_time, array(
                                                                        'class'                         => 'form-control hidden stop-date-time',
                                                                        'required'                      => 'required',
                                                                        'autocomplete'                  => 'off',
                                                                        'onPaste'                       => 'return false',
                                                                        'data-parsley-errors-container' => '#stop-'.$actual_stop_index.'-date-time-errors'
                                                                    )
                                                                ) !!}
                                                            </div>
                                                            <div id="stop-{{ $actual_stop_index }}-date-time-errors"></div>
                                                        </div>
                                                    </div>
                                                @endif
                                                @if(getDeliveryDateOption() == 1)
                                                    <div class="col-sm-6 custom-width">
                                                        <div class="form-group stopDateTimeEnd {{ $stop->date_time_range == 1 ? 'd-block' : 'd-none' }}">
                                                            <label>Choose Date / Time End: <br/> <span>(This date and time will be based on location)</span></label>
                                                            <div class="position-relative">
                                                                {!! Form::text('stop['.$actual_stop_index.'][date_time_end]', $stop->date_time_end, array(
                                                                        'class'                             => 'form-control stop-date-time-end',
                                                                        'autocomplete'                      => 'off',
                                                                        'onPaste'                           => 'return false',
                                                                        'data-parsley-errors-container'     => '#stop-'.$actual_stop_index.'-date-time-end-errors'
                                                                    )
                                                                ) !!}
                                                                <img src="{{ asset('theme/img/calendar.png') }}" alt="" data-datepickerimage="1">
                                                            </div>
                                                            <div id="stop-{{ $actual_stop_index }}-date-time-end-errors"></div>
                                                        </div>
                                                    </div>
                                                @elseif(getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3)
                                                    <div class="col-sm-6 custom-width disbaleDatepop">
                                                        <div class="form-group stopDateTimeEnd {{ $stop->date_time_range == 1 ? 'd-block' : 'd-none' }}">
                                                            <label>Choose Date / Time End: <br/> <span>(This date and time will be based on location)</span></label>
                                                            <div class="position-relative">
                                                                <div class="row">
                                                                    <div class="col-md-7 pr-0">
                                                                        <input type="text" class="form-control custstopdateend" value="{{ getDateMDY($stop->date_time_end) }}" placeholder="MM/DD/YYYY">
                                                                        <img src="{{ asset('theme/img/calendar.png') }}" class="smallicon" alt="">
                                                                    </div>
                                                                    <div class="col-md-5 pl-1">
                                                                        <input type="text" class="form-control custstoptimeend" value="{{ getTime($stop->date_time_end) }}">
                                                                        <img src="{{ asset('theme/img/clock.png') }}" class="timeicon" alt="">
                                                                    </div>
                                                                </div>
                                                                {!! Form::text('stop['.$actual_stop_index.'][date_time_end]', $stop->date_time_end, array(
                                                                        'class'                         => 'form-control hidden stop-date-time-end',
                                                                        'autocomplete'                  => 'off',
                                                                        'onPaste'                       => 'return false',
                                                                        'data-parsley-errors-container' => '#stop-'.$actual_stop_index.'-date-time-end-errors'
                                                                    )
                                                                ) !!}
                                                            </div>
                                                            <div id="stop-{{ $actual_stop_index }}-date-time-end-errors"></div>
                                                        </div>
                                                    </div>
                                                @endif
                                                <div class="col-12">
                                                    <input type="hidden" class="geocoding-latitude" name="stop[{{ $actual_stop_index }}][latitude]" value="{{ isset($stop->latitude)?$stop->latitude:'' }}">
                                                    <input type="hidden" class="geocoding-longitude" name="stop[{{ $actual_stop_index }}][longitude]" value="{{ isset($stop->longitude)?$stop->longitude:'' }}">
                                                    <input type="hidden" class="geocoding-verified" name="stop[{{ $actual_stop_index }}][address_verified]" value="{{ isset($stop->address_verified)?$stop->address_verified:'0' }}">
                                                    <div id="#stop_{{ $actual_stop_index }}_timezone_abbr-errors" class="text-right">
                                                        <input type="hidden" class="geocoding-abbr" name="stop[{{ $actual_stop_index }}][timezone_abbr]" value="{{ isset($stop->timezone_abbr)?$stop->timezone_abbr:'' }}" data-parsley-errors-container="#stop_{{ $actual_stop_index }}_timezone_abbr-errors" data-parsley-required-message="Please verify address">
                                                    </div>
                                                </div>
                                                <div class="col-sm-12 text-right">
                                                    @if(isset($stop->timezone_abbr))
                                                        <span class="geocoding-timezone">{{ $stop->timezone_abbr }}</span>
                                                    @else
                                                        <span class="geocoding-timezone d-none"></span>
                                                    @endif
                                                </div>
                                                <div class="col-sm-12">
                                                    <div class="form-group">
                                                        <label for="stop_{{ $actual_stop_index }}_customer_id">
                                                            <span class="changetext">
                                                                {{ $customer_type_label }}
                                                            </span>:</label>
                                                        <a
                                                            href="javascript:void(0);"
                                                            class="btn-link-orange add-shipper-link"
                                                            data-actual_stop_index="{{ $actual_stop_index }}"
                                                            data-toggle="modal"
                                                            data-target="#addShipperModal">
                                                            <i class="fa fa-plus" aria-hidden="true"></i>
                                                            Add New
                                                        </a>
                                                        {!! Form::select('stop['.$actual_stop_index.'][customer_id]', ['' => $customer_type_label]+getCustomerList(), $stop->customer_id, [
                                                                'class' => 'form-control stop-select2 changeSelectOpotin',
                                                                'id'    => 'stop_'.$actual_stop_index.'_customer_id'
                                                            ]
                                                        ) !!}
                                                    </div>
                                                </div>
                                                <div class="col-12">
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label for="stop_{{ $actual_stop_index }}_address_one">Address 1:</label>
                                                                <input type="text" class="form-control stop-address-1 geocoding-address-1" name="stop[{{ $actual_stop_index }}][address_one]" id="stop_{{ $actual_stop_index }}_address_one" value="{{ $stop->address_one }}">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label for="stop_{{ $actual_stop_index }}_address_two">Address 2:</label>
                                                                <input type="text" class="form-control stop-address-2 geocoding-address-2" name="stop[{{ $actual_stop_index }}][address_two]" id="stop_{{ $actual_stop_index }}_address_two" value="{{ $stop->address_two }}">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-12">
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label for="stop_{{ $actual_stop_index }}_city">City:</label>
                                                                <input type="text" class="form-control stop-city geocoding-city" name="stop[{{ $actual_stop_index }}][city]" id="stop_{{ $actual_stop_index }}_city" value="{{ $stop->city }}">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-2 col-6">
                                                            <div class="form-group">
                                                                <label for="stop_{{ $actual_stop_index }}_state">State:</label>
                                                                <input type="text" class="form-control stop-state geocoding-state" name="stop[{{ $actual_stop_index }}][state]" id="stop_{{ $actual_stop_index }}_state" value="{{ $stop->state }}">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-2 col-6">
                                                            <div class="form-group">
                                                                <label for="stop_{{ $actual_stop_index }}_zip">Zip:</label>
                                                                <input type="text" class="form-control stop-zip geocoding-zip" name="stop[{{ $actual_stop_index }}][zip]" id="stop_{{ $actual_stop_index }}_zip" value="{{ $stop->zip }}">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-2 col-6">
                                                            <div class="d-flex align-items-center h-100">
                                                                @if(isset($stop->timezone_abbr))
                                                                    <a
                                                                        href="javascript:void(0);"
                                                                        class="btn-link-orange verify-address-btn justify-content-end geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">
                                                                        Verified
                                                                    </a>
                                                                @else
                                                                    <a
                                                                        href="javascript:void(0);"
                                                                        class="btn-link-orange verify-address-btn justify-content-end geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">
                                                                        Verify Address
                                                                    </a>
                                                                @endif
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-sm-12">
                                                    <div class="form-group">
                                                        <label for="stop_{{ $actual_stop_index }}_stop_note">Notes:</label>
                                                        <textarea class="form-control h-auto" name="stop[{{ $actual_stop_index }}][stop_note]" id="stop_{{ $actual_stop_index }}_stop_note" cols="30" rows="2">{{ $stop->stop_note }}</textarea>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <!-- accessorial-div -->
                                                <div class="col-12 sigale mb-10">
                                                    <div class="single-collapse">
                                                        <div>
                                                            <button
                                                                type="button"
                                                                class="btn btn-primary accessorials-collapse-btn"
                                                                data-toggle="collapse"
                                                                data-target="#accessorials-stop-{{ $actual_stop_index }}-collapse"
                                                                aria-expanded="true"
                                                                aria-controls="accessorials-stop-{{ $actual_stop_index }}-collapse">
                                                                Accessorials <img src="{{ asset('theme/images/sort-down-solid.svg') }}">
                                                            </button>
                                                        </div>
                                                        <div class="accessorials-collapse-div collapse show" id="accessorials-stop-{{ $actual_stop_index }}-collapse">
                                                            <div class="card-body">
                                                                <div class="accessorials-table table-responsive">
                                                                    <table class="table mt-0">
                                                                        <thead>
                                                                            <tr>
                                                                                <td>Status</td>
                                                                                <td>Name</td>
                                                                                <td>Qty</td>
                                                                                <td>Rate</td>
                                                                                <td></td>
                                                                                <td></td>
                                                                                <td>
                                                                                    <!-- data-type="Stop"  -->
                                                                                    <a
                                                                                        href="javascript:void(0);"
                                                                                        class="btn-link-orange asdquerymetn accessorial-link"
                                                                                        data-temp="0"
                                                                                        data-type="3"
                                                                                        data-is_stop="1"
                                                                                        data-load_stop_id="{{ $stop->id }}"
                                                                                        data-unique_id="{{ $accessorial_unique_id }}"
                                                                                        data-btn_unique_id="{{ $stop_accessorial_unique_id }}"
                                                                                    ><i class="fa fa-plus" aria-hidden="true"></i> Add</a>
                                                                                </td>
                                                                            </tr>
                                                                        </thead>
                                                                        @if($stop->accessorials->isNotEmpty())
                                                                            <tbody data-record_exists="yes">
                                                                                @foreach ($stop->accessorials as $key => $item)
                                                                                    <tr
                                                                                        data-temp="0"
                                                                                        data-id="{{ $item->id }}"
                                                                                        data-company_accessorial_id="{{ $item->company_accessorial_id }}"
                                                                                        data-company_accessorial_name="{{ $item->company_accessorial->name ?? '' }}"
                                                                                        data-paid_by="{{ $item->paid_by }}"
                                                                                        data-charge_deduct="{{ $item->charge_deduct }}"
                                                                                        data-paid_type="{{ $item->paid_type }}"
                                                                                        data-qty="{{ $item->qty }}"
                                                                                        data-rate="{{ $item->rate }}"
                                                                                        data-doc_required="{{ $item->doc_required }}"
                                                                                        data-is_received="{{ $item->is_received }}"
                                                                                        data-driver_liable="{{ $item->driver_liable }}"
                                                                                        data-driver_id="{{ $item->driver_id }}"
                                                                                        data-pay_deduct="{{ $item->pay_deduct }}"
                                                                                        data-is_deduction="{{ $item->is_deduction }}"
                                                                                        data-driver_qty="{{ $item->driver_qty }}"
                                                                                        data-driver_rate="{{ $item->driver_rate }}"
                                                                                        data-driver_total="{{ $item->driver_total }}"
                                                                                        data-status="{{ $item->status }}"
                                                                                        >
                                                                                        <td>
                                                                                            @if($item->status=='1')
                                                                                                Completed
                                                                                            @elseif($item->status=='2')
                                                                                                Driver Bypass
                                                                                            @else
                                                                                                Pending
                                                                                            @endif
                                                                                        </td>
                                                                                        <td>{{ $item->company_accessorial->name ?? '' }}</td>
                                                                                        <td class="qty">{{ $item->qty ?? '' }}</td>
                                                                                        <td class="rate">{{ isset($item->rate)?'$'.number_format((float)$item->rate, 2, '.', ','):''}}</td>
                                                                                        @if($item->doc_required=='0')
                                                                                            <td class="is_received"></td>
                                                                                            <td class="files"></td>
                                                                                        @else
                                                                                            <td class="is_received">
                                                                                                <div class="form-check form-check-inline mr-2">
                                                                                                    <input class="form-check-input" type="checkbox" {{ ($item->is_received=="1")? "checked" : "" }}>
                                                                                                    <label class="form-check-label">Received</label>
                                                                                                </div>
                                                                                            </td>
                                                                                            <td class="doc_required">
                                                                                                @if($item->is_received=="1")
                                                                                                    <a
                                                                                                        href="javascript:void(0);"
                                                                                                        class="mr-2 list-file-upload gallary-edit"
                                                                                                        data-temp="0"
                                                                                                        data-id="{{ $item->id }}"
                                                                                                        data-source="load_accessorials"
                                                                                                        data-field="accessorial_files"
                                                                                                        data-toggle="modal"
                                                                                                        data-target="#galleryModal"
                                                                                                        data-upload-status="1">
                                                                                                        View
                                                                                                    </a>
                                                                                                @else
                                                                                                    <a
                                                                                                        href="javascript:void(0);"
                                                                                                        class="mr-2 list-file-upload gallary-edit"
                                                                                                        data-temp="0"
                                                                                                        data-id="{{ $item->id }}"
                                                                                                        data-source="load_accessorials"
                                                                                                        data-field="accessorial_files"
                                                                                                        data-toggle="modal"
                                                                                                        data-target="#galleryModal"
                                                                                                        data-upload-status="0">
                                                                                                        Upload
                                                                                                    </a>
                                                                                                @endif
                                                                                            </td>
                                                                                        @endif
                                                                                        <td>
                                                                                            <a
                                                                                                href="javascript:void(0);"
                                                                                                class="mr-2 accessorial-edit"
                                                                                                data-id="{{ $item->id }}"
                                                                                                data-temp="0"
                                                                                                style="float: right;">
                                                                                                <i class="fa fa-edit" aria-hidden="true"></i>
                                                                                            </a>
                                                                                        </td>
                                                                                    </tr>
                                                                                @endforeach
                                                                            </tbody>
                                                                        @else
                                                                            <tbody data-record_exists="no">
                                                                                <tr>
                                                                                    <td colspan="7">Record Not Found.</td>
                                                                                </tr>
                                                                            </tbody>
                                                                        @endif
                                                                    </table>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-12 sigale mb-10">
                                                    <div class="single-collapse">
                                                        <div>
                                                            <button
                                                                type="button"
                                                                class="btn btn-primary required-documents-collapse-btn"
                                                                data-toggle="collapse"
                                                                data-target="#required-documents-stop-{{ $actual_stop_index }}-collapse"
                                                                aria-expanded="true"
                                                                aria-controls="required-documents-stop-{{ $actual_stop_index }}-collapse">
                                                                Required Documents <img src="{{ asset('theme/images/sort-down-solid.svg') }}">
                                                            </button>
                                                        </div>
                                                        <div class="required-documents-collapse-div collapse show" id="required-documents-stop-{{ $actual_stop_index }}-collapse">
                                                            <div class="card-body">
                                                                <div class="required-documents-table table-responsive">
                                                                    @if(!empty($stop_files_upload))
                                                                        <table class="table mt-0">
                                                                            <tbody>
                                                                                @foreach ($stop_files_upload as $key => $upload)
                                                                                    @php
                                                                                        $documents                      = [];
                                                                                    @endphp
                                                                                    @if($upload['type']==1)
                                                                                        @php
                                                                                            $filelabel                  = 'Copy';
                                                                                            if(!empty($upload['file'])){
                                                                                                $documents              = $upload['file'];
                                                                                            }
                                                                                        @endphp
                                                                                    @else
                                                                                        @php
                                                                                            $filelabel                  = 'Original';
                                                                                        @endphp
                                                                                    @endif
                                                                                    <tr>
                                                                                        <td class="d-none">
                                                                                            <input type="hidden" class="custom-input" name="stop_files_upload[{{ $actual_stop_index }}][custom][{{ $key }}]" value="{{ (isset($upload['custom']) && $upload['custom']=='yes')?'yes':'no' }}">
                                                                                            <input type="hidden" class="fixed-input" name="stop_files_upload[{{ $actual_stop_index }}][fixed][{{ $key }}]" value="{{ $upload['fixed'] }}">
                                                                                            <input type="hidden" class="name-input" name="stop_files_upload[{{ $actual_stop_index }}][name][{{ $key }}]" value="{{ $upload['name'] }}">
                                                                                            <input type="hidden" class="type-input" name="stop_files_upload[{{ $actual_stop_index }}][type][{{ $key }}]" value="{{ $upload['type'] }}">
                                                                                        </td>
                                                                                        <td class="name">
                                                                                            {{ $upload['name'] }}
                                                                                        </td>
                                                                                        <td class="type">
                                                                                            {{ $filelabel }}
                                                                                        </td>
                                                                                        @if($filelabel=='Copy')
                                                                                            @if(is_array($documents) && count($documents) > 0)
                                                                                                <td class="is_received">
                                                                                                    <div class="form-check form-check-inline">
                                                                                                        <input type="hidden" name="stop_files_upload[{{ $actual_stop_index }}][file_not_provided][{{ $key }}]" class="form-check-input is_not_file-input" value="{{ (isset($upload['file_not_provided']) && $upload['file_not_provided']=='on')? 'on' : 'off' }}">
                                                                                                        <!--  -->
                                                                                                        <input class="form-check-input is_received-input" type="checkbox" name="stop_files_upload[{{ $actual_stop_index }}][is_received][{{ $key }}]" id="stop_files_upload_{{ $actual_stop_index }}_is_received_{{ $key }}" checked>
                                                                                                        <label class="form-check-label" for="stop_files_upload_{{ $actual_stop_index }}_is_received_{{ $key }}">Received</label>
                                                                                                    </div>
                                                                                                </td>
                                                                                            @else
                                                                                                <td class="is_received">
                                                                                                    <div class="form-check form-check-inline">
                                                                                                        <input type="hidden" name="stop_files_upload[{{ $actual_stop_index }}][file_not_provided][{{ $key }}]" class="form-check-input is_not_file-input" value="{{ (isset($upload['file_not_provided']) && $upload['file_not_provided']=='on')? 'on' : 'off' }}">
                                                                                                        <!--  -->
                                                                                                        <input class="form-check-input is_received-input" type="checkbox" name="stop_files_upload[{{ $actual_stop_index }}][is_received][{{ $key }}]" id="stop_files_upload_{{ $actual_stop_index }}_is_received_{{ $key }}" {{ (isset($upload['is_received']) && $upload['is_received']=="on")? "checked" : "" }}>
                                                                                                        <label class="form-check-label" for="stop_files_upload_{{ $actual_stop_index }}_is_received_{{ $key }}">Received</label>
                                                                                                    </div>
                                                                                                </td>
                                                                                            @endif
                                                                                        @else
                                                                                            <td class="is_received">
                                                                                                <div class="form-check form-check-inline">
                                                                                                    <input class="form-check-input is_received-input" type="checkbox" name="stop_files_upload[{{ $actual_stop_index }}][is_received][{{ $key }}]" id="stop_files_upload_{{ $actual_stop_index }}_is_received_{{ $key }}" {{ (isset($upload['is_received']) && $upload['is_received']=="on")? "checked" : "" }}>
                                                                                                    <label class="form-check-label" for="stop_files_upload_{{ $actual_stop_index }}_is_received_{{ $key }}">Received</label>
                                                                                                </div>
                                                                                            </td>
                                                                                        @endif
                                                                                        <td class="is_required">
                                                                                            <div class="form-check form-check-inline">
                                                                                                <input class="form-check-input is_required-input" type="checkbox" name="stop_files_upload[{{ $actual_stop_index }}][is_required][{{ $key }}]" id="stop_files_upload_{{ $actual_stop_index }}_is_required_{{ $key }}" {{ (isset($upload['is_required']) && $upload['is_required']=="on")? "checked" : "" }}>
                                                                                                <label class="form-check-label" for="stop_files_upload_{{ $actual_stop_index }}_is_required_{{ $key }}">Required</label>
                                                                                            </div>
                                                                                        </td>
                                                                                        @if(is_array($documents) && count($documents) > 0)
                                                                                            <td>
                                                                                                <div class="required-documents-upload">
                                                                                                    <a href="javascript:void(0);">Replace Image</a>
                                                                                                    <input type="file" class="file-input" name="stop_files_upload[{{ $actual_stop_index }}][file][{{ $key }}][]" multiple>
                                                                                                </div>
                                                                                            </td>
                                                                                            <td>
                                                                                                @php
                                                                                                    $total_documents    = count($documents);
                                                                                                @endphp
                                                                                                @foreach ($documents as $dkey => $document)
                                                                                                    <input type="hidden" name="stop_files_upload[{{ $actual_stop_index }}][file_exists][{{ $key }}][]" value="{{ $document }}">
                                                                                                    <input type="hidden" name="stop_files_upload[{{ $actual_stop_index }}][upload_user_type][{{ $key }}]" value="{{ $upload['upload_user_type'] ?? auth()->guard('company-admin')->user()->type }}">
                                                                                                    <input type="hidden" name="stop_files_upload[{{ $actual_stop_index }}][upload_by][{{ $key }}]" value="{{ $upload['upload_by'] ?? auth()->guard('company-admin')->user()->id }}">
                                                                                                    <input type="hidden" name="stop_files_upload[{{ $actual_stop_index }}][uploaded_at][{{ $key }}]" value="{{ $upload['uploaded_at'] ?? date('Y-m-d H:i:s') }}">
                                                                                                    @php
                                                                                                        $file_path      = 'storage/companyAdmin/load_detail_document/'.$document;
                                                                                                        $type           = \File::extension($file_path);
                                                                                                    @endphp
                                                                                                    @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                                                                        <a href="{{ asset($file_path) }}" target="_blank" class="mr-2">
                                                                                                            View
                                                                                                        </a>
                                                                                                    @else
                                                                                                        <a href="{{ asset($file_path) }}" target="_blank" class="mr-2">
                                                                                                            View
                                                                                                        </a>
                                                                                                    @endif
                                                                                                    @if($total_documents > 1)
                                                                                                        <br/>
                                                                                                    @endif
                                                                                                @endforeach
                                                                                            </td>
                                                                                        @else
                                                                                            <td>
                                                                                            </td>
                                                                                            <td>
                                                                                                <div class="required-documents-upload">
                                                                                                    <a href="javascript:void(0);">Upload</a>
                                                                                                    <input type="file" class="file-input" name="stop_files_upload[{{ $actual_stop_index }}][file][{{ $key }}][]" multiple>
                                                                                                </div>
                                                                                            </td>
                                                                                        @endif
                                                                                    </tr>
                                                                                @endforeach
                                                                            </tbody>
                                                                        </table>
                                                                    @else
                                                                        No required documents.
                                                                    @endif
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="position-relative add-edit-popup">
                                                        <a
                                                            href="javascript:void(0);"
                                                            class="btn-link-orange btn-link-required-documents add-edit-btn">
                                                            Add / Edit Required Documents
                                                        </a>
                                                        <div class="add-edit-block d-none">
                                                            @if(!empty($stop_files))
                                                                @php
                                                                    $i                              = 0;
                                                                    $stop_files_custom              = array_filter($stop_files, function ($var) {
                                                                        return (isset($var['custom']) && $var['custom'] == 'yes');
                                                                    });
                                                                    if(!empty($stop_files_custom)){
                                                                        $stop_files                 = array_diff_key($stop_files, $stop_files_custom);
                                                                    }
                                                                    $stop_files_required            = array_filter($stop_files, function ($var) {
                                                                        return ($var['is_required'] == 'on');
                                                                    });
                                                                    $stop_files_non_required        = array_filter($stop_files, function ($var) {
                                                                        return ($var['is_required'] == 'off');
                                                                    });
                                                                @endphp
                                                                <h5 class="popup-heading"></h5>
                                                                @if(!empty($stop_files_required))
                                                                    <div class="add-edit-reg-block">
                                                                        <h6>Required by Broker</h6>
                                                                        <div class="required-checkbox">
                                                                            @foreach ($stop_files_required as $key => $value)
                                                                                <div class="d-flex">
                                                                                    <div class="custom-control custom-checkbox">
                                                                                        <input type="checkbox" class="custom-control-input" id="stop_files_{{ $actual_stop_index }}_is_required_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][is_required][{{ $i }}]" checked>
                                                                                        <label class="custom-control-label" for="stop_files_{{ $actual_stop_index }}_is_required_{{ $i }}">{{ $value['name'] }}</label>
                                                                                    </div>
                                                                                    <div>
                                                                                        <input type="hidden" name="stop_files[{{ $actual_stop_index }}][name][{{ $i }}]" value="{{ $value['name'] }}">
                                                                                        <input type="hidden" name="stop_files[{{ $actual_stop_index }}][fixed][{{ $i }}]" value="{{ $value['fixed'] }}">
                                                                                        <div class="switches-container">
                                                                                            <input type="radio" id="stop_files_{{ $actual_stop_index }}_type_1_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][type][{{ $i }}]" value="1" {{ ($value['type']=="1")? "checked" : "" }}>
                                                                                            <input type="radio" id="stop_files_{{ $actual_stop_index }}_type_2_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][type][{{ $i }}]" value="2" {{ ($value['type']=="2")? "checked" : "" }}>
                                                                                            <label for="stop_files_{{ $actual_stop_index }}_type_1_{{ $i }}">Copy</label>
                                                                                            <label for="stop_files_{{ $actual_stop_index }}_type_2_{{ $i }}">Original</label>
                                                                                            <div class="switch-wrapper">
                                                                                                <div class="switch">
                                                                                                    <div>Copy</div>
                                                                                                    <div>Original</div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                                @php
                                                                                    ++$i;
                                                                                @endphp
                                                                            @endforeach
                                                                        </div>
                                                                    </div>
                                                                @endif
                                                                @if(!empty($stop_files_non_required))
                                                                    <div class="add-edit-reg-block">
                                                                        <h6>Preset Items</h6>
                                                                        <div class="required-checkbox">
                                                                            @foreach ($stop_files_non_required as $key => $value)
                                                                                <div class="d-flex">
                                                                                    <div class="custom-control custom-checkbox">
                                                                                        <input type="checkbox" class="custom-control-input" id="stop_files_{{ $actual_stop_index }}_is_required_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][is_required][{{ $i }}]">
                                                                                        <label class="custom-control-label" for="stop_files_{{ $actual_stop_index }}_is_required_{{ $i }}">{{ $value['name'] }}</label>
                                                                                    </div>
                                                                                    <div>
                                                                                        <input type="hidden" name="stop_files[{{ $actual_stop_index }}][name][{{ $i }}]" value="{{ $value['name'] }}">
                                                                                        <input type="hidden" name="stop_files[{{ $actual_stop_index }}][fixed][{{ $i }}]" value="{{ $value['fixed'] }}">
                                                                                        <div class="switches-container">
                                                                                            <input type="radio" id="stop_files_{{ $actual_stop_index }}_type_1_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][type][{{ $i }}]" value="1" {{ ($value['type']=="1")? "checked" : "" }}>
                                                                                            <input type="radio" id="stop_files_{{ $actual_stop_index }}_type_2_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][type][{{ $i }}]" value="2" {{ ($value['type']=="2")? "checked" : "" }}>
                                                                                            <label for="stop_files_{{ $actual_stop_index }}_type_1_{{ $i }}">Copy</label>
                                                                                            <label for="stop_files_{{ $actual_stop_index }}_type_2_{{ $i }}">Original</label>
                                                                                            <div class="switch-wrapper">
                                                                                                <div class="switch">
                                                                                                    <div>Copy</div>
                                                                                                    <div>Original</div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                                @php
                                                                                    ++$i;
                                                                                @endphp
                                                                            @endforeach
                                                                        </div>
                                                                    </div>
                                                                @endif
                                                                @if(!empty($stop_files_custom))
                                                                    <div class="add-edit-reg-block custom-required-documents">
                                                                        <h6>Custom Options</h6>
                                                                        <div class="required-checkbox">
                                                                            @foreach ($stop_files_custom as $key => $value)
                                                                                <div class="d-flex align-items-center custom-item mb-2">
                                                                                    <div class="custom-control custom-checkbox mb-0">
                                                                                        <input type="checkbox" class="custom-control-input" id="stop_files_{{ $actual_stop_index }}_is_required_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][is_required][{{ $i }}]" {{ ($value['is_required']=="on")? "checked" : "" }}>
                                                                                        <label class="custom-control-label" for="stop_files_{{ $actual_stop_index }}_is_required_{{ $i }}">
                                                                                            <input type="text" class="form-control custom-name" id="stop_files_{{ $actual_stop_index }}_name_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][name][{{ $i }}]" placeholder="{{ $value['name'] }}">
                                                                                        </label>
                                                                                    </div>
                                                                                    <div>
                                                                                        <input type="hidden" name="stop_files[{{ $actual_stop_index }}][custom][{{ $i }}]" value="yes">
                                                                                        <input type="hidden" name="stop_files[{{ $actual_stop_index }}][fixed][{{ $i }}]" value="no">
                                                                                        <div class="switches-container">
                                                                                            <input type="radio" id="stop_files_{{ $actual_stop_index }}_type_1_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][type][{{ $i }}]" value="1" {{ ($value['type']=="1")? "checked" : "" }}>
                                                                                            <input type="radio" id="stop_files_{{ $actual_stop_index }}_type_2_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][type][{{ $i }}]" value="2" {{ ($value['type']=="2")? "checked" : "" }}>
                                                                                            <label for="stop_files_{{ $actual_stop_index }}_type_1_{{ $i }}">Copy</label>
                                                                                            <label for="stop_files_{{ $actual_stop_index }}_type_2_{{ $i }}">Original</label>
                                                                                            <div class="switch-wrapper">
                                                                                                <div class="switch">
                                                                                                    <div>Copy</div>
                                                                                                    <div>Original</div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                    <a href="javascript:void(0);" class="remove-link remove-required-documents">remove</a>
                                                                                </div>
                                                                                @php
                                                                                    ++$i;
                                                                                @endphp
                                                                            @endforeach
                                                                        </div>
                                                                        <div class="clearfix">
                                                                            <a href="javascript:void(0);" class="btn-link-orange add-required-documents" data-type="pickup" data-last_index="{{ $i-1 }}">
                                                                                <i class="fa fa-plus" aria-hidden="true"></i>
                                                                                Add Document
                                                                            </a>
                                                                        </div>
                                                                    </div>
                                                                @else
                                                                    <div class="add-edit-reg-block custom-required-documents">
                                                                        <h6>Custom Options</h6>
                                                                        <div class="required-checkbox">
                                                                            <div class="d-flex align-items-center custom-item mb-2">
                                                                                <div class="custom-control custom-checkbox mb-0">
                                                                                    <input type="checkbox" class="custom-control-input" id="stop_files_{{ $actual_stop_index }}_is_required_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][is_required][{{ $i }}]">
                                                                                    <label class="custom-control-label" for="stop_files_{{ $actual_stop_index }}_is_required_{{ $i }}">
                                                                                        <input type="text" class="form-control custom-name" id="stop_files_{{ $actual_stop_index }}_name_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][name][{{ $i }}]" placeholder="Enter name">
                                                                                    </label>
                                                                                </div>
                                                                                <div>
                                                                                    <input type="hidden" name="stop_files[{{ $actual_stop_index }}][custom][{{ $i }}]" value="yes">
                                                                                    <input type="hidden" name="stop_files[{{ $actual_stop_index }}][fixed][{{ $i }}]" value="no">
                                                                                    <div class="switches-container">
                                                                                        <input type="radio" id="stop_files_{{ $actual_stop_index }}_type_1_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][type][{{ $i }}]" value="1" checked>
                                                                                        <input type="radio" id="stop_files_{{ $actual_stop_index }}_type_2_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][type][{{ $i }}]" value="2">
                                                                                        <label for="stop_files_{{ $actual_stop_index }}_type_1_{{ $i }}">Copy</label>
                                                                                        <label for="stop_files_{{ $actual_stop_index }}_type_2_{{ $i }}">Original</label>
                                                                                        <div class="switch-wrapper">
                                                                                            <div class="switch">
                                                                                                <div>Copy</div>
                                                                                                <div>Original</div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                                <a href="javascript:void(0);" class="remove-link remove-required-documents">remove</a>
                                                                            </div>
                                                                        </div>
                                                                        <div class="clearfix">
                                                                            <a href="javascript:void(0);" class="btn-link-orange add-required-documents" data-type="pickup" data-last_index="{{ $i }}">
                                                                                <i class="fa fa-plus" aria-hidden="true"></i>
                                                                                Add Document
                                                                            </a>
                                                                        </div>
                                                                    </div>
                                                                @endif
                                                                <div class="text-center ">
                                                                    <button type="button" class="btn btn-themeGray doc-cancel-btn">Cancel</button>
                                                                    <button type="button" class="btn btn-themeGray doc-save-btn">Save</button>

                                                                </div>
                                                            @endif
                                                        </div>
                                                    </div>
                                                </div>
                                                <!-- log-div -->
                                                <div class="col-12 sigale">
                                                    <div class="single-collapse">
                                                        <div>
                                                            <button
                                                                type="button"
                                                                class="btn btn-primary logs-collapse-btn"
                                                                data-toggle="collapse"
                                                                data-target="#logs-stop-{{ $actual_stop_index }}-collapse"
                                                                aria-expanded="true"
                                                                aria-controls="logs-stop-{{ $actual_stop_index }}-collapse">
                                                                Logs <img src="{{ asset('theme/images/sort-down-solid.svg') }}">
                                                            </button>
                                                        </div>
                                                        <div class="logs-collapse-div collapse show" id="logs-stop-{{ $actual_stop_index }}-collapse">
                                                            <div class="card-body">
                                                                <p style="margin:0;">Arrival date & time : {{ isset($arrived_at)?$arrived_at:'' }}</p>
                                                                <p style="margin:0;">Departure date & time : {{ isset($leaves_at)?$leaves_at:'' }}</p>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <button class="btn add-shop-btn" type="button">+ Add Stop</button>
                                                </div>
                                            </div>
                                        </div>
                                        @php
                                            ++$stop_no;
                                        @endphp
                                    @endforeach
                                @endif
                                <!-- stop -->
                                @php
                                    // accessorial_unique_id
                                    $receiver_accessorial_unique_id     = \Str::random(4).substr(base_convert(sha1(uniqid(mt_rand())), 16, 36), 0, 12);

                                    $receiver_detention                 = isset($loadDetail->receiver_detention)?$loadDetail->receiver_detention:null;

                                    if(!empty($loadDetail->consignee_files)){
                                        $consignee_files                = unserialize($loadDetail->consignee_files);
                                    }else{
                                        if(!empty($broker_consignee_files)){
                                            $consignee_files            = $broker_consignee_files;
                                        }else{
                                            $consignee_files            = unserialize(config('settings.consignee_files'));
                                        }
                                    }

                                    if(!empty($loadDetail->consignee_files_upload)){
                                        $consignee_files_upload         = unserialize($loadDetail->consignee_files_upload);
                                    }else{
                                        if(!empty($broker_consignee_files)){
                                            $consignee_files_upload     = $broker_consignee_files;
                                        }else{
                                            $consignee_files_upload     = unserialize(config('settings.consignee_files'));
                                        }
                                    }

                                    $is_leaves                          = $loadDetail->delivery_is_arrived;
                                    $arrived_at                         = $loadDetail->delivery_arrived_at;
                                    if(isset($arrived_at)){
                                        $arrived_at                     = convertTimeToUSERzone([
                                            'str'       => $arrived_at,
                                            'toFormat'  => getTimeLayout(),
                                            'fromFormat'=> 'Y-m-d H:i:s']
                                        ).' '.$getTimeZoneId;
                                    }
                                    $leaves_at                          = $loadDetail->delivery_leaves_at;
                                    if(isset($leaves_at)){
                                        $leaves_at                      = convertTimeToUSERzone([
                                            'str'       => $leaves_at,
                                            'toFormat'  => getTimeLayout(),
                                            'fromFormat'=> 'Y-m-d H:i:s']
                                        ).' '.$getTimeZoneId;
                                    }
                                @endphp
                                <div class="stop geocoding fixed" data-stop_no="{{ $stop_no }}" data-customer_type="2" data-is_leaves="{{ $is_leaves }}">
                                    <div class="hedding-section">
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="hedding">
                                                    <h2 class="stop-hedding">Delivery - Stop <span class="stop_no">{{ $stop_no }}</span></h2>
                                                    <a href="javascript:void(0);" class="btn-theme btn-grey-theme">Pending</a>
                                                </div>
                                            </div>
                                            <div class="col-sm-6 mt-2 mt-sm-0">
                                                <div class="d-flex justify-content-end stop-btnGroup">
                                                    <!-- data-type="Delivery"  -->
                                                    <a
                                                        href="javascript:void(0);"
                                                        class="btn-oreng-theme btn-theme accessorial-link"
                                                        data-temp="0"
                                                        data-type="2"
                                                        data-is_stop="0"
                                                        data-unique_id="{{ $accessorial_unique_id }}"
                                                        data-btn_unique_id="{{ $receiver_accessorial_unique_id }}"
                                                    ><i class="fa fa-plus" aria-hidden="true"></i>Accessorial</a>
                                                    @if($is_driver=='1')
                                                        @if(!is_null($receiver_detention))
                                                            <a
                                                                href="javascript:void(0);"
                                                                class="btn-oreng-theme btn-theme detention-link detention-request"
                                                                data-mode="edit"
                                                                data-type="2"
                                                                data-is_stop="0"
                                                                data-load_detail_id="{{ $loadDetail->id }}"
                                                                data-unique_id="{{ substr(base_convert(sha1(uniqid(mt_rand())), 16, 36), 0, 12) }}"
                                                                data-detention_id="{{ $receiver_detention->id }}"
                                                            ><i class="fa fa-pencil" aria-hidden="true"></i>Detention</a>
                                                        @else
                                                            <a
                                                                href="javascript:void(0);"
                                                                class="btn-oreng-theme btn-theme detention-link detention-request"
                                                                data-mode="add"
                                                                data-type="2"
                                                                data-is_stop="0"
                                                                data-load_detail_id="{{ $loadDetail->id }}"
                                                                data-unique_id="{{ substr(base_convert(sha1(uniqid(mt_rand())), 16, 36), 0, 12) }}"
                                                            ><i class="fa fa-plus" aria-hidden="true"></i>Detention</a>
                                                        @endif
                                                        <a
                                                            href="javascript:void(0)"
                                                            class=" btn-oreng-theme btn-theme dropTrailer-btn"
                                                            id="deliveryDropTrailerBtn"
                                                            ><i class="fa fa-plus" aria-hidden="true"></i>DropTrailer
                                                        </a>
                                                        <div class="dropTrailer-block" id="deliveryDropTrailerBlock">
                                                            <input type="hidden" id="deliveryStopNumber" name="delivery_stop_number" value="{{ $stop_no }}">
                                                            <div class="d-flex flex-wrap dropTrailer-heading align-items-center justify-content-between">
                                                                <h5>Drop Trailer: <span id="deliveryDropTrailer"></span></h5>
                                                                <h5>Driver: <span id="deliveryDropDriverName"></span></h5>
                                                                <h5>Truck: <span id="deliveryDropTruck"></span></h5>
                                                                <a href="javascript:void(0)" class="close cancel-btn deliveryDropCancelBtn m-0">
                                                                    <i class="fa fa-times" aria-hidden="true"></i>
                                                                </a>
                                                            </div>
                                                            <div class="">
                                                                <div class="d-flex flex-wrap align-items-center justify-content-between dropTrailer-head">
                                                                    <div class="switches-container">
                                                                        <input type="radio" id="deliverySwitchLoaded" name="delivery_drop_empty_loaded" value="0" {{((isset($deliveryDropDetails->empty_loaded) ? ($deliveryDropDetails->empty_loaded == '0' ? 'checked' : '') : 'checked'))}}>
                                                                        <input type="radio" id="deliverySwitchEmpty" name="delivery_drop_empty_loaded" value="1" {{((isset($deliveryDropDetails->empty_loaded) ? ($deliveryDropDetails->empty_loaded == '1' ? 'checked' : '') : ''))}}>
                                                                        <label for="deliverySwitchLoaded">Loaded</label>
                                                                        <label for="deliverySwitchEmpty">Empty</label>
                                                                        <div class="switch-wrapper">
                                                                            <div class="switch">
                                                                                <div>Loaded</div>
                                                                                <div>Empty</div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="custom-control custom-checkbox drop-checkbox">
                                                                        <input type="checkbox" class="custom-control-input" id="deliveryDropAtStop" name="delivery_drop_at_stop" value="1">
                                                                        <label class="custom-control-label" for="deliveryDropAtStop">Drop at Stop</label>
                                                                    </div>
                                                                    <div class="custom-control custom-checkbox">
                                                                        <input type="checkbox" class="custom-control-input" id="deliveryKeepDriver" name="delivery_drop_keep_assigned" value="1" {{((isset($deliveryDropDetails->keep_assigned) && $deliveryDropDetails->keep_assigned == '1') ? 'checked' : '') }}>
                                                                        <label class="custom-control-label" for="deliveryKeepDriver">Keep load assigned to driver</label>
                                                                    </div>
                                                                </div>
                                                                <div class="row dropTrailer-row">
                                                                    <div class="col-md-4 col-sm-5">
                                                                        <div class="form-group">
                                                                            <label for="dorp-date">Drop Date / Time</label>
                                                                            <input type="text" class="form-control" id="deliveryDorpDate" name="delivery_dorp_date" placeholder="" style="font-size: 13px;" value="{{ $deliveryDropDetails->drop_date ?? '' }}">
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-8 col-sm-7">
                                                                        <div class="form-group drop-search">
                                                                            <label for="drop-loc">Drop Location</label>
                                                                            <div class="position-relative">
                                                                                <select class="form-control select2" id="deliveryDropLocByUser" name="delivery_drop_loc_by_user">
                                                                                    {!! $dropSearchDropDown !!}
                                                                                </select>
                                                                                <img src="{{asset('theme/images/search-icon-black.png')}}" alt="search-icon">
                                                                            </div>
                                                                            <input type="hidden" id="deliveryDropUserType" name="delivery_drop_user_type" value="">
                                                                        </div>
                                                                        <div class="form-group drop-select">
                                                                            <label for="ext-txt">Drop Location</label>
                                                                            <select class="form-control dropLocByStop" id="deliveryDropLocByStop" name="delivery_drop_loc_by_stop">
                                                                                <option value="">Select Stop</option>
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm-6">
                                                                        <div class="form-group">
                                                                            <label for="dropAdd1">Address 1:</label>
                                                                            <input type="text" class="form-control" id="deliveryDropAdd1" name="delivery_drop_add1" placeholder="" value="{{ $deliveryDropDetails->add1 ?? ''}}" readonly>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm-6">
                                                                        <div class="form-group">
                                                                            <label for="drop_add2">Address 2:</label>
                                                                            <input type="text" class="form-control" id="deliveryDropAdd2" name="delivery_drop_add2" placeholder="" value="{{ $deliveryDropDetails->add2 ?? ''}}" readonly>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-7 col-sm-7">
                                                                        <div class="form-group">
                                                                            <label for="dropCity">City:</label>
                                                                            <input type="text" class="form-control" id="deliveryDropCity" name="delivery_drop_city" placeholder="" value="{{ $deliveryDropDetails->city ?? ''}}" @if(!isset($deliveryDropDetails->city) || $deliveryDropDetails->city == "") readonly @endif>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm col-6">
                                                                        <div class="form-group">
                                                                            <label for="dropState">State:</label>
                                                                            <input type="text" class="form-control" id="deliveryDropState" name="delivery_drop_state" placeholder="" value="{{ $deliveryDropDetails->state ?? ''}}" readonly>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm col-6">
                                                                        <div class="form-group">
                                                                            <label for="dropZip">Zip:</label>
                                                                            <input type="text" class="form-control" id="deliveryDropZip" name="delivery_drop_zip" placeholder="" value="{{ $deliveryDropDetails->zip ?? ''}}" readonly>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-12">
                                                                        <div class="form-group">
                                                                            <label for="dropNotes">Notes:</label>
                                                                            <textarea id="deliveryDropNotes" name="delivery_drop_notes" rows="3" class="form-control">{{ $deliveryDropDetails->notes ?? ''}}</textarea>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-12 text-right">
                                                                        <button type="button" class="btn btn-themeGray cancel-btn deliveryDropCancelBtn" id="deliveryCancelBtn">Cancel</button>
                                                                        <button type="button" class="btn btn-orange" id="deliverySaveBtn">Save</button>
                                                                    </div>
                                                                    <div class="col-12">
                                                                        <div class="form-group mb-0">
                                                                            <label class="mb-0" id="deliveryCreatedBy">Created By: {{ $deliveryDropDetails->created_by ?? ''}}</label>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row align-items-center">
                                        <div class="col-sm-6">
                                            <div class="buttons-group d-flex justify-content-start">
                                                <button type="button" class="btn btn-theme {{ $loadDetail->delivery_time_range == 0 ? 'btn-oreng-theme' : 'btn-grey-theme' }} time-range-btn deliveryTime">
                                                    {!! Form::radio('delivery_time_range', 0, $loadDetail->delivery_time_range == 0 ? true : false, array(
                                                            'class' => 'custom-control-input'
                                                        )
                                                    ) !!} Set Time
                                                </button>
                                                <button type="button" class="btn btn-theme {{ $loadDetail->delivery_time_range == 1 ? 'btn-oreng-theme' : 'btn-grey-theme' }} time-range-btn deliveryRange">
                                                    {!! Form::radio('delivery_time_range', 1, $loadDetail->delivery_time_range == 1 ? true : false, array(
                                                            'class' => 'custom-control-input'
                                                        )
                                                    ) !!} Range
                                                </button>
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                        </div>
                                        @if(getDeliveryDateOption() == 1)
                                            <div class="col-sm-6 custom-width">
                                                <div class="form-group">
                                                    <label>Choose Date / Time: <br/> <span>(This date and time will be based on location)</span></label>
                                                    <div class="position-relative">
                                                        {!! Form::text('delivery_date_time', old('delivery_date_time'), array(
                                                                'class'                         => 'form-control',
                                                                'id'                            => 'deliveryDate',
                                                                'required'                      => 'required',
                                                                'autocomplete'                  => 'off',
                                                                'onPaste'                       => 'return false',
                                                                'data-parsley-errors-container' => '#deliveryDate-errors'
                                                            )
                                                        ) !!}
                                                        <img src="{{ asset('theme/img/calendar.png') }}" alt="delivery_date_time" data-datepickerimage="1">
                                                    </div>
                                                    <div id="deliveryDate-errors"></div>
                                                    @error('delivery_date_time')
                                                        <span class="text-danger" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                        @elseif(getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3)
                                            <div class="col-sm-6 custom-width disbaleDatepop">
                                                <div class="form-group">
                                                    <label>Choose Date / Time: <br/> <span>(This date and time will be based on location)</span></label>
                                                    <div class="position-relative">
                                                        <div class="row">
                                                            <div class="col-md-7 pr-0">
                                                                <input type="text" class="form-control custdeliverydate" placeholder="MM/DD/YYYY" value="{{ getDateMDY($loadDetail->delivery_date_time) }}" onPaste="return false">
                                                                <img src="{{ asset('theme/img/calendar.png') }}" class="smallicon" alt="custdeliverydate" data-datepickerimage="1">
                                                            </div>
                                                            <div class="col-md-5 pl-1">
                                                                <input type="text" class="form-control custdeliverytime" value="{{ getTime($loadDetail->delivery_date_time) }}" onPaste="return false">
                                                                <img src="{{ asset('theme/img/clock.png') }}" class="timeicon" alt="custdeliverytime">
                                                            </div>
                                                        </div>
                                                        {!! Form::text('delivery_date_time', old('delivery_date_time'), array(
                                                                'class'                         => 'form-control hidden',
                                                                'id'                            => 'deliveryDate',
                                                                'required'                      => 'required',
                                                                'autocomplete'                  => 'off',
                                                                'onPaste'                       => 'return false',
                                                                'data-parsley-errors-container' => '#deliveryDate-errors'
                                                            )
                                                        ) !!}
                                                    </div>
                                                    <div id="deliveryDate-errors"></div>
                                                    @error('delivery_date_time')
                                                        <span class="text-danger" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                        @endif
                                        @if(getDeliveryDateOption() == 1)
                                            <div class="col-sm-6 custom-width">
                                                <div class="form-group deliveryEnd {{ $loadDetail->delivery_time_range == 1 ? 'd-block' : '' }}">
                                                    <label>Choose Date / Time End: <br/> <span>(This date and time will be based on location)</span></label>
                                                    <div class="position-relative">
                                                        {!! Form::text('delivery_date_time_end', old('delivery_date_time_end'), array(
                                                                'class'                         => 'form-control',
                                                                'id'                            => 'deliveryDateEnd',
                                                                'autocomplete'                  => 'off',
                                                                'onPaste'                       => 'return false',
                                                                'data-parsley-errors-container' => '#deliveryDateEnd-errors'
                                                            )
                                                        ) !!}
                                                        <img src="{{ asset('theme/img/calendar.png') }}" alt="delivery_date_time_end" data-datepickerimage="1">
                                                    </div>
                                                    <div id="deliveryDateEnd-errors"></div>
                                                    @error('delivery_date_time_end')
                                                        <span class="text-danger" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                        @elseif(getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3)
                                            <div class="col-sm-6 custom-width disbaleDatepop">
                                                <div class="form-group deliveryEnd {{ $loadDetail->delivery_time_range == 1 ? 'd-block' : '' }}">
                                                    <label>Choose Date / Time End: <br/> <span>(This date and time will be based on location)</span></label>
                                                    <div class="position-relative">
                                                        <div class="row">
                                                            <div class="col-md-7 pr-0">
                                                                <input type="text" class="form-control custdeliverydateend" placeholder="MM/DD/YYYY" value="{{ getDateMDY($loadDetail->delivery_date_time_end) }}" onPaste="return false">
                                                                <img src="{{ asset('theme/img/calendar.png') }}" class="smallicon" alt="custdeliverydateend" data-datepickerimage="1">
                                                            </div>
                                                            <div class="col-md-5 pl-1">
                                                                <input type="text" class="form-control custdeliverytimeend" value="{{ getTime($loadDetail->delivery_date_time_end) }}" onPaste="return false">
                                                                <img src="{{ asset('theme/img/clock.png') }}" class="timeicon" alt="custdeliverytimeend">
                                                            </div>
                                                        </div>
                                                        {!! Form::text('delivery_date_time_end', old('delivery_date_time_end'), array(
                                                                'class'                         => 'form-control hidden',
                                                                'id'                            => 'deliveryDateEnd',
                                                                'autocomplete'                  => 'off',
                                                                'onPaste'                       => 'return false',
                                                                'data-parsley-errors-container' => '#deliveryDateEnd-errors'
                                                            )
                                                        ) !!}
                                                    </div>
                                                    <div id="deliveryDateEnd-errors"></div>
                                                    @error('delivery_date_time_end')
                                                        <span class="text-danger" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                        @endif
                                        <div class="col-12">
                                            <input type="hidden" class="geocoding-abbr" name="delivery_timezone_abbr" value="{{ isset($loadDetail->delivery_timezone_abbr)?$loadDetail->delivery_timezone_abbr:'' }}" data-parsley-errors-container="#delivery_timezone_abbr-errors" data-parsley-required-message="Please verify address">
                                            <input type="hidden" class="geocoding-latitude" name="delivery_latitude" value="{{ isset($loadDetail->delivery_latitude)?$loadDetail->delivery_latitude:'' }}">
                                            <input type="hidden" class="geocoding-longitude" name="delivery_longitude" value="{{ isset($loadDetail->delivery_longitude)?$loadDetail->delivery_longitude:'' }}">
                                            <input type="hidden" class="geocoding-verified" name="delivery_address_verified" value="{{ isset($loadDetail->delivery_address_verified)?$loadDetail->delivery_address_verified:'0' }}">
                                            <div id="delivery_timezone_abbr-errors" class="text-right"></div>
                                        </div>
                                        <div class="col-sm-12 text-right">
                                            @if(isset($loadDetail->delivery_timezone_abbr))
                                                <span class="geocoding-timezone">{{ $loadDetail->delivery_timezone_abbr }}</span>
                                            @else
                                                <span class="geocoding-timezone d-none"></span>
                                            @endif
                                        </div>
                                        <div class="col-sm-12">
                                            <div class="form-group">
                                                <label for="receiver_id">Receiver:</label>
                                                <a
                                                    href="javascript:void(0);"
                                                    class="btn-link-orange add-receiver-link" data-toggle="modal" data-target="#addReceiverModal">
                                                    <i class="fa fa-plus" aria-hidden="true"></i>
                                                    Add New
                                                </a>
                                                {!! Form::select('receiver_id', ['' => 'Receiver']+getCustomerList(), null, [
                                                        'class' => 'form-control receiver-select2',
                                                        'id'    => 'receiver_id'
                                                    ]
                                                ) !!}
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="delivery_address_one">Address 1:</label>
                                                        {!! Form::text('delivery_address_one', old('delivery_address_one'), array(
                                                                'class'         => 'form-control delivery-address-1 geocoding-address-1',
                                                                'id'            => 'delivery_address_one',
                                                                'placeholder'   => ''
                                                            )
                                                        ) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="delivery_address_two">Address 2:</label>
                                                        {!! Form::text('delivery_address_two', old('delivery_address_two'), array(
                                                                'class'         => 'form-control delivery-address-2 geocoding-address-2',
                                                                'id'            => 'delivery_address_two',
                                                                'placeholder'   => ''
                                                            )
                                                        ) !!}
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="delivery_city">City:</label>
                                                        {!! Form::text('delivery_city', old('delivery_city'), array(
                                                                'class'         => 'form-control delivery-city geocoding-city',
                                                                'id'            => 'delivery_city',
                                                                'placeholder'   => ''
                                                            )
                                                        ) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-2 col-6">
                                                    <div class="form-group">
                                                        <label for="delivery_state">State:</label>
                                                        {!! Form::text('delivery_state', old('delivery_state'), array(
                                                                'class'         => 'form-control delivery-state geocoding-state',
                                                                'id'            => 'delivery_state',
                                                                'placeholder'   => ''
                                                            )
                                                        ) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-2 col-6">
                                                    <div class="form-group">
                                                        <label for="delivery_zip">Zip:</label>
                                                        {!! Form::text('delivery_zip', old('delivery_zip'), array(
                                                                'class'         => 'form-control delivery-zip geocoding-zip',
                                                                'id'            => 'delivery_zip',
                                                                'placeholder'   => ''
                                                            )
                                                        ) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-2 col-6">
                                                    <div class="d-flex align-items-center h-100">
                                                        @if(isset($loadDetail->delivery_timezone_abbr))
                                                            <a
                                                                href="javascript:void(0);"
                                                                class="btn-link-orange verify-address-btn justify-content-end geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verified</a>
                                                        @else
                                                            <a
                                                                href="javascript:void(0);"
                                                                class="btn-link-orange verify-address-btn justify-content-end geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify Address</a>
                                                        @endif
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-sm-12">
                                            <div class="form-group">
                                                <label for="delivery_note">Notes:</label>
                                                {!! Form::textarea('delivery_note', old('delivery_note'), array(
                                                        'class'         => 'form-control h-auto',
                                                        'id'            => 'delivery_note',
                                                        'placeholder'   => '',
                                                        'cols'          => '30',
                                                        'rows'          => '2'
                                                    )
                                                ) !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <!-- accessorial-div -->
                                        <div class="col-12 sigale mb-10">
                                            <div class="single-collapse">
                                                <div>
                                                    <button
                                                        type="button"
                                                        class="btn btn-primary accessorials-collapse-btn"
                                                        data-toggle="collapse"
                                                        data-target="#accessorials-delivery-collapse"
                                                        aria-expanded="true"
                                                        aria-controls="accessorials-delivery-collapse">
                                                        Accessorials <img src="{{ asset('theme/images/sort-down-solid.svg') }}">
                                                    </button>
                                                </div>
                                                <div class="accessorials-collapse-div collapse show" id="accessorials-delivery-collapse">
                                                    <div class="card-body">
                                                        <div class="accessorials-table table-responsive">
                                                            <table class="table mt-0">
                                                                <thead>
                                                                    <tr>
                                                                        <td>Status</td>
                                                                        <td>Name</td>
                                                                        <td>Qty</td>
                                                                        <td>Rate</td>
                                                                        <td></td>
                                                                        <td></td>
                                                                        <td>
                                                                            <!-- data-type="Delivery"  -->
                                                                            <a
                                                                                href="javascript:void(0);"
                                                                                class="btn-link-orange asdquerymetn accessorial-link"
                                                                                data-temp="0"
                                                                                data-type="2"
                                                                                data-is_stop="0"
                                                                                data-unique_id="{{ $accessorial_unique_id }}"
                                                                                data-btn_unique_id="{{ $receiver_accessorial_unique_id }}"
                                                                            ><i class="fa fa-plus" aria-hidden="true"></i> Add</a>
                                                                        </td>
                                                                    </tr>
                                                                </thead>
                                                                @if($loadDetail->receiver_accessorials->isNotEmpty())
                                                                    <tbody data-record_exists="yes">
                                                                        @foreach ($loadDetail->receiver_accessorials as $key => $item)
                                                                            <tr
                                                                                data-temp="0"
                                                                                data-id="{{ $item->id }}"
                                                                                data-company_accessorial_id="{{ $item->company_accessorial_id }}"
                                                                                data-company_accessorial_name="{{ $item->company_accessorial->name ?? '' }}"
                                                                                data-paid_by="{{ $item->paid_by }}"
                                                                                data-charge_deduct="{{ $item->charge_deduct }}"
                                                                                data-paid_type="{{ $item->paid_type }}"
                                                                                data-qty="{{ $item->qty }}"
                                                                                data-rate="{{ $item->rate }}"
                                                                                data-doc_required="{{ $item->doc_required }}"
                                                                                data-is_received="{{ $item->is_received }}"
                                                                                data-driver_liable="{{ $item->driver_liable }}"
                                                                                data-driver_id="{{ $item->driver_id }}"
                                                                                data-pay_deduct="{{ $item->pay_deduct }}"
                                                                                data-is_deduction="{{ $item->is_deduction }}"
                                                                                data-driver_qty="{{ $item->driver_qty }}"
                                                                                data-driver_rate="{{ $item->driver_rate }}"
                                                                                data-driver_total="{{ $item->driver_total }}"
                                                                                data-status="{{ $item->status }}"
                                                                                >
                                                                                <td>
                                                                                    @if($item->status=='1')
                                                                                        Completed
                                                                                    @elseif($item->status=='2')
                                                                                        Driver Bypass
                                                                                    @else
                                                                                        Pending
                                                                                    @endif
                                                                                </td>
                                                                                <td>{{ $item->company_accessorial->name ?? '' }}</td>
                                                                                <td class="qty">{{ $item->qty ?? '' }}</td>
                                                                                <td class="rate">{{ isset($item->rate)?'$'.number_format((float)$item->rate, 2, '.', ','):''}}</td>
                                                                                @if($item->doc_required=='0')
                                                                                    <td class="is_received"></td>
                                                                                    <td class="files"></td>
                                                                                @else
                                                                                    <td class="is_received">
                                                                                        <div class="form-check form-check-inline mr-2">
                                                                                            <input class="form-check-input" type="checkbox" {{ ($item->is_received=="1")? "checked" : "" }}>
                                                                                            <label class="form-check-label">Received</label>
                                                                                        </div>
                                                                                    </td>
                                                                                    <td class="doc_required">
                                                                                        @if($item->is_received=="1")
                                                                                            <a
                                                                                                href="javascript:void(0);"
                                                                                                class="mr-2 list-file-upload gallary-edit"
                                                                                                data-temp="0"
                                                                                                data-id="{{ $item->id }}"
                                                                                                data-source="load_accessorials"
                                                                                                data-field="accessorial_files"
                                                                                                data-toggle="modal"
                                                                                                data-target="#galleryModal"
                                                                                                data-upload-status="1">
                                                                                                View
                                                                                            </a>
                                                                                        @else
                                                                                            <a
                                                                                                href="javascript:void(0);"
                                                                                                class="mr-2 list-file-upload gallary-edit"
                                                                                                data-temp="0"
                                                                                                data-id="{{ $item->id }}"
                                                                                                data-source="load_accessorials"
                                                                                                data-field="accessorial_files"
                                                                                                data-toggle="modal"
                                                                                                data-target="#galleryModal"
                                                                                                data-upload-status="0">
                                                                                                Upload
                                                                                            </a>
                                                                                        @endif
                                                                                    </td>
                                                                                @endif
                                                                                <td>
                                                                                    <a
                                                                                        href="javascript:void(0);"
                                                                                        class="mr-2 accessorial-edit"
                                                                                        data-id="{{ $item->id }}"
                                                                                        data-temp="0"
                                                                                        style="float: right;">
                                                                                        <i class="fa fa-edit" aria-hidden="true"></i>
                                                                                    </a>
                                                                                </td>
                                                                            </tr>
                                                                        @endforeach
                                                                    </tbody>
                                                                @else
                                                                    <tbody data-record_exists="no">
                                                                        <tr>
                                                                            <td colspan="7">Record Not Found.</td>
                                                                        </tr>
                                                                    </tbody>
                                                                @endif
                                                            </table>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12 sigale mb-10">
                                            <div class="single-collapse">
                                                <div>
                                                    <button
                                                        type="button"
                                                        class="btn btn-primary required-documents-collapse-btn"
                                                        data-toggle="collapse"
                                                        data-target="#required-documents-delivery-collapse"
                                                        aria-expanded="true"
                                                        aria-controls="required-documents-delivery-collapse">
                                                        Required Documents <img src="{{ asset('theme/images/sort-down-solid.svg') }}">
                                                    </button>
                                                </div>
                                                <div class="required-documents-collapse-div collapse show" id="required-documents-delivery-collapse">
                                                    <div class="card-body">
                                                        <div class="required-documents-table table-responsive">
                                                            @if(!empty($consignee_files_upload))
                                                                <table class="table mt-0">
                                                                    <tbody>
                                                                        @foreach ($consignee_files_upload as $key => $upload)
                                                                            @php
                                                                                $documents                      = [];
                                                                            @endphp
                                                                            @if($upload['type']==1)
                                                                                @php
                                                                                    $filelabel                  = 'Copy';
                                                                                    if(!empty($upload['file'])){
                                                                                        $documents              = $upload['file'];
                                                                                    }
                                                                                @endphp
                                                                            @else
                                                                                @php
                                                                                    $filelabel                  = 'Original';
                                                                                @endphp
                                                                            @endif
                                                                            <tr>
                                                                                <td class="d-none">
                                                                                    <input type="hidden" class="custom-input" name="consignee_files_upload[custom][{{ $key }}]" value="{{ (isset($upload['custom']) && $upload['custom']=='yes')?'yes':'no' }}">
                                                                                    <input type="hidden" class="fixed-input" name="consignee_files_upload[fixed][{{ $key }}]" value="{{ $upload['fixed'] }}">
                                                                                    <input type="hidden" class="name-input" name="consignee_files_upload[name][{{ $key }}]" value="{{ $upload['name'] }}">
                                                                                    <input type="hidden" class="type-input" name="consignee_files_upload[type][{{ $key }}]" value="{{ $upload['type'] }}">
                                                                                </td>
                                                                                <td class="name">
                                                                                    {{ $upload['name'] }}
                                                                                </td>
                                                                                <td class="type">
                                                                                    {{ $filelabel }}
                                                                                </td>
                                                                                @if($filelabel=='Copy')
                                                                                    @if(is_array($documents) && count($documents) > 0)
                                                                                        <td class="is_received">
                                                                                            <div class="form-check form-check-inline">
                                                                                                <input type="hidden" name="consignee_files_upload[file_not_provided][{{ $key }}]" class="form-check-input is_not_file-input" value="{{ (isset($upload['file_not_provided']) && $upload['file_not_provided']=='on')? 'on' : 'off' }}">
                                                                                                <!--  -->
                                                                                                <input class="form-check-input is_received-input" type="checkbox" name="consignee_files_upload[is_received][{{ $key }}]" id="consignee_files_upload_is_received_{{ $key }}" checked>
                                                                                                <label class="form-check-label" for="consignee_files_upload_is_received_{{ $key }}">Received</label>
                                                                                            </div>
                                                                                        </td>
                                                                                    @else
                                                                                        <td class="is_received">
                                                                                            <div class="form-check form-check-inline">
                                                                                                <input type="hidden" name="consignee_files_upload[file_not_provided][{{ $key }}]" class="form-check-input is_not_file-input" value="{{ (isset($upload['file_not_provided']) && $upload['file_not_provided']=='on')? 'on' : 'off' }}">
                                                                                                <!--  -->
                                                                                                <input class="form-check-input is_received-input" type="checkbox" name="consignee_files_upload[is_received][{{ $key }}]" id="consignee_files_upload_is_received_{{ $key }}" {{ (isset($upload['is_received']) && $upload['is_received']=="on")? "checked" : "" }}>
                                                                                                <label class="form-check-label" for="consignee_files_upload_is_received_{{ $key }}">Received</label>
                                                                                            </div>
                                                                                        </td>
                                                                                    @endif
                                                                                @else
                                                                                    <td class="is_received">
                                                                                        <div class="form-check form-check-inline">
                                                                                            <input class="form-check-input is_received-input" type="checkbox" name="consignee_files_upload[is_received][{{ $key }}]" id="consignee_files_upload_is_received_{{ $key }}" {{ (isset($upload['is_received']) && $upload['is_received']=="on")? "checked" : "" }}>
                                                                                            <label class="form-check-label" for="consignee_files_upload_is_received_{{ $key }}">Received</label>
                                                                                        </div>
                                                                                    </td>
                                                                                @endif
                                                                                <td class="is_required">
                                                                                    <div class="form-check form-check-inline">
                                                                                        <input class="form-check-input is_required-input" type="checkbox" name="consignee_files_upload[is_required][{{ $key }}]" id="consignee_files_upload_is_required_{{ $key }}" {{ (isset($upload['is_required']) && $upload['is_required']=="on")? "checked" : "" }}>
                                                                                        <label class="form-check-label" for="consignee_files_upload_is_required_{{ $key }}">Required</label>
                                                                                    </div>
                                                                                </td>
                                                                                @if(is_array($documents) && count($documents) > 0)
                                                                                    <td>
                                                                                        <div class="required-documents-upload">
                                                                                            <a href="javascript:void(0);">Replace Image</a>
                                                                                            <input type="file" class="file-input" name="consignee_files_upload[file][{{ $key }}][]" multiple>
                                                                                        </div>
                                                                                    </td>
                                                                                    <td>
                                                                                        @php
                                                                                            $total_documents    = count($documents);
                                                                                        @endphp
                                                                                        @foreach ($documents as $dkey => $document)
                                                                                            <input type="hidden" name="consignee_files_upload[file_exists][{{ $key }}][]" value="{{ $document }}">
                                                                                            <input type="hidden" name="consignee_files_upload[upload_user_type][{{ $key }}]" value="{{ $upload['upload_user_type'] ?? auth()->guard('company-admin')->user()->type }}">
                                                                                            <input type="hidden" name="consignee_files_upload[upload_by][{{ $key }}]" value="{{ $upload['upload_by'] ?? auth()->guard('company-admin')->user()->id }}">
                                                                                            <input type="hidden" name="consignee_files_upload[uploaded_at][{{ $key }}]" value="{{ $upload['uploaded_at'] ?? date('Y-m-d H:i:s') }}">
                                                                                            @php
                                                                                                $file_path      = 'storage/companyAdmin/load_detail_document/'.$document;
                                                                                                $type           = \File::extension($file_path);
                                                                                            @endphp
                                                                                            @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                                                                <a href="{{ asset($file_path) }}" target="_blank" class="mr-2">
                                                                                                    View
                                                                                                </a>
                                                                                            @else
                                                                                                <a href="{{ asset($file_path) }}" target="_blank" class="mr-2">
                                                                                                    View
                                                                                                </a>
                                                                                            @endif
                                                                                            @if($total_documents > 1)
                                                                                                <br/>
                                                                                            @endif
                                                                                        @endforeach
                                                                                    </td>
                                                                                @else
                                                                                    <td>
                                                                                    </td>
                                                                                    <td>
                                                                                        <div class="required-documents-upload">
                                                                                            <a href="javascript:void(0);">Upload</a>
                                                                                            <input type="file" class="file-input" name="consignee_files_upload[file][{{ $key }}][]" multiple>
                                                                                        </div>
                                                                                    </td>
                                                                                @endif
                                                                            </tr>
                                                                        @endforeach
                                                                    </tbody>
                                                                </table>
                                                            @else
                                                                No required documents.
                                                            @endif
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="position-relative add-edit-popup">
                                                <a
                                                    href="javascript:void(0);"
                                                    class="btn-link-orange btn-link-required-documents add-edit-btn">
                                                    Add / Edit Required Documents
                                                </a>
                                                <div class="add-edit-block d-none">
                                                    @if(!empty($consignee_files))
                                                        @php
                                                            $i                              = 0;
                                                            $consignee_files_custom         = array_filter($consignee_files, function ($var) {
                                                                return (isset($var['custom']) && $var['custom'] == 'yes');
                                                            });

                                                            if(!empty($consignee_files_custom)){
                                                                $consignee_files            = array_diff_key($consignee_files, $consignee_files_custom);
                                                            }
                                                            $consignee_files_required       = array_filter($consignee_files, function ($var) {
                                                                return ($var['is_required'] == 'on');
                                                            });
                                                            $consignee_files_non_required   = array_filter($consignee_files, function ($var) {
                                                                return ($var['is_required'] == 'off');
                                                            });
                                                        @endphp
                                                        <h5 class="popup-heading"></h5>
                                                        @if(!empty($consignee_files_required))
                                                            <div class="add-edit-reg-block">
                                                                <h6>Required by Broker</h6>
                                                                <div class="required-checkbox">
                                                                    @foreach ($consignee_files_required as $key => $value)
                                                                        <div class="d-flex">
                                                                            <div class="custom-control custom-checkbox">
                                                                                <input type="checkbox" class="custom-control-input" id="consignee_files_is_required_{{ $i }}" name="consignee_files[is_required][{{ $i }}]" checked>
                                                                                <label class="custom-control-label" for="consignee_files_is_required_{{ $i }}">{{ $value['name'] }}</label>
                                                                            </div>
                                                                            <div>
                                                                                <input type="hidden" name="consignee_files[name][{{ $i }}]" value="{{ $value['name'] }}">
                                                                                <input type="hidden" name="consignee_files[fixed][{{ $i }}]" value="{{ $value['fixed'] }}">
                                                                                <div class="switches-container">
                                                                                    <input type="radio" id="consignee_files_type_1_{{ $i }}" name="consignee_files[type][{{ $i }}]" value="1" {{ ($value['type']=="1")? "checked" : "" }}>
                                                                                    <input type="radio" id="consignee_files_type_2_{{ $i }}" name="consignee_files[type][{{ $i }}]" value="2" {{ ($value['type']=="2")? "checked" : "" }}>
                                                                                    <label for="consignee_files_type_1_{{ $i }}">Copy</label>
                                                                                    <label for="consignee_files_type_2_{{ $i }}">Original</label>
                                                                                    <div class="switch-wrapper">
                                                                                        <div class="switch">
                                                                                            <div>Copy</div>
                                                                                            <div>Original</div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        @php
                                                                            ++$i;
                                                                        @endphp
                                                                    @endforeach
                                                                </div>
                                                            </div>
                                                        @endif
                                                        @if(!empty($consignee_files_non_required))
                                                            <div class="add-edit-reg-block">
                                                                <h6>Preset Items</h6>
                                                                <div class="required-checkbox">
                                                                    @foreach ($consignee_files_non_required as $key => $value)
                                                                        <div class="d-flex">
                                                                            <div class="custom-control custom-checkbox">
                                                                                <input type="checkbox" class="custom-control-input" id="consignee_files_is_required_{{ $i }}" name="consignee_files[is_required][{{ $i }}]">
                                                                                <label class="custom-control-label" for="consignee_files_is_required_{{ $i }}">{{ $value['name'] }}</label>
                                                                            </div>
                                                                            <div>
                                                                                <input type="hidden" name="consignee_files[name][{{ $i }}]" value="{{ $value['name'] }}">
                                                                                <input type="hidden" name="consignee_files[fixed][{{ $i }}]" value="{{ $value['fixed'] }}">
                                                                                <div class="switches-container">
                                                                                    <input type="radio" id="consignee_files_type_1_{{ $i }}" name="consignee_files[type][{{ $i }}]" value="1" {{ ($value['type']=="1")? "checked" : "" }}>
                                                                                    <input type="radio" id="consignee_files_type_2_{{ $i }}" name="consignee_files[type][{{ $i }}]" value="2" {{ ($value['type']=="2")? "checked" : "" }}>
                                                                                    <label for="consignee_files_type_1_{{ $i }}">Copy</label>
                                                                                    <label for="consignee_files_type_2_{{ $i }}">Original</label>
                                                                                    <div class="switch-wrapper">
                                                                                        <div class="switch">
                                                                                            <div>Copy</div>
                                                                                            <div>Original</div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        @php
                                                                            ++$i;
                                                                        @endphp
                                                                    @endforeach
                                                                </div>
                                                            </div>
                                                        @endif
                                                        @if(!empty($consignee_files_custom))
                                                            <div class="add-edit-reg-block custom-required-documents">
                                                                <h6>Custom Options</h6>
                                                                <div class="required-checkbox">
                                                                    @foreach ($consignee_files_custom as $key => $value)
                                                                        <div class="d-flex align-items-center custom-item mb-2">
                                                                            <div class="custom-control custom-checkbox mb-0">
                                                                                <input type="checkbox" class="custom-control-input" id="consignee_files_is_required_{{ $i }}" name="consignee_files[is_required][{{ $i }}]" {{ ($value['is_required']=="on")? "checked" : "" }}>
                                                                                <label class="custom-control-label" for="consignee_files_is_required_{{ $i }}">
                                                                                    <input type="text" class="form-control custom-name" id="consignee_files_name_{{ $i }}" name="consignee_files[name][{{ $i }}]" placeholder="{{ $value['name'] }}">
                                                                                </label>
                                                                            </div>
                                                                            <div>
                                                                                <input type="hidden" name="consignee_files[custom][{{ $i }}]" value="yes">
                                                                                <input type="hidden" name="consignee_files[fixed][{{ $i }}]" value="no">
                                                                                <div class="switches-container">
                                                                                    <input type="radio" id="consignee_files_type_1_{{ $i }}" name="consignee_files[type][{{ $i }}]" value="1" {{ ($value['type']=="1")? "checked" : "" }}>
                                                                                    <input type="radio" id="consignee_files_type_2_{{ $i }}" name="consignee_files[type][{{ $i }}]" value="2" {{ ($value['type']=="2")? "checked" : "" }}>
                                                                                    <label for="consignee_files_type_1_{{ $i }}">Copy</label>
                                                                                    <label for="consignee_files_type_2_{{ $i }}">Original</label>
                                                                                    <div class="switch-wrapper">
                                                                                        <div class="switch">
                                                                                            <div>Copy</div>
                                                                                            <div>Original</div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <a href="javascript:void(0);" class="remove-link remove-required-documents">remove</a>
                                                                        </div>
                                                                        @php
                                                                            ++$i;
                                                                        @endphp
                                                                    @endforeach
                                                                </div>
                                                                <div class="clearfix">
                                                                    <a href="javascript:void(0);" class="btn-link-orange add-required-documents" data-type="pickup" data-last_index="{{ $i-1 }}">
                                                                        <i class="fa fa-plus" aria-hidden="true"></i>
                                                                        Add Document
                                                                    </a>
                                                                </div>
                                                            </div>
                                                        @else
                                                            <div class="add-edit-reg-block custom-required-documents">
                                                                <h6>Custom Options</h6>
                                                                <div class="required-checkbox">
                                                                    <div class="d-flex align-items-center custom-item mb-2">
                                                                        <div class="custom-control custom-checkbox mb-0">
                                                                            <input type="checkbox" class="custom-control-input" id="consignee_files_is_required_{{ $i }}" name="consignee_files[is_required][{{ $i }}]">
                                                                            <label class="custom-control-label" for="consignee_files_is_required_{{ $i }}">
                                                                                <input type="text" class="form-control custom-name" id="consignee_files_name_{{ $i }}" name="consignee_files[name][{{ $i }}]" placeholder="Enter name">
                                                                            </label>
                                                                        </div>
                                                                        <div>
                                                                            <input type="hidden" name="consignee_files[custom][{{ $i }}]" value="yes">
                                                                            <input type="hidden" name="consignee_files[fixed][{{ $i }}]" value="no">
                                                                            <div class="switches-container">
                                                                                <input type="radio" id="consignee_files_type_1_{{ $i }}" name="consignee_files[type][{{ $i }}]" value="1" checked>
                                                                                <input type="radio" id="consignee_files_type_2_{{ $i }}" name="consignee_files[type][{{ $i }}]" value="2">
                                                                                <label for="consignee_files_type_1_{{ $i }}">Copy</label>
                                                                                <label for="consignee_files_type_2_{{ $i }}">Original</label>
                                                                                <div class="switch-wrapper">
                                                                                    <div class="switch">
                                                                                        <div>Copy</div>
                                                                                        <div>Original</div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <a href="javascript:void(0);" class="remove-link remove-required-documents">remove</a>
                                                                    </div>
                                                                </div>
                                                                <div class="clearfix">
                                                                    <a href="javascript:void(0);" class="btn-link-orange add-required-documents" data-type="pickup" data-last_index="{{ $i }}">
                                                                        <i class="fa fa-plus" aria-hidden="true"></i>
                                                                        Add Document
                                                                    </a>
                                                                </div>
                                                            </div>
                                                        @endif
                                                        <div class="text-center ">
                                                            <button type="button" class="btn btn-themeGray doc-cancel-btn">Cancel</button>
                                                            <button type="button" class="btn btn-themeGray doc-save-btn">Save</button>
                                                        </div>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                        <!-- log-div -->
                                        <div class="col-12 sigale">
                                            <div class="single-collapse">
                                                <div>
                                                    <button
                                                        type="button"
                                                        class="btn btn-primary logs-collapse-btn"
                                                        data-toggle="collapse"
                                                        data-target="#logs-delivery-collapse"
                                                        aria-expanded="true"
                                                        aria-controls="logs-delivery-collapse">
                                                        Logs <img src="{{ asset('theme/images/sort-down-solid.svg') }}">
                                                    </button>
                                                </div>
                                                <div class="logs-collapse-div collapse show" id="logs-delivery-collapse">
                                                    <div class="card-body">
                                                        <p style="margin:0;">Arrival date & time : {{ isset($arrived_at)?$arrived_at:'' }}</p>
                                                        <p style="margin:0;">Departure date & time : {{ isset($leaves_at)?$leaves_at:'' }}</p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-6 col-lg-5">
                                <div class="row">
                                    <div class="col-xl-4">
                                        <div class="form-group">
                                            <label>Tolls</label>
                                            {!! Form::select('map_toll_roads', [1 => 'Always avoid', 2 => 'Avoid if possible', 3 => 'Allow'], (($loadDetail->map_toll_roads != "") ? $loadDetail->map_toll_roads : 2), ['class' => 'custom-select form-control geocoding-toll-roads']) !!}
                                        </div>
                                    </div>
                                    <div class="col-xl-4">
                                        <div class="form-group">
                                            <label>Max Elevation</label>
                                            {!! Form::number('map_max_elevation', old('map_max_elevation'), array('class' => 'form-control geocoding-max-elevation number', 'autocomplete' => 'new')) !!}
                                        </div>
                                    </div>
                                    <div class="col-xl-4">
                                        <div class="form-group">
                                            <label>Close Borders</label>
                                            {!! Form::select('map_close_borders', [0 => 'No', 1 => 'Yes'], (($loadDetail->map_close_borders != "") ? $loadDetail->map_close_borders : 1), ['class' => 'custom-select geocoding-close-borders form-control']) !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="map-box">
                                    <div id="map" style="height: 1054px;width: 100%;"></div>
                                    <div class="text-description">
                                        <h3>Map of Route
                                        </h3>
                                        <p>This will update as new stops are added.</p>
                                    </div>
                                </div>
                                <div class="accordion mb-0" id="location_accrordion">
                                    <div class="card">
                                        <div class="card-header" id="headingLoadMillageInformation">
                                            <h2 class="mb-0">
                                                <button
                                                    class="btn btn-link btn-block text-left collapsed"
                                                    type="button"
                                                    data-toggle="collapse"
                                                    data-target="#load-millage-information-collapse"
                                                    aria-expanded="false"
                                                    aria-controls="load-millage-information-collapse">
                                                    Load Mileage Information<i class="fa fa-angle-down" aria-hidden="true"></i>
                                                </button>
                                            </h2>
                                        </div>
                                       <div id="load-millage-information-collapse" class="collapse" aria-labelledby="headingThree">
                                            <div class="card-body millage_main_section">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card mb-0">
                                        <div class="card-header" id="headingTurnByTurnDirections">
                                            <h2 class="mb-0">
                                                <button
                                                    class="btn btn-link btn-block text-left collapsed"
                                                    type="button"
                                                    data-toggle="collapse"
                                                    data-target="#turn-by-turn-directions-collapse"
                                                    aria-expanded="false"
                                                    aria-controls="turn-by-turn-directions-collapse">
                                                    Turn By Turn Directions<i class="fa fa-angle-down" aria-hidden="true"></i>
                                                </button>
                                            </h2>
                                        </div>
                                        <div
                                            class="collapse"
                                            id="turn-by-turn-directions-collapse"
                                            aria-labelledby="headingTurnByTurnDirections">
                                            <div class="card-body turn_by_main_section">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-header" id="headingBillingPayment">
                    <h2 class="mb-0">
                        <button
                            class="btn btn-link btn-block text-left"
                            type="button"
                            data-toggle="collapse"
                            data-target="#billing-payment-collapse"
                            aria-expanded="true"
                            aria-controls="billing-payment-collapse">
                            Billing & Payment<i class="fa fa-angle-down" aria-hidden="true"></i>
                        </button>
                    </h2>
                </div>
                <div
                    class="collapse show"
                    id="billing-payment-collapse"
                    aria-labelledby="headingBillingPayment">
                    <div class="card-body billing-block">
                        <!-- accessorial-div -->
                        <div class="row mb-3 mt-2">
                            <div class="col-xl-6 col-lg-7 sigale">
                                <div class="single-collapse">
                                    <div>
                                        <button
                                            type="button"
                                            class="btn btn-primary accessorials-collapse-btn"
                                            data-toggle="collapse"
                                            data-target="#accessorials-billing-payment-collapse"
                                            aria-expanded="true"
                                            aria-controls="accessorials-billing-payment-collapse">
                                            Accessorials <img src="{{ asset('theme/images/sort-down-solid.svg') }}">
                                        </button>
                                    </div>
                                    <div class="accessorials-collapse-div collapse show" id="accessorials-billing-payment-collapse">
                                        <div class="card-body">
                                            <div class="accessorials-table table-responsive">
                                                <table class="table mt-0">
                                                    <thead>
                                                        <tr>
                                                            <td>Status</td>
                                                            <td>Name</td>
                                                            <td>Qty</td>
                                                            <td>Rate</td>
                                                            <td></td>
                                                            <td></td>
                                                            <td>
                                                                <!-- data-type="Billing"  -->
                                                                <a
                                                                    href="javascript:void(0);"
                                                                    class="btn-link-orange asdquerymetn accessorial-link"
                                                                    data-temp="0"
                                                                    data-type="4"
                                                                    data-is_stop="0"
                                                                    data-unique_id="{{ $accessorial_unique_id }}"
                                                                    data-btn_unique_id="{{ \Str::random(4).substr(base_convert(sha1(uniqid(mt_rand())), 16, 36), 0, 12) }}"
                                                                ><i class="fa fa-plus" aria-hidden="true"></i> Add</a>
                                                            </td>
                                                        </tr>
                                                    </thead>
                                                    @if($loadDetail->billing_accessorials->isNotEmpty())
                                                        <tbody data-record_exists="yes">
                                                            @foreach ($loadDetail->billing_accessorials as $key => $item)
                                                                <tr
                                                                    data-temp="0"
                                                                    data-id="{{ $item->id }}"
                                                                    data-company_accessorial_id="{{ $item->company_accessorial_id }}"
                                                                    data-company_accessorial_name="{{ $item->company_accessorial->name ?? '' }}"
                                                                    data-paid_by="{{ $item->paid_by }}"
                                                                    data-charge_deduct="{{ $item->charge_deduct }}"
                                                                    data-paid_type="{{ $item->paid_type }}"
                                                                    data-qty="{{ $item->qty }}"
                                                                    data-rate="{{ $item->rate }}"
                                                                    data-doc_required="{{ $item->doc_required }}"
                                                                    data-is_received="{{ $item->is_received }}"
                                                                    data-driver_liable="{{ $item->driver_liable }}"
                                                                    data-driver_id="{{ $item->driver_id }}"
                                                                    data-pay_deduct="{{ $item->pay_deduct }}"
                                                                    data-is_deduction="{{ $item->is_deduction }}"
                                                                    data-driver_qty="{{ $item->driver_qty }}"
                                                                    data-driver_rate="{{ $item->driver_rate }}"
                                                                    data-driver_total="{{ $item->driver_total }}"
                                                                    data-status="{{ $item->status }}"
                                                                    >
                                                                    <td>
                                                                        @if($item->status=='1')
                                                                            Completed
                                                                        @elseif($item->status=='2')
                                                                            Driver Bypass
                                                                        @else
                                                                            Pending
                                                                        @endif
                                                                    </td>
                                                                    <td>{{ $item->company_accessorial->name ?? '' }}</td>
                                                                    <td class="qty">{{ $item->qty ?? '' }}</td>
                                                                    <td class="rate">{{ isset($item->rate)?'$'.number_format((float)$item->rate, 2, '.', ','):''}}</td>
                                                                    @if($item->doc_required=='0')
                                                                        <td class="is_received"></td>
                                                                        <td class="files"></td>
                                                                    @else
                                                                        <td class="is_received">
                                                                            <div class="form-check form-check-inline mr-2">
                                                                                <input class="form-check-input" type="checkbox" {{ ($item->is_received=="1")? "checked" : "" }}>
                                                                                <label class="form-check-label">Received</label>
                                                                            </div>
                                                                        </td>
                                                                        <td class="doc_required">
                                                                            @if($item->is_received=="1")
                                                                                <a
                                                                                    href="javascript:void(0);"
                                                                                    class="mr-2 list-file-upload gallary-edit"
                                                                                    data-temp="0"
                                                                                    data-id="{{ $item->id }}"
                                                                                    data-source="load_accessorials"
                                                                                    data-field="accessorial_files"
                                                                                    data-toggle="modal"
                                                                                    data-target="#galleryModal"
                                                                                    data-upload-status="1">
                                                                                    View
                                                                                </a>
                                                                            @else
                                                                                <a
                                                                                    href="javascript:void(0);"
                                                                                    class="mr-2 list-file-upload gallary-edit"
                                                                                    data-temp="0"
                                                                                    data-id="{{ $item->id }}"
                                                                                    data-source="load_accessorials"
                                                                                    data-field="accessorial_files"
                                                                                    data-toggle="modal"
                                                                                    data-target="#galleryModal"
                                                                                    data-upload-status="0">
                                                                                    Upload
                                                                                </a>
                                                                            @endif
                                                                        </td>
                                                                    @endif
                                                                    <td>
                                                                        <a
                                                                            href="javascript:void(0);"
                                                                            class="mr-2 accessorial-edit"
                                                                            data-id="{{ $item->id }}"
                                                                            data-temp="0"
                                                                            style="float: right;">
                                                                            <i class="fa fa-edit" aria-hidden="true"></i>
                                                                        </a>
                                                                    </td>
                                                                </tr>
                                                            @endforeach
                                                        </tbody>
                                                    @else
                                                        <tbody data-record_exists="no">
                                                            <tr>
                                                                <td colspan="7">Record Not Found.</td>
                                                            </tr>
                                                        </tbody>
                                                    @endif
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        @if($is_driver=='1')
                            {{--
                                <div class="row mb-3 mt-2">
                                    <div class="col-xl-12 col-lg-12 col-md-12 text-right">
                                        <a href="{{ route('company.admin.loads.split',base64Encode($load->id)) }}" class="btn btn-themeBlue billing-btn">Split to new driver</a>
                                    </div>
                                </div>
                            --}}
                            @if (isset($loadDrivers) && count($loadDrivers) > 1)
                                @include('companyAdmin.load.include.split-load-information')
                            @endif
                        @endif
                        <div class="row no-wrap-block">
                            <div class="col-xl-4 col-lg-5 col-md-6">
                                <div class="mileage-rating-div">
                                    <div class="minh-22">
                                        <h6>Mileage & Rating</h6>
                                    </div>
                                    <hr>
                                    <!-- <div class="text-right mb-3">
                                        <a href="javascript:void(0);" class="a-link clear-mileage-rating-div">Clear</a>
                                    </div> -->
                                    <div class="row">
                                        <div class="col-4">
                                            <div class="form-group">
                                                <label for="empty_miles">Empty Miles</label>
                                                <input type="number" class="form-control empty-miles total-miles-addition groupOfTexbox" id="empty_miles" name="empty_miles" min="0" step=".01" value="{{ $loadDetail->empty_miles }}">
                                                @error('empty_miles')
                                                    <span class="text-danger" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-4">
                                            <div class="form-group">
                                                <label for="loaded_miles">Loaded Miles</label>
                                                <input type="number" class="form-control loaded-miles total-miles-addition groupOfTexbox" id="loaded_miles" name="loaded_miles" min="0" step=".01" value="{{ $loadDetail->loaded_miles }}">
                                                @error('loaded_miles')
                                                    <span class="text-danger" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-4">
                                            <div class="form-group">
                                                <label for="total_miles">Total Miles</label>
                                                <input type="number" class="form-control theme-bg total-miles groupOfTexbox" id="total_miles" name="total_miles" min="0" step=".01" value="{{ $loadDetail->total_miles }}" readonly>
                                                @error('total_miles')
                                                    <span class="text-danger" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row form-group align-items-center">
                                        <div class="col-8">
                                            <label for="agreed_upon_rate" class="mb-0">Agreed Upon Rate</label>
                                        </div>
                                        <div class="col-4">
                                            <input type="number" class="form-control agreed-upon-rate line-haul-sub total-bill-addition groupOfTexbox" id="agreed_upon_rate" name="agreed_upon_rate" min="0" step=".01" value="{{ $loadDetail->agreed_upon_rate }}">
                                            @error('agreed_upon_rate')
                                                <span class="text-danger" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="row form-group align-items-center">
                                        <div class="col-8">
                                            <label for="fuel_surcharge_cost_per_mile" class="mb-0">Fuel Surcharge Cost Per Mile</label>
                                        </div>
                                        <div class="col-4">
                                            <input type="number" class="form-control fuel-surcharge-cost-per-mile groupOfTexbox" id="fuel_surcharge_cost_per_mile" name="fuel_surcharge_cost_per_mile" min="0" step=".01" value="{{ $loadDetail->fuel_surcharge_cost_per_mile }}">
                                            @error('fuel_surcharge_cost_per_mile')
                                                <span class="text-danger" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="row form-group align-items-center">
                                        <div class="col-8">
                                            <label for="fuel_surcharge" class="mb-0">Fuel Surcharge</label>
                                        </div>
                                        <div class="col-4">
                                            <input type="number" class="form-control theme-bg fuel-surcharge line-haul-sub groupOfTexbox" id="fuel_surcharge" name="fuel_surcharge" min="0" step=".01" value="{{ $loadDetail->fuel_surcharge }}" readonly>
                                            @error('fuel_surcharge')
                                                <span class="text-danger" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="row form-group align-items-center">
                                        <div class="col-8">
                                            <label for="line_haul" class="mb-0">Line Haul</label>
                                        </div>
                                        <div class="col-4">
                                            <input type="number" class="form-control theme-bg line-haul groupOfTexbox" id="line_haul" name="line_haul" min="0" step=".01" value="{{ $loadDetail->line_haul }}" readonly>
                                            @error('line_haul')
                                                <span class="text-danger" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="row form-group align-items-center d-none">
                                        <div class="col-8">
                                            <label for="detention" class="mb-0">Detention</label>
                                        </div>
                                        <div class="col-4">
                                            <input type="number" class="form-control detention total-bill-addition groupOfTexbox" id="detention" name="detention" min="0" step=".01" value="{{ $loadDetail->detention }}" readonly>
                                            @error('detention')
                                                <span class="text-danger" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="accessorials-wrapper">
                                    </div>
                                    {{--
                                    <div class="row form-group align-items-center">
                                        <div class="col-8">
                                            <label for="lumper" class="mb-0">Lumper</label>
                                        </div>
                                        <div class="col-4">
                                            <input type="number" class="form-control lumper total-bill-addition groupOfTexbox" id="lumper" name="lumper" min="0" step=".01" value="{{ $loadDetail->lumper }}">
                                            @error('lumper')
                                                <span class="text-danger" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="add_more_accessorial_wrapper">
                                        @if(isset($loadDetail->accessorial) && is_serialized($loadDetail->accessorial) && !empty($loadDetail->accessorial))
                                            @php
                                                $accessorial = unserialize($loadDetail->accessorial);
                                            @endphp
                                            @foreach ($accessorial as $key => $accessorial_field)
                                                <div class="row form-group align-items-center" data-last_index="{{ $key }}">
                                                    <div class="col-8">
                                                        <select class="form-control accessorial select2" id="accessorial_id_{{ $key }}" name="accessorial[{{ $key }}][id]" data-val="{{ $accessorial_field['id'] }}">
                                                            {!! $accessorialDropDown !!}
                                                        </select>
                                                    </div>
                                                    <div class="col-4">
                                                        <input type="number" class="form-control total-bill-addition groupOfTexbox" id="accessorial_value_{{ $key }}" name="accessorial[{{ $key }}][value]" min="0" step=".01" value="{{ isset($accessorial_field['value'])?$accessorial_field['value']:''}}">
                                                    </div>
                                                    <div class="col-12 text-right">
                                                        <a href="javascript:void(0);" class="remove_accessorial_button">Remove</a>
                                                    </div>
                                                </div>
                                            @endforeach
                                        @endif
                                    </div>
                                    <div><a href="javascript:void(0);" class="a-link add_more_accessorial_button">+ Add Accessorial</a></div>
                                    <div class="billing-checkbox">
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" class="custom-control-input" id="paid-unbilled" name="paid_by" value="0" {{ ($loadDetail->paid_by === 0 ? ' checked' : '') }}>
                                            <label class="custom-control-label" for="paid-unbilled">Paid by Broker
                                                <span> (Unbilled)</span>
                                            </label>
                                        </div>
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" class="custom-control-input" id="paid-billed" name="paid_by" value="1" {{ ($loadDetail->paid_by === 1 ? ' checked' : '') }}>
                                            <label class="custom-control-label" for="paid-billed">Paid by Us
                                                <span>(Billed)</span>
                                            </label>
                                        </div>
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" class="custom-control-input" id="na" name="paid_by" value="2" {{ ($loadDetail->paid_by === 2 ? ' checked' : '') }}>
                                            <label class="custom-control-label" for="na">N/A</label>
                                        </div>
                                    </div>
                                    --}}
                                    <hr class="total-hr">
                                    <div class="row form-group align-items-center">
                                        <div class="col-8">
                                            <label for="total_bill" class="mb-0">Total Bill</label>
                                        </div>
                                        <div class="col-4">
                                            <input type="number" class="form-control theme-bg total-bill" id="total_bill" name="total_bill" min="0" step=".01" value="{{ $loadDetail->total_bill }}" readonly>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            @php
                                $dddad      = 'readonly';
                                if(count($loadDrivers) > 1){
                                    $dddad  = '';
                                }
                            @endphp
                            @if (isset($loadDrivers) && count($loadDrivers) > 0)
                                @foreach($loadDrivers as $key => $loadDriver)
                                    <div class="col-xl-4 offset-xl-1 col-lg-5 col-md-6 mt-3 mt-md-0">
                                        <div class="driver-payment-div" data-number="{{ $key }}" data-driver_id="{{ $loadDriver->driver_id }}">
                                            <div class="minh-22">
                                                <h6>Payment
                                                    <span class="driver-name">
                                                        @if(isset($loadDriver->driver))
                                                            ({{ $loadDriver->driver->last_name.', '.$loadDriver->driver->first_name }})
                                                        @else
                                                            (Driver Name)
                                                        @endif
                                                    </span>
                                                </h6>
                                                <input type="hidden" name="drivers[{{ $key }}][data_id]" value="{{ $loadDriver->id }}">
                                                <hr>
                                            </div>
                                            <!-- <div class="text-right mb-3">
                                                <a href="javascript:void(0);" class="a-link clear-driver-payment-div">Clear</a>
                                            </div> -->
                                            <div class="row">
                                                <div class="col-4">
                                                    <div class="form-group">
                                                        <label for="drivers_{{ $key }}_empty_miles">Empty Miles</label>
                                                        <input type="number" class="form-control empty-miles total-miles-addition groupOfTexbox" id="drivers_{{ $key }}_empty_miles" name="drivers[{{ $key }}][empty_miles]" min="0" step=".01" value="{{ isset($loadDriver->empty_miles)?$loadDriver->empty_miles:'' }}" {!! $dddad !!}>
                                                    </div>
                                                </div>
                                                <div class="col-4">
                                                    <div class="form-group">
                                                        <label for="drivers_{{ $key }}_loaded_miles">Loaded Miles</label>
                                                        <input type="number" class="form-control loaded-miles total-miles-addition groupOfTexbox" id="drivers_{{ $key }}_loaded_miles" name="drivers[{{ $key }}][loaded_miles]" min="0" step=".01" value="{{ isset($loadDriver->loaded_miles)?$loadDriver->loaded_miles:'' }}" {!! $dddad !!}>
                                                    </div>
                                                </div>
                                                <div class="col-4">
                                                    <div class="form-group">
                                                        <label for="drivers_{{ $key }}_total_miles">Total Miles</label>
                                                        <input type="number" class="form-control theme-bg total-miles groupOfTexbox" id="drivers_{{ $key }}_total_miles" name="drivers[{{ $key }}][total_miles]" min="0" step=".01" value="{{ isset($loadDriver->total_miles)?$loadDriver->total_miles:'' }}" readonly>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row form-group align-items-center">
                                                <div class="col-8">
                                                    <label for="drivers_{{ $key }}_pay_type" class="mb-0">Pay Type</label>
                                                </div>
                                                <div class="col-4">
                                                    <input type="number" class="form-control theme-bg total-bill-addition groupOfTexbox" id="drivers_{{ $key }}_pay_type" name="drivers[{{ $key }}][pay_type]" min="0" step=".01" value="{{ isset($loadDriver->pay_type)?$loadDriver->pay_type:'' }}" readonly>
                                                </div>
                                            </div>
                                            <div class="row form-group align-items-center">
                                                <div class="col-8">
                                                    <label for="drivers_{{ $key }}_gross_wage" class="mb-0">Gross Wage</label>
                                                </div>
                                                <div class="col-4">
                                                    <input type="number" class="form-control theme-bg total-bill-addition groupOfTexbox" id="drivers_{{ $key }}_gross_wage" name="drivers[{{ $key }}][gross_wage]" min="0" step=".01" value="{{ isset($loadDriver->gross_wage)?$loadDriver->gross_wage:'' }}" readonly>
                                                </div>
                                            </div>
                                            <div class="row form-group align-items-center">
                                                <div class="col-8">
                                                    <label for="drivers_{{ $key }}_unload_pay" class="mb-0">Unload Pay</label>
                                                </div>
                                                <div class="col-4">
                                                    <input type="number" class="form-control total-bill-addition groupOfTexbox" id="drivers_{{ $key }}_unload_pay" name="drivers[{{ $key }}][unload_pay]" min="0" step=".01" value="{{ isset($loadDriver->unload_pay)?$loadDriver->unload_pay:'' }}">
                                                </div>
                                            </div>
                                            <div class="row form-group align-items-center">
                                                <div class="col-8">
                                                    <label for="drivers_{{ $key }}_tarp_pay" class="mb-0">Tarp Pay</label>
                                                </div>
                                                <div class="col-4">
                                                    <input type="number" class="form-control total-bill-addition groupOfTexbox" id="drivers_{{ $key }}_tarp_pay" name="drivers[{{ $key }}][tarp_pay]" min="0" step=".01" value="{{ isset($loadDriver->tarp_pay)?$loadDriver->tarp_pay:'' }}">
                                                </div>
                                            </div>
                                            <div class="row form-group align-items-center d-none">
                                                <div class="col-8">
                                                    <label for="drivers_{{ $key }}_detention" class="mb-0">Detention</label>
                                                </div>
                                                <div class="col-4">
                                                    <input type="number" class="form-control total-bill-addition groupOfTexbox" id="drivers_{{ $key }}_detention" name="drivers[{{ $key }}][detention]" min="0" step=".01" value="{{ isset($loadDriver->detention)?$loadDriver->detention:'' }}" {!! $dddad !!}>
                                                </div>
                                            </div>
                                            <div class="row form-group align-items-center">
                                                <div class="col-8">
                                                    <label for="drivers_{{ $key }}_deductions" class="mb-0">Deductions</label>
                                                </div>
                                                <div class="col-4">
                                                    <input type="number" class="form-control theme-danger deductions groupOfTexbox" id="drivers_{{ $key }}_deductions" name="drivers[{{ $key }}][deductions]" min="0" step=".01" value="{{ isset($loadDriver->deductions)?$loadDriver->deductions:'' }}">
                                                </div>
                                            </div>
                                            <div class="accessorials-wrapper">
                                            </div>
                                            {{--
                                            <div class="add_more_driver_accessorial_wrapper">
                                                @if(isset($loadDriver->accessorial) && is_serialized($loadDriver->accessorial) && !empty($loadDriver->accessorial))
                                                    @php
                                                        $accessorial = unserialize($loadDriver->accessorial);
                                                    @endphp
                                                    @foreach ($accessorial as $akey => $accessorial_field)
                                                        <div class="row form-group align-items-center" data-last_index="{{ $akey }}">
                                                            <div class="col-8">
                                                                <select class="form-control driverAccessorial select2" id="drivers_{{ $key }}_accessorial_{{ $akey }}_id" name="drivers[{{ $key }}][accessorial][{{ $akey }}][id]" data-val="{{ $accessorial_field['id'] }}">
                                                                    {!! $accessorialDropDown !!}
                                                                </select>
                                                            </div>
                                                            <div class="col-4">
                                                                <input type="number" class="form-control total-bill-addition groupOfTexbox" id="drivers_{{ $key }}_accessorial_{{ $akey }}_value" name="drivers[{{ $key }}][accessorial][{{ $akey }}][value]" min="0" step=".01" value="{{ isset($accessorial_field['value'])?$accessorial_field['value']:''}}">
                                                            </div>
                                                            <div class="col-12 text-right">
                                                                <a href="javascript:void(0);" class="remove_driver_accessorial_button">Remove</a>
                                                            </div>
                                                        </div>
                                                    @endforeach
                                                @endif
                                            </div>
                                            <div><a href="javascript:void(0);" class="a-link add_more_driver_accessorial_button">+ Add Accessorial</a></div>
                                            <div class="billing-checkbox"></div>
                                            --}}
                                            <hr class="total-hr">
                                            <div class="row form-group align-items-center">
                                                <div class="col-8">
                                                    <label for="drivers_{{ $key }}_total_bill" class="mb-0">Total Bill</label>
                                                </div>
                                                <div class="col-4">
                                                    <input type="number" class="form-control theme-bg total-bill" id="drivers_{{ $key }}_total_bill" name="drivers[{{ $key }}][total_bill]" min="0" step=".01" value="{{ isset($loadDriver->total_bill)?$loadDriver->total_bill:'' }}" readonly>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                @endforeach
                            @endif
                            @if($is_driver=='1')
                                <div class="col-xl-3 col-lg-3 col-sm-12 mt-2 mt-lg-0 text-right">
                                    @if(isset($loadDrivers) && count($loadDrivers) > 1)
                                        <a href="{{ route('company.admin.loads.split',['id' => base64Encode($load->id), 'isRevert' => 'revert']) }}" class="btn btn-themeBlue billing-btn mr-2">Revert Split</a>
                                    @endif
                                    <a href="{{ route('company.admin.loads.split',base64Encode($load->id)) }}" class="btn btn-themeBlue billing-btn">Split to new driver</a>
                                </div>
                            @endif
                        </div>
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-header" id="headingCommunication">
                    <h2 class="mb-0">
                        <button
                            class="btn btn-link btn-block text-left"
                            type="button"
                            data-toggle="collapse"
                            data-target="#communication-collapse"
                            aria-expanded="true"
                            aria-controls="communication-collapse">
                                Communication<i class="fa fa-angle-down" aria-hidden="true"></i>
                        </button>
                    </h2>
                </div>
                <div
                    class="collapse show"
                    id="communication-collapse"
                    aria-labelledby="headingCommunication">
                    <div class="card-body">
                        <div class="row justify-content-between">
                            <div class="col">
                                <div class="row">
                                    <div class="col-lg-3 col-sm-6 col-12">
                                        <div class="form-group">
                                            <select class="form-control" id="NoteType" name="type">
                                                @if(count(getLoadNoteType()))
                                                    @foreach (getLoadNoteType() as $key => $NoteType)
                                                        <option value="{{ $key }}">{{ $NoteType }}</option>
                                                    @endforeach
                                                @endif
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-lg-3 col-sm-6 col-12">
                                        <div class="form-group">
                                            <select class="form-control" id="RequestType" name="request_type">
                                                <option value="">Select Request Type</option>
                                                @if(count(getNoteRequestType()))
                                                    @foreach (getNoteRequestType() as $key => $RequestType)
                                                        <option value="{{ $key }}">{{ $RequestType }}</option>
                                                    @endforeach
                                                @endif
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-auto">
                                <div class="upload-block">
                                    <a href="javascript:void(0);" class="btn btn-orange">
                                        <img src="{{ asset('theme/images/upload-img.png') }}" alt="Select File">
                                    </a>
                                    <input type="file" name="note_file[]" id="note_file" multiple>
                                </div>
                            </div>
                            <div class="col-lg-12">
                                <div class="form-group">
                                    {!! Form::textarea('note', old('note'), array('class' => 'form-control','placeholder' => 'Enter your message')) !!}
                                </div>
                            </div>
                            <div class="col-sm-auto">
                                <div class="d-flex flex-wrap align-items-center mb-0">
                                    <label class="mb-0 mr-3 font-weight-bold"> Notify:</label>
                                    <div class="custom-checkbox-inline">
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" class="custom-control-input" name="notify_dispatcher" value="1" id="notify_dispatcher">
                                            <label class="custom-control-label" for="notify_dispatcher">Dispatcher</label>
                                        </div>
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" class="custom-control-input" name="notify_dirver" value="1" id="notify_dirver">
                                            <label class="custom-control-label" for="notify_dirver">Driver</label>
                                        </div>
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" class="custom-control-input" name="notify_broker" value="1" id="notify_broker">
                                            <label class="custom-control-label" for="notify_broker">Broker</label>
                                        </div>
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" class="custom-control-input" name="notify_my" value="1" id="notify_my">
                                            <label class="custom-control-label" for="notify_my">Add to my notifications</label>
                                        </div>
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" class="custom-control-input" name="notify_private" value="1" id="notify_private">
                                            <label class="custom-control-label" for="notify_private">CC</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-4 note-private-users-div d-none">
                                <label>Select Users</label>
                                <div class="form-group">
                                    <select multiple="multiple" class="form-control note-private-users" name="notify_private_company_admin_id[]" id="notify_private_company_admin_id">
                                        @foreach(getCompanyAdminListByCompany() as $aKey => $aName)
                                            <option value="{{ $aKey }}">{{ $aName }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="col-sm-auto mt-3 mt-md-0">
                                <button type="button" class="btn btn-themeGray note-submit">Submit</button>
                            </div>
                        </div>
                        <div class="getNoteSave">
                        </div>
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-header" id="headingLoadDocumentSummary">
                    <h2 class="mb-0">
                        <button
                            class="btn btn-link btn-block text-left"
                            type="button"
                            data-toggle="collapse"
                            data-target="#load-document-collapse"
                            aria-expanded="true"
                            aria-controls="load-document-collapse">
                            Load Document Summary<i class="fa fa-angle-down" aria-hidden="true"></i>
                        </button>
                    </h2>
                </div>
                <div
                    class="collapse show"
                    id="load-document-collapse"
                    aria-labelledby="headingLoadDocumentSummary">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-8">
                                <div class="table-responsive" id="loadfile">
                                </div>
                            </div>
                           <div class="col-md-4 mb-3">
                                <input type="hidden" name="load_id" class="doc_load_id" value="{{ $load_id }}">
                                <input type="hidden" name="edit_id" class="edit_id">
                                <input type="hidden" name="edit_source_id" class="edit_source_id">
                                <input type="hidden" name="edit_field_name" class="edit_field_name">
                                <div class="form-group">
                                    <label>File Name</label>
                                    <input type="text" name="filename" id="doc_filename" class="form-control doc_filename">
                                </div>
                                <div class="form-group">
                                    <div class="drop-zone">
                                        <span class="drop-zone__prompt">Drag and drop file here or click to browse</span>
                                        <input type="file" id="doc_file" name="file[]" class="drop-zone__input doc_file" accept="image/png,image/gif,image/jpeg,application/pdf,application/vnd.ms-excel" multiple >
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>Note</label>
                                    <textarea  rows="2" class="form-control doc_filenote" id="doc_filenote" name="filenote"></textarea>
                                </div>
                                <button class="btn btn-block btn-themeGray w-100 upload_doc_btn">Upload</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-header" id="headingDetentions">
                    <h2 class="mb-0">
                        <button
                            class="btn btn-link btn-block text-left"
                            type="button"
                            data-toggle="collapse"
                            data-target="#detentions-collapse"
                            aria-expanded="true"
                            aria-controls="detentions-collapse">
                                Detentions<i class="fa fa-angle-down" aria-hidden="true"></i>
                        </button>
                    </h2>
                </div>
                <div
                    class="collapse show"
                    id="detentions-collapse"
                    aria-labelledby="headingDetentions">
                    <div class="card-body">
                        <div class="row detention-request-list">
                            <div class="col-12 append-view">
                                @if($load->load_detail->detentions->count() > 0)
                                    <?php
                                        $html                       = '';
                                        $shipper_detention          = isset($loadDetail->shipper_detention)?$loadDetail->shipper_detention:null;
                                        if(!is_null($shipper_detention)){
                                            $pTag                   = '<p style="margin:0;font-size:14px;">';
                                            $pTag                  .= 'Load Pickup - ';
                                            if(in_array($shipper_detention->detention_status,[2,3])){
                                                $pTag              .= 'Detention Due ';
                                                $due_class          = ($shipper_detention->review_status!='Denied')?'detention-due':'';
                                                $pTag              .= '<span class="'.$due_class.'" data-detention_due="'.(float)$shipper_detention->detention_due.'">';
                                                $pTag              .= '$'.number_format((float)$shipper_detention->detention_due, 2, '.', ',');
                                                $pTag              .= '</span> ';
                                            }
                                            $pTag                  .= 'Status: '.$shipper_detention->review_status;
                                            $pTag                  .= '&nbsp; <a href="javascript:void(0)" class="link" data-detention_id="'.$shipper_detention->id.'"><img src="/theme/images/edit-black.png" alt="Edit Detention"></a></p>';
                                            $html                  .= $pTag;
                                        }
                                        if($load->load_stops->isNotEmpty()){
                                            $stopIds                = $load->load_stops->pluck('id')->toArray();
                                            foreach ($stopIds as $stkey => $stopId) {
                                                ++$stkey;
                                                $stopd              = \App\Models\LoadStop::whereId($stopId)->first();
                                                if(isset($stopd->detention)){
                                                    $pTag           = '<p style="margin:0;font-size:14px;">';
                                                    $pTag          .= 'Stop '.$stopd->stop_no;
                                                    if($stopd->customer_type=='1'){
                                                        $pTag      .= ' Pickup - ';
                                                    }else{
                                                        $pTag      .= ' Delivery - ';
                                                    }
                                                    if(in_array($stopd->detention->detention_status,[2,3])){
                                                        $pTag      .= 'Detention Due ';
                                                        $due_class  = ($stopd->detention->review_status!='Denied')?'detention-due':'';
                                                        $pTag      .= '<span class="'.$due_class.'" data-detention_due="'.(float)$stopd->detention->detention_due.'">';
                                                        $pTag      .= '$'.number_format((float)$stopd->detention->detention_due, 2, '.', ',');
                                                        $pTag      .= '</span> ';
                                                    }
                                                    $pTag          .= 'Status: '.$stopd->detention->review_status;
                                                    $pTag          .= '&nbsp; <a href="javascript:void(0)" class="link" data-detention_id="'.$stopd->detention->id.'"><img src="/theme/images/edit-black.png" alt="Edit Detention"></a></p>';
                                                    $html          .= $pTag;
                                                }
                                            }
                                        }
                                        $receiver_detention         = isset($loadDetail->receiver_detention)?$loadDetail->receiver_detention:null;
                                        if(!is_null($receiver_detention)){
                                            $pTag                   = '<p style="margin:0;font-size:14px;">';
                                            $pTag                  .= 'Load Delivery - ';
                                            if(in_array($receiver_detention->detention_status,[2,3])){
                                                $pTag              .= 'Detention Due ';
                                                $due_class          = ($receiver_detention->review_status!='Denied')?'detention-due':'';
                                                $pTag              .= '<span class="'.$due_class.'" data-detention_due="'.(float)$receiver_detention->detention_due.'">';
                                                $pTag              .= '$'.number_format((float)$receiver_detention->detention_due, 2, '.', ',');
                                                $pTag              .= '</span> ';
                                            }
                                            $pTag                  .= 'Status: '.$receiver_detention->review_status;
                                            $pTag                  .= '&nbsp; <a href="javascript:void(0)" class="link" data-detention_id="'.$receiver_detention->id.'"><img src="/theme/images/edit-black.png" alt="Edit Detention"></a></p>';
                                            $html                  .= $pTag;
                                        }
                                    ?>
                                    {!! $html !!}
                                @else
                                    <p>No record found.</p>
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-header" id="headingLoadLogs">
                    <h2 class="mb-0">
                        <button
                            class="btn btn-link btn-block text-left collapsed"
                            type="button"
                            data-toggle="collapse"
                            data-target="#load-logs-collapse"
                            aria-expanded="false"
                            aria-controls="load-logs-collapse">
                                Load Logs<i class="fa fa-angle-down" aria-hidden="true"></i>
                        </button>
                    </h2>
                </div>
                <div
                    class="collapse"
                    id="load-logs-collapse"
                    aria-labelledby="headingLoadLogs">
                    <div class="card-body">
                        @include('companyAdmin.load.include.load-logs')
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-header" id="headingAuditLoads">
                    <h2 class="mb-0">
                        <button
                            class="btn btn-link btn-block text-left collapsed"
                            type="button"
                            data-toggle="collapse"
                            data-target="#audit-loads-collapse"
                            aria-expanded="false"
                            aria-controls="audit-loads-collapse">
                            Audit Loads<i class="fa fa-angle-down" aria-hidden="true"></i>
                        </button>
                    </h2>
                </div>
                <div
                    class="collapse"
                    id="audit-loads-collapse"
                    aria-labelledby="headingAuditLoads">
                    <div class="card-body">
                        <div class="table-view">
                            @include('companyAdmin.load.include.audit_load',['getField'=>$getField])
                        </div>
                    </div>
                </div>
            </div>
            <div class="btn-big-block text-center">
                @if($loadDetail->oos_pending == 1)
                    <a href="{{ URL::previous() }}" class="btn btn-big btn-themeGray d-none">Cancel</a>
                    <button type="button" class="btn btn-big btn-orange save-load-btn d-none">Save</button>
                @else
                    <a href="{{ URL::previous() }}" class="btn btn-big btn-themeGray">Cancel</a>
                    @if($totalPendingDetention > 0)
                        <button type="button" class="btn btn-big btn-themeGray save-load-btn">Detention Request Pending</button>
                    @else
                        <button type="button" class="btn btn-big btn-orange save-load-btn">Save</button>
                    @endif
                @endif
            </div>
        </div>
        <!-- collapse section -->
    {!! Form::close() !!}
@endsection

@section('modal')
    @include('companyAdmin.load.modal.addBrockerContact')

    @include('companyAdmin.load.modal.addShipper')

    @include('companyAdmin.load.modal.addReceiver')

    <div class="modal fade" id="scoreModal" tabindex="-1" role="dialog" aria-labelledby="scoreModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="scoreModalLabel">RTS Credit Score</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form class="scorefrm" name="scorefrm" id="scorefrm" autocomplete="off">
                    <div class="modal-body">
                        <input type="hidden" class="form-control" name="rts_brokerage_id" value="">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Ratting<span>*</span></label>
                                    <select class="form-control" name="ratting" required>
                                        <option value="">Select Ratting</option>
                                        <option value="A">A</option>
                                        <option value="B">B</option>
                                        <option value="C">C</option>
                                        <option value="D">D</option>
                                        <option value="N">N</option>
                                        <option value="F">F</option>
                                    </select>
                                    <span class="error ratting_error text-danger"></span>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Credit Available<span>*</span></label>
                                    <input type="text" class="form-control" name="credit_available" value="" required>
                                    <span class="error credit_available_error text-danger"></span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-themeGray cancel-btn" data-dismiss="modal">Cancel</button>
                        <button class="btn btn-orange score-submit">Submit</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <div class="add-more-copy-section" style="display: none;">
        <div class="row add-more mt-2">
            <div class="col-md-4">
                <div class="form-group">
                    {!! Form::text('contacts[replace_key][other_name]', null, array('class' => 'form-control', 'placeholder' => 'Enter Name', 'autocomplete' => 'new')) !!}
                </div>
            </div>
            <div class="col-md-4">
                <div class="form-group">
                    {!! Form::text('contacts[replace_key][other_number]', null, array('class' => 'form-control', 'placeholder' => 'Enter Number', 'autocomplete' => 'new')) !!}
                    <span class="error contacts_replace_key_email_error text-danger"></span>
                </div>
            </div>
            <div class="col-md-4">
                <div class="form-group">
                    <button type="button" class="btn btn-danger btn-sm remove-btn"><i class="fa fa-minus"></i></button>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="loadRequirementModal" tabindex="-1" aria-labelledby="loadRequirementModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            {!! Form::open(array('route' => 'company.admin.load.requirement','method'=>'POST','files'=>'true','class'=>'financial-form','id'=>'finanform')) !!}
                <input type="hidden" name="load_id" id="load_id"  value="{{ $load_id }}">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="loadRequirementModalLabel">Add New</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>QTY</label>
                                    <input type="number" name="qty" class="form-control" placeholder="Enter QTY" required />
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>ITEM</label>
                                    <input type="text" name="name" class="form-control" placeholder="Enter ITEM" required />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn cancel-btn" data-dismiss="modal">Cancel</button>
                        <button type="submit" class="btn blue-btn">Add New</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>

    <div class="modal fade" id="loadRequirementEditModal" tabindex="-1" aria-labelledby="loadRequirementEditModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            {!! Form::open(array('route' => 'company.admin.load.requirement','method'=>'POST','files'=>'true','class'=>'financial-form','id'=>'finanform')) !!}
                <input type="hidden" name="requ_id" class="requ_id"  value="">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="loadRequirementEditModalLabel">Add New</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>QTY</label>
                                    <input type="number" name="qty" class="form-control requ_qty" value="" placeholder="Enter QTY" required />
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>ITEM</label>
                                    <input type="text" name="name" class="form-control requ_name" value="" placeholder="Enter ITEM" required />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn cancel-btn" data-dismiss="modal">Cancel</button>
                        <button type="submit" class="btn blue-btn">Add New</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>

    <div class="copfyfor tranumber" style="display:none;">
        <div class="form-group tranumber-coutn broker-search" id="tratypedata">
            <label>Trailer Number</label>
            <a href="javascript:void(0)" class="btn-link-orange remove-tranumber"><i class="fa fa-minus"aria-hidden="true"></i> Remove</a>
            <a href="javascript:void(0);" class="btn-link-orange addLinkOther-replace_key add-other-tranumber mr-2" data-index="replace_key"><i class="fa fa-plus" aria-hidden="true"></i> Add Other</a>
            <select name="addtrauier[replace_key][trailer_number]" class="custom-select customcce form-control cutrailterse" data-parsley-errors-container="#seltrailernumberreplace_key" required>
                <option>Select Trailer</option>
                @foreach(getTrailerNumberListByCompany() as $key => $trailer)
                    @if(checkOosTrailer($key) == True)
                        @if($setting->oos_equipment != 2)
                            <option data-oos="yes" value="{{ $key }}">{{ $trailer }} - OOS</option>
                        @endif
                    @else
                        <option value="{{ $key }}">{{ $trailer }}</option>
                    @endif
                @endforeach
            </select>
            <!--<i class="fa fa-search"></i>-->
            <div id="seltrailernumberreplace_key"></div>

            <div class="form-group otherBox-replace_key d-none mt-2">
                <label>Trailer Number</label>
                <a href="javascript:void(0)" class="btn-link-orange remove-other-tranumber" data-index="replace_key"><i class="fa fa-minus" aria-hidden="true"></i> Remove</a>
                {!! Form::text('trailerOther[replace_key][trailer_number]', old('trailerOther[replace_key][trailer_number]'), array('class' =>'form-control')) !!}
            </div>
        </div>
    </div>

    <div class="copfyfor trantype" style="display:none;">
        <div class="form-group tranutype-coutn tratypedata">
            <label>Trailer Type</label>
            <select name="addtrauier[replace_key][trailer_type]" class="custom-select trailer-type-custom form-control fil-disabled" required>
                <option value="">Select</option>
                @foreach(getTrailerTypeListByCompany(1) as $key => $trailer)
                    <option  data-is_temp_required="{{ $trailer->is_temp_required }}" value="{{ $trailer->id }}">{{ $trailer->name }}</option>
                @endforeach
            </select>

            <div class="form-group otherBox-replace_key d-none mt-2">
                <label>Trailer Type</label>
                <select name="trailerOther[replace_key][trailer_type]" class="custom-select form-control">
                    <option value="">Select</option>
                    @foreach(getTrailerTypeListByCompany(1) as $key => $trailer)
                        <option value="{{ $trailer->id }}" {{($trailer->name == "Other") ? 'selected' : ''}}>{{ $trailer->name }}</option>
                    @endforeach
                </select>
            </div>
        </div>
    </div>

    <div class="modal fade" id="detentionRequestModal" tabindex="-1" role="dialog" aria-labelledby="detentionRequestModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="detentionRequestModalLabel"></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body append-view">
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="pendingDetentionModal" tabindex="-1" role="dialog" aria-labelledby="pendingDetentionModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="pendingDetentionModalLabel">Detention Request (Pending)</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body append-view">
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="accessorialModal" role="dialog" aria-labelledby="accessorialModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content">
                <form class="accessorialfrm" name="accessorialfrm" id="accessorialfrm" autocomplete="off">
                    <input type="hidden" name="id" value="">
                    <input type="hidden" name="load_id" value="{{ $load_id }}">
                    <input type="hidden" name="load_detail_id" value="{{ $loadDetail->id }}">

                    <input type="hidden" name="type" value="">
                    <input type="hidden" name="is_stop" value="0">
                    <input type="hidden" name="load_stop_id" value="">
                    <input type="hidden" name="random_id" value="">

                    <input type="hidden" name="unique_id" value="">
                    <input type="hidden" name="btn_unique_id" value="">
                    <input type="hidden" name="temp" value="">

                    <div class="body">
                        <div class="hedding-section w-100 pt-3">
                            <div class="row ">
                                <div class="col-12">
                                    <div class="hedding px-3 w-100 justify-content-sm-between">
                                        <h2 class="modal-title" id="accessorialModalLabel">
                                            Accessorial
                                        </h2>
                                        <h3 class="modal-title float-end" id="accessorialModalStatus">
                                            Status: <span>Pending</span>
                                        </h3>
                                    </div>
                                </div>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                        </div>
                        <div class="row justify-content-lg-between p-3">
                            <div class="col-lg-auto col-md-4">
                                <div class="form-group">
                                    <label>Accessorial<span>*</span></label>
                                    <select class="form-control" name="company_accessorial_id" data-parsley-errors-container="#company_accessorial_id-error" required>
                                        {!! $accessorialDropDown !!}
                                    </select>
                                    <div id="company_accessorial_id-error"></div>
                                    <span class="error company_accessorial_id_error text-danger"></span>
                                </div>
                            </div>
                            <div class="col-lg-auto col-md-4">
                                <div class="form-group">
                                    <label>Paid By<span>*</span></label>
                                    <select class="form-control" name="paid_by" data-parsley-errors-container="#paid_by-error" required>
                                        <option value="1">Customer</option>
                                        <option value="2">Carrier</option>
                                        <option value="3">Driver</option>
                                        <option value="0">None</option>
                                    </select>
                                    <div id="paid_by-error"></div>
                                    <span class="error paid_by_error text-danger"></span>
                                </div>
                            </div>
                            <div class="col-lg-auto col-md-4">
                                <div class="form-group">
                                    <label>Charge/Deduct<span>*</span></label>
                                    <select class="form-control" name="charge_deduct" data-parsley-errors-container="#charge_deduct-error" required>
                                        <option value="1">Charge</option>
                                        <option value="2">Deduct</option>
                                        <option value="0">None</option>
                                    </select>
                                    <div id="charge_deduct-error"></div>
                                    <span class="error charge_deduct_error text-danger"></span>
                                </div>
                            </div>
                            <div class="col-lg-auto col-md-4">
                                <div class="form-group">
                                    <label>Pay Type</label>
                                    <select class="form-control" name="paid_type" data-parsley-errors-container="#paid_type-error">
                                        <option value="1">Comdata</option>
                                        <option value="2">EFS</option>
                                        <option value="3">Check</option>
                                        <option value="4">Cash</option>
                                        <option value="0">Other</option>
                                    </select>
                                    <div id="paid_type-error"></div>
                                    <span class="error paid_type_error text-danger"></span>
                                </div>
                            </div>
                            <div class="col-lg-auto col-md-4">
                                <div class="form-group">
                                    <label>Reference<span>*</span></label>
                                    <input type="text" class="form-control" name="reference">
                                    <span class="error reference_error text-danger"></span>
                                </div>
                            </div>
                            <div class="col-lg-auto col-md-4">
                                <div class="form-group">
                                    <label>Driver Liable<span>*</span></label>
                                    <select class="form-control" name="driver_liable" data-parsley-errors-container="#driver_liable-error" required>
                                        <option value="1">Yes</option>
                                        <option value="0">No</option>
                                    </select>
                                    <div id="driver_liable-error"></div>
                                    <span class="error driver_liable_error text-danger"></span>
                                </div>
                            </div>
                            <div class="col-lg-auto col-md-4">
                                <div class="form-group">
                                    <label>Doc Required<span>*</span></label>
                                    <select class="form-control" name="doc_required" data-parsley-errors-container="#doc_required-error" required>
                                        <option value="1">Yes</option>
                                        <option value="0">No</option>
                                        <option value="2">Yes-Not Req by driver</option>
                                    </select>
                                    <div id="doc_required-error"></div>
                                    <span class="error doc_required_error text-danger"></span>
                                </div>
                            </div>
                            <div class="col-lg-auto col-md-4">
                                <div class="form-group">
                                    <label>Qty</label>
                                    <input type="number" class="form-control" name="qty" step="1" min="0" ondrop="return false;" onpaste="return false;" onkeypress="return event.charCode>=48 && event.charCode<=57">
                                    <span class="error qty_error text-danger"></span>
                                </div>
                            </div>
                            <div class="col-lg-auto col-md-4">
                                <div class="form-group">
                                    <label>Rate</label>
                                    <input type="number" class="form-control groupOfTexbox" name="rate" step=".01" min="0">
                                    <span class="error rate_error text-danger"></span>
                                </div>
                            </div>
                            <div class="col-lg-auto col-md-4">
                                <div class="form-group">
                                    <label>Total</label>
                                    <input type="number" class="form-control" name="total" readonly>
                                    <span class="error total_error text-danger"></span>
                                </div>
                            </div>
                        </div>
                        <div class="hedding-section px-3 pt-3">
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="hedding">
                                        <h2>Driver Accessorial Pay</h2>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row justify-content-lg-between p-3">
                            <div class="col-lg-auto col-md-4 driver-liable-dep d-none">
                                <div class="form-group">
                                    <label>Driver<span>*</span></label>
                                    <select class="form-control" name="accessorial_driver_id" data-parsley-errors-container="#accessorial_driver_id-error">
                                        <option value="">Select Driver</option>
                                        @foreach ($accessorialDrivers as $adkey => $accessorialDriver)
                                            <option value="{{ $adkey }}">{{ $accessorialDriver }}</option>
                                        @endforeach
                                    </select>
                                    <div id="accessorial_driver_id-error"></div>
                                    <span class="error accessorial_driver_id_error text-danger"></span>
                                </div>
                            </div>
                            <div class="col-lg-auto col-md-4 driver-liable-dep d-none">
                                <div class="form-group">
                                    <label>Pay/Deduct<span>*</span></label>
                                    <select class="form-control" name="pay_deduct" data-parsley-errors-container="#pay_deduct-error">
                                        <option value="1">Pay</option>
                                        <option value="2">Deduct</option>
                                        <option value="0">None</option>
                                    </select>
                                    <div id="pay_deduct-error"></div>
                                    <span class="error pay_deduct_error text-danger"></span>
                                </div>
                            </div>
                            <div class="col-lg-auto col-md-4 driver-liable-dep d-none">
                                <div class="form-group">
                                    <label>Qty</label>
                                    <input type="number" class="form-control" name="driver_qty" ondrop="return false;" onpaste="return false;" onkeypress="return event.charCode>=48 && event.charCode<=57" readonly>
                                    <span class="error qty_error text-danger"></span>
                                </div>
                            </div>
                            <div class="col-lg-auto col-md-4 driver-liable-dep d-none">
                                <div class="form-group">
                                    <label>Rate</label>
                                    <input type="number" class="form-control groupOfTexbox" name="driver_rate" step=".01" min="0">
                                    <span class="error driver_rate_error text-danger"></span>
                                </div>
                            </div>
                            <div class="col-lg-auto col-md-4 driver-liable-dep d-none">
                                <div class="form-group">
                                    <label>Total</label>
                                    <input type="number" class="form-control" name="driver_total" readonly>
                                    <span class="error driver_total_error text-danger"></span>
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="form-group">
                                    <label>Notes</label>
                                    <textarea class="form-control" name="notes" rows="3"></textarea>
                                    <span class="error notes_error text-danger"></span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="footer border-0 p-3">
                        <div class="row align-items-center">
                            <div class="col-lg-8">
                                <div class="row align-items-center mb-2">
                                    <div class="col-md-7">
                                        <div class="mb-3 form-check doc-required-dep d-none">
                                            <input type="checkbox" class="form-check-input" name="is_received" value="1" onclick="return false">
                                            <label class="form-check-label">Receipt Received</label>
                                        </div>
                                        <div class="mb-3 form-check pay-deduct-dep d-none">
                                            <input type="checkbox" class="form-check-input" name="is_deduction" id="is_deduction" value="1">
                                            <label class="form-check-label" for="is_deduction">Remove Driver Deduction Upon Receipt Received</label>
                                        </div>
                                    </div>
                                    <div class="col-md-5">
                                        <a class="file-upload doc-required-dep d-none" href="javascript:void(0);">
                                            <i class="fa fa-upload" aria-hidden="true"></i> Upload
                                            <!-- <input type="file" name="accessorial_files"> -->
                                        </a>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <p class="form-group mb-0">
                                            <label>Created By: <span class="created_by"></span></label>
                                        </p>
                                    </div>
                                    <div class="col-md-6">
                                        <p class="form-group mb-0">
                                            <label>Created At: <span class="created_at"></span></label>
                                        </p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-4 ">
                                <div class="d-flex justify-content-end ">
                                    <button type="button" class="btn btn-theme btn-themeGray cancel-btn" data-dismiss="modal">Cancel</button>
                                    <button type="button" class="btn btn-theme btn-oreng-theme save-btn mx-3">Save</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
    <script src="{{ asset('theme/js/jquery.serialtip.js') }}"></script>
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script src="{{ asset('theme/js/input-mask.js') }}"></script>
    <script src="{{ asset('theme/js/html-duration-picker.min.js') }}"></script>
    <script src="{{ asset('theme/js/load-new-theme.js') }}"></script>
    <script type="text/javascript">
        var is_driver                       = <?php echo isset($loadDetail->driver_id) && $loadDetail->driver_id!='0'?'1':'0'; ?>;
        var stop_index                      = <?php echo $stop_index; ?>;
        var totalLoadDrivers                = <?php echo count($loadDrivers) ?>;
        var totalPendingDetention           = <?php echo $totalPendingDetention; ?>;
        var load_requirement                = <?php echo json_encode($load_requirement); ?>;
        var shipperFiles                    = <?php echo json_encode($broker_shipper_files); ?>;
        var consigneeFiles                  = <?php echo json_encode($broker_consignee_files); ?>;
        var accessorialDropDownOptionsHtml  = '{!! $accessorialDropDown !!}';
        $(document).ready(function() {
            //console.log(moment(moment().tz(timeZone)).format(dateTimeLayout));
            $('input[name=load_type]:checked').trigger('change');
            $('.edit-form').parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            $('.repBrokerContact').parsley();
            $('#sortable').sortable({
                items: '.stop:not(.fixed)',
                axis: "y",
                handle:".hedding .fa-sort",
                cursor: 'move',
                placeholder: "movable-placeholder", //placeholder: "ui-state-highlight",
                opacity: 0.7,
                revert: 300,
                delay: 150,
                disableSelection: true,
                start: function( e, ui ) {
                    ui.placeholder.height(ui.helper.outerHeight());
                },
                stop: function( e, ui ) {
                },
                update:function(e,ui) {
                    reArrangeStopNo();
                    setTimeout(function() {
                        if(totalStopVerified() >= 1){
                            drowMapCreate();
                        }
                        toastr.warning('The order of the stops has been changed. Please check if the date and times have been updated accordingly.', 'Warning Alert', {
                            timeOut: 5000
                        });
                    }, 1000);
                }
            });
            $.each($('.stop'), function(index,obj) {
                var that                    = $(this);
                var prev                    = that.prev();
                if(prev.length > 0){
                    var is_leaves           = that.attr('data-is_leaves');
                    if(is_leaves=='1'){
                        that.addClass('fixed');
                        that.find('.hedding .fa-sort').addClass('d-none');
                        that.find('.remove-shop-btn').addClass('d-none');
                        prev.find('.add-shop-btn').prop('disabled', true);
                    }
                }
                // console.log(that.prev().hasClass('stop'));
            });
            $('#pickup-delivery-collapse .stop[data-stop_index]').each(function (key, val){
                var that = $(this);
                stopInit(that,'yes');
            });
            var total_stop_verified         = 0;
            $.each($('.stop .geocoding-verified'), function(index,obj) {
                if($(this).val()=='1'){
                    ++total_stop_verified;
                }
            });
            if(total_stop_verified >= 2){
                setTimeout(function() {
                    drowMapCreate();
                }, 500);
            }
            // calculate
            if($('.accessorials-table tbody[data-record_exists="yes"]').length > 0){
                generateAccessorialWrapper();
            }
            setTimeout(function() {
                evaluateDetentionDue();
            }, 500);

            <?php if($loadDetail->temp_is_disable == 1): ?>
                var temp                    = $('input[name="temp"]').prop('disabled',true).prop('required',false).attr('aria-describedby');
                $('#'+temp).hide();
            <?php endif; ?>
        });
        $(document).ready(function() {
            $.each($('.accessorial'), function(index,obj) {
                $(this).find('option[value="'+$(this).attr('data-val')+'"]').attr('selected', 'selected');
            });
            $('.accessorial').select2();
            $.each($('.driverAccessorial'), function(index,obj) {
                $(this).find('option[value="'+$(this).attr('data-val')+'"]').attr('selected', 'selected');
            });
            $('.driverAccessorial').select2();

            getNoteSave();

            loadFileView();
        });
    </script>
    <script type="text/javascript">
        // Driver
        var previousDriverId;
        $('.driver-change').on('select2:open', function (e) {
            // Store the current value on focus and on change
            previousDriverId        = this.value;
        }).on('change', function (e) {
            e.preventDefault();

            $.ajax({
                type: 'POST',
                url: '{!! route("company.admin.loads.detention.running") !!}',
                data: { driver_id: previousDriverId, load_detail_id: "{{ $loadDetail->id }}" },
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                async: false
            }).done(function(response) {
                if(response.success){
                    if(response.running){
                        $(".driver-change").val(previousDriverId);
                        toastr.error('Due to a running detention request, the driver for this load cannot be changed. Please stop the detention request to change the driver.', {
                            timeOut: 5000
                        });
                        return;
                    }
                }
            });

            // Do something with the previous value after the change
            // Make sure the previous value is updated
            previousDriverId        = this.value;

            // checkLoadIsOverlapOrNot();
            var id                  = $(this).val();
            var isOos               = $(this).find(":selected").data("oos");
            var text                = $(this).find("option:selected").text();
            if(id!='0'){
                $('.driver-payment-div:first').attr('data-driver_id', previousDriverId);
                $('.driver-payment-div:first .driver-name').html('('+text+')');
            }else{
                $('.driver-payment-div:first').attr('data-driver_id', 0);
                $('.driver-payment-div:first .driver-name').html('(Driver Name)');
            }

            if($('.accessorials-table tbody[data-record_exists="yes"]').length > 0){
                generateAccessorialWrapper();
            }

            if(isOos == 'yes'){
                var current_object  = $(this);
                Swal.fire({
                    title: "Are you Sure?",
                    text: " You have selected an OOS driver. Would you still like to proceed and create the load?",
                    icon: "warning",
                    showCancelButton: true,
                    confirmButtonColor: "#3085d6",
                    cancelButtonColor: "#d33",
                    cancelButtonText: "No, change driver",
                    confirmButtonText: "Yes, go ahead!",
                }).then((result) => {
                    if (result.value) {
                        driverInfo(id);
                    }else{
                        $('.driver-change').prop("selectedIndex", 0).change();
                    }
                });
            }else{
                driverInfo(id);
            }
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('#defaultCurrentTime').datetimepicker({
                format: DateTimeFormat
            });
            <?php if($loadDetail->sent_to_driver == 1): ?>
                $("#defaultCurrentTime").removeClass("disabled-default-current-time");
            <?php endif; ?>

            $('#defaultStartShippingTime').datetimepicker({
                format: DateTimeFormat,
            });
            <?php if($loadDetail->intransit_shipping_information == 2): ?>
                $("#defaultStartShippingTime").removeClass("disabled-shipping-date-time");
            <?php endif; ?>
            <?php if(empty($loadDetail->intransit_date_time)): ?>
                $("#defaultStartShippingTime").addClass("disabled-shipping-date-time");
            <?php else: ?>
                $('#defaultStartShippingTime').prop('required',true);
            <?php endif; ?>

            $('#defaultStartDeliveryTime').datetimepicker({
                format: DateTimeFormat,
            });
            <?php if($loadDetail->delivered_delivery_information == 2): ?>
                $("#defaultStartDeliveryTime").removeClass("disabled-deliverd-date-time");
            <?php endif; ?>
            <?php if(empty($loadDetail->delivered_date_time)): ?>
                $("#defaultStartDeliveryTime").addClass("disabled-deliverd-date-time");
            <?php else: ?>
                $('#defaultStartDeliveryTime').prop('required',true);
            <?php endif; ?>

            $('#shipperDate,#deliveryDate,#shipperDateEnd,#deliveryDateEnd').datetimepicker({
                format: DateTimeFormat,
                useCurrent: false
            });
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('#shipperDate').datetimepicker().on('dp.change', function(e) {
                // console.log('shipper date change');

                getWeeklyFuelSurcharge();

                var shipperDate                 = $(this).val();
                var shipperD                    = moment(shipperDate).add(0, 'day').format('MM/DD/YYYY');
                var shipperT                    = moment(shipperDate).add(0, 'day').format(TimeFormat);

                var deliveryD                   = moment(shipperDate).add(1, 'day').format('MM/DD/YYYY');
                var deliveryT                   = SetTime12;
                var deliveryDate                = deliveryD+' '+deliveryT;

                var shipperMinDate              = shipperD+ ' 00:00'; //moment(shipperDate).format('MM/DD/YYYY HH:mm');
                var deliveryMinDate             = deliveryD+' 00:00'; //moment(deliveryDate).format('MM/DD/YYYY HH:mm');
                var deliveryMaxDate             = deliveryD+' 23:59'; //moment(deliveryDate).format('MM/DD/YYYY HH:mm');

                $('#shipperDateEnd').val(shipperDate);
                $('#shipperDateEnd').data('DateTimePicker').minDate(shipperMinDate);

                $('#deliveryDate').val(deliveryDate);
                $('#deliveryDate').data('DateTimePicker').minDate(shipperMinDate);

                $('#deliveryDateEnd').val(deliveryDate);
                $('#deliveryDateEnd').data('DateTimePicker').minDate(deliveryMinDate);

                if ($('input[name="intransit_shipping_information"]:checked').val() == 0) {
                    $('#defaultStartShippingTime').val(deliveryDate);
                }

                if ($('input[name="delivered_delivery_information"]:checked').val() == 0) {
                    $('#defaultStartDeliveryTime').val(deliveryDate);
                    $('#defaultStartDeliveryTime').data('DateTimePicker').minDate(shipperMinDate);
                }

                /*********For stop*******/
                $('#pickup-delivery-collapse .stop[data-stop_index]').each(function (key, val){
                    var that                    = $(this);
                    that.find('.stop-date-time').val(shipperDate);
                    that.find('.stop-date-time-end').val(shipperDate);

                    that.find('.stop-date-time').data('DateTimePicker').maxDate(deliveryMaxDate).minDate(shipperMinDate);
                    that.find('.stop-date-time-end').data('DateTimePicker').maxDate(deliveryMaxDate).minDate(shipperMinDate);

                    @if(getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3)
                        that.find('.custstopdate').data('DateTimePicker').maxDate(deliveryD);
                        that.find('.custstopdateend').data('DateTimePicker').maxDate(deliveryD);

                        that.find('.custstopdate').data('DateTimePicker').minDate(shipperD);
                        that.find('.custstopdateend').data('DateTimePicker').minDate(shipperD);
                    @endif
                });
                /*********End For stop*******/

                @if(getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3)
                    $('.custshippingdate').val(shipperD);
                    $('.custshippingtime').val(shipperT);

                    $('.custshippingdateend').val(shipperD);
                    $('.custshippingtimeend').val(shipperT);
                    $('.custshippingdateend').data('DateTimePicker').minDate(shipperD);

                    $('.custdeliverydate').val(deliveryD);
                    $('.custdeliverytime').val(deliveryT);
                    $('.custdeliverydate').data('DateTimePicker').minDate(deliveryD);

                    $('.custdeliverydateend').val(deliveryD);
                    $('.custdeliverytimeend').val(deliveryT);
                    $('.custdeliverydateend').data('DateTimePicker').minDate(deliveryD);
                @endif
            });

            $('#deliveryDate').datetimepicker().on('dp.change', function(e) {
                // console.log('delivery date change');

                var deliveryDate                = $(this).val();
                var deliveryD                   = moment(deliveryDate).add(0, 'day').format('MM/DD/YYYY');
                var deliveryT                   = moment(deliveryDate).add(0, 'day').format(TimeFormat);

                var deliveryMinDate             = deliveryD+' 00:00'; //moment(deliveryDate).format('MM/DD/YYYY HH:mm');
                var deliveryMaxDate             = deliveryD+' 23:59'; //moment(deliveryDate).format('MM/DD/YYYY HH:mm');

                var dinformation                = $('input[name="delivered_delivery_information"]:checked').val();
                if (dinformation == '0') {
                    $('#defaultStartDeliveryTime').val(deliveryDate);
                }

                var deliveryDateEnd             = $('#deliveryDateEnd').val();
                if(deliveryDateEnd){
                    if ($('input[name="delivery_time_range"]:checked').val() == 1) {
                        var sdate               = moment(deliveryDate).format('YYYY-MM-DD HH:mm');
                        var ddate               = moment(deliveryDateEnd).format('YYYY-MM-DD HH:mm');
                        if (moment(sdate).isAfter(ddate)) {
                            $('#deliveryDateEnd').val(deliveryDate);
                            toastr.warning('Delivery End Date updated accordingly.', {
                                timeOut: 5000
                            });
                        }
                    }else{
                        $('#deliveryDateEnd').val(deliveryDate);
                    }
                }
                $('#deliveryDateEnd').data('DateTimePicker').minDate(deliveryMinDate);

                /*********For stop*******/
                $('#pickup-delivery-collapse .stop[data-stop_index]').each(function (key, val){
                    var that                    = $(this);
                    that.find('.stop-date-time').data('DateTimePicker').maxDate(deliveryMaxDate);
                    that.find('.stop-date-time-end').data('DateTimePicker').maxDate(deliveryMaxDate);

                    @if(getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3)
                        that.find('.custstopdate').data('DateTimePicker').maxDate(deliveryD);
                        that.find('.custstopdateend').data('DateTimePicker').maxDate(deliveryD);
                    @endif
                });
                /*********End For stop*******/

                @if(getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3)
                    $('.custdeliverydate').val(deliveryD);
                    $('.custdeliverytime').val(deliveryT);
                @endif
            });

            $('#shipperDateEnd').datetimepicker().on('dp.change', function(e) {
                // console.log('shipper end date change');

                getWeeklyFuelSurcharge();

                var getDate                     = moment(new Date(e.date));
                var CurrentD                    = moment(getDate).add(0, 'day').format('MM/DD/YYYY');
                var TimeD                       = moment(getDate).add(0, 'day').format(TimeFormat);

                @if(getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3)
                    $('.custshippingdateend').val(CurrentD);
                    $('.custshippingtimeend').val(TimeD);
                @endif
            });

            $('#deliveryDateEnd').datetimepicker().on('dp.change', function(e) {
                // console.log('delivery end date change');

                var getDate                     = moment(new Date(e.date));
                var CurrentD                    = moment(getDate).add(0, 'day').format('MM/DD/YYYY');
                var TimeD                       = moment(getDate).add(0, 'day').format(TimeFormat);

                @if(getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3)
                    $('.custdeliverydateend').val(CurrentD);
                    $('.custdeliverytimeend').val(TimeD);
                @endif
            });
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $("input[name='delivered_delivery_information']").on('change', function(e) {
                var value           = $(this).val();
                if (value == '1') {
                    var dateNow     = getCurrentDate();
                    $('#defaultStartDeliveryTime').val(dateNow);
                    $("#defaultStartDeliveryTime").addClass("disabled-deliverd-date-time");
                }
                if (value == '0') {
                    var ddate       = $('#deliveryDate').val();
                    if (ddate) {
                        $('#defaultStartDeliveryTime').val(ddate);
                    } else {
                        $('#defaultStartDeliveryTime').val(ddate);
                        toastr.error('Please select delivery date and time', 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                    $("#defaultStartDeliveryTime").addClass("disabled-deliverd-date-time");
                }
                if (value == '2') {
                    $("#defaultStartDeliveryTime").val('');
                    $("#defaultStartDeliveryTime").attr("placeholder", "Please choose a date and time");
                    $("#defaultStartDeliveryTime").removeClass("disabled-deliverd-date-time");
                }
            });

            $("input[name='intransit_shipping_information']").on('change', function(e) {
                var value           = $(this).val();
                if (value == '1') {
                    var dateNow     = getCurrentDate();
                    $('#defaultStartShippingTime').val(dateNow);
                    $("#defaultStartShippingTime").addClass("disabled-shipping-date-time");
                }
                if (value == '0') {
                    var ddate       = $('#shipperDate').val();
                    if (ddate) {
                        $('#defaultStartShippingTime').val(ddate);
                    } else {
                        $('#defaultStartShippingTime').val(ddate);
                        toastr.error('Please select Shipping date and time', 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                    $("#defaultStartShippingTime").addClass("disabled-shipping-date-time");
                }
                if (value == '2') {
                    $("#defaultStartShippingTime").val('');
                    $("#defaultStartShippingTime").attr("placeholder", "Please choose a date and time");
                    $("#defaultStartShippingTime").removeClass("disabled-shipping-date-time");
                }
            });

            $("input[name='sent_to_driver']").on('change', function(e) {
                var value           = $(this).val();
                if (value == '0') {
                    var dateNow     = getCurrentDate();
                    $('#defaultCurrentTime').val(dateNow);
                    $("#defaultCurrentTime").addClass("disabled-default-current-time");
                }
                if (value == '1') {
                    $("#defaultCurrentTime").val('');
                    $("#defaultCurrentTime").attr("placeholder", "Please choose a date and time");
                    $("#defaultCurrentTime").removeClass("disabled-default-current-time");
                }
            });

            $("input[name='shipping_time_range']").on('change', function(e) {
                var value                       = $(this).val();
                if (value == '1') {
                    var shipper_date_time_end   = $('input[name="shipper_date_time_end"]').prop('required', true).attr('aria-describedby');
                    $('#' + shipper_date_time_end).show();
                } else {
                    var shipper_date_time_end   = $('input[name="shipper_date_time_end"]').prop('required', false).attr('aria-describedby');
                    $('#' + shipper_date_time_end).hide();
                }
            });

            $("input[name='delivery_time_range']").on('change', function(e) {
                var value                       = $(this).val();
                if (value == '1') {
                    var delivery_date_time_end  = $('input[name="delivery_date_time_end"]').prop('required', true).attr('aria-describedby');
                    $('#' + delivery_date_time_end).show();
                } else {
                    var delivery_date_time_end  = $('input[name="delivery_date_time_end"]').prop('required', false).attr('aria-describedby');
                    $('#' + delivery_date_time_end).hide();
                }
            });
        });
    </script>
    @if(getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3)
        <script type="text/javascript">
            $(document).ready(function() {
                $('.custdeliverydateend').datetimepicker({
                    format: 'MM/DD/YYYY',
                    useCurrent: false
                });

                $('.custdeliverydateend').datetimepicker().on('dp.change', function(e) {
                    var CurrentDate = moment(new Date(e.date));
                    var CurrentD    = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
                    var Ctime       = $('.custdeliverytimeend').val();
                    if(Ctime==''){
                        Ctime       = moment().format(TimeFormat);
                    }
                    $('#deliveryDateEnd').val(CurrentD + ' ' + Ctime).change();
                });

                $('.custdeliverytimeend').datetimepicker({
                    format: TimeFormat,
                    useCurrent: false
                });

                $('.custdeliverytimeend').datetimepicker().on('dp.change', function(e) {
                    var Ctime       = $('.custdeliverydateend').val();
                    var CurrentDate = moment(new Date(Ctime));
                    var CurrentD    = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
                    var Ctime       = $('.custdeliverytimeend').val();
                    if(Ctime==''){
                        Ctime       = moment().format(TimeFormat);
                    }
                    $('#deliveryDateEnd').val(CurrentD + ' ' + Ctime).change();
                });

                $('.custdeliverydate').datetimepicker({
                    format: 'MM/DD/YYYY',
                    useCurrent: false
                });

                $('.custdeliverydate').datetimepicker().on('dp.change', function(e) {
                    var CurrentDate = moment(new Date(e.date));
                    var CurrentD    = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
                    var Ctime       = $('.custdeliverytime').val();
                    if(Ctime==''){
                        Ctime       = moment().format(TimeFormat);
                    }
                    $('#deliveryDate').val(CurrentD + ' ' + Ctime).change();
                });

                $('.custdeliverytime').datetimepicker({
                    format: TimeFormat,
                    useCurrent: false
                });

                $('.custdeliverytime').datetimepicker().on('dp.change', function(e) {
                    var Ctime       = $('.custdeliverydate').val();
                    var CurrentDate = moment(new Date(Ctime));
                    var CurrentD    = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
                    var Ctime       = $('.custdeliverytime').val();
                    if(Ctime==''){
                        Ctime       = moment().format(TimeFormat);
                    }
                    $('#deliveryDate').val(CurrentD + ' ' + Ctime).change();
                });

                $('.custshippingdate').datetimepicker({
                    format: 'MM/DD/YYYY',
                    useCurrent: false
                });

                $('.custshippingdate').datetimepicker().on('dp.change', function(e) {
                    var CurrentDate = moment(new Date(e.date));
                    var CurrentD    = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
                    var Ctime       = $('.custshippingtime').val();
                    if(Ctime==''){
                        Ctime       = moment().format(TimeFormat);
                    }
                    $('#shipperDate').val(CurrentD + ' ' + Ctime).change();
                });

                $('.custshippingtime').datetimepicker({
                    format: TimeFormat,
                    useCurrent: false
                });

                $('.custshippingtime').datetimepicker().on('dp.change', function(e) {
                    var Ctime       = $('.custshippingdate').val();
                    var CurrentDate = moment(new Date(Ctime));
                    var CurrentD    = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
                    var Ctime       = $('.custshippingtime').val();
                    if(Ctime==''){
                        Ctime       = moment().format(TimeFormat);
                    }
                    $('#shipperDate').val(CurrentD + ' ' + Ctime).change();
                });

                $('.custshippingdateend').datetimepicker({
                    format: 'MM/DD/YYYY',
                    useCurrent: false
                });

                $('.custshippingdateend').datetimepicker().on('dp.change', function(e) {
                    var CurrentDate = moment(new Date(e.date));
                    var CurrentD    = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
                    var Ctime       = $('.custshippingtimeend').val();
                    if(Ctime==''){
                        Ctime       = moment().format(TimeFormat);
                    }
                    $('#shipperDateEnd').val(CurrentD + ' ' + Ctime).change();
                });

                $('.custshippingtimeend').datetimepicker({
                    format: TimeFormat,
                    useCurrent: false
                });

                $('.custshippingtimeend').datetimepicker().on('dp.change', function(e) {
                    var Ctime       = $('.custshippingdateend').val();
                    var CurrentDate = moment(new Date(Ctime));
                    var CurrentD    = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
                    var Ctime       = $('.custshippingtimeend').val();
                    if(Ctime==''){
                        Ctime       = moment().format(TimeFormat);
                    }
                    $('#shipperDateEnd').val(CurrentD + ' ' + Ctime).change();
                });

                $(".custshippingdate").mask("99/99/9999");
                $(".custshippingdateend").mask("99/99/9999");
                $(".custdeliverydate").mask("99/99/9999");
                $(".custdeliverydateend").mask("99/99/9999");

                $(".custshippingtime").mask(TimeMaskFormat).attr("placeholder", TimeFormatPlace);
                $(".custshippingtimeend").mask(TimeMaskFormat).attr("placeholder", TimeFormatPlace);
                $(".custdeliverytime").mask(TimeMaskFormat).attr("placeholder", TimeFormatPlace);
                $(".custdeliverytimeend").mask(TimeMaskFormat).attr("placeholder", TimeFormatPlace);
            });
        </script>
    @endif
    <script type="text/javascript">
        $(document).ready(function() {
            $('.shippingRange').click(function() {
                $('.shippingEnd').addClass('d-block');
            });

            $('.shippingTime').click(function() {
                $('.shippingEnd').removeClass('d-block');
                $('#shipperDateEnd').val('');
            });

            $('.deliveryRange').click(function() {
                $('.deliveryEnd').addClass('d-block');
            });

            $('.deliveryTime').click(function() {
                $('.deliveryEnd').removeClass('d-block');
                $('#deliveryDateEnd').val('');
            });
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('.brokerage-firm-select2').select2().on('change', function (e) {
                var optionSelected      = $("option:selected", this);
                var valueSelected       = this.value;
                if(valueSelected){
                    $('.rep-broker-contact').removeClass('d-none');
                    brokerInfo(valueSelected);
                }else{
                    nonBrokerInfo();
                }
            });
            @if(isset($loadDetail->rep) && $loadDetail->rep!='')
                $('.broker-contact option[value="{{ $loadDetail->rep }}"]').attr('selected', 'selected'); //$('.broker-contact').val('{{ $loadDetail->rep }}').change();
            @endif
            $('.broker-contact').select2();

            $('.rep-broker-contact').click(function () {
                $('.repBrokerContact').trigger('reset');
                var brokerage_firm          = $('.brokerage-firm-select2').val();
                $('.brokerIDset').val(brokerage_firm);
                $('#addBrockerContact').modal('show');
            });
            $('#addBrockerContact').on('hidden.bs.modal', function() {
                $('.repBrokerContact').trigger('reset');
                $('.repBrokerContact').find('.error').text('');
                $('.repBrokerContact').parsley().reset();
            });
            $('.repBrokerContact').ajaxForm({
                beforeSubmit: function () {
                    $('.error').text('');
                    $('.repBrokerContact').parsley().validate();
                    return $('.repBrokerContact').parsley().isValid(); // TRUE when form is valid, FALSE will cancel submit
                },
                complete: function(response) {
                    if (response.responseJSON.success) {
                        var rep             = response.responseJSON.id;
                        var brokerage_firm  = $('.brokerage-firm-select2').val();
                        if(brokerage_firm){
                            brokerInfo(brokerage_firm,rep);
                        }
                        $('#addBrockerContact').modal('hide');
                        toastr.success(response.responseJSON.success, 'Success Alert', {
                            timeOut: 5000
                        });
                    } else {
                        $('.repBrokerContact').find('.error').text('');
                        $.each( response.responseJSON.errors, function( key, value ) {
                            var key = key.replace(/\./g, '_');
                            $.each( value , function( skey, svalue ) {
                                $('.repBrokerContact .'+key+'_error').text(svalue);
                            });
                        });
                        toastr.error('Please check the form below for errors', 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                },
            });
        });
        $(document).on('change', '.broker-contact', function(e) {
            var cphone_number   = $(this).find(":selected").data('phone');
            var cext            = $(this).find(":selected").data('ext');
            var cemail          = $(this).find(":selected").data('email');

            $('.phone, .ext, .broker-email').val('');
            if(cphone_number)
                $('.phone').val(cphone_number);
            if(cext)
                $('.ext').val(cext);
            if(cemail)
                $('.broker-email').val(cemail);
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('.score-btn').click(function () {
                var that                        = $(this);
                var brokerage_firm              = $('.brokerage-firm-select2').val();
                $('#scoreModal input[name="rts_brokerage_id"]').val(brokerage_firm);
                if(that.text()=='Update'){
                    var score_ratting           = $('.credit-score-card input[name="score_ratting"]').val();
                    var score_credit            = $('.credit-score-card input[name="score_credit"]').val();
                    $('#scoreModal select[name="ratting"]').val(score_ratting);
                    $('#scoreModal input[name="credit_available"]').val(score_credit);
                }else{
                    $('#scoreModal select[name="ratting"]').val('');
                    $('#scoreModal input[name="credit_available"]').val('');
                }
                $('#scoreModal').modal('show');
            });
            $('#scoreModal').on('hidden.bs.modal', function() {
                $('#scorefrm').trigger('reset');
                $('#scorefrm').find('.error').text('');
                $('#scorefrm').parsley().reset();
            });
        });
        $(document).on('click', '.score-submit', function(event) {
            event.preventDefault();
            // console.log('score-submit');
            // return false;

            var that                        = $(this);
            var btnTxt                      = that.text();

            var form                        = $('#scoreModal #scorefrm');
            form.parsley().validate();
            if (form.parsley().isValid()){
                var formData                = new FormData(form[0]);
                $.ajax({
                    type: 'POST',
                    url: '{!! route("company.admin.rts.credit.score.save") !!}',
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                }).done(function(response) {
                    if(response.success){
                        var rts_score       = response.rts_score;
                        $('.credit-score-card input[name="score_ratting"]').val(rts_score.score_ratting);
                        $('.credit-score-card .ratting .val').html(rts_score.score_ratting);
                        $('.credit-score-card input[name="score_credit"]').val(rts_score.score_credit);
                        $('.credit-score-card .available .val').html(rts_score.score_credit);
                        $('.credit-score-card input[name="score_updated_at"]').val(rts_score.score_update);
                        $('.credit-score-card .update .val').html(rts_score.convert_score_update);
                        $('.credit-score-card .score-btn').html('Update');

                        toastr.success(
                            response.message,
                            'Success Alert', {
                                timeOut: 1000,
                                fadeOut: 1000,
                                onHidden: function () {
                                    $('#scoreModal').modal('hide');
                                }
                            }
                        );
                    }else{
                        toastr.error(response.message, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                }).fail(function(jqXHR, status, exception)  {
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, 'Error Alert', {
                        timeOut: 5000
                    });
                }).always(function (dataOrjqXHR, textStatus, jqXHRorErrorThrown) {
                    that.prop('disabled', false).html(btnTxt);
                });
            }
            return false;
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('.shipper-select2').select2().on('change', function() {
                var value       = this.value;

                var that        = $(this);
                var geocoding   = that.closest('.geocoding');
                var btn         = geocoding.find('.geocoding-btn');

                if (value) {
                    var token   = $('meta[name="csrf-token"]').attr('content');
                    $.ajax({
                        url: "{{ route('company.admin.get.customeraddress.by.id') }}",
                        method: "POST",
                        data: {
                            _token: token,
                            customer_id: value
                        },
                        beforeSend: function() {
                            geocoding.find('.geocoding-timezone').html('').addClass('d-none');
                            geocoding.find('.geocoding-abbr').val('');
                            geocoding.find('.geocoding-latitude').val('');
                            geocoding.find('.geocoding-longitude').val('');
                            geocoding.find('.geocoding-verified').val('0');

                            btn.text('Verify Address');

                            drowMapCreate();
                        },
                        success: function(response) {
                            var address = response.address;
                            $("input[name='shipper_address_one']").val(response.address);
                            $("input[name='shipper_address_two']").val(response.address2);
                            $("input[name='shipper_city']").val(response.city);
                            $("input[name='shipper_state']").val(response.state);
                            $("input[name='shipper_zip']").val(response.zip);

                            TrimbleMaps.Geocoder.geocode({
                                address: {
                                    addr: response.address,
                                    city: response.city,
                                    state: response.state,
                                    zip: response.zip,
                                    region: TrimbleMaps.Common.Region.NA
                                },
                                listSize: 1,
                                success: function(response) {
                                    // console.log(response);
                                    // return false;
                                    if(response.length > 0){
                                        var data            = response[0];
                                        if(!$.isEmptyObject(data)){
                                            var etype       = [];
                                            var emsg        = [];
                                            if(data.Errors.length > 0){
                                                data.Errors.forEach(function(e) {
                                                    etype.push(e.Type);
                                                    emsg.push(e.Description);
                                                });
                                            }
                                            emsg            = emsg.join(', ');
                                            if($.inArray(1, etype) == -1){ // type == 0
                                                // console.log('Value Not exists');
                                                if(data.TimeZone){
                                                    geocoding.find('.geocoding-timezone').html(data.TimeZone).removeClass('d-none');
                                                    geocoding.find('.geocoding-abbr').val(data.TimeZone);
                                                    geocoding.find('.geocoding-abbr').parsley().reset();
                                                }
                                                if(data.Coords){
                                                    geocoding.find('.geocoding-latitude').val(data.Coords.Lat);
                                                    geocoding.find('.geocoding-longitude').val(data.Coords.Lon);
                                                }
                                                geocoding.find('.geocoding-verified').val('1');

                                                btn.text('Verified');

                                                drowMapCreate();

                                                if(emsg){
                                                    toastr.error(emsg, {
                                                        timeOut: 5000
                                                    });
                                                }
                                            }else{
                                                // console.log('Value exists in Array variable');
                                                // toastr.error(emsg, {
                                                //     timeOut: 5000
                                                // });

                                                var uid         = btn.attr('data-uid');
                                                if(uid){
                                                    var uidElem = $('#boxModal').find('.uid');
                                                    uidElem.text(uid);
                                                    setTimeout(function() {
                                                        $('#boxModal').modal({backdrop: 'static', keyboard: false}, 'show');
                                                    }, 250);
                                                }else{
                                                    toastr.error(emsg, {
                                                        timeOut: 5000
                                                    });
                                                }
                                            }
                                        }
                                    }
                                },
                                failure: function(response) {
                                    //console.log(response);
                                }
                            });
                        }
                    });
                } else {
                    $("input[name='shipper_address_one']").val('');
                    $("input[name='shipper_address_two']").val('');
                    $("input[name='shipper_city']").val('');
                    $("input[name='shipper_state']").val('');
                    $("input[name='shipper_zip']").val('');

                    geocoding.find('.geocoding-timezone').html('').addClass('d-none');
                    geocoding.find('.geocoding-abbr').val('');
                    geocoding.find('.geocoding-latitude').val('');
                    geocoding.find('.geocoding-longitude').val('');
                    geocoding.find('.geocoding-verified').val('0');

                    btn.text('Verify Address');

                    drowMapCreate();
                }

                $("input[name='shipper_address_one']").parsley().reset();
                $("input[name='shipper_state']").parsley().reset();
                $("input[name='shipper_zip']").parsley().reset();
            });
            $('#addShipperModal').on('hidden.bs.modal', function() {
                $('.storeShipperForm').trigger('reset');
                $('.storeShipperForm').find('.error').text('');
                $('.storeShipperForm input[name="stop_index"]').val('');
            });
            $('.storeShipperForm').ajaxForm({
                complete: function(response) {
                    if (response.responseJSON.success) {
                        var cust_id         = response.responseJSON.id;
                        var stop_index_no   = $('.storeShipperForm input[name="stop_index"]').val();
                        if(stop_index_no){
                            getShipper($('div[data-stop_index="'+stop_index_no+'"] .stop-select2'),cust_id);
                        }else{
                            getShipper($('.shipper-select2'),cust_id);
                        }
                        $('#addShipperModal').modal('hide');
                        toastr.success(response.responseJSON.success, 'Success Alert', {
                            timeOut: 5000
                        });
                    } else {
                        $('.storeShipperForm').find('.error').text('');
                        $.each(response.responseJSON.errors, function(key, value) {
                            var key = key.replace(/\./g, '_');
                            $.each(value, function(skey, svalue) {
                                $('.' + key + '_error').text(svalue);
                            });
                        });
                        toastr.error('Please check the form below for errors', 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                },
            });
        });
        $(document).on('click', '.add-shipper-link', function() {
            var that            = $(this);
            $('.storeShipperForm').trigger('reset');
            $('.storeShipperForm').find('.error').text('');
            var stop_index_no   = that.attr('data-stop_index');
            $('.storeShipperForm input[name="stop_index"]').val('');
            if(stop_index_no){
                $('.storeShipperForm input[name="stop_index"]').val(stop_index_no);
            }
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('.receiver-select2').select2().on('change', function() {
                var value       = this.value;

                var that        = $(this);
                var geocoding   = that.closest('.geocoding');
                var btn         = geocoding.find('.geocoding-btn');

                if (value) {
                    var token   = $('meta[name="csrf-token"]').attr('content');
                    $.ajax({
                        url: "{{ route('company.admin.get.customeraddress.by.id') }}",
                        method: "POST",
                        data: {
                            _token: token,
                            customer_id: value
                        },
                        beforeSend: function() {
                            geocoding.find('.geocoding-timezone').html('').addClass('d-none');
                            geocoding.find('.geocoding-abbr').val('');
                            geocoding.find('.geocoding-latitude').val('');
                            geocoding.find('.geocoding-longitude').val('');
                            geocoding.find('.geocoding-verified').val('0');

                            btn.text('Verify Address');

                            drowMapCreate();
                        },
                        success: function(response) {
                            var address = response.address;
                            $("input[name='delivery_address_one']").val(response.address);
                            $("input[name='delivery_address_two']").val(response.address2);
                            $("input[name='delivery_city']").val(response.city);
                            $("input[name='delivery_state']").val(response.state);
                            $("input[name='delivery_zip']").val(response.zip);

                            TrimbleMaps.Geocoder.geocode({
                                address: {
                                    addr: response.address,
                                    city: response.city,
                                    state: response.state,
                                    zip: response.zip,
                                    region: TrimbleMaps.Common.Region.NA
                                },
                                listSize: 1,
                                success: function(response) {
                                    // console.log(response);
                                    // return false;
                                    if(response.length > 0){
                                        var data            = response[0];
                                        if(!$.isEmptyObject(data)){
                                            var etype       = [];
                                            var emsg        = [];
                                            if(data.Errors.length > 0){
                                                data.Errors.forEach(function(e) {
                                                    etype.push(e.Type);
                                                    emsg.push(e.Description);
                                                });
                                            }
                                            emsg            = emsg.join(', ');
                                            if($.inArray(1, etype) == -1){ // type == 0
                                                // console.log('Value Not exists');
                                                if(data.TimeZone){
                                                    geocoding.find('.geocoding-timezone').html(data.TimeZone).removeClass('d-none');
                                                    geocoding.find('.geocoding-abbr').val(data.TimeZone);
                                                    geocoding.find('.geocoding-abbr').parsley().reset();
                                                }
                                                if(data.Coords){
                                                    geocoding.find('.geocoding-latitude').val(data.Coords.Lat);
                                                    geocoding.find('.geocoding-longitude').val(data.Coords.Lon);
                                                }
                                                geocoding.find('.geocoding-verified').val('1');

                                                btn.text('Verified');

                                                drowMapCreate();

                                                if(emsg){
                                                    toastr.error(emsg, {
                                                        timeOut: 5000
                                                    });
                                                }
                                            }else{
                                                // console.log('Value exists in Array variable');
                                                // toastr.error(emsg, {
                                                //     timeOut: 5000
                                                // });

                                                var uid         = btn.attr('data-uid');
                                                if(uid){
                                                    var uidElem = $('#boxModal').find('.uid');
                                                    uidElem.text(uid);
                                                    setTimeout(function() {
                                                        $('#boxModal').modal({backdrop: 'static', keyboard: false}, 'show');
                                                    }, 250);
                                                }else{
                                                    toastr.error(emsg, {
                                                        timeOut: 5000
                                                    });
                                                }
                                            }
                                        }
                                    }
                                },
                                failure: function(response) {
                                    //console.log(response);
                                }
                            });
                        }
                    });
                } else {
                    $("input[name='delivery_address_one']").val('');
                    $("input[name='delivery_address_two']").val('');
                    $("input[name='delivery_city']").val('');
                    $("input[name='delivery_state']").val('');
                    $("input[name='delivery_zip']").val('');

                    geocoding.find('.geocoding-timezone').html('').addClass('d-none');
                    geocoding.find('.geocoding-abbr').val('');
                    geocoding.find('.geocoding-latitude').val('');
                    geocoding.find('.geocoding-longitude').val('');
                    geocoding.find('.geocoding-verified').val('0');

                    btn.text('Verify Address');

                    drowMapCreate();
                }

                $("input[name='delivery_address_one']").parsley().reset();
                $("input[name='delivery_state']").parsley().reset();
                $("input[name='delivery_zip']").parsley().reset();
            });
            $('#addReceiverModal').on('hidden.bs.modal', function() {
                $('.storeReceiverForm').trigger('reset');
                $('.storeReceiverForm').find('.error').text('');
                $('.storeReceiverForm input[name="stop_index"]').val('');
            });
            $('.storeReceiverForm').ajaxForm({
                complete: function(response) {
                    if (response.responseJSON.success) {
                        var cust_id         = response.responseJSON.id;
                        var stop_index_no   = $('.storeReceiverForm input[name="stop_index"]').val();
                        if(stop_index_no){
                            getReceiver($('div[data-stop_index="'+stop_index_no+'"] .stop-select2'),cust_id);
                        }else{
                            getReceiver($('.receiver-select2'),cust_id);
                        }
                        $('#addReceiverModal').modal("hide");
                        toastr.success(response.responseJSON.success, 'Success Alert', {
                            timeOut: 5000
                        });
                    } else {
                        $('.storeReceiverForm').find('.error').text('');
                        $.each(response.responseJSON.errors, function(key, value) {
                            var key = key.replace(/\./g, '_');
                            $.each(value, function(skey, svalue) {
                                $('.' + key + '_error').text(svalue);
                            });
                        });
                        toastr.error('Please check the form below for errors', 'Error Alert', {
                            timeOut: 5000
                        })
                    }
                },
            });
        });
        $(document).on('click', '.add-receiver-link', function() {
            var that            = $(this);
            $('.storeReceiverForm').trigger('reset');
            $('.storeReceiverForm').find('.error').text('');
            var stop_index_no   = that.attr('data-stop_index');
            $('.storeReceiverForm input[name="stop_index"]').val('');
            if(stop_index_no){
                $('.storeReceiverForm input[name="stop_index"]').val(stop_index_no);
            }
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('.note-private-users').select2();
        });
        $('input[type="checkbox"][name="notify_private"]').change(function() {
            if (this.checked) {
                $('.note-private-users-div').removeClass('d-none');
            } else {
                $('.note-private-users-div').addClass('d-none');
            }
        });
        $(document).on('click', '.note-submit', function(event) {
            event.preventDefault();
            // console.log('note-submit');
            // return false;
            // var inputs       = $('input, textarea, select').not(':input[type=button], :input[type=submit], :input[type=reset]');

            var that            = $(this);
            var btnTxt          = that.text();

            var card            = that.closest('.card-body');

            var error           = {};
            var note            = card.find('textarea[name="note"]').val();
            if(note==''){
                error['note']   = 'The note field is required.';
            }
            var notify_private  = card.find('input[type="checkbox"][name="notify_private"]').is(':checked');
            if(notify_private){
                var user_private    = card.find('#notify_private_company_admin_id').val();
                if(user_private== null){
                    error['user']   = 'The user field is required.';
                }
            }

            if(!$.isEmptyObject(error)){
                var html        = '<div class="alert alert-danger"><ul>';
                $.each(error, function (key, val) {
                    html        += '<li>'+val+'</li>';
                });
                html            +='</ul></div>';
                Swal.fire({
                    icon: 'error',
                    html: html,
                });
                return false;
            }

            var formData        = new FormData();
            formData.append('load_id', $('input[name="dummyloadid"]').val()); // original load id
            var fields          = card.find("select, textarea, input:not(input[type=file])").serializeArray();
            $.each(fields, function( i, field ) {
                formData.append(field.name, field.value);
            });
            var totalfiles      = document.getElementById('note_file').files.length;
            for (var index = 0; index < totalfiles; index++) {
                formData.append("note_file[]", document.getElementById('note_file').files[index]);
            }

            $.ajax({
                type: 'POST',
                url: '{!! route("company.admin.loads.note.save") !!}',
                data: formData,
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                cache : false,
                processData: false,
                contentType: false,
                beforeSend: function() {
                    that.prop('disabled', true).html('Please Wait...');
                },
            }).done(function(response) {
                if(response.success){
                    getNoteSave();

                    card.find("textarea").val('');
                    card.find('input:not(:input[type=hidden], :input[type=checkbox])').val('');
                    card.find('select[name="type"] option:eq(0)').prop('selected', true);
                    card.find('select[name="request_type"] option:eq(0)').prop('selected', true);
                    card.find('select[name="notify_private_company_admin_id[]"]').val(null).trigger('change');
                    card.find('input[type=checkbox]:checked').prop( "checked", false );
                    $('.note-private-users-div').addClass('d-none');

                    toastr.success('Note create successfully', 'Success Alert', {
                        timeOut: 5000
                    });
                }else{
                    toastr.error(response.message, 'Error Alert', {
                        timeOut: 5000
                    });
                }
            }).fail(function(jqXHR, status, exception)  {
                if (jqXHR.status === 0) {
                    error = 'Not connected.\nPlease verify your network connection.';
                } else if (jqXHR.status == 404) {
                    error = 'The requested page not found. [404]';
                } else if (jqXHR.status == 500) {
                    error = 'Internal Server Error [500].';
                } else if (exception === 'parsererror') {
                    error = 'Requested JSON parse failed.';
                } else if (exception === 'timeout') {
                    error = 'Time out error.';
                } else if (exception === 'abort') {
                    error = 'Ajax request aborted.';
                } else {
                    error = 'Uncaught Error.\n' + jqXHR.responseText;
                }
                toastr.error(error, 'Error Alert', {
                    timeOut: 5000
                });
            }).always(function (dataOrjqXHR, textStatus, jqXHRorErrorThrown) {
                that.prop('disabled', false).html(btnTxt);
            });
        });
        $(document).on('click', '.destroyNote', function () {
            var current_object = $(this);
            Swal.fire({
                title: "Are you sure?",
                text: "You won't be able to revert this!",
                icon: "warning",
                showCancelButton: true,
                confirmButtonColor: "#3085d6",
                cancelButtonColor: "#d33",
                confirmButtonText: "Yes, delete it!",
            }).then((result) => {
                if (result.value) {
                    $(".getNoteSave").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
                    var action  = current_object.attr('data-action');
                    var id      = current_object.attr('data-id');
                    var token   = $("input[name='_token']").val();

                    $.ajax({
                        url: action,
                        method: "delete",
                        data: { _token : token , id : id},
                        success: function(response) {
                            toastr.success('Deleted successfully', 'Success Alert', {
                                timeOut: 5000
                            });
                            getNoteSave();
                        }
                    });
                }
            });
        });
    </script>
    <script type="text/javascript">
        $(document).on('click', '.time-range-btn', function() {
            var that                        = $(this);
            var buttons_group               = that.closest('.buttons-group');
            that.removeClass('btn-grey-theme').addClass('btn-oreng-theme');
            that.find('input[type=radio]').prop('checked',true).trigger('change');
            buttons_group.find('button').not(this).removeClass('btn-oreng-theme').addClass('btn-grey-theme');
            //console.log(buttons_group.find('input[type=radio]:checked').val());
        });
        $(document).on('click', '.customer-type-btn', function() {
            var that                        = $(this);
            var buttons_group               = that.closest('.buttons-group');
            if(!that.hasClass('rdio')){
                that.removeClass('btn-grey-theme').addClass('btn-oreng-theme');
                that.find('input[type=radio]').prop('checked',true).trigger('change');
                buttons_group.find('button').not(this).removeClass('btn-oreng-theme').addClass('btn-grey-theme');
                //console.log(buttons_group.find('input[type=radio]:checked').val());
            }else{
                var current_selected        = that.find(':radio');
                var current_selected_val    = current_selected.val();
                var previous_selected       = buttons_group.find('.stop-customer_type:checked');
                var previous_selected_val   = previous_selected.val();
                if(current_selected_val!=previous_selected_val){
                    var detentionBtn        = previous_selected.closest('.stop').find('.detention-request');
                    var mode                = detentionBtn.attr('data-mode');
                    if(mode=='edit'){
                        toastr.error('Due to existing detention request stop type cannot be changed.', {
                            timeOut: 5000
                        });
                        return false;
                    }
                    that.removeClass('btn-grey-theme').addClass('btn-oreng-theme');
                    that.find('input[type=radio]').prop('checked',true).trigger('change');
                    buttons_group.find('button').not(this).removeClass('btn-oreng-theme').addClass('btn-grey-theme');
                    // console.log(buttons_group.find('input[type=radio]:checked').val());
                }
            }
        });
    </script>
    <script type="text/javascript">
        $(document).on('click', '.add-shop-btn', function(event) {
            var shipdate                            = $('#shipperDate').val();
            var delirydate                          = $('#deliveryDate').val();
            if (delirydate != null && delirydate != '' && delirydate != null && delirydate != '') {
                var that                            = $(this);
                var stop                            = that.closest('.stop');
                var stop_no                         = parseInt(stop.attr('data-stop_no'));
                stop_no                             += 1;

                $("#addStopOnIndex").val(stop_no);

                var formData                        = {};
                formData['stop_no']                 = stop_no;
                formData['stop_index']              = stop_index;
                formData['accessorial_unique_id']   = "{{ $accessorial_unique_id }}";

                formData['dropSearchDropDown']      = '{!! str_replace("'", "\'", $dropSearchDropDown) !!}';
                formData['dropTrailerDetails']      = '{!! serialize(str_replace("'", "\'", $dropTrailerDetails)) !!}';
                formData['page']                    = 'edit';
                $.ajax({
                    type: 'POST',
                    url: '{{ route("company.admin.load.add.stop") }}',
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        //console.log('beforeSend');
                    },
                    success: function(response) {
                        stop.after(response.view);
                        var stop_div                = $('div[data-stop_index="'+stop_index+'"]');
                        stopInit(stop_div);
                        reArrangeStopNo();

                        //For Drop Trailer - START
                        $("#dropTrailerBlock_"+ stop_index).hide();
                        $("#dropLocByUser_"+ stop_index).select2();
                        let driverName              = $("[name='driver_id']").select2('data')[0].text;
                        let trailerNumber           = $("[name='trailer_number']").select2('data')[0].text;
                        let truckNumber             = $("[name='truck_number']").val();
                        if(driverName !== ""){
                            $("#dropDriverName_"+ stop_index).text(driverName);
                        }
                        if(trailerNumber !== ""){
                            $("#dropTrailer_"+ stop_index).text(trailerNumber);
                        }
                        if(truckNumber !== ""){
                            $("#dropTruck_"+ stop_index).text(truckNumber);
                        }
                        $('#dropDorpDate_'+ stop_index).datetimepicker({ format: DateTimeFormat });

                        $('#dropTrailerBlock_'+ stop_index +' .drop-select').hide();
                        //For Drop Trailer - END

                        stop_index++;

                        toastr.success('Stop Added', 'Success Alert', {
                            timeOut: 5000
                        });
                    },
                    complete: function() {
                        //console.log('complete');
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }else{
                toastr.error('Please select shipping and delivery date.', 'Error Alert', {
                    timeOut: 3000
                });
            }
        });
        $(document).on('click', '.remove-shop-btn', function(event) {
            var that            = $(this);
            var stop_div        = that.closest('.stop');
            var stop_row_id     = stop_div.find('.stop_row_id').val();

            Swal.fire({
                title: "Are you Sure?",
                text: " You won't be able to revert this!",
                icon: "warning",
                showCancelButton: true,
                confirmButtonColor: "#3085d6",
                cancelButtonColor: "#d33",
                cancelButtonText: "Cancel",
                confirmButtonText: "Yes, remove it!",
            }).then((result) => {
                if (result.value) {
                    $("#removeStopOnIndex").val(stop_div.data('stop_no'));

                    if(stop_row_id){
                        $.ajax({
                            type: 'POST',
                            url: '{!! route("company.admin.load.remove.stop") !!}',
                            data: { id: stop_row_id },
                            dataType: 'json',
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                        }).done(function(response) {
                            if(response.success){
                                checkPendingDetention();

                                stop_div.remove();
                                reArrangeStopNo();
                                if(totalStopVerified() >= 1){
                                    setTimeout(function() {
                                        drowMapCreate();
                                    }, 1000);
                                }

                                toastr.error('Stop removed', 'Remove Alert', {
                                    timeOut: 5000
                                });
                            }else{
                                toastr.error(response.message, {
                                    timeOut: 5000
                                });
                            }
                        }).fail(function(jqXHR, status, exception)  {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, {
                                timeOut: 5000
                            });
                        });
                    }else{
                        stop_div.remove();
                        reArrangeStopNo();
                        if(totalStopVerified() >= 1){
                            setTimeout(function() {
                                drowMapCreate();
                            }, 1000);
                        }

                        toastr.error('Stop removed', 'Remove Alert', {
                            timeOut: 5000
                        });
                    }
                }
            });
            return false;
        });
    </script>
    <script type="text/javascript">
        $(document).on('change', '.stop-select2', function() {
            var value           = this.value;

            var that            = $(this);
            var geocoding       = that.closest('.geocoding');
            var btn             = geocoding.find('.geocoding-btn');

            var stop            = that.closest('.stop');

            if (value){
                var token       = $('meta[name="csrf-token"]').attr('content');
                $.ajax({
                    url: "{{ route('company.admin.get.customeraddress.by.id') }}",
                    method: "POST",
                    data: {
                        _token : token,
                        customer_id:value
                    },
                    beforeSend: function() {
                        geocoding.find('.geocoding-timezone').html('').addClass('d-none');
                        geocoding.find('.geocoding-abbr').val('');
                        geocoding.find('.geocoding-latitude').val('');
                        geocoding.find('.geocoding-longitude').val('');
                        geocoding.find('.geocoding-verified').val('0');

                        btn.text('Verify Address');

                        drowMapCreate();
                    },
                    success: function(response) {
                        var address = response.address;
                        stop.find('.stop-address-1').val(response.address);
                        stop.find('.stop-address-2').val(response.address2);
                        stop.find('.stop-city').val(response.city);
                        stop.find('.stop-state').val(response.state);
                        stop.find('.stop-zip').val(response.zip);

                        TrimbleMaps.Geocoder.geocode({
                            address: {
                                addr: response.address,
                                city: response.city,
                                state: response.state,
                                zip: response.zip,
                                region: TrimbleMaps.Common.Region.NA
                            },
                            listSize: 1,
                            success: function(response) {
                                // console.log(response);
                                // return false;
                                if(response.length > 0){
                                    var data            = response[0];
                                    if(!$.isEmptyObject(data)){
                                        var etype       = [];
                                        var emsg        = [];
                                        if(data.Errors.length > 0){
                                            data.Errors.forEach(function(e) {
                                                etype.push(e.Type);
                                                emsg.push(e.Description);
                                            });
                                        }
                                        emsg            = emsg.join(', ');
                                        if($.inArray(1, etype) == -1){ // type == 0
                                            // console.log('Value Not exists');
                                            if(data.TimeZone){
                                                geocoding.find('.geocoding-timezone').html(data.TimeZone).removeClass('d-none');
                                                geocoding.find('.geocoding-abbr').val(data.TimeZone);
                                                geocoding.find('.geocoding-abbr').parsley().reset();
                                            }
                                            if(data.Coords){
                                                geocoding.find('.geocoding-latitude').val(data.Coords.Lat);
                                                geocoding.find('.geocoding-longitude').val(data.Coords.Lon);
                                            }
                                            geocoding.find('.geocoding-verified').val('1');

                                            btn.text('Verified');

                                            drowMapCreate();

                                            if(emsg){
                                                toastr.error(emsg, {
                                                    timeOut: 5000
                                                });
                                            }
                                        }else{
                                            // console.log('Value exists in Array variable');
                                            // toastr.error(emsg, {
                                            //     timeOut: 5000
                                            // });

                                            var uid         = btn.attr('data-uid');
                                            if(uid){
                                                var uidElem = $('#boxModal').find('.uid');
                                                uidElem.text(uid);
                                                setTimeout(function() {
                                                    $('#boxModal').modal({backdrop: 'static', keyboard: false}, 'show');
                                                }, 250);
                                            }else{
                                                toastr.error(emsg, {
                                                    timeOut: 5000
                                                });
                                            }
                                        }
                                    }
                                }
                            },
                            failure: function(response) {
                                //console.log(response);
                            }
                        });
                    }
                });
            }else{
                stop.find('.stop-address-1').val('');
                stop.find('.stop-address-2').val('');
                stop.find('.stop-city').val('');
                stop.find('.stop-state').val('');
                stop.find('.stop-zip').val('');

                geocoding.find('.geocoding-timezone').html('').addClass('d-none');
                geocoding.find('.geocoding-abbr').val('');
                geocoding.find('.geocoding-latitude').val('');
                geocoding.find('.geocoding-longitude').val('');
                geocoding.find('.geocoding-verified').val('0');

                btn.text('Verify Address');

                drowMapCreate();
            }

            stop.find('.stop-address-1').parsley().reset();
            stop.find('.stop-state').parsley().reset();
            stop.find('.stop-zip').parsley().reset();
        });
        $(document).on('change', '.stop-date_time_range', function() {
            var that                        = $(this);
            var stop_div                    = that.closest('.stop');
            var value                       = that.val();
            if(value == '1'){
                var date_time_end           = stop_div.find('.stop-date-time-end').prop('required',true).attr('aria-describedby');
                stop_div.find('#'+date_time_end).show();
                stop_div.find('.stopDateTimeEnd').addClass('d-block');
            }else{
                var date_time_end           = stop_div.find('.stop-date-time-end').prop('required',false).attr('aria-describedby');
                stop_div.find('#'+date_time_end).hide();
                stop_div.find('.stopDateTimeEnd').removeClass('d-block');
                stop_div.find('.stop-date-time-end').val('');
            }
        });
        $(document).on('change', '.stop-customer_type', function() {
            var that                        = $(this);
            var stop_div                    = that.closest('.stop');
            var value                       = that.val();
            if(value == '1'){
                stop_div.attr('data-customer_type', 1);
                stop_div.find('.changetypelabel').text('Pickup');
                stop_div.find('.changetext').text('Shipper');
                stop_div.find('.stop-select2 option:first').text('Shipper');
                stop_div.find('.stop-select2').select2();
                stop_div.find('.detention-request').attr('data-type', 1);
            }else{
                stop_div.attr('data-customer_type', 2);
                stop_div.find('.changetypelabel').text('Delivery');
                stop_div.find('.changetext').text('Receiver');
                stop_div.find('.stop-select2 option:first').text('Receiver');
                stop_div.find('.stop-select2').select2();
                stop_div.find('.detention-request').attr('data-type', 2);
            }

            var brokerage_firm              = $('.brokerage-firm-select2').val();
            if(brokerage_firm){
                stop_div.find('.required-documents-collapse-btn').removeClass('d-none');
                stop_div.find('.required-documents-collapse-btn').attr('aria-expanded', false);
                stop_div.find('.required-documents-collapse-div').removeClass('show')
                stop_div.find('.required-documents-table').html('');
                stop_div.find('.add-edit-popup').removeClass('d-none').addClass('d-inline-block');
                stop_div.find('.add-edit-block').addClass('d-none');
                stop_div.find('.add-edit-block').html('');

                requiredDocUploadHtml(stop_div);
                requiredDocHtml(stop_div);
            }
        });
    </script>
    <script type="text/javascript">
        $(document).on('change', '.stop input[type=file]', function(event) {
            var files = $(this)[0].files;
            if(files.length > 0){
                $(this).prev().html('Upload ('+files.length+')')
            }else{
                $(this).prev().html('Upload')
            }
        });
        $(document).on('change', '.stop .is_required-input', function(event) {
            var that    =  $(this);
            if(this.checked) {
                //that.closest('tr').find('.file-input').prop('required',true);
            }else{
                //that.closest('tr').find('.file-input').prop('required',false);
            }
        });
        $(document).on('change', '.stop .switches-container input[type=radio]', function(event) {
            //console.log($(this).val());
        });
        $(document).on('click', '.stop .add-edit-btn', function(event) {
            var that    = $(this);
            var stop    = that.closest('.stop');
            var hedding = stop.find('.stop-hedding').text();
            hedding     += ' Required Documents';
            var block   = stop.find('.add-edit-block');
            if(block.hasClass('d-none')){
                $('.stop .add-edit-block').addClass('d-none');
                block.find('.popup-heading').text(hedding);
                block.removeClass('d-none');
            }else{
                block.addClass('d-none');
                block.find('popup-heading').text('');
            }
        });
    </script>
    <script type="text/javascript">
        $(document).on('click', '.add-edit-block .add-required-documents', function(event) {
            var that                        = $(this);
            var main_div                    = that.closest('.custom-required-documents');
            var add_btn                     = main_div.find('.add-required-documents');
            var i                           = add_btn.attr('data-last_index');
            ++i;

            var customer_type               = that.closest('.stop').attr('data-customer_type');
            var stop_index_no               = that.closest('.stop').attr('data-stop_index');
            if(stop_index_no){
                main_div.find('.required-checkbox').append(`
                    <div class="d-flex align-items-center custom-item mb-2">
                        <div class="custom-control custom-checkbox mb-2">
                            <input type="checkbox" class="custom-control-input" id="stop_files_`+stop_index_no+`_is_required_`+i+`" name="stop_files[`+stop_index_no+`][is_required][`+i+`]">
                            <label class="custom-control-label" for="stop_files_`+stop_index_no+`_is_required_`+i+`">
                                <input type="text" class="form-control custom-name" id="stop_files_`+stop_index_no+`_name_`+i+`" name="stop_files[`+stop_index_no+`][name][`+i+`]" placeholder="Enter name">
                            </label>
                        </div>
                        <div>
                            <input type="hidden" name="stop_files[`+stop_index_no+`][custom][`+i+`]" value="yes">
                            <input type="hidden" name="stop_files[`+stop_index_no+`][fixed][`+i+`]" value="no">
                            <div class="switches-container">
                                <input type="radio" id="stop_files_`+stop_index_no+`_type_1_`+i+`" name="stop_files[`+stop_index_no+`][type][`+i+`]" value="1" checked>
                                <input type="radio" id="stop_files_`+stop_index_no+`_type_2_`+i+`" name="stop_files[`+stop_index_no+`][type][`+i+`]" value="2">
                                <label for="stop_files_`+stop_index_no+`_type_1_`+i+`">Copy</label>
                                <label for="stop_files_`+stop_index_no+`_type_2_`+i+`">Original</label>
                                <div class="switch-wrapper">
                                    <div class="switch">
                                        <div>Copy</div>
                                        <div>Original</div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <a href="javascript:void(0);" class="remove-link remove-required-documents">remove</a>
                    </div>
                `);
            }else{
                if(customer_type==1){
                    main_div.find('.required-checkbox').append(`
                        <div class="d-flex align-items-center custom-item mb-2">
                            <div class="custom-control custom-checkbox mb-0">
                                <input type="checkbox" class="custom-control-input" id="shipper_files_is_required_`+i+`" name="shipper_files[is_required][`+i+`]">
                                <label class="custom-control-label" for="shipper_files_is_required_`+i+`">
                                    <input type="text" class="form-control custom-name" id="shipper_files_name_`+i+`" name="shipper_files[name][`+i+`]" placeholder="Enter name">
                                </label>
                            </div>
                            <div>
                                <input type="hidden" name="shipper_files[custom][`+i+`]" value="yes">
                                <input type="hidden" name="shipper_files[fixed][`+i+`]" value="no">
                                <div class="switches-container">
                                    <input type="radio" id="shipper_files_type_1_`+i+`" name="shipper_files[type][`+i+`]" value="1" checked>
                                    <input type="radio" id="shipper_files_type_2_`+i+`" name="shipper_files[type][`+i+`]" value="2">
                                    <label for="shipper_files_type_1_`+i+`">Copy</label>
                                    <label for="shipper_files_type_2_`+i+`">Original</label>
                                    <div class="switch-wrapper">
                                        <div class="switch">
                                            <div>Copy</div>
                                            <div>Original</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <a href="javascript:void(0);" class="remove-link remove-required-documents">remove</a>
                        </div>
                    `);
                }else{
                    main_div.find('.required-checkbox').append(`
                        <div class="d-flex align-items-center custom-item mb-2">
                            <div class="custom-control custom-checkbox mb-0">
                                <input type="checkbox" class="custom-control-input" id="consignee_files_is_required_`+i+`" name="consignee_files[is_required][`+i+`]">
                                <label class="custom-control-label" for="consignee_files_is_required_`+i+`">
                                    <input type="text" class="form-control custom-name" id="consignee_files_name_`+i+`" name="consignee_files[name][`+i+`]" placeholder="Enter name">
                                </label>
                            </div>
                            <div>
                                <input type="hidden" name="consignee_files[custom][`+i+`]" value="yes">
                                <input type="hidden" name="consignee_files[fixed][`+i+`]" value="no">
                                <div class="switches-container">
                                    <input type="radio" id="consignee_files_type_1_`+i+`" name="consignee_files[type][`+i+`]" value="1" checked>
                                    <input type="radio" id="consignee_files_type_2_`+i+`" name="consignee_files[type][`+i+`]" value="2">
                                    <label for="consignee_files_type_1_`+i+`">Copy</label>
                                    <label for="consignee_files_type_2_`+i+`">Original</label>
                                    <div class="switch-wrapper">
                                        <div class="switch">
                                            <div>Copy</div>
                                            <div>Original</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <a href="javascript:void(0);" class="remove-link remove-required-documents">remove</a>
                        </div>
                    `);
                }
            }

            add_btn.attr('data-last_index', i);
        });
        $(document).on('click', '.add-edit-block .remove-required-documents', function(event) {
            //if (confirm("Are you sure?")) {
                $(this).closest('.custom-item').remove();
            //}
            return false;
        });
        $(document).on('click', '.add-edit-block .doc-cancel-btn', function(event) {
            var that    = $(this);
            that.closest('.add-edit-block').addClass('d-none');
        });
        $(document).on('click', '.add-edit-block .doc-save-btn', function(event) {
            event.preventDefault();
            // console.log('doc-save-btn');
            // return false;

            var that                = $(this);
            var btnTxt              = that.text();

            var block               = that.closest('.add-edit-block');
            var error               = {};
            block.find('.custom-name').each(function(i, obj) {
                if($(this).val() === "") {
                    error['name']   = 'The name field is required.';
                    return false; // breaks
                }
            });

            if(!$.isEmptyObject(error)){
                var html            = '<div class="alert alert-danger"><ul>';
                $.each(error, function (key, val) {
                    html            += '<li>'+val+'</li>';
                });
                html                +='</ul></div>';
                Swal.fire({
                    icon: 'error',
                    html: html,
                });
                return false;
            }

            var formData            = block.find(":input").serialize();

            $.ajax({
                type: 'POST',
                url: '{!! route("company.admin.loads.required.documents.update") !!}',
                data: formData,
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                beforeSend: function() {
                    that.prop('disabled', true).html('Please Wait...');
                },
                success: function(response) {
                    if(response.success){
                        that.closest('.add-edit-block').addClass('d-none');
                        requiredDocUploadHtmlUpdate(that, response.files_required);

                        toastr.success(response.message, 'Success Alert', {
                            timeOut: 5000
                        });
                    }else{
                        toastr.error(response.message, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                },
                complete: function() {
                    that.prop('disabled', false).html(btnTxt);
                },
                error: function(jqXHR, status, exception) {
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, 'Error Alert', {
                        timeOut: 5000
                    });
                }
            });
        });
    </script>
    <!-- <script type="text/javascript">
        $(document).on('click', '.add_more_accessorial_button', function(event) {
            var last_index          = 0;
            var last_wrapper_index  = $('.add_more_accessorial_wrapper .row:last()').attr('data-last_index');
            if(typeof last_wrapper_index !== "undefined"){
                last_index          = parseFloat(last_wrapper_index) + 1;
            }

            var html                = `<div class="row form-group align-items-center" data-last_index="`+last_index+`">
                    <div class="col-8">
                        <select class="form-control accessorial select2" id="accessorial_id_`+last_index+`" name="accessorial[`+last_index+`][id]">
                            `+ accessorialDropDownOptionsHtml +`
                        </select>
                    </div>
                    <div class="col-4">
                        <input type="number" class="form-control total-bill-addition groupOfTexbox" id="accessorial_value_`+last_index+`" name="accessorial[`+last_index+`][value]" min="0" step=".01">
                    </div>
                    <div class="col-12 text-right">
                        <a href="javascript:void(0);" class="remove_accessorial_button">Remove</a>
                    </div>
                </div>`;
            $('.add_more_accessorial_wrapper').append(html);

            $('.accessorial').select2();
        });
        $('.add_more_accessorial_wrapper').on('click','.remove_accessorial_button',function(){
            //if (confirm("Are you sure?")) {
                $(this).closest('.row').remove();
                $('.mileage-rating-div .total-bill-addition:first').trigger('keyup');
            //}
            return false;
        });
        $(document).on("change", "[id^='accessorial_id_']", function(){
            $(this).parent('div').next('div').find('input').val($(this).select2().find(":selected").data('default-amount'));
            $('.mileage-rating-div .total-bill-addition:first').trigger('keyup');
        });
        $('input[type=checkbox][name="paid_by"]').change(function() {
            $('input[type=checkbox][name="paid_by"]').not(this).prop('checked', false);
        });
        $('.clear-mileage-rating-div').click(function() {
            $('.mileage-rating-div').find(':input[type=text]').val('');
            $('.mileage-rating-div').find(':input[type=number]').val('');
            $('.mileage-rating-div').find(':input[type=checkbox]').prop('checked', false);
        });
    </script> -->
    <script type="text/javascript">
        // Total Miles
        $(document).on('keyup change', '.mileage-rating-div .total-miles-addition', function(e) {
            var sum                 = 0;
            var that                = $(this);
            var closest_div         = that.closest('.mileage-rating-div');
            closest_div.find('.total-miles-addition').each(function(i, obj) {
                var that            = $(this);
                var val             = that.val();
                if (val != "") {
                    sum             += parseFloat(val);
                }
                if(totalLoadDrivers==1 && that.hasClass('empty-miles')){
                    $('#drivers_0_empty_miles').val(val);
                }
                if(totalLoadDrivers==1 && that.hasClass('loaded-miles')){
                    $('#drivers_0_loaded_miles').val(val);
                }
            });
            closest_div.find('.total-miles').val(parseFloat(sum).toFixed(2));
            if(totalLoadDrivers==1){
                $('#drivers_0_total_miles').val(parseFloat(sum).toFixed(2));
            }
        });
        // Fuel Surcharge
        $(document).on('keyup change', '.mileage-rating-div .loaded-miles , .mileage-rating-div .fuel-surcharge-cost-per-mile', function(e) {
            var that                = $(this);
            var closest_div         = that.closest('.mileage-rating-div');

            var loaded_miles                    = closest_div.find('.loaded-miles').val();
            var fuel_surcharge_cost_per_mile    = closest_div.find('.fuel-surcharge-cost-per-mile').val();

            if (fuel_surcharge_cost_per_mile && loaded_miles) {
                var fuel_surcharge              = parseFloat(fuel_surcharge_cost_per_mile) * parseFloat(loaded_miles);
                closest_div.find('.fuel-surcharge').val(fuel_surcharge.toFixed(2));
                closest_div.find('.line-haul-sub').trigger('keyup');
            }
        });
        // Line Haul
        $(document).on('keyup change', '.mileage-rating-div .line-haul-sub', function(e) {
            var that                = $(this);
            var closest_div         = that.closest('.mileage-rating-div');

            var agreed_upon_rate    = closest_div.find('.agreed-upon-rate').val();
            var fuel_surcharge      = closest_div.find('.fuel-surcharge').val();
            if (agreed_upon_rate && fuel_surcharge) {
                var line_haul       = parseFloat(agreed_upon_rate) - parseFloat(fuel_surcharge);
                closest_div.find('.line-haul').val(line_haul.toFixed(2));
            }
        });
        // Total Bill
        $(document).on('keyup change', '.mileage-rating-div .total-bill-addition', function(e) {
            var sum                 = 0;
            var that                = $(this);
            var closest_div         = that.closest('.mileage-rating-div');

            closest_div.find('.total-bill-addition').each(function(i, obj) {
                var val = $(this).val();
                if (val != "") {
                    sum += parseFloat(val);
                }
            });
            closest_div.find('.total-accessorial').each(function(i, obj) {
                var val = $(this).val();
                if (val != "") {
                    sum += parseFloat(val)
                }
            });
            closest_div.find('.total-bill').val(parseFloat(sum).toFixed(2));
        });
    </script>
    <!-- <script type="text/javascript">
        $(document).on('click', '.add_more_driver_accessorial_button', function(event) {
            var that                = $(this);
            var closest_div         = that.closest('.driver-payment-div');
            var number              = closest_div.attr('data-number');

            var last_index          = 0;
            var last_wrapper_index  = closest_div.find('.add_more_driver_accessorial_wrapper .row:last()').attr('data-last_index');
            if(typeof last_wrapper_index !== "undefined"){
                last_index          = parseFloat(last_wrapper_index) + 1;
            }

            var html                = `<div class="row form-group align-items-center" data-last_index="`+last_index+`">
                    <div class="col-8">
                        <select class="form-control driverAccessorial select2" id="drivers_`+number+`_accessorial_`+last_index+`_id" name="drivers[`+number+`][accessorial][`+last_index+`][id]">
                            `+ accessorialDropDownOptionsHtml +`
                        </select>
                    </div>
                    <div class="col-4">
                        <input type="number" class="form-control total-bill-addition groupOfTexbox" id="drivers_`+number+`_accessorial_`+last_index+`_value" name="drivers[`+number+`][accessorial][`+last_index+`][value]" min="0" step=".01">
                    </div>
                    <div class="col-12 text-right">
                        <a href="javascript:void(0);" class="remove_driver_accessorial_button">Remove</a>
                    </div>
                </div>`;

            closest_div.find('.add_more_driver_accessorial_wrapper').append(html);

            $('.driverAccessorial').select2();
        });
        $(document).on('click', '.remove_driver_accessorial_button', function(event) {
            //if (confirm("Are you sure?")) {
                var that            = $(this);
                var closest_div     = that.closest('.driver-payment-div');
                that.closest('.row').remove();
                closest_div.find('.total-bill-addition:first').trigger('keyup');
            //}
            return false;
        });
        $(document).on("change", ".driverAccessorial", function(event){
            var that                = $(this);
            $(this).parent('div').next('div').find('input').val($(this).select2().find(":selected").data('default-amount'));
            var closest_div         = that.closest('.driver-payment-div');
            closest_div.find('.total-bill-addition:first').trigger('keyup');
        });
        $(document).on('click', '.clear-driver-payment-div', function(event) {
            var that                = $(this);
            var closest_div         = that.closest('.driver-payment-div');
            closest_div.find(':input[type=text],:input[type=number]').val('');
        });
    </script> -->
    <script type="text/javascript">
        // Total Miles
        $(document).on('keyup change', '.driver-payment-div .total-miles-addition', function(e) {
            var sum                 = 0;
            var that                = $(this);
            var closest_div         = that.closest('.driver-payment-div');

            closest_div.find('.total-miles-addition').each(function(i, obj) {
                var val = $(this).val();
                if (val != "") {
                    sum += parseFloat(val);
                }
            });
            closest_div.find('.total-miles').val(parseFloat(sum).toFixed(2));
        });
        // Total Bill
        $(document).on('keyup change', '.driver-payment-div .total-bill-addition, .driver-payment-div .deductions', function(e) {
            var sum                 = 0;
            var that                = $(this);
            var closest_div         = that.closest('.driver-payment-div');

            closest_div.find('.total-bill-addition').each(function(i, obj) {
                var val = $(this).val();
                if (val != "") {
                    sum += parseFloat(val);
                }
            });
            closest_div.find('.total-accessorial').each(function(i, obj) {
                var val = $(this).val();
                if (val != "") {
                    sum += parseFloat(val)
                }
            });
            var deductions          = closest_div.find('.deductions').val();
            if (deductions != "") {
                sum     -= parseFloat(deductions);
            }
            closest_div.find('.total-bill').val(parseFloat(sum).toFixed(2));
        });
    </script>
    <!-- <script type="text/javascript">
        $(document).on('click', '.split_to_new_driver', function(event) {
            var that                    = $(this);
            var closest_div             = that.closest('div');

            var number                  = 1;
            var split_driver_div        = $('.split-to-new-driver-div:last()');
            if(split_driver_div.length > 0){
                var split_driver_number = split_driver_div.find('.driver-payment-div').attr('data-number');
                if(typeof split_driver_number !== "undefined"){
                    number              += parseFloat(split_driver_number);
                }
            }

            var html                    = `<div class="col-xl-4 offset-xl-1 col-lg-5 col-md-6 mt-3 mt-md-0 split-to-new-driver-div">
                <div class="driver-payment-div" data-number="`+number+`">
                    <div class="row justify-content-between align-items-center minh-22">
                        <div class="d-flex align-items-center">
                            <h6 class="mr-3">Payment</h6>
                             <select class="form-control split_driver_id" name="drivers[`+number+`][driver_id]" id="drivers_`+number+`_driver_id">
                                <option val="">Select Driver</option>
                            </select>
                        </div>
                        <div><a href="javascript:void(0);" class="a-link remove_split_to_new_driver">Remove</a></div>
                    </div>
                    <hr>
                    <div class="text-right mb-3">
                        <a href="javascript:void(0);" class="a-link clear-driver-payment-div">Clear</a>
                    </div>
                    <div class="row">
                        <div class="col-4">
                            <div class="form-group">
                                <label for="drivers_`+number+`_empty_miles">Empty Miles</label>
                                <input type="number" class="form-control empty-miles total-miles-addition groupOfTexbox" id="drivers_`+number+`_empty_miles" name="drivers[`+number+`][empty_miles]" min="0" step=".01">
                            </div>
                        </div>
                        <div class="col-4">
                            <div class="form-group">
                                <label for="drivers_`+number+`_loaded_miles">Loaded Miles</label>
                                <input type="number" class="form-control loaded-miles total-miles-addition groupOfTexbox" id="drivers_`+number+`_loaded_miles" name="drivers[`+number+`][loaded_miles]" min="0" step=".01">
                            </div>
                        </div>
                        <div class="col-4">
                            <div class="form-group">
                                <label for="drivers_`+number+`_total_miles">Total Miles</label>
                                <input type="number" class="form-control theme-bg total-miles groupOfTexbox" id="drivers_`+number+`_total_miles" name="drivers[`+number+`][total_miles]" min="0" step=".01" readonly>
                            </div>
                        </div>
                    </div>
                    <div class="row form-group align-items-center">
                        <div class="col-8">
                            <label for="drivers_`+number+`_pay_type" class="mb-0">Pay Type</label>
                        </div>
                        <div class="col-4">
                            <input type="number" class="form-control theme-bg total-bill-addition groupOfTexbox" id="drivers_`+number+`_pay_type" name="drivers[`+number+`][pay_type]" min="0" step=".01" readonly>
                        </div>
                    </div>
                    <div class="row form-group align-items-center">
                        <div class="col-8">
                            <label for="drivers_`+number+`_gross_wage" class="mb-0">Gross Wage</label>
                        </div>
                        <div class="col-4">
                            <input type="number" class="form-control theme-bg total-bill-addition groupOfTexbox" id="drivers_`+number+`_gross_wage" name="drivers[`+number+`][gross_wage]" min="0" step=".01" readonly>
                        </div>
                    </div>
                    <div class="row form-group align-items-center">
                        <div class="col-8">
                            <label for="drivers_`+number+`_unload_pay" class="mb-0">Unload Pay</label>
                        </div>
                        <div class="col-4">
                            <input type="number" class="form-control total-bill-addition groupOfTexbox" id="drivers_`+number+`_unload_pay" name="drivers[`+number+`][unload_pay]" min="0" step=".01">
                        </div>
                    </div>
                    <div class="row form-group align-items-center">
                        <div class="col-8">
                            <label for="drivers_`+number+`_tarp_pay" class="mb-0">Tarp Pay</label>
                        </div>
                        <div class="col-4">
                            <input type="number" class="form-control total-bill-addition groupOfTexbox" id="drivers_`+number+`_tarp_pay" name="drivers[`+number+`][tarp_pay]" min="0" step=".01">
                        </div>
                    </div>
                    <div class="row form-group align-items-center">
                        <div class="col-8">
                            <label for="drivers_`+number+`_detention" class="mb-0">Detention</label>
                        </div>
                        <div class="col-4">
                            <input type="number" class="form-control total-bill-addition groupOfTexbox" id="drivers_`+number+`_detention" name="drivers[`+number+`][detention]" min="0" step=".01">
                        </div>
                    </div>
                    <div class="row form-group align-items-center">
                        <div class="col-8">
                            <label for="drivers_`+number+`_deductions" class="mb-0">Deductions</label>
                        </div>
                        <div class="col-4">
                            <input type="number" class="form-control theme-danger deductions groupOfTexbox" id="drivers_`+number+`_deductions" name="drivers[`+number+`][deductions]" min="0" step=".01">
                        </div>
                    </div>
                    <div class="add_more_driver_accessorial_wrapper">
                    </div>
                    <div class="row form-group align-items-center">
                        <div class="h-43"></div>
                    </div>
                    <div><a href="javascript:void(0);" class="a-link add_more_driver_accessorial_button">+ Add Accessorial</a></div>
                    <div class="billing-checkbox"></div>
                    <hr class="total-hr">
                    <div class="row form-group align-items-center">
                        <div class="col-8">
                            <label for="drivers_`+number+`_total_bill" class="mb-0">Total Bill</label>
                        </div>
                        <div class="col-4">
                            <input type="number" class="form-control theme-bg total-bill" id="drivers_`+number+`_total_bill" name="drivers[`+number+`][total_bill]" min="0" step=".01" readonly>
                        </div>
                    </div>
                </div>
            </div>`;

            closest_div.before(html);

            $('.split_driver_id').select2({
                allowClear: true,
                placeholder: "Select Driver",
                ajax:{
                    url: "{{ route('company.admin.drivers.ajax.list') }}",
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    type:"POST",
                    data: function(term) {
                        return {
                            search:term.term
                        };
                    },
                    processResults: function(data, page) {
                        return {
                            results: $.map(data, function(item) {
                                return {
                                    text: item.text,
                                    id: item.id
                                }
                            })
                        };
                    }
                }
            });
        });
        $(document).on('click', '.remove_split_to_new_driver', function(event) {
            //if (confirm("Are you sure?")) {
                var that            = $(this);
                that.closest('.split-to-new-driver-div').remove();
            //}
            return false;
        });
    </script> -->
    <script type="text/javascript">
        $(document).on('click', '.save-load-btn', function() {
            var temp    = $('input[name="temp"]').val();
            var oldtemp = $('#oldtemp').val();
            if(temp !== oldtemp){
                if(!$('#temp_is_disable').is(':checked')){
                    var sies = false;
                    Swal.fire({
                            title: "Please confirm temperature for load is: "+temp+" degrees.",
                            //text: "You want confirmed valueof temperature ",
                            showCancelButton: true,
                            reverseButtons: true,
                            confirmButtonColor: "#3085d6",
                            cancelButtonColor: "#d33",
                            confirmButtonText: "Confirm and Submit",
                            cancelButtonText: "Cancel",
                        }).then((result) => {
                            if (result.value) {
                                CheckDatesShipping();
                            }
                        });
                }else{
                    CheckDatesShipping();
                }
            }else{
                CheckDatesShipping();
            }
        });
        $('.edit-form').submit(function(e){
            if(!myFunction()){
                e.preventDefault();
            }
        });
        function myFunction(){
            var myarray                     = [];

            var shipperDate                 = $('#shipperDate').val();
            var shipperDateEnd              = $('#shipperDateEnd').val();
            var shipperTimeRange            = $('input[name=shipping_time_range]:checked').val();
            myarray.push({
                type: 1,
                time_range: shipperTimeRange,
                start_date: shipperDate,
                end_date: shipperDateEnd
            });

            $('#pickup-delivery-collapse .stop[data-stop_index]').each(function (key, val){
                var that                    = $(this);
                var stop_no                 = that.attr('data-stop_no');
                var date                    = that.find('.stop-date-time').val();
                var dateEnd                 = that.find('.stop-date-time-end').val();
                var timeRange               = that.find('.stop-date_time_range:checked').val();
                var type                    = that.find('.stop-customer_type:checked').val();
                myarray.push({
                    stop_no: stop_no,
                    type: type,
                    time_range: timeRange,
                    start_date: date,
                    end_date: dateEnd
                });
            });

            var deliveryDate                = $('#deliveryDate').val();
            var deliveryDateEnd             = $('#deliveryDateEnd').val();
            var deliveryTimeRange           = $('input[name=delivery_time_range]:checked').val();
            myarray.push({
                type: 2,
                time_range: deliveryTimeRange,
                start_date: deliveryDate,
                end_date: deliveryDateEnd
            });

            var emptyDate                   = 0;
            var sort                        = [];
            $.each(myarray, function (index, value) {
                if(value.start_date === "") {
                    emptyDate               = 1;
                    return false; // breaks
                }
                var start_stamp             = '';
                var end_stamp               = '';
                if(value.start_date){
                    var date                = moment(value.start_date).format('MM/DD/YYYY HH:MM');
                    start_stamp             = moment(date).valueOf();
                    sort.push(start_stamp);
                }
                if(value.end_date){
                    var date                = moment(value.end_date).format('MM/DD/YYYY HH:MM');
                    end_stamp               = moment(date).valueOf();
                    if(value.time_range==1){
                        sort.push(end_stamp);
                    }
                }
                value['start_stamp']        = start_stamp;
                value['end_stamp']          = end_stamp;
            });
            if(emptyDate==0){
                if(!isSorted(sort)){
                    var swal_html           = `<p>The date and/or time of stops is not in correct order. Please arrange in ascending order.</p>`;
                    var tr                  = '';
                    $.each(myarray, function (index, value) {
                        if(typeof value.stop_no === "undefined"){
                            if(value.type=='1'){
                                var type    = 'Pickup';
                            }else{
                                var type    = 'Delivery';
                            }
                        }else{
                            type            = 'Stop '+ value.stop_no;
                        }
                        var start_date      = value.start_date;
                        var end_date        = value.end_date;
                        if(value.time_range==0){
                            end_date        = '-';
                        }
                        tr += `
                            <tr>
                                <td>`+type+`</td>
                                <td>`+start_date+`</td>
                                <td>`+end_date+`</td>
                            </tr>
                        `;
                    });
                    swal_html               += `<table class="table table-bordered">
                        <tr>
                            <th>Load</th>
                            <th>Start Date</th>
                            <th>End Date</th>
                        </tr>
                        `+tr+`
                    </table>`;
                    Swal.fire({
                        //title: '<strong>HTML <u>example</u></strong>',
                        icon: 'error',
                        html: swal_html,
                        showConfirmButton: true,
                        showCancelButton: false,
                        confirmButtonColor: "#3085d6",
                        reverseButtons: true
                    })
                    return false;
                }else{
                    return true;
                }
            }else{
                return true;
            }
        }
    </script>
    <script type="text/javascript">
        function brokerInfo(id,rep=null){
            var token   = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                url: "/company-admin/loads/broker-info",
                method: "POST",
                data: { id: id, load_detail_id : <?php echo $loadDetail->id; ?> },
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                success: function(response) {
                    if (response.data) {
                        var cphone_number               = response.data.dispatch_contact_phone;
                        var cext                        = response.data.dispatch_contact_contact_ext;
                        var cemail                      = response.data.dispatch_contact_email;
                        var terms                       = response.data.billing_terms;

                        $('.brokerage-mc, .phone, .ext, .broker-email').val('');
                        $('.terms-select2').val('').trigger('change');
                        if(response.data.mc_number)
                            $('.brokerage-mc').val(response.data.mc_number);
                            $('.brokerage-mc').parsley().reset();
                        if(cphone_number)
                            $('.phone').val(cphone_number);
                        if(cext)
                            $('.ext').val(cext);
                        if(cemail)
                            $('.broker-email').val(cemail);
                        if(terms)
                            $('.terms-select2').val(terms).trigger('change');

                        $('.brokerContact .select2').remove();
                        if (response.contact_html) {
                            $('.brokerContact').append(response.contact_html);
                            $('.broker-contact').select2();
                            if(rep){
                                $('.broker-contact').val(rep).trigger('change');
                            }else{
                                if($('.broker-contact option:eq(1)').length > 0){
                                    var broker_contact  = $('.broker-contact option:eq(1)').val();
                                    $('.broker-contact').val(broker_contact).trigger('change');
                                }
                            }
                        }else{
                            $(".brokerContact").append(`
                                <select class="form-control broker-contact select2" name="rep">
                                    <option value="">Select option</option>
                                </select>`
                            );
                            $('.broker-contact').select2();
                        }

                        $('.credit-score-card').removeClass('d-none');
                        $('.credit-score-card .score-btn').removeClass('d-none');

                        var rts_score                   = response.rts_score;
                        if($.isEmptyObject(response.rts_score)){
                            $('.credit-score-card input[name="score_ratting"]').val('');
                            $('.credit-score-card .ratting .val').html('');
                            $('.credit-score-card input[name="score_credit"]').val('');
                            $('.credit-score-card .available .val').html('');
                            $('.credit-score-card input[name="score_updated_at"]').val('');
                            $('.credit-score-card .update .val').html('');
                            $('.credit-score-card .score-btn').html('Add');
                        }else{
                            if(rts_score.score_ratting){
                                $('.credit-score-card input[name="score_ratting"]').val(rts_score.score_ratting);
                                $('.credit-score-card .ratting .val').html(rts_score.score_ratting);
                            }else{
                                $('.credit-score-card input[name="score_ratting"]').val('');
                                $('.credit-score-card .ratting .val').html('');
                            }
                            if(rts_score.score_credit){
                                $('.credit-score-card input[name="score_credit"]').val(rts_score.score_credit);
                                $('.credit-score-card .available .val').html(rts_score.score_credit);
                            }else{
                                $('.credit-score-card input[name="score_credit"]').val('');
                                $('.credit-score-card .available .val').html('');
                            }
                            if(rts_score.score_update){
                                $('.credit-score-card input[name="score_updated_at"]').val(rts_score.score_update);
                                $('.credit-score-card .update .val').html(rts_score.convert_score_update);
                            }else{
                                $('.credit-score-card input[name="score_updated_at"]').val('');
                                $('.credit-score-card .update .val').html('');
                            }
                            if(rts_score.load_id==$('input[name="dummyloadid"]').val()){ // original load id
                                $('.credit-score-card .score-btn').addClass('d-none');
                            }
                            $('.credit-score-card .score-btn').html('Update');
                        }

                        shipperFiles        = response.shipper_files;
                        consigneeFiles      = response.consignee_files;

                        $('.stop .required-documents-collapse-btn').removeClass('d-none');
                        $('.stop .required-documents-collapse-btn').each(function(index) {
                            var that        = $(this);
                            that.attr('aria-expanded', false);
                            $(document).find("div" + $(this).attr('data-target')).removeClass('show');
                        });
                        $('.stop .required-documents-table').html('');
                        $('.stop .add-edit-popup').removeClass('d-none').addClass('d-inline-block');
                        $('.stop .add-edit-block').addClass('d-none');
                        $('.stop .add-edit-block').html('');

                        var total           = $('.stop').length;
                        $('.stop').each(function(index) {
                            var that        = $(this);
                            if (index === 0) {
                                requiredDocUploadHtml(that);
                                requiredDocHtml(that);
                            } else if (index === total - 1){
                                requiredDocUploadHtml(that);
                                requiredDocHtml(that);
                            } else{
                                requiredDocUploadHtml(that);
                                requiredDocHtml(that);
                            }
                        });

                        $('#accessorialModal select[name="company_accessorial_id"]').html(response.accessorials_html);
                    }else{
                        nonBrokerInfo();
                    }
                }
            });
        }
        function nonBrokerInfo(){
            $('.rep-broker-contact').addClass('d-none');

            $('.brokerage-mc, .phone, .ext, .broker-email').val('');
            $('.terms-select2').val('').trigger('change');
            $('.brokerContact .select2').remove();
            $(".brokerContact").append(`
                <select class="form-control broker-contact select2" name="rep">
                    <option value="">Select option</option>
                </select>`
            );
            $('.broker-contact').select2();

            $('.credit-score-card').addClass('d-none');
            $('.credit-score-card .score-btn').addClass('d-none');

            $('.credit-score-card input[name="score_ratting"]').val('');
            $('.credit-score-card .ratting .val').html('');
            $('.credit-score-card input[name="score_credit"]').val('');
            $('.credit-score-card .available .val').html('');
            $('.credit-score-card input[name="score_updated_at"]').val('');
            $('.credit-score-card .update .val').html('');
            $('.credit-score-card .score-btn').html('Add');

            shipperFiles        = [];
            consigneeFiles      = [];

            $('.stop .required-documents-collapse-btn').addClass('d-none');
            $('.stop .required-documents-collapse-btn').each(function(index) {
                var that        = $(this);
                that.attr('aria-expanded', false);
                $(document).find("div" + $(this).attr('data-target')).removeClass('show');
            });
            $('.stop .required-documents-table').html('');
            $('.stop .add-edit-popup').addClass('d-none').removeClass('d-inline-block');
            $('.stop .add-edit-block').addClass('d-none');
            $('.stop .add-edit-block').html('');

            $('#accessorialModal select[name="company_accessorial_id"]').html(accessorialDropDownOptionsHtml);
            $('#accessorialModal select[name="company_accessorial_id"] option').each(function(i, obj) {
                if($(this).attr('data-broker-rate')){
                    $(this).attr('data-broker-rate', '');
                }
            });
        }
        function requiredDocUploadHtml(that){
            var customer_type                   = that.attr('data-customer_type');
            var stop_index_no                   = that.attr('data-stop_index');
            if(stop_index_no){
                var type                        = 'stop';
                if(customer_type==1){
                    var files_required          = shipperFiles.filter(v => v.is_required === "on");
                }else{
                    var files_required          = consigneeFiles.filter(v => v.is_required === "on");
                }
            }else{
                if(customer_type==1){
                    var type                    = 'pickup';
                    var files_required          = shipperFiles.filter(v => v.is_required === "on");
                }else{
                    var type                    = 'delivery';
                    var files_required          = consigneeFiles.filter(v => v.is_required === "on");
                }
            }
            // start html concate
            var html                            = '';
            if(type=='pickup'){
                if(files_required.length > 0){
                    html                        += `<table class="table mt-0"><tbody>`;
                    $.each(files_required, function (index,value) {
                        var uploadLink          = '';
                        if(value.type==1){
                            var type            = 'Copy';
                            uploadLink          = `<div class="required-documents-upload">
                                <a href="javascript:void(0);">Upload</a>
                                <input type="file" class="file-input" name="shipper_files_upload[file][`+index+`][]" multiple>
                            </div>`;
                        }else{
                            var type            = 'Original';
                        }
                        html                    += `<tr>
                            <td class="d-none">
                                <input type="hidden" class="fixed-input" name="shipper_files_upload[fixed][`+index+`]" value="`+value.fixed+`">
                                <input type="hidden" class="name-input" name="shipper_files_upload[name][`+index+`]" value="`+value.name+`">
                                <input type="hidden" class="type-input" name="shipper_files_upload[type][`+index+`]" value="`+value.type+`">
                            </td>
                            <td class="name">
                                `+value.name+`
                            </td>
                            <td class="type">
                                `+type+`
                            </td>
                            <td class="is_received">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input is_received-input" type="checkbox" name="shipper_files_upload[is_received][`+index+`]" id="shipper_files_upload_is_received_`+index+`">
                                    <label class="form-check-label" for="shipper_files_upload_is_received_`+index+`">Received</label>
                                </div>
                            </td>
                            <td class="is_required">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input is_required-input" type="checkbox" name="shipper_files_upload[is_required][`+index+`]" id="shipper_files_upload_is_required_`+index+`" checked>
                                    <label class="form-check-label" for="shipper_files_upload_is_required_`+index+`">Required</label>
                                </div>
                            </td>
                            <td>
                            </td>
                            <td>
                                `+uploadLink+`
                            </td>
                        </tr>`;
                    });
                    html                        += `</tbody></table>`;
                }else{
                    html                        += `No required documents.`;
                }
            }else if(type=='delivery'){
                if(files_required.length > 0){
                    html                        += `<table class="table mt-0"><tbody>`;
                    $.each(files_required, function (index,value) {
                        var uploadLink          = '';
                        if(value.type==1){
                            var type            = 'Copy';
                            uploadLink          = `<div class="required-documents-upload">
                                <a href="javascript:void(0);">Upload</a>
                                <input type="file" class="file-input" name="consignee_files_upload[file][`+index+`][]" multiple>
                            </div>`;
                        }else{
                            var type            = 'Original';
                        }
                        html                    += `<tr>
                            <td class="d-none">
                                <input type="hidden" class="fixed-input" name="consignee_files_upload[fixed][`+index+`]" value="`+value.fixed+`">
                                <input type="hidden" class="name-input" name="consignee_files_upload[name][`+index+`]" value="`+value.name+`">
                                <input type="hidden" class="type-input" name="consignee_files_upload[type][`+index+`]" value="`+value.type+`">
                            </td>
                            <td class="name">
                                `+value.name+`
                            </td>
                            <td class="type">
                                `+type+`
                            </td>
                            <td class="is_received">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input is_received-input" type="checkbox" name="consignee_files_upload[is_received][`+index+`]" id="consignee_files_upload_is_received_`+index+`">
                                    <label class="form-check-label" for="consignee_files_upload_is_received_`+index+`">Received</label>
                                </div>
                            </td>
                            <td class="is_required">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input is_required-input" type="checkbox" name="consignee_files_upload[is_required][`+index+`]" id="consignee_files_upload_is_required_`+index+`" checked>
                                    <label class="form-check-label" for="consignee_files_upload_is_required_`+index+`">Required</label>
                                </div>
                            </td>
                            <td>
                            </td>
                            <td>
                                `+uploadLink+`
                            </td>
                        </tr>`;
                    });
                    html                        += `</tbody></table>`;
                }else{
                    html                        += `No required documents.`;
                }
            }else if(type=='stop'){
                if(files_required.length > 0){
                    html                        += `<table class="table mt-0"><tbody>`;
                    $.each(files_required, function (index,value) {
                        var uploadLink          = '';
                        if(value.type==1){
                            var type            = 'Copy';
                            uploadLink          = `<div class="required-documents-upload">
                                <a href="javascript:void(0);">Upload</a>
                                <input type="file" class="file-input" name="stop_files_upload[`+stop_index_no+`][file][`+index+`][]" multiple>
                            </div>`;
                        }else{
                            var type            = 'Original';
                        }
                        html                    += `<tr>
                            <td class="d-none">
                                <input type="hidden" class="fixed-input" name="stop_files_upload[`+stop_index_no+`][fixed][`+index+`]" value="`+value.fixed+`">
                                <input type="hidden" class="name-input" name="stop_files_upload[`+stop_index_no+`][name][`+index+`]" value="`+value.name+`">
                                <input type="hidden" class="type-input" name="stop_files_upload[`+stop_index_no+`][type][`+index+`]" value="`+value.type+`">
                            </td>
                            <td class="name">
                                `+value.name+`
                            </td>
                            <td class="type">
                                `+type+`
                            </td>
                            <td class="is_received">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input is_received-input" type="checkbox" name="stop_files_upload[`+stop_index_no+`][is_received][`+index+`]" id="stop_files_upload_`+stop_index_no+`_is_received_`+index+`">
                                    <label class="form-check-label" for="stop_files_upload_`+stop_index_no+`_is_received_`+index+`">Received</label>
                                </div>
                            </td>
                            <td class="is_required">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input is_required-input" type="checkbox" name="stop_files_upload[`+stop_index_no+`][is_required][`+index+`]" id="stop_files_upload_`+stop_index_no+`_is_required_`+index+`" checked>
                                    <label class="form-check-label" for="stop_files_upload_`+stop_index_no+`_is_required_`+index+`">Required</label>
                                </div>
                            </td>
                            <td>
                            </td>
                            <td>
                                `+uploadLink+`
                            </td>
                        </tr>`;
                    });
                    html                        += `</tbody></table>`;
                }else{
                    html                        += `No required documents.`;
                }
            }

            that.find('.required-documents-table').html(html);
            if(html!=''){
                that.find('.required-documents-collapse-btn').trigger('click');
            }
        }
        function requiredDocUploadHtmlUpdate(that, files_required){ // that means save btn
            var stop_div                        = that.closest('.stop');
            if(stop_div.find('.required-documents-collapse-btn').hasClass('d-none')){
                stop_div.find('.required-documents-collapse-btn').removeClass('d-none');
            }
            stop_div.find('.required-documents-table').html('');

            var customer_type                   = stop_div.attr('data-customer_type');
            var stop_index_no                   = stop_div.attr('data-stop_index');
            if(stop_index_no){
                var type                        = 'stop';
            }else{
                if(customer_type==1){
                    var type                    = 'pickup';
                }else{
                    var type                    = 'delivery';
                }
            }

            var html                            = '';
            if(type=='pickup'){
                if(!$.isEmptyObject(files_required)){
                    html                        += `<table class="table mt-0"><tbody>`;
                    $.each(files_required, function (index,value) {
                        var uploadLink          = '';
                        if(value.type==1){
                            var type            = 'Copy';
                            uploadLink          = `<div class="required-documents-upload">
                                <a href="javascript:void(0);">Upload</a>
                                <input type="file" class="file-input" name="shipper_files_upload[file][`+index+`][]" multiple>
                            </div>`;
                        }else{
                            var type            = 'Original';
                        }
                        html                    += `<tr>
                            <td class="d-none">
                                <input type="hidden" class="custom-input" name="shipper_files_upload[custom][`+index+`]" value="`+value.custom+`">
                                <input type="hidden" class="fixed-input" name="shipper_files_upload[fixed][`+index+`]" value="`+value.fixed+`">
                                <input type="hidden" class="name-input" name="shipper_files_upload[name][`+index+`]" value="`+value.name+`">
                                <input type="hidden" class="type-input" name="shipper_files_upload[type][`+index+`]" value="`+value.type+`">
                            </td>
                            <td class="name">
                                `+value.name+`
                            </td>
                            <td class="type">
                                `+type+`
                            </td>
                            <td class="is_received">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input is_received-input" type="checkbox" name="shipper_files_upload[is_received][`+index+`]" id="shipper_files_upload_is_received_`+index+`">
                                    <label class="form-check-label" for="shipper_files_upload_is_received_`+index+`">Received</label>
                                </div>
                            </td>
                            <td class="is_required">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input is_required-input" type="checkbox" name="shipper_files_upload[is_required][`+index+`]" id="shipper_files_upload_is_required_`+index+`" checked>
                                    <label class="form-check-label" for="shipper_files_upload_is_required_`+index+`">Required</label>
                                </div>
                            </td>
                            <td>
                            </td>
                            <td>
                                `+uploadLink+`
                            </td>
                        </tr>`;
                    });
                    html                        += `</tbody></table>`;
                }else{
                    html                        += `No required documents.`;
                }
            }else if(type=='delivery'){
                if(!$.isEmptyObject(files_required)){
                    html                        += `<table class="table mt-0"><tbody>`;
                    $.each(files_required, function (index,value) {
                        var uploadLink          = '';
                        if(value.type==1){
                            var type            = 'Copy';
                            uploadLink          = `<div class="required-documents-upload">
                                <a href="javascript:void(0);">Upload</a>
                                <input type="file" class="file-input" name="consignee_files_upload[file][`+index+`][]" multiple>
                            </div>`;
                        }else{
                            var type            = 'Original';
                        }
                        html                    += `<tr>
                            <td class="d-none">
                                <input type="hidden" class="custom-input" name="consignee_files_upload[custom][`+index+`]" value="`+value.custom+`">
                                <input type="hidden" class="fixed-input" name="consignee_files_upload[fixed][`+index+`]" value="`+value.fixed+`">
                                <input type="hidden" class="name-input" name="consignee_files_upload[name][`+index+`]" value="`+value.name+`">
                                <input type="hidden" class="type-input" name="consignee_files_upload[type][`+index+`]" value="`+value.type+`">
                            </td>
                            <td class="name">
                                `+value.name+`
                            </td>
                            <td class="type">
                                `+type+`
                            </td>
                            <td class="is_received">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input is_received-input" type="checkbox" name="consignee_files_upload[is_received][`+index+`]" id="consignee_files_upload_is_received_`+index+`">
                                    <label class="form-check-label" for="consignee_files_upload_is_received_`+index+`">Received</label>
                                </div>
                            </td>
                            <td class="is_required">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input is_required-input" type="checkbox" name="consignee_files_upload[is_required][`+index+`]" id="consignee_files_upload_is_required_`+index+`" checked>
                                    <label class="form-check-label" for="consignee_files_upload_is_required_`+index+`">Required</label>
                                </div>
                            </td>
                            <td>
                            </td>
                            <td>
                                `+uploadLink+`
                            </td>
                        </tr>`;
                    });
                    html                        += `</tbody></table>`;
                }else{
                    html                        += `No required documents.`;
                }
            }else if(type=='stop'){
                if(!$.isEmptyObject(files_required)){
                    html                        += `<table class="table mt-0"><tbody>`;
                    $.each(files_required, function (index,value) {
                        var uploadLink          = '';
                        if(value.type==1){
                            var type            = 'Copy';
                            uploadLink          = `<div class="required-documents-upload">
                                <a href="javascript:void(0);">Upload</a>
                                <input type="file" class="file-input" name="stop_files_upload[`+stop_index_no+`][file][`+index+`][]" multiple>
                            </div>`;
                        }else{
                            var type            = 'Original';
                        }
                        html                    += `<tr>
                            <td class="d-none">
                                <input type="hidden" class="custom-input" name="stop_files_upload[`+stop_index_no+`][custom][`+index+`]" value="`+value.custom+`">
                                <input type="hidden" class="fixed-input" name="stop_files_upload[`+stop_index_no+`][fixed][`+index+`]" value="`+value.fixed+`">
                                <input type="hidden" class="name-input" name="stop_files_upload[`+stop_index_no+`][name][`+index+`]" value="`+value.name+`">
                                <input type="hidden" class="type-input" name="stop_files_upload[`+stop_index_no+`][type][`+index+`]" value="`+value.type+`">
                            </td>
                            <td class="name">
                                `+value.name+`
                            </td>
                            <td class="type">
                                `+type+`
                            </td>
                            <td class="is_received">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input is_received-input" type="checkbox" name="stop_files_upload[`+stop_index_no+`][is_received][`+index+`]" id="stop_files_upload_`+stop_index_no+`_is_received_`+index+`">
                                    <label class="form-check-label" for="stop_files_upload_`+stop_index_no+`_is_received_`+index+`">Received</label>
                                </div>
                            </td>
                            <td class="is_required">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input is_required-input" type="checkbox" name="stop_files_upload[`+stop_index_no+`][is_required][`+index+`]" id="stop_files_upload_`+stop_index_no+`_is_required_`+index+`" checked>
                                    <label class="form-check-label" for="stop_files_upload_`+stop_index_no+`_is_required_`+index+`">Required</label>
                                </div>
                            </td>
                            <td>
                            </td>
                            <td>
                                `+uploadLink+`
                            </td>
                        </tr>`;
                    });
                    html                        += `</tbody></table>`;
                }else{
                    html                        += `No required documents.`;
                }
            }

            stop_div.find('.required-documents-table').html(html);
            if(!stop_div.find('.required-documents-collapse-div').hasClass('show')){
                stop_div.find('.required-documents-collapse-btn').trigger('click');
            }
        }
        function requiredDocHtml(that){
            var customer_type                   = that.attr('data-customer_type');
            var stop_index_no                   = that.attr('data-stop_index');
            if(stop_index_no){
                var type                        = 'stop';
                if(customer_type==1){
                    var files_required          = shipperFiles.filter(v => v.is_required === "on");
                    var files_non_required      = shipperFiles.filter(v => v.is_required === "off");
                }else{
                    var files_required          = consigneeFiles.filter(v => v.is_required === "on");
                    var files_non_required      = consigneeFiles.filter(v => v.is_required === "off");
                }
            }else{
                if(customer_type==1){
                    var type                    = 'pickup';
                    var files_required          = shipperFiles.filter(v => v.is_required === "on");
                    var files_non_required      = shipperFiles.filter(v => v.is_required === "off");
                }else{
                    var type                    = 'delivery';
                    var files_required          = consigneeFiles.filter(v => v.is_required === "on");
                    var files_non_required      = consigneeFiles.filter(v => v.is_required === "off");
                }
            }
            // start html concate
            var html                            = '';
            if(type=='pickup'){
                var i                           = 0;
                html                            += `<h5 class="popup-heading"></h5>`;
                if(files_required.length > 0){
                    html                        += `<div class="add-edit-reg-block"><h6>Required by Broker</h6><div class="required-checkbox">`;
                    $.each(files_required, function (index,value) {
                        html                    += `<div class="d-flex">
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" id="shipper_files_is_required_`+i+`" name="shipper_files[is_required][`+i+`]" checked>
                                <label class="custom-control-label" for="shipper_files_is_required_`+i+`">`+value.name+`</label>
                            </div>
                            <div>
                                <input type="hidden" name="shipper_files[name][`+i+`]" value="`+value.name+`">
                                <input type="hidden" name="shipper_files[fixed][`+i+`]" value="`+value.fixed+`">
                                <div class="switches-container">
                                    <input type="radio" id="shipper_files_type_1_`+i+`" name="shipper_files[type][`+i+`]" value="1" `+((value.type==1)?'checked':'')+`>
                                    <input type="radio" id="shipper_files_type_2_`+i+`" name="shipper_files[type][`+i+`]" value="2" `+((value.type==2)?'checked':'')+`>
                                    <label for="shipper_files_type_1_`+i+`">Copy</label>
                                    <label for="shipper_files_type_2_`+i+`">Original</label>
                                    <div class="switch-wrapper">
                                        <div class="switch">
                                            <div>Copy</div>
                                            <div>Original</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>`;
                        ++i;
                    });
                    html                        += `</div></div>`;
                }
                if(files_non_required.length > 0){
                    html                        += `<div class="add-edit-reg-block"><h6>Preset Items</h6><div class="required-checkbox">`;
                    $.each(files_non_required, function (index,value) {
                        html                    += `<div class="d-flex">
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" id="shipper_files_is_required_`+i+`" name="shipper_files[is_required][`+i+`]">
                                <label class="custom-control-label" for="shipper_files_is_required_`+i+`">`+value.name+`</label>
                            </div>
                            <div>
                                <input type="hidden" name="shipper_files[fixed][`+i+`]" value="`+value.fixed+`">
                                <input type="hidden" name="shipper_files[name][`+i+`]" value="`+value.name+`">
                                <div class="switches-container">
                                    <input type="radio" id="shipper_files_type_1_`+i+`" name="shipper_files[type][`+i+`]" value="1" `+((value.type==1)?'checked':'')+`>
                                    <input type="radio" id="shipper_files_type_2_`+i+`" name="shipper_files[type][`+i+`]" value="2" `+((value.type==2)?'checked':'')+`>
                                    <label for="shipper_files_type_1_`+i+`">Copy</label>
                                    <label for="shipper_files_type_2_`+i+`">Original</label>
                                    <div class="switch-wrapper">
                                        <div class="switch">
                                            <div>Copy</div>
                                            <div>Original</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>`;
                        ++i;
                    });
                    html                        += `</div></div>`;
                }

                html                            += `<div class="add-edit-reg-block custom-required-documents">
                    <h6>Custom Options</h6>
                    <div class="required-checkbox">
                        <div class="d-flex align-items-center custom-item mb-2">
                            <div class="custom-control custom-checkbox mb-0">
                                <input type="checkbox" class="custom-control-input" id="shipper_files_is_required_`+i+`" name="shipper_files[is_required][`+i+`]">
                                <label class="custom-control-label" for="shipper_files_is_required_`+i+`">
                                    <input type="text" class="form-control custom-name" id="shipper_files_name_`+i+`" name="shipper_files[name][`+i+`]" placeholder="Enter name">
                                </label>
                            </div>
                            <div>
                                <input type="hidden" name="shipper_files[custom][`+i+`]" value="yes">
                                <input type="hidden" name="shipper_files[fixed][`+i+`]" value="no">
                                <div class="switches-container">
                                    <input type="radio" id="shipper_files_type_1_`+i+`" name="shipper_files[type][`+i+`]" value="1" checked>
                                    <input type="radio" id="shipper_files_type_2_`+i+`" name="shipper_files[type][`+i+`]" value="2">
                                    <label for="shipper_files_type_1_`+i+`">Copy</label>
                                    <label for="shipper_files_type_2_`+i+`">Original</label>
                                    <div class="switch-wrapper">
                                        <div class="switch">
                                            <div>Copy</div>
                                            <div>Original</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <a href="javascript:void(0);" class="remove-link remove-required-documents">remove</a>
                        </div>
                    </div>
                    <div class="clearfix">
                        <a href="javascript:void(0);" class="btn-link-orange add-required-documents" data-type="pickup" data-last_index="`+i+`">
                            <i class="fa fa-plus" aria-hidden="true"></i>
                            Add Document
                        </a>
                    </div>
                </div>`;

                html                            += `<div class="text-center ">
                <button type="button" class="btn btn-themeGray doc-cancel-btn">Cancel</button>
                <button type="button" class="btn btn-themeGray doc-save-btn">Save</button>
                </div>`;
            }else if(type=='delivery'){
                var i                           = 0;
                html                            += `<h5 class="popup-heading"></h5>`;
                if(files_required.length > 0){
                    html                        += `<div class="add-edit-reg-block"><h6>Required by Broker</h6><div class="required-checkbox">`;
                    $.each(files_required, function (index,value) {
                        html                    += `<div class="d-flex">
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" id="consignee_files_is_required_`+i+`" name="consignee_files[is_required][`+i+`]" checked>
                                <label class="custom-control-label" for="consignee_files_is_required_`+i+`">`+value.name+`</label>
                            </div>
                            <div>
                                <input type="hidden" name="consignee_files[name][`+i+`]" value="`+value.name+`">
                                <input type="hidden" name="consignee_files[fixed][`+i+`]" value="`+value.fixed+`">
                                <div class="switches-container">
                                    <input type="radio" id="consignee_files_type_1_`+i+`" name="consignee_files[type][`+i+`]" value="1" `+((value.type==1)?'checked':'')+`>
                                    <input type="radio" id="consignee_files_type_2_`+i+`" name="consignee_files[type][`+i+`]" value="2" `+((value.type==2)?'checked':'')+`>
                                    <label for="consignee_files_type_1_`+i+`">Copy</label>
                                    <label for="consignee_files_type_2_`+i+`">Original</label>
                                    <div class="switch-wrapper">
                                        <div class="switch">
                                            <div>Copy</div>
                                            <div>Original</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>`;
                        ++i;
                    });
                    html                        += `</div></div>`;
                }
                if(files_non_required.length > 0){
                    html                        += `<div class="add-edit-reg-block"><h6>Preset Items</h6><div class="required-checkbox">`;
                    $.each(files_non_required, function (index,value) {
                        html                    += `<div class="d-flex">
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" id="consignee_files_is_required_`+i+`" name="consignee_files[is_required][`+i+`]">
                                <label class="custom-control-label" for="consignee_files_is_required_`+i+`">`+value.name+`</label>
                            </div>
                            <div>
                                <input type="hidden" name="consignee_files[fixed][`+i+`]" value="`+value.fixed+`">
                                <input type="hidden" name="consignee_files[name][`+i+`]" value="`+value.name+`">
                                <div class="switches-container">
                                    <input type="radio" id="consignee_files_type_1_`+i+`" name="consignee_files[type][`+i+`]" value="1" `+((value.type==1)?'checked':'')+`>
                                    <input type="radio" id="consignee_files_type_2_`+i+`" name="consignee_files[type][`+i+`]" value="2" `+((value.type==2)?'checked':'')+`>
                                    <label for="consignee_files_type_1_`+i+`">Copy</label>
                                    <label for="consignee_files_type_2_`+i+`">Original</label>
                                    <div class="switch-wrapper">
                                        <div class="switch">
                                            <div>Copy</div>
                                            <div>Original</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>`;
                        ++i;
                    });
                    html                        += `</div></div>`;
                }

                html                            += `<div class="add-edit-reg-block custom-required-documents">
                    <h6>Custom Options</h6>
                    <div class="required-checkbox">
                        <div class="d-flex align-items-center custom-item mb-2">
                            <div class="custom-control custom-checkbox mb-0">
                                <input type="checkbox" class="custom-control-input" id="consignee_files_is_required_`+i+`" name="consignee_files[is_required][`+i+`]">
                                <label class="custom-control-label" for="consignee_files_is_required_`+i+`">
                                    <input type="text" class="form-control custom-name" id="consignee_files_name_`+i+`" name="consignee_files[name][`+i+`]" placeholder="Enter name">
                                </label>
                            </div>
                            <div>
                                <input type="hidden" name="consignee_files[custom][`+i+`]" value="yes">
                                <input type="hidden" name="consignee_files[fixed][`+i+`]" value="no">
                                <div class="switches-container">
                                    <input type="radio" id="consignee_files_type_1_`+i+`" name="consignee_files[type][`+i+`]" value="1" checked>
                                    <input type="radio" id="consignee_files_type_2_`+i+`" name="consignee_files[type][`+i+`]" value="2">
                                    <label for="consignee_files_type_1_`+i+`">Copy</label>
                                    <label for="consignee_files_type_2_`+i+`">Original</label>
                                    <div class="switch-wrapper">
                                        <div class="switch">
                                            <div>Copy</div>
                                            <div>Original</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <a href="javascript:void(0);" class="remove-link remove-required-documents">remove</a>
                        </div>
                    </div>
                    <div class="clearfix">
                        <a href="javascript:void(0);" class="btn-link-orange add-required-documents" data-type="delivery" data-last_index="`+i+`">
                            <i class="fa fa-plus" aria-hidden="true"></i>
                            Add Document
                        </a>
                    </div>
                </div>`;

                html                            += `<div class="text-center ">
                    <button type="button" class="btn btn-themeGray doc-cancel-btn">Cancel</button>
                    <button type="button" class="btn btn-themeGray doc-save-btn">Save</button>

                </div>`;
            }else if(type=='stop'){
                var i                           = 0;
                html                            += `<h5 class="popup-heading"></h5>`;
                if(files_required.length > 0){
                    html                        += `<div class="add-edit-reg-block"><h6>Required by Broker</h6><div class="required-checkbox">`;
                    $.each(files_required, function (index,value) {
                        html                    += `<div class="d-flex">
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" id="stop_files_`+stop_index_no+`_is_required_`+i+`" name="stop_files[`+stop_index_no+`][is_required][`+i+`]" checked>
                                <label class="custom-control-label" for="stop_files_`+stop_index_no+`_is_required_`+i+`">`+value.name+`</label>
                            </div>
                            <div>
                                <input type="hidden" name="stop_files[`+stop_index_no+`][name][`+i+`]" value="`+value.name+`">
                                <input type="hidden" name="stop_files[`+stop_index_no+`][fixed][`+i+`]" value="`+value.fixed+`">
                                <div class="switches-container">
                                    <input type="radio" id="stop_files_`+stop_index_no+`_type_1_`+i+`" name="stop_files[`+stop_index_no+`][type][`+i+`]" value="1" `+((value.type==1)?'checked':'')+`>
                                    <input type="radio" id="stop_files_`+stop_index_no+`_type_2_`+i+`" name="stop_files[`+stop_index_no+`][type][`+i+`]" value="2" `+((value.type==2)?'checked':'')+`>
                                    <label for="stop_files_`+stop_index_no+`_type_1_`+i+`">Copy</label>
                                    <label for="stop_files_`+stop_index_no+`_type_2_`+i+`">Original</label>
                                    <div class="switch-wrapper">
                                        <div class="switch">
                                            <div>Copy</div>
                                            <div>Original</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>`;
                        ++i;
                    });
                    html                        += `</div></div>`;
                }
                if(files_non_required.length > 0){
                    html                        += `<div class="add-edit-reg-block"><h6>Preset Items</h6><div class="required-checkbox">`;
                    $.each(files_non_required, function (index,value) {
                        html                    += `<div class="d-flex">
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" id="stop_files_`+stop_index_no+`_is_required_`+i+`" name="stop_files[`+stop_index_no+`][is_required][`+i+`]">
                                <label class="custom-control-label" for="stop_files_`+stop_index_no+`_is_required_`+i+`">`+value.name+`</label>
                            </div>
                            <div>
                                <input type="hidden" name="stop_files[`+stop_index_no+`][fixed][`+i+`]" value="`+value.fixed+`">
                                <input type="hidden" name="stop_files[`+stop_index_no+`][name][`+i+`]" value="`+value.name+`">
                                <div class="switches-container">
                                    <input type="radio" id="stop_files_`+stop_index_no+`_type_1_`+i+`" name="stop_files[`+stop_index_no+`][type][`+i+`]" value="1" `+((value.type==1)?'checked':'')+`>
                                    <input type="radio" id="stop_files_`+stop_index_no+`_type_2_`+i+`" name="stop_files[`+stop_index_no+`][type][`+i+`]" value="2" `+((value.type==2)?'checked':'')+`>
                                    <label for="stop_files_`+stop_index_no+`_type_1_`+i+`">Copy</label>
                                    <label for="stop_files_`+stop_index_no+`_type_2_`+i+`">Original</label>
                                    <div class="switch-wrapper">
                                        <div class="switch">
                                            <div>Copy</div>
                                            <div>Original</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>`;
                        ++i;
                    });
                    html                        += `</div></div>`;
                }

                html                            += `<div class="add-edit-reg-block custom-required-documents">
                    <h6>Custom Options</h6>
                    <div class="required-checkbox">
                        <div class="d-flex align-items-center custom-item mb-2">
                            <div class="custom-control custom-checkbox mb-2">
                                <input type="checkbox" class="custom-control-input" id="stop_files_`+stop_index_no+`_is_required_`+i+`" name="stop_files[`+stop_index_no+`][is_required][`+i+`]">
                                <label class="custom-control-label" for="stop_files_`+stop_index_no+`_is_required_`+i+`">
                                    <input type="text" class="form-control custom-name" id="stop_files_`+stop_index_no+`_name_`+i+`" name="stop_files[`+stop_index_no+`][name][`+i+`]" placeholder="Enter name">
                                </label>
                            </div>
                            <div>
                                <input type="hidden" name="stop_files[`+stop_index_no+`][custom][`+i+`]" value="yes">
                                <input type="hidden" name="stop_files[`+stop_index_no+`][fixed][`+i+`]" value="no">
                                <div class="switches-container">
                                    <input type="radio" id="stop_files_`+stop_index_no+`_type_1_`+i+`" name="stop_files[`+stop_index_no+`][type][`+i+`]" value="1" checked>
                                    <input type="radio" id="stop_files_`+stop_index_no+`_type_2_`+i+`" name="stop_files[`+stop_index_no+`][type][`+i+`]" value="2">
                                    <label for="stop_files_`+stop_index_no+`_type_1_`+i+`">Copy</label>
                                    <label for="stop_files_`+stop_index_no+`_type_2_`+i+`">Original</label>
                                    <div class="switch-wrapper">
                                        <div class="switch">
                                            <div>Copy</div>
                                            <div>Original</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <a href="javascript:void(0);" class="remove-link remove-required-documents">remove</a>
                        </div>
                    </div>
                    <div class="clearfix">
                        <a href="javascript:void(0);" class="btn-link-orange add-required-documents" data-type="stop" data-last_index="`+i+`">
                            <i class="fa fa-plus" aria-hidden="true"></i>
                            Add Document
                        </a>
                    </div>
                </div>`;

                html                            += `<div class="text-center ">
                    <button type="button" class="btn btn-themeGray doc-cancel-btn">Cancel</button>
                    <button type="button" class="btn btn-themeGray doc-save-btn">Save</button>
                </div>`;
            }

            that.find('.add-edit-block').html(html);
        }
        function getShipper(that,assign=null) {
            $.ajax({
                url: "{{ route('company.admin.get.customer.list') }}",
                method: "GET",
                data: {
                    data: 'Shipper'
                },
                success: function(response) {
                    that.html(response);
                    that.select2();
                    if(assign){
                        that.val(assign).trigger('change');
                    }
                }
            });
        }
        function getReceiver(that,assign=null) {
            $.ajax({
                url: "{{ route('company.admin.get.customer.list') }}",
                method: "GET",
                data: {
                    data: 'Receiver'
                },
                success: function(response) {
                    that.html(response);
                    that.select2();
                    if(assign){
                        that.val(assign).trigger('change');
                    }
                }
            });
        }
        function getNoteSave(){
            var load_id = $('input[name="dummyloadid"]').val(); // original load id
            if(load_id){
                $.ajax({
                    type: 'POST',
                    url: '{{ route("company.admin.loads.note.view") }}',
                    data: { id: load_id },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        $('.getNoteSave').html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
                    },
                    success: function(response) {
                        $('.getNoteSave').html(response.view);
                        if(response.getNotificationList){
                            $('.notification-append').html(response.getNotificationList);
                        }
                    },
                    complete: function() {
                        //console.log('complete');
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
        }
    </script>
    <script type="text/javascript">
        function stopInit(stop_div,exist='no'){
            if(is_driver=='0'){
                stop_div.find('.dropTrailer-btn').addClass('d-none');
            }
            stop_div.find('.stop-select2').select2();

            var shipperDate         = $('#shipperDate').val();
            var shipperD            = moment(shipperDate).add(0, 'day').format('MM/DD/YYYY');
            var shipperT            = moment(shipperDate).add(0, 'day').format(TimeFormat);

            var deliveryDate        = $('#deliveryDate').val();
            var deliveryD           = moment(deliveryDate).add(0, 'day').format('MM/DD/YYYY');
            var deliveryT           = moment(deliveryDate).add(0, 'day').format(TimeFormat);

            var shipperMinDate      = shipperD+ ' 00:00'; //moment(shipperDate).format('MM/DD/YYYY HH:mm');
            var deliveryMinDate     = deliveryD+ ' 00:00'; //moment(deliveryDate).format('MM/DD/YYYY HH:mm');
            var deliveryMaxDate     = deliveryD+ ' 23:59'; //moment(deliveryDate).format('MM/DD/YYYY HH:mm');

            stop_div.find('.stop-date-time').datetimepicker({
                format: DateTimeFormat,
                useCurrent: false
            });

            stop_div.find('.stop-date-time-end').datetimepicker({
                format: DateTimeFormat,
                useCurrent: false
            });

            @if(getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3)
                stop_div.find('.custstopdate').mask("99/99/9999");
                stop_div.find('.custstopdateend').mask("99/99/9999");

                stop_div.find('.custstoptime').mask(TimeMaskFormat).attr("placeholder", TimeFormatPlace);
                stop_div.find('.custstoptimeend').mask(TimeMaskFormat).attr("placeholder", TimeFormatPlace);

                stop_div.find('.custstopdate').datetimepicker({
                    format: 'MM/DD/YYYY',
                    useCurrent: false
                });

                stop_div.find('.custstopdate').datetimepicker().on('dp.change',function(e){
                    var CurrentDate     = moment(new Date(e.date));
                    var CurrentD        = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
                    var Ctime           = stop_div.find('.custstoptime').val();
                    if(Ctime==''){
                        Ctime           = moment().format(TimeFormat);
                    }
                    stop_div.find('.stop-date-time').val(CurrentD+' '+Ctime).change();
                });

                stop_div.find('.custstoptime').datetimepicker({
                    format: TimeFormat,
                    useCurrent: false
                });

                stop_div.find('.custstoptime').datetimepicker().on('dp.change',function(e){
                    var Ctime           = stop_div.find('.custstopdate').val();
                    var CurrentDate     = moment(new Date(Ctime));
                    var CurrentD        = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
                    var Ctime           = stop_div.find('.custstoptime').val();
                    if(Ctime==''){
                        Ctime           = moment().format(TimeFormat);
                    }
                    var sevsa           = CurrentD+' '+Ctime;
                    stop_div.find('.stop-date-time').val(sevsa).change();
                });

                stop_div.find('.custstopdate').data('DateTimePicker').maxDate(deliveryD).minDate(shipperD);

                stop_div.find('.custstopdateend').datetimepicker({
                    format: 'MM/DD/YYYY',
                    useCurrent: false
                });

                stop_div.find('.custstopdateend').datetimepicker().on('dp.change',function(e){
                    var CurrentDate     = moment(new Date(e.date));
                    var CurrentD        = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
                    var Ctime           = stop_div.find('.custstoptimeend').val();
                    if(Ctime==''){
                        Ctime           = moment().format(TimeFormat);
                    }
                    stop_div.find('.stop-date-time-end').val(CurrentD+' '+Ctime).change();
                });

                stop_div.find('.custstoptimeend').datetimepicker({
                    format: TimeFormat,
                    useCurrent: true
                });

                stop_div.find('.custstoptimeend').datetimepicker().on('dp.change',function(e){
                    var Ctime           = stop_div.find('.custstopdateend').val();
                    var CurrentDate     = moment(new Date(Ctime));
                    var CurrentD        = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
                    var Ctime           = stop_div.find('.custstoptimeend').val();
                    if(Ctime==''){
                        Ctime           = moment().format(TimeFormat);
                    }
                    stop_div.find('.stop-date-time-end').val(CurrentD+' '+Ctime).change();
                });

                stop_div.find('.custstopdateend').data('DateTimePicker').maxDate(deliveryD).minDate(shipperD);
            @endif

            stop_div.find('.stop-date-time').datetimepicker().on('dp.change', function(e) {
                // console.log('stop-date-time change');

                var that            = $(this).closest('.stop');
                var date            = that.find('.stop-date-time').val();
                var stopd           = moment(date).add(0, 'day').format('MM/DD/YYYY');
                var stopt           = moment(date).add(0, 'day').format(TimeFormat);

                var dateEnd         = that.find('.stop-date-time-end').val();
                var stoped          = moment(dateEnd).add(0, 'day').format('MM/DD/YYYY');
                var stopet          = moment(dateEnd).add(0, 'day').format(TimeFormat);

                var timeRange       = that.find('.stop-date_time_range:checked').val();

                @if(getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3)
                    that.find('.custstopdate').val(stopd);
                    that.find('.custstoptime').val(stopt);
                @endif

                if(dateEnd){
                    if (timeRange == 1) {
                        var sdate   = moment(date).format('YYYY-MM-DD HH:mm');
                        var ddate   = moment(dateEnd).format('YYYY-MM-DD HH:mm');
                        if (moment(sdate).isAfter(ddate)) {
                            that.find('.stop-date-time-end').val(date);
                            @if(getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3)
                                that.find('.custstopdateend').val(stopd);
                                that.find('.custstoptimeend').val(stopt);
                            @endif
                            toastr.warning('Stop End Date updated accordingly.', {
                                timeOut: 5000
                            });
                        }
                    }else{
                        that.find('.stop-date-time-end').val(date);
                        @if(getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3)
                            that.find('.custstopdateend').val(stopd);
                            that.find('.custstoptimeend').val(stopt);
                        @endif
                    }
                }
            });

            stop_div.find('.stop-date-time-end').val(shipperDate);
            stop_div.find('.stop-date-time').val(shipperDate).change();

            stop_div.find('.stop-date-time-end').data('DateTimePicker').maxDate(deliveryMaxDate).minDate(shipperMinDate);
            stop_div.find('.stop-date-time').data('DateTimePicker').maxDate(deliveryMaxDate).minDate(shipperMinDate);

            var brokerage_firm      = $('.brokerage-firm-select2').val();
            if(brokerage_firm!='' && exist!='yes'){
                stop_div.find('.required-documents-collapse-btn').removeClass('d-none');
                stop_div.find('.required-documents-table').html('');
                stop_div.find('.add-edit-popup').removeClass('d-none').addClass('d-inline-block');
                stop_div.find('.add-edit-block').addClass('d-none');
                stop_div.find('.add-edit-block').html('');

                requiredDocUploadHtml(stop_div);
                requiredDocHtml(stop_div);
            }

            $('#shipperDate').change();

            $('input[name=load_type]:checked').trigger('change');
        }
        function reArrangeStopNo(){
            var stop_no             = 1;

            let dropdownStopIndex   = [];
            let dropStopOptions     = '<option value="">Select Stop</option>';
            $('#pickup-delivery-collapse .stop').each(function (key, val){
                var that            = $(this);
                that.attr('data-stop_no',stop_no);
                that.find('.hedding-section .stop_no').html(stop_no);
                that.find('.hedding-section .dropStopNumber').val(stop_no);
                $("[name='delivery_stop_number']").val(stop_no);

                let addr1           = that.find('.geocoding-address-1').val();
                let addr2           = that.find('.geocoding-address-2').val();
                let city            = that.find('.geocoding-city').val();
                let state           = that.find('.geocoding-state').val();
                let zip             = that.find('.geocoding-zip').val();
                dropStopOptions     += '<option value="'+ stop_no +'" data-addr1="'+ addr1 +'" data-addr2="'+ addr2 +'" data-city="'+ city +'" data-state="'+ state +'" data-zip="'+ zip +'">'+ stop_no +'</option>';
                stop_no++;
            });

            var indexNo             = 0;
            $('#pickup-delivery-collapse .stop').each(function (key, val){
                var that            = $(this);
                dropdownStopIndex.push({index: indexNo, dropSelected: that.find('.dropLocByStop').val()});
                indexNo++;
            });

            $('.dropLocByStop').html("").html(dropStopOptions);
            $(".dropLocByStop").each(function(key){
                if($('#addStopOnIndex').val() != ""){
                    if($('#addStopOnIndex').val() <= dropdownStopIndex[key]['dropSelected']){
                        $(this).val(parseInt(dropdownStopIndex[key]['dropSelected']) + 1);
                    }else{
                        $(this).val(dropdownStopIndex[key]['dropSelected']);
                    }
                }else if($('#removeStopOnIndex').val() != ""){
                    if($('#removeStopOnIndex').val() == dropdownStopIndex[key]['dropSelected']){
                        $(this).val(dropdownStopIndex[key]['dropSelected']).trigger('change');
                    }else if($('#removeStopOnIndex').val() < dropdownStopIndex[key]['dropSelected']){
                        $(this).val(parseInt(dropdownStopIndex[key]['dropSelected']) - 1);
                    }else{
                        $(this).val(dropdownStopIndex[key]['dropSelected']);
                    }
                }else{
                    $(this).val(dropdownStopIndex[key]['dropSelected']).trigger('change');
                }
            });
            $('#addStopOnIndex').val("");
            $('#removeStopOnIndex').val("");

            var actual_stop_no      = 1;
            $('#pickup-delivery-collapse .stop[data-stop_index]').each(function (key, val){
                var that = $(this);
                that.find('.actual_stop_no').val(actual_stop_no);
                actual_stop_no++;
            });
        }
    </script>
    <script type="text/javascript">
        LoadRequirementTableView();

        function LoadRequirementTableView() {
            $("#LoadRequirementTable").html('<tr><td colspan="7"><img src="'+loadimg+'" width="70" /></td></tr>');
            var token   = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                url: "/company-admin/loads/load-requirement-view",
                method: "POST",
                data: { _token : token , load_id : <?php echo $load_id; ?>}, // original load id
                success: function(response) {
                    $("#LoadRequirementTable").html(response.view);
                }
            });
        }
    </script>
    <!-- // file upload -->
    <script type="text/javascript">
        $(document).ready(function() {
            $("#loadfile").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
        });
        $(document).on('click', '.upload_doc_btn', function(event) {
            event.preventDefault();

            var load_id             = $('.doc_load_id').val();
            var edit_id             = $('.edit_id').val();
            var edit_source_id      = $('.edit_source_id').val();
            var edit_field_name     = $('.edit_field_name').val();

            var edit_filename       = $('.doc_filename').val();
            var edit_note           = $('.doc_filenote').val();

            var totalfiles          = document.getElementById('doc_file').files.length;

            if(edit_filename==''){
                toastr.error('Please enter document name.', 'Error Alert', {
                    timeOut: 5000
                });
                return false;
            }
            if(jQuery.inArray(edit_source_id, ['load_cod_galleries','load_accessorials']) !== -1){
                if(edit_source_id=='load_cod_galleries'){
                    if(totalfiles > 1){
                        // $('.doc_file').val('');
                        // $('.drop-zone').prepend('<span class="drop-zone__prompt">Drag and drop file here or click to browse</span>');
                        // $('.drop-zone__thumb').remove();
                        toastr.error('Please select one file.', 'Error Alert', {
                            timeOut: 5000
                        });
                        return false;
                    }
                }else{
                    var selection   = document.getElementById('doc_file');
                    for (var i=0; i<selection.files.length; i++) {
                        var validExtensions = ['png','jpeg','jpg','gif'];
                        var fileName        = selection.files[i].name;
                        var fileNameExt     = fileName.substr(fileName.lastIndexOf('.') + 1);
                        if ($.inArray(fileNameExt, validExtensions) == -1){
                            toastr.error('Only JPG/JPEG, PNG and GIF files are allowed.', 'Error Alert', { timeOut: 5000 });
                            return false;
                        }
                    }
                }
            }

            var formData            = new FormData();
            // Read selected files
            for (var index          = 0; index < totalfiles; index++) {
                formData.append("file[]", document.getElementById('doc_file').files[index]);
            }
            formData.append('load_id', load_id); // original load id
            formData.append('edit_id', edit_id);
            formData.append('edit_source_id', edit_source_id);
            formData.append('edit_field_name', edit_field_name);

            formData.append('filename', edit_filename);
            formData.append('filenote', edit_note);

            $.ajax({
                type: 'POST',
                url:'{{ route("company.admin.loads.file.view.save") }}',
                processData: false,
                contentType: false,
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: formData,
                async: false, //blocks window close
            }).done(function (res) {
                if(res == '1'){
                    $('.edit_id').val('');
                    $('.edit_source_id').val('');
                    $('.edit_field_name').val('');

                    $('.doc_file').val('');
                    $('.drop-zone').prepend('<span class="drop-zone__prompt">Drag and drop file here or click to browse</span>');
                    $('.drop-zone__thumb').remove();

                    $('.doc_filename').val('');
                    $('.doc_filenote').val('');

                    $('.doc_filename').removeAttr('placeholder');
                    $('.doc_filename').prop('readonly',false).prop('required',false);
                    $('.doc_filenote').prop('readonly',false).prop('required',false);

                    loadFileView();
                    if(edit_source_id=='load_accessorials'){
                        setTimeout(function() {
                            var id      = edit_id;
                            var temp    = 0;
                            // console.table([edit_source_id,edit_id]);
                            $.ajax({
                                type: 'POST',
                                url: "{{ route('company.admin.loads.accessorial.detail') }}",
                                data: {
                                    id: id,
                                    temp: temp,
                                    html: true
                                },
                                dataType: 'json',
                                headers: {
                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                },
                                success: function(response) {
                                    if(response.success){
                                        var editBtn = $('.accessorial-edit[data-id="'+id+'"][data-temp="'+temp+'"]');
                                        var tr      = editBtn.closest('tr');
                                        tr.after(response.html);
                                        tr.remove();
                                    }
                                }
                            });
                        }, 250);
                    }

                    toastr.success('File upload successfully', 'Success Alert', {
                        timeOut: 5000
                    });
                }else{
                    loadFileView();

                    toastr.error('Upload file not supported', 'Error Alert', {
                        timeOut: 5000
                    });
                }
            });
        });
        document.querySelectorAll(".drop-zone__input").forEach((inputElement) => {
            const dropZoneElement   = inputElement.closest(".drop-zone");

            dropZoneElement.addEventListener("click", (e) => {
                inputElement.click();
            });

            inputElement.addEventListener("change", (e) => {
                if (inputElement.files.length) {
                    var filecount   = inputElement.files.length;
                updateThumbnail(dropZoneElement, inputElement.files[0], filecount);
                }
            });

            dropZoneElement.addEventListener("dragover", (e) => {
                e.preventDefault();
                dropZoneElement.classList.add("drop-zone--over");
            });

            ["dragleave", "dragend"].forEach((type) => {
                dropZoneElement.addEventListener(type, (e) => {
                dropZoneElement.classList.remove("drop-zone--over");
                });
            });

            dropZoneElement.addEventListener("drop", (e) => {
                e.preventDefault();

                if (e.dataTransfer.files.length) {
                inputElement.files  = e.dataTransfer.files;
                var filecount       = e.dataTransfer.files.length;
                updateThumbnail(dropZoneElement, e.dataTransfer.files[0], filecount);
                }

                dropZoneElement.classList.remove("drop-zone--over");
            });
        });
        function updateThumbnail(dropZoneElement, file, filecount) {
            let thumbnailElement    = dropZoneElement.querySelector(".drop-zone__thumb");

            // First time - remove the prompt
            if (dropZoneElement.querySelector(".drop-zone__prompt")) {
                dropZoneElement.querySelector(".drop-zone__prompt").remove();
            }

            // First time - there is no thumbnail element, so lets create it
            if (!thumbnailElement) {
                thumbnailElement    = document.createElement("div");
                thumbnailElement.classList.add("drop-zone__thumb");
                dropZoneElement.appendChild(thumbnailElement);
            }

            thumbnailElement.dataset.label = filecount+' Files Selected';

            // Show thumbnail for image files
            if (file.type.startsWith("image/")) {
                const reader        = new FileReader();

                reader.readAsDataURL(file);
                reader.onload       = () => {
                    thumbnailElement.style.backgroundImage = `url('${reader.result}')`;
                };
            } else {
                thumbnailElement.style.backgroundImage = null;
            }
        }
        function loadFileView() {
            var load_id     = $('input[name="dummyloadid"]').val(); // original load id
            var token       = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                url: "/company-admin/loads-file-view",
                method: "POST",
                data: {
                    _token : token,
                    id : load_id,
                    accessorial_unique_id : $('input[name="accessorial_unique_id"]').val()
                },
                success: function(response) {
                    $("#loadfile").html(response.view);
                }
           });
        }
    </script>
    <!-- // file upload -->
    <script type="text/javascript">
        function totalStopVerified(){
            var total_stop_verified = 0;
            $.each($('.stop .geocoding-verified'), function(index,obj) {
                if($(this).val()=='1'){
                    ++total_stop_verified;
                }
            });
            return total_stop_verified;
        }
        function checkOOSTruck(){
            var oos_equipment   = "{{ $setting->oos_equipment }}";
            var getvalue        = $(".truck-number").val();
            var trucks          = JSON.parse('<?php print_r(json_encode(getOosTruck())); ?>');
            $.each( trucks, function( key, value ) {
                if(getvalue === value){
                    var current_object = $(this);
                    if(oos_equipment !== '2'){
                        Swal.fire({
                            title: "Are you Sure?",
                            text: " You have selected an OOS Truck. Would you still like to proceed and create the load?",
                            icon: "warning",
                            showCancelButton: true,
                            confirmButtonColor: "#3085d6",
                            cancelButtonColor: "#d33",
                            cancelButtonText: "No, change truck",
                            confirmButtonText: "Yes, go ahead!",
                        }).then((result) => {
                            if (result.value) {
                            }else{
                                $('.truck-number').val('');
                            }
                        });
                    }else{
                        Swal.fire({
                            title: "Alert!",
                            text: "You have Enter an OOS Truck. So it's not accepte this truck number.",
                            icon: "warning",
                            showCancelButton: false,
                            confirmButtonColor: "#3085d6",
                            cancelButtonColor: "#d33",
                            cancelButtonText: "No, change truck",
                            confirmButtonText: "OK",
                        }).then((result) => {
                            if (result.value) {
                                $('.truck-number').val('');
                            }
                        });
                    }
                }
            });
        }
        function checkLoadIsOverlapOrNot() {
            var token               = $('meta[name="csrf-token"]').attr('content');
            var delivery_date       = $('#deliveryDate').val();
            var delivery_end_date   = $('#deliveryDateEnd').val();
            var driver_id           = $('.driver-change').val();

            $.ajax({
                url: "/company-admin/loads/check-load-overlap",
                method: "POST",
                data: {
                    _token: token,
                    driver_id: driver_id,
                    delivery_date: delivery_date,
                    delivery_end_date: delivery_end_date
                },
                success: function(response) {
                    if (response.error) {
                        toastr.error(response.error, {
                            timeOut: 5000
                        });
                    }
                }
            });
        }
        function getWeeklyFuelSurcharge() {
            var token       = $('meta[name="csrf-token"]').attr('content');
            var start_date  = $('#shipperDate').val();
            var end_date    = $('#shipperDateEnd').val();
            $.ajax({
                url: "/company-admin/loads/fuel-surcharge-info",
                method: "POST",
                data: {
                    _token: token,
                    start_date: start_date,
                    end_date: end_date
                },
                success: function(response) {
                    if (response.data) {
                        $('.mileage-rating-div .fuel-surcharge-cost-per-mile').val(response.data.fuel_surcharge);
                    } else {
                        $('.mileage-rating-div .fuel-surcharge-cost-per-mile').val('');
                    }
                }
            });
        }
        function CheckDatesShipping(){
            var actual_shipper_date = moment('<?php echo $loadDetail->actual_shipper_date; ?>').format(DateTimeFormat);
            var shipper_date        = $('#shipperDate').val();
            var shipper_end_date    = $('#shipperDateEnd').val();
            var shipping_time_range = $("input[name='shipping_time_range']:checked").val()
            var value               = $("input[name=load_status]").val();
            if(value == '6' || value == '8'){
                if(shipping_time_range == 1){
                    var range       = moment(actual_shipper_date).isBetween(shipper_date, shipper_end_date, null, '[]');
                }else{
                    var range       = moment(actual_shipper_date).isSameOrBefore(shipper_date);
                }
                if(range == false){
                    var inputOptions = new Promise(function(resolve) {
                        resolve({
                          'actual_shipper_date': 'Actual Shipping Date:'+actual_shipper_date,
                          'shipper_date': 'Shipping Date:'+shipper_date
                        });
                    });

                    Swal.fire({
                            title: "Shipping Date Conflict",
                            text: "The actual shipping date is later than the previously required shipping date. Please select which one to keep for record purposes.",
                            input: 'radio',
                            inputOptions: inputOptions,
                            showCancelButton: true,
                            reverseButtons: true,
                            confirmButtonColor: "#3085d6",
                            cancelButtonColor: "#d33",
                            confirmButtonText: "Confirm and Submit",
                            cancelButtonText: "Cancel",
                        }).then((result) => {
                            if (result.value) {
                                if(result.value == 'actual_shipper_date'){
                                    $('#setcustomdateshipping').val(actual_shipper_date);
                                }
                                if(result.value == 'shipper_date'){
                                    $('#setcustomdateshipping').val(shipper_date);
                                }
                                CheckDatesDelivery();
                            }
                        });
                }else{
                    CheckDatesDelivery();
                }
            }else{
                CheckDatesDelivery();
            }
        }
        function CheckDatesDelivery(){
            var actual_delivery_date    = moment('<?php echo $loadDetail->actual_delivery_date; ?>').format(DateTimeFormat);
            var delivery_date           = $('#deliveryDate').val();
            var delivery_end_date       = $('#deliveryDateEnd').val();
            var delivery_time_range     = $("input[name='delivery_time_range']:checked").val()
            var value                   = $("input[name=load_status]").val();
            if(value == '6' || value == '8'){
                if(delivery_time_range == 1){
                    var range           = moment(actual_delivery_date).isBetween(delivery_date, delivery_end_date, null, '[]');
                }else{
                    var range           = moment(actual_delivery_date).isSameOrBefore(delivery_date);
                }

                if(range == false){
                    var inputOptions = new Promise(function(resolve) {
                        resolve({
                          'actual_delivery_date': 'Actual Delivery Date:'+actual_delivery_date,
                          'delivery_date': 'Delivery Date:'+delivery_date
                        });
                    });

                    Swal.fire({
                            title: "Delivery Date Conflict",
                            text: "The actual delivery date is later than the previously required delivery date. Please select which one to keep for record purposes.",
                            input: 'radio',
                            inputOptions: inputOptions,
                            showCancelButton: true,
                            reverseButtons: true,
                            confirmButtonColor: "#3085d6",
                            cancelButtonColor: "#d33",
                            confirmButtonText: "Confirm and Submit",
                            cancelButtonText: "Cancel",
                        }).then((result) => {
                            if (result.value) {
                                if(result.value == 'actual_delivery_date'){
                                    $('#setcustomdatedelivery').val(actual_delivery_date);
                                }
                                if(result.value == 'delivery_date'){
                                    $('#setcustomdatedelivery').val(delivery_date);
                                }
                                submitForm();
                            }
                        });
                }else{
                    submitForm();
                }
            }else{
                submitForm();
            }
        }
        function submitForm() {
            // console.log('submitForm');
            // Validate the form using Parsley
            $('.edit-form').parsley().validate();
            // Check if the form is valid
            if ($('.edit-form').parsley().isValid()) {
                $("input,select,textarea").each(function(){
                    var temp            = $(this).attr('aria-describedby');
                    $('#' + temp).show();
                });

                var token               = $('meta[name="csrf-token"]').attr('content');
                var shipper_date        = $('#shipperDate').val();
                var delivery_date       = $('#deliveryDate').val();
                var delivery_end_date   = $('#deliveryDateEnd').val();
                var driver_id           = $('.driver-change').val();
                var load_id             = "{{ $load_id }}"; // original load id

                var sdate               = moment(shipper_date).format('YYYY-MM-DD HH:mm');
                var ddate               = moment(delivery_date).format('YYYY-MM-DD HH:mm');
                var temp                = $('input[name="temp"]').val();
                if(moment(sdate).isAfter(ddate)){
                    toastr.error('Shipping Date cannot be greater than Delivery Date!', {
                        timeOut: 5000
                    });
                    return false;
                }

                $.ajax({
                    url: "{{ route('company.admin.loads.check.load.overlap') }}",
                    method: "POST",
                    data: { _token : token , driver_id : driver_id , load_id : load_id , delivery_date : delivery_date , delivery_end_date : delivery_end_date },
                    success: function(response) {
                        if (response.error) {
                            Swal.fire({
                                // title: "Are you sure?",
                                text: response.driver_name+" already has a load assigned during these dates. Load Number: "+response.load_number,
                                icon: "warning",
                                showCancelButton: true,
                                reverseButtons: true,
                                confirmButtonColor: "#3085d6",
                                cancelButtonColor: "#d33",
                                confirmButtonText: "Confirm and Save",
                                cancelButtonText: "Cancel and Continue editing",
                            }).then((result) => {
                                if (result.value) {
                                    $('.edit-form').submit();
                                }
                            });
                        } else {
                            $('.edit-form').submit();
                        }
                    }
                });
            }else{
                // If the form is invalid, show error messages
                // or perform any other required actions
                // (e.g., highlight the invalid fields)
            }
        }
    </script>
    <!-- detention -->
    <script type="text/javascript">
        $('.driver-select2, .brokerage-firm-select2').change(function() {
            var driverSelectedVal = $('.driver-select2 option:selected').val();
            var brokerSelectedVal = $('.brokerage-firm-select2 option:selected').val();
            if(driverSelectedVal!='' && brokerSelectedVal!=''){
                $('.detention-link').each(function(i, obj) {
                    $(obj).removeClass('d-none');
                });
            }else{
                $('.detention-link').each(function(i, obj) {
                    $(obj).addClass('d-none');
                });
            }
        });
        $('#detentionRequestModal').on('hidden.bs.modal', function () {
            //console.log('Detention request modal hidden');
            if(modalInterval > 0)
                clearInterval(modalInterval);
            $('#detentionRequestModal').find('.modal-title').text('');
            $('#detentionRequestModal').find('.append-view').html('');
        });
        $('#detentionRequestModal').on('show.bs.modal', function (e) {
            //console.log('Detention request modal show');
            $('#detentionRequestModal').find('.append-view').html(`
                <div class="loadingdiv">
                    <img src="`+loadimg+`">
                </div>
            `);
        });
        $(document).on('click', '.detention-request', function(event) {
            event.preventDefault();
            // console.log('detention-request');
            // return false;
            var that                        = $(this);
            var stop_div                    = that.closest('.stop');
            var mode                        = that.attr('data-mode');
            var title                       = 'Add Detention Request : ';
            if(mode=='edit'){
                title                       = 'Edit Detention Request : ';
            }
            title                           += stop_div.find('.stop-hedding').text();

            var type                        = that.attr('data-type');
            var is_stop                     = that.attr('data-is_stop');
            if (typeof type === "undefined" || typeof is_stop === "undefined") {
                return false;
            }

            var unique_id                   = that.attr('data-unique_id');

            var myarray                     = [];
            var address                     = '';
            var abbr                        = '';
            if (is_stop == 0) {
                if(type=='1'){
                    if($('input[name="shipper_address_one"]').val()!=''){
                        myarray.push($('input[name="shipper_address_one"]').val());
                    }
                    if($('input[name="shipper_address_two"]').val()!=''){
                        myarray.push($('input[name="shipper_address_two"]').val());
                    }
                    if($('input[name="shipper_city"]').val()!=''){
                        myarray.push($('input[name="shipper_city"]').val());
                    }
                    if($('input[name="shipper_state"]').val()!=''){
                        myarray.push($('input[name="shipper_state"]').val());
                    }
                    if($('input[name="shipper_zip"]').val()!=''){
                        myarray.push($('input[name="shipper_zip"]').val());
                    }
                    address                 = myarray.join(", ");
                    abbr                    = $('input[name="shipper_timezone_abbr"]').val();
                }else{
                    if($('input[name="delivery_address_one"]').val()!=''){
                        myarray.push($('input[name="delivery_address_one"]').val());
                    }
                    if($('input[name="delivery_address_two"]').val()!=''){
                        myarray.push($('input[name="delivery_address_two"]').val());
                    }
                    if($('input[name="delivery_city"]').val()!=''){
                        myarray.push($('input[name="delivery_city"]').val());
                    }
                    if($('input[name="delivery_state"]').val()!=''){
                        myarray.push($('input[name="delivery_state"]').val());
                    }
                    if($('input[name="delivery_zip"]').val()!=''){
                        myarray.push($('input[name="delivery_zip"]').val());
                    }
                    address                 = myarray.join(", ");
                    abbr                    = $('input[name="delivery_timezone_abbr"]').val();
                }
            }else{
                var stop_index_no           = stop_div.attr('data-stop_index');
                if($('input[name="stop['+stop_index_no+'][address_one]"]').val()!=''){
                    myarray.push($('input[name="stop['+stop_index_no+'][address_one]"]').val());
                }
                if($('input[name="stop['+stop_index_no+'][address_two]"]').val()!=''){
                    myarray.push($('input[name="stop['+stop_index_no+'][address_two]"]').val());
                }
                if($('input[name="stop['+stop_index_no+'][city]"]').val()!=''){
                    myarray.push($('input[name="stop['+stop_index_no+'][city]"]').val());
                }
                if($('input[name="stop['+stop_index_no+'][state]"]').val()!=''){
                    myarray.push($('input[name="stop['+stop_index_no+'][state]"]').val());
                }
                if($('input[name="stop['+stop_index_no+'][zip]"]').val()!=''){
                    myarray.push($('input[name="stop['+stop_index_no+'][zip]"]').val());
                }
                address                     = myarray.join(", ");
                abbr                        = $('input[name="stop['+stop_index_no+'][timezone_abbr]"]').val();
            }

            var formData                    = {};
            formData['type']                = type;
            formData['is_stop']             = is_stop;
            formData['load_detail_id']      = that.attr('data-load_detail_id');
            if(is_stop==1){
                var load_stop_id            = that.attr('data-load_stop_id');
                if (typeof load_stop_id !== "undefined") {
                    formData['load_stop_id']= load_stop_id;
                }
                formData['random_id']       = that.attr('data-random_id');
            }
            formData['driver_id']           = $('select[name="driver_id"]').val();
            formData['broker_id']           = $('select[name="brokerage_firm"]').val();
            formData['broker_email']        = $('input[name="broker_email"]').val();
            formData['address']             = address;
            formData['timezone_abbr']       = abbr;
            formData['unique_id']           = unique_id;
            var detention_id                = that.attr('data-detention_id');
            if (typeof detention_id !== "undefined") {
                formData['detention_id']    = detention_id;
            }
            // console.log(formData);
            // return false;

            $.ajax({
                type: 'POST',
                url: '{!! route("company.admin.loads.detention.request") !!}',
                data: formData,
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                beforeSend: function () {
                    $('#detentionRequestModal').find('.modal-title').text(title);
                    $('#detentionRequestModal').modal({backdrop: 'static', keyboard: false}, 'show');
                },
            }).done(function(response) {
                var html                    = response.html;
                if(typeof html !== "undefined"){
                    $('#detentionRequestModal').find('.append-view').html(html);
                    setTimeout(function() {
                        updateClock();

                        var modalForm                   = $('#detentionRequestModal #detentionForm');
                        if(modalForm.length > 0){
                            var free_time               = modalForm.find('input[name="free_time"]');
                            if(free_time.length > 0){
                                HtmlDurationPicker.refresh();
                                setTimeout(function() {
                                    if(modalForm.find('input[name="billed_time"]').length > 0){
                                        if(modalForm.find('input[name="billed_time"]').val()==''){
                                            free_time.keyup();
                                        }
                                    }
                                }, 1050);
                            }
                            var detention_arrival_time  = modalForm.find('input[name="detention_arrival_time"]');
                            if(detention_arrival_time.length > 0){
                                detention_arrival_time.datetimepicker({
                                    ignoreReadonly: true,
                                    format: dateTimeLayout,
                                    useCurrent: false,
                                }).on('dp.change', function(e) {
                                    var getDate         = moment(new Date(e.date));
                                    var currentDate     = moment(getDate).format(dateTimeLayout);
                                    modalForm.find('.arrival_time_label').attr('data-arrival_time',currentDate);
                                });
                            }
                            var detention_start_time    = modalForm.find('input[name="detention_start_time"]');
                            if(detention_start_time.length > 0){
                                detention_start_time.datetimepicker({
                                    ignoreReadonly: true,
                                    format: dateTimeLayout,
                                    useCurrent: false,
                                }).on('dp.change', function(e) {
                                    detention_start_time.parsley().reset();
                                    var getDate         = moment(new Date(e.date));
                                    var currentDate     = moment(getDate).format(dateTimeLayout);
                                    modalForm.find('.start_time_label').attr('data-start_time',currentDate);
                                    if(modalForm.find('input[name="detention_end_time"]').length > 0)
                                        updateClock();
                                        setTimeout(function() {
                                            if(free_time.length > 0){
                                                free_time.keyup();
                                            }
                                        }, 1050);
                                });
                            }
                            var detention_end_time      = modalForm.find('input[name="detention_end_time"]');
                            if(detention_end_time.length > 0){
                                detention_end_time.datetimepicker({
                                    ignoreReadonly: true,
                                    format: dateTimeLayout,
                                    useCurrent: false,
                                }).on('dp.change', function(e) {
                                    detention_end_time.parsley().reset();
                                    var getDate         = moment(new Date(e.date));
                                    var currentDate     = moment(getDate).format(dateTimeLayout);
                                    modalForm.find('.end_time_label').attr('data-end_time',currentDate);
                                        updateClock();
                                        setTimeout(function() {
                                            if(free_time.length > 0){
                                                free_time.keyup();
                                            }
                                        }, 1050);
                                });
                            }
                        }
                    }, 250);
                }else{
                    toastr.error('Oops! Something went wrong..', {
                        timeOut: 5000
                    });
                }
            }).fail(function(jqXHR, status, exception)  {
                if (jqXHR.status === 0) {
                    error = 'Not connected.\nPlease verify your network connection.';
                } else if (jqXHR.status == 404) {
                    error = 'The requested page not found. [404]';
                } else if (jqXHR.status == 500) {
                    error = 'Internal Server Error [500].';
                } else if (exception === 'parsererror') {
                    error = 'Requested JSON parse failed.';
                } else if (exception === 'timeout') {
                    error = 'Time out error.';
                } else if (exception === 'abort') {
                    error = 'Ajax request aborted.';
                } else {
                    error = 'Uncaught Error.\n' + jqXHR.responseText;
                }
                toastr.error(error, {
                    timeOut: 5000
                });
            });
            return false;
        });
        $(document).on('click', '.detention-submit', function(event) {
            event.preventDefault();
            // console.log('detention-submit');
            // return false;
            var that                            = $(this);
            var btnTxt                          = that.text();

            var form                            = $('#detentionRequestModal #detentionForm');
            form.parsley().validate();
            if (form.parsley().isValid()){
                var formData                    = new FormData(form[0]);
                formData.append('review_status', that.attr('data-review_status'));

                $.ajax({
                    type: 'POST',
                    url: '{!! route("company.admin.loads.detention.save") !!}',
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                }).done(function(response) {
                    if(response.success){
                        checkPendingDetention();

                        var modalForm           = $('#detentionRequestModal #detentionForm');
                        var unique_id           = modalForm.find('input[name="unique_id"]').val();
                        var detentionBtn        = $('a[data-unique_id="'+unique_id+'"]');
                        var detention_id        = detentionBtn.attr('data-detention_id');
                        if(typeof detention_id === "undefined")
                            detentionBtn.attr('data-detention_id', response.detention.id);
                        var mode                = detentionBtn.attr('data-mode');
                        if(mode=='add')
                            detentionBtn.attr('data-mode', 'edit');
                            detentionBtn.html('<i class="fa fa-pencil" aria-hidden="true"></i>Detention');

                        var txt                 = btnTxt;
                        txt                     = txt.charAt(0).toUpperCase() + txt.slice(1).toLowerCase()
                        toastr.success(
                            txt+' successfully',
                            'Success Alert', {
                                timeOut: 1000,
                                fadeOut: 1000,
                                onHidden: function () {
                                    $('#detentionRequestModal').modal('hide');
                                }
                            }
                        );
                    }else{
                        toastr.error(response.message, {
                            timeOut: 5000
                        });
                    }
                }).fail(function(jqXHR, status, exception)  {
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, {
                        timeOut: 5000
                    });
                }).always(function (dataOrjqXHR, textStatus, jqXHRorErrorThrown) {
                    that.prop('disabled', false).html(btnTxt);
                });
            }
            return false;
        });
        $(document).on('click', '.detention-deny', function(event) {
            event.preventDefault();
            // console.log('detention-request-deny');
            // return false;
            var that                                = $(this);
            var btnTxt                              = that.text();

            var detention_id                        = that.data('detention_id');
            if(detention_id){
                Swal.fire({
                    text: "Are you sure you want to deny this request?",
                    icon: "warning",
                    showCancelButton: true,
                    confirmButtonColor: "#c82333",
                    confirmButtonText: "Yes",
                    allowOutsideClick: false
                }).then((result) => {
                    if(result.isConfirmed){
                        var formData                = {};
                        formData['detention_id']    = detention_id;
                        $.ajax({
                            type: 'POST',
                            url: '{!! route("company.admin.loads.detention.deny") !!}',
                            data: formData,
                            dataType: 'json',
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            beforeSend: function () {
                                that.prop('disabled', true).html('Please Wait...');
                            },
                        }).done(function(response) {
                            if(response.success){
                                checkPendingDetention();

                                toastr.success(
                                    response.message,
                                    'Success Alert', {
                                        timeOut: 1000,
                                        fadeOut: 1000,
                                        onHidden: function () {
                                            $('#detentionRequestModal').modal('hide');
                                        }
                                    }
                                );
                            }else{
                                toastr.error(response.message, {
                                    timeOut: 5000
                                });
                            }
                        }).fail(function(jqXHR, status, exception)  {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, {
                                timeOut: 5000
                            });
                        }).always(function (dataOrjqXHR, textStatus, jqXHRorErrorThrown) {
                            that.prop('disabled', false).html(btnTxt);
                        });
                        return false;
                    }
                });
            }
        });
        $(document).on('click', '.detention-revert', function(event) {
            event.preventDefault();
            // console.log('detention-revert');
            // return false;
            var that                            = $(this);
            var detention_id                    = that.data('detention_id');
            if(detention_id){
                var modalForm                   = $('#detentionRequestModal #detentionForm');
                var type                        = modalForm.find('input[name="type"]').val();
                var is_stop                     = modalForm.find('input[name="is_stop"]').val();
                if (typeof type === "undefined" || typeof is_stop === "undefined") {
                    return false;
                }

                var unique_id                   = modalForm.find('input[name="unique_id"]').val();
                var detentionBtn                = $('a[data-unique_id="'+unique_id+'"]');
                var stop_div                    = detentionBtn.closest('.stop');

                var myarray                     = [];
                var address                     = '';
                var abbr                        = '';
                if (is_stop == 0) {
                    if(type=='1'){
                        if($('input[name="shipper_address_one"]').val()!=''){
                            myarray.push($('input[name="shipper_address_one"]').val());
                        }
                        if($('input[name="shipper_address_two"]').val()!=''){
                            myarray.push($('input[name="shipper_address_two"]').val());
                        }
                        if($('input[name="shipper_city"]').val()!=''){
                            myarray.push($('input[name="shipper_city"]').val());
                        }
                        if($('input[name="shipper_state"]').val()!=''){
                            myarray.push($('input[name="shipper_state"]').val());
                        }
                        if($('input[name="shipper_zip"]').val()!=''){
                            myarray.push($('input[name="shipper_zip"]').val());
                        }
                        address                 = myarray.join(", ");
                        abbr                    = $('input[name="shipper_timezone_abbr"]').val();
                    }else{
                        if($('input[name="delivery_address_one"]').val()!=''){
                            myarray.push($('input[name="delivery_address_one"]').val());
                        }
                        if($('input[name="delivery_address_two"]').val()!=''){
                            myarray.push($('input[name="delivery_address_two"]').val());
                        }
                        if($('input[name="delivery_city"]').val()!=''){
                            myarray.push($('input[name="delivery_city"]').val());
                        }
                        if($('input[name="delivery_state"]').val()!=''){
                            myarray.push($('input[name="delivery_state"]').val());
                        }
                        if($('input[name="delivery_zip"]').val()!=''){
                            myarray.push($('input[name="delivery_zip"]').val());
                        }
                        address                 = myarray.join(", ");
                        abbr                    = $('input[name="delivery_timezone_abbr"]').val();
                    }
                }else{
                    var stop_index_no           = stop_div.attr('data-stop_index');
                    if($('input[name="stop['+stop_index_no+'][address_one]"]').val()!=''){
                        myarray.push($('input[name="stop['+stop_index_no+'][address_one]"]').val());
                    }
                    if($('input[name="stop['+stop_index_no+'][address_two]"]').val()!=''){
                        myarray.push($('input[name="stop['+stop_index_no+'][address_two]"]').val());
                    }
                    if($('input[name="stop['+stop_index_no+'][city]"]').val()!=''){
                        myarray.push($('input[name="stop['+stop_index_no+'][city]"]').val());
                    }
                    if($('input[name="stop['+stop_index_no+'][state]"]').val()!=''){
                        myarray.push($('input[name="stop['+stop_index_no+'][state]"]').val());
                    }
                    if($('input[name="stop['+stop_index_no+'][zip]"]').val()!=''){
                        myarray.push($('input[name="stop['+stop_index_no+'][zip]"]').val());
                    }
                    address                     = myarray.join(", ");
                    abbr                        = $('input[name="stop['+stop_index_no+'][timezone_abbr]"]').val();
                }

                var obj                         = {};
                obj['type']                     = type;
                obj['is_stop']                  = is_stop;
                obj['load_detail_id']           = modalForm.find('input[name="load_detail_id"]').val();
                if(is_stop==1){
                    if (modalForm.find('input[name="load_stop_id"]').length > 0) {
                        obj['load_stop_id']     = modalForm.find('input[name="load_stop_id"]').val();
                    }
                    obj['random_id']            = modalForm.find('input[name="random_id"]').val();
                }
                //obj['driver_id']              = $('select[name="driver_id"]').val();
                //obj['broker_id']              = $('select[name="brokerage_firm"]').val();
                obj['broker_email']             = $('input[name="broker_email"]').val();
                obj['address']                  = address;
                obj['timezone_abbr']            = abbr;
                obj['unique_id']                = unique_id;
                obj['detention_id']             = detention_id;
                // console.log(obj);
                // return false;

                $.ajax({
                    type: 'POST',
                    url: '{!! route("company.admin.loads.detention.revert") !!}',
                    data: obj,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function () {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                }).done(function(response) {
                    checkPendingDetention();

                    var html                    = response.html;
                    if(typeof html !== "undefined"){
                        if(modalInterval > 0)
                            clearInterval(modalInterval);
                        $('#detentionRequestModal').find('.append-view').html(html);

                        setTimeout(function() {
                            updateClock();

                            var modalForm                   = $('#detentionRequestModal #detentionForm');
                            if(modalForm.length > 0){
                                var free_time               = modalForm.find('input[name="free_time"]');
                                if(free_time.length > 0){
                                    HtmlDurationPicker.refresh();
                                    setTimeout(function() {
                                        if(modalForm.find('input[name="billed_time"]').length > 0){
                                            if(modalForm.find('input[name="billed_time"]').val()==''){
                                                free_time.keyup();
                                            }
                                        }
                                    }, 1050);
                                }
                                var detention_arrival_time  = modalForm.find('input[name="detention_arrival_time"]');
                                if(detention_arrival_time.length > 0){
                                    detention_arrival_time.datetimepicker({
                                        ignoreReadonly: true,
                                        format: dateTimeLayout,
                                        useCurrent: false,
                                    }).on('dp.change', function(e) {
                                        var getDate         = moment(new Date(e.date));
                                        var currentDate     = moment(getDate).format(dateTimeLayout);
                                        modalForm.find('.arrival_time_label').attr('data-arrival_time',currentDate);
                                    });
                                }
                                var detention_start_time    = modalForm.find('input[name="detention_start_time"]');
                                if(detention_start_time.length > 0){
                                    detention_start_time.datetimepicker({
                                        ignoreReadonly: true,
                                        format: dateTimeLayout,
                                        useCurrent: false,
                                    }).on('dp.change', function(e) {
                                        detention_start_time.parsley().reset();
                                        var getDate         = moment(new Date(e.date));
                                        var currentDate     = moment(getDate).format(dateTimeLayout);
                                        modalForm.find('.start_time_label').attr('data-start_time',currentDate);
                                        if(modalForm.find('input[name="detention_end_time"]').length > 0)
                                            updateClock();
                                            setTimeout(function() {
                                                if(free_time.length > 0){
                                                    free_time.keyup();
                                                }
                                            }, 1050);
                                    });
                                }
                                var detention_end_time      = modalForm.find('input[name="detention_end_time"]');
                                if(detention_end_time.length > 0){
                                    detention_end_time.datetimepicker({
                                        ignoreReadonly: true,
                                        format: dateTimeLayout,
                                        useCurrent: false,
                                    }).on('dp.change', function(e) {
                                        detention_end_time.parsley().reset();
                                        var getDate         = moment(new Date(e.date));
                                        var currentDate     = moment(getDate).format(dateTimeLayout);
                                        modalForm.find('.end_time_label').attr('data-end_time',currentDate);
                                            updateClock();
                                            setTimeout(function() {
                                                if(free_time.length > 0){
                                                    free_time.keyup();
                                                }
                                            }, 1050);
                                    });
                                }
                            }
                        }, 250);
                        toastr.success(response.message,'Success Alert');
                    }else{
                        toastr.error('Oops! Something went wrong..', {
                            timeOut: 5000
                        });
                    }
                }).fail(function(jqXHR, status, exception)  {
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, {
                        timeOut: 5000
                    });
                }).always(function (dataOrjqXHR, textStatus, jqXHRorErrorThrown) {
                    that.prop('disabled', false).html('Revert');
                });
            }
            return false;
        });
        $(document).on('click', '.resend-to-broker', function(event) {
            event.preventDefault();
            // console.log('resend-to-broker');
            // return false;
            var that                            = $(this);
            var id                              = that.data('detention_id');
            if(id){
                $.ajax({
                    type: 'POST',
                    url: '{!! route("company.admin.detention.request.resend.broker") !!}',
                    data: { id:id },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function () {
                        that.prop('disabled', true).html('Sending...');
                    },
                }).done(function(response) {
                    if(response.success){
                        toastr.success(response.message,'Success Alert');
                    }else{
                        toastr.error(response.message, {
                            timeOut: 5000
                        });
                    }
                }).fail(function(jqXHR, status, exception)  {
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, {
                        timeOut: 5000
                    });
                }).always(function (dataOrjqXHR, textStatus, jqXHRorErrorThrown) {
                    that.prop('disabled', false).html('Resend to Broker');
                });
            }
        });
        $(document).on('click', '.detention-force-stop', function(event) {
            event.preventDefault();
            // console.log('detention-force-stop');
            // return false;
            var that                            = $(this);
            var detention_id                    = that.data('detention_id');
            if(detention_id){
                var modalForm                   = $('#detentionRequestModal #detentionForm');
                var type                        = modalForm.find('input[name="type"]').val();
                var is_stop                     = modalForm.find('input[name="is_stop"]').val();
                if (typeof type === "undefined" || typeof is_stop === "undefined") {
                    return false;
                }

                var unique_id                   = modalForm.find('input[name="unique_id"]').val();
                var detentionBtn                = $('a[data-unique_id="'+unique_id+'"]');
                var stop_div                    = detentionBtn.closest('.stop');

                var myarray                     = [];
                var address                     = '';
                var abbr                        = '';
                if (is_stop == 0) {
                    if(type=='1'){
                        if($('input[name="shipper_address_one"]').val()!=''){
                            myarray.push($('input[name="shipper_address_one"]').val());
                        }
                        if($('input[name="shipper_address_two"]').val()!=''){
                            myarray.push($('input[name="shipper_address_two"]').val());
                        }
                        if($('input[name="shipper_city"]').val()!=''){
                            myarray.push($('input[name="shipper_city"]').val());
                        }
                        if($('input[name="shipper_state"]').val()!=''){
                            myarray.push($('input[name="shipper_state"]').val());
                        }
                        if($('input[name="shipper_zip"]').val()!=''){
                            myarray.push($('input[name="shipper_zip"]').val());
                        }
                        address                 = myarray.join(", ");
                        abbr                    = $('input[name="shipper_timezone_abbr"]').val();
                    }else{
                        if($('input[name="delivery_address_one"]').val()!=''){
                            myarray.push($('input[name="delivery_address_one"]').val());
                        }
                        if($('input[name="delivery_address_two"]').val()!=''){
                            myarray.push($('input[name="delivery_address_two"]').val());
                        }
                        if($('input[name="delivery_city"]').val()!=''){
                            myarray.push($('input[name="delivery_city"]').val());
                        }
                        if($('input[name="delivery_state"]').val()!=''){
                            myarray.push($('input[name="delivery_state"]').val());
                        }
                        if($('input[name="delivery_zip"]').val()!=''){
                            myarray.push($('input[name="delivery_zip"]').val());
                        }
                        address                 = myarray.join(", ");
                        abbr                    = $('input[name="delivery_timezone_abbr"]').val();
                    }
                }else{
                    var stop_index_no           = stop_div.attr('data-stop_index');
                    if($('input[name="stop['+stop_index_no+'][address_one]"]').val()!=''){
                        myarray.push($('input[name="stop['+stop_index_no+'][address_one]"]').val());
                    }
                    if($('input[name="stop['+stop_index_no+'][address_two]"]').val()!=''){
                        myarray.push($('input[name="stop['+stop_index_no+'][address_two]"]').val());
                    }
                    if($('input[name="stop['+stop_index_no+'][city]"]').val()!=''){
                        myarray.push($('input[name="stop['+stop_index_no+'][city]"]').val());
                    }
                    if($('input[name="stop['+stop_index_no+'][state]"]').val()!=''){
                        myarray.push($('input[name="stop['+stop_index_no+'][state]"]').val());
                    }
                    if($('input[name="stop['+stop_index_no+'][zip]"]').val()!=''){
                        myarray.push($('input[name="stop['+stop_index_no+'][zip]"]').val());
                    }
                    address                     = myarray.join(", ");
                    abbr                        = $('input[name="stop['+stop_index_no+'][timezone_abbr]"]').val();
                }

                var obj                         = {};
                obj['type']                     = type;
                obj['is_stop']                  = is_stop;
                obj['load_detail_id']           = modalForm.find('input[name="load_detail_id"]').val();
                if(is_stop==1){
                    if (modalForm.find('input[name="load_stop_id"]').length > 0) {
                        obj['load_stop_id']     = modalForm.find('input[name="load_stop_id"]').val();
                    }
                    obj['random_id']            = modalForm.find('input[name="random_id"]').val();
                }
                //obj['driver_id']              = $('select[name="driver_id"]').val();
                //obj['broker_id']              = $('select[name="brokerage_firm"]').val();
                obj['broker_email']             = $('input[name="broker_email"]').val();
                obj['address']                  = address;
                obj['timezone_abbr']            = abbr;
                obj['unique_id']                = unique_id;
                obj['detention_id']             = that.data('detention_id');
                // console.log(obj);
                // return false;

                $.ajax({
                    type: 'POST',
                    url: '{!! route("company.admin.loads.detention.force.stop") !!}',
                    data: obj,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function () {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                }).done(function(response) {
                    checkPendingDetention();

                    var html                    = response.html;
                    if(typeof html !== "undefined"){
                        if(modalInterval > 0)
                            clearInterval(modalInterval);
                        $('#detentionRequestModal').find('.append-view').html(html);

                        setTimeout(function() {
                            updateClock();

                            var modalForm                   = $('#detentionRequestModal #detentionForm');
                            if(modalForm.length > 0){
                                var free_time               = modalForm.find('input[name="free_time"]');
                                if(free_time.length > 0){
                                    HtmlDurationPicker.refresh();
                                    setTimeout(function() {
                                        if(modalForm.find('input[name="billed_time"]').length > 0){
                                            if(modalForm.find('input[name="billed_time"]').val()==''){
                                                free_time.keyup();
                                            }
                                        }
                                    }, 1050);
                                }
                                var detention_arrival_time  = modalForm.find('input[name="detention_arrival_time"]');
                                if(detention_arrival_time.length > 0){
                                    detention_arrival_time.datetimepicker({
                                        ignoreReadonly: true,
                                        format: dateTimeLayout,
                                        useCurrent: false,
                                    }).on('dp.change', function(e) {
                                        var getDate         = moment(new Date(e.date));
                                        var currentDate     = moment(getDate).format(dateTimeLayout);
                                        modalForm.find('.arrival_time_label').attr('data-arrival_time',currentDate);
                                    });
                                }
                                var detention_start_time    = modalForm.find('input[name="detention_start_time"]');
                                if(detention_start_time.length > 0){
                                    detention_start_time.datetimepicker({
                                        ignoreReadonly: true,
                                        format: dateTimeLayout,
                                        useCurrent: false,
                                    }).on('dp.change', function(e) {
                                        detention_start_time.parsley().reset();
                                        var getDate         = moment(new Date(e.date));
                                        var currentDate     = moment(getDate).format(dateTimeLayout);
                                        modalForm.find('.start_time_label').attr('data-start_time',currentDate);
                                        if(modalForm.find('input[name="detention_end_time"]').length > 0)
                                            updateClock();
                                            setTimeout(function() {
                                                if(free_time.length > 0){
                                                    free_time.keyup();
                                                }
                                            }, 1050);
                                    });
                                }
                                var detention_end_time      = modalForm.find('input[name="detention_end_time"]');
                                if(detention_end_time.length > 0){
                                    detention_end_time.datetimepicker({
                                        ignoreReadonly: true,
                                        format: dateTimeLayout,
                                        useCurrent: false,
                                    }).on('dp.change', function(e) {
                                        detention_end_time.parsley().reset();
                                        var getDate         = moment(new Date(e.date));
                                        var currentDate     = moment(getDate).format(dateTimeLayout);
                                        modalForm.find('.end_time_label').attr('data-end_time',currentDate);
                                            updateClock();
                                            setTimeout(function() {
                                                if(free_time.length > 0){
                                                    free_time.keyup();
                                                }
                                            }, 1050);
                                    });
                                }
                            }
                        }, 250);
                        toastr.success(response.message,'Success Alert');
                    }else{
                        toastr.error('Oops! Something went wrong..', {
                            timeOut: 5000
                        });
                    }
                }).fail(function(jqXHR, status, exception)  {
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, {
                        timeOut: 5000
                    });
                }).always(function (dataOrjqXHR, textStatus, jqXHRorErrorThrown) {
                    that.prop('disabled', false).html('Force Stop');
                });
            }
            return false;
        });
        $(document).on('keypress', '#detentionRequestModal .number', function(event) {
            if ((event.which != 46 || $(this).val().indexOf('.') != -1) && (event.which < 48 || event.which > 57)) {
                event.preventDefault();
            }
        });
        $(document).on('change', '#is_send_to_broker', function(event) {
            var modalForm           = $('#detentionRequestModal #detentionForm');
            var detention_status    = modalForm.find('input[name="detention_status"]').val();
            var detention_button    = modalForm.find('.detention-submit');
            if(this.checked) {
                if(detention_status==1){
                    detention_button.html('Acknowledge and Send')
                        .attr('data-review_status','In Progress - Acknowledged - Sent to broker');
                    var sent_to_broker  = detention_button.data('is_send_to_broker');
                    if (typeof sent_to_broker !== "undefined") {
                        detention_button.removeClass('d-none');
                    }
                }else{
                    detention_button.html('Save and Send').attr('data-review_status','In Progress - Sent to broker');
                }
            }else{
                if(detention_status==1){
                    detention_button.html('Acknowledge')
                        .attr('data-review_status','In Progress - Acknowledged');
                    var sent_to_broker  = detention_button.data('is_send_to_broker');
                    if (typeof sent_to_broker !== "undefined") {
                        detention_button.addClass('d-none');
                    }
                }else{
                    detention_button.html('Approve').attr('data-review_status','Completed');
                }
            }
            setBrokerEmailRequired();
        });
        $(document).on('keyup change', '#detentionRequestModal input[name="free_time"]', function(event) {
            var modalForm               = $('#detentionRequestModal #detentionForm');
            var that                    = $(this);
            var freeTime                = that.val();
            freeTime                    = freeTime.split(':');
            var detainedTime            = modalForm.find('.time-lapsed').text();
            detainedTime                = detainedTime.split(':');

            min                         = detainedTime[1]-freeTime[1];
            hour_carry                  = 0;
            if(min < 0){
                min                     += 60;
                hour_carry              += 1;
            }
            hour                        = detainedTime[0]-freeTime[0]-hour_carry;
            if(hour>=0 && hour < 10){
                hour                    = "0"+hour;
                that.closest('.free_time_div').find('.invalid-feedback').hide();
                modalForm.find('.detention-submit').prop('disabled', false);
            }else if(hour<0){
                hour                    = parseInt(hour);
                hour                    = hour * -1;
                hour                    = "-0"+hour;
                //if(!modalForm.find('.time-lapsed').closest('label').next().hasClass('invalid-feedback'))
                    that.closest('.free_time_div').find('.invalid-feedback').show();
                modalForm.find('.detention-submit').prop('disabled', true);
            }else{
                that.closest('.free_time_div').find('.invalid-feedback').hide();
                modalForm.find('.detention-submit').prop('disabled', false);
            }
            if (min < 10)
                min                     = "0"+min;
            modalForm.find('input[name="billed_time"]').val(hour+":"+min);
            modalForm.find('input[name="rate"]').keyup();
        });
        $(document).on('click', '.free_time_div .scroll-btn', function(event) {
            var modalForm               = $('#detentionRequestModal #detentionForm');
            var that                    = $(this);
            var freeTime                = that.closest('.free_time_div').find('input[name="free_time"]').val();
            freeTime                    = freeTime.split(':');
            var detainedTime            = modalForm.find('.time-lapsed').text();
            detainedTime                = detainedTime.split(':');

            min                         = detainedTime[1]-freeTime[1];
            hour_carry                  = 0;
            if(min < 0){
                min                     += 60;
                hour_carry              += 1;
            }
            hour                        = detainedTime[0]-freeTime[0]-hour_carry;
            if(hour>=0 && hour < 10){
                hour                    = "0"+hour;
                that.closest('.free_time_div').find('.invalid-feedback').hide();
                modalForm.find('.detention-submit').prop('disabled', false);
            }else if(hour<0){
                hour                    = parseInt(hour);
                hour                    = hour * -1;
                hour                    = "-0"+hour;
                //if(!modalForm.find('.time-lapsed').closest('label').next().hasClass('invalid-feedback'))
                    that.closest('.free_time_div').find('.invalid-feedback').show();
                modalForm.find('.detention-submit').prop('disabled', true);
            }else{
                that.closest('.free_time_div').find('.invalid-feedback').hide();
                modalForm.find('.detention-submit').prop('disabled', false);
            }
            if (min < 10)
                min                     = "0"+min;
            modalForm.find('input[name="billed_time"]').val(hour+":"+min);
            modalForm.find('input[name="rate"]').keyup();
        });
        $(document).on('keyup change', '#detentionRequestModal input[name="rate"]', function(event) {
            var modalForm               = $('#detentionRequestModal #detentionForm');
            var that                    = $(this);
            var rate                    = that.val();
            var detention_due           = 0;
            if(parseFloat(rate) > 0){
                rate                    = parseFloat(rate);
                var billedTime          = modalForm.find('input[name="billed_time"]').val();
                billedTime              = billedTime.split(':');
                detention_due           += parseFloat(billedTime[0])*rate;
                detention_due           += (billedTime[1]*(rate/60));
                detention_due           = detention_due.toFixed(2);
            }
            if(detention_due > 0){
                modalForm.find('input[name="detention_due"]').val(detention_due);
            }else{
                if(detention_due==0){
                    modalForm.find('input[name="detention_due"]').val('');
                }else{
                    modalForm.find('input[name="detention_due"]').val(detention_due);
                }
            }

            if(
                modalForm.find('input[name="is_adjusted_billed_time"]').length > 0 &&
                modalForm.find('input[name="is_adjusted_billed_time"]').val()=='1' &&
                modalForm.find('input[name="adjusted_billed_time"]').val()!=modalForm.find('input[name="billed_time"]').val()
            ){
                modalForm.find('input[name="is_adjusted_billed_time"]').val(0);
                if(modalForm.find('.adjusted_billed_time_btn').length > 0)
                    modalForm.find('.adjusted_billed_time_btn').attr('data-is_accept',0).removeClass('d-none');
            }
            if(
                modalForm.find('input[name="is_adjusted_rate"]').length > 0 &&
                modalForm.find('input[name="is_adjusted_rate"]').val()=='1' &&
                modalForm.find('input[name="adjusted_rate"]').val()!=modalForm.find('input[name="rate"]').val()
            ){
                modalForm.find('input[name="is_adjusted_rate"]').val(0);
                if(modalForm.find('.adjusted_rate_btn').length > 0)
                    modalForm.find('.adjusted_rate_btn').attr('data-is_accept',0).removeClass('d-none');
            }
        });
        $(document).on('click', '.adjusted_billed_time_btn, .adjusted_rate_btn', function(event) {
            var modalForm                   = $('#detentionRequestModal #detentionForm');
            var that                        = $(this);
            var is_accept                   = that.attr('data-is_accept');
            if(is_accept==0){
                that.attr('data-is_accept',1).addClass('d-none');
                if(that.hasClass('adjusted_billed_time_btn')){
                    modalForm.find('input[name="is_adjusted_billed_time"]').val(1);
                    modalForm.find('input[name="billed_time"]').val(that.attr('data-adjusted_billed_time'));
                }else{
                    modalForm.find('input[name="is_adjusted_rate"]').val(1);
                    modalForm.find('input[name="rate"]').val(that.attr('data-adjusted_rate'));
                }

                var rate                    = modalForm.find('input[name="rate"]').val();
                var detention_due           = 0;
                if(parseFloat(rate) > 0){
                    rate                    = parseFloat(rate);
                    var billedTime          = modalForm.find('input[name="billed_time"]').val();
                    billedTime              = billedTime.split(':');
                    detention_due           += parseFloat(billedTime[0])*rate;
                    detention_due           += (billedTime[1]*(rate/60));
                    detention_due           = detention_due.toFixed(2);
                }
                if(detention_due > 0){
                    modalForm.find('input[name="detention_due"]').val(detention_due);
                }else{
                    if(detention_due==0){
                        modalForm.find('input[name="detention_due"]').val('');
                    }else{
                        modalForm.find('input[name="detention_due"]').val(detention_due);
                    }
                }
            }
        });
        //Once add button is clicked //https://www.codexworld.com/add-remove-input-fields-dynamically-using-jquery/
        $(document).on('click', '.add_broker_email_button', function(event) {
            event.preventDefault();
            // console.log('add-button');
            // return false;
            var modalForm           = $('#detentionRequestModal #detentionForm');
            var isChecked           = modalForm.find('#is_send_to_broker').is(':checked');
            var required            = '';
            if(isChecked){
                required            = 'required';
            }
            $('#detentionRequestModal .field_wrapper').append(`
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <input type="email" class="form-control" name="broker_email[]" value="" placeholder="Enter Broker Email" `+required+`>
                        </div>
                    </div>
                    <div class="col-md-1">
                        <a href="javascript:void(0);" class="btn btn-danger remove_broker_email_button" title="Remove field"><i class="fa fa-trash"></i></a>
                    </div>
                </div>
            `);
        });
        //Once remove button is clicked
        $(document).on('click', '.remove_broker_email_button', function(event) {
            event.preventDefault();
            // console.log('remove-button');
            // return false;
            $(this).closest('.row').remove(); //Remove field html
        });
        function setBrokerEmailRequired(){
            var modalForm           = $('#detentionRequestModal #detentionForm');
            var isChecked           = modalForm.find('#is_send_to_broker').is(':checked');
            if(isChecked){
                modalForm.find('input[name="broker_email[]"]').each( function() {
                   $(this).prop('required',true);
                });
            }else{
                modalForm.find('input[name="broker_email[]"]').each( function() {
                   $(this).prop('required',false);
                   $(this).parsley().reset();
                });
            }
        }
        function updateClock(){
            var modalForm                           = $('#detentionRequestModal #detentionForm');
            modalInterval                           = setInterval(function() {
                var timezone                        = modalForm.find('input[name="timezone"]').val();
                // console.log('updateClock');
                // return false;
                var detention_status                = modalForm.find('input[name="detention_status"]').val();
                if(detention_status==1){
                    // Get today's date and time
                    // var endStr                   = moment().format(dateTimeLayout); //moment(moment().toDate(), null).tz(timeZone).format(dateTimeLayout);
                    // var endStamp                 = new Date(endStr).getTime(); // var endStamp = new Date().getTime();
                    var endStamp                    = moment(moment().tz(timezone).format(dateTimeLayout)).valueOf();
                    var startStamp                  = endStamp;

                    var startTimeLabel              = modalForm.find('.start_time_label');
                    if(startTimeLabel.length > 0){
                        var startTimeLabelVal       = startTimeLabel.attr('data-start_time');
                        if(startTimeLabelVal){
                            startDateTime           = new Date(startTimeLabelVal);
                            startStamp              = startDateTime.getTime();
                        }
                    }

                    var diff                        = Math.abs(endStamp - startStamp);
                    var seconds                     = Math.floor(diff / 1000); //ignore any left over units smaller than a second
                    var minutes                     = Math.floor(seconds / 60);
                    seconds                         = seconds % 60;
                    var hours                       = Math.floor(minutes / 60);
                    minutes                         = minutes % 60;

                    if (hours < 10)
                        hours                       = "0"+hours;
                    if (minutes < 10)
                        minutes                     = "0"+minutes;
                    if(endStamp < startStamp){
                        modalForm.find('.time-lapsed').html('-'+hours+':'+minutes);
                        if(!modalForm.find('.time-lapsed').closest('label').next().hasClass('invalid-feedback')){
                            modalForm.find('.time-lapsed').closest('label').after('<span class="invalid-feedback">Please select correct date.</span>');
                        }
                        var mfbuttons               = modalForm.find('.detention-submit').each(function(i, obj) {
                            $(obj).prop('disabled', true);
                        });
                    }else{
                        modalForm.find('.time-lapsed').html(hours+':'+minutes);
                        if(modalForm.find('.time-lapsed').closest('label').next().hasClass('invalid-feedback')){
                            modalForm.find('.time-lapsed').closest('label').next().remove();
                        }
                        var mfbuttons               = modalForm.find('.detention-submit').each(function(i, obj) {
                            $(obj).prop('disabled', false);
                        });
                    }
                }else{
                    var endTimeLabel                = modalForm.find('.end_time_label');
                    var endTimeLabelVal             = endTimeLabel.attr('data-end_time');

                    var startTimeLabel              = modalForm.find('.start_time_label');
                    var startTimeLabelVal           = startTimeLabel.attr('data-start_time');

                    if(
                        (typeof endTimeLabelVal !== "undefined" && endTimeLabelVal!='') &&
                        (typeof startTimeLabelVal !== "undefined" && startTimeLabelVal!='')
                    ){
                        var endDateTime             = new Date(endTimeLabelVal);
                        var endStamp                = endDateTime.getTime();

                        var startDateTime           = new Date(startTimeLabelVal);
                        var startStamp              = startDateTime.getTime();

                        var diff                    = Math.abs(endStamp - startStamp);
                        var seconds                 = Math.floor(diff / 1000); //ignore any left over units smaller than a second
                        var minutes                 = Math.floor(seconds / 60);
                        seconds                     = seconds % 60;
                        var hours                   = Math.floor(minutes / 60);
                        minutes                     = minutes % 60;

                        if (hours < 10)
                            hours                   = "0"+hours;
                        if (minutes < 10)
                            minutes                 = "0"+minutes;
                        if(endStamp < startStamp){
                            modalForm.find('.time-lapsed').html('-'+hours+':'+minutes);
                            if(!modalForm.find('.time-lapsed').closest('label').next().hasClass('invalid-feedback')){
                                modalForm.find('.time-lapsed').closest('label').after('<span class="invalid-feedback">Please select correct date.</span>');
                            }
                            var mfbuttons           = modalForm.find('.detention-submit').each(function(i, obj) {
                                $(obj).prop('disabled', true);
                            });
                        }else{
                            modalForm.find('.time-lapsed').html(hours+':'+minutes);
                            if(modalForm.find('.time-lapsed').closest('label').next().hasClass('invalid-feedback')){
                                modalForm.find('.time-lapsed').closest('label').next().remove();
                            }
                            var mfbuttons           = modalForm.find('.detention-submit').each(function(i, obj) {
                                $(obj).prop('disabled', false);
                            });
                        }
                    }
                }
            }, 1000);
        }
    </script>
    <script type="text/javascript">
        $('#pendingDetentionModal').on('hidden.bs.modal', function () {
            //console.log('Detention request modal hidden');
            $('#pendingDetentionModal').find('.append-view').html('');
        });
        $('#pendingDetentionModal').on('show.bs.modal', function (e) {
            //console.log('Detention request modal show');
            $('#pendingDetentionModal').find('.append-view').html(`
                <div class="loadingdiv">
                    <img src="`+loadimg+`">
                </div>
            `);
        });
        function checkPendingDetention(){
            $.ajax({
                type: 'POST',
                url: '{!! route("company.admin.loads.pending.detention.list") !!}',
                data: {
                    id: "{{ $load->id }}",
                },
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                async: false,
                beforeSend: function () {
                    //console.log('beforeSend');
                },
                success: function(response) {
                    if(response.success){
                        totalPendingDetention = response.detention
                        if(totalPendingDetention > 0){
                            if($('#readyToBill').hasClass('fill-active')){
                                $('#readyToBill').addClass('isactivebill');
                            }
                            $('.pending-detention-txt').removeClass('d-none');
                            $('.save-load-btn').text('Detention Request Pending').addClass('btn-themeGray').removeClass('btn-orange');
                        }else{
                            if($('#readyToBill').hasClass('isactivebill')){
                                $('#readyToBill').removeClass('isactivebill');
                            }
                            $('.pending-detention-txt').addClass('d-none');
                            $('.save-load-btn').text('Save').addClass('btn-orange').removeClass('btn-themeGray');
                        }

                        $('.detention-request-list').find('.append-view').html(response.html);
                        setTimeout(function() {
                            evaluateDetentionDue();
                        }, 500);
                    }else{
                        //console.log(response.message);
                    }
                },
                complete: function() {
                    //console.log('complete');
                },
                error: function(jqXHR, status, exception) {
                    //console.log('error');
                }
            });
            // code here
            return false;
        }
        function evaluateDetentionDue(){
            var total_detention_due     = 0;
            $('.detention-request-list .append-view').find('span.detention-due').each(function(i, obj) {
                var that                = $(obj);
                total_detention_due     += parseFloat(that.attr('data-detention_due'));
            });
            if(total_detention_due > 0){
                $('input[name="detention"]').val(total_detention_due);
                $('input[name="detention"]').keyup();
                if(totalLoadDrivers==1){
                    $('#drivers_0_detention').val(total_detention_due);
                    $('#drivers_0_detention').keyup();
                    $('#drivers_0_detention').parent().parent().removeClass('d-none');
                }
                $('input[name="detention"]').parent().parent().removeClass('d-none');
            }else{
                $('input[name="detention"]').val('');
                $('input[name="detention"]').keyup();
                if(totalLoadDrivers==1){
                    $('#drivers_0_detention').val('');
                    $('#drivers_0_detention').keyup();
                    $('#drivers_0_detention').parent().parent().addClass('d-none');
                }
                $('input[name="detention"]').parent().parent().addClass('d-none');
            }
        }
    </script>
    <script type="text/javascript">
        $(document).on('click', '.detention-request-list .link', function(event) {
            var that            = $(this);
            var detention_id    = that.attr('data-detention_id');
            $('a.detention-request[data-detention_id="'+detention_id+'"]').trigger('click');
        });
    </script>
    @if(request()->get('detention_id'))
        <script type="text/javascript">
            $(document).ready(function() {
                var requestDetentionId = "{{ request()->get('detention_id') }}";
                if($('a.detention-request[data-detention_id="'+requestDetentionId+'"]').length > 0){
                    $('a.detention-request[data-detention_id="'+requestDetentionId+'"]').trigger('click');
                }
            });
        </script>
    @endif
    <!-- detention -->
    <script type="text/javascript">
        $(document).on("click", ".addCoDriver", function(){
            let coDriverHtml = '<div class="col-xl-2 col-lg-3 col-md-4 col-sm-6" id="coDriveDiv">';
            coDriverHtml    += '<div class="form-group">';
            coDriverHtml    += '<a href="javascript:void(0);" class="btn-link-red mb-1 removeCoDriver"><i class="fa fa-times"aria-hidden="true"></i> Remove Co-Driver</a>';
            coDriverHtml    += '{!! Form::select('co_driver_id', ['' => 'Co-Driver']+getDriverListByCompany(auth()->guard('company-admin')->user()->company_id), null, ['class' => 'custom-select co-driver-select2 form-control']) !!}';
            coDriverHtml    += '</div>';
            coDriverHtml    += '</div>';
            $("#driverDiv").after(coDriverHtml);
            $(".co-driver-select2").select2();
            $(".addCoDriver").addClass('d-none');
        });
        $(document).on("click", ".removeCoDriver", function(){
            var driver_id                       = $('select[name="co_driver_id"]').val();

            if($('.accessorials-table tbody[data-record_exists="yes"]').length > 0){
                var k                           = 0
                $('.accessorials-table').each(function(i, table) {
                    var tbody                   = $(table).find('tbody');
                    if(tbody.attr('data-record_exists')=='yes'){
                        tbody.find('tr').each(function(j, tr) {
                            var that            = $(tr);
                            var temp            = that.attr('data-temp');
                            var id              = that.attr('data-id');
                            var driver_liable   = that.attr('data-driver_liable');
                            if(driver_liable==1 && that.attr('data-driver_id')==driver_id){
                                $.ajax({
                                    type: 'POST',
                                    url: '{{ route("company.admin.loads.accessorial.driver.change") }}',
                                    data: {
                                        temp:temp,
                                        id:id,
                                        driver_id:driver_id,
                                        mode:'remove'
                                    },
                                    dataType: 'json',
                                    headers: {
                                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                    },
                                    success: function(response) {
                                        if(response.html){
                                            var editBtn     = $('.accessorial-edit[data-id="'+id+'"][data-temp="'+temp+'"]');
                                            var tr          = editBtn.closest('tr');
                                            tr.after(response.html);
                                            tr.remove();
                                        }
                                    }
                                });
                                k++;
                            }
                        });
                    }
                });
                if(k > 0){
                    loadFileView();
                }
            }

            $("#coDriveDiv").remove();
            $(".addCoDriver").removeClass('d-none');

            accessorialDriverDropDown();
        });
        $(document).on("click", ".asdquerymetn", function () {
            $('.norecordfound').remove();

            let lastIndex   = ($("#LoadRequirementTable").children('tr').last().data('index')) ? $("#LoadRequirementTable").children('tr').last().data('index') : 0;
            lastIndex       = lastIndex + 1;

            $('#LoadRequirementTable').append('<tr class="ehsekeshe index-'+lastIndex+'" data-id="" data-index="'+lastIndex+'"><td style="width:30%;"><p class="sefqey mb-0 mt-1" style="display: none;"></p> <input type="number" value="" placeholder="Enter Qty" class="qtyvalueacod form-control" min="0" style="display: block;"> </td><td style="width:45%;"><p class="sefname mb-0 mt-1" style="display: none;"></p> {!! Form::select('item_name', ['' => 'Select Item']+getCompanyLoadRequirementsItemList(), null, ['class' => 'custom-select form-control namevalueacod tag_auto']) !!} </td><td><a href="javascript:void(0)" class="savebeser" style="display: inline-block; padding-right: 35px;"><img src="/theme/images/floppy-save-icon.png" width="20" height="20"></a><a href="javascript:void(0)" class="editrequment" style="display: none;"><img src="/theme/images/pen.svg"></a><a href="javascript:void(0)" class="destroyAjaxItem" data-action="" data-id="" data-target="{{ asset('theme/img/loading.gif') }}"><img src="/theme/images/delete.svg"></a></td></tr>');

            $(".index-"+lastIndex+" .namevalueacod").select2({
                tags: true
            });
        });
    </script>
    <!-- accessorial -->
    <script type="text/javascript">
        $('#galleryModal').on('show.bs.modal', function() {
            // console.log('Gallery modal show');
            // return false;

            if($('#accessorialModal').is(':visible')){
                $('.modal').not(this).css('z-index', '0');
            }
        });
        $('#galleryModal').on('hidden.bs.modal', function() {
            // console.log('Gallery modal hide');
            // return false;

            if($('#accessorialModal').is(':visible')){
                $('.modal').css('z-index', '1050');
            }else{
                $('.accessorials-table .list-file-upload').removeClass('active');
            }
        });
    </script>
    <script type="text/javascript">
        var previous_accessorial_driver_id;
        $(document).on('select2:selecting', '.driver-change, select[name="co_driver_id"]', function() {
            // Store the current value on focus and on change
            previous_accessorial_driver_id  = $(this).val();
        });
        $(document).on('change', '.driver-change, select[name="co_driver_id"]', function() {
            accessorialDriverDropDown();

            // Do something with the previous value after the change
            // console.log(previous_accessorial_driver_id);
            var current_driver_id           = $(this).val();

            if($('.accessorials-table tbody[data-record_exists="yes"]').length > 0){
                var k                       = 0
                $('.accessorials-table').each(function(i, table) {
                    var tbody                                   = $(table).find('tbody');
                    if(tbody.attr('data-record_exists')=='yes'){
                        tbody.find('tr').each(function(j, tr) {
                            var that                            = $(tr);
                            var temp                            = that.attr('data-temp');
                            var id                              = that.attr('data-id');
                            var driver_liable                   = that.attr('data-driver_liable');
                            if(driver_liable==1 && that.attr('data-driver_id')==previous_accessorial_driver_id){
                                $.ajax({
                                    type: 'POST',
                                    url: '{{ route("company.admin.loads.accessorial.driver.change") }}',
                                    data: {
                                        temp:temp,
                                        id:id,
                                        current_driver_id:current_driver_id,
                                        mode:'edit'
                                    },
                                    dataType: 'json',
                                    headers: {
                                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                    },
                                    success: function(response) {
                                        if(response.html){
                                            var editBtn     = $('.accessorial-edit[data-id="'+id+'"][data-temp="'+temp+'"]');
                                            var tr          = editBtn.closest('tr');
                                            tr.after(response.html);
                                            tr.remove();
                                        }
                                    }
                                });
                                k++;
                            }
                        });
                    }
                });
                if(k > 0){
                    loadFileView();
                }
            }

            // Make sure the previous value is updated
            previous_accessorial_driver_id  = current_driver_id;
        });
        $('#accessorialModal select[name="company_accessorial_id"]').select2({
            dropdownParent: $("#accessorialModal")
        }).on('select2:select', function (e) {
            // console.log('Company accessorial select');

            var data                        = e.params.data;
            var that                        = $(this);
            var selected                    = that.find('option:selected');
            var rate                        = '';
            if(selected.attr('data-default-amount')){
                rate                        = selected.attr('data-default-amount');
            }
            if(selected.attr('data-broker-rate')){
                rate                        = selected.attr('data-broker-rate');
            }
            $('#accessorialModal input[name="rate"]').val(rate).trigger('change');
        });
        $('#accessorialModal select[name="accessorial_driver_id"]').select2({
            dropdownParent: $("#accessorialModal")
        }).on('select2:select', function (e) {
            // console.log('Accessorial driver select');

            var data                        = e.params.data;
        });
        $('#accessorialModal').on('hidden.bs.modal', function() {
            // console.log('Accessorial Modal hide');
            // return false;

            $('#accessorialModal #accessorialModalLabel').html('Accessorial');
            $('#accessorialModal #accessorialModalStatus span').html('Pending');
            $('#accessorialModal span.created_by').html('');
            $('#accessorialModal span.created_at').html('');
            $('#accessorialModal .save-btn').html('Save');

            $('#accessorialModal .driver-liable-dep').addClass('d-none');
            $('#accessorialModal .doc-required-dep').addClass('d-none');
            $('#accessorialModal a.file-upload').removeClass('gallary-edit');
            $('#accessorialModal a.file-upload').removeAttr('data-id data-source data-field data-toggle data-target data-upload-status');
            $('#accessorialModal .pay-deduct-dep').addClass('d-none');

            $('#accessorialModal input[name="id"]').val('');

            $('#accessorialModal input[name="temp"]').val('');
            $('#accessorialModal input[name="type"]').val('');
            $('#accessorialModal input[name="is_stop"]').val('0');
            $('#accessorialModal input[name="load_stop_id"]').val('');
            $('#accessorialModal input[name="random_id"]').val('');

            $('#accessorialModal input[name="unique_id"]').val('');
            $('#accessorialModal input[name="btn_unique_id"]').val('');

            $('#accessorialModal select[name="company_accessorial_id"]').val(null).trigger('change');
            $('#accessorialModal select[name="accessorial_driver_id"]').val(null).trigger('change');
            $('#accessorialModal select[name="accessorial_driver_id"]').prop('required', false);
            $('#accessorialModal #accessorialfrm').trigger('reset');

            $('#accessorialModal #accessorialfrm').find('.error').text('');
            $('#accessorialModal #accessorialfrm').parsley().reset();
        });
        // data-temp means = 1 yes, 0 = No
        // temp ma unique_id & random_id che original ma ny
        $(document).on('click', '.accessorial-link', function(event) { // create
            // console.log('Create Accessorial');
            // return false;

            var that                        = $(this);
            var modal                       = $('#accessorialModal');

            var temp                        = that.attr('data-temp');
            if(!temp){
                return false;
            }

            var type                        = that.attr('data-type');
            var is_stop                     = that.attr('data-is_stop');
            var load_stop_id                = that.attr('data-load_stop_id');
            var random_id                   = that.attr('data-random_id');
            var unique_id                   = that.attr('data-unique_id');
            var btn_unique_id               = that.attr('data-btn_unique_id');

            var stop_div                    = that.closest('.stop');

            var title                       = 'Accessorial';
            var status                      = 'Pending';
            if(stop_div.length > 0){
                var stop_no                 = stop_div.attr('data-stop_no');
                title                       = 'Stop: '+stop_no+' Accessorial';
            }
            modal.find('#accessorialModalLabel').html(title);
            modal.find('#accessorialModalStatus span').html(status);
            $('#accessorialModal .save-btn').html('Save');

            $('#accessorialModal select[name="company_accessorial_id"]').val(null).trigger('change');
            $('#accessorialModal select[name="accessorial_driver_id"]').val(null).trigger('change');
            $('#accessorialModal #accessorialfrm').trigger('reset');

            modal.find('input[name="temp"]').val(temp);
            modal.find('input[name="type"]').val(type);
            if(is_stop==1){
                modal.find('input[name="is_stop"]').val(1);
                if(load_stop_id){
                    modal.find('input[name="load_stop_id"]').val(load_stop_id);
                    modal.find('input[name="random_id"]').val('');
                }else{
                    modal.find('input[name="load_stop_id"]').val('');
                    modal.find('input[name="random_id"]').val(random_id);
                }
            }else{
                modal.find('input[name="is_stop"]').val(0);
                modal.find('input[name="load_stop_id"]').val('');
                modal.find('input[name="random_id"]').val('');
            }

            modal.find('input[name="unique_id"]').val(unique_id);
            modal.find('input[name="btn_unique_id"]').val(btn_unique_id);

            var driverOptionLength          = $('#accessorialModal select[name="accessorial_driver_id"]').find('option').length;
            if(driverOptionLength > 1){
                $('#accessorialModal select[name="driver_liable"]').val(1).trigger('change');
            }else{
                $('#accessorialModal select[name="driver_liable"]').val(0).trigger('change');
            }

            var doc_required               = $('#accessorialModal select[name="doc_required"]').val();
            if(doc_required=='0'){
                $('#accessorialModal .doc-required-dep').addClass('d-none');
            }else{
                $('#accessorialModal .doc-required-dep').removeClass('d-none');
            }

            var dummyid                     = generateDummyId();
            $('#accessorialModal a.file-upload').addClass('gallary-edit');
            if(temp=='0'){
                $('#accessorialModal a.file-upload').attr({
                    "data-id":dummyid,
                    "data-source":"load_accessorials",
                    "data-field":"accessorial_files",
                    "data-toggle":"modal",
                    "data-target":"#galleryModal",
                    "data-upload-status":"0"
                });
            }else{
                $('#accessorialModal a.file-upload').attr({
                    "data-id":dummyid,
                    "data-source":"load_accessorial_temps",
                    "data-field":"accessorial_files",
                    "data-toggle":"modal",
                    "data-target":"#galleryModal",
                    "data-upload-status":"0"
                });
            }

            var pay_deduct                  = $('#accessorialModal select[name="pay_deduct"]').val();
            if(pay_deduct!='2'){
                $('#accessorialModal .pay-deduct-dep').addClass('d-none');
            }

            setTimeout(function() {
                $('#accessorialModal').modal({backdrop: 'static', keyboard: false}, 'show');
            }, 500);
        });
        $('#accessorialfrm').on("click", ".save-btn", function(e) {
            e.preventDefault();
            // console.log('Accessorial Save');
            // return false;

            var that                            = $(this);
            var btnTxt                          = that.text();

            var form                            = $('#accessorialModal #accessorialfrm');
            var parsley                         = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            parsley.validate();
            if (parsley.isValid()){
                var btn_unique_id               = form.find('input[name="btn_unique_id"]').val();
                if(btn_unique_id){
                    var btn                     = $('.accessorials-table a[data-btn_unique_id="'+btn_unique_id+'"]');
                    var temp                    = btn.attr('data-temp');
                    var accessorial_div         = btn.closest('.accessorials-table');

                    var table                   = accessorial_div.find('table');
                    var tbody                   = table.find('tbody');
                    var record_exists           = tbody.attr('data-record_exists');

                    var id                      = form.find('input[name="id"]').val();
                    if(id){
                        var mode                = 'edit';
                    }else{
                        var mode                = 'add';
                    }

                    var formData                = new FormData(form[0]);

                    var doc_required            = form.find('select[name="doc_required"]').val();
                    var file_upload_btn         = form.find('a.file-upload');
                    var file_upload_status      = file_upload_btn.attr('data-upload-status');
                    if(file_upload_status==1){
                        var file_upload_id      = file_upload_btn.attr('data-id');
                        formData.append('file_upload_id', file_upload_id); // original file_upload_id
                    }

                    if(doc_required=='0' && file_upload_status=='1'){
                        Swal.fire({
                            text: " The already uploaded file will be removed by this change. Are you sure you want to go ahead?",
                            icon: "warning",
                            showCancelButton: true,
                            confirmButtonColor: "#3085d6",
                            cancelButtonColor: "#d33",
                            cancelButtonText: "No",
                            confirmButtonText: "Yes",
                        }).then((result) => {
                            if (result.value) {
                                $.ajax({
                                    type: 'POST',
                                    url: "{{ route('company.admin.loads.accessorial.save') }}",
                                    data: formData,
                                    dataType: 'json',
                                    headers: {
                                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                    },
                                    cache : false,
                                    processData: false,
                                    contentType: false,
                                    beforeSend: function() {
                                        that.prop('disabled', true).html('Please Wait...');
                                    },
                                    success: function(response) {
                                        if(response.success){
                                            if(response.html){
                                                if(mode=='add'){
                                                    if(record_exists=='no'){
                                                        tbody.html(response.html);
                                                    }else{
                                                        tbody.append(response.html);
                                                    }
                                                    tbody.attr('data-record_exists', 'yes');
                                                }else{
                                                    var editBtn = $('.accessorial-edit[data-id="'+id+'"][data-temp="'+temp+'"]');
                                                    var tr      = editBtn.closest('tr');
                                                    tr.after(response.html);
                                                    tr.remove();
                                                }
                                            }

                                            setTimeout(function() {
                                                generateAccessorialWrapper();
                                            }, 250);

                                            toastr.success(
                                                response.message,
                                                'Success Alert', {
                                                    timeOut: 1000,
                                                    fadeOut: 1000,
                                                    onHidden: function () {
                                                        $('#accessorialModal').modal('hide');
                                                    }
                                                }
                                            );
                                        }else{
                                            toastr.error(response.message, 'Error Alert', {
                                                timeOut: 5000
                                            });
                                        }
                                    },
                                    complete: function() {
                                        that.prop('disabled', false).html(btnTxt);
                                    },
                                    error: function(jqXHR, status, exception) {
                                        if (jqXHR.status === 0) {
                                            error = 'Not connected.\nPlease verify your network connection.';
                                        } else if (jqXHR.status == 404) {
                                            error = 'The requested page not found. [404]';
                                        } else if (jqXHR.status == 500) {
                                            error = 'Internal Server Error [500].';
                                        } else if (exception === 'parsererror') {
                                            error = 'Requested JSON parse failed.';
                                        } else if (exception === 'timeout') {
                                            error = 'Time out error.';
                                        } else if (exception === 'abort') {
                                            error = 'Ajax request aborted.';
                                        } else {
                                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                                        }
                                        toastr.error(error, 'Error Alert', {
                                            timeOut: 5000
                                        });
                                    }
                                });
                            }
                        });
                    }else{
                        $.ajax({
                            type: 'POST',
                            url: "{{ route('company.admin.loads.accessorial.save') }}",
                            data: formData,
                            dataType: 'json',
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            cache : false,
                            processData: false,
                            contentType: false,
                            beforeSend: function() {
                                that.prop('disabled', true).html('Please Wait...');
                            },
                            success: function(response) {
                                if(response.success){
                                    if(response.html){
                                        if(mode=='add'){
                                            if(record_exists=='no'){
                                                tbody.html(response.html);
                                            }else{
                                                tbody.append(response.html);
                                            }
                                            tbody.attr('data-record_exists', 'yes');
                                        }else{
                                            var editBtn = $('.accessorial-edit[data-id="'+id+'"][data-temp="'+temp+'"]');
                                            var tr      = editBtn.closest('tr');
                                            tr.after(response.html);
                                            tr.remove();
                                        }
                                    }

                                    setTimeout(function() {
                                        generateAccessorialWrapper();
                                    }, 250);

                                    toastr.success(
                                        response.message,
                                        'Success Alert', {
                                            timeOut: 1000,
                                            fadeOut: 1000,
                                            onHidden: function () {
                                                $('#accessorialModal').modal('hide');
                                            }
                                        }
                                    );
                                }else{
                                    toastr.error(response.message, 'Error Alert', {
                                        timeOut: 5000
                                    });
                                }
                            },
                            complete: function() {
                                that.prop('disabled', false).html(btnTxt);
                            },
                            error: function(jqXHR, status, exception) {
                                if (jqXHR.status === 0) {
                                    error = 'Not connected.\nPlease verify your network connection.';
                                } else if (jqXHR.status == 404) {
                                    error = 'The requested page not found. [404]';
                                } else if (jqXHR.status == 500) {
                                    error = 'Internal Server Error [500].';
                                } else if (exception === 'parsererror') {
                                    error = 'Requested JSON parse failed.';
                                } else if (exception === 'timeout') {
                                    error = 'Time out error.';
                                } else if (exception === 'abort') {
                                    error = 'Ajax request aborted.';
                                } else {
                                    error = 'Uncaught Error.\n' + jqXHR.responseText;
                                }
                                toastr.error(error, 'Error Alert', {
                                    timeOut: 5000
                                });
                            }
                        });
                    }
                }
                return false;
            }
        });
    </script>
    <script type="text/javascript">
        $(document).on('change', '#accessorialModal select[name="driver_liable"]', function(event) {
            // console.log('Driver liable select');
            // return false;

            var that                        = $(this);
            var value                       = that.val();
            if(value=='1'){
                var driverOptionLength      = $('#accessorialModal select[name="accessorial_driver_id"]').find('option').length;
                if(driverOptionLength <= 1){
                    $('#accessorialModal select[name="driver_liable"]').val(0).trigger('change');
                    toastr.error('Select a driver for the load first!', 'Error Alert', {
                        timeOut: 5000
                    });
                }else{
                    $('#accessorialModal .driver-liable-dep').removeClass('d-none');
                    $('#accessorialModal select[name="accessorial_driver_id"]').prop('required', true);
                    var qty                 = $('#accessorialModal input[name="qty"]').val();
                    $('#accessorialModal input[name="driver_qty"]').val(qty);
                    $('#accessorialModal input[name="driver_rate"]').val('');
                    $('#accessorialModal input[name="driver_total"]').val('');
                }
            }else{
                $('#accessorialModal .driver-liable-dep').addClass('d-none');
                $('#accessorialModal select[name="accessorial_driver_id"]').val(null).trigger('change');
                $('#accessorialModal select[name="accessorial_driver_id"]').prop('required', false);
                $('#accessorialModal select[name="pay_deduct"] option:eq(0)').prop('selected', true).trigger('change');
                $('#accessorialModal input[name="driver_qty"]').val('');
                $('#accessorialModal input[name="driver_rate"]').val('');
                $('#accessorialModal input[name="driver_total"]').val('');
            }
        });
        $(document).on('change', '#accessorialModal select[name="doc_required"]', function(event) {
            // console.log('Doc required select');
            // return false;

            var that                        = $(this);
            var value                       = that.val();
            if(value=='0'){
                $('#accessorialModal .doc-required-dep').addClass('d-none');
            }else{
                $('#accessorialModal .doc-required-dep').removeClass('d-none');
            }
        });
        $(document).on('change', '#accessorialModal select[name="pay_deduct"]', function(event) {
            // console.log('Pay deduct select');
            // return false;

            var that                        = $(this);
            var value                       = that.val();
            if(value=='2'){
                $('#accessorialModal .pay-deduct-dep').removeClass('d-none');
                $('#accessorialModal input[name="is_deduction"]').prop('checked', false);
            }else{
                $('#accessorialModal .pay-deduct-dep').addClass('d-none');
            }
        });
        $(document).on('keyup change', '#accessorialModal input[name="qty"], #accessorialModal input[name="rate"]', function(event) {
            // console.log('Rate & qty change');
            // return false;

            var that                        = $(this);
            var qty_ele                     = $('#accessorialModal input[name="qty"]');
            var rate_ele                    = $('#accessorialModal input[name="rate"]');

            var qty                         = 0;
            if(qty_ele.val()){
                qty                         = parseFloat(qty_ele.val());
            }
            var rate                        = 0;
            if(rate_ele.val()){
                rate                        = parseFloat(rate_ele.val());
            }
            var total                       = parseFloat(qty*rate).toFixed(2);
            if(total > 0){
                $('#accessorialModal input[name="total"]').val(total);
            }else{
                $('#accessorialModal input[name="total"]').val('');
            }

            if(that.attr('name')=='qty'){
                $('#accessorialModal input[name="driver_qty"]').val(qty_ele.val());

                var driver_qty              = 0;
                var driver_rate             = 0;
                if($('#accessorialModal input[name="driver_qty"]').val()){
                    driver_qty              = parseFloat($('#accessorialModal input[name="driver_qty"]').val());
                }
                if($('#accessorialModal input[name="driver_rate"]').val()){
                    driver_rate             = parseFloat($('#accessorialModal input[name="driver_rate"]').val());
                }
                var driver_total            = parseFloat(driver_qty*driver_rate).toFixed(2);
                if(driver_total > 0){
                    $('#accessorialModal input[name="driver_total"]').val(driver_total);
                }else{
                    $('#accessorialModal input[name="driver_total"]').val('');
                }
            }
        });
        $(document).on('keyup change', '#accessorialModal input[name="driver_rate"]', function(event) {
            // console.log('Driver rate change');
            // return false;

            var driver_qty                  = 0;
            var driver_rate                 = 0;
            if($('#accessorialModal input[name="driver_qty"]').val()){
                driver_qty                  = parseFloat($('#accessorialModal input[name="driver_qty"]').val());
            }
            if($('#accessorialModal input[name="driver_rate"]').val()){
                driver_rate                 = parseFloat($('#accessorialModal input[name="driver_rate"]').val());
            }
            var driver_total                = parseFloat(driver_qty*driver_rate).toFixed(2);
            if(driver_total > 0){
                $('#accessorialModal input[name="driver_total"]').val(driver_total);
            }else{
                $('#accessorialModal input[name="driver_total"]').val('');
            }
        });
        $(document).on('click', '#accessorialModal a.file-upload, .accessorials-table a.list-file-upload', function(event) {
            // console.log('accessorial file upload link');
            // return false;

            var that = $(this);
            if(that.attr('data-upload-status') == 1){
                $("#ffdupdlsoe").addClass('d-none');
            }else{
                $("#ffdupdlsoe").removeClass('d-none');
            }
            if(that.hasClass('list-file-upload')){
                that.addClass('active');
            }
        });
        $(document).on('click', '.accessorials-table a.accessorial-edit', function(event) {
            event.preventDefault();
            // console.log('Accessorial edit');
            // return false;

            var that = $(this);
            $.ajax({
                type: 'POST',
                url: "{{ route('company.admin.loads.accessorial.detail') }}",
                data: {
                    id: that.attr('data-id'),
                    temp: that.attr('data-temp')
                },
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                success: function(response) {
                    if(response.success){
                        var item                        = response.item;
                        // console.log(response.item);

                        var driver_liable               = item.driver_liable;
                        var driver_id                   = item.driver_id;
                        var pay_deduct                  = item.pay_deduct;
                        var is_deduction                = item.is_deduction;
                        var driver_qty                  = item.driver_qty;
                        var driver_rate                 = item.driver_rate;
                        var driver_total                = item.driver_total;
                        var status                      = item.status;

                        if(response.temp_details){
                            var temp_details            = response.temp_details;
                            if(temp_details.driver_id){
                                var driver_id           = temp_details.driver_id;
                            }else{
                                var driver_liable       = 0;
                                var driver_id           = null;
                                var pay_deduct          = 1;
                                var is_deduction        = 0;
                                var driver_qty          = null;
                                var driver_rate         = null;
                                var driver_total        = null;
                                if(temp_details.status){
                                    status              = temp_details.status;
                                }
                            }
                        }

                        var modal                       = $('#accessorialModal');
                        var accessorial_link            = that.closest('.table').find('.accessorial-link');
                        var stop_div                    = that.closest('.stop');

                        var title                       = 'Edit Accessorial';
                        if(stop_div.length > 0){
                            var stop_no                 = stop_div.attr('data-stop_no');
                            title                       = 'Edit Stop: '+stop_no+' Accessorial';
                        }
                        modal.find('#accessorialModalLabel').html(title);

                        var status_txt                  = 'Pending';
                        //0=Pending,1=Completed,2-Driver Bypass
                        if(status==1){
                            status_txt                  = 'Completed';
                        }else if(status==2){
                            status_txt                  = 'Driver Bypass';
                        }
                        modal.find('#accessorialModalStatus span').html(status_txt);

                        $('#accessorialModal span.created_by').html(response.created_by);
                        $('#accessorialModal span.created_at').html(response.created_at);
                        $('#accessorialModal .save-btn').html('Update');

                        $('#accessorialModal input[name="id"]').val(item.id);

                        var temp                        = response.temp;
                        var type                        = item.type;
                        var is_stop                     = item.is_stop;
                        var load_stop_id                = item.load_stop_id;
                        var random_id                   = item.random_id;

                        $('#accessorialModal input[name="temp"]').val(temp);
                        $('#accessorialModal input[name="type"]').val(type);
                        if(is_stop==1){
                            $('#accessorialModal input[name="is_stop"]').val(1);
                            if(load_stop_id){
                                $('#accessorialModal input[name="load_stop_id"]').val(load_stop_id);
                                $('#accessorialModal input[name="random_id"]').val('');
                            }else{
                                $('#accessorialModal input[name="load_stop_id"]').val('');
                                $('#accessorialModal input[name="random_id"]').val(random_id);
                            }
                        }else{
                            $('#accessorialModal input[name="is_stop"]').val(0);
                            $('#accessorialModal input[name="load_stop_id"]').val('');
                            $('#accessorialModal input[name="random_id"]').val('');
                        }

                        var unique_id                   = accessorial_link.attr('data-unique_id');
                        $('#accessorialModal input[name="unique_id"]').val(unique_id);
                        var btn_unique_id               = accessorial_link.attr('data-btn_unique_id');
                        $('#accessorialModal input[name="btn_unique_id"]').val(btn_unique_id);

                        $('#accessorialModal select[name="company_accessorial_id"]').val(item.company_accessorial_id).trigger('change');
                        $('#accessorialModal select[name="paid_by"] option[value="'+item.paid_by+'"]').prop('selected', true);
                        $('#accessorialModal select[name="charge_deduct"] option[value="'+item.charge_deduct+'"]').prop('selected', true);
                        $('#accessorialModal select[name="paid_type"] option[value="'+item.paid_type+'"]').prop('selected', true);
                        $('#accessorialModal input[name="reference"]').val(item.reference);

                        //
                        $('#accessorialModal select[name="driver_liable"] option[value="'+driver_liable+'"]').prop('selected', true);
                        var driver_liable               = $('#accessorialModal select[name="driver_liable"]').find(':selected').val();
                        if(driver_liable=='1'){
                            $('#accessorialModal .driver-liable-dep').removeClass('d-none');
                            $('#accessorialModal select[name="accessorial_driver_id"]').prop('required', true);
                        }else{
                            $('#accessorialModal .driver-liable-dep').addClass('d-none');
                            $('#accessorialModal select[name="accessorial_driver_id"]').prop('required', false);
                        }

                        $('#accessorialModal select[name="doc_required"] option[value="'+item.doc_required+'"]').prop('selected', true);
                        var doc_required               = $('#accessorialModal select[name="doc_required"]').find(':selected').val();
                        if(doc_required=='0'){
                            $('#accessorialModal .doc-required-dep').addClass('d-none');
                        }else{
                            $('#accessorialModal .doc-required-dep').removeClass('d-none');
                        }
                        $('#accessorialModal a.file-upload').addClass('gallary-edit');
                        $('#accessorialModal a.file-upload').attr({
                            "data-id":item.id,
                            "data-source":temp==0?"load_accessorials":"load_accessorial_temps",
                            "data-field":"accessorial_files",
                            "data-toggle":"modal",
                            "data-target":"#galleryModal",
                            "data-upload-status":item.is_received=='1'?'1':'0'
                        });

                        $('#accessorialModal input[name="qty"]').val(item.qty);
                        $('#accessorialModal input[name="rate"]').val(item.rate);
                        $('#accessorialModal input[name="total"]').val(item.total);

                        $('#accessorialModal select[name="accessorial_driver_id"]').val(driver_id).trigger('change');

                        $('#accessorialModal select[name="pay_deduct"] option[value="'+pay_deduct+'"]').prop('selected', true);
                        var pay_deduct                  = $('#accessorialModal select[name="pay_deduct"]').find(':selected').val();
                        if(pay_deduct!='2'){
                            $('#accessorialModal .pay-deduct-dep').addClass('d-none');
                        }else{
                            $('#accessorialModal .pay-deduct-dep').removeClass('d-none');
                        }

                        $('#accessorialModal input[name="driver_qty"]').val(driver_qty);
                        $('#accessorialModal input[name="driver_rate"]').val(driver_rate);
                        $('#accessorialModal input[name="driver_total"]').val(driver_total);

                        if(item.is_received==1){
                            $('#accessorialModal input[name="is_received"]').prop('checked', true);
                        }else{
                            $('#accessorialModal input[name="is_received"]').prop('checked', false);
                        }
                        if(is_deduction==1){
                            $('#accessorialModal input[name="is_deduction"]').prop('checked', true);
                        }else{
                            $('#accessorialModal input[name="is_deduction"]').prop('checked', false);
                        }
                        $('#accessorialModal textarea[name="notes"]').val(item.notes);

                        setTimeout(function() {
                            $('#accessorialModal').modal({backdrop: 'static', keyboard: false}, 'show');
                        }, 500);
                    }
                }
            });
            return false;
        });
        $(document).on('click', '.accessorials-wrapper label.accessorial-collapse-label', function(event) {
            var that        = $(this);
            var row         = that.closest('.row');
            var dropdown    = row.find('.accessorials-collapse-dropdown');
            if(dropdown.length > 0){
                if(dropdown.hasClass('d-none')){
                    dropdown.removeClass('d-none');
                }else{
                    dropdown.addClass('d-none');
                }
            }
        });
    </script>
    <!-- accessorial -->
    <script type="text/javascript">
        $(document).on('click', '#galleryModal .green-btn', function (){
            var field_name      = $('#galleryModal input[name="field_name"]').val();
            if(jQuery.inArray(field_name, ['up_front_file','at_pickup_file','at_delivery_file']) !== -1){
                if($("#inputGroupFile01").val() != "" && $("[name='file_name']").val() != ""){
                    $("." + $("[name='field_name']").val()).attr('data-upload-status', 1);
                    $("." + $("[name='field_name']").val()).attr('src', '{{asset("theme/images/file-uploaded.png")}}');
                    $("#ffdupdlsoe").addClass('d-none');
                }
                setTimeout(function() {
                    loadFileView();
                }, 500);
            } else if(field_name=='accessorial_files'){
                if($('#accessorialModal').is(':visible')){
                    // console.log('green-btn accessorialModal visible');

                    $("#accessorialfrm a.file-upload").attr('data-upload-status', 1);
                    $('#accessorialfrm input[name="is_received"]').prop('checked', true);

                    var id              = $('#accessorialfrm input[name="id"]').val();
                    if(id){
                        // console.log(id+' ==> green-btn accessorialModal visible');

                        var temp        = $('#accessorialfrm input[name="temp"]').val();
                        var editBtn     = $('.accessorial-edit[data-id="'+id+'"][data-temp="'+temp+'"]');

                        $.ajax({
                            type: 'POST',
                            url: "{{ route('company.admin.loads.accessorial.doc.received') }}",
                            data: {
                                id: id,
                                temp: temp,
                                is_received: 1
                            },
                            dataType: 'json',
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            success: function(response) {
                                var item                            = response.item;
                                if(item){
                                    var status                      = item.status;

                                    if(response.temp_details){
                                        var temp_details            = response.temp_details;
                                        if(temp_details.status){
                                            status                  = temp_details.status;
                                        }
                                    }

                                    var status_txt                  = 'Pending';
                                    //0=Pending,1=Completed,2-Driver Bypass
                                    if(status==1){
                                        status_txt                  = 'Completed';
                                    }else if(status==2){
                                        status_txt                  = 'Driver Bypass';
                                    }
                                    $('#accessorialModal').find('#accessorialModalStatus span').html(status_txt);

                                    var tr                          = editBtn.closest('tr');
                                    tr.find('.is_received .form-check-input').prop('checked', true);
                                    tr.find('td:first-child').text(status_txt);

                                    tr.find('.list-file-upload').attr('data-upload-status', 1);
                                    tr.find('.list-file-upload').text('View');
                                }
                            }
                        });
                    }
                }else{
                    // console.log('green-btn .accessorials-table .list-file-upload.active');

                    var btn             = $('.accessorials-table .list-file-upload.active');
                    if(btn.length > 0){
                        // console.log('btn ==> green-btn accessorialModal visible');

                        btn.attr('data-upload-status', 1);
                        btn.text('View');

                        $.ajax({
                            type: 'POST',
                            url: "{{ route('company.admin.loads.accessorial.doc.received') }}",
                            data: {
                                id: btn.attr('data-id'),
                                temp: btn.attr('data-temp'),
                                is_received: 1
                            },
                            dataType: 'json',
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            success: function(response) {
                                var item                            = response.item;
                                if(item){
                                    var status                      = item.status;

                                    if(response.temp_details){
                                        var temp_details            = response.temp_details;
                                        if(temp_details.status){
                                            status                  = temp_details.status;
                                        }
                                    }

                                    var status_txt                  = 'Pending';
                                    //0=Pending,1=Completed,2-Driver Bypass
                                    if(status==1){
                                        status_txt                  = 'Completed';
                                    }else if(status==2){
                                        status_txt                  = 'Driver Bypass';
                                    }

                                    var tr                          = btn.closest('tr');
                                    tr.find('.is_received .form-check-input').prop('checked', true);
                                    tr.find('td:first-child').text(status_txt);
                                }
                            }
                        });
                    }
                }
                $("#ffdupdlsoe").addClass('d-none');
                setTimeout(function() {
                    loadFileView();
                }, 500);
            }
        });
        $(document).on('click', '#galleryModal .clobtn', function (){
            var field_name      = $('#galleryModal input[name="field_name"]').val();
            if(jQuery.inArray(field_name, ['up_front_file','at_pickup_file','at_delivery_file']) !== -1){
                $("." + $("[name='field_name']").val()).attr('data-upload-status', 0);
                $("." + $("[name='field_name']").val()).attr('src', '{{asset("theme/images/file-not-uploaded.png")}}');
                $("#ffdupdlsoe").removeClass('d-none');
                setTimeout(function(){
                    $("#inputGroupFile01").removeAttr('multiple');

                    if($('[name="field_name"]').val() == "up_front_file"){
                        $('[name="file_name"]').val("COD_Up_Front").prop('readonly', true);
                    }else if($('[name="field_name"]').val() == "at_pickup_file"){
                        $('[name="file_name"]').val("COD_At_Pickup").prop('readonly', true);
                    }else if($('[name="field_name"]').val() == "at_delivery_file"){
                        $('[name="file_name"]').val("COD_At_Delivery").prop('readonly', true);
                    }
                }, 500);
                $("#ffdupdlsoe").removeClass('d-none');
                setTimeout(function() {
                    loadFileView();
                }, 1500);
            } else if(field_name=='accessorial_files'){
                if($('#accessorialModal').is(':visible')){
                    // console.log('clobtn-btn accessorialModal visible');

                    $("#accessorialfrm a.file-upload").attr('data-upload-status', 0);
                    $('#accessorialfrm input[name="is_received"]').prop('checked', true);

                    var id              = $('#accessorialfrm input[name="id"]').val();
                    if(id){
                        // console.log(id+' ==> clobtn-btn accessorialModal visible');

                        var temp        = $('#accessorialfrm input[name="temp"]').val();
                        var editBtn     = $('.accessorial-edit[data-id="'+id+'"][data-temp="'+temp+'"]');

                        $.ajax({
                            type: 'POST',
                            url: "{{ route('company.admin.loads.accessorial.doc.received') }}",
                            data: {
                                id: id,
                                temp: temp,
                                is_received: 0
                            },
                            dataType: 'json',
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            success: function(response) {
                                var item                            = response.item;
                                if(item){
                                    var status                      = item.status;

                                    if(response.temp_details){
                                        var temp_details            = response.temp_details;
                                        if(temp_details.status){
                                            status                  = temp_details.status;
                                        }
                                    }

                                    var status_txt                  = 'Pending';
                                    //0=Pending,1=Completed,2-Driver Bypass
                                    if(status==1){
                                        status_txt                  = 'Completed';
                                    }else if(status==2){
                                        status_txt                  = 'Driver Bypass';
                                    }
                                    $('#accessorialModal').find('#accessorialModalStatus span').html(status_txt);

                                    var tr                          = editBtn.closest('tr');
                                    tr.find('.is_received .form-check-input').prop('checked', false);
                                    tr.find('td:first-child').text(status_txt);

                                    tr.find('.list-file-upload').attr('data-upload-status', 0);
                                    tr.find('.list-file-upload').text('Upload');
                                }
                            }
                        });
                    }
                }else{
                    // console.log('clobtn .accessorials-table .list-file-upload.active');

                    var btn             = $('.accessorials-table .list-file-upload.active');
                    if(btn.length > 0){
                        // console.log('btn ==> clobtn-btn accessorialModal visible');

                        btn.attr('data-upload-status', 0);
                        btn.text('Upload');

                        $.ajax({
                            type: 'POST',
                            url: "{{ route('company.admin.loads.accessorial.doc.received') }}",
                            data: {
                                id: btn.attr('data-id'),
                                temp: btn.attr('data-temp'),
                                is_received: 0
                            },
                            dataType: 'json',
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            success: function(response) {
                                var item                            = response.item;
                                if(item){
                                    var status                      = item.status;

                                    if(response.temp_details){
                                        var temp_details            = response.temp_details;
                                        if(temp_details.status){
                                            status                  = temp_details.status;
                                        }
                                    }

                                    var status_txt                  = 'Pending';
                                    //0=Pending,1=Completed,2-Driver Bypass
                                    if(status==1){
                                        status_txt                  = 'Completed';
                                    }else if(status==2){
                                        status_txt                  = 'Driver Bypass';
                                    }

                                    var tr                          = btn.closest('tr');
                                    tr.find('.is_received .form-check-input').prop('checked', false);
                                    tr.find('td:first-child').text(status_txt);
                                }
                            }
                        });
                    }
                }
                $("#ffdupdlsoe").removeClass('d-none');
                setTimeout(function() {
                    loadFileView();
                }, 1500);
            }
        });
        $(document).on('click', '.up_front_file, .at_pickup_file, .at_delivery_file', function (){
            if($(this).hasClass('up_front_file')){
                setTimeout(function(){
                    $('[name="file_name"]').val("COD_Up_Front").prop('readonly', true);
                }, 500);
            }else if($(this).hasClass('at_pickup_file')){
                setTimeout(function(){
                    $('[name="file_name"]').val("COD_At_Pickup").prop('readonly', true);
                }, 500);
            }else if($(this).hasClass('at_delivery_file')){
                setTimeout(function(){
                    $('[name="file_name"]').val("COD_At_Delivery").prop('readonly', true);
                }, 500);
            }
        });
    </script>
    <script type="text/javascript">
        function accessorialDriverDropDown(){
            var obj                     = {};

            var driver                  = $('.driver-change');
            var id                      = driver.val();
            var text                    = driver.find('option:selected').text();
            if(id!='0'){
                obj[id]                 = text;
            }

            var driver                  = $('select[name="co_driver_id"]');
            if(driver.length > 0){
                var id                  = driver.val();
                var text                = driver.find('option:selected').text();
                if(id!='0'){
                    obj[id]             = text;
                }
            }

            $('.driver-payment-div').each(function(i) {
                if(i!=0){
                    var myString        = $(this).find('.driver-name').text();
                    obj[$(this).attr('data-driver_id')] = myString.substring(myString.indexOf('(') + 1, myString.indexOf(')'));
                }
            });

            var dropdown                = '<option value="">Select Driver</option>';
            $.each(obj, function (i, value) {
                dropdown               += '<option value="'+i+'">'+value+'</option>';
            });
            $('#accessorialModal select[name="accessorial_driver_id"]').html(dropdown);
        }
        function generateAccessorialWrapper(){
            var mileage_accessorial_array                   = [];
            var driver_accessorial_array                    = [];
            $('.accessorials-table').each(function(i, table) {
                var tbody                                   = $(table).find('tbody');
                if(tbody.attr('data-record_exists')=='yes'){
                    tbody.find('tr').each(function(j, tr) {
                        var that                            = $(tr);
                        var company_accessorial_id          = that.attr('data-company_accessorial_id');
                        if(company_accessorial_id){
                            var stop                        = that.closest('.stop');
                            if(stop.length > 0){
                                var stop_name               = 'Stop '+stop.attr('data-stop_no');
                            }else{
                                var stop_name               = 'Load';
                            }

                            var company_accessorial_name    = that.attr('data-company_accessorial_name');
                            var charge_deduct               = that.attr('data-charge_deduct');
                            var qty                         = that.attr('data-qty');
                            if(qty){
                                qty                         = parseFloat(qty);
                            }else{
                                qty                         = 0;
                            }
                            var rate                        = that.attr('data-rate');
                            if(rate){
                                rate                        = parseFloat(rate);
                            }else{
                                rate                        = 0;
                            }
                            var total                       = parseFloat(qty*rate).toFixed(2);

                            mileage_accessorial_array.push({
                                'stop_name':stop_name,
                                'company_accessorial_id':company_accessorial_id,
                                'company_accessorial_name':company_accessorial_name,
                                'charge_deduct':charge_deduct,
                                'qty':qty,
                                'rate':rate,
                                'total':total
                            });

                            var driver_liable               = that.attr('data-driver_liable');
                            if(driver_liable==1){
                                var doc_required            = that.attr('data-doc_required');
                                var is_received             = that.attr('data-is_received');

                                var driver_id               = that.attr('data-driver_id');
                                var pay_deduct              = that.attr('data-pay_deduct');
                                var is_deduction            = that.attr('data-is_deduction');

                                var driver_qty              = that.attr('data-driver_qty');
                                if(driver_qty){
                                    driver_qty              = parseFloat(driver_qty);
                                }else{
                                    driver_qty              = 0;
                                }
                                var driver_rate             = that.attr('data-driver_rate');
                                if(driver_rate){
                                    driver_rate             = parseFloat(driver_rate);
                                }else{
                                    driver_rate             = 0;
                                }
                                var driver_total            = parseFloat(driver_qty*driver_rate).toFixed(2);

                                driver_accessorial_array.push({
                                    'stop_name':stop_name,
                                    'company_accessorial_id':company_accessorial_id,
                                    'company_accessorial_name':company_accessorial_name,
                                    'doc_required':doc_required,
                                    'is_received':is_received,
                                    'driver_id':driver_id,
                                    'pay_deduct':pay_deduct,
                                    'is_deduction':is_deduction,
                                    'driver_qty':driver_qty,
                                    'driver_rate':driver_rate,
                                    'driver_total':driver_total
                                });
                            }
                        }
                    });
                }
            });

            generateAccessorialHtml(mileage_accessorial_array);

            generateDriverAccessorialHtml(driver_accessorial_array);
        }
        function generateAccessorialHtml(data){
            const grouped                               = groupBy(data, 'company_accessorial_name');
            if($.isEmptyObject(grouped)){
                $('.mileage-rating-div .accessorials-wrapper').html('');
            }else{
                var html                                = '';
                var i                                   = 0;
                $.each(grouped, function (company_accessorial_name) {
                    var  total                          = 0;
                    var company_accessorial_id          = '';
                    var company_accessorial_dropdown    = '';
                    $.each(grouped[company_accessorial_name], function (index, val) {
                        company_accessorial_id          = val.company_accessorial_id;

                        var style                       = 'text-muted';
                        if(val.charge_deduct==1){
                            style                       = 'text-success';
                            total                       += parseFloat(val.total);
                        }else if(val.charge_deduct==2){
                            style                       = 'text-danger';
                            total                       -= parseFloat(val.total);
                        }

                        company_accessorial_dropdown   += `<div class="row">
                            <div class="col-8">
                                <span class="text-muted">`+val.stop_name+`</span>
                            </div>
                            <div class="col-4">
                                <span class="`+style+`">$`+val.total+`</span>
                            </div>
                        </div>`;
                    });

                    if(total > 0){
                        charge_deduct                   = '1';
                    }else{
                        //total                         = Math.abs(total);
                        charge_deduct                   = '2';
                    }

                    html                                += `<div class="row form-group align-items-center">
                        <div class="col-8">
                            <label for="accessorial_value_`+i+`" class="mb-0 accessorial-collapse-label">
                                <a href="javascript:void(0);">`+company_accessorial_name+`</a>
                            </label>
                        </div>
                        <div class="col-4">
                            <input type="hidden" class="form-control" id="accessorial_id_`+i+`" name="accessorial[`+i+`][id]" value="`+company_accessorial_id+`">
                            <input type="text" class="form-control theme-bg total-accessorial" id="accessorial_value_`+i+`" name="accessorial[`+i+`][value]" value="`+total+`" readonly data-charge_deduct="`+charge_deduct+`">
                        </div>
                        <div class="col-12 mt-2 accessorials-collapse-dropdown d-none">`+company_accessorial_dropdown+`</div>`;
                    html                                +=  `</div>`;
                    i++;
                });
                $('.mileage-rating-div .accessorials-wrapper').html(html);
            }
            $('.mileage-rating-div .total-bill-addition:first').trigger('keyup');
        }
        function generateDriverAccessorialHtml(data){
            const driverGrouped                                         = groupBy(data, 'driver_id');
            if($.isEmptyObject(driverGrouped)){
                $('.driver-payment-div').each(function(index, obj) {
                    $(this).find('.accessorials-wrapper').html('');
                    $(this).find('.total-bill-addition:first').trigger('keyup');
                });
            }else{
                $('.driver-payment-div').each(function(index, obj) {
                    var that                                            = $(this);
                    var number                                          = that.attr('data-number');
                    var driver_id                                       = that.attr('data-driver_id');
                    if(driverGrouped[driver_id]){
                        const grouped                                   = groupBy(driverGrouped[driver_id], 'company_accessorial_name');
                        if($.isEmptyObject(grouped)){
                            that.find('.accessorials-wrapper').html('');
                        }else{
                            var html                                    = '';
                            var i                                       = 0;
                            $.each(grouped, function (company_accessorial_name) {
                                var  total                              = 0;
                                var company_accessorial_id              = '';
                                var company_accessorial_dropdown        = '';
                                $.each(grouped[company_accessorial_name], function (index, val) {
                                    company_accessorial_id              = val.company_accessorial_id;

                                    var style                           = 'text-muted';
                                    if(val.pay_deduct==1){
                                        style                           = 'text-success';
                                        total                           += parseFloat(val.driver_total);
                                    }else if(val.pay_deduct==2){
                                        if(val.doc_required==0){
                                            style                       = 'text-danger';
                                            total                       -= parseFloat(val.driver_total);
                                        }else{
                                            if(val.is_received==0 || val.is_deduction==0){
                                                style                   = 'text-danger';
                                                total                   -= parseFloat(val.driver_total);
                                            }
                                        }
                                    }

                                    company_accessorial_dropdown        += `<div class="row">
                                        <div class="col-8">
                                            <span class="text-muted">`+val.stop_name+`</span>
                                        </div>
                                        <div class="col-4">
                                            <span class="`+style+`">$`+val.driver_total+`</span>
                                        </div>
                                    </div>`;
                                });

                                if(total > 0){
                                    pay_deduct                          = '1';
                                }else{
                                    //total                             = Math.abs(total);
                                    pay_deduct                          = '2';
                                }
                                html                                    += `<div class="row form-group align-items-center">
                                    <div class="col-8">
                                        <label for="drivers_`+number+`_accessorial_`+i+`_value" class="mb-0 accessorial-collapse-label">
                                            <a href="javascript:void(0);">`+company_accessorial_name+`</a>
                                        </label>
                                    </div>
                                    <div class="col-4">
                                        <input type="hidden" class="form-control" id="drivers_`+number+`_accessorial_`+i+`_id" name="drivers[`+number+`][accessorial][`+i+`][id]" value="`+company_accessorial_id+`">
                                        <input type="text" class="form-control theme-bg total-accessorial" id="drivers_`+number+`_accessorial_`+i+`_value" name="drivers[`+number+`][accessorial][`+i+`][value]" value="`+total+`" readonly data-pay_deduct="`+pay_deduct+`">
                                    </div>
                                    <div class="col-12 mt-2 accessorials-collapse-dropdown d-none">`+company_accessorial_dropdown+`</div>`;
                                html                                +=  `</div>`;
                                i++;
                            });
                            that.find('.accessorials-wrapper').html(html);
                        }
                    }else{
                        that.find('.accessorials-wrapper').html('');
                    }
                    that.find('.total-bill-addition:first').trigger('keyup');
                });
            }
        }
        function groupBy(objectArray, property) {
            return objectArray.reduce((acc, obj) => {
                const key = obj[property];
                if (!acc[key]) {
                    acc[key] = [];
                }
                // Add object to list for given key's value
                acc[key].push(obj);
                return acc;
            }, {});
        }
        function generateDummyId() {
            return Math.floor(Math.random()*(999-100+1)+100 * Date.now())
        }
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            var table = $('.data-table').DataTable({
                stateSave: true,
                bSortCellsTop: true,
                language: {
                    search: "",
                    searchPlaceholder: "Search...",
                },
                dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
                processing: false,
                serverSide: true,
                fixedHeader: true,
                ordering: false,
                pageLength: "{{ perPageView() }}",
                //order: [[0, "desc"]],
                //ajax: "{{ route('company.admin.new.loads.auditload') }}",
                  ajax: {
                    "url": "{{ route('company.admin.new.loads.auditload') }}",
                    "data": {
                        "load_id": $('.doc_load_id').val(), // original load id
                     }
                },
                columns: [
                    <?php foreach($getField as $key => $filed): ?>
                        <?php if($filed == 1): ?>
                            <?php if(isset(config('settings.table_audit_load')[$key]['name'])): ?>
                                <?php if(config("settings.table_audit_load")[$key]["orderable"] == 1 && config("settings.table_audit_load")[$key]["searchable"] == 1): ?>
                                    { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                                <?php elseif(config("settings.table_audit_load")[$key]["orderable"] == 1): ?>
                                    { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                                <?php elseif(config("settings.table_audit_load")[$key]["searchable"] == 1): ?>
                                    { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                                <?php else: ?>
                                    { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                                <?php endif; ?>
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endforeach; ?>
                ]
            });

            setInterval( function () {
                table.ajax.reload();
            }, 100000 );
        });
    </script>
    <script type="text/javascript">
        $(function (){
            function dropStopOptions(){
                $('.dropLocByStop').html("");
                let dropStopOptions = '<option value="">Select Stop</option>';
                $("#sortable .stop").each(function(){
                    let stopNo      = $(this).data('stop_no');
                    let addr1       = $(this).find('.geocoding-address-1').val();
                    let addr2       = $(this).find('.geocoding-address-2').val();
                    let city        = $(this).find('.geocoding-city').val();
                    let state       = $(this).find('.geocoding-state').val();
                    let zip         = $(this).find('.geocoding-zip').val();
                    dropStopOptions += '<option value="'+ stopNo +'" data-addr1="'+ addr1 +'" data-addr2="'+ addr2 +'" data-city="'+ city +'" data-state="'+ state +'" data-zip="'+ zip +'">'+ stopNo +'</option>';
                });
                $('.dropLocByStop').html(dropStopOptions);
            }
            dropStopOptions();

            // Shipping Drop Trailer
            $(document).ready(function(){
                // Pickup Drop
                $("#pickupDropTrailerBlock").hide();
                $("#pickupDropLocByUser").select2();
                let driverName      = $("[name='driver_id']").select2('data')[0].text;
                let trailerNumber   = $("[name='trailer_number']").select2('data')[0].text;
                let truckNumber     = $("[name='truck_number']").val();
                if(driverName !== ""){
                    $("#pickupDropDriverName").text(driverName);
                }
                if(trailerNumber !== ""){
                    $("#pickupDropTrailer").text(trailerNumber);
                }
                if(truckNumber !== ""){
                    $("#pickupDropTruck").text(truckNumber);
                }
                $('#pickupDorpDate').datetimepicker({ format: DateTimeFormat });
            });
            $(document).on("click", "#pickupSaveBtn", function () {
                $('#pickupDropTrailerBlock').hide();
            });
            $(document).on("click", ".pickupDropCancelBtn", function () {
                $('#pickupDropTrailerBlock').hide();

                // $("[name='shipper_drop_at_stop']").prop('checked', false).trigger('change');
                // $("[name='shipper_drop_keep_assigned']").prop('checked', false).trigger('change');
                // $("[name='shipper_dorp_date']").val("");
                // $("[name='shipper_drop_loc_by_user']").val("").trigger('change');
                // $("[name='shipper_drop_loc_by_stop']").val("");
                // $("[name='shipper_drop_add1']").val("").prop('readonly', true);
                // $("[name='shipper_drop_add2']").val("").prop('readonly', true);
                // $("[name='shipper_drop_city']").val("").prop('readonly', true);
                // $("[name='shipper_drop_state']").val("").prop('readonly', true);
                // $("[name='shipper_drop_zip']").val("").prop('readonly', true);
                // $("[name='shipper_drop_notes']").val("");
            });
            $(document).on("click", "#pickupDropTrailerBtn", function () {
                $('#pickupDropTrailerBlock').toggle();
                @if(isset($shippingDropDetails->drop_at_stop) && $shippingDropDetails->drop_at_stop == '1')
                    $('#pickupDropTrailerBlock .drop-search').hide();
                    $('#pickupDropTrailerBlock .drop-select').show();
                @else
                    if ($("#pickupDropTrailerBlock #pickupDropAtStop").is(":checked")) {
                        $('#pickupDropTrailerBlock .drop-search').hide();
                        $('#pickupDropTrailerBlock .drop-select').show();
                    } else {
                        $('#pickupDropTrailerBlock .drop-search').show();
                        $('#pickupDropTrailerBlock .drop-select').hide();
                    }
                @endif
                $('#pickupDropTrailerBlock .drop-checkbox input').change(function () {
                    if ($(this).is(":checked")) {
                        $('#pickupDropTrailerBlock .drop-search').hide();
                        $('#pickupDropTrailerBlock .drop-select').show();

                        $("[name='shipper_drop_loc_by_user']").val("").trigger('change');
                        $("[name='shipper_drop_user_type']").val("");
                    } else {
                        $('#pickupDropTrailerBlock .drop-search').show();
                        $('#pickupDropTrailerBlock .drop-select').hide();

                        $("[name='shipper_drop_loc_by_stop']").val("");
                        $("[name='shipper_drop_user_type']").val("");
                    }
                });
            });
            $(document).on("change", "#pickupDropLocByUser", function () {
                if($(this).find(":selected").val() != ""){
                    let address     = $(this).find(":selected").data("address");
                    let address2    = $(this).find(":selected").data("address_2");
                    let city        = $(this).find(":selected").data("city");
                    let state       = $(this).find(":selected").data("state");
                    let zip         = $(this).find(":selected").data("zip");
                    let user_type   = $(this).find(":selected").data("user-type");

                    $("[name='shipper_drop_add1']").val(address);
                    $("[name='shipper_drop_add2']").val(address2);
                    $("[name='shipper_drop_city']").val(city);
                    $("[name='shipper_drop_state']").val(state);
                    $("[name='shipper_drop_zip']").val(zip);
                    $("[name='shipper_drop_user_type']").val(user_type);
                }else{
                    $("[name='shipper_drop_add1']").val("");
                    $("[name='shipper_drop_add2']").val("");
                    $("[name='shipper_drop_city']").val("");
                    $("[name='shipper_drop_state']").val("");
                    $("[name='shipper_drop_zip']").val("");
                    $("[name='shipper_drop_user_type']").val("");
                }
            });
            $(document).on("change", "#pickupDropLocByStop", function () {
                if($(this).find(":selected").val() != ""){
                    let address     = $(this).find(":selected").data("addr1");
                    let address2    = $(this).find(":selected").data("addr2");
                    let city        = $(this).find(":selected").data("city");
                    let state       = $(this).find(":selected").data("state");
                    let zip         = $(this).find(":selected").data("zip");

                    $("[name='shipper_drop_add1']").val(address);
                    $("[name='shipper_drop_add2']").val(address2);
                    $("[name='shipper_drop_city']").val(city);
                    $("[name='shipper_drop_state']").val(state);
                    $("[name='shipper_drop_zip']").val(zip);
                    $("[name='shipper_drop_user_type']").val("");
                }else{
                    $("[name='shipper_drop_add1']").val("");
                    $("[name='shipper_drop_add2']").val("");
                    $("[name='shipper_drop_city']").val("");
                    $("[name='shipper_drop_state']").val("");
                    $("[name='shipper_drop_zip']").val("");
                    $("[name='shipper_drop_user_type']").val("");
                }
            });

            // Delivery Drop Trailer
            $(document).ready(function(){
                $("#deliveryDropTrailerBlock").hide();
                $("#deliveryDropLocByUser").select2();
                let driverName      = $("[name='driver_id']").select2('data')[0].text;
                let trailerNumber   = $("[name='trailer_number']").select2('data')[0].text;
                let truckNumber     = $("[name='truck_number']").val();
                if(driverName !== ""){
                    $("#deliveryDropDriverName").text(driverName);
                }
                if(trailerNumber !== ""){
                    $("#deliveryDropTrailer").text(trailerNumber);
                }
                if(truckNumber !== ""){
                    $("#deliveryDropTruck").text(truckNumber);
                }
                $('#deliveryDorpDate').datetimepicker({ format: DateTimeFormat });
            });
            $(document).on("click", "#deliverySaveBtn", function () {
                $('#deliveryDropTrailerBlock').hide();
            });
            $(document).on("click", ".deliveryDropCancelBtn", function () {
                $('#deliveryDropTrailerBlock').hide();

                // $("[name='delivery_drop_at_stop']").prop('checked', false).trigger('change');
                // $("[name='delivery_drop_keep_assigned']").prop('checked', false).trigger('change');
                // $("[name='delivery_dorp_date']").val("");
                // $("[name='delivery_drop_loc_by_user']").val("").trigger('change');
                // $("[name='delivery_drop_loc_by_stop']").val("");
                // $("[name='delivery_drop_add1']").val("").prop('readonly', true);
                // $("[name='delivery_drop_add2']").val("").prop('readonly', true);
                // $("[name='delivery_drop_city']").val("").prop('readonly', true);
                // $("[name='delivery_drop_state']").val("").prop('readonly', true);
                // $("[name='delivery_drop_zip']").val("").prop('readonly', true);
                // $("[name='delivery_drop_notes']").val("");
            });
            $(document).on("click", "#deliveryDropTrailerBtn", function () {
                $('#deliveryDropTrailerBlock').toggle();
                @if(isset($deliveryDropDetails->drop_at_stop) && $deliveryDropDetails->drop_at_stop == '1')
                    $('#deliveryDropTrailerBlock .drop-select').show();
                    $('#deliveryDropTrailerBlock .drop-search').hide();
                @else
                    if ($("#deliveryDropTrailerBlock #deliveryDropAtStop").is(":checked")) {
                        $('#deliveryDropTrailerBlock .drop-search').hide();
                        $('#deliveryDropTrailerBlock .drop-select').show();
                    } else {
                        $('#deliveryDropTrailerBlock .drop-search').show();
                        $('#deliveryDropTrailerBlock .drop-select').hide();
                    }
                @endif
                $('#deliveryDropTrailerBlock .drop-checkbox input').change(function () {
                    if ($(this).is(":checked")) {
                        $('#deliveryDropTrailerBlock .drop-search').hide();
                        $('#deliveryDropTrailerBlock .drop-select').show();

                        $("[name='delivery_drop_loc_by_user']").val("").trigger('change');
                        $("[name='delivery_drop_user_type']").val("");
                    } else {
                        $('#deliveryDropTrailerBlock .drop-search').show();
                        $('#deliveryDropTrailerBlock .drop-select').hide();

                        $("[name='delivery_drop_loc_by_stop']").val("");
                        $("[name='delivery_drop_user_type']").val("");
                    }
                });
            });
            $(document).on("change", "#deliveryDropLocByUser", function () {
                if($(this).find(":selected").val() != ""){
                    let address     = $(this).find(":selected").data("address");
                    let address2    = $(this).find(":selected").data("address_2");
                    let city        = $(this).find(":selected").data("city");
                    let state       = $(this).find(":selected").data("state");
                    let zip         = $(this).find(":selected").data("zip");
                    let user_type   = $(this).find(":selected").data("user-type");

                    $("[name='delivery_drop_add1']").val(address);
                    $("[name='delivery_drop_add2']").val(address2);
                    $("[name='delivery_drop_city']").val(city);
                    $("[name='delivery_drop_state']").val(state);
                    $("[name='delivery_drop_zip']").val(zip);
                    $("[name='delivery_drop_user_type']").val(user_type);
                }else{
                    $("[name='delivery_drop_add1']").val("");
                    $("[name='delivery_drop_add2']").val("");
                    $("[name='delivery_drop_city']").val("");
                    $("[name='delivery_drop_state']").val("");
                    $("[name='delivery_drop_zip']").val("");
                    $("[name='delivery_drop_user_type']").val("");
                }
            });
            $(document).on("change", "#deliveryDropLocByStop", function () {
                if($(this).find(":selected").val() != ""){
                    let address     = $(this).find(":selected").data("addr1");
                    let address2    = $(this).find(":selected").data("addr2");
                    let city        = $(this).find(":selected").data("city");
                    let state       = $(this).find(":selected").data("state");
                    let zip         = $(this).find(":selected").data("zip");

                    $("[name='delivery_drop_add1']").val(address);
                    $("[name='delivery_drop_add2']").val(address2);
                    $("[name='delivery_drop_city']").val(city);
                    $("[name='delivery_drop_state']").val(state);
                    $("[name='delivery_drop_zip']").val(zip);
                    $("[name='delivery_drop_user_type']").val("");
                }else{
                    $("[name='delivery_drop_add1']").val("");
                    $("[name='delivery_drop_add2']").val("");
                    $("[name='delivery_drop_city']").val("");
                    $("[name='delivery_drop_state']").val("");
                    $("[name='delivery_drop_zip']").val("");
                    $("[name='delivery_drop_user_type']").val("");
                }
            });

            // Dynamic Drop Trailer
            $(document).on("click", "[id^='dropSaveBtn_']", function () {
                let index           = $(this).attr('id');
                index               = index.split('_')[1];
                $("#dropTrailerBlock_"+ index).hide();
            });
            $(document).on("click", "[id^='dropTrailerBtn_']", function () {
                let index           = $(this).attr('id');
                index               = index.split('_')[1];
                $("#dropTrailerBlock_"+ index).toggle();
            });
            $(document).on("click", "[id^='dropCancelBtn_top_']", function () {
                let index           = $(this).attr('id');
                index               = index.split('_')[2];
                $("#dropTrailerBlock_"+ index).hide();
            });
            $(document).on("click", "[id^='dropCancelBtn_bottom_']", function () {
                let index           = $(this).attr('id');
                index               = index.split('_')[2];
                $("#dropTrailerBlock_"+ index).hide();
            });
            $(document).on("click", "[id^='dropAtStop_']", function () {
                let index           = $(this).attr('id');
                index               = index.split('_')[1];
                if($("#dropAtStop_"+index).is(':checked', true)){
                    $("#dropTrailerBlock_"+ index +" .drop-select").show();
                    $("#dropTrailerBlock_"+ index +" .drop-search").hide();

                    $("#dropLocByUser_"+ index).val("").trigger('change');
                    $("#dropLocByStop_"+ index).val("");
                }else{
                    $("#dropTrailerBlock_"+ index +" .drop-select").hide();
                    $("#dropTrailerBlock_"+ index +" .drop-search").show();

                    $("#dropLocByStop_"+ index).val("");
                    $("#dropLocByUser_"+ index).val("");
                }
            });
            $(document).on("change", "[id^='dropLocByUser_']", function () {
                let index           = $(this).attr('id');
                index               = index.split('_')[1];

                if($(this).find(":selected").val() != ""){
                    let address     = $(this).find(":selected").data("address");
                    let address2    = $(this).find(":selected").data("address_2");
                    let city        = $(this).find(":selected").data("city");
                    let state       = $(this).find(":selected").data("state");
                    let zip         = $(this).find(":selected").data("zip");
                    let user_type   = $(this).find(":selected").data("user-type");

                    $("#dropAdd1_"+ index).val(address);
                    $("#dropAdd2_"+ index).val(address2);
                    $("#dropCity_"+ index).val(city);
                    $("#dropState_"+ index).val(state);
                    $("#dropZip_"+ index).val(zip);
                    $("#dropUserType_"+ index).val(user_type);
                }else{
                    $("#dropAdd1_"+ index).val("");
                    $("#dropAdd2_"+ index).val("");
                    $("#dropCity_"+ index).val("");
                    $("#dropState_"+ index).val("");
                    $("#dropZip_"+ index).val("");
                    $("#dropUserType_"+ index).val("");
                }
            });
            $(document).on("change", "[id^='dropLocByStop_']", function () {
                let index           = $(this).attr('id');
                index               = index.split('_')[1];

                if($(this).find(":selected").val() != ""){
                    let address     = $(this).find(":selected").data("addr1");
                    let address2    = $(this).find(":selected").data("addr2");
                    let city        = $(this).find(":selected").data("city");
                    let state       = $(this).find(":selected").data("state");
                    let zip         = $(this).find(":selected").data("zip");

                    $("#dropAdd1_"+ index).val(address);
                    $("#dropAdd2_"+ index).val(address2);
                    $("#dropCity_"+ index).val(city);
                    $("#dropState_"+ index).val(state);
                    $("#dropZip_"+ index).val(zip);
                    $("#dropUserType_"+ index).val("");
                }else{
                    $("#dropAdd1_"+ index).val("");
                    $("#dropAdd2_"+ index).val("");
                    $("#dropCity_"+ index).val("");
                    $("#dropState_"+ index).val("");
                    $("#dropZip_"+ index).val("");
                    $("#dropUserType_"+ index).val("");
                }
            });
        });
    </script>
    <script type="text/javascript">
        $(function (){
            @if(!is_null($loadDetail->co_driver_id))
                let coDriverHtml = '<div class="col-xl-2 col-lg-3 col-md-4 col-sm-6" id="coDriveDiv">';
                coDriverHtml    += '<div class="form-group">';
                coDriverHtml    += '<a href="javascript:void(0);" class="btn-link-red mb-1 removeCoDriver"><i class="fa fa-times"aria-hidden="true"></i> Remove Co-Driver</a>';
                coDriverHtml    += '{!! Form::select('co_driver_id', ['' => 'Co-Driver']+getDriverListByCompany(auth()->guard('company-admin')->user()->company_id), null, ['class' => 'custom-select co-driver-select2 form-control']) !!}';
                coDriverHtml    += '</div>';
                coDriverHtml    += '</div>';
                $("#driverDiv").after(coDriverHtml);
                $(".co-driver-select2").select2();
                $(".addCoDriver").addClass('d-none');
                $(".co-driver-select2").val("{{$loadDetail->co_driver_id}}").trigger('change');
            @endif

            @if(!is_null($loadDetail->is_cod) && $loadDetail->is_cod == "1")
                $("#is_cod").prop('checked', true).trigger('change');

                @if(!is_null($loadDetail->up_front_is_paid) && $loadDetail->up_front_is_paid == "1")
                    $("#up_front_is_paid").prop('checked', true).trigger('change');
                @endif
                @if(!is_null($loadDetail->at_pickup_is_paid) && $loadDetail->at_pickup_is_paid == "1")
                    $("#at_pickup_is_paid").prop('checked', true).trigger('change');
                @endif
                @if(!is_null($loadDetail->at_delivery_is_paid) && $loadDetail->at_delivery_is_paid == "1")
                    $("#at_delivery_is_paid").prop('checked', true).trigger('change');
                @endif

                @if(isset($load->cod['up_front_file']) && !is_null($load->cod['up_front_file']))
                    $(".up_front_file").attr('data-upload-status', 1);
                    $(".up_front_file").attr('src', '{{asset("theme/images/file-uploaded.png")}}');
                @endif
                @if(isset($load->cod['at_pickup_file']) && !is_null($load->cod['at_pickup_file']))
                    $(".at_pickup_file").attr('data-upload-status', 1);
                    $(".at_pickup_file").attr('src', '{{asset("theme/images/file-uploaded.png")}}');
                @endif
                @if(isset($load->cod['at_delivery_file']) && !is_null($load->cod['at_delivery_file']))
                    $(".at_delivery_file").attr('data-upload-status', 1);
                    $(".at_delivery_file").attr('src', '{{asset("theme/images/file-uploaded.png")}}');
                @endif
            @endif

            @if($shippingDropDetails)
                @if($shippingDropDetails->drop_at_stop == '1')
                    $("[name='shipper_drop_at_stop']").prop('checked', true);
                    $("[name='shipper_drop_loc_by_stop']").val('{{$shippingDropDetails->loc }}');
                @elseif($shippingDropDetails->drop_at_stop == '0')
                    $("[name='shipper_drop_loc_by_user']").val('{{$shippingDropDetails->loc }}').trigger('change');
                @endif
            @endif

            @if($deliveryDropDetails)
                @if($deliveryDropDetails->drop_at_stop == '1')
                    $("[name='delivery_drop_at_stop']").prop('checked', true);
                    $("[name='delivery_drop_loc_by_stop']").val('{{ $deliveryDropDetails->loc }}');
                @elseif($deliveryDropDetails->drop_at_stop == '0')
                    $("[name='delivery_drop_loc_by_user']").val('{{$deliveryDropDetails->loc }}').trigger('change');
                @endif
            @endif
        });
    </script>
@endsection

@push('after-scripts')
    <script src="{{ asset('theme/js/trimble.js') }}"></script>
    <script src="{{ asset('theme/js/trimble-stop.js') }}"></script>
@endpush
