@extends($companyAdminTheme)

@section('title')
    Load Split
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
        .select2-container{
            width: 100% !important;
        }
        .select2-container .select2-selection--single{
            height: 40px;
        }
        .select2-container--default .select2-selection--single, .select2-container--default .select2-selection--multiple{
            border: 1px solid #707070;
            border-radius: 0;
            color: #000000 !important;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered{
            line-height: 40px;
            font-size: 14px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow{
            height: 40px;
            margin-right: 5px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow b{
            border-color: #000 transparent transparent transparent;
        }
        .h-auto{
            height: auto;
        }
        .fa-sort{
            padding: 7px;
            cursor: move;
        }
        .ui-state-highlight {
            border: 3px dashed #aaa !important;
            height: 70px !important;
            background: #ccc !important;
        }
        .movable-placeholder {
            background: #e2e2e2;
            height: 100px;
            display: block;
            padding: 20px;
            margin: 0 0 15px 0;
            border-style: dashed;
            border-width: 2px;
            border-color: #757575;
        }
        #map {
            position: absolute;
            top: 0;
            bottom: 0;
            width: 100%;
        }
        .required-documents-upload {
            position: relative;
            display: inline-block;
            overflow: hidden;
        }
        .required-documents-upload input {
            position: absolute;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            opacity: 0;
            z-index: 1;
            cursor: pointer;
        }
    </style>
    @if(getDeliveryDateOption() == 3)
        <style type="text/css">
            .disbaleDatepop input[type="time"]::-webkit-inner-spin-button,
            .disbaleDatepop input[type="time"]::-webkit-calendar-picker-indicator {
                pointer-events: none;
            }
            .disbaleDatepop .bootstrap-datetimepicker-widget {display: none!important;}
        </style>
    @endif
    <style type="text/css">
        #detentionRequestModal .detail-block{
            border-bottom: 1px solid #eff4fa;
            margin: 0 -20PX 10px;
            padding: 0 20px 5px;
        }
        #detentionRequestModal .footer-block .logs{
            color: #ABB4C6 !important;
        }
        #detentionRequestModal .footer-block{
            margin: 20px -20px -20px;
        }
        #detentionRequestModal .footer-block .btn {
            color: #fff;
        }
        #detentionRequestModal .footer-block .btn:hover {
            color: #fff;
        }
        #detentionRequestModal .modal-body label > span {
            color: rgb(33, 37, 41);
        }
        .flex-all {
            display: flex;
            flex-wrap: wrap;
            align-items: center;
            justify-content: center;
        }
        .html-duration-picker-input-controls-wrapper .html-duration-picker {
            text-align:left !important;
        }
        .btn-warning{
            color: #fff !important;
        }
        .btn-warning:hover{
            color: #fff !important;
        }
        .invalid-feedback{
            display: block;
        }
        .pending-detention-txt{
            font-size: 14px;
        }
    </style>
@endsection

@php
    $setting    = auth()->guard('company-admin')->user()->getCompany;
@endphp

@section('content')
    <div class="is_load_page" is_load="1"></div>
    <div class="get_mileage" url="{{ route('company.admin.load.getTrimbleData') }}"></div>

    <div class="speeliinfo">
        {!! Form::open(array(
            'route'         => ['company.admin.loads.split.store',$load->id],
            'method'        => 'POST',
            'files'         => 'true',
            'class'         => 'split-store-form',
            'id'         => 'submitSplitForm',
            'autocomplete'  => 'off'
        )
        ) !!}
        <input type="hidden" name="is_revert" value="{{ isset(request()->isRevert) ? 1 : 0 }}">
            <div class="row">
                <div class="col-md-12">
                    <nav aria-label="breadcrumb mb-3">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('company.admin.dispatch.hub.index') }}">Dispatch</a></li>
                            <li class="breadcrumb-item"><a href="{{ route('company.admin.loads.index') }}">Loads</a></li>
                            <li class="breadcrumb-item active" aria-current="page">
                                Split Load
                            </li>
                        </ol>
                    </nav>
                    <div class="mb-4">
                        <div class="box-padding">
                            <div class="row">
                                <div class="col-md-4">
                                    <span class="submitted mt-2 mb-3">Current Driver:<span>{{ getLoadCurrentDriver($load->id) }}</span></span>
                                </div>
                                <div class="col-md-4">
                                    <span class="submitted mt-2 mb-3">Current Dispatcher:<span>{{ getLoadCurrentDispatcher($load->id) }}</span></span>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-2">
                                    <div class="form-group">
                                        {{--<label>New Driver</label>
                                        {!! Form::select('driver_id', ['' => 'Driver']+getDriverListByCompany(auth()->guard('company-admin')->user()->company_id), $loadDetail->driver_id, ['class' => 'custom-select driver-select2 form-control new-driver-change']) !!}
                                        @error('driver_id')
                                            <span class="text-danger" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror--}}

                                        {!! Form::hidden('driver_id', $loadDetail->driver_id, array('class' => 'new-driver-change')) !!}
                                    </div>
                                </div>
                                <div class="col-md-2"></div>
                                <div class="col-md-1"></div>
                                <div class="col-md-1 text-right">
                                    <div class="form-group">
                                        <label>Self Dispatch</label>
                                        <div class="custom-control custom-switch">
                                            {!! Form::checkbox('self_dispatch', 1, $loadDetail->self_dispatch == 1 ? true : false , array('class' => 'custom-control-input self-dispatch', 'id' => 'self_dispatch')) !!}
                                            <label class="custom-control-label" for="self_dispatch"></label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group">
                                        <label>Booked By</label>
                                        {!! Form::select('booked_by', ['' => 'Booked By', '0' => 'Self Dispatch']+getCompanyAdminListByCompany(auth()->guard('company-admin')->user()->company_id), $loadDetail->booked_by, ['class' => 'custom-select bookedby-select2 form-control booked-by']) !!}
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group">
                                        <label>Date Split</label>
                                        {!! Form::text('split_date', (isset(request()->isRevert) ? date('m-d-Y', strtotime($loadDetail->split_date)) : old('split_date')), array('class' => 'form-control date-split-date', 'required' => 'required')) !!}
                                        <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                    </div>
                                    @error('split_date')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                                <div class="col-md-2"></div>
                            </div>
                            <div class="row">
                                <div class="col-md-2 offset-md-2">
                                    <div class="form-group">
                                        <label>Total Bill</label>
                                        {!! Form::number('total_bill', $load->load_detail->total_bill, array('class' => 'form-control total-bill', 'readonly' => 'readonly', 'min' => 0, 'step' => .01)) !!}
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group">
                                        <label>Loaded Miles</label>
                                        {!! Form::number('total_miles', $load->load_detail->loaded_miles, array('class' => 'form-control total-bill', 'readonly' => 'readonly', 'min' => 0, 'step' => .01)) !!}
                                    </div>
                                </div>
                                <div class="col-md-4 mb-3 mt-4">
                                    <div class="form-group">
                                        <span class="notes-switch">Send notification to driver
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('send_notification', 1, null, array('class' => 'custom-control-input', 'id' => 'notification')) !!}
                                                <label class="custom-control-label" for="notification"></label>
                                            </div>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-2 offset-md-2 pay-percentage-error">
                                    <span class="error text-danger font-weight-bold"></span>
                                    @if ($payPercentageError = Session::get('pay_percentage_error'))
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $payPercentageError }}</strong>
                                        </span>
                                    @endif
                                </div>
                                <div class="col-md-2 mileage-percentage-error">
                                    <span class="error text-danger font-weight-bold"></span>
                                    @if ($mileagePercentageError = Session::get('mileage_percentage_error'))
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $mileagePercentageError }}</strong>
                                        </span>
                                    @endif
                                </div>
                            </div>
                            @if(count($loadDrivers))
                                @php $i = 1; @endphp
                                @foreach($loadDrivers as $key => $loadDriver)
                                    <div class="row driver-split-load-calc align-items-end">
                                        <div class="col-md-2">
                                            {{--<span class="submitted mb-3">{{ $loadDriver->driver->full_name }}</span>
                                            {!! Form::hidden('drivers['.$i.'][driver_id]', $loadDriver->driver_id) !!}--}}

                                            @if($loadDetail->driver_id != $loadDriver->driver_id)
                                                <div class="form-group">
                                                    <a href="javascript:void(0)" class="btn-link-orange remove-split-driver-row">
                                                        <i class="fa fa-remove" aria-hidden="true"></i> Remove
                                                    </a>
                                                    {!! Form::select('drivers['.$i.'][driver_id]', ['' => 'Select Driver']+getDriverListByCompany(auth()->guard('company-admin')->user()->company_id, $loadDetail->driver_id), $loadDriver->driver_id, ['class' => 'custom-select driver-select2 form-control', 'required' => 'required', 'data-parsley-errors-container' => '#drivers'.$i.'driver_id-errors']) !!}
                                                    <div id="drivers{{$i}}driver_id-errors"></div>
                                                    @error('drivers.'.$i.'.driver_id')
                                                        <span class="text-danger" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            @else
                                                <span class="submitted mb-3">{{ $loadDriver->driver->full_name }}</span>
                                                {!! Form::hidden('drivers['.$i.'][driver_id]', $loadDriver->driver_id) !!}
                                            @endif
                                        </div>
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <label>Pay %</label>
                                                {!! Form::number('drivers['.$i.'][pay_percentage]', (isset(request()->isRevert) ? $loadDriver->pay_percentage : null), array('class' => 'form-control pay-percentage', 'min' => 0, 'step' => .01, 'required' => 'required')) !!}
                                                @error('drivers.'.$i.'.pay_percentage')
                                                    <span class="text-danger" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <label>Mileage %</label>
                                                {!! Form::number('drivers['.$i.'][mileage_percentage]', (isset(request()->isRevert) ? $loadDriver->mileage_percentage : null), array('class' => 'form-control mileage-percentage', 'min' => 0, 'step' => .01, 'required' => 'required')) !!}
                                                @error('drivers.'.$i.'.mileage_percentage')
                                                    <span class="text-danger" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <label>Pay $</label>
                                                {!! Form::number('drivers['.$i.'][pay]', (isset(request()->isRevert) ? $loadDriver->pay : null), array('class' => 'form-control pay', 'readonly' => 'readonly', 'min' => 0, 'step' => .01)) !!}
                                            </div>
                                        </div>
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <label>Miles</label>
                                                {!! Form::number('drivers['.$i.'][miles]', (isset(request()->isRevert) ? $loadDriver->miles : null), array('class' => 'form-control miles', 'readonly' => 'readonly', 'min' => 0, 'step' => .01)) !!}
                                            </div>
                                        </div>
                                        @if($loop->first)
                                            <div class="col-md-2 split-button-bottom">
                                                <button type="button" class="btn btn-big btn-orange  split-load-btn mb-2">Split Load</button>
                                                <a href="{{ route('company.admin.loads.index') }}" class="btn btn-big btn-themeGray">Cancel</a>
                                            </div>
                                        @else
                                            <div class="col-md-2"></div>
                                        @endif
                                    </div>
                                    @php $i++; @endphp
                                @endforeach
                            @endif

                            @if(!isset(request()->isRevert))
                            <div class="row driver-split-load-calc align-items-end">
                                <div class="col-md-2">
                                    {{--<span class="submitted mb-3">New Driver</span>
                                    {!! Form::hidden('drivers[0][driver_id]', null, array('class' => 'new_driver_id')) !!}--}}

                                    <div class="form-group">
                                        <label>New Driver</label>
                                        {!! Form::select('drivers[0][driver_id]', ['' => 'Select Driver']+getDriverListByCompany(auth()->guard('company-admin')->user()->company_id), null, ['class' => 'custom-select driver-select2 form-control', 'required' => 'required', 'data-parsley-errors-container' => '#drivers0driver_id-errors']) !!}
                                        <div id="drivers0driver_id-errors"></div>
                                        @error('drivers.0.driver_id')
                                            <span class="text-danger" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group">
                                        <label>Pay %</label>
                                        {!! Form::number('drivers[0][pay_percentage]', old('drivers[0][pay_percentage]'), array('class' => 'form-control pay-percentage', 'required' => 'required')) !!}
                                        @error('drivers.0.pay_percentage')
                                            <span class="text-danger" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group">
                                        <label>Mileage %</label>
                                        {!! Form::number('drivers[0][mileage_percentage]', old('drivers[0][mileage_percentage]'), array('class' => 'form-control mileage-percentage', 'min' => 0, 'step' => .01, 'required' => 'required')) !!}
                                        @error('drivers.0.mileage_percentage')
                                            <span class="text-danger" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group">
                                        <label>Pay $</label>
                                        {!! Form::number('drivers[0][pay]', old('drivers[0][pay]'), array('class' => 'form-control pay', 'readonly' => 'readonly', 'min' => 0, 'step' => .01)) !!}
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group">
                                        <label>Miles</label>
                                        {!! Form::number('drivers[0][miles]', old('drivers[0][miles]'), array('class' => 'form-control miles', 'readonly' => 'readonly', 'min' => 0, 'step' => .01)) !!}
                                    </div>
                                </div>
                                <div class="col-md-2"></div>
                                {{--<div class="col-md-2 split-button-bottom">
                                    <button type="button" class="btn btn-big btn-orange  split-load-btn mb-2">Split Load</button>
                                    <a href="{{ route('company.admin.loads.index') }}" class="btn btn-big btn-themeGray">Cancel</a>
                                </div>--}}
                            </div>
                            @endif
                        </div>
                    </div>
                </div>
            </div>
        {!! Form::close() !!}
    </div>


    {!! Form::model($loadDetail, array(
            'route'         => ['company.admin.loads.update',$load->id],
            'method'        => 'PATCH',
            'files'         => 'true',
            'class'         => 'edit-form',
            'autocomplete'  => 'off'
        )
    ) !!}
        <input type="hidden" name="from" value="{{ Request::get('from') }}">
        <input type="hidden" name="backurl" value="{{ URL::previous() }}">

        @php
            $load_id    = $load->id;
        @endphp
        <input type="hidden" name="dummyloadid" value="{{ $load_id }}">
        <input type="hidden" class="is_on_hold" name="is_on_hold" value="{{ Request::get('is_on_hold') }}">
        <input type="hidden" name="trucking_company" class="trucking-company">
        <input type="hidden" name="trucking_company_hidden" class="trucking-company-hidden">

        <input type="hidden" name="setcustomdateshipping" id="setcustomdateshipping" value="">
        <input type="hidden" name="setcustomdatedelivery" id="setcustomdatedelivery" value="">

        <!-- collapse section -->
        <div class="accordion" id="add_new_load_accrordion">
            <div class="card">
                    <div class="card-header" id="headingLoadInformatin">
                        <h2 class="mb-0">
                            <button class="btn btn-link btn-block text-left collapsed" type="button"
                                data-toggle="collapse" data-target="#load-info-collapse" aria-expanded="false"
                                aria-controls="load-info-collapse">
                                Load Information<i class="fa fa-angle-down" aria-hidden="true"></i>
                            </button>
                        </h2>
                    </div>
                    <div id="load-info-collapse" class="collapse" aria-labelledby="headingLoadInformatin"
                        data-parent="#add_new_load_accrordion">
                        <div class="card-body mt-20">
                            <div class="row new-load">
                                <div class="col-xl-3 col-lg-4 col-md-6">
                                    <nav aria-label="breadcrumb mb-3">
                                        @if($totalPendingDetention > 0)
                                            <span class="text-danger pending-detention-txt">Billing Hold (Detention Requests Pending)</span>
                                        @else
                                            <span class="text-danger pending-detention-txt d-none">Billing Hold (Detention Requests Pending)</span>
                                        @endif
                                        <ol class="breadcrumb">
                                            <li class="breadcrumb-item"><a href="{{ route('company.admin.dispatch.hub.index') }}">Dispatch</a></li>
                                            <li class="breadcrumb-item"><a href="{{ route('company.admin.loads.index') }}">Loads</a></li>
                                            <li class="breadcrumb-item active" aria-current="page">
                                                Edit Load
                                            </li>
                                        </ol>
                                    </nav>
                                    <!-- <h4>Edit New Load</h4>width: 300px;height: 50px;font-size: 28px;-->
                                    <div class="form-group row mb-0">
                                        <div class="col-md-2 pr-1">
                                            <input type="text" name="identifier" class="form-control text-center" value="{{ old('identifier') ??  ((isset($loadDetail->identifier) ? $loadDetail->identifier : ''))}}" readonly>
                                        </div>
                                        <div class="col-md-10 pl-1">
                                            {!! Form::text('load_number', $loadDetail->load_number, array(
                                                    'class'         => 'form-control',
                                                    'placeholder'   => 'Load Number',
                                                    'required'      => 'required',
                                                     'readonly' => (isset($carrierDetails->carrier) && ($carrierDetails->carrier->desired_option == "0")) ? true : false
                                                )
                                            ) !!}
                                            @error('load_number')
                                                <span class="text-danger" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                                @include('companyAdmin.load.include.load-type')
                            </div>

                            @include('companyAdmin.load.include.load-status-edit')
                        </div>
                    </div>
                </div>
            <div class="card broker-div">
                <div class="card-header" id="headingBroker">
                    <h2 class="mb-0">
                        <button
                            class="btn btn-link btn-block text-left collapsed"
                            type="button"
                            data-toggle="collapse"
                            data-target="#broker-info-collapse"
                            aria-expanded="false"
                            aria-controls="broker-info-collapse">
                                Customer Info <i class="fa fa-angle-down" aria-hidden="true"></i>
                        </button>
                    </h2>
                </div>
                <div
                    class="collapse"
                    id="broker-info-collapse"
                    aria-labelledby="headingBroker"
                    data-parent="#add_new_load_accrordion">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-xl-8 col-lg-8">
                                <div class="row">
                                    <div class="col-lg-4 col-sm-6">
                                        <div class="form-group">
                                            <label for="brokerage_firm">Customer:</label>
                                            {!! Form::select('brokerage_firm', ['' => 'Select Customer']+getBrokerList(), old('brokerage_firm'), [
                                                    'class'                         => 'form-control brokerage-firm-select2',
                                                    'required'                      => 'required',
                                                    'data-parsley-errors-container' => '#brokerage_firm-errors'
                                                ]
                                            ) !!}
                                            <div id="brokerage_firm-errors"></div>
                                            @error('brokerage_firm')
                                                <span class="text-danger" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-xl-4 col-lg-5 col-sm-6">
                                        <div class="form-group">
                                            <label for="brokerage_mc">Customer MC:</label>
                                            {!! Form::text('brokerage_mc', old('brokerage_mc'), array(
                                                    'class'     => 'form-control brokerage-mc',
                                                    'required'  => 'required'
                                                )
                                            ) !!}
                                            @error('brokerage_mc')
                                                <span class="text-danger" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-lg-4 col-sm-6">
                                        <div class="form-group brokerContact">
                                            <label for="rep">Representative:</label>
                                            <a
                                                href="javascript:void(0);"
                                                class="btn-link-orange rep-broker-contact @if(!isset($loadDetail->brokerage_firm)) d-none @endif">
                                                <i class="fa fa-plus" aria-hidden="true"></i> Add New
                                            </a>
                                            <select class="form-control broker-contact select2" name="rep">
                                                <option value="">Select option</option>
                                                {!! $contact_html !!}
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-xl-4 col-lg-5 col-sm-6">
                                        <div class="row">
                                            <div class="col-8">
                                                <div class="form-group">
                                                    <label for="phone">Phone:</label>
                                                    {!! Form::text('phone', old('phone'), array(
                                                            'class'         => 'form-control phone'
                                                        )
                                                    ) !!}
                                                    @error('phone')
                                                        <span class="text-danger" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                            <div class="col-4">
                                                <div class="form-group">
                                                    <label for="ext">Ext:</label>
                                                    {!! Form::text('ext', old('ext'), array(
                                                            'class' => 'form-control ext'
                                                        )
                                                    ) !!}
                                                    @error('ext')
                                                        <span class="text-danger" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-3 col-lg-3 col-sm-6">
                                        <div class="form-group">
                                            <label for="broker_email">Email:</label>
                                            {!! Form::email('broker_email', old('broker_email'), array(
                                                    'class'         => 'form-control broker-email',
                                                    'placeholder'   => ''
                                                )
                                            ) !!}
                                            @error('broker_email')
                                                <span class="text-danger" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4 col-lg-4">
                                <div class="d-flex h-100 align-items-center">
                                    <div class="card credit-score-card @if(!isset($loadDetail->brokerage_firm)) d-none @endif">
                                        <input type="hidden" name="score_ratting" value="{{ $loadDetail->score_ratting }}">
                                        <input type="hidden" name="score_credit" value="{{ $loadDetail->score_credit }}">
                                        <input type="hidden" name="score_updated_at" value="{{ $loadDetail->score_updated_at }}">
                                        <div class="row no-gutters align-items-end">
                                            <div class="col-xl-3 col-lg-3 col-md-2 col-3">
                                                <div class="user-profile ratting">
                                                    <h2 class="val">{{ $loadDetail->score_ratting }}</h2>
                                                </div>
                                            </div>
                                            @php
                                                $convert_score_update       = '';
                                            @endphp
                                            @if(isset($loadDetail->score_updated_at) && $loadDetail->score_updated_at!='')
                                                @php
                                                    $convert_score_update   = convertTimeToUSERzone([
                                                        'str'       => $loadDetail->score_updated_at,
                                                        'toFormat'  => getTimeLayout(),
                                                        'fromFormat'=> 'Y-m-d H:i:s']
                                                    ).' '.$getTimeZoneId;
                                                @endphp
                                            @endif
                                            <div class="col-xl-9 col-lg-9 col-md-10 col-9">
                                                <div class="card-body">
                                                    <h5 class="card-title">RTS Credit Score</h5>
                                                    <p class="card-text update">Last Update: <span class="val">{{ $convert_score_update }}</span></p>
                                                    <p class="card-text available">Credit Available: <span class="val">{{ $loadDetail->score_credit }}</span></p>
                                                    @if(isset($loadDetail->score_updated_at) && $loadDetail->score_updated_at!='')
                                                        <a href="javascript:void(0);" class="score-btn d-none">Update</a>
                                                    @else
                                                        <a href="javascript:void(0);" class="score-btn @if(!isset($loadDetail->brokerage_firm)) d-none @endif">Add</a>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            @include('companyAdmin.load.include.driver-info')
            <div class="card">
                <div class="card-header" id="headingPickupDelivery">
                    <h2 class="mb-0">
                        <button
                            class="btn btn-link btn-block text-left collapsed"
                            type="button"
                            data-toggle="collapse"
                            data-target="#pickup-delivery-collapse"
                            aria-expanded="false"
                            aria-controls="pickup-delivery-collapse">
                            Pickup & Delivery<i class="fa fa-angle-down" aria-hidden="true"></i>
                        </button>
                    </h2>
                </div>
                <div
                    class="collapse"
                    id="pickup-delivery-collapse"
                    aria-labelledby="headingPickupDelivery"
                    data-parent="#add_new_load_accrordion">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-xl-6 col-lg-7" id="sortable">
                                @php
                                    $shipper_detention                  = isset($loadDetail->shipper_detention)?$loadDetail->shipper_detention:null;

                                    if(!empty($loadDetail->shipper_files)){
                                        $shipper_files                  = unserialize($loadDetail->shipper_files);
                                    }else{
                                        if(!empty($broker_shipper_files)){
                                            $shipper_files              = $broker_shipper_files;
                                        }else{
                                            $shipper_files              = unserialize(config('settings.shipper_files'));
                                        }
                                    }

                                    if(!empty($loadDetail->shipper_files_upload)){
                                        $shipper_files_upload           = unserialize($loadDetail->shipper_files_upload);
                                    }else{
                                        if(!empty($broker_shipper_files)){
                                            $shipper_files_upload       = $broker_shipper_files;
                                        }else{
                                            $shipper_files_upload       = unserialize(config('settings.shipper_files'));
                                        }
                                    }
                                @endphp
                                <div class="stop geocoding fixed" data-stop_no="1" data-customer_type="1">
                                    <div class="hedding-section">
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="hedding">
                                                    <h2 class="stop-hedding">Pickup - Stop <span class="stop_no">1</span></h2>
                                                    <a href="javascript:void(0);" class="btn-theme btn-grey-theme">Pending</a>
                                                </div>
                                            </div>
                                            <div class="col-sm-6 mt-2 mt-sm-0">
                                                <div class="d-flex justify-content-end">
                                                    @if(!is_null($shipper_detention))
                                                        <a
                                                            href="javascript:void(0);"
                                                            class="btn-oreng-theme btn-theme detention-link detention-request"
                                                            data-mode="edit"
                                                            data-type="1"
                                                            data-is_stop="0"
                                                            data-load_detail_id="{{ $loadDetail->id }}"
                                                            data-unique_id="{{ substr(base_convert(sha1(uniqid(mt_rand())), 16, 36), 0, 12) }}"
                                                            data-detention_id="{{ $shipper_detention->id }}"
                                                        ><i class="fa fa-pencil" aria-hidden="true"></i> &nbsp; Detention</a>
                                                    @else
                                                        <a
                                                            href="javascript:void(0);"
                                                            class="btn-oreng-theme btn-theme detention-link detention-request"
                                                            data-mode="add"
                                                            data-type="1"
                                                            data-is_stop="0"
                                                            data-load_detail_id="{{ $loadDetail->id }}"
                                                            data-unique_id="{{ substr(base_convert(sha1(uniqid(mt_rand())), 16, 36), 0, 12) }}"
                                                        ><i class="fa fa-plus" aria-hidden="true"></i> &nbsp; Detention</a>
                                                    @endif
                                                    <a href="javascript:void(0);" class=" btn-oreng-theme btn-theme"><i class="fa fa-plus" aria-hidden="true"></i> &nbsp; Drop Trailer</a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row align-items-center">
                                        <div class="col-sm-6">
                                            <div class="buttons-group d-flex justify-content-start">
                                                <button type="button" class="btn btn-theme {{ old('shipping_time_range') == 0 ? 'btn-oreng-theme' : 'btn-grey-theme' }} time-range-btn shippingTime">
                                                    {!! Form::radio('shipping_time_range', 0, old('shipping_time_range') == 0 ? true : false, array(
                                                            'class' => 'custom-control-input'
                                                        )
                                                    ) !!} Set Time
                                                </button>
                                                <button type="button" class="btn btn-theme {{ old('shipping_time_range') == 1 ? 'btn-oreng-theme' : 'btn-grey-theme' }} time-range-btn shippingRange">
                                                    {!! Form::radio('shipping_time_range', 1, old('shipping_time_range') == 1 ? true : false, array(
                                                            'class' => 'custom-control-input'
                                                        )
                                                    ) !!} Range
                                                </button>
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="form-group occupied-switch OccupiedPickupDay">
                                                <div class="custom-control custom-switch pl-0 mr-2">
                                                    {!! Form::checkbox('occupied_pickup_day', 1, null, array(
                                                            'class' => 'custom-control-input occupied-pickup-day-toggle',
                                                            'id'    => 'occupied_pickup_day'
                                                        )
                                                    ) !!}
                                                    <label class="custom-control-label mb-0" for="occupied_pickup_day"></label>
                                                </div>
                                                <label class="mb-0">Occupied Pickup Day</label>
                                            </div>
                                        </div>
                                        @if(getDeliveryDateOption() == 1)
                                            <div class="col-sm-6 custom-width">
                                                <div class="form-group">
                                                    <label>Choose Date / Time: <br/> <span>(This date and time will be based on location)</span></label>
                                                    <div class="position-relative">
                                                        {!! Form::text('shipper_date_time', request()->get('shipper_date'), array(
                                                                'class'                         => 'form-control shipper-date-time',
                                                                'id'                            => 'shipperDate',
                                                                'required'                      => 'required',
                                                                'autocomplete'                  => 'off',
                                                                'onPaste'                       => 'return false',
                                                                'data-parsley-errors-container' => '#shipperDate-errors'
                                                            )
                                                        ) !!}
                                                        <img src="{{ asset('theme/img/calendar.png') }}" alt="shipper_date_time" data-datepickerimage="1">
                                                    </div>
                                                    <div id="shipperDate-errors"></div>
                                                    @error('shipper_date_time')
                                                        <span class="text-danger" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                        @elseif(getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3)
                                            <div class="col-sm-6 custom-width disbaleDatepop">
                                                <div class="form-group">
                                                    <label>Choose Date / Time: <br/> <span>(This date and time will be based on location)</span></label>
                                                    <div class="position-relative">
                                                        <div class="row">
                                                            <div class="col-md-7 pr-0">
                                                                <input type="text" class="form-control custshippingdate" placeholder="MM/DD/YYYY" onPaste="return false">
                                                                <img src="{{ asset('theme/img/calendar.png') }}" class="smallicon" alt="custshippingdate" data-datepickerimage="1">
                                                            </div>
                                                            <div class="col-md-5 pl-1">
                                                                <input type="text" class="form-control custshippingtime" onPaste="return false">
                                                                <img src="{{ asset('theme/img/clock.png') }}" class="timeicon" alt="custshippingtime">
                                                            </div>
                                                        </div>
                                                        {!! Form::text('shipper_date_time', request()->get('shipper_date'), array(
                                                                'class'                         => 'form-control shipper-date-time hidden',
                                                                'id'                            => 'shipperDate',
                                                                'required'                      => 'required',
                                                                'autocomplete'                  => 'off',
                                                                'onPaste'                       => 'return false',
                                                                'data-parsley-errors-container' => '#shipperDate-errors'
                                                            )
                                                        ) !!}
                                                    </div>
                                                    <div id="shipperDate-errors"></div>
                                                    @error('shipper_date_time')
                                                        <span class="text-danger" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                        @endif
                                        @if(getDeliveryDateOption() == 1)
                                            <div class="col-sm-6 custom-width">
                                                <div class="form-group shippingEnd {{ old('shipping_time_range') == 1 ? 'd-block' : '' }}">
                                                    <label>Choose Date / Time End: <br/> <span>(This date and time will be based on location)</span></label>
                                                    <div class="position-relative">
                                                        {!! Form::text('shipper_date_time_end', old('shipper_date_time_end'), array(
                                                                'class'                         => 'form-control shipper-date-time-end',
                                                                'id'                            => 'shipperDateEnd',
                                                                'autocomplete'                  => 'off',
                                                                'onPaste'                       => 'return false',
                                                                'data-parsley-errors-container' => '#shipperDateEnd-errors'
                                                            )
                                                        ) !!}
                                                        <img src="{{ asset('theme/img/calendar.png') }}" alt="shipper_date_time_end" data-datepickerimage="1">
                                                    </div>
                                                    <div id="shipperDateEnd-errors"></div>
                                                    @error('shipper_date_time_end')
                                                        <span class="text-danger" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                        @elseif(getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3)
                                            <div class="col-sm-6 custom-width disbaleDatepop">
                                                <div class="form-group shippingEnd {{ old('shipping_time_range') == 1 ? 'd-block' : '' }}">
                                                    <label>Choose Date / Time End: <br/> <span>(This date and time will be based on location)</span></label>
                                                    <div class="position-relative">
                                                        <div class="row">
                                                            <div class="col-md-7 pr-0">
                                                                <input type="text" class="form-control custshippingdateend" placeholder="MM/DD/YYYY" onPaste="return false">
                                                                <img src="{{ asset('theme/img/calendar.png') }}" class="smallicon" alt="custshippingdateend" data-datepickerimage="1">
                                                            </div>
                                                            <div class="col-md-5 pl-1">
                                                                <input type="text" class="form-control custshippingtimeend" onPaste="return false">
                                                                <img src="{{ asset('theme/img/clock.png') }}" class="timeicon" alt="custshippingtimeend">
                                                            </div>
                                                        </div>
                                                        {!! Form::text('shipper_date_time_end', old('shipper_date_time_end'), array(
                                                                'class'                         => 'form-control shipper-date-time-end hidden',
                                                                'id'                            => 'shipperDateEnd',
                                                                'autocomplete'                  => 'off',
                                                                'onPaste'                       => 'return false',
                                                                'data-parsley-errors-container' => '#shipperDateEnd-errors'
                                                            )
                                                        ) !!}
                                                    </div>
                                                    <div id="shipperDateEnd-errors"></div>
                                                    @error('shipper_date_time_end')
                                                        <span class="text-danger" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                        @endif
                                        <div class="col-12">
                                            <input type="hidden" class="geocoding-abbr" name="shipper_timezone_abbr" value="{{ isset($loadDetail->shipper_timezone_abbr)?$loadDetail->shipper_timezone_abbr:'' }}" data-parsley-errors-container="#shipper_timezone_abbr-errors" data-parsley-required-message="Please verify address" required>
                                            <input type="hidden" class="geocoding-latitude" name="shipper_latitude" value="{{ isset($loadDetail->shipper_latitude)?$loadDetail->shipper_latitude:'' }}">
                                            <input type="hidden" class="geocoding-longitude" name="shipper_longitude" value="{{ isset($loadDetail->shipper_longitude)?$loadDetail->shipper_longitude:'' }}">
                                            <input type="hidden" class="geocoding-verified" name="shipper_address_verified" value="{{ isset($loadDetail->shipper_address_verified)?$loadDetail->shipper_address_verified:'0' }}">
                                            <div id="shipper_timezone_abbr-errors" class="text-right"></div>
                                        </div>
                                        <div class="col-sm-12 text-right">
                                            @if(isset($loadDetail->shipper_timezone_abbr))
                                                <span class="geocoding-timezone">{{ $loadDetail->shipper_timezone_abbr }}</span>
                                            @else
                                                <span class="geocoding-timezone d-none"></span>
                                            @endif
                                        </div>
                                        <div class="col-sm-12">
                                            <div class="form-group">
                                                <label for="shipper_id">Shipper:</label>
                                                <a
                                                    href="javascript:void(0);"
                                                    class="btn-link-orange add-shipper-link" data-toggle="modal" data-target="#addShipperModal">
                                                    <i class="fa fa-plus" aria-hidden="true"></i>
                                                    Add New
                                                </a>
                                                {!! Form::select('shipper_id', ['' => 'Shipper']+getCustomerList(), null, [
                                                        'class' => 'form-control shipper-select2',
                                                        'id'    => 'shipper_id'
                                                    ]
                                                ) !!}
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="shipper_address_one">Address 1:</label>
                                                        {!! Form::text('shipper_address_one', old('shipper_address_one'), array(
                                                                'class'         => 'form-control shipper-address-1 geocoding-address-1',
                                                                'id'            => 'shipper_address_one',
                                                                'placeholder'   => '',
                                                                'required'      => 'required'
                                                            )
                                                        ) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="shipper_address_two">Address 2:</label>
                                                        {!! Form::text('shipper_address_two', old('shipper_address_two'), array(
                                                                'class'         => 'form-control shipper-address-2 geocoding-address-2',
                                                                'id'            => 'shipper_address_two',
                                                                'placeholder'   => ''
                                                            )
                                                        ) !!}
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="shipper_city">City:</label>
                                                        {!! Form::text('shipper_city', old('shipper_city'), array(
                                                                'class'         => 'form-control shipper-city geocoding-city',
                                                                'id'            => 'shipper_city',
                                                                'placeholder'   => ''
                                                            )
                                                        ) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-2 col-6">
                                                    <div class="form-group">
                                                        <label for="shipper_state">State:</label>
                                                        {!! Form::text('shipper_state', old('shipper_state'), array(
                                                                'class'         => 'form-control shipper-state geocoding-state',
                                                                'id'            => 'shipper_state',
                                                                'placeholder'   => '',
                                                                'required'      => 'required'
                                                            )
                                                        ) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-2 col-6">
                                                    <div class="form-group">
                                                        <label for="shipper_zip">Zip:</label>
                                                        {!! Form::text('shipper_zip', old('shipper_zip'), array(
                                                                'class'         => 'form-control shipper-zip geocoding-zip',
                                                                'id'            => 'shipper_zip',
                                                                'placeholder'   => '',
                                                                'required'      => 'required'
                                                            )
                                                        ) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-2 col-6">
                                                    <div class="d-flex align-items-center h-100">
                                                        @if(isset($loadDetail->shipper_timezone_abbr))
                                                            <a
                                                                href="javascript:void(0);"
                                                                class="btn-link-orange verify-address-btn justify-content-end geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verified</a>
                                                        @else
                                                            <a
                                                                href="javascript:void(0);"
                                                                class="btn-link-orange verify-address-btn justify-content-end geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify Address</a>
                                                        @endif
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-sm-12">
                                            <div class="form-group">
                                                <label for="shipper_note">Notes:</label>
                                                {!! Form::textarea('shipper_note', old('shipper_note'), array(
                                                        'class'         => 'form-control h-auto',
                                                        'id'            => 'shipper_note',
                                                        'placeholder'   => '',
                                                        'cols'          => '30',
                                                        'rows'          => '2'
                                                    )
                                                ) !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-12 sigale">
                                            <div class="single-collapse">
                                                <div>
                                                    <button
                                                        type="button"
                                                        class="btn btn-primary required-documents-collapse-btn"
                                                        data-toggle="collapse"
                                                        data-target="#required-documents-shipper-collapse"
                                                        aria-expanded="true"
                                                        aria-controls="required-documents-shipper-collapse">
                                                        Required Documents <img src="{{ asset('theme/images/sort-down-solid.svg') }}">
                                                    </button>
                                                </div>
                                                <div class="required-documents-collapse-div collapse show" id="required-documents-shipper-collapse">
                                                    <div class="card-body">
                                                        <div class="required-documents-table table-responsive">
                                                            @if(!empty($shipper_files_upload))
                                                                <table class="table mt-0">
                                                                    <tbody>
                                                                        @foreach ($shipper_files_upload as $key => $upload)
                                                                            @if($upload['type']==1)
                                                                                @php
                                                                                    $filelabel                  = 'Copy';
                                                                                @endphp
                                                                            @else
                                                                                @php
                                                                                    $filelabel                  = 'Original';
                                                                                @endphp
                                                                            @endif
                                                                            <tr>
                                                                                <td class="d-none">
                                                                                    <input type="hidden" class="custom-input" name="shipper_files_upload[custom][{{ $key }}]" value="{{ (isset($upload['custom']) && $upload['custom']=='yes')?'yes':'no' }}">
                                                                                    <input type="hidden" class="fixed-input" name="shipper_files_upload[fixed][{{ $key }}]" value="{{ $upload['fixed'] }}">
                                                                                    <input type="hidden" class="name-input" name="shipper_files_upload[name][{{ $key }}]" value="{{ $upload['name'] }}">
                                                                                    <input type="hidden" class="type-input" name="shipper_files_upload[type][{{ $key }}]" value="{{ $upload['type'] }}">
                                                                                </td>
                                                                                <td class="name">
                                                                                    {{ $upload['name'] }}
                                                                                </td>
                                                                                <td class="type">
                                                                                    {{ $filelabel }}
                                                                                </td>
                                                                                <td class="is_received">
                                                                                    <div class="form-check form-check-inline">
                                                                                        <input class="form-check-input is_received-input" type="checkbox" name="shipper_files_upload[is_received][{{ $key }}]" id="shipper_files_upload_is_received_{{ $key }}" {{ (isset($upload['is_received']) && $upload['is_received']=="on")? "checked" : "" }}>
                                                                                        <label class="form-check-label" for="shipper_files_upload_is_received_{{ $key }}">Received</label>
                                                                                    </div>
                                                                                </td>
                                                                                <td class="is_required">
                                                                                    <div class="form-check form-check-inline">
                                                                                        <input class="form-check-input is_required-input" type="checkbox" name="shipper_files_upload[is_required][{{ $key }}]" id="shipper_files_upload_is_required_{{ $key }}" {{ (isset($upload['is_required']) && $upload['is_required']=="on")? "checked" : "" }}>
                                                                                        <label class="form-check-label" for="shipper_files_upload_is_required_{{ $key }}">Required</label>
                                                                                    </div>
                                                                                </td>
                                                                                @php
                                                                                    $documents                  = [];
                                                                                    if(!empty($upload['file'])){
                                                                                        $documents              = $upload['file'];
                                                                                    }
                                                                                @endphp
                                                                                @if(is_array($documents) && count($documents) > 0)
                                                                                    <td>
                                                                                        <div class="required-documents-upload">
                                                                                            <a href="javascript:void(0);">Replace Image</a>
                                                                                            <input type="file" class="file-input" name="shipper_files_upload[file][{{ $key }}][]" multiple>
                                                                                        </div>
                                                                                    </td>
                                                                                    <td>
                                                                                        @php
                                                                                            $total_documents    = count($documents);
                                                                                        @endphp
                                                                                        @foreach ($documents as $dkey => $document)
                                                                                            <input type="hidden" name="shipper_files_upload[file_exists][{{ $key }}][]" value="{{ $document }}">
                                                                                            @php
                                                                                                $file_path      = 'storage/companyAdmin/load_detail_document/'.$document;
                                                                                                $type           = \File::extension($file_path);
                                                                                            @endphp
                                                                                            @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                                                                <a href="{{ asset($file_path) }}" target="_blank" class="mr-2">
                                                                                                    View
                                                                                                </a>
                                                                                            @else
                                                                                                <a href="{{ asset($file_path) }}" target="_blank" class="mr-2">
                                                                                                    View
                                                                                                </a>
                                                                                            @endif
                                                                                            @if($total_documents > 1)
                                                                                                <br/>
                                                                                            @endif
                                                                                        @endforeach
                                                                                    </td>
                                                                                @else
                                                                                    <td>
                                                                                    </td>
                                                                                    <td>
                                                                                        <div class="required-documents-upload">
                                                                                            <a href="javascript:void(0);">Upload</a>
                                                                                            <input type="file" class="file-input" name="shipper_files_upload[file][{{ $key }}][]" multiple>
                                                                                        </div>
                                                                                    </td>
                                                                                @endif
                                                                            </tr>
                                                                        @endforeach
                                                                    </tbody>
                                                                </table>
                                                            @else
                                                                No required documents.
                                                            @endif
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="position-relative add-edit-popup">
                                                <a
                                                    href="javascript:void(0);"
                                                    class="btn-link-orange btn-link-required-documents add-edit-btn">
                                                    Add / Edit Required Documents
                                                </a>
                                                <div class="add-edit-block d-none">
                                                    @if(!empty($shipper_files))
                                                        @php
                                                            $i                              = 0;
                                                            $shipper_files_custom           = array_filter($shipper_files, function ($var) {
                                                                return (isset($var['custom']) && $var['custom'] == 'yes');
                                                            });
                                                            if(!empty($shipper_files_custom)){
                                                                $shipper_files              = array_diff($shipper_files, $shipper_files_custom);
                                                            }
                                                            $shipper_files_required         = array_filter($shipper_files, function ($var) {
                                                                return ($var['is_required'] == 'on');
                                                            });
                                                            $shipper_files_non_required     = array_filter($shipper_files, function ($var) {
                                                                return ($var['is_required'] == 'off');
                                                            });
                                                        @endphp
                                                        <h5 class="popup-heading"></h5>
                                                        @if(!empty($shipper_files_required))
                                                            <div class="add-edit-reg-block">
                                                                <h6>Required by Broker</h6>
                                                                <div class="required-checkbox">
                                                                    @foreach ($shipper_files_required as $key => $value)
                                                                        <div class="d-flex">
                                                                            <div class="custom-control custom-checkbox">
                                                                                <input type="checkbox" class="custom-control-input" id="shipper_files_is_required_{{ $i }}" name="shipper_files[is_required][{{ $i }}]" checked>
                                                                                <label class="custom-control-label" for="shipper_files_is_required_{{ $i }}">{{ $value['name'] }}</label>
                                                                            </div>
                                                                            <div>
                                                                                <input type="hidden" name="shipper_files[name][{{ $i }}]" value="{{ $value['name'] }}">
                                                                                <input type="hidden" name="shipper_files[fixed][{{ $i }}]" value="{{ $value['fixed'] }}">
                                                                                <div class="switches-container">
                                                                                    <input type="radio" id="shipper_files_type_1_{{ $i }}" name="shipper_files[type][{{ $i }}]" value="1" {{ ($value['type']=="1")? "checked" : "" }}>
                                                                                    <input type="radio" id="shipper_files_type_2_{{ $i }}" name="shipper_files[type][{{ $i }}]" value="2" {{ ($value['type']=="2")? "checked" : "" }}>
                                                                                    <label for="shipper_files_type_1_{{ $i }}">Copy</label>
                                                                                    <label for="shipper_files_type_2_{{ $i }}">Original</label>
                                                                                    <div class="switch-wrapper">
                                                                                        <div class="switch">
                                                                                            <div>Copy</div>
                                                                                            <div>Original</div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        @php
                                                                            ++$i;
                                                                        @endphp
                                                                    @endforeach
                                                                </div>
                                                            </div>
                                                        @endif
                                                        @if(!empty($shipper_files_non_required))
                                                            <div class="add-edit-reg-block">
                                                                <h6>Preset Items</h6>
                                                                <div class="required-checkbox">
                                                                    @foreach ($shipper_files_non_required as $key => $value)
                                                                        <div class="d-flex">
                                                                            <div class="custom-control custom-checkbox">
                                                                                <input type="checkbox" class="custom-control-input" id="shipper_files_is_required_{{ $i }}" name="shipper_files[is_required][{{ $i }}]">
                                                                                <label class="custom-control-label" for="shipper_files_is_required_{{ $i }}">{{ $value['name'] }}</label>
                                                                            </div>
                                                                            <div>
                                                                                <input type="hidden" name="shipper_files[name][{{ $i }}]" value="{{ $value['name'] }}">
                                                                                <input type="hidden" name="shipper_files[fixed][{{ $i }}]" value="{{ $value['fixed'] }}">
                                                                                <div class="switches-container">
                                                                                    <input type="radio" id="shipper_files_type_1_{{ $i }}" name="shipper_files[type][{{ $i }}]" value="1" {{ ($value['type']=="1")? "checked" : "" }}>
                                                                                    <input type="radio" id="shipper_files_type_2_{{ $i }}" name="shipper_files[type][{{ $i }}]" value="2" {{ ($value['type']=="2")? "checked" : "" }}>
                                                                                    <label for="shipper_files_type_1_{{ $i }}">Copy</label>
                                                                                    <label for="shipper_files_type_2_{{ $i }}">Original</label>
                                                                                    <div class="switch-wrapper">
                                                                                        <div class="switch">
                                                                                            <div>Copy</div>
                                                                                            <div>Original</div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        @php
                                                                            ++$i;
                                                                        @endphp
                                                                    @endforeach
                                                                </div>
                                                            </div>
                                                        @endif
                                                        @if(!empty($shipper_files_custom))
                                                            <div class="add-edit-reg-block custom-required-documents">
                                                                <h6>Custom Options</h6>
                                                                <div class="required-checkbox">
                                                                    @foreach ($shipper_files_custom as $key => $value)
                                                                        <div class="d-flex align-items-center custom-item mb-2">
                                                                            <div class="custom-control custom-checkbox mb-0">
                                                                                <input type="checkbox" class="custom-control-input" id="shipper_files_is_required_{{ $i }}" name="shipper_files[is_required][{{ $i }}]" {{ ($value['is_required']=="on")? "checked" : "" }}>
                                                                                <label class="custom-control-label" for="shipper_files_is_required_{{ $i }}">
                                                                                    <input type="text" class="form-control custom-name" id="shipper_files_name_{{ $i }}" name="shipper_files[name][{{ $i }}]" placeholder="{{ $value['name'] }}">
                                                                                </label>
                                                                            </div>
                                                                            <div>
                                                                                <input type="hidden" name="shipper_files[custom][{{ $i }}]" value="yes">
                                                                                <input type="hidden" name="shipper_files[fixed][{{ $i }}]" value="no">
                                                                                <div class="switches-container">
                                                                                    <input type="radio" id="shipper_files_type_1_{{ $i }}" name="shipper_files[type][{{ $i }}]" value="1" {{ ($value['type']=="1")? "checked" : "" }}>
                                                                                    <input type="radio" id="shipper_files_type_2_{{ $i }}" name="shipper_files[type][{{ $i }}]" value="2" {{ ($value['type']=="2")? "checked" : "" }}>
                                                                                    <label for="shipper_files_type_1_{{ $i }}">Copy</label>
                                                                                    <label for="shipper_files_type_2_{{ $i }}">Original</label>
                                                                                    <div class="switch-wrapper">
                                                                                        <div class="switch">
                                                                                            <div>Copy</div>
                                                                                            <div>Original</div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <a href="javascript:void(0);" class="remove-link remove-required-documents">remove</a>
                                                                        </div>
                                                                        @php
                                                                            ++$i;
                                                                        @endphp
                                                                    @endforeach
                                                                </div>
                                                                <div class="clearfix">
                                                                    <a href="javascript:void(0);" class="btn-link-orange add-required-documents" data-type="pickup" data-last_index="{{ $i-1 }}">
                                                                        <i class="fa fa-plus" aria-hidden="true"></i>
                                                                        Add Document
                                                                    </a>
                                                                </div>
                                                            </div>
                                                        @else
                                                            <div class="add-edit-reg-block custom-required-documents">
                                                                <h6>Custom Options</h6>
                                                                <div class="required-checkbox">
                                                                    <div class="d-flex align-items-center custom-item mb-2">
                                                                        <div class="custom-control custom-checkbox mb-0">
                                                                            <input type="checkbox" class="custom-control-input" id="shipper_files_is_required_{{ $i }}" name="shipper_files[is_required][{{ $i }}]">
                                                                            <label class="custom-control-label" for="shipper_files_is_required_{{ $i }}">
                                                                                <input type="text" class="form-control custom-name" id="shipper_files_name_{{ $i }}" name="shipper_files[name][{{ $i }}]" placeholder="Enter name">
                                                                            </label>
                                                                        </div>
                                                                        <div>
                                                                            <input type="hidden" name="shipper_files[custom][{{ $i }}]" value="yes">
                                                                            <input type="hidden" name="shipper_files[fixed][{{ $i }}]" value="no">
                                                                            <div class="switches-container">
                                                                                <input type="radio" id="shipper_files_type_1_{{ $i }}" name="shipper_files[type][{{ $i }}]" value="1" checked>
                                                                                <input type="radio" id="shipper_files_type_2_{{ $i }}" name="shipper_files[type][{{ $i }}]" value="2">
                                                                                <label for="shipper_files_type_1_{{ $i }}">Copy</label>
                                                                                <label for="shipper_files_type_2_{{ $i }}">Original</label>
                                                                                <div class="switch-wrapper">
                                                                                    <div class="switch">
                                                                                        <div>Copy</div>
                                                                                        <div>Original</div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <a href="javascript:void(0);" class="remove-link remove-required-documents">remove</a>
                                                                    </div>
                                                                </div>
                                                                <div class="clearfix">
                                                                    <a href="javascript:void(0);" class="btn-link-orange add-required-documents" data-type="pickup" data-last_index="{{ $i }}">
                                                                        <i class="fa fa-plus" aria-hidden="true"></i>
                                                                        Add Document
                                                                    </a>
                                                                </div>
                                                            </div>
                                                        @endif
                                                        <div class="text-center ">
                                                            <button type="button" class="btn btn-themeGray doc-save-btn">Save</button>
                                                            <button type="button" class="btn btn-themeGray doc-cancel-btn">Cancel</button>
                                                        </div>
                                                    @endif
                                                </div>
                                            </div>
                                            <button class="btn add-shop-btn" type="button">+ Add Stop</button>
                                        </div>
                                    </div>
                                </div>
                                <!-- stop -->
                                @php
                                    $stop_no                            = 2;
                                    $actual_stop_no                     = 0;
                                @endphp
                                @if($load->load_stops->isNotEmpty())
                                    @foreach ($load->load_stops as $key => $stop)
                                        @php
                                            ++$actual_stop_no;
                                            $actual_stop_index                      = $key;
                                            $customer_type                          = $stop->customer_type;
                                            if($customer_type=='1'){
                                                $customer_type_label                = 'Shipper';

                                                if(!empty($stop->stop_shipper_files)){
                                                    $stop_files                     = unserialize($stop->stop_shipper_files);
                                                }else{
                                                    if(!empty($broker_shipper_files)){
                                                        $stop_files                 = $broker_shipper_files;
                                                    }else{
                                                        $stop_files                 = unserialize(config('settings.shipper_files'));
                                                    }
                                                }

                                                if(!empty($stop->stop_shipper_files_upload)){
                                                    $stop_files_upload              = unserialize($stop->stop_shipper_files_upload);
                                                }else{
                                                    if(!empty($broker_shipper_files)){
                                                        $stop_files_upload          = $broker_shipper_files;
                                                    }else{
                                                        $stop_files_upload          = unserialize(config('settings.shipper_files'));
                                                    }
                                                }
                                            }else{
                                                $customer_type_label                = 'Receiver';

                                                if(!empty($stop->stop_consignee_files)){
                                                    $stop_files                     = unserialize($stop->stop_consignee_files);
                                                }else{
                                                    if(!empty($broker_consignee_files)){
                                                        $stop_files                 = $broker_consignee_files;
                                                    }else{
                                                        $stop_files                 = unserialize(config('settings.consignee_files'));
                                                    }
                                                }

                                                if(!empty($stop->stop_consignee_files_upload)){
                                                    $stop_files_upload              = unserialize($stop->stop_consignee_files_upload);
                                                }else{
                                                    if(!empty($broker_consignee_files)){
                                                        $stop_files_upload          = $broker_consignee_files;
                                                    }else{
                                                        $stop_files_upload          = unserialize(config('settings.consignee_files'));
                                                    }
                                                }
                                            }
                                        @endphp
                                        <div class="stop geocoding {{ $actual_stop_index.\Str::random(8) }}" data-stop_no="{{ $stop_no }}" data-customer_type="{{ $customer_type }}" data-stop_index="{{ $actual_stop_index }}">
                                            <input type="hidden" class="actual_stop_no" name="stop[{{ $actual_stop_index }}][stop_no]" value="{{ $actual_stop_no }}">
                                            <div class="hedding-section">
                                                <div class="row">
                                                    <div class="col-sm-6">
                                                        <div class="hedding">
                                                            <i class="fa fa-sort" aria-hidden="true"></i>
                                                            <h2 class="stop-hedding">
                                                                @if($customer_type=='1')
                                                                <span class="changetypelabel">Pickup</span>
                                                                @else
                                                                <span class="changetypelabel">Delivery</span>
                                                                @endif
                                                                 - Stop <span class="stop_no">{{ $stop_no }}</span></h2>
                                                            <a href="javascript:void(0);" class="btn-theme btn-grey-theme">Pending</a>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-6 mt-2 mt-sm-0">
                                                        <div class="d-flex justify-content-end">
                                                            <a href="javascript:void(0);" class="close remove-shop-btn"><i class="fa fa-times" aria-hidden="true"></i></a>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row align-items-center">
                                                <div class="col-sm-6">
                                                    <div class="buttons-group d-flex justify-content-start">
                                                        <button type="button" class="btn btn-theme @if($stop->date_time_range == 0) btn-oreng-theme @else btn-grey-theme @endif time-range-btn">
                                                            {!! Form::radio('stop['.$actual_stop_index.'][date_time_range]', 0, $stop->date_time_range == 0, array(
                                                                    'class' => 'custom-control-input stop-date_time_range'
                                                                )
                                                            ) !!} Set Time
                                                        </button>
                                                        <button type="button" class="btn btn-theme @if($stop->date_time_range == 1) btn-oreng-theme @else btn-grey-theme @endif time-range-btn">
                                                            {!! Form::radio('stop['.$actual_stop_index.'][date_time_range]', 1, $stop->date_time_range == 1, array(
                                                                    'class' => 'custom-control-input stop-date_time_range'
                                                                )
                                                            ) !!} Range
                                                        </button>
                                                    </div>
                                                </div>
                                                <div class="col-sm-6">
                                                    <div class="buttons-group d-flex justify-content-end">
                                                        <button type="button" class="btn btn-theme @if($stop->customer_type == 1) btn-oreng-theme @else btn-grey-theme @endif rdio customer-type-btn">
                                                            {!! Form::radio('stop['.$actual_stop_index.'][customer_type]', 1, $stop->customer_type == 1, array(
                                                                    'class' => 'custom-control-input stop-customer_type'
                                                                )
                                                            ) !!} Shipper
                                                        </button>
                                                        <button type="button" class="btn btn-theme @if($stop->customer_type == 2) btn-oreng-theme @else btn-grey-theme @endif rdio customer-type-btn">
                                                            {!! Form::radio('stop['.$actual_stop_index.'][customer_type]', 2, $stop->customer_type == 2, array(
                                                                    'class' => 'custom-control-input stop-customer_type'
                                                                )
                                                            ) !!} Consignee
                                                        </button>
                                                    </div>
                                                </div>
                                                @if(getDeliveryDateOption() == 1)
                                                    <div class="col-sm-6 custom-width">
                                                        <div class="form-group">
                                                            <label>Choose Date / Time: <br/> <span>(This date and time will be based on location)</span></label>
                                                            <div class="position-relative">
                                                                {!! Form::text('stop['.$actual_stop_index.'][date_time]', $stop->date_time, array(
                                                                        'class'                         => 'form-control stop-date-time' ,
                                                                        'required'                      => 'required',
                                                                        'autocomplete'                  => 'off',
                                                                        'onPaste'                       => 'return false',
                                                                        'data-parsley-errors-container' => '#stop-'.$actual_stop_index.'-date-time-errors'
                                                                    )
                                                                ) !!}
                                                                <img src="{{ asset('theme/img/calendar.png') }}" alt="" data-datepickerimage="1">
                                                            </div>
                                                            <div id="stop-{{ $actual_stop_index }}-date-time-errors"></div>
                                                        </div>
                                                    </div>
                                                @elseif(getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3)
                                                    <div class="col-sm-6 custom-width disbaleDatepop">
                                                        <div class="form-group">
                                                            <label>Choose Date / Time: <br/> <span>(This date and time will be based on location)</span></label>
                                                            <div class="position-relative">
                                                                <div class="row">
                                                                    <div class="col-md-7 pr-0">
                                                                        <input type="text" class="form-control custstopdate" value="" placeholder="MM/DD/YYYY">
                                                                        <img src="{{ asset('theme/img/calendar.png') }}" class="smallicon" alt="">
                                                                    </div>
                                                                    <div class="col-md-5 pl-1">
                                                                        <input type="text" class="form-control custstoptime" value="">
                                                                        <img src="{{ asset('theme/img/clock.png') }}" class="timeicon" alt="">
                                                                    </div>
                                                                </div>
                                                                {!! Form::text('stop['.$actual_stop_index.'][date_time]', $stop->date_time, array(
                                                                        'class'                         => 'form-control hidden stop-date-time',
                                                                        'required'                      => 'required',
                                                                        'autocomplete'                  => 'off',
                                                                        'onPaste'                       => 'return false',
                                                                        'data-parsley-errors-container' => '#stop-'.$actual_stop_index.'-date-time-errors'
                                                                    )
                                                                ) !!}
                                                            </div>
                                                            <div id="stop-{{ $actual_stop_index }}-date-time-errors"></div>
                                                        </div>
                                                    </div>
                                                @endif
                                                @if(getDeliveryDateOption() == 1)
                                                    <div class="col-sm-6 custom-width">
                                                        <div class="form-group stopDateTimeEnd d-none">
                                                            <label>Choose Date / Time End: <br/> <span>(This date and time will be based on location)</span></label>
                                                            <div class="position-relative">
                                                                {!! Form::text('stop['.$actual_stop_index.'][date_time_end]', $stop->date_time_end, array(
                                                                        'class'                             => 'form-control stop-date-time-end',
                                                                        'autocomplete'                      => 'off',
                                                                        'onPaste'                           => 'return false',
                                                                        'data-parsley-errors-container'     => '#stop-'.$actual_stop_index.'-date-time-end-errors'
                                                                    )
                                                                ) !!}
                                                                <img src="{{ asset('theme/img/calendar.png') }}" alt="" data-datepickerimage="1">
                                                            </div>
                                                            <div id="stop-{{ $actual_stop_index }}-date-time-end-errors"></div>
                                                        </div>
                                                    </div>
                                                @elseif(getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3)
                                                    <div class="col-sm-6 custom-width disbaleDatepop">
                                                        <div class="form-group stopDateTimeEnd d-none">
                                                            <label>Choose Date / Time End: <br/> <span>(This date and time will be based on location)</span></label>
                                                            <div class="position-relative">
                                                                <div class="row">
                                                                    <div class="col-md-7 pr-0">
                                                                        <input type="text" class="form-control custstopdateend" value="" placeholder="MM/DD/YYYY">
                                                                        <img src="{{ asset('theme/img/calendar.png') }}" class="smallicon" alt="">
                                                                    </div>
                                                                    <div class="col-md-5 pl-1">
                                                                        <input type="text" class="form-control custstoptimeend" value="">
                                                                        <img src="{{ asset('theme/img/clock.png') }}" class="timeicon" alt="">
                                                                    </div>
                                                                </div>
                                                                {!! Form::text('stop['.$actual_stop_index.'][date_time_end]', $stop->date_time_end, array(
                                                                        'class'                         => 'form-control hidden stop-date-time-end',
                                                                        'autocomplete'                  => 'off',
                                                                        'onPaste'                       => 'return false',
                                                                        'data-parsley-errors-container' => '#stop-'.$actual_stop_index.'-date-time-end-errors'
                                                                    )
                                                                ) !!}
                                                            </div>
                                                            <div id="stop-{{ $actual_stop_index }}-date-time-end-errors"></div>
                                                        </div>
                                                    </div>
                                                @endif
                                                <div class="col-12">
                                                    <input type="hidden" class="geocoding-abbr" name="stop[{{ $actual_stop_index }}][timezone_abbr]" value="{{ isset($stop->timezone_abbr)?$stop->timezone_abbr:'' }}" data-parsley-errors-container="#stop_{{ $actual_stop_index }}_timezone_abbr-errors" data-parsley-required-message="Please verify address" required>
                                                    <input type="hidden" class="geocoding-latitude" name="stop[{{ $actual_stop_index }}][latitude]" value="{{ isset($stop->latitude)?$stop->latitude:'' }}">
                                                    <input type="hidden" class="geocoding-longitude" name="stop[{{ $actual_stop_index }}][longitude]" value="{{ isset($stop->longitude)?$stop->longitude:'' }}">
                                                    <input type="hidden" class="geocoding-verified" name="stop[{{ $actual_stop_index }}][address_verified]" value="{{ isset($stop->address_verified)?$stop->address_verified:'0' }}">
                                                    <div id="#stop_{{ $actual_stop_index }}_timezone_abbr-errors" class="text-right"></div>
                                                </div>
                                                <div class="col-sm-12 text-right">
                                                    @if(isset($stop->timezone_abbr))
                                                        <span class="geocoding-timezone">{{ $stop->timezone_abbr }}</span>
                                                    @else
                                                        <span class="geocoding-timezone d-none"></span>
                                                    @endif
                                                </div>
                                                <div class="col-sm-12">
                                                    <div class="form-group">
                                                        <label for="stop_{{ $actual_stop_index }}_customer_id">
                                                            <span class="changetext">
                                                                {{ $customer_type_label }}
                                                            </span>:</label>
                                                        <a
                                                            href="javascript:void(0);"
                                                            class="btn-link-orange add-shipper-link"
                                                            data-actual_stop_index="{{ $actual_stop_index }}"
                                                            data-toggle="modal"
                                                            data-target="#addShipperModal">
                                                            <i class="fa fa-plus" aria-hidden="true"></i>
                                                            Add New
                                                        </a>
                                                        {!! Form::select('stop['.$actual_stop_index.'][customer_id]', ['' => $customer_type_label]+getCustomerList(), $stop->customer_id, [
                                                                'class' => 'form-control stop-select2 changeSelectOpotin',
                                                                'id'    => 'stop_'.$actual_stop_index.'_customer_id'
                                                            ]
                                                        ) !!}
                                                    </div>
                                                </div>
                                                <div class="col-12">
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label for="stop_{{ $actual_stop_index }}_address_one">Address 1:</label>
                                                                <input type="text" class="form-control stop-address-1 geocoding-address-1" name="stop[{{ $actual_stop_index }}][address_one]" id="stop_{{ $actual_stop_index }}_address_one" value="{{ $stop->address_one }}" required>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label for="stop_{{ $actual_stop_index }}_address_two">Address 2:</label>
                                                                <input type="text" class="form-control stop-address-2 geocoding-address-2" name="stop[{{ $actual_stop_index }}][address_two]" id="stop_{{ $actual_stop_index }}_address_two" value="{{ $stop->address_two }}">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-12">
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label for="stop_{{ $actual_stop_index }}_city">City:</label>
                                                                <input type="text" class="form-control stop-city geocoding-city" name="stop[{{ $actual_stop_index }}][city]" id="stop_{{ $actual_stop_index }}_city" value="{{ $stop->city }}">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-2 col-6">
                                                            <div class="form-group">
                                                                <label for="stop_{{ $actual_stop_index }}_state">State:</label>
                                                                <input type="text" class="form-control stop-state geocoding-state" name="stop[{{ $actual_stop_index }}][state]" id="stop_{{ $actual_stop_index }}_state" value="{{ $stop->state }}" required>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-2 col-6">
                                                            <div class="form-group">
                                                                <label for="stop_{{ $actual_stop_index }}_zip">Zip:</label>
                                                                <input type="text" class="form-control stop-zip geocoding-zip" name="stop[{{ $actual_stop_index }}][zip]" id="stop_{{ $actual_stop_index }}_zip" value="{{ $stop->zip }}" required>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-2 col-6">
                                                            <div class="d-flex align-items-center h-100">
                                                                @if(isset($stop->timezone_abbr))
                                                                    <a
                                                                        href="javascript:void(0);"
                                                                        class="btn-link-orange verify-address-btn justify-content-end geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">
                                                                        Verified
                                                                    </a>
                                                                @else
                                                                    <a
                                                                        href="javascript:void(0);"
                                                                        class="btn-link-orange verify-address-btn justify-content-end geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">
                                                                        Verify Address
                                                                    </a>
                                                                @endif
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-sm-12">
                                                    <div class="form-group">
                                                        <label for="stop_{{ $actual_stop_index }}_stop_note">Notes:</label>
                                                        <textarea class="form-control h-auto" name="stop[{{ $actual_stop_index }}][stop_note]" id="stop_{{ $actual_stop_index }}_stop_note" cols="30" rows="2">{{ $stop->stop_note }}</textarea>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-12 sigale">
                                                    <div class="single-collapse">
                                                        <div>
                                                            <button
                                                                type="button"
                                                                class="btn btn-primary required-documents-collapse-btn"
                                                                data-toggle="collapse"
                                                                data-target="#required-documents-stop-{{ $actual_stop_index }}-collapse"
                                                                aria-expanded="true"
                                                                aria-controls="required-documents-stop-{{ $actual_stop_index }}-collapse">
                                                                Required Documents <img src="{{ asset('theme/images/sort-down-solid.svg') }}">
                                                            </button>
                                                        </div>
                                                        <div class="required-documents-collapse-div collapse show" id="required-documents-stop-{{ $actual_stop_index }}-collapse">
                                                            <div class="card-body">
                                                                <div class="required-documents-table table-responsive">
                                                                    @if(!empty($stop_files_upload))
                                                                        <table class="table mt-0">
                                                                            <tbody>
                                                                                @foreach ($stop_files_upload as $key => $upload)
                                                                                    @if($upload['type']==1)
                                                                                        @php
                                                                                            $filelabel                  = 'Copy';
                                                                                        @endphp
                                                                                    @else
                                                                                        @php
                                                                                            $filelabel                  = 'Original';
                                                                                        @endphp
                                                                                    @endif
                                                                                    <tr>
                                                                                        <td class="d-none">
                                                                                            <input type="hidden" class="custom-input" name="stop_files_upload[{{ $actual_stop_index }}][custom][{{ $key }}]" value="{{ (isset($upload['custom']) && $upload['custom']=='yes')?'yes':'no' }}">
                                                                                            <input type="hidden" class="fixed-input" name="stop_files_upload[{{ $actual_stop_index }}][fixed][{{ $key }}]" value="{{ $upload['fixed'] }}">
                                                                                            <input type="hidden" class="name-input" name="stop_files_upload[{{ $actual_stop_index }}][name][{{ $key }}]" value="{{ $upload['name'] }}">
                                                                                            <input type="hidden" class="type-input" name="stop_files_upload[{{ $actual_stop_index }}][type][{{ $key }}]" value="{{ $upload['type'] }}">
                                                                                        </td>
                                                                                        <td class="name">
                                                                                            {{ $upload['name'] }}
                                                                                        </td>
                                                                                        <td class="type">
                                                                                            {{ $filelabel }}
                                                                                        </td>
                                                                                        <td class="is_received">
                                                                                            <div class="form-check form-check-inline">
                                                                                                <input class="form-check-input is_received-input" type="checkbox" name="stop_files_upload[{{ $actual_stop_index }}][is_received][{{ $key }}]" id="stop_files_upload_{{ $actual_stop_index }}_is_received_{{ $key }}" {{ (isset($upload['is_received']) && $upload['is_received']=="on")? "checked" : "" }}>
                                                                                                <label class="form-check-label" for="stop_files_upload_{{ $actual_stop_index }}_is_received_{{ $key }}">Received</label>
                                                                                            </div>
                                                                                        </td>
                                                                                        <td class="is_required">
                                                                                            <div class="form-check form-check-inline">
                                                                                                <input class="form-check-input is_required-input" type="checkbox" name="stop_files_upload[{{ $actual_stop_index }}][is_required][{{ $key }}]" id="stop_files_upload_{{ $actual_stop_index }}_is_required_{{ $key }}" {{ (isset($upload['is_required']) && $upload['is_required']=="on")? "checked" : "" }}>
                                                                                                <label class="form-check-label" for="stop_files_upload_{{ $actual_stop_index }}_is_required_{{ $key }}">Required</label>
                                                                                            </div>
                                                                                        </td>
                                                                                        @php
                                                                                            $documents                  = [];
                                                                                            if(!empty($upload['file'])){
                                                                                                $documents              = $upload['file'];
                                                                                            }
                                                                                        @endphp
                                                                                        @if(is_array($documents) && count($documents) > 0)
                                                                                            <td>
                                                                                                <div class="required-documents-upload">
                                                                                                    <a href="javascript:void(0);">Replace Image</a>
                                                                                                    <input type="file" class="file-input" name="stop_files_upload[{{ $actual_stop_index }}][file][{{ $key }}][]" multiple>
                                                                                                </div>
                                                                                            </td>
                                                                                            <td>
                                                                                                @php
                                                                                                    $total_documents    = count($documents);
                                                                                                @endphp
                                                                                                @foreach ($documents as $dkey => $document)
                                                                                                    <input type="hidden" name="stop_files_upload[{{ $actual_stop_index }}][file_exists][{{ $key }}][]" value="{{ $document }}">
                                                                                                    @php
                                                                                                        $file_path      = 'storage/companyAdmin/load_detail_document/'.$document;
                                                                                                        $type           = \File::extension($file_path);
                                                                                                    @endphp
                                                                                                    @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                                                                        <a href="{{ asset($file_path) }}" target="_blank" class="mr-2">
                                                                                                            View
                                                                                                        </a>
                                                                                                    @else
                                                                                                        <a href="{{ asset($file_path) }}" target="_blank" class="mr-2">
                                                                                                            View
                                                                                                        </a>
                                                                                                    @endif
                                                                                                    @if($total_documents > 1)
                                                                                                        <br/>
                                                                                                    @endif
                                                                                                @endforeach
                                                                                            </td>
                                                                                        @else
                                                                                            <td>
                                                                                            </td>
                                                                                            <td>
                                                                                                <div class="required-documents-upload">
                                                                                                    <a href="javascript:void(0);">Upload</a>
                                                                                                    <input type="file" class="file-input" name="stop_files_upload[{{ $actual_stop_index }}][file][{{ $key }}][]" multiple>
                                                                                                </div>
                                                                                            </td>
                                                                                        @endif
                                                                                    </tr>
                                                                                @endforeach
                                                                            </tbody>
                                                                        </table>
                                                                    @else
                                                                        No required documents.
                                                                    @endif
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="position-relative add-edit-popup">
                                                        <a
                                                            href="javascript:void(0);"
                                                            class="btn-link-orange btn-link-required-documents add-edit-btn">
                                                            Add / Edit Required Documents
                                                        </a>
                                                        <div class="add-edit-block d-none">
                                                            @if(!empty($stop_files))
                                                                @php
                                                                    $i                              = 0;
                                                                    $stop_files_custom              = array_filter($stop_files, function ($var) {
                                                                        return (isset($var['custom']) && $var['custom'] == 'yes');
                                                                    });

                                                                    if(!empty($stop_files_custom)){
                                                                        $stop_files                 = array_diff($stop_files, $stop_files_custom);
                                                                    }
                                                                    $stop_files_required            = array_filter($stop_files, function ($var) {
                                                                        return ($var['is_required'] == 'on');
                                                                    });
                                                                    $stop_files_non_required        = array_filter($stop_files, function ($var) {
                                                                        return ($var['is_required'] == 'off');
                                                                    });
                                                                @endphp
                                                                <h5 class="popup-heading"></h5>
                                                                @if(!empty($stop_files_required))
                                                                    <div class="add-edit-reg-block">
                                                                        <h6>Required by Broker</h6>
                                                                        <div class="required-checkbox">
                                                                            @foreach ($stop_files_required as $key => $value)
                                                                                <div class="d-flex">
                                                                                    <div class="custom-control custom-checkbox">
                                                                                        <input type="checkbox" class="custom-control-input" id="stop_files_{{ $actual_stop_index }}_is_required_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][is_required][{{ $i }}]" checked>
                                                                                        <label class="custom-control-label" for="stop_files_{{ $actual_stop_index }}_is_required_{{ $i }}">{{ $value['name'] }}</label>
                                                                                    </div>
                                                                                    <div>
                                                                                        <input type="hidden" name="stop_files[{{ $actual_stop_index }}][name][{{ $i }}]" value="{{ $value['name'] }}">
                                                                                        <input type="hidden" name="stop_files[{{ $actual_stop_index }}][fixed][{{ $i }}]" value="{{ $value['fixed'] }}">
                                                                                        <div class="switches-container">
                                                                                            <input type="radio" id="stop_files_{{ $actual_stop_index }}_type_1_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][type][{{ $i }}]" value="1" {{ ($value['type']=="1")? "checked" : "" }}>
                                                                                            <input type="radio" id="stop_files_{{ $actual_stop_index }}_type_2_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][type][{{ $i }}]" value="2" {{ ($value['type']=="2")? "checked" : "" }}>
                                                                                            <label for="stop_files_{{ $actual_stop_index }}_type_1_{{ $i }}">Copy</label>
                                                                                            <label for="stop_files_{{ $actual_stop_index }}_type_2_{{ $i }}">Original</label>
                                                                                            <div class="switch-wrapper">
                                                                                                <div class="switch">
                                                                                                    <div>Copy</div>
                                                                                                    <div>Original</div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                                @php
                                                                                    ++$i;
                                                                                @endphp
                                                                            @endforeach
                                                                        </div>
                                                                    </div>
                                                                @endif
                                                                @if(!empty($stop_files_non_required))
                                                                    <div class="add-edit-reg-block">
                                                                        <h6>Preset Items</h6>
                                                                        <div class="required-checkbox">
                                                                            @foreach ($stop_files_non_required as $key => $value)
                                                                                <div class="d-flex">
                                                                                    <div class="custom-control custom-checkbox">
                                                                                        <input type="checkbox" class="custom-control-input" id="stop_files_{{ $actual_stop_index }}_is_required_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][is_required][{{ $i }}]">
                                                                                        <label class="custom-control-label" for="stop_files_{{ $actual_stop_index }}_is_required_{{ $i }}">{{ $value['name'] }}</label>
                                                                                    </div>
                                                                                    <div>
                                                                                        <input type="hidden" name="stop_files[{{ $actual_stop_index }}][name][{{ $i }}]" value="{{ $value['name'] }}">
                                                                                        <input type="hidden" name="stop_files[{{ $actual_stop_index }}][fixed][{{ $i }}]" value="{{ $value['fixed'] }}">
                                                                                        <div class="switches-container">
                                                                                            <input type="radio" id="stop_files_{{ $actual_stop_index }}_type_1_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][type][{{ $i }}]" value="1" {{ ($value['type']=="1")? "checked" : "" }}>
                                                                                            <input type="radio" id="stop_files_{{ $actual_stop_index }}_type_2_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][type][{{ $i }}]" value="2" {{ ($value['type']=="2")? "checked" : "" }}>
                                                                                            <label for="stop_files_{{ $actual_stop_index }}_type_1_{{ $i }}">Copy</label>
                                                                                            <label for="stop_files_{{ $actual_stop_index }}_type_2_{{ $i }}">Original</label>
                                                                                            <div class="switch-wrapper">
                                                                                                <div class="switch">
                                                                                                    <div>Copy</div>
                                                                                                    <div>Original</div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                                @php
                                                                                    ++$i;
                                                                                @endphp
                                                                            @endforeach
                                                                        </div>
                                                                    </div>
                                                                @endif
                                                                @if(!empty($stop_files_custom))
                                                                    <div class="add-edit-reg-block custom-required-documents">
                                                                        <h6>Custom Options</h6>
                                                                        <div class="required-checkbox">
                                                                            @foreach ($stop_files_custom as $key => $value)
                                                                                <div class="d-flex align-items-center custom-item mb-2">
                                                                                    <div class="custom-control custom-checkbox mb-0">
                                                                                        <input type="checkbox" class="custom-control-input" id="stop_files_{{ $actual_stop_index }}_is_required_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][is_required][{{ $i }}]" {{ ($value['is_required']=="on")? "checked" : "" }}>
                                                                                        <label class="custom-control-label" for="stop_files_{{ $actual_stop_index }}_is_required_{{ $i }}">
                                                                                            <input type="text" class="form-control custom-name" id="stop_files_{{ $actual_stop_index }}_name_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][name][{{ $i }}]" placeholder="{{ $value['name'] }}">
                                                                                        </label>
                                                                                    </div>
                                                                                    <div>
                                                                                        <input type="hidden" name="stop_files[{{ $actual_stop_index }}][custom][{{ $i }}]" value="yes">
                                                                                        <input type="hidden" name="stop_files[{{ $actual_stop_index }}][fixed][{{ $i }}]" value="no">
                                                                                        <div class="switches-container">
                                                                                            <input type="radio" id="stop_files_{{ $actual_stop_index }}_type_1_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][type][{{ $i }}]" value="1" {{ ($value['type']=="1")? "checked" : "" }}>
                                                                                            <input type="radio" id="stop_files_{{ $actual_stop_index }}_type_2_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][type][{{ $i }}]" value="2" {{ ($value['type']=="2")? "checked" : "" }}>
                                                                                            <label for="stop_files_{{ $actual_stop_index }}_type_1_{{ $i }}">Copy</label>
                                                                                            <label for="stop_files_{{ $actual_stop_index }}_type_2_{{ $i }}">Original</label>
                                                                                            <div class="switch-wrapper">
                                                                                                <div class="switch">
                                                                                                    <div>Copy</div>
                                                                                                    <div>Original</div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                    <a href="javascript:void(0);" class="remove-link remove-required-documents">remove</a>
                                                                                </div>
                                                                                @php
                                                                                    ++$i;
                                                                                @endphp
                                                                            @endforeach
                                                                        </div>
                                                                        <div class="clearfix">
                                                                            <a href="javascript:void(0);" class="btn-link-orange add-required-documents" data-type="pickup" data-last_index="{{ $i-1 }}">
                                                                                <i class="fa fa-plus" aria-hidden="true"></i>
                                                                                Add Document
                                                                            </a>
                                                                        </div>
                                                                    </div>
                                                                @else
                                                                    <div class="add-edit-reg-block custom-required-documents">
                                                                        <h6>Custom Options</h6>
                                                                        <div class="required-checkbox">
                                                                            <div class="d-flex align-items-center custom-item mb-2">
                                                                                <div class="custom-control custom-checkbox mb-0">
                                                                                    <input type="checkbox" class="custom-control-input" id="stop_files_{{ $actual_stop_index }}_is_required_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][is_required][{{ $i }}]">
                                                                                    <label class="custom-control-label" for="stop_files_{{ $actual_stop_index }}_is_required_{{ $i }}">
                                                                                        <input type="text" class="form-control custom-name" id="stop_files_{{ $actual_stop_index }}_name_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][name][{{ $i }}]" placeholder="Enter name">
                                                                                    </label>
                                                                                </div>
                                                                                <div>
                                                                                    <input type="hidden" name="stop_files[{{ $actual_stop_index }}][custom][{{ $i }}]" value="yes">
                                                                                    <input type="hidden" name="stop_files[{{ $actual_stop_index }}][fixed][{{ $i }}]" value="no">
                                                                                    <div class="switches-container">
                                                                                        <input type="radio" id="stop_files_{{ $actual_stop_index }}_type_1_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][type][{{ $i }}]" value="1" checked>
                                                                                        <input type="radio" id="stop_files_{{ $actual_stop_index }}_type_2_{{ $i }}" name="stop_files[{{ $actual_stop_index }}][type][{{ $i }}]" value="2">
                                                                                        <label for="stop_files_{{ $actual_stop_index }}_type_1_{{ $i }}">Copy</label>
                                                                                        <label for="stop_files_{{ $actual_stop_index }}_type_2_{{ $i }}">Original</label>
                                                                                        <div class="switch-wrapper">
                                                                                            <div class="switch">
                                                                                                <div>Copy</div>
                                                                                                <div>Original</div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                                <a href="javascript:void(0);" class="remove-link remove-required-documents">remove</a>
                                                                            </div>
                                                                        </div>
                                                                        <div class="clearfix">
                                                                            <a href="javascript:void(0);" class="btn-link-orange add-required-documents" data-type="pickup" data-last_index="{{ $i }}">
                                                                                <i class="fa fa-plus" aria-hidden="true"></i>
                                                                                Add Document
                                                                            </a>
                                                                        </div>
                                                                    </div>
                                                                @endif
                                                                <div class="text-center ">
                                                                    <button type="button" class="btn btn-themeGray doc-save-btn">Save</button>
                                                                    <button type="button" class="btn btn-themeGray doc-cancel-btn">Cancel</button>
                                                                </div>
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <button class="btn add-shop-btn" type="button">+ Add Stop</button>
                                                </div>
                                            </div>
                                        </div>
                                        @php
                                            ++$stop_no;
                                        @endphp
                                    @endforeach
                                @endif
                                <!-- stop -->
                                @php
                                    if(!empty($loadDetail->consignee_files)){
                                        $consignee_files                = unserialize($loadDetail->consignee_files);
                                    }else{
                                        if(!empty($broker_consignee_files)){
                                            $consignee_files            = $broker_consignee_files;
                                        }else{
                                            $consignee_files            = unserialize(config('settings.consignee_files'));
                                        }
                                    }

                                    if(!empty($loadDetail->consignee_files_upload)){
                                        $consignee_files_upload         = unserialize($loadDetail->consignee_files_upload);
                                    }else{
                                        if(!empty($broker_consignee_files)){
                                            $consignee_files_upload     = $broker_consignee_files;
                                        }else{
                                            $consignee_files_upload     = unserialize(config('settings.consignee_files'));
                                        }
                                    }
                                @endphp
                                <div class="stop geocoding fixed" data-stop_no="{{ $stop_no }}" data-customer_type="2">
                                    <div class="hedding-section">
                                        <div class="row">
                                            <div class="col-sm-12">
                                                <div class="hedding">
                                                    <h2 class="stop-hedding">Delivery - Stop <span class="stop_no">{{ $stop_no }}</span></h2>
                                                    <a href="javascript:void(0);" class="btn-theme btn-grey-theme">Pending</a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row align-items-center">
                                        <div class="col-sm-6">
                                            <div class="buttons-group d-flex justify-content-start">
                                                <button type="button" class="btn btn-theme {{ old('delivery_time_range') == 0 ? 'btn-oreng-theme' : 'btn-grey-theme' }} time-range-btn deliveryTime">
                                                    {!! Form::radio('delivery_time_range', 0, old('delivery_time_range') == 0 ? true : false, array(
                                                            'class' => 'custom-control-input'
                                                        )
                                                    ) !!} Set Time
                                                </button>
                                                <button type="button" class="btn btn-theme {{ old('delivery_time_range') == 1 ? 'btn-oreng-theme' : 'btn-grey-theme' }} time-range-btn deliveryRange">
                                                    {!! Form::radio('delivery_time_range', 1, old('delivery_time_range') == 1 ? true : false, array(
                                                            'class' => 'custom-control-input'
                                                        )
                                                    ) !!} Range
                                                </button>
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                        </div>
                                        @if(getDeliveryDateOption() == 1)
                                            <div class="col-sm-6 custom-width">
                                                <div class="form-group">
                                                    <label>Choose Date / Time: <br/> <span>(This date and time will be based on location)</span></label>
                                                    <div class="position-relative">
                                                        {!! Form::text('delivery_date_time', old('delivery_date_time'), array(
                                                                'class'                         => 'form-control',
                                                                'id'                            => 'deliveryDate',
                                                                'required'                      => 'required',
                                                                'autocomplete'                  => 'off',
                                                                'onPaste'                       => 'return false',
                                                                'data-parsley-errors-container' => '#deliveryDate-errors'
                                                            )
                                                        ) !!}
                                                        <img src="{{ asset('theme/img/calendar.png') }}" alt="delivery_date_time" data-datepickerimage="1">
                                                    </div>
                                                    <div id="deliveryDate-errors"></div>
                                                    @error('delivery_date_time')
                                                        <span class="text-danger" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                        @elseif(getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3)
                                            <div class="col-sm-6 custom-width disbaleDatepop">
                                                <div class="form-group">
                                                    <label>Choose Date / Time: <br/> <span>(This date and time will be based on location)</span></label>
                                                    <div class="position-relative">
                                                        <div class="row">
                                                            <div class="col-md-7 pr-0">
                                                                <input type="text" class="form-control custdeliverydate" placeholder="MM/DD/YYYY" onPaste="return false">
                                                                <img src="{{ asset('theme/img/calendar.png') }}" class="smallicon" alt="custdeliverydate" data-datepickerimage="1">
                                                            </div>
                                                            <div class="col-md-5 pl-1">
                                                                <input type="text" class="form-control custdeliverytime" onPaste="return false">
                                                                <img src="{{ asset('theme/img/clock.png') }}" class="timeicon" alt="custdeliverytime">
                                                            </div>
                                                        </div>
                                                        {!! Form::text('delivery_date_time', old('delivery_date_time'), array(
                                                                'class'                         => 'form-control hidden',
                                                                'id'                            => 'deliveryDate',
                                                                'required'                      => 'required',
                                                                'autocomplete'                  => 'off',
                                                                'onPaste'                       => 'return false',
                                                                'data-parsley-errors-container' => '#deliveryDate-errors'
                                                            )
                                                        ) !!}
                                                    </div>
                                                    <div id="deliveryDate-errors"></div>
                                                    @error('delivery_date_time')
                                                        <span class="text-danger" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                        @endif
                                        @if(getDeliveryDateOption() == 1)
                                            <div class="col-sm-6 custom-width">
                                                <div class="form-group deliveryEnd {{ old('delivery_time_range') == 1 ? 'd-block' : '' }}">
                                                    <label>Choose Date / Time End: <br/> <span>(This date and time will be based on location)</span></label>
                                                    <div class="position-relative">
                                                        {!! Form::text('delivery_date_time_end', old('delivery_date_time_end'), array(
                                                                'class'                         => 'form-control',
                                                                'id'                            => 'deliveryDateEnd',
                                                                'autocomplete'                  => 'off',
                                                                'onPaste'                       => 'return false',
                                                                'data-parsley-errors-container' => '#deliveryDateEnd-errors'
                                                            )
                                                        ) !!}
                                                        <img src="{{ asset('theme/img/calendar.png') }}" alt="delivery_date_time_end" data-datepickerimage="1">
                                                    </div>
                                                    <div id="deliveryDateEnd-errors"></div>
                                                    @error('delivery_date_time_end')
                                                        <span class="text-danger" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                        @elseif(getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3)
                                            <div class="col-sm-6 custom-width disbaleDatepop">
                                                <div class="form-group deliveryEnd {{ old('delivery_time_range') == 1 ? 'd-block' : '' }}">
                                                    <label>Choose Date / Time End: <br/> <span>(This date and time will be based on location)</span></label>
                                                    <div class="position-relative">
                                                        <div class="row">
                                                            <div class="col-md-7 pr-0">
                                                                <input type="text" class="form-control custdeliverydateend" placeholder="MM/DD/YYYY" onPaste="return false">
                                                                <img src="{{ asset('theme/img/calendar.png') }}" class="smallicon" alt="custdeliverydateend" data-datepickerimage="1">
                                                            </div>
                                                            <div class="col-md-5 pl-1">
                                                                <input type="text" class="form-control custdeliverytimeend" onPaste="return false">
                                                                <img src="{{ asset('theme/img/clock.png') }}" class="timeicon" alt="custdeliverytimeend">
                                                            </div>
                                                        </div>
                                                        {!! Form::text('delivery_date_time_end', old('delivery_date_time_end'), array(
                                                                'class'                         => 'form-control hidden',
                                                                'id'                            => 'deliveryDateEnd',
                                                                'autocomplete'                  => 'off',
                                                                'onPaste'                       => 'return false',
                                                                'data-parsley-errors-container' => '#deliveryDateEnd-errors'
                                                            )
                                                        ) !!}
                                                    </div>
                                                    <div id="deliveryDateEnd-errors"></div>
                                                    @error('delivery_date_time_end')
                                                        <span class="text-danger" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                        @endif
                                        <div class="col-12">
                                            <input type="hidden" class="geocoding-abbr" name="delivery_timezone_abbr" value="{{ isset($loadDetail->delivery_timezone_abbr)?$loadDetail->delivery_timezone_abbr:'' }}" data-parsley-errors-container="#delivery_timezone_abbr-errors" data-parsley-required-message="Please verify address" required>
                                            <input type="hidden" class="geocoding-latitude" name="delivery_latitude" value="{{ isset($loadDetail->delivery_latitude)?$loadDetail->delivery_latitude:'' }}">
                                            <input type="hidden" class="geocoding-longitude" name="delivery_longitude" value="{{ isset($loadDetail->delivery_longitude)?$loadDetail->delivery_longitude:'' }}">
                                            <input type="hidden" class="geocoding-verified" name="delivery_address_verified" value="{{ isset($loadDetail->delivery_address_verified)?$loadDetail->delivery_address_verified:'0' }}">
                                            <div id="delivery_timezone_abbr-errors" class="text-right"></div>
                                        </div>
                                        <div class="col-sm-12 text-right">
                                            @if(isset($loadDetail->delivery_timezone_abbr))
                                                <span class="geocoding-timezone">{{ $loadDetail->delivery_timezone_abbr }}</span>
                                            @else
                                                <span class="geocoding-timezone d-none"></span>
                                            @endif
                                        </div>
                                        <div class="col-sm-12">
                                            <div class="form-group">
                                                <label for="receiver_id">Receiver:</label>
                                                <a
                                                    href="javascript:void(0);"
                                                    class="btn-link-orange add-receiver-link" data-toggle="modal" data-target="#addReceiverModal">
                                                    <i class="fa fa-plus" aria-hidden="true"></i>
                                                    Add New
                                                </a>
                                                {!! Form::select('receiver_id', ['' => 'Receiver']+getCustomerList(), null, [
                                                        'class' => 'form-control receiver-select2',
                                                        'id'    => 'receiver_id'
                                                    ]
                                                ) !!}
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="delivery_address_one">Address 1:</label>
                                                        {!! Form::text('delivery_address_one', old('delivery_address_one'), array(
                                                                'class'         => 'form-control delivery-address-1 geocoding-address-1',
                                                                'id'            => 'delivery_address_one',
                                                                'placeholder'   => '',
                                                                'required'      => 'required'
                                                            )
                                                        ) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="delivery_address_two">Address 2:</label>
                                                        {!! Form::text('delivery_address_two', old('delivery_address_two'), array(
                                                                'class'         => 'form-control delivery-address-2 geocoding-address-2',
                                                                'id'            => 'delivery_address_two',
                                                                'placeholder'   => ''
                                                            )
                                                        ) !!}
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="delivery_city">City:</label>
                                                        {!! Form::text('delivery_city', old('delivery_city'), array(
                                                                'class'         => 'form-control delivery-city geocoding-city',
                                                                'id'            => 'delivery_city',
                                                                'placeholder'   => ''
                                                            )
                                                        ) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-2 col-6">
                                                    <div class="form-group">
                                                        <label for="delivery_state">State:</label>
                                                        {!! Form::text('delivery_state', old('delivery_state'), array(
                                                                'class'         => 'form-control delivery-state geocoding-state',
                                                                'id'            => 'delivery_state',
                                                                'placeholder'   => '',
                                                                'required'      => 'required'
                                                            )
                                                        ) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-2 col-6">
                                                    <div class="form-group">
                                                        <label for="delivery_zip">Zip:</label>
                                                        {!! Form::text('delivery_zip', old('delivery_zip'), array(
                                                                'class'         => 'form-control delivery-zip geocoding-zip',
                                                                'id'            => 'delivery_zip',
                                                                'placeholder'   => '',
                                                                'required'      => 'required'
                                                            )
                                                        ) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-2 col-6">
                                                    <div class="d-flex align-items-center h-100">
                                                        @if(isset($loadDetail->delivery_timezone_abbr))
                                                            <a
                                                                href="javascript:void(0);"
                                                                class="btn-link-orange verify-address-btn justify-content-end geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verified</a>
                                                        @else
                                                            <a
                                                                href="javascript:void(0);"
                                                                class="btn-link-orange verify-address-btn justify-content-end geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify Address</a>
                                                        @endif
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-sm-12">
                                            <div class="form-group">
                                                <label for="delivery_note">Notes:</label>
                                                {!! Form::textarea('delivery_note', old('delivery_note'), array(
                                                        'class'         => 'form-control h-auto',
                                                        'id'            => 'delivery_note',
                                                        'placeholder'   => '',
                                                        'cols'          => '30',
                                                        'rows'          => '2'
                                                    )
                                                ) !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-12 sigale">
                                            <div class="single-collapse">
                                                <div>
                                                    <button
                                                        type="button"
                                                        class="btn btn-primary required-documents-collapse-btn"
                                                        data-toggle="collapse"
                                                        data-target="#required-documents-delivery-collapse"
                                                        aria-expanded="true"
                                                        aria-controls="required-documents-delivery-collapse">
                                                        Required Documents <img src="{{ asset('theme/images/sort-down-solid.svg') }}">
                                                    </button>
                                                </div>
                                                <div class="required-documents-collapse-div collapse show" id="required-documents-delivery-collapse">
                                                    <div class="card-body">
                                                        <div class="required-documents-table table-responsive">
                                                            @if(!empty($consignee_files_upload))
                                                                <table class="table mt-0">
                                                                    <tbody>
                                                                        @foreach ($consignee_files_upload as $key => $upload)
                                                                            @if($upload['type']==1)
                                                                                @php
                                                                                    $filelabel                  = 'Copy';
                                                                                @endphp
                                                                            @else
                                                                                @php
                                                                                    $filelabel                  = 'Original';
                                                                                @endphp
                                                                            @endif
                                                                            <tr>
                                                                                <td class="d-none">
                                                                                    <input type="hidden" class="custom-input" name="consignee_files_upload[custom][{{ $key }}]" value="{{ (isset($upload['custom']) && $upload['custom']=='yes')?'yes':'no' }}">
                                                                                    <input type="hidden" class="fixed-input" name="consignee_files_upload[fixed][{{ $key }}]" value="{{ $upload['fixed'] }}">
                                                                                    <input type="hidden" class="name-input" name="consignee_files_upload[name][{{ $key }}]" value="{{ $upload['name'] }}">
                                                                                    <input type="hidden" class="type-input" name="consignee_files_upload[type][{{ $key }}]" value="{{ $upload['type'] }}">
                                                                                </td>
                                                                                <td class="name">
                                                                                    {{ $upload['name'] }}
                                                                                </td>
                                                                                <td class="type">
                                                                                    {{ $filelabel }}
                                                                                </td>
                                                                                <td class="is_received">
                                                                                    <div class="form-check form-check-inline">
                                                                                        <input class="form-check-input is_received-input" type="checkbox" name="consignee_files_upload[is_received][{{ $key }}]" id="consignee_files_upload_is_received_{{ $key }}" {{ (isset($upload['is_received']) && $upload['is_received']=="on")? "checked" : "" }}>
                                                                                        <label class="form-check-label" for="consignee_files_upload_is_received_{{ $key }}">Received</label>
                                                                                    </div>
                                                                                </td>
                                                                                <td class="is_required">
                                                                                    <div class="form-check form-check-inline">
                                                                                        <input class="form-check-input is_required-input" type="checkbox" name="consignee_files_upload[is_required][{{ $key }}]" id="consignee_files_upload_is_required_{{ $key }}" {{ (isset($upload['is_required']) && $upload['is_required']=="on")? "checked" : "" }}>
                                                                                        <label class="form-check-label" for="consignee_files_upload_is_required_{{ $key }}">Required</label>
                                                                                    </div>
                                                                                </td>
                                                                                @php
                                                                                    $documents                  = [];
                                                                                    if(!empty($upload['file'])){
                                                                                        $documents              = $upload['file'];
                                                                                    }
                                                                                @endphp
                                                                                @if(is_array($documents) && count($documents) > 0)
                                                                                    <td>
                                                                                        <div class="required-documents-upload">
                                                                                            <a href="javascript:void(0);">Replace Image</a>
                                                                                            <input type="file" class="file-input" name="consignee_files_upload[file][{{ $key }}][]" multiple>
                                                                                        </div>
                                                                                    </td>
                                                                                    <td>
                                                                                        @php
                                                                                            $total_documents    = count($documents);
                                                                                        @endphp
                                                                                        @foreach ($documents as $dkey => $document)
                                                                                            <input type="hidden" name="consignee_files_upload[file_exists][{{ $key }}][]" value="{{ $document }}">
                                                                                            @php
                                                                                                $file_path      = 'storage/companyAdmin/load_detail_document/'.$document;
                                                                                                $type           = \File::extension($file_path);
                                                                                            @endphp
                                                                                            @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                                                                <a href="{{ asset($file_path) }}" target="_blank" class="mr-2">
                                                                                                    View
                                                                                                </a>
                                                                                            @else
                                                                                                <a href="{{ asset($file_path) }}" target="_blank" class="mr-2">
                                                                                                    View
                                                                                                </a>
                                                                                            @endif
                                                                                            @if($total_documents > 1)
                                                                                                <br/>
                                                                                            @endif
                                                                                        @endforeach
                                                                                    </td>
                                                                                @else
                                                                                    <td>
                                                                                    </td>
                                                                                    <td>
                                                                                        <div class="required-documents-upload">
                                                                                            <a href="javascript:void(0);">Upload</a>
                                                                                            <input type="file" class="file-input" name="consignee_files_upload[file][{{ $key }}][]" multiple>
                                                                                        </div>
                                                                                    </td>
                                                                                @endif
                                                                            </tr>
                                                                        @endforeach
                                                                    </tbody>
                                                                </table>
                                                            @else
                                                                No required documents.
                                                            @endif
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="position-relative add-edit-popup">
                                                <a
                                                    href="javascript:void(0);"
                                                    class="btn-link-orange btn-link-required-documents add-edit-btn">
                                                    Add / Edit Required Documents
                                                </a>
                                                <div class="add-edit-block d-none">
                                                    @if(!empty($consignee_files))
                                                        @php
                                                            $i                              = 0;
                                                            $consignee_files_custom         = array_filter($consignee_files, function ($var) {
                                                                return (isset($var['custom']) && $var['custom'] == 'yes');
                                                            });

                                                            if(!empty($consignee_files_custom)){
                                                                $consignee_files            = array_diff($consignee_files, $consignee_files_custom);
                                                            }
                                                            $consignee_files_required       = array_filter($consignee_files, function ($var) {
                                                                return ($var['is_required'] == 'on');
                                                            });
                                                            $consignee_files_non_required   = array_filter($consignee_files, function ($var) {
                                                                return ($var['is_required'] == 'off');
                                                            });
                                                        @endphp
                                                        <h5 class="popup-heading"></h5>
                                                        @if(!empty($consignee_files_required))
                                                            <div class="add-edit-reg-block">
                                                                <h6>Required by Broker</h6>
                                                                <div class="required-checkbox">
                                                                    @foreach ($consignee_files_required as $key => $value)
                                                                        <div class="d-flex">
                                                                            <div class="custom-control custom-checkbox">
                                                                                <input type="checkbox" class="custom-control-input" id="consignee_files_is_required_{{ $i }}" name="consignee_files[is_required][{{ $i }}]" checked>
                                                                                <label class="custom-control-label" for="consignee_files_is_required_{{ $i }}">{{ $value['name'] }}</label>
                                                                            </div>
                                                                            <div>
                                                                                <input type="hidden" name="consignee_files[name][{{ $i }}]" value="{{ $value['name'] }}">
                                                                                <input type="hidden" name="consignee_files[fixed][{{ $i }}]" value="{{ $value['fixed'] }}">
                                                                                <div class="switches-container">
                                                                                    <input type="radio" id="consignee_files_type_1_{{ $i }}" name="consignee_files[type][{{ $i }}]" value="1" {{ ($value['type']=="1")? "checked" : "" }}>
                                                                                    <input type="radio" id="consignee_files_type_2_{{ $i }}" name="consignee_files[type][{{ $i }}]" value="2" {{ ($value['type']=="2")? "checked" : "" }}>
                                                                                    <label for="consignee_files_type_1_{{ $i }}">Copy</label>
                                                                                    <label for="consignee_files_type_2_{{ $i }}">Original</label>
                                                                                    <div class="switch-wrapper">
                                                                                        <div class="switch">
                                                                                            <div>Copy</div>
                                                                                            <div>Original</div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        @php
                                                                            ++$i;
                                                                        @endphp
                                                                    @endforeach
                                                                </div>
                                                            </div>
                                                        @endif
                                                        @if(!empty($consignee_files_non_required))
                                                            <div class="add-edit-reg-block">
                                                                <h6>Preset Items</h6>
                                                                <div class="required-checkbox">
                                                                    @foreach ($consignee_files_non_required as $key => $value)
                                                                        <div class="d-flex">
                                                                            <div class="custom-control custom-checkbox">
                                                                                <input type="checkbox" class="custom-control-input" id="consignee_files_is_required_{{ $i }}" name="consignee_files[is_required][{{ $i }}]">
                                                                                <label class="custom-control-label" for="consignee_files_is_required_{{ $i }}">{{ $value['name'] }}</label>
                                                                            </div>
                                                                            <div>
                                                                                <input type="hidden" name="consignee_files[name][{{ $i }}]" value="{{ $value['name'] }}">
                                                                                <input type="hidden" name="consignee_files[fixed][{{ $i }}]" value="{{ $value['fixed'] }}">
                                                                                <div class="switches-container">
                                                                                    <input type="radio" id="consignee_files_type_1_{{ $i }}" name="consignee_files[type][{{ $i }}]" value="1" {{ ($value['type']=="1")? "checked" : "" }}>
                                                                                    <input type="radio" id="consignee_files_type_2_{{ $i }}" name="consignee_files[type][{{ $i }}]" value="2" {{ ($value['type']=="2")? "checked" : "" }}>
                                                                                    <label for="consignee_files_type_1_{{ $i }}">Copy</label>
                                                                                    <label for="consignee_files_type_2_{{ $i }}">Original</label>
                                                                                    <div class="switch-wrapper">
                                                                                        <div class="switch">
                                                                                            <div>Copy</div>
                                                                                            <div>Original</div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        @php
                                                                            ++$i;
                                                                        @endphp
                                                                    @endforeach
                                                                </div>
                                                            </div>
                                                        @endif
                                                        @if(!empty($consignee_files_custom))
                                                            <div class="add-edit-reg-block custom-required-documents">
                                                                <h6>Custom Options</h6>
                                                                <div class="required-checkbox">
                                                                    @foreach ($consignee_files_custom as $key => $value)
                                                                        <div class="d-flex align-items-center custom-item mb-2">
                                                                            <div class="custom-control custom-checkbox mb-0">
                                                                                <input type="checkbox" class="custom-control-input" id="consignee_files_is_required_{{ $i }}" name="consignee_files[is_required][{{ $i }}]" {{ ($value['is_required']=="on")? "checked" : "" }}>
                                                                                <label class="custom-control-label" for="consignee_files_is_required_{{ $i }}">
                                                                                    <input type="text" class="form-control custom-name" id="consignee_files_name_{{ $i }}" name="consignee_files[name][{{ $i }}]" placeholder="{{ $value['name'] }}">
                                                                                </label>
                                                                            </div>
                                                                            <div>
                                                                                <input type="hidden" name="consignee_files[custom][{{ $i }}]" value="yes">
                                                                                <input type="hidden" name="consignee_files[fixed][{{ $i }}]" value="no">
                                                                                <div class="switches-container">
                                                                                    <input type="radio" id="consignee_files_type_1_{{ $i }}" name="consignee_files[type][{{ $i }}]" value="1" {{ ($value['type']=="1")? "checked" : "" }}>
                                                                                    <input type="radio" id="consignee_files_type_2_{{ $i }}" name="consignee_files[type][{{ $i }}]" value="2" {{ ($value['type']=="2")? "checked" : "" }}>
                                                                                    <label for="consignee_files_type_1_{{ $i }}">Copy</label>
                                                                                    <label for="consignee_files_type_2_{{ $i }}">Original</label>
                                                                                    <div class="switch-wrapper">
                                                                                        <div class="switch">
                                                                                            <div>Copy</div>
                                                                                            <div>Original</div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <a href="javascript:void(0);" class="remove-link remove-required-documents">remove</a>
                                                                        </div>
                                                                        @php
                                                                            ++$i;
                                                                        @endphp
                                                                    @endforeach
                                                                </div>
                                                                <div class="clearfix">
                                                                    <a href="javascript:void(0);" class="btn-link-orange add-required-documents" data-type="pickup" data-last_index="{{ $i-1 }}">
                                                                        <i class="fa fa-plus" aria-hidden="true"></i>
                                                                        Add Document
                                                                    </a>
                                                                </div>
                                                            </div>
                                                        @else
                                                            <div class="add-edit-reg-block custom-required-documents">
                                                                <h6>Custom Options</h6>
                                                                <div class="required-checkbox">
                                                                    <div class="d-flex align-items-center custom-item mb-2">
                                                                        <div class="custom-control custom-checkbox mb-0">
                                                                            <input type="checkbox" class="custom-control-input" id="consignee_files_is_required_{{ $i }}" name="consignee_files[is_required][{{ $i }}]">
                                                                            <label class="custom-control-label" for="consignee_files_is_required_{{ $i }}">
                                                                                <input type="text" class="form-control custom-name" id="consignee_files_name_{{ $i }}" name="consignee_files[name][{{ $i }}]" placeholder="Enter name">
                                                                            </label>
                                                                        </div>
                                                                        <div>
                                                                            <input type="hidden" name="consignee_files[custom][{{ $i }}]" value="yes">
                                                                            <input type="hidden" name="consignee_files[fixed][{{ $i }}]" value="no">
                                                                            <div class="switches-container">
                                                                                <input type="radio" id="consignee_files_type_1_{{ $i }}" name="consignee_files[type][{{ $i }}]" value="1" checked>
                                                                                <input type="radio" id="consignee_files_type_2_{{ $i }}" name="consignee_files[type][{{ $i }}]" value="2">
                                                                                <label for="consignee_files_type_1_{{ $i }}">Copy</label>
                                                                                <label for="consignee_files_type_2_{{ $i }}">Original</label>
                                                                                <div class="switch-wrapper">
                                                                                    <div class="switch">
                                                                                        <div>Copy</div>
                                                                                        <div>Original</div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <a href="javascript:void(0);" class="remove-link remove-required-documents">remove</a>
                                                                    </div>
                                                                </div>
                                                                <div class="clearfix">
                                                                    <a href="javascript:void(0);" class="btn-link-orange add-required-documents" data-type="pickup" data-last_index="{{ $i }}">
                                                                        <i class="fa fa-plus" aria-hidden="true"></i>
                                                                        Add Document
                                                                    </a>
                                                                </div>
                                                            </div>
                                                        @endif
                                                        <div class="text-center ">
                                                            <button type="button" class="btn btn-themeGray doc-save-btn">Save</button>
                                                            <button type="button" class="btn btn-themeGray doc-cancel-btn">Cancel</button>
                                                        </div>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-6 col-lg-5">
                                <div class="map-box">
                                    <div id="map" style="height: 1054px;width: 97%;"></div>
                                    <div class="text-description">
                                        <h3>Map of Route
                                        </h3>
                                        <p>This will update as new stops are added.</p>
                                    </div>
                                </div>
                                <div class="accordion mb-0" id="location_accrordion">
                                    <div class="card">
                                        <div class="card-header" id="headingLoadMillageInformation">
                                            <h2 class="mb-0">
                                                <button
                                                    class="btn btn-link btn-block text-left collapsed"
                                                    type="button"
                                                    data-toggle="collapse"
                                                    data-target="#load-millage-information-collapse"
                                                    aria-expanded="false"
                                                    aria-controls="load-millage-information-collapse">
                                                    Load Mileage Information<i class="fa fa-angle-down" aria-hidden="true"></i>
                                                </button>
                                            </h2>
                                        </div>
                                       <div id="load-millage-information-collapse" class="collapse show" aria-labelledby="headingThree" data-parent="#location_accrordion" style="">
                                                <div class="card-body millage_main_section">
                                                    {{--
                                                        <h4>Total Loaded Millage: 1,235 Miles</h4>
                                                        <div class="stop-content">
                                                            <h5>Stop 1: </h5>
                                                            <p>Geo Coordinates: Stop </p>
                                                        </div>
                                                        <div class="stop-content">
                                                            <h5>Step 2:</h5>
                                                            <p>Geo Coordinates:</p>
                                                            <p>Mileage from Load Start</p>
                                                            <p>Millage from Last Stop: </p>
                                                        </div>
                                                        <div class="stop-content">
                                                            <h5> Stop 3:</h5>
                                                            <p>Geo Coordinates:</p>
                                                            <p> Mileage from Load Start</p>
                                                            <p> Millage from Last Stop:</p>
                                                        </div>
                                                    --}}
                                                </div>
                                            </div>
                                    </div>
                                    <div class="card mb-0">
                                        <div class="card-header" id="headingTurnByTurnDirections">
                                            <h2 class="mb-0">
                                                <button
                                                    class="btn btn-link btn-block text-left collapsed"
                                                    type="button"
                                                    data-toggle="collapse"
                                                    data-target="#turn-by-turn-directions-collapse"
                                                    aria-expanded="false"
                                                    aria-controls="turn-by-turn-directions-collapse">
                                                    Turn By Turn Directions<i class="fa fa-angle-down" aria-hidden="true"></i>
                                                </button>
                                            </h2>
                                        </div>
                                        <div
                                            class="collapse show"
                                            id="turn-by-turn-directions-collapse"
                                            aria-labelledby="headingTurnByTurnDirections"
                                            data-parent="#location_accrordion">
                                             <div class="card-body turn_by_main_section">

                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-header" id="headingBillingPayment">
                    <h2 class="mb-0">
                        <button
                            class="btn btn-link btn-block text-left collapsed"
                            type="button"
                            data-toggle="collapse"
                            data-target="#billing-payment-collapse"
                            aria-expanded="false"
                            aria-controls="billing-payment-collapse">
                            Billing & Payment<i class="fa fa-angle-down" aria-hidden="true"></i>
                        </button>
                    </h2>
                </div>
                <div
                    class="collapse"
                    id="billing-payment-collapse"
                    aria-labelledby="headingBillingPayment"
                    data-parent="#add_new_load_accrordion">
                    <div class="card-body billing-block">
                        <div class="row no-wrap-block">
                            <div class="col-xl-4 col-lg-5 col-md-6">
                                <div class="mileage-rating-div">
                                    <div class="minh-22">
                                        <h6>Mileage & Rating</h6>
                                    </div>
                                    <hr>
                                    <div class="text-right mb-3">
                                        <a href="javascript:void(0);" class="a-link clear-mileage-rating-div">Clear</a>
                                    </div>
                                    <div class="row">
                                        <div class="col-4">
                                            <div class="form-group">
                                                <label for="empty_miles">Empty Miles</label>
                                                <input type="number" class="form-control empty-miles total-miles-addition groupOfTexbox" id="empty_miles" name="empty_miles" min="0" step=".01" value="{{ $loadDetail->empty_miles }}">
                                            </div>
                                        </div>
                                        <div class="col-4">
                                            <div class="form-group">
                                                <label for="loaded_miles">Loaded Miles</label>
                                                <input type="number" class="form-control loaded-miles total-miles-addition groupOfTexbox" id="loaded_miles" name="loaded_miles" min="0" step=".01" value="{{ $loadDetail->loaded_miles }}">
                                            </div>
                                        </div>
                                        <div class="col-4">
                                            <div class="form-group">
                                                <label for="total_miles">Total Miles</label>
                                                <input type="number" class="form-control theme-bg total-miles groupOfTexbox" id="total_miles" name="total_miles" min="0" step=".01" value="{{ $loadDetail->total_miles }}" readonly>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row form-group align-items-center">
                                        <div class="col-8">
                                            <label for="agreed_upon_rate" class="mb-0">Agreed Upon Rate</label>
                                        </div>
                                        <div class="col-4">
                                            <input type="number" class="form-control agreed-upon-rate line-haul-sub total-bill-addition groupOfTexbox" id="agreed_upon_rate" name="agreed_upon_rate" min="0" step=".01" value="{{ $loadDetail->agreed_upon_rate }}">
                                        </div>
                                    </div>
                                    <div class="row form-group align-items-center">
                                        <div class="col-8">
                                            <label for="fuel_surcharge_cost_per_mile" class="mb-0">Fuel Surcharge Cost Per Mile</label>
                                        </div>
                                        <div class="col-4">
                                            <input type="number" class="form-control fuel-surcharge-cost-per-mile groupOfTexbox" id="fuel_surcharge_cost_per_mile" name="fuel_surcharge_cost_per_mile" min="0" step=".01" value="{{ $loadDetail->fuel_surcharge_cost_per_mile }}">
                                        </div>
                                    </div>
                                    <div class="row form-group align-items-center">
                                        <div class="col-8">
                                            <label for="fuel_surcharge" class="mb-0">Fuel Surcharge</label>
                                        </div>
                                        <div class="col-4">
                                            <input type="number" class="form-control theme-bg fuel-surcharge line-haul-sub groupOfTexbox" id="fuel_surcharge" name="fuel_surcharge" min="0" step=".01" value="{{ $loadDetail->fuel_surcharge }}" readonly>
                                        </div>
                                    </div>
                                    <div class="row form-group align-items-center">
                                        <div class="col-8">
                                            <label for="line_haul" class="mb-0">Line Haul</label>
                                        </div>
                                        <div class="col-4">
                                            <input type="number" class="form-control theme-bg line-haul groupOfTexbox" id="line_haul" name="line_haul" min="0" step=".01" value="{{ $loadDetail->line_haul }}" readonly>
                                        </div>
                                    </div>
                                    <div class="row form-group align-items-center">
                                        <div class="col-8">
                                            <label for="detention" class="mb-0">Detention</label>
                                        </div>
                                        <div class="col-4">
                                            <input type="number" class="form-control detention total-bill-addition groupOfTexbox" id="detention" name="detention" min="0" step=".01" value="{{ $loadDetail->detention }}">
                                        </div>
                                    </div>
                                    <div class="row form-group align-items-center">
                                        <div class="col-8">
                                            <label for="accessorial" class="mb-0">Accessorial</label>
                                        </div>
                                        <div class="col-4">
                                            <input type="number" class="form-control accessorial total-bill-addition groupOfTexbox" id="accessorial" name="accessorial" min="0" step=".01" value="{{ $loadDetail->accessorial }}">
                                        </div>
                                    </div>
                                    <div class="row form-group align-items-center">
                                        <div class="col-8">
                                            <label for="lumper" class="mb-0">Lumper</label>
                                        </div>
                                        <div class="col-4">
                                            <input type="number" class="form-control lumper total-bill-addition groupOfTexbox" id="lumper" name="lumper" min="0" step=".01" value="{{ $loadDetail->lumper }}">
                                        </div>
                                    </div>
                                    <div class="add_more_mileage_rating_wrapper">
                                        @if(isset($loadDetail->mileage_rating_extra) && !empty($loadDetail->mileage_rating_extra))
                                            @php
                                                $mileage_rating_extra = unserialize($loadDetail->mileage_rating_extra);
                                            @endphp
                                            @foreach ($mileage_rating_extra as $key => $mileage_field)
                                                <div class="row form-group align-items-center" data-last_index="{{ $key }}">
                                                    <div class="col-8">
                                                        <input type="text" class="form-control" id="mileage_rating_extra_label_{{ $key }}" name="mileage_rating_extra[{{ $key }}][label]" value="{{ isset($mileage_field['label'])?$mileage_field['label']:''}}">
                                                    </div>
                                                    <div class="col-4">
                                                        <input type="number" class="form-control total-bill-addition groupOfTexbox" id="mileage_rating_extra_value_{{ $key }}" name="mileage_rating_extra[{{ $key }}][value]" min="0" step=".01" value="{{ isset($mileage_field['value'])?$mileage_field['value']:''}}">
                                                    </div>
                                                    <div class="col-12 text-right">
                                                        <a href="javascript:void(0);" class="remove_mileage_rating_button">Remove</a>
                                                    </div>
                                                </div>
                                            @endforeach
                                        @endif
                                    </div>
                                    <div><a href="javascript:void(0);" class="a-link add_more_mileage_rating_button">+ Add Line Item</a></div>
                                    <div class="billing-checkbox">
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" class="custom-control-input" id="paid-unbilled" name="paid_by" value="0" {{ ($loadDetail->paid_by === 0 ? ' checked' : '') }}>
                                            <label class="custom-control-label" for="paid-unbilled">Paid by Broker
                                                <span> (Unbilled)</span>
                                            </label>
                                        </div>
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" class="custom-control-input" id="paid-billed" name="paid_by" value="1" {{ ($loadDetail->paid_by === 1 ? ' checked' : '') }}>
                                            <label class="custom-control-label" for="paid-billed">Paid by Us
                                                <span>(Billed)</span>
                                            </label>
                                        </div>
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" class="custom-control-input" id="na" name="paid_by" value="2" {{ ($loadDetail->paid_by === 2 ? ' checked' : '') }}>
                                            <label class="custom-control-label" for="na">N/A</label>
                                        </div>
                                    </div>
                                    <hr class="total-hr">
                                    <div class="row form-group align-items-center">
                                        <div class="col-8">
                                            <label for="total_bill" class="mb-0">Total Bill</label>
                                        </div>
                                        <div class="col-4">
                                            <input type="number" class="form-control theme-bg total-bill" id="total_bill" name="total_bill" min="0" step=".01" value="{{ $loadDetail->total_bill }}" readonly>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4 offset-xl-1 col-lg-5 col-md-6 mt-3 mt-md-0">
                                <div class="driver-payment-div" data-number="0">
                                    @if(isset($loadDetail->driver_id))
                                        <div class="minh-22">
                                            <h6>Payment <span class="driver-name">({{ $loadDetail->driver->fullname  ?? ''}})</span></h6>
                                        </div>
                                    @else
                                        <div class="minh-22">
                                            <h6>Payment <span class="driver-name">(Driver Name)</span></h6>
                                        </div>
                                    @endif
                                    @php
                                        $loadFirstDriver = $load->load_detail->load_drivers()->first();
                                    @endphp
                                    <hr>
                                    <div class="text-right mb-3">
                                        <a href="javascript:void(0);" class="a-link clear-driver-payment-div">Clear</a>
                                    </div>
                                    <div class="row">
                                        <div class="col-4">
                                            <div class="form-group">
                                                <label for="drivers_0_empty_miles">Empty Miles</label>
                                                <input type="number" class="form-control empty-miles total-miles-addition groupOfTexbox" id="drivers_0_empty_miles" name="drivers[0][empty_miles]" min="0" step=".01" value="{{ isset($loadFirstDriver->empty_miles)?$loadFirstDriver->empty_miles:'' }}" readonly>
                                            </div>
                                        </div>
                                        <div class="col-4">
                                            <div class="form-group">
                                                <label for="drivers_0_loaded_miles">Loaded Miles</label>
                                                <input type="number" class="form-control loaded-miles total-miles-addition groupOfTexbox" id="drivers_0_loaded_miles" name="drivers[0][loaded_miles]" min="0" step=".01" value="{{ isset($loadFirstDriver->loaded_miles)?$loadFirstDriver->loaded_miles:'' }}" readonly>
                                            </div>
                                        </div>
                                        <div class="col-4">
                                            <div class="form-group">
                                                <label for="drivers_0_total_miles">Total Miles</label>
                                                <input type="number" class="form-control theme-bg total-miles groupOfTexbox" id="drivers_0_total_miles" name="drivers[0][total_miles]" min="0" step=".01" value="{{ isset($loadFirstDriver->total_miles)?$loadFirstDriver->total_miles:'' }}" readonly>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row form-group align-items-center">
                                        <div class="col-8">
                                            <label for="drivers_0_pay_type" class="mb-0">Pay Type</label>
                                        </div>
                                        <div class="col-4">
                                            <input type="number" class="form-control theme-bg total-bill-addition groupOfTexbox" id="drivers_0_pay_type" name="drivers[0][pay_type]" min="0" step=".01" value="{{ isset($loadFirstDriver->pay_type)?$loadFirstDriver->pay_type:'' }}" readonly>
                                        </div>
                                    </div>
                                    <div class="row form-group align-items-center">
                                        <div class="col-8">
                                            <label for="drivers_0_gross_wage" class="mb-0">Gross Wage</label>
                                        </div>
                                        <div class="col-4">
                                            <input type="number" class="form-control theme-bg total-bill-addition groupOfTexbox" id="drivers_0_gross_wage" name="drivers[0][gross_wage]" min="0" step=".01" value="{{ isset($loadFirstDriver->gross_wage)?$loadFirstDriver->gross_wage:'' }}" readonly>
                                        </div>
                                    </div>
                                    <div class="row form-group align-items-center">
                                        <div class="col-8">
                                            <label for="drivers_0_unload_pay" class="mb-0">Unload Pay</label>
                                        </div>
                                        <div class="col-4">
                                            <input type="number" class="form-control total-bill-addition groupOfTexbox" id="drivers_0_unload_pay" name="drivers[0][unload_pay]" min="0" step=".01" value="{{ isset($loadFirstDriver->unload_pay)?$loadFirstDriver->unload_pay:'' }}">
                                        </div>
                                    </div>
                                    <div class="row form-group align-items-center">
                                        <div class="col-8">
                                            <label for="drivers_0_tarp_pay" class="mb-0">Tarp Pay</label>
                                        </div>
                                        <div class="col-4">
                                            <input type="number" class="form-control total-bill-addition groupOfTexbox" id="drivers_0_tarp_pay" name="drivers[0][tarp_pay]" min="0" step=".01" value="{{ isset($loadFirstDriver->tarp_pay)?$loadFirstDriver->tarp_pay:'' }}">
                                        </div>
                                    </div>
                                    <div class="row form-group align-items-center">
                                        <div class="col-8">
                                            <label for="drivers_0_detention" class="mb-0">Detention</label>
                                        </div>
                                        <div class="col-4">
                                            <input type="number" class="form-control total-bill-addition groupOfTexbox" id="drivers_0_detention" name="drivers[0][detention]" min="0" step=".01" value="{{ isset($loadFirstDriver->detention)?$loadFirstDriver->detention:'' }}">
                                        </div>
                                    </div>
                                    <div class="row form-group align-items-center">
                                        <div class="col-8">
                                            <label for="drivers_0_deductions" class="mb-0">Deductions</label>
                                        </div>
                                        <div class="col-4">
                                            <input type="number" class="form-control theme-danger deductions groupOfTexbox" id="drivers_0_deductions" name="drivers[0][deductions]" min="0" step=".01" value="{{ isset($loadFirstDriver->deductions)?$loadFirstDriver->deductions:'' }}">
                                        </div>
                                    </div>
                                    <div class="add_more_driver_payment_wrapper">
                                        @if(isset($loadFirstDriver->extra) && !empty($loadFirstDriver->extra))
                                            @php
                                                $extra = unserialize($loadFirstDriver->extra);
                                            @endphp
                                            @foreach ($extra as $key => $driver_field)
                                                <div class="row form-group align-items-center" data-last_index="{{ $key }}">
                                                    <div class="col-8">
                                                        <input type="text" class="form-control" id="drivers_0_extra_{{ $key }}_label" name="drivers[0][extra][{{ $key }}][label]" value="{{ isset($driver_field['label'])?$driver_field['label']:''}}">
                                                    </div>
                                                    <div class="col-4">
                                                        <input type="number" class="form-control total-bill-addition groupOfTexbox" id="drivers_0_extra_{{ $key }}_value" name="drivers[0][extra][{{ $key }}][value]" min="0" step=".01" value="{{ isset($driver_field['value'])?$driver_field['value']:''}}">
                                                    </div>
                                                    <div class="col-12 text-right">
                                                        <a href="javascript:void(0);" class="remove_driver_payment_button">Remove</a>
                                                    </div>
                                                </div>
                                            @endforeach
                                        @endif
                                    </div>
                                    <div class="row form-group align-items-center">
                                        <div class="h-43"></div>
                                    </div>
                                    <div><a href="javascript:void(0);" class="a-link add_more_driver_payment_button">+ Add Line Item</a></div>
                                    <div class="billing-checkbox"></div>
                                    <hr class="total-hr">
                                    <div class="row form-group align-items-center">
                                        <div class="col-8">
                                            <label for="drivers_0_total_bill" class="mb-0">Total Bill</label>
                                        </div>
                                        <div class="col-4">
                                            <input type="number" class="form-control theme-bg total-bill" id="drivers_0_total_bill" name="drivers[0][total_bill]" min="0" step=".01" value="{{ isset($loadFirstDriver->total_bill)?$loadFirstDriver->total_bill:'' }}" readonly>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 col-sm-12 mt-2 mt-lg-0 text-right">
                                <!--button
                                    type="button"
                                    class="btn btn-themeBlue billing-btn split_to_new_driver">
                                    <img src="{{ asset('theme/images/split-lt.png') }}" alt="Split to New Driver">
                                    Split to New Driver
                                </button-->
                                <a href="{{ route('company.admin.loads.split',base64Encode($load->id)) }}" class="btn btn-themeBlue billing-btn split_to_new_driver">Split to New Driver</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-header" id="headingCommunication">
                    <h2 class="mb-0">
                        <button
                            class="btn btn-link btn-block text-left collapsed"
                            type="button"
                            data-toggle="collapse"
                            data-target="#communication-collapse"
                            aria-expanded="false"
                            aria-controls="communication-collapse">
                                Communication<i class="fa fa-angle-down" aria-hidden="true"></i>
                        </button>
                    </h2>
                </div>
                <div
                    class="collapse"
                    id="communication-collapse"
                    aria-labelledby="headingCommunication"
                    data-parent="#add_new_load_accrordion">
                    <div class="card-body">
                        <div class="row justify-content-between">
                            <div class="col">
                                <div class="row">
                                    <div class="col-lg-3 col-sm-6 col-12">
                                        <div class="form-group">
                                            <select class="form-control" id="NoteType" name="type">
                                                @if(count(getLoadNoteType()))
                                                    @foreach (getLoadNoteType() as $key => $NoteType)
                                                        <option value="{{ $key }}">{{ $NoteType }}</option>
                                                    @endforeach
                                                @endif
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-lg-3 col-sm-6 col-12">
                                        <div class="form-group">
                                            <select class="form-control" id="RequestType" name="request_type">
                                                <option value="">Select Request Type</option>
                                                @if(count(getNoteRequestType()))
                                                    @foreach (getNoteRequestType() as $key => $RequestType)
                                                        <option value="{{ $key }}">{{ $RequestType }}</option>
                                                    @endforeach
                                                @endif
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-auto">
                                <div class="upload-block">
                                    <a href="javascript:void(0);" class="btn btn-orange">
                                        <img src="{{ asset('theme/images/upload-img.png') }}" alt="Select File">
                                    </a>
                                    <input type="file" name="note_file[]" id="note_file" multiple>
                                </div>
                            </div>
                            <div class="col-lg-12">
                                <div class="form-group">
                                    {!! Form::textarea('note', old('note'), array('class' => 'form-control','placeholder' => 'Enter your message')) !!}
                                </div>
                            </div>
                            <div class="col-sm-auto">
                                <div class="d-flex flex-wrap align-items-center mb-0">
                                    <label class="mb-0 mr-3 font-weight-bold"> Notify:</label>
                                    <div class="custom-checkbox-inline">
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" class="custom-control-input" name="notify_dispatcher" value="1" id="notify_dispatcher">
                                            <label class="custom-control-label" for="notify_dispatcher">Dispatcher</label>
                                        </div>
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" class="custom-control-input" name="notify_dirver" value="1" id="notify_dirver">
                                            <label class="custom-control-label" for="notify_dirver">Driver</label>
                                        </div>
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" class="custom-control-input" name="notify_broker" value="1" id="notify_broker">
                                            <label class="custom-control-label" for="notify_broker">Broker</label>
                                        </div>
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" class="custom-control-input" name="notify_my" value="1" id="notify_my">
                                            <label class="custom-control-label" for="notify_my">Add to my notifications</label>
                                        </div>
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" class="custom-control-input" name="notify_private" value="1" id="notify_private">
                                            <label class="custom-control-label" for="notify_private">CC</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-4 note-private-users-div d-none">
                                <label>Select Users</label>
                                <div class="form-group">
                                    <select multiple="multiple" class="form-control note-private-users" name="notify_private_company_admin_id[]" id="notify_private_company_admin_id">
                                        @foreach(getCompanyAdminListByCompany() as $aKey => $aName)
                                            <option value="{{ $aKey }}">{{ $aName }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="col-sm-auto mt-3 mt-md-0">
                                <button type="button" class="btn btn-themeGray note-submit">Submit</button>
                            </div>
                        </div>
                        <div class="getNoteSave">
                        </div>
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-header" id="headingLoadDocumentSummary">
                    <h2 class="mb-0">
                        <button
                            class="btn btn-link btn-block text-left collapsed"
                            type="button"
                            data-toggle="collapse"
                            data-target="#load-document-collapse"
                            aria-expanded="false"
                            aria-controls="load-document-collapse">
                            Load Document Summary<i class="fa fa-angle-down" aria-hidden="true"></i>
                        </button>
                    </h2>
                </div>
                <div
                    class="collapse"
                    id="load-document-collapse"
                    aria-labelledby="headingLoadDocumentSummary"
                    data-parent="#add_new_load_accrordion">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-8">
                                <div class="table-responsive" id="loadfile">
                                </div>
                            </div>
                           <div class="col-md-4 mb-3">
                                <input type="hidden" name="load_id" class="doc_load_id" value="<?php echo $load->id; ?>">
                                <input type="hidden" name="edit_id" class="edit_id">
                                <div class="form-group">
                                    <label>File Name</label>
                                    <input type="text" name="filename" id="doc_filename" class="form-control doc_filename">
                                </div>
                                <div class="form-group">
                                    <div class="drop-zone">
                                        <span class="drop-zone__prompt">Drag and drop file here or click to browse</span>
                                        <input type="file" id="doc_file" name="file[]" class="drop-zone__input doc_file" accept="image/png,image/gif,image/jpeg,application/pdf,application/vnd.ms-excel" multiple >
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>Note</label>
                                    <textarea  rows="2" class="form-control doc_filenote" id="doc_filenote" name="filenote"></textarea>
                                </div>
                                <button class="btn btn-block btn-themeGray w-100 upload_doc_btn">Upload</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-header" id="headingDetentions">
                    <h2 class="mb-0">
                        <button
                            class="btn btn-link btn-block text-left collapsed"
                            type="button"
                            data-toggle="collapse"
                            data-target="#detentions-collapse"
                            aria-expanded="false"
                            aria-controls="detentions-collapse">
                                Detentions<i class="fa fa-angle-down" aria-hidden="true"></i>
                        </button>
                    </h2>
                </div>
                <div
                    class="collapse"
                    id="detentions-collapse"
                    aria-labelledby="headingDetentions"
                    data-parent="#add_new_load_accrordion">
                    <div class="card-body">
                        Note: Detentions for a load can't be add until the create load is saved
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-header" id="headingLoadLogs">
                    <h2 class="mb-0">
                        <button
                            class="btn btn-link btn-block text-left collapsed"
                            type="button"
                            data-toggle="collapse"
                            data-target="#load-logs-collapse"
                            aria-expanded="false"
                            aria-controls="load-logs-collapse">
                                Load Logs<i class="fa fa-angle-down" aria-hidden="true"></i>
                        </button>
                    </h2>
                </div>
                <div
                    class="collapse"
                    id="load-logs-collapse"
                    aria-labelledby="headingLoadLogs"
                    data-parent="#add_new_load_accrordion">
                    <div class="card-body">
                        @include('companyAdmin.load.include.load-logs')
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-header" id="headingAuditLoads">
                    <h2 class="mb-0">
                        <button
                            class="btn btn-link btn-block text-left collapsed"
                            type="button"
                            data-toggle="collapse"
                            data-target="#audit-loads-collapse"
                            aria-expanded="false"
                            aria-controls="audit-loads-collapse">
                            Audit Loads<i class="fa fa-angle-down" aria-hidden="true"></i>
                        </button>
                    </h2>
                </div>
                <div
                    class="collapse"
                    id="audit-loads-collapse"
                    aria-labelledby="headingAuditLoads"
                    data-parent="#add_new_load_accrordion">
                    <div class="card-body">
                        @include('companyAdmin.load.include.audit_load',['getField'=>$getField])

                        {{--  Note: Audit loads for a load can't be add until the create load is saved  --}}
                    </div>
                </div>
            </div>
            <div class="btn-big-block text-center">
                @if($loadDetail->oos_pending == 1)
                    <a href="{{ URL::previous() }}" class="btn btn-big btn-themeGray d-none">Cancel</a>
                    <button type="button" class="btn btn-big btn-orange save-load-btn d-none">Save</button>
                @else
                    <a href="{{ URL::previous() }}" class="btn btn-big btn-themeGray">Cancel</a>
                    @if($totalPendingDetention > 0)
                        <button type="button" class="btn btn-big btn-themeGray save-load-btn">Detention Request Pending</button>
                    @else
                        <button type="button" class="btn btn-big btn-orange save-load-btn">Save</button>
                    @endif
                @endif
            </div>
        </div>
        <!-- collapse section -->
    {!! Form::close() !!}
@endsection

@section('modal')
    @include('companyAdmin.load.modal.addBrockerContact')

    @include('companyAdmin.load.modal.addShipper')

    @include('companyAdmin.load.modal.addReceiver')

    <div class="modal fade" id="scoreModal" tabindex="-1" role="dialog" aria-labelledby="scoreModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="scoreModalLabel">RTS Credit Score</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form class="scorefrm" name="scorefrm" id="scorefrm" autocomplete="off">
                    <div class="modal-body">
                        <input type="hidden" class="form-control" name="rts_brokerage_id" value="">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Ratting<span>*</span></label>
                                    <select class="form-control" name="ratting" required>
                                        <option value="">Select Ratting</option>
                                        <option value="A">A</option>
                                        <option value="B">B</option>
                                        <option value="C">C</option>
                                        <option value="D">D</option>
                                        <option value="N">N</option>
                                        <option value="F">F</option>
                                    </select>
                                    <span class="error ratting_error text-danger"></span>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Credit Available<span>*</span></label>
                                    <input type="text" class="form-control" name="credit_available" value="" required>
                                    <span class="error credit_available_error text-danger"></span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-themeGray cancel-btn" data-dismiss="modal">Cancel</button>
                        <button class="btn btn-orange score-submit">Submit</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <div class="add-more-copy-section" style="display: none;">
        <div class="row add-more">
            <div class="col-md-5">
                <div class="form-group">
                    {!! Form::text('contacts[replace_key][other_name]', null, array('class' => 'form-control', 'placeholder' => 'Enter Name', 'autocomplete' => 'new')) !!}
                </div>
            </div>
            <div class="col-md-5">
                <div class="form-group">
                    {!! Form::text('contacts[replace_key][other_number]', null, array('class' => 'form-control', 'placeholder' => 'Enter Number', 'autocomplete' => 'new')) !!}
                    <span class="error contacts_replace_key_email_error text-danger"></span>
                </div>
            </div>
            <div class="col-md-2">
                <div class="form-group">
                    <button type="button" class="btn btn-danger btn-sm remove-btn"><i class="fa fa-minus"></i></button>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="loadRequirementModal" tabindex="-1" aria-labelledby="loadRequirementModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            {!! Form::open(array('route' => 'company.admin.load.requirement','method'=>'POST','files'=>'true','class'=>'financial-form','id'=>'finanform')) !!}
                <input type="hidden" name="load_id" id="load_id"  value="{{ $load_id }}">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="loadRequirementModalLabel">Add New</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>QTY</label>
                                    <input type="number" name="qty" class="form-control" placeholder="Enter QTY" required />
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>ITEM</label>
                                    <input type="text" name="name" class="form-control" placeholder="Enter ITEM" required />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn cancel-btn" data-dismiss="modal">Cancel</button>
                        <button type="submit" class="btn blue-btn">Add New</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>

    <div class="modal fade" id="loadRequirementEditModal" tabindex="-1" aria-labelledby="loadRequirementEditModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            {!! Form::open(array('route' => 'company.admin.load.requirement','method'=>'POST','files'=>'true','class'=>'financial-form','id'=>'finanform')) !!}
                <input type="hidden" name="requ_id" class="requ_id"  value="">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="loadRequirementEditModalLabel">Add New</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>QTY</label>
                                    <input type="number" name="qty" class="form-control requ_qty" value="" placeholder="Enter QTY" required />
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>ITEM</label>
                                    <input type="text" name="name" class="form-control requ_name" value="" placeholder="Enter ITEM" required />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn cancel-btn" data-dismiss="modal">Cancel</button>
                        <button type="submit" class="btn blue-btn">Add New</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>

    <div class="copfyfor tranumber" style="display:none;">
        <div class="form-group tranumber-coutn broker-search" id="tratypedata">
            <label>Trailer Number</label>
            <a href="javascript:void(0)" class="btn-link-orange remove-tranumber"><i class="fa fa-minus"aria-hidden="true"></i> Remove</a>
            <select name="addtrauier[replace_key][trailer_number]" class="custom-select customcce form-control cutrailterse" data-parsley-errors-container="#seltrailernumber" required>
                <option>Select Trailer</option>
                @foreach(getTrailerNumberListByCompany() as $key => $trailer)
                    @if(checkOosTrailer($key) == True)
                        @if($setting->oos_equipment != 2)
                            <option data-oos="yes" value="{{ $key }}">{{ $trailer }} - OOS</option>
                        @endif
                    @else
                        <option value="{{ $key }}">{{ $trailer }}</option>
                    @endif
                @endforeach
            </select>
            <i class="fa fa-search"></i>
            <div id="seltrailernumber"></div>
        </div>
    </div>

    <div class="copfyfor trantype" style="display:none;">
        <div class="form-group tranutype-coutn tratypedata">
            <label>Trailer Type</label>
            <select name="addtrauier[replace_key][trailer_type]" class="custom-select trailer-type-custom form-control fil-disabled" required>
                <option value="">Select</option>
                @foreach(getTrailerTypeListByCompany(1) as $key => $trailer)
                    <option  data-is_temp_required="{{ $trailer->is_temp_required }}" value="{{ $trailer->id }}">{{ $trailer->name }}</option>
                @endforeach
            </select>
        </div>
    </div>

    <div class="modal fade" id="detentionRequestModal" tabindex="-1" role="dialog" aria-labelledby="detentionRequestModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="detentionRequestModalLabel"></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body append-view">
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="pendingDetentionModal" tabindex="-1" role="dialog" aria-labelledby="pendingDetentionModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="pendingDetentionModalLabel">Detention Request (Pending)</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body append-view">
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
    <script src="{{ asset('theme/js/jquery.serialtip.js') }}"></script>
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script src="{{ asset('theme/js/input-mask.js') }}"></script>
    <script src="{{ asset('theme/js/html-duration-picker.min.js') }}"></script>
    <script src="{{ asset('theme/js/load-new-theme.js') }}"></script>
    <script type="text/javascript">
        var stop_index              = <?php echo $stop_index; ?>;
        var totalPendingDetention   = <?php echo $totalPendingDetention; ?>;
        var load_requirement        = <?php echo json_encode($load_requirement); ?>;
        var shipperFiles            = <?php echo json_encode($broker_shipper_files); ?>;
        var consigneeFiles          = <?php echo json_encode($broker_consignee_files); ?>;
        $(document).ready(function() {
            //console.log(moment(moment().tz(timeZone)).format(dateTimeLayout));
            $('.edit-form').parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            $('.repBrokerContact').parsley();
            $('#sortable').sortable({
                items: '.stop:not(.fixed)',
                axis: "y",
                handle:".hedding .fa-sort",
                cursor: 'move',
                placeholder: "movable-placeholder", //placeholder: "ui-state-highlight",
                opacity: 0.7,
                revert: 300,
                delay: 150,
                disableSelection: true,
                start: function( e, ui ) {
                    ui.placeholder.height(ui.helper.outerHeight());
                },
                stop: function( e, ui ) {
                },
                update:function(e,ui) {
                    reArrangeStopNo();
                    // drowMapCreate();
                }
            });
            $('#pickup-delivery-collapse .stop[data-stop_index]').each(function (key, val){
                var that = $(this);
                stopInit(that,'yes');
            });
            var total_stop_verified = 0;
            $.each($('.stop .geocoding-verified'), function(index,obj) {
                if($(this).val()=='1'){
                    ++total_stop_verified;
                }
            });
            if(total_stop_verified >= 2){
                // drowMapCreate();
            }
        });
        $(document).ready(function() {
            getNoteSave();

            loadFileView();
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            var sdateNow            = getCurrentDate();
            $('#defaultCurrentTime').val(sdateNow);

            $('#defaultCurrentTime').datetimepicker({
                format: DateTimeFormat
            });
            $("#defaultCurrentTime").addClass("disabled-default-current-time");

            $('#defaultStartShippingTime').datetimepicker({
                format: DateTimeFormat,
            });
            $("#defaultStartShippingTime").addClass("disabled-shipping-date-time");

            $('#defaultStartDeliveryTime').datetimepicker({
                format: DateTimeFormat,
            });
            $("#defaultStartDeliveryTime").addClass("disabled-deliverd-date-time");

            $('#shipperDate,#deliveryDate,#shipperDateEnd,#deliveryDateEnd').datetimepicker({
                format: DateTimeFormat,
                useCurrent: false,
                //minDate: moment()
            });
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('#shipperDate').datetimepicker().on('dp.change', function(e) {
                getWeeklyFuelSurcharge();

                var incrementDay                = moment(new Date(e.date));
                incrementDay.add(0, 'days');

                $(this).data("DateTimePicker").hide();

                var CurrentDate                 = $(this).val();
                var CurrentD                    = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
                var TimeD                       = moment(CurrentDate).add(0, 'day').format(TimeFormat);
                var NewDate                     = moment(CurrentDate).add(1, 'day').format('MM/DD/YYYY');

                $('#deliveryDate').val(NewDate + ' ' + SetTime12);

                $('#deliveryDate').data('DateTimePicker').minDate(CurrentD + ' 00:00');
                $('#shipperDateEnd').data('DateTimePicker').minDate(CurrentD + ' 00:00');
                $('#deliveryDateEnd').data('DateTimePicker').minDate(CurrentD + ' 00:00');

                /*********For stop*******/
                if ($('.stop-date-time')[0]) {
                    $('.stop-date-time').data('DateTimePicker').minDate(CurrentD + ' 00:00');
                    $('.stop-date-time-end').data('DateTimePicker').minDate(CurrentD + ' 00:00');

                    <?php if (getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3): ?>
                        $('.custstopdate').data('DateTimePicker').minDate(CurrentD);
                        $('.custstopdateend').data('DateTimePicker').minDate(CurrentD);
                    <?php endif; ?>
                }
                /*********End For stop*******/

                if ($('input[name="intransit_shipping_information"]:checked').val() == 0) {
                    $('#defaultStartShippingTime').val(NewDate + ' ' + SetTime12);
                }

                if ($('input[name="delivered_delivery_information"]:checked').val() == 0) {
                    $('#defaultStartDeliveryTime').data('DateTimePicker').minDate(CurrentD + ' 00:00');
                    $('#defaultStartDeliveryTime').val(NewDate + ' ' + SetTime12);
                }

                $('#shipperDateEnd').val(CurrentD + ' ' + SetTime12);
                $('#deliveryDateEnd').val(NewDate + ' ' + SetTime12);

                <?php if (getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3): ?>
                    $('.custshippingdate').val(CurrentD);
                    $('.custshippingtime').val(TimeD);

                    $('.custdeliverydate').data('DateTimePicker').minDate(CurrentD);
                    $('.custdeliverydate').val(NewDate);
                    $('.custdeliverytime').val(SetTime12);

                    $('.custshippingdateend').data('DateTimePicker').minDate(CurrentD);
                    $('.custshippingdateend').val(CurrentD);
                    $('.custshippingtimeend').val(SetTime12);

                    $('.custdeliverydateend').data('DateTimePicker').minDate(CurrentD);
                    $('.custdeliverydateend').val(NewDate);
                    $('.custdeliverytimeend').val(SetTime12);
                <?php endif; ?>
            });

            $('#shipperDateEnd').datetimepicker().on('dp.change', function(e) {
                getWeeklyFuelSurcharge();
                var getDate                     = moment(new Date(e.date));
                var CurrentD                    = moment(getDate).add(0, 'day').format('MM/DD/YYYY');
                var TimeD                       = moment(getDate).add(0, 'day').format(TimeFormat);

                $('.custshippingdateend').val(CurrentD);
                $('.custshippingtimeend').val(TimeD);
            });

            $('#deliveryDate').datetimepicker().on('dp.change', function(e) {
                var dinformation                = $('input[name="delivered_delivery_information"]:checked').val();
                if (dinformation == '0') {
                    var CurrentDate             = $(this).val();
                    $('#defaultStartDeliveryTime').val(CurrentDate);
                }

                var getDate                     = moment(new Date(e.date));
                var CurrentD                    = moment(getDate).add(0, 'day').format('MM/DD/YYYY');
                var TimeD                       = moment(getDate).add(0, 'day').format(TimeFormat);

                $('.custdeliverydate').val(CurrentD);
                $('.custdeliverytime').val(TimeD);

                /*********For stop*******/
                if ($(".stop-date-time")[0]) {
                    $('.stop-date-time').data('DateTimePicker').maxDate(CurrentD + ' 00:00');
                    $('.stop-date-time-end').data('DateTimePicker').maxDate(CurrentD + ' 00:00');
                    <?php if (getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3): ?>
                        $('.custstopdate').data('DateTimePicker').maxDate(CurrentD);
                        $('.custstopdateend').data('DateTimePicker').maxDate(CurrentD);
                    <?php endif; ?>
                }
                /*********End For stop*******/
            });

            $('#deliveryDateEnd').datetimepicker().on('dp.change', function(e) {
                var getDate                     = moment(new Date(e.date));
                var CurrentD                    = moment(getDate).add(0, 'day').format('MM/DD/YYYY');
                var TimeD                       = moment(getDate).add(0, 'day').format(TimeFormat);

                $('.custdeliverydateend').val(CurrentD);
                $('.custdeliverytimeend').val(TimeD);
            });
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $("input[name='delivered_delivery_information']").on('change', function(e) {
                var value           = $(this).val();
                if (value == '1') {
                    var dateNow     = getCurrentDate();
                    $('#defaultStartDeliveryTime').val(dateNow);
                    $("#defaultStartDeliveryTime").addClass("disabled-deliverd-date-time");
                }
                if (value == '0') {
                    var ddate       = $('#deliveryDate').val();
                    if (ddate) {
                        $('#defaultStartDeliveryTime').val(ddate);
                    } else {
                        $('#defaultStartDeliveryTime').val(ddate);
                        toastr.error('Please select delivery date and time', 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                    $("#defaultStartDeliveryTime").addClass("disabled-deliverd-date-time");
                }
                if (value == '2') {
                    $("#defaultStartDeliveryTime").val('');
                    $("#defaultStartDeliveryTime").attr("placeholder", "Please choose a date and time");
                    $("#defaultStartDeliveryTime").removeClass("disabled-deliverd-date-time");
                }
            });

            $("input[name='intransit_shipping_information']").on('change', function(e) {
                var value           = $(this).val();
                if (value == '1') {
                    var dateNow     = getCurrentDate();
                    $('#defaultStartShippingTime').val(dateNow);
                    $("#defaultStartShippingTime").addClass("disabled-shipping-date-time");
                }
                if (value == '0') {
                    var ddate       = $('#shipperDate').val();
                    if (ddate) {
                        $('#defaultStartShippingTime').val(ddate);
                    } else {
                        $('#defaultStartShippingTime').val(ddate);
                        toastr.error('Please select Shipping date and time', 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                    $("#defaultStartShippingTime").addClass("disabled-shipping-date-time");
                }
                if (value == '2') {
                    $("#defaultStartShippingTime").val('');
                    $("#defaultStartShippingTime").attr("placeholder", "Please choose a date and time");
                    $("#defaultStartShippingTime").removeClass("disabled-shipping-date-time");
                }
            });

            $("input[name='sent_to_driver']").on('change', function(e) {
                var value           = $(this).val();
                if (value == '0') {
                    var dateNow     = getCurrentDate();
                    $('#defaultCurrentTime').val(dateNow);
                    $("#defaultCurrentTime").addClass("disabled-default-current-time");
                }
                if (value == '1') {
                    $("#defaultCurrentTime").val('');
                    $("#defaultCurrentTime").attr("placeholder", "Please choose a date and time");
                    $("#defaultCurrentTime").removeClass("disabled-default-current-time");
                }
            });

            $("input[name='shipping_time_range']").on('change', function(e) {
                var value                       = $(this).val();
                if (value == '1') {
                    var shipper_date_time_end   = $('input[name="shipper_date_time_end"]').prop('required', true);
                } else {
                    var shipper_date_time_end   = $('input[name="shipper_date_time_end"]').prop('required', false);
                }
            });

            $("input[name='delivery_time_range']").on('change', function(e) {
                var value                       = $(this).val();
                if (value == '1') {
                    var delivery_date_time_end  = $('input[name="delivery_date_time_end"]').prop('required', true);
                } else {
                    var delivery_date_time_end  = $('input[name="delivery_date_time_end"]').prop('required', false);
                }
            });
        });
    </script>
    @if(getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3)
        <script type="text/javascript">
            $(document).ready(function() {
                $('.custdeliverydateend').datetimepicker({
                    format: 'MM/DD/YYYY',
                    useCurrent: false,
                    //minDate: moment()
                });

                $('.custdeliverydateend').datetimepicker().on('dp.change', function(e) {
                    var CurrentDate = moment(new Date(e.date));
                    var CurrentD    = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
                    var Ctime       = $('.custdeliverytimeend').val();
                    $('#deliveryDateEnd').val(CurrentD + ' ' + Ctime).change();
                });

                $('.custdeliverytimeend').datetimepicker({
                    format: TimeFormat,
                    useCurrent: false,
                });

                $('.custdeliverytimeend').datetimepicker().on('dp.change', function(e) {
                    var Ctime       = $('.custdeliverydateend').val();
                    var CurrentDate = moment(new Date(Ctime));
                    var CurrentD    = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
                    var Ctime       = $('.custdeliverytimeend').val();
                    $('#deliveryDateEnd').val(CurrentD + ' ' + Ctime).change();
                });

                $('.custdeliverydate').datetimepicker({
                    format: 'MM/DD/YYYY',
                    useCurrent: false,
                    //minDate: moment()
                });

                $('.custdeliverydate').datetimepicker().on('dp.change', function(e) {
                    var CurrentDate = moment(new Date(e.date));
                    var CurrentD    = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
                    var Ctime       = $('.custdeliverytime').val();
                    $('#deliveryDate').val(CurrentD + ' ' + Ctime).change();
                });

                $('.custdeliverytime').datetimepicker({
                    format: TimeFormat,
                    useCurrent: false,
                });

                $('.custdeliverytime').datetimepicker().on('dp.change', function(e) {
                    var Ctime       = $('.custdeliverydate').val();
                    var CurrentDate = moment(new Date(Ctime));
                    var CurrentD    = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
                    var Ctime       = $('.custdeliverytime').val();
                    $('#deliveryDate').val(CurrentD + ' ' + Ctime).change();
                });

                $('.custshippingdate').datetimepicker({
                    format: 'MM/DD/YYYY',
                    useCurrent: false,
                });

                $('.custshippingdate').datetimepicker().on('dp.change', function(e) {
                    var CurrentDate = moment(new Date(e.date));
                    var CurrentD    = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
                    var Ctime       = $('.custshippingtime').val();
                    $('#shipperDate').val(CurrentD + ' ' + Ctime).change();
                });

                $('.custshippingtime').datetimepicker({
                    format: TimeFormat,
                    useCurrent: false,
                });

                $('.custshippingtime').datetimepicker().on('dp.change', function(e) {
                    var Ctime       = $('.custshippingdate').val();
                    var CurrentDate = moment(new Date(Ctime));
                    var CurrentD    = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
                    var Ctime       = $('.custshippingtime').val();
                    $('#shipperDate').val(CurrentD + ' ' + Ctime).change();
                });

                $('.custshippingdateend').datetimepicker({
                    format: 'MM/DD/YYYY',
                    useCurrent: false,
                    //minDate: moment()
                });

                $('.custshippingdateend').datetimepicker().on('dp.change', function(e) {
                    var CurrentDate = moment(new Date(e.date));
                    var CurrentD    = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
                    var Ctime       = $('.custshippingtimeend').val();
                    $('#shipperDateEnd').val(CurrentD + ' ' + Ctime).change();
                });

                $('.custshippingtimeend').datetimepicker({
                    format: TimeFormat,
                    useCurrent: false,
                });

                $('.custshippingtimeend').datetimepicker().on('dp.change', function(e) {
                    var Ctime       = $('.custshippingdateend').val();
                    var CurrentDate = moment(new Date(Ctime));
                    var CurrentD    = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
                    var Ctime       = $('.custshippingtimeend').val();
                    $('#shipperDateEnd').val(CurrentD + ' ' + Ctime).change();
                });

                $(".custshippingdate").mask("99/99/9999");
                $(".custshippingdateend").mask("99/99/9999");
                $(".custdeliverydate").mask("99/99/9999");
                $(".custdeliverydateend").mask("99/99/9999");

                $(".custshippingtime").mask(TimeMaskFormat).attr("placeholder", TimeFormatPlace);
                $(".custshippingtimeend").mask(TimeMaskFormat).attr("placeholder", TimeFormatPlace);
                $(".custdeliverytime").mask(TimeMaskFormat).attr("placeholder", TimeFormatPlace);
                $(".custdeliverytimeend").mask(TimeMaskFormat).attr("placeholder", TimeFormatPlace);
            });
        </script>
    @endif
    <script type="text/javascript">
        $(document).ready(function() {
            $('.shippingRange').click(function() {
                $('.shippingEnd').addClass('d-block');
            });

            $('.shippingTime').click(function() {
                $('.shippingEnd').removeClass('d-block');
                $('#shipperDateEnd').val('');
            });

            $('.deliveryRange').click(function() {
                $('.deliveryEnd').addClass('d-block');
            });

            $('.deliveryTime').click(function() {
                $('.deliveryEnd').removeClass('d-block');
                $('#deliveryDateEnd').val('');
            });
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('.brokerage-firm-select2').select2().on('change', function (e) {
                var optionSelected      = $("option:selected", this);
                var valueSelected       = this.value;
                if(valueSelected){
                    $('.rep-broker-contact').removeClass('d-none');
                    brokerInfo(valueSelected);
                }else{
                    nonBrokerInfo();
                }
            });
            @if(isset($loadDetail->rep) && $loadDetail->rep!='')
                $('.broker-contact option[value="{{ $loadDetail->rep }}"]').attr('selected', 'selected'); //$('.broker-contact').val('{{ $loadDetail->rep }}').change();
            @endif
            $('.broker-contact').select2();

            $('.rep-broker-contact').click(function () {
                $('.repBrokerContact').trigger('reset');
                var brokerage_firm          = $('.brokerage-firm-select2').val();
                $('.brokerIDset').val(brokerage_firm);
                $('#addBrockerContact').modal('show');
            });
            $('#addBrockerContact').on('hidden.bs.modal', function() {
                $('.repBrokerContact').trigger('reset');
                $('.repBrokerContact').find('.error').text('');
                $('.repBrokerContact').parsley().reset();
            });
            $('.repBrokerContact').ajaxForm({
                beforeSubmit: function () {
                    $('.error').text('');
                    $('.repBrokerContact').parsley().validate();
                    return $('.repBrokerContact').parsley().isValid(); // TRUE when form is valid, FALSE will cancel submit
                },
                complete: function(response) {
                    if (response.responseJSON.success) {
                        var rep             = response.responseJSON.id;
                        var brokerage_firm  = $('.brokerage-firm-select2').val();
                        if(brokerage_firm){
                            brokerInfo(brokerage_firm,rep);
                        }
                        $('#addBrockerContact').modal('hide');
                        toastr.success(response.responseJSON.success, 'Success Alert', {
                            timeOut: 5000
                        });
                    } else {
                        $('.repBrokerContact').find('.error').text('');
                        $.each( response.responseJSON.errors, function( key, value ) {
                            var key = key.replace(/\./g, '_');
                            $.each( value , function( skey, svalue ) {
                                $('.repBrokerContact .'+key+'_error').text(svalue);
                            });
                        });
                        toastr.error('Please check the form below for errors', 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                },
            });
        });
        $(document).on('change', '.broker-contact', function(e) {
            var cphone_number   = $(this).find(":selected").data('phone');
            var cext            = $(this).find(":selected").data('ext');
            var cemail          = $(this).find(":selected").data('email');

            $('.phone, .ext, .broker-email').val('');
            if(cphone_number)
                $('.phone').val(cphone_number);
            if(cext)
                $('.ext').val(cext);
            if(cemail)
                $('.broker-email').val(cemail);
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('.score-btn').click(function () {
                var that                        = $(this);
                var brokerage_firm              = $('.brokerage-firm-select2').val();
                $('#scoreModal input[name="rts_brokerage_id"]').val(brokerage_firm);
                if(that.text()=='Update'){
                    var score_ratting           = $('.credit-score-card input[name="score_ratting"]').val();
                    var score_credit            = $('.credit-score-card input[name="score_credit"]').val();
                    $('#scoreModal select[name="ratting"]').val(score_ratting);
                    $('#scoreModal input[name="credit_available"]').val(score_credit);
                }else{
                    $('#scoreModal select[name="ratting"]').val('');
                    $('#scoreModal input[name="credit_available"]').val('');
                }
                $('#scoreModal').modal('show');
            });
            $('#scoreModal').on('hidden.bs.modal', function() {
                $('#scorefrm').trigger('reset');
                $('#scorefrm').find('.error').text('');
                $('#scorefrm').parsley().reset();
            });
        });
        $(document).on('click', '.score-submit', function(event) {
            event.preventDefault();
            // console.log('score-submit');
            // return false;

            var that                        = $(this);
            var btnTxt                      = that.text();

            var form                        = $('#scoreModal #scorefrm');
            form.parsley().validate();
            if (form.parsley().isValid()){
                var formData                = new FormData(form[0]);
                $.ajax({
                    type: 'POST',
                    url: '{!! route("company.admin.rts.credit.score.save") !!}',
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                }).done(function(response) {
                    if(response.success){
                        var rts_score       = response.rts_score;
                        $('.credit-score-card input[name="score_ratting"]').val(rts_score.score_ratting);
                        $('.credit-score-card .ratting .val').html(rts_score.score_ratting);
                        $('.credit-score-card input[name="score_credit"]').val(rts_score.score_credit);
                        $('.credit-score-card .available .val').html(rts_score.score_credit);
                        $('.credit-score-card input[name="score_updated_at"]').val(rts_score.score_update);
                        $('.credit-score-card .update .val').html(rts_score.convert_score_update);
                        $('.credit-score-card .score-btn').html('Update');

                        toastr.success(
                            response.message,
                            'Success Alert', {
                                timeOut: 1000,
                                fadeOut: 1000,
                                onHidden: function () {
                                    $('#scoreModal').modal('hide');
                                }
                            }
                        );
                    }else{
                        toastr.error(response.message, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                }).fail(function(jqXHR, status, exception)  {
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, 'Error Alert', {
                        timeOut: 5000
                    });
                }).always(function (dataOrjqXHR, textStatus, jqXHRorErrorThrown) {
                    that.prop('disabled', false).html(btnTxt);
                });
            }
            return false;
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('.shipper-select2').select2().on('change', function() {
                var value       = this.value;

                var that        = $(this);
                var geocoding   = that.closest('.geocoding');
                var btn         = geocoding.find('.geocoding-btn');

                if (value) {
                    var token   = $('meta[name="csrf-token"]').attr('content');
                    $.ajax({
                        url: "{{ route('company.admin.get.customeraddress.by.id') }}",
                        method: "POST",
                        data: {
                            _token: token,
                            customer_id: value
                        },
                        beforeSend: function() {
                            geocoding.find('.geocoding-timezone').html('').addClass('d-none');
                            geocoding.find('.geocoding-abbr').val('');
                            geocoding.find('.geocoding-latitude').val('');
                            geocoding.find('.geocoding-longitude').val('');
                            geocoding.find('.geocoding-verified').val('0');

                            btn.text('Verify Address');

                            drowMapCreate();
                        },
                        success: function(response) {
                            var address = response.address;
                            $("input[name='shipper_address_one']").val(response.address);
                            $("input[name='shipper_address_two']").val(response.address2);
                            $("input[name='shipper_city']").val(response.city);
                            $("input[name='shipper_state']").val(response.state);
                            $("input[name='shipper_zip']").val(response.zip);

                            TrimbleMaps.Geocoder.geocode({
                                address: {
                                    addr: response.address,
                                    city: response.city,
                                    state: response.state,
                                    zip: response.zip,
                                    region: TrimbleMaps.Common.Region.NA
                                },
                                listSize: 1,
                                success: function(response) {
                                    // console.log(response);
                                    // return false;
                                    if(response.length > 0){
                                        var data            = response[0];
                                        if(!$.isEmptyObject(data)){
                                            var etype       = [];
                                            var emsg        = [];
                                            if(data.Errors.length > 0){
                                                data.Errors.forEach(function(e) {
                                                    etype.push(e.Type);
                                                    emsg.push(e.Description);
                                                });
                                            }
                                            emsg            = emsg.join(', ');
                                            if($.inArray(1, etype) == -1){ // type == 0
                                                // console.log('Value Not exists');
                                                if(data.TimeZone){
                                                    geocoding.find('.geocoding-timezone').html(data.TimeZone).removeClass('d-none');
                                                    geocoding.find('.geocoding-abbr').val(data.TimeZone);
                                                    geocoding.find('.geocoding-abbr').parsley().reset();
                                                }
                                                if(data.Coords){
                                                    geocoding.find('.geocoding-latitude').val(data.Coords.Lat);
                                                    geocoding.find('.geocoding-longitude').val(data.Coords.Lon);
                                                }
                                                geocoding.find('.geocoding-verified').val('1');

                                                btn.text('Verified');

                                                drowMapCreate();

                                                if(emsg){
                                                    toastr.error(emsg, {
                                                        timeOut: 5000
                                                    });
                                                }
                                            }else{
                                                // console.log('Value exists in Array variable');
                                                // toastr.error(emsg, {
                                                //     timeOut: 5000
                                                // });

                                                var uid         = btn.attr('data-uid');
                                                if(uid){
                                                    var uidElem = $('#boxModal').find('.uid');
                                                    uidElem.text(uid);
                                                    setTimeout(function() {
                                                        $('#boxModal').modal({backdrop: 'static', keyboard: false}, 'show');
                                                    }, 250);
                                                }else{
                                                    toastr.error(emsg, {
                                                        timeOut: 5000
                                                    });
                                                }
                                            }
                                        }
                                    }
                                },
                                failure: function(response) {
                                    //console.log(response);
                                }
                            });
                        }
                    });
                } else {
                    $("input[name='shipper_address_one']").val('');
                    $("input[name='shipper_address_two']").val('');
                    $("input[name='shipper_city']").val('');
                    $("input[name='shipper_state']").val('');
                    $("input[name='shipper_zip']").val('');

                    geocoding.find('.geocoding-timezone').html('').addClass('d-none');
                    geocoding.find('.geocoding-abbr').val('');
                    geocoding.find('.geocoding-latitude').val('');
                    geocoding.find('.geocoding-longitude').val('');
                    geocoding.find('.geocoding-verified').val('0');

                    btn.text('Verify Address');

                    // drowMapCreate();
                }

                $("input[name='shipper_address_one']").parsley().reset();
                $("input[name='shipper_state']").parsley().reset();
                $("input[name='shipper_zip']").parsley().reset();
            });
            $('#addShipperModal').on('hidden.bs.modal', function() {
                $('.storeShipperForm').trigger('reset');
                $('.storeShipperForm').find('.error').text('');
                $('.storeShipperForm input[name="stop_index"]').val('');
            });
            $('.storeShipperForm').ajaxForm({
                complete: function(response) {
                    if (response.responseJSON.success) {
                        var cust_id         = response.responseJSON.id;
                        var stop_index_no   = $('.storeShipperForm input[name="stop_index"]').val();
                        if(stop_index_no){
                            getShipper($('div[data-stop_index="'+stop_index_no+'"] .stop-select2'),cust_id);
                        }else{
                            getShipper($('.shipper-select2'),cust_id);
                        }
                        $('#addShipperModal').modal('hide');
                        toastr.success(response.responseJSON.success, 'Success Alert', {
                            timeOut: 5000
                        });
                    } else {
                        $('.storeShipperForm').find('.error').text('');
                        $.each(response.responseJSON.errors, function(key, value) {
                            var key = key.replace(/\./g, '_');
                            $.each(value, function(skey, svalue) {
                                $('.' + key + '_error').text(svalue);
                            });
                        });
                        toastr.error('Please check the form below for errors', 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                },
            });
        });
        $(document).on('click', '.add-shipper-link', function() {
            var that            = $(this);
            $('.storeShipperForm').trigger('reset');
            $('.storeShipperForm').find('.error').text('');
            var stop_index_no   = that.attr('data-stop_index');
            $('.storeShipperForm input[name="stop_index"]').val('');
            if(stop_index_no){
                $('.storeShipperForm input[name="stop_index"]').val(stop_index_no);
            }
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('.receiver-select2').select2().on('change', function() {
                var value       = this.value;

                var that        = $(this);
                var geocoding   = that.closest('.geocoding');
                var btn         = geocoding.find('.geocoding-btn');

                if (value) {
                    var token   = $('meta[name="csrf-token"]').attr('content');
                    $.ajax({
                        url: "{{ route('company.admin.get.customeraddress.by.id') }}",
                        method: "POST",
                        data: {
                            _token: token,
                            customer_id: value
                        },
                        beforeSend: function() {
                            geocoding.find('.geocoding-timezone').html('').addClass('d-none');
                            geocoding.find('.geocoding-abbr').val('');
                            geocoding.find('.geocoding-latitude').val('');
                            geocoding.find('.geocoding-longitude').val('');
                            geocoding.find('.geocoding-verified').val('0');

                            btn.text('Verify Address');

                            drowMapCreate();
                        },
                        success: function(response) {
                            var address = response.address;
                            $("input[name='delivery_address_one']").val(response.address);
                            $("input[name='delivery_address_two']").val(response.address2);
                            $("input[name='delivery_city']").val(response.city);
                            $("input[name='delivery_state']").val(response.state);
                            $("input[name='delivery_zip']").val(response.zip);

                            TrimbleMaps.Geocoder.geocode({
                                address: {
                                    addr: response.address,
                                    city: response.city,
                                    state: response.state,
                                    zip: response.zip,
                                    region: TrimbleMaps.Common.Region.NA
                                },
                                listSize: 1,
                                success: function(response) {
                                    // console.log(response);
                                    // return false;
                                    if(response.length > 0){
                                        var data            = response[0];
                                        if(!$.isEmptyObject(data)){
                                            var etype       = [];
                                            var emsg        = [];
                                            if(data.Errors.length > 0){
                                                data.Errors.forEach(function(e) {
                                                    etype.push(e.Type);
                                                    emsg.push(e.Description);
                                                });
                                            }
                                            emsg            = emsg.join(', ');
                                            if($.inArray(1, etype) == -1){ // type == 0
                                                // console.log('Value Not exists');
                                                if(data.TimeZone){
                                                    geocoding.find('.geocoding-timezone').html(data.TimeZone).removeClass('d-none');
                                                    geocoding.find('.geocoding-abbr').val(data.TimeZone);
                                                    geocoding.find('.geocoding-abbr').parsley().reset();
                                                }
                                                if(data.Coords){
                                                    geocoding.find('.geocoding-latitude').val(data.Coords.Lat);
                                                    geocoding.find('.geocoding-longitude').val(data.Coords.Lon);
                                                }
                                                geocoding.find('.geocoding-verified').val('1');

                                                btn.text('Verified');

                                                drowMapCreate();

                                                if(emsg){
                                                    toastr.error(emsg, {
                                                        timeOut: 5000
                                                    });
                                                }
                                            }else{
                                                // console.log('Value exists in Array variable');
                                                // toastr.error(emsg, {
                                                //     timeOut: 5000
                                                // });

                                                var uid         = btn.attr('data-uid');
                                                if(uid){
                                                    var uidElem = $('#boxModal').find('.uid');
                                                    uidElem.text(uid);
                                                    setTimeout(function() {
                                                        $('#boxModal').modal({backdrop: 'static', keyboard: false}, 'show');
                                                    }, 250);
                                                }else{
                                                    toastr.error(emsg, {
                                                        timeOut: 5000
                                                    });
                                                }
                                            }
                                        }
                                    }
                                },
                                failure: function(response) {
                                    //console.log(response);
                                }
                            });
                        }
                    });
                } else {
                    $("input[name='delivery_address_one']").val('');
                    $("input[name='delivery_address_two']").val('');
                    $("input[name='delivery_city']").val('');
                    $("input[name='delivery_state']").val('');
                    $("input[name='delivery_zip']").val('');

                    geocoding.find('.geocoding-timezone').html('').addClass('d-none');
                    geocoding.find('.geocoding-abbr').val('');
                    geocoding.find('.geocoding-latitude').val('');
                    geocoding.find('.geocoding-longitude').val('');
                    geocoding.find('.geocoding-verified').val('0');

                    btn.text('Verify Address');

                    // drowMapCreate();
                }

                $("input[name='delivery_address_one']").parsley().reset();
                $("input[name='delivery_state']").parsley().reset();
                $("input[name='delivery_zip']").parsley().reset();
            });
            $('#addReceiverModal').on('hidden.bs.modal', function() {
                $('.storeReceiverForm').trigger('reset');
                $('.storeReceiverForm').find('.error').text('');
                $('.storeReceiverForm input[name="stop_index"]').val('');
            });
            $('.storeReceiverForm').ajaxForm({
                complete: function(response) {
                    if (response.responseJSON.success) {
                        var cust_id         = response.responseJSON.id;
                        var stop_index_no   = $('.storeReceiverForm input[name="stop_index"]').val();
                        if(stop_index_no){
                            getReceiver($('div[data-stop_index="'+stop_index_no+'"] .stop-select2'),cust_id);
                        }else{
                            getReceiver($('.receiver-select2'),cust_id);
                        }
                        $('#addReceiverModal').modal("hide");
                        toastr.success(response.responseJSON.success, 'Success Alert', {
                            timeOut: 5000
                        });
                    } else {
                        $('.storeReceiverForm').find('.error').text('');
                        $.each(response.responseJSON.errors, function(key, value) {
                            var key = key.replace(/\./g, '_');
                            $.each(value, function(skey, svalue) {
                                $('.' + key + '_error').text(svalue);
                            });
                        });
                        toastr.error('Please check the form below for errors', 'Error Alert', {
                            timeOut: 5000
                        })
                    }
                },
            });
        });
        $(document).on('click', '.add-receiver-link', function() {
            var that            = $(this);
            $('.storeReceiverForm').trigger('reset');
            $('.storeReceiverForm').find('.error').text('');
            var stop_index_no   = that.attr('data-stop_index');
            $('.storeReceiverForm input[name="stop_index"]').val('');
            if(stop_index_no){
                $('.storeReceiverForm input[name="stop_index"]').val(stop_index_no);
            }
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('.note-private-users').select2();
        });
        $('input[type="checkbox"][name="notify_private"]').change(function() {
            if (this.checked) {
                $('.note-private-users-div').removeClass('d-none');
            } else {
                $('.note-private-users-div').addClass('d-none');
            }
        });
        $(document).on('click', '.note-submit', function(event) {
            event.preventDefault();
            // console.log('note-submit');
            // return false;
            // var inputs       = $('input, textarea, select').not(':input[type=button], :input[type=submit], :input[type=reset]');

            var that            = $(this);
            var btnTxt          = that.text();

            var card            = that.closest('.card-body');

            var error           = {};
            var note            = card.find('textarea[name="note"]').val();
            if(note==''){
                error['note']   = 'The note field is required.';
            }
            var notify_private  = card.find('input[type="checkbox"][name="notify_private"]').is(':checked');
            if(notify_private){
                var user_private    = card.find('#notify_private_company_admin_id').val();
                if(user_private== null){
                    error['user']   = 'The user field is required.';
                }
            }

            if(!$.isEmptyObject(error)){
                var html        = '<div class="alert alert-danger"><ul>';
                $.each(error, function (key, val) {
                    html        += '<li>'+val+'</li>';
                });
                html            +='</ul></div>';
                Swal.fire({
                    icon: 'error',
                    html: html,
                });
                return false;
            }

            var formData        = new FormData();
            formData.append('load_id', $('input[name="dummyloadid"]').val());
            var fields          = card.find("select, textarea, input:not(input[type=file])").serializeArray();
            $.each(fields, function( i, field ) {
                formData.append(field.name, field.value);
            });
            var totalfiles      = document.getElementById('note_file').files.length;
            for (var index = 0; index < totalfiles; index++) {
                formData.append("note_file[]", document.getElementById('note_file').files[index]);
            }

            $.ajax({
                type: 'POST',
                url: '{!! route("company.admin.loads.note.save") !!}',
                data: formData,
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                cache : false,
                processData: false,
                contentType: false,
                beforeSend: function() {
                    that.prop('disabled', true).html('Please Wait...');
                },
            }).done(function(response) {
                if(response.success){
                    getNoteSave();

                    card.find("textarea").val('');
                    card.find('input:not(:input[type=hidden], :input[type=checkbox])').val('');
                    card.find('select[name="type"] option:eq(0)').prop('selected', true);
                    card.find('select[name="request_type"] option:eq(0)').prop('selected', true);
                    card.find('select[name="notify_private_company_admin_id[]"]').val(null).trigger('change');
                    card.find('input[type=checkbox]:checked').prop( "checked", false );
                    $('.note-private-users-div').addClass('d-none');

                    toastr.success('Note create successfully', 'Success Alert', {
                        timeOut: 5000
                    });
                }else{
                    toastr.error(response.message, 'Error Alert', {
                        timeOut: 5000
                    });
                }
            }).fail(function(jqXHR, status, exception)  {
                if (jqXHR.status === 0) {
                    error = 'Not connected.\nPlease verify your network connection.';
                } else if (jqXHR.status == 404) {
                    error = 'The requested page not found. [404]';
                } else if (jqXHR.status == 500) {
                    error = 'Internal Server Error [500].';
                } else if (exception === 'parsererror') {
                    error = 'Requested JSON parse failed.';
                } else if (exception === 'timeout') {
                    error = 'Time out error.';
                } else if (exception === 'abort') {
                    error = 'Ajax request aborted.';
                } else {
                    error = 'Uncaught Error.\n' + jqXHR.responseText;
                }
                toastr.error(error, 'Error Alert', {
                    timeOut: 5000
                });
            }).always(function (dataOrjqXHR, textStatus, jqXHRorErrorThrown) {
                that.prop('disabled', false).html(btnTxt);
            });
        });
        $(document).on('click', '.destroyNote', function () {
            var current_object = $(this);
            Swal.fire({
                title: "Are you sure?",
                text: "You won't be able to revert this!",
                icon: "warning",
                showCancelButton: true,
                confirmButtonColor: "#3085d6",
                cancelButtonColor: "#d33",
                confirmButtonText: "Yes, delete it!",
            }).then((result) => {
                if (result.value) {
                    $(".getNoteSave").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
                    var action  = current_object.attr('data-action');
                    var id      = current_object.attr('data-id');
                    var token   = $("input[name='_token']").val();

                    $.ajax({
                        url: action,
                        method: "delete",
                        data: { _token : token , id : id},
                        success: function(response) {
                            toastr.success('Deleted successfully', 'Success Alert', {
                                timeOut: 5000
                            });
                            getNoteSave();
                        }
                    });
                }
            });
        });
    </script>
    <script type="text/javascript">
        $(document).on('click', '.time-range-btn', function() {
            $(this).removeClass('btn-grey-theme').addClass('btn-oreng-theme');
            $(this).find('input[type=radio]').prop('checked',true).trigger('change');
            $(this).closest('.buttons-group').find('button').not(this).removeClass('btn-oreng-theme').addClass('btn-grey-theme');
            //console.log($(this).closest('.buttons-group').find('input[type=radio]:checked').val());
        });
        $(document).on('click', '.customer-type-btn', function() {
            $(this).removeClass('btn-grey-theme').addClass('btn-oreng-theme');
            $(this).find('input[type=radio]').prop('checked',true).trigger('change');
            $(this).closest('.buttons-group').find('button').not(this).removeClass('btn-oreng-theme').addClass('btn-grey-theme');
            //console.log($(this).closest('.buttons-group').find('input[type=radio]:checked').val());
        });
    </script>
    <script type="text/javascript">
        $(document).on('click', '.add-shop-btn', function(event) {
            var shipdate                    = $('#shipperDate').val();
            var delirydate                  = $('#deliveryDate').val();
            if (delirydate != null && delirydate != '' && delirydate != null && delirydate != '') {
                var that                    = $(this);
                var stop                    = that.closest('.stop');
                var stop_no                 = stop.attr('data-stop_no');
                stop_no                     += 1;

                var formData                = {};
                formData['stop_no']         = stop_no;
                formData['stop_index']      = stop_index;

                $.ajax({
                    type: 'POST',
                    url: '{{ route("company.admin.load.add.stop") }}',
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        //console.log('beforeSend');
                    },
                    success: function(response) {
                        stop.after(response.view);
                        var stop_div        = $('div[data-stop_index="'+stop_index+'"]');
                        stopInit(stop_div);
                        reArrangeStopNo();
                        stop_index++;

                        toastr.success('Stop Added', 'Success Alert', {
                            timeOut: 5000
                        });
                    },
                    complete: function() {
                        //console.log('complete');
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }else{
                toastr.error('Please select shipping and delivery date.', 'Error Alert', {
                    timeOut: 3000
                });
            }
        });
        $(document).on('click', '.remove-shop-btn', function(event) {
            //if (confirm("Are you sure?")) {
                $(this).closest('.stop').remove();
                reArrangeStopNo();
                // drowMapCreate();
            //}
            return false;
        });
    </script>
    <script type="text/javascript">
        $(document).on('change', '.stop-select2', function() {
            var value           = this.value;

            var that            = $(this);
            var geocoding       = that.closest('.geocoding');
            var btn             = geocoding.find('.geocoding-btn');

            var stop            = that.closest('.stop');

            if (value){
                var token       = $('meta[name="csrf-token"]').attr('content');
                $.ajax({
                    url: "{{ route('company.admin.get.customeraddress.by.id') }}",
                    method: "POST",
                    data: {
                        _token : token,
                        customer_id:value
                    },
                    beforeSend: function() {
                        geocoding.find('.geocoding-timezone').html('').addClass('d-none');
                        geocoding.find('.geocoding-abbr').val('');
                        geocoding.find('.geocoding-latitude').val('');
                        geocoding.find('.geocoding-longitude').val('');
                        geocoding.find('.geocoding-verified').val('0');

                        btn.text('Verify Address');

                        drowMapCreate();
                    },
                    success: function(response) {
                        var address = response.address;
                        stop.find('.stop-address-1').val(response.address);
                        stop.find('.stop-address-2').val(response.address2);
                        stop.find('.stop-city').val(response.city);
                        stop.find('.stop-state').val(response.state);
                        stop.find('.stop-zip').val(response.zip);

                        TrimbleMaps.Geocoder.geocode({
                            address: {
                                addr: response.address,
                                city: response.city,
                                state: response.state,
                                zip: response.zip,
                                region: TrimbleMaps.Common.Region.NA
                            },
                            listSize: 1,
                            success: function(response) {
                                // console.log(response);
                                // return false;
                                if(response.length > 0){
                                    var data            = response[0];
                                    if(!$.isEmptyObject(data)){
                                        var etype       = [];
                                        var emsg        = [];
                                        if(data.Errors.length > 0){
                                            data.Errors.forEach(function(e) {
                                                etype.push(e.Type);
                                                emsg.push(e.Description);
                                            });
                                        }
                                        emsg            = emsg.join(', ');
                                        if($.inArray(1, etype) == -1){ // type == 0
                                            // console.log('Value Not exists');
                                            if(data.TimeZone){
                                                geocoding.find('.geocoding-timezone').html(data.TimeZone).removeClass('d-none');
                                                geocoding.find('.geocoding-abbr').val(data.TimeZone);
                                                geocoding.find('.geocoding-abbr').parsley().reset();
                                            }
                                            if(data.Coords){
                                                geocoding.find('.geocoding-latitude').val(data.Coords.Lat);
                                                geocoding.find('.geocoding-longitude').val(data.Coords.Lon);
                                            }
                                            geocoding.find('.geocoding-verified').val('1');

                                            btn.text('Verified');

                                            drowMapCreate();

                                            if(emsg){
                                                toastr.error(emsg, {
                                                    timeOut: 5000
                                                });
                                            }
                                        }else{
                                            // console.log('Value exists in Array variable');
                                            // toastr.error(emsg, {
                                            //     timeOut: 5000
                                            // });

                                            var uid         = btn.attr('data-uid');
                                            if(uid){
                                                var uidElem = $('#boxModal').find('.uid');
                                                uidElem.text(uid);
                                                setTimeout(function() {
                                                    $('#boxModal').modal({backdrop: 'static', keyboard: false}, 'show');
                                                }, 250);
                                            }else{
                                                toastr.error(emsg, {
                                                    timeOut: 5000
                                                });
                                            }
                                        }
                                    }
                                }
                            },
                            failure: function(response) {
                                //console.log(response);
                            }
                        });
                    }
                });
            }else{
                stop.find('.stop-address-1').val('');
                stop.find('.stop-address-2').val('');
                stop.find('.stop-city').val('');
                stop.find('.stop-state').val('');
                stop.find('.stop-zip').val('');

                geocoding.find('.geocoding-timezone').html('').addClass('d-none');
                geocoding.find('.geocoding-abbr').val('');
                geocoding.find('.geocoding-latitude').val('');
                geocoding.find('.geocoding-longitude').val('');
                geocoding.find('.geocoding-verified').val('0');

                btn.text('Verify Address');

                // drowMapCreate();
            }

            stop.find('.stop-address-1').parsley().reset();
            stop.find('.stop-state').parsley().reset();
            stop.find('.stop-zip').parsley().reset();
        });
        $(document).on('change', '.stop-date_time_range', function() {
            var that                        = $(this);
            var stop_div                    = that.closest('.stop');
            var value                       = that.val();
            if(value == '1'){
                var date_time_end           = stop_div.find('.stop-date-time-end').prop('required',true).attr('aria-describedby');
                stop_div.find('#'+date_time_end).show();
                stop_div.find('.stopDateTimeEnd').addClass('d-block');
            }else{
                var date_time_end           = stop_div.find('.stop-date-time-end').prop('required',false).attr('aria-describedby');
                stop_div.find('#'+date_time_end).hide();
                stop_div.find('.stopDateTimeEnd').removeClass('d-block');
                stop_div.find('.stop-date-time-end').val('');
            }
        });
        $(document).on('change', '.stop-customer_type', function() {
            var that                        = $(this);
            var stop_div                    = that.closest('.stop');
            var value                       = that.val();
            if(value == '1'){
                stop_div.attr('data-customer_type', 1);
                stop_div.find('.changetypelabel').text('Pickup');
                stop_div.find('.changetext').text('Shipper');
                stop_div.find('.stop-select2 option:first').text('Shipper');
                stop_div.find('.stop-select2').select2();
            }else{
                stop_div.attr('data-customer_type', 2);
                stop_div.find('.changetypelabel').text('Delivery');
                stop_div.find('.changetext').text('Receiver');
                stop_div.find('.stop-select2 option:first').text('Receiver');
                stop_div.find('.stop-select2').select2();
            }

            var brokerage_firm              = $('.brokerage-firm-select2').val();
            if(brokerage_firm){
                stop_div.find('.required-documents-collapse-btn').removeClass('d-none');
                stop_div.find('.required-documents-collapse-btn').attr('aria-expanded', false);
                stop_div.find('.required-documents-collapse-div').removeClass('show')
                stop_div.find('.required-documents-table').html('');
                stop_div.find('.add-edit-popup').removeClass('d-none').addClass('d-inline-block');
                stop_div.find('.add-edit-block').addClass('d-none');
                stop_div.find('.add-edit-block').html('');

                requiredDocUploadHtml(stop_div);
                requiredDocHtml(stop_div);
            }
        });
        $(document).on('click', '.rdio', function() {
            console.log('click-rdio');
        });
    </script>
    <script type="text/javascript">
        $(document).on('change', '.stop input[type=file]', function(event) {
            var files = $(this)[0].files;
            if(files.length > 0){
                $(this).prev().html('Upload ('+files.length+')')
            }else{
                $(this).prev().html('Upload')
            }
        });
        $(document).on('change', '.stop .is_required-input', function(event) {
            var that    =  $(this);
            if(this.checked) {
                //that.closest('tr').find('.file-input').prop('required',true);
            }else{
                //that.closest('tr').find('.file-input').prop('required',false);
            }
        });
        $(document).on('change', '.stop .switches-container input[type=radio]', function(event) {
            //console.log($(this).val());
        });
        $(document).on('click', '.stop .add-edit-btn', function(event) {
            var that    = $(this);
            var stop    = that.closest('.stop');
            var hedding = stop.find('.stop-hedding').text();
            hedding     += ' Required Documents';
            var block   = stop.find('.add-edit-block');
            if(block.hasClass('d-none')){
                $('.stop .add-edit-block').addClass('d-none');
                block.find('.popup-heading').text(hedding);
                block.removeClass('d-none');
            }else{
                block.addClass('d-none');
                block.find('popup-heading').text('');
            }
        });
        $(document).on('click', '.add-edit-block .add-required-documents', function(event) {
            var that                        = $(this);
            var main_div                    = that.closest('.custom-required-documents');
            var add_btn                     = main_div.find('.add-required-documents');
            var i                           = add_btn.attr('data-last_index');
            ++i;

            var customer_type               = that.closest('.stop').attr('data-customer_type');
            var stop_index_no               = that.closest('.stop').attr('data-stop_index');
            if(stop_index_no){
                main_div.find('.required-checkbox').append(`
                    <div class="d-flex align-items-center custom-item mb-2">
                        <div class="custom-control custom-checkbox mb-2">
                            <input type="checkbox" class="custom-control-input" id="stop_files_`+stop_index_no+`_is_required_`+i+`" name="stop_files[`+stop_index_no+`][is_required][`+i+`]">
                            <label class="custom-control-label" for="stop_files_`+stop_index_no+`_is_required_`+i+`">
                                <input type="text" class="form-control custom-name" id="stop_files_`+stop_index_no+`_name_`+i+`" name="stop_files[`+stop_index_no+`][name][`+i+`]" placeholder="Enter name">
                            </label>
                        </div>
                        <div>
                            <input type="hidden" name="stop_files[`+stop_index_no+`][custom][`+i+`]" value="yes">
                            <input type="hidden" name="stop_files[`+stop_index_no+`][fixed][`+i+`]" value="no">
                            <div class="switches-container">
                                <input type="radio" id="stop_files_`+stop_index_no+`_type_1_`+i+`" name="stop_files[`+stop_index_no+`][type][`+i+`]" value="1" checked>
                                <input type="radio" id="stop_files_`+stop_index_no+`_type_2_`+i+`" name="stop_files[`+stop_index_no+`][type][`+i+`]" value="2">
                                <label for="stop_files_`+stop_index_no+`_type_1_`+i+`">Copy</label>
                                <label for="stop_files_`+stop_index_no+`_type_2_`+i+`">Original</label>
                                <div class="switch-wrapper">
                                    <div class="switch">
                                        <div>Copy</div>
                                        <div>Original</div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <a href="javascript:void(0);" class="remove-link remove-required-documents">remove</a>
                    </div>
                `);
            }else{
                if(customer_type==1){
                    main_div.find('.required-checkbox').append(`
                        <div class="d-flex align-items-center custom-item mb-2">
                            <div class="custom-control custom-checkbox mb-0">
                                <input type="checkbox" class="custom-control-input" id="shipper_files_is_required_`+i+`" name="shipper_files[is_required][`+i+`]">
                                <label class="custom-control-label" for="shipper_files_is_required_`+i+`">
                                    <input type="text" class="form-control custom-name" id="shipper_files_name_`+i+`" name="shipper_files[name][`+i+`]" placeholder="Enter name">
                                </label>
                            </div>
                            <div>
                                <input type="hidden" name="shipper_files[custom][`+i+`]" value="yes">
                                <input type="hidden" name="shipper_files[fixed][`+i+`]" value="no">
                                <div class="switches-container">
                                    <input type="radio" id="shipper_files_type_1_`+i+`" name="shipper_files[type][`+i+`]" value="1" checked>
                                    <input type="radio" id="shipper_files_type_2_`+i+`" name="shipper_files[type][`+i+`]" value="2">
                                    <label for="shipper_files_type_1_`+i+`">Copy</label>
                                    <label for="shipper_files_type_2_`+i+`">Original</label>
                                    <div class="switch-wrapper">
                                        <div class="switch">
                                            <div>Copy</div>
                                            <div>Original</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <a href="javascript:void(0);" class="remove-link remove-required-documents">remove</a>
                        </div>
                    `);
                }else{
                    main_div.find('.required-checkbox').append(`
                        <div class="d-flex align-items-center custom-item mb-2">
                            <div class="custom-control custom-checkbox mb-0">
                                <input type="checkbox" class="custom-control-input" id="consignee_files_is_required_`+i+`" name="consignee_files[is_required][`+i+`]">
                                <label class="custom-control-label" for="consignee_files_is_required_`+i+`">
                                    <input type="text" class="form-control custom-name" id="consignee_files_name_`+i+`" name="consignee_files[name][`+i+`]" placeholder="Enter name">
                                </label>
                            </div>
                            <div>
                                <input type="hidden" name="consignee_files[custom][`+i+`]" value="yes">
                                <input type="hidden" name="consignee_files[fixed][`+i+`]" value="no">
                                <div class="switches-container">
                                    <input type="radio" id="consignee_files_type_1_`+i+`" name="consignee_files[type][`+i+`]" value="1" checked>
                                    <input type="radio" id="consignee_files_type_2_`+i+`" name="consignee_files[type][`+i+`]" value="2">
                                    <label for="consignee_files_type_1_`+i+`">Copy</label>
                                    <label for="consignee_files_type_2_`+i+`">Original</label>
                                    <div class="switch-wrapper">
                                        <div class="switch">
                                            <div>Copy</div>
                                            <div>Original</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <a href="javascript:void(0);" class="remove-link remove-required-documents">remove</a>
                        </div>
                    `);
                }
            }

            add_btn.attr('data-last_index', i);
        });
        $(document).on('click', '.add-edit-block .remove-required-documents', function(event) {
            //if (confirm("Are you sure?")) {
                $(this).closest('.custom-item').remove();
            //}
            return false;
        });
        $(document).on('click', '.add-edit-block .doc-cancel-btn', function(event) {
            var that    = $(this);
            that.closest('.add-edit-block').addClass('d-none');
        });
        $(document).on('click', '.add-edit-block .doc-save-btn', function(event) {
            event.preventDefault();
            // console.log('doc-save-btn');
            // return false;

            var that                = $(this);
            var btnTxt              = that.text();

            var block               = that.closest('.add-edit-block');
            var error               = {};
            block.find('.custom-name').each(function(i, obj) {
                if($(this).val() === "") {
                    error['name']   = 'The name field is required.';
                    return false; // breaks
                }
            });

            if(!$.isEmptyObject(error)){
                var html            = '<div class="alert alert-danger"><ul>';
                $.each(error, function (key, val) {
                    html            += '<li>'+val+'</li>';
                });
                html                +='</ul></div>';
                Swal.fire({
                    icon: 'error',
                    html: html,
                });
                return false;
            }

            var formData            = block.find(":input").serialize();

            $.ajax({
                type: 'POST',
                url: '{!! route("company.admin.loads.required.documents.update") !!}',
                data: formData,
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                beforeSend: function() {
                    that.prop('disabled', true).html('Please Wait...');
                },
                success: function(response) {
                    if(response.success){
                        that.closest('.add-edit-block').addClass('d-none');
                        requiredDocUploadHtmlUpdate(that, response.files_required);

                        toastr.success(response.message, 'Success Alert', {
                            timeOut: 5000
                        });
                    }else{
                        toastr.error(response.message, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                },
                complete: function() {
                    that.prop('disabled', false).html(btnTxt);
                },
                error: function(jqXHR, status, exception) {
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, 'Error Alert', {
                        timeOut: 5000
                    });
                }
            });
        });
    </script>
    <script type="text/javascript">
        $(document).on('click', '.add_more_mileage_rating_button', function(event) {
            var last_index          = 0;
            var last_wrapper_index  = $('.add_more_mileage_rating_wrapper .row:last()').attr('data-last_index');
            if(typeof last_wrapper_index !== "undefined"){
                last_index          = parseFloat(last_wrapper_index) + 1;
            }

            var html                = `<div class="row form-group align-items-center" data-last_index="`+last_index+`">
                    <div class="col-8">
                        <input type="text" class="form-control" id="mileage_rating_extra_label_`+last_index+`" name="mileage_rating_extra[`+last_index+`][label]">
                    </div>
                    <div class="col-4">
                        <input type="number" class="form-control total-bill-addition groupOfTexbox" id="mileage_rating_extra_value_`+last_index+`" name="mileage_rating_extra[`+last_index+`][value]" min="0" step=".01">
                    </div>
                    <div class="col-12 text-right">
                        <a href="javascript:void(0);" class="remove_mileage_rating_button">Remove</a>
                    </div>
                </div>`;
            $('.add_more_mileage_rating_wrapper').append(html);
        });
        $('.add_more_mileage_rating_wrapper').on('click','.remove_mileage_rating_button',function(){
            //if (confirm("Are you sure?")) {
                $(this).closest('.row').remove();
                $('.mileage-rating-div .total-bill-addition:first').trigger('keyup');
            //}
            return false;
        });
        $('input[type=checkbox][name="paid_by"]').change(function() {
            $('input[type=checkbox][name="paid_by"]').not(this).prop('checked', false);
        });
        $('.clear-mileage-rating-div').click(function() {
            $('.mileage-rating-div').find(':input[type=text]').val('');
            $('.mileage-rating-div').find(':input[type=number]').val('');
            $('.mileage-rating-div').find(':input[type=checkbox]').prop('checked', false);
        });
    </script>
    <script type="text/javascript">
        // Total Miles
        $(document).on('keyup change', '.mileage-rating-div .total-miles-addition', function(e) {
            var sum                 = 0;
            var that                = $(this);
            var closest_div         = that.closest('.mileage-rating-div');
            closest_div.find('.total-miles-addition').each(function(i, obj) {
                var that            = $(this);
                var val             = that.val();
                if (val != "") {
                    sum             += parseFloat(val);
                }
                if(that.hasClass('empty-miles')){
                    $('#drivers_0_empty_miles').val(val);
                }
                if(that.hasClass('loaded-miles')){
                    $('#drivers_0_loaded_miles').val(val);
                }
            });
            closest_div.find('.total-miles').val(sum);
            $('#drivers_0_total_miles').val(sum);
        });
        // Fuel Surcharge
        $(document).on('keyup change', '.mileage-rating-div .loaded-miles , .mileage-rating-div .fuel-surcharge-cost-per-mile', function(e) {
            var that                = $(this);
            var closest_div         = that.closest('.mileage-rating-div');

            var loaded_miles                    = closest_div.find('.loaded-miles').val();
            var fuel_surcharge_cost_per_mile    = closest_div.find('.fuel-surcharge-cost-per-mile').val();

            if (fuel_surcharge_cost_per_mile && loaded_miles) {
                var fuel_surcharge              = parseFloat(fuel_surcharge_cost_per_mile) * parseFloat(loaded_miles);
                closest_div.find('.fuel-surcharge').val(fuel_surcharge.toFixed(2));
                closest_div.find('.line-haul-sub').trigger('keyup');
            }
        });
        // Line Haul
        $(document).on('keyup change', '.mileage-rating-div .line-haul-sub', function(e) {
            var that                = $(this);
            var closest_div         = that.closest('.mileage-rating-div');

            var agreed_upon_rate    = closest_div.find('.agreed-upon-rate').val();
            var fuel_surcharge      = closest_div.find('.fuel-surcharge').val();
            if (agreed_upon_rate && fuel_surcharge) {
                var line_haul       = parseFloat(agreed_upon_rate) - parseFloat(fuel_surcharge);
                closest_div.find('.line-haul').val(line_haul.toFixed(2));
            }
        });
        // Total Bill
        $(document).on('keyup change', '.mileage-rating-div .total-bill-addition', function(e) {
            var sum                 = 0;
            var that                = $(this);
            var closest_div         = that.closest('.mileage-rating-div');

            closest_div.find('.total-bill-addition').each(function(i, obj) {
                var val = $(this).val();
                if (val != "") {
                    sum += parseFloat(val);
                }
            });
            closest_div.find('.total-bill').val(sum);
        });
    </script>
    <script type="text/javascript">
        $(document).on('click', '.add_more_driver_payment_button', function(event) {
            var that                = $(this);
            var closest_div         = that.closest('.driver-payment-div');
            var number              = closest_div.attr('data-number');

            var last_index          = 0;
            var last_wrapper_index  = closest_div.find('.add_more_driver_payment_wrapper .row:last()').attr('data-last_index');
            if(typeof last_wrapper_index !== "undefined"){
                last_index          = parseFloat(last_wrapper_index) + 1;
            }

            var html                = `<div class="row form-group align-items-center" data-last_index="`+last_index+`">
                    <div class="col-8">
                        <input type="text" class="form-control" id="drivers_`+number+`_extra_`+last_index+`_label" name="drivers[`+number+`][extra][`+last_index+`][label]">
                    </div>
                    <div class="col-4">
                        <input type="number" class="form-control total-bill-addition groupOfTexbox" id="drivers_`+number+`_extra_`+last_index+`_value" name="drivers[`+number+`][extra][`+last_index+`][value]" min="0" step=".01">
                    </div>
                    <div class="col-12 text-right">
                        <a href="javascript:void(0);" class="remove_driver_payment_button">Remove</a>
                    </div>
                </div>`;
            closest_div.find('.add_more_driver_payment_wrapper').append(html);
        });
        $(document).on('click', '.remove_driver_payment_button', function(event) {
            //if (confirm("Are you sure?")) {
                var that            = $(this);
                var closest_div     = that.closest('.driver-payment-div');
                that.closest('.row').remove();
                closest_div.find('.total-bill-addition:first').trigger('keyup');
            //}
            return false;
        });
        $(document).on('click', '.clear-driver-payment-div', function(event) {
            var that                = $(this);
            var closest_div         = that.closest('.driver-payment-div');
            closest_div.find(':input[type=text],:input[type=number]').val('');
        });
    </script>
    <script type="text/javascript">
        // Total Miles
        $(document).on('keyup change', '.driver-payment-div .total-miles-addition', function(e) {
            var sum                 = 0;
            var that                = $(this);
            var closest_div         = that.closest('.driver-payment-div');

            closest_div.find('.total-miles-addition').each(function(i, obj) {
                var val = $(this).val();
                if (val != "") {
                    sum += parseFloat(val);
                }
            });
            closest_div.find('.total-miles').val(sum);
        });
        // Total Bill
        $(document).on('keyup change', '.driver-payment-div .total-bill-addition, .driver-payment-div .deductions', function(e) {
            var sum                 = 0;
            var that                = $(this);
            var closest_div         = that.closest('.driver-payment-div');

            closest_div.find('.total-bill-addition').each(function(i, obj) {
                var val = $(this).val();
                if (val != "") {
                    sum += parseFloat(val);
                }
            });
            var deductions          = closest_div.find('.deductions').val();
            if (deductions != "") {
                sum     -= parseFloat(deductions);
            }
            closest_div.find('.total-bill').val(sum);
        });
    </script>
    <script type="text/javascript">
        $(document).on('click', '.split_to_new_driver', function(event) {
            var that                    = $(this);
            var closest_div             = that.closest('div');

            var number                  = 1;
            var split_driver_div        = $('.split-to-new-driver-div:last()');
            if(split_driver_div.length > 0){
                var split_driver_number = split_driver_div.find('.driver-payment-div').attr('data-number');
                if(typeof split_driver_number !== "undefined"){
                    number              += parseFloat(split_driver_number);
                }
            }

            var html                    = `<div class="col-xl-4 offset-xl-1 col-lg-5 col-md-6 mt-3 mt-md-0 split-to-new-driver-div">
                <div class="driver-payment-div" data-number="`+number+`">
                    <div class="row justify-content-between align-items-center minh-22">
                        <div class="d-flex align-items-center">
                            <h6 class="mr-3">Payment</h6>
                             <select class="form-control split_driver_id" name="drivers[`+number+`][driver_id]" id="drivers_`+number+`_driver_id">
                                <option val="">Select Driver</option>
                            </select>
                        </div>
                        <div><a href="javascript:void(0);" class="a-link remove_split_to_new_driver">Remove</a></div>
                    </div>
                    <hr>
                    <div class="text-right mb-3">
                        <a href="javascript:void(0);" class="a-link clear-driver-payment-div">Clear</a>
                    </div>
                    <div class="row">
                        <div class="col-4">
                            <div class="form-group">
                                <label for="drivers_`+number+`_empty_miles">Empty Miles</label>
                                <input type="number" class="form-control empty-miles total-miles-addition groupOfTexbox" id="drivers_`+number+`_empty_miles" name="drivers[`+number+`][empty_miles]" min="0" step=".01">
                            </div>
                        </div>
                        <div class="col-4">
                            <div class="form-group">
                                <label for="drivers_`+number+`_loaded_miles">Loaded Miles</label>
                                <input type="number" class="form-control loaded-miles total-miles-addition groupOfTexbox" id="drivers_`+number+`_loaded_miles" name="drivers[`+number+`][loaded_miles]" min="0" step=".01">
                            </div>
                        </div>
                        <div class="col-4">
                            <div class="form-group">
                                <label for="drivers_`+number+`_total_miles">Total Miles</label>
                                <input type="number" class="form-control theme-bg total-miles groupOfTexbox" id="drivers_`+number+`_total_miles" name="drivers[`+number+`][total_miles]" min="0" step=".01" readonly>
                            </div>
                        </div>
                    </div>
                    <div class="row form-group align-items-center">
                        <div class="col-8">
                            <label for="drivers_`+number+`_pay_type" class="mb-0">Pay Type</label>
                        </div>
                        <div class="col-4">
                            <input type="number" class="form-control theme-bg total-bill-addition groupOfTexbox" id="drivers_`+number+`_pay_type" name="drivers[`+number+`][pay_type]" min="0" step=".01" readonly>
                        </div>
                    </div>
                    <div class="row form-group align-items-center">
                        <div class="col-8">
                            <label for="drivers_`+number+`_gross_wage" class="mb-0">Gross Wage</label>
                        </div>
                        <div class="col-4">
                            <input type="number" class="form-control theme-bg total-bill-addition groupOfTexbox" id="drivers_`+number+`_gross_wage" name="drivers[`+number+`][gross_wage]" min="0" step=".01" readonly>
                        </div>
                    </div>
                    <div class="row form-group align-items-center">
                        <div class="col-8">
                            <label for="drivers_`+number+`_unload_pay" class="mb-0">Unload Pay</label>
                        </div>
                        <div class="col-4">
                            <input type="number" class="form-control total-bill-addition groupOfTexbox" id="drivers_`+number+`_unload_pay" name="drivers[`+number+`][unload_pay]" min="0" step=".01">
                        </div>
                    </div>
                    <div class="row form-group align-items-center">
                        <div class="col-8">
                            <label for="drivers_`+number+`_tarp_pay" class="mb-0">Tarp Pay</label>
                        </div>
                        <div class="col-4">
                            <input type="number" class="form-control total-bill-addition groupOfTexbox" id="drivers_`+number+`_tarp_pay" name="drivers[`+number+`][tarp_pay]" min="0" step=".01">
                        </div>
                    </div>
                    <div class="row form-group align-items-center">
                        <div class="col-8">
                            <label for="drivers_`+number+`_detention" class="mb-0">Detention</label>
                        </div>
                        <div class="col-4">
                            <input type="number" class="form-control total-bill-addition groupOfTexbox" id="drivers_`+number+`_detention" name="drivers[`+number+`][detention]" min="0" step=".01">
                        </div>
                    </div>
                    <div class="row form-group align-items-center">
                        <div class="col-8">
                            <label for="drivers_`+number+`_deductions" class="mb-0">Deductions</label>
                        </div>
                        <div class="col-4">
                            <input type="number" class="form-control theme-danger deductions groupOfTexbox" id="drivers_`+number+`_deductions" name="drivers[`+number+`][deductions]" min="0" step=".01">
                        </div>
                    </div>
                    <div class="add_more_driver_payment_wrapper">
                    </div>
                    <div class="row form-group align-items-center">
                        <div class="h-43"></div>
                    </div>
                    <div><a href="javascript:void(0);" class="a-link add_more_driver_payment_button">+ Add Line Item</a></div>
                    <div class="billing-checkbox"></div>
                    <hr class="total-hr">
                    <div class="row form-group align-items-center">
                        <div class="col-8">
                            <label for="drivers_`+number+`_total_bill" class="mb-0">Total Bill</label>
                        </div>
                        <div class="col-4">
                            <input type="number" class="form-control theme-bg total-bill" id="drivers_`+number+`_total_bill" name="drivers[`+number+`][total_bill]" min="0" step=".01" readonly>
                        </div>
                    </div>
                </div>
            </div>`;

            closest_div.before(html);

            $('.split_driver_id').select2({
                allowClear: true,
                placeholder: "Select Driver",
                ajax:{
                    url: "{{ route('company.admin.drivers.ajax.list') }}",
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    type:"POST",
                    data: function(term) {
                        return {
                            search:term.term
                        };
                    },
                    processResults: function(data, page) {
                        return {
                            results: $.map(data, function(item) {
                                return {
                                    text: item.text,
                                    id: item.id
                                }
                            })
                        };
                    }
                }
            });
        });
        $(document).on('click', '.remove_split_to_new_driver', function(event) {
            //if (confirm("Are you sure?")) {
                var that            = $(this);
                that.closest('.split-to-new-driver-div').remove();
            //}
            return false;
        });
    </script>
    <script type="text/javascript">
        $(document).on('click', '.save-load-btn', function() {
            console.log('save-load-btn');
            subitForm();
        });
    </script>
    <script type="text/javascript">
        function brokerInfo(id,rep=null){
            var token   = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                url: "/company-admin/loads/broker-info",
                method: "POST",
                data: { id: id, load_detail_id : <?php echo $loadDetail->id; ?> },
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                success: function(response) {
                    if (response.data) {
                        var cphone_number               = response.data.dispatch_contact_phone;
                        var cext                        = response.data.dispatch_contact_contact_ext;
                        var cemail                      = response.data.dispatch_contact_email;

                        $('.brokerage-mc, .phone, .ext, .broker-email').val('');
                        if(response.data.mc_number)
                            $('.brokerage-mc').val(response.data.mc_number);
                            $('.brokerage-mc').parsley().reset();
                        if(cphone_number)
                            $('.phone').val(cphone_number);
                        if(cext)
                            $('.ext').val(cext);
                        if(cemail)
                            $('.broker-email').val(cemail);

                        $('.brokerContact .select2').remove();
                        if (response.contact_html) {
                            $('.brokerContact').append(response.contact_html);
                            $('.broker-contact').select2();
                            if(rep){
                                $('.broker-contact').val(rep).trigger('change');
                            }else{
                                if($('.broker-contact option:eq(1)').length > 0){
                                    var broker_contact  = $('.broker-contact option:eq(1)').val();
                                    $('.broker-contact').val(broker_contact).trigger('change');
                                }
                            }
                        }else{
                            $(".brokerContact").append(`
                                <select class="form-control broker-contact select2" name="rep">
                                    <option value="">Select option</option>
                                </select>`
                            );
                            $('.broker-contact').select2();
                        }

                        $('.credit-score-card').removeClass('d-none');
                        $('.credit-score-card .score-btn').removeClass('d-none');

                        var rts_score                   = response.rts_score;
                        if($.isEmptyObject(response.rts_score)){
                            $('.credit-score-card input[name="score_ratting"]').val('');
                            $('.credit-score-card .ratting .val').html('');
                            $('.credit-score-card input[name="score_credit"]').val('');
                            $('.credit-score-card .available .val').html('');
                            $('.credit-score-card input[name="score_updated_at"]').val('');
                            $('.credit-score-card .update .val').html('');
                            $('.credit-score-card .score-btn').html('Add');
                        }else{
                            if(rts_score.score_ratting){
                                $('.credit-score-card input[name="score_ratting"]').val(rts_score.score_ratting);
                                $('.credit-score-card .ratting .val').html(rts_score.score_ratting);
                            }else{
                                $('.credit-score-card input[name="score_ratting"]').val('');
                                $('.credit-score-card .ratting .val').html('');
                            }
                            if(rts_score.score_credit){
                                $('.credit-score-card input[name="score_credit"]').val(rts_score.score_credit);
                                $('.credit-score-card .available .val').html(rts_score.score_credit);
                            }else{
                                $('.credit-score-card input[name="score_credit"]').val('');
                                $('.credit-score-card .available .val').html('');
                            }
                            if(rts_score.score_update){
                                $('.credit-score-card input[name="score_updated_at"]').val(rts_score.score_update);
                                $('.credit-score-card .update .val').html(rts_score.convert_score_update);
                            }else{
                                $('.credit-score-card input[name="score_updated_at"]').val('');
                                $('.credit-score-card .update .val').html('');
                            }
                            if(rts_score.load_id==$('input[name="dummyloadid"]').val()){
                                $('.credit-score-card .score-btn').addClass('d-none');
                            }
                            $('.credit-score-card .score-btn').html('Update');
                        }

                        shipperFiles        = response.shipper_files;
                        consigneeFiles      = response.consignee_files;

                        $('.stop .required-documents-collapse-btn').removeClass('d-none');
                        $('.stop .required-documents-collapse-btn').each(function(index) {
                            var that        = $(this);
                            that.attr('aria-expanded', false);
                            $(document).find("div" + $(this).attr('data-target')).removeClass('show');
                        });
                        $('.stop .required-documents-table').html('');
                        $('.stop .add-edit-popup').removeClass('d-none').addClass('d-inline-block');
                        $('.stop .add-edit-block').addClass('d-none');
                        $('.stop .add-edit-block').html('');

                        var total           = $('.stop').length;
                        $('.stop').each(function(index) {
                            var that        = $(this);
                            if (index === 0) {
                                requiredDocUploadHtml(that);
                                requiredDocHtml(that);
                            } else if (index === total - 1){
                                requiredDocUploadHtml(that);
                                requiredDocHtml(that);
                            } else{
                                requiredDocUploadHtml(that);
                                requiredDocHtml(that);
                            }
                        });
                    }else{
                        nonBrokerInfo();
                    }
                }
            });
        }
        function nonBrokerInfo(){
            $('.rep-broker-contact').addClass('d-none');

            $('.brokerage-mc, .phone, .ext, .broker-email').val('');
            $('.brokerContact .select2').remove();
            $(".brokerContact").append(`
                <select class="form-control broker-contact select2" name="rep">
                    <option value="">Select option</option>
                </select>`
            );
            $('.broker-contact').select2();

            $('.credit-score-card').addClass('d-none');
            $('.credit-score-card .score-btn').addClass('d-none');

            $('.credit-score-card input[name="score_ratting"]').val('');
            $('.credit-score-card .ratting .val').html('');
            $('.credit-score-card input[name="score_credit"]').val('');
            $('.credit-score-card .available .val').html('');
            $('.credit-score-card input[name="score_updated_at"]').val('');
            $('.credit-score-card .update .val').html('');
            $('.credit-score-card .score-btn').html('Add');

            shipperFiles        = [];
            consigneeFiles      = [];

            $('.stop .required-documents-collapse-btn').addClass('d-none');
            $('.stop .required-documents-collapse-btn').each(function(index) {
                var that        = $(this);
                that.attr('aria-expanded', false);
                $(document).find("div" + $(this).attr('data-target')).removeClass('show');
            });
            $('.stop .required-documents-table').html('');
            $('.stop .add-edit-popup').addClass('d-none').removeClass('d-inline-block');
            $('.stop .add-edit-block').addClass('d-none');
            $('.stop .add-edit-block').html('');
        }
        function requiredDocUploadHtml(that){
            var customer_type                   = that.attr('data-customer_type');
            var stop_index_no                   = that.attr('data-stop_index');
            if(stop_index_no){
                var type                        = 'stop';
                if(customer_type==1){
                    var files_required          = shipperFiles.filter(v => v.is_required === "on");
                }else{
                    var files_required          = consigneeFiles.filter(v => v.is_required === "on");
                }
            }else{
                if(customer_type==1){
                    var type                    = 'pickup';
                    var files_required          = shipperFiles.filter(v => v.is_required === "on");
                }else{
                    var type                    = 'delivery';
                    var files_required          = consigneeFiles.filter(v => v.is_required === "on");
                }
            }
            // start html concate
            var html                            = '';
            if(type=='pickup'){
                if(files_required.length > 0){
                    html                        += `<table class="table mt-0"><tbody>`;
                    $.each(files_required, function (index,value) {
                        var uploadLink          = '';
                        if(value.type==1){
                            var type            = 'Copy';
                            uploadLink          = `<div class="required-documents-upload">
                                <a href="javascript:void(0);">Upload</a>
                                <input type="file" class="file-input" name="shipper_files_upload[file][`+index+`][]" multiple>
                            </div>`;
                        }else{
                            var type            = 'Original';
                        }
                        html                    += `<tr>
                            <td class="d-none">
                                <input type="hidden" class="fixed-input" name="shipper_files_upload[fixed][`+index+`]" value="`+value.fixed+`">
                                <input type="hidden" class="name-input" name="shipper_files_upload[name][`+index+`]" value="`+value.name+`">
                                <input type="hidden" class="type-input" name="shipper_files_upload[type][`+index+`]" value="`+value.type+`">
                            </td>
                            <td class="name">
                                `+value.name+`
                            </td>
                            <td class="type">
                                `+type+`
                            </td>
                            <td class="is_received">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input is_received-input" type="checkbox" name="shipper_files_upload[is_received][`+index+`]" id="shipper_files_upload_is_received_`+index+`">
                                    <label class="form-check-label" for="shipper_files_upload_is_received_`+index+`">Received</label>
                                </div>
                            </td>
                            <td class="is_required">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input is_required-input" type="checkbox" name="shipper_files_upload[is_required][`+index+`]" id="shipper_files_upload_is_required_`+index+`" checked>
                                    <label class="form-check-label" for="shipper_files_upload_is_required_`+index+`">Required</label>
                                </div>
                            </td>
                            <td>
                            </td>
                            <td>
                                `+uploadLink+`
                            </td>
                        </tr>`;
                    });
                    html                        += `</tbody></table>`;
                }else{
                    html                        += `No required documents.`;
                }
            }else if(type=='delivery'){
                if(files_required.length > 0){
                    html                        += `<table class="table mt-0"><tbody>`;
                    $.each(files_required, function (index,value) {
                        var uploadLink          = '';
                        if(value.type==1){
                            var type            = 'Copy';
                            uploadLink          = `<div class="required-documents-upload">
                                <a href="javascript:void(0);">Upload</a>
                                <input type="file" class="file-input" name="consignee_files_upload[file][`+index+`][]" multiple>
                            </div>`;
                        }else{
                            var type            = 'Original';
                        }
                        html                    += `<tr>
                            <td class="d-none">
                                <input type="hidden" class="fixed-input" name="consignee_files_upload[fixed][`+index+`]" value="`+value.fixed+`">
                                <input type="hidden" class="name-input" name="consignee_files_upload[name][`+index+`]" value="`+value.name+`">
                                <input type="hidden" class="type-input" name="consignee_files_upload[type][`+index+`]" value="`+value.type+`">
                            </td>
                            <td class="name">
                                `+value.name+`
                            </td>
                            <td class="type">
                                `+type+`
                            </td>
                            <td class="is_received">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input is_received-input" type="checkbox" name="consignee_files_upload[is_received][`+index+`]" id="consignee_files_upload_is_received_`+index+`">
                                    <label class="form-check-label" for="consignee_files_upload_is_received_`+index+`">Received</label>
                                </div>
                            </td>
                            <td class="is_required">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input is_required-input" type="checkbox" name="consignee_files_upload[is_required][`+index+`]" id="consignee_files_upload_is_required_`+index+`" checked>
                                    <label class="form-check-label" for="consignee_files_upload_is_required_`+index+`">Required</label>
                                </div>
                            </td>
                            <td>
                            </td>
                            <td>
                                `+uploadLink+`
                            </td>
                        </tr>`;
                    });
                    html                        += `</tbody></table>`;
                }else{
                    html                        += `No required documents.`;
                }
            }else if(type=='stop'){
                if(files_required.length > 0){
                    html                        += `<table class="table mt-0"><tbody>`;
                    $.each(files_required, function (index,value) {
                        var uploadLink          = '';
                        if(value.type==1){
                            var type            = 'Copy';
                            uploadLink          = `<div class="required-documents-upload">
                                <a href="javascript:void(0);">Upload</a>
                                <input type="file" class="file-input" name="stop_files_upload[`+stop_index_no+`][file][`+index+`][]" multiple>
                            </div>`;
                        }else{
                            var type            = 'Original';
                        }
                        html                    += `<tr>
                            <td class="d-none">
                                <input type="hidden" class="fixed-input" name="stop_files_upload[`+stop_index_no+`][fixed][`+index+`]" value="`+value.fixed+`">
                                <input type="hidden" class="name-input" name="stop_files_upload[`+stop_index_no+`][name][`+index+`]" value="`+value.name+`">
                                <input type="hidden" class="type-input" name="stop_files_upload[`+stop_index_no+`][type][`+index+`]" value="`+value.type+`">
                            </td>
                            <td class="name">
                                `+value.name+`
                            </td>
                            <td class="type">
                                `+type+`
                            </td>
                            <td class="is_received">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input is_received-input" type="checkbox" name="stop_files_upload[`+stop_index_no+`][is_received][`+index+`]" id="stop_files_upload_`+stop_index_no+`_is_received_`+index+`">
                                    <label class="form-check-label" for="stop_files_upload_`+stop_index_no+`_is_received_`+index+`">Received</label>
                                </div>
                            </td>
                            <td class="is_required">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input is_required-input" type="checkbox" name="stop_files_upload[`+stop_index_no+`][is_required][`+index+`]" id="stop_files_upload_`+stop_index_no+`_is_required_`+index+`" checked>
                                    <label class="form-check-label" for="stop_files_upload_`+stop_index_no+`_is_required_`+index+`">Required</label>
                                </div>
                            </td>
                            <td>
                            </td>
                            <td>
                                `+uploadLink+`
                            </td>
                        </tr>`;
                    });
                    html                        += `</tbody></table>`;
                }else{
                    html                        += `No required documents.`;
                }
            }

            that.find('.required-documents-table').html(html);
            if(html!=''){
                that.find('.required-documents-collapse-btn').trigger('click');
            }
        }
        function requiredDocUploadHtmlUpdate(that, files_required){ // that means save btn
            var stop_div                        = that.closest('.stop');
            if(stop_div.find('.required-documents-collapse-btn').hasClass('d-none')){
                stop_div.find('.required-documents-collapse-btn').removeClass('d-none');
            }
            stop_div.find('.required-documents-table').html('');

            var customer_type                   = stop_div.attr('data-customer_type');
            var stop_index_no                   = stop_div.attr('data-stop_index');
            if(stop_index_no){
                var type                        = 'stop';
            }else{
                if(customer_type==1){
                    var type                    = 'pickup';
                }else{
                    var type                    = 'delivery';
                }
            }

            var html                            = '';
            if(type=='pickup'){
                if(!$.isEmptyObject(files_required)){
                    html                        += `<table class="table mt-0"><tbody>`;
                    $.each(files_required, function (index,value) {
                        var uploadLink          = '';
                        if(value.type==1){
                            var type            = 'Copy';
                            uploadLink          = `<div class="required-documents-upload">
                                <a href="javascript:void(0);">Upload</a>
                                <input type="file" class="file-input" name="shipper_files_upload[file][`+index+`][]" multiple>
                            </div>`;
                        }else{
                            var type            = 'Original';
                        }
                        html                    += `<tr>
                            <td class="d-none">
                                <input type="hidden" class="custom-input" name="shipper_files_upload[custom][`+index+`]" value="`+value.custom+`">
                                <input type="hidden" class="fixed-input" name="shipper_files_upload[fixed][`+index+`]" value="`+value.fixed+`">
                                <input type="hidden" class="name-input" name="shipper_files_upload[name][`+index+`]" value="`+value.name+`">
                                <input type="hidden" class="type-input" name="shipper_files_upload[type][`+index+`]" value="`+value.type+`">
                            </td>
                            <td class="name">
                                `+value.name+`
                            </td>
                            <td class="type">
                                `+type+`
                            </td>
                            <td class="is_received">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input is_received-input" type="checkbox" name="shipper_files_upload[is_received][`+index+`]" id="shipper_files_upload_is_received_`+index+`">
                                    <label class="form-check-label" for="shipper_files_upload_is_received_`+index+`">Received</label>
                                </div>
                            </td>
                            <td class="is_required">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input is_required-input" type="checkbox" name="shipper_files_upload[is_required][`+index+`]" id="shipper_files_upload_is_required_`+index+`" checked>
                                    <label class="form-check-label" for="shipper_files_upload_is_required_`+index+`">Required</label>
                                </div>
                            </td>
                            <td>
                            </td>
                            <td>
                                `+uploadLink+`
                            </td>
                        </tr>`;
                    });
                    html                        += `</tbody></table>`;
                }else{
                    html                        += `No required documents.`;
                }
            }else if(type=='delivery'){
                if(!$.isEmptyObject(files_required)){
                    html                        += `<table class="table mt-0"><tbody>`;
                    $.each(files_required, function (index,value) {
                        var uploadLink          = '';
                        if(value.type==1){
                            var type            = 'Copy';
                            uploadLink          = `<div class="required-documents-upload">
                                <a href="javascript:void(0);">Upload</a>
                                <input type="file" class="file-input" name="consignee_files_upload[file][`+index+`][]" multiple>
                            </div>`;
                        }else{
                            var type            = 'Original';
                        }
                        html                    += `<tr>
                            <td class="d-none">
                                <input type="hidden" class="custom-input" name="consignee_files_upload[custom][`+index+`]" value="`+value.custom+`">
                                <input type="hidden" class="fixed-input" name="consignee_files_upload[fixed][`+index+`]" value="`+value.fixed+`">
                                <input type="hidden" class="name-input" name="consignee_files_upload[name][`+index+`]" value="`+value.name+`">
                                <input type="hidden" class="type-input" name="consignee_files_upload[type][`+index+`]" value="`+value.type+`">
                            </td>
                            <td class="name">
                                `+value.name+`
                            </td>
                            <td class="type">
                                `+type+`
                            </td>
                            <td class="is_received">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input is_received-input" type="checkbox" name="consignee_files_upload[is_received][`+index+`]" id="consignee_files_upload_is_received_`+index+`">
                                    <label class="form-check-label" for="consignee_files_upload_is_received_`+index+`">Received</label>
                                </div>
                            </td>
                            <td class="is_required">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input is_required-input" type="checkbox" name="consignee_files_upload[is_required][`+index+`]" id="consignee_files_upload_is_required_`+index+`" checked>
                                    <label class="form-check-label" for="consignee_files_upload_is_required_`+index+`">Required</label>
                                </div>
                            </td>
                            <td>
                            </td>
                            <td>
                                `+uploadLink+`
                            </td>
                        </tr>`;
                    });
                    html                        += `</tbody></table>`;
                }else{
                    html                        += `No required documents.`;
                }
            }else if(type=='stop'){
                if(!$.isEmptyObject(files_required)){
                    html                        += `<table class="table mt-0"><tbody>`;
                    $.each(files_required, function (index,value) {
                        var uploadLink          = '';
                        if(value.type==1){
                            var type            = 'Copy';
                            uploadLink          = `<div class="required-documents-upload">
                                <a href="javascript:void(0);">Upload</a>
                                <input type="file" class="file-input" name="stop_files_upload[`+stop_index_no+`][file][`+index+`][]" multiple>
                            </div>`;
                        }else{
                            var type            = 'Original';
                        }
                        html                    += `<tr>
                            <td class="d-none">
                                <input type="hidden" class="custom-input" name="stop_files_upload[`+stop_index_no+`][custom][`+index+`]" value="`+value.custom+`">
                                <input type="hidden" class="fixed-input" name="stop_files_upload[`+stop_index_no+`][fixed][`+index+`]" value="`+value.fixed+`">
                                <input type="hidden" class="name-input" name="stop_files_upload[`+stop_index_no+`][name][`+index+`]" value="`+value.name+`">
                                <input type="hidden" class="type-input" name="stop_files_upload[`+stop_index_no+`][type][`+index+`]" value="`+value.type+`">
                            </td>
                            <td class="name">
                                `+value.name+`
                            </td>
                            <td class="type">
                                `+type+`
                            </td>
                            <td class="is_received">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input is_received-input" type="checkbox" name="stop_files_upload[`+stop_index_no+`][is_received][`+index+`]" id="stop_files_upload_`+stop_index_no+`_is_received_`+index+`">
                                    <label class="form-check-label" for="stop_files_upload_`+stop_index_no+`_is_received_`+index+`">Received</label>
                                </div>
                            </td>
                            <td class="is_required">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input is_required-input" type="checkbox" name="stop_files_upload[`+stop_index_no+`][is_required][`+index+`]" id="stop_files_upload_`+stop_index_no+`_is_required_`+index+`" checked>
                                    <label class="form-check-label" for="stop_files_upload_`+stop_index_no+`_is_required_`+index+`">Required</label>
                                </div>
                            </td>
                            <td>
                            </td>
                            <td>
                                `+uploadLink+`
                            </td>
                        </tr>`;
                    });
                    html                        += `</tbody></table>`;
                }else{
                    html                        += `No required documents.`;
                }
            }

            stop_div.find('.required-documents-table').html(html);
            if(!stop_div.find('.required-documents-collapse-div').hasClass('show')){
                stop_div.find('.required-documents-collapse-btn').trigger('click');
            }
        }
        function requiredDocHtml(that){
            var customer_type                   = that.attr('data-customer_type');
            var stop_index_no                   = that.attr('data-stop_index');
            if(stop_index_no){
                var type                        = 'stop';
                if(customer_type==1){
                    var files_required          = shipperFiles.filter(v => v.is_required === "on");
                    var files_non_required      = shipperFiles.filter(v => v.is_required === "off");
                }else{
                    var files_required          = consigneeFiles.filter(v => v.is_required === "on");
                    var files_non_required      = consigneeFiles.filter(v => v.is_required === "off");
                }
            }else{
                if(customer_type==1){
                    var type                    = 'pickup';
                    var files_required          = shipperFiles.filter(v => v.is_required === "on");
                    var files_non_required      = shipperFiles.filter(v => v.is_required === "off");
                }else{
                    var type                    = 'delivery';
                    var files_required          = consigneeFiles.filter(v => v.is_required === "on");
                    var files_non_required      = consigneeFiles.filter(v => v.is_required === "off");
                }
            }
            // start html concate
            var html                            = '';
            if(type=='pickup'){
                var i                           = 0;
                html                            += `<h5 class="popup-heading"></h5>`;
                if(files_required.length > 0){
                    html                        += `<div class="add-edit-reg-block"><h6>Required by Broker</h6><div class="required-checkbox">`;
                    $.each(files_required, function (index,value) {
                        html                    += `<div class="d-flex">
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" id="shipper_files_is_required_`+i+`" name="shipper_files[is_required][`+i+`]" checked>
                                <label class="custom-control-label" for="shipper_files_is_required_`+i+`">`+value.name+`</label>
                            </div>
                            <div>
                                <input type="hidden" name="shipper_files[name][`+i+`]" value="`+value.name+`">
                                <input type="hidden" name="shipper_files[fixed][`+i+`]" value="`+value.fixed+`">
                                <div class="switches-container">
                                    <input type="radio" id="shipper_files_type_1_`+i+`" name="shipper_files[type][`+i+`]" value="1" `+((value.type==1)?'checked':'')+`>
                                    <input type="radio" id="shipper_files_type_2_`+i+`" name="shipper_files[type][`+i+`]" value="2" `+((value.type==2)?'checked':'')+`>
                                    <label for="shipper_files_type_1_`+i+`">Copy</label>
                                    <label for="shipper_files_type_2_`+i+`">Original</label>
                                    <div class="switch-wrapper">
                                        <div class="switch">
                                            <div>Copy</div>
                                            <div>Original</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>`;
                        ++i;
                    });
                    html                        += `</div></div>`;
                }
                if(files_non_required.length > 0){
                    html                        += `<div class="add-edit-reg-block"><h6>Preset Items</h6><div class="required-checkbox">`;
                    $.each(files_non_required, function (index,value) {
                        html                    += `<div class="d-flex">
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" id="shipper_files_is_required_`+i+`" name="shipper_files[is_required][`+i+`]">
                                <label class="custom-control-label" for="shipper_files_is_required_`+i+`">`+value.name+`</label>
                            </div>
                            <div>
                                <input type="hidden" name="shipper_files[fixed][`+i+`]" value="`+value.fixed+`">
                                <input type="hidden" name="shipper_files[name][`+i+`]" value="`+value.name+`">
                                <div class="switches-container">
                                    <input type="radio" id="shipper_files_type_1_`+i+`" name="shipper_files[type][`+i+`]" value="1" `+((value.type==1)?'checked':'')+`>
                                    <input type="radio" id="shipper_files_type_2_`+i+`" name="shipper_files[type][`+i+`]" value="2" `+((value.type==2)?'checked':'')+`>
                                    <label for="shipper_files_type_1_`+i+`">Copy</label>
                                    <label for="shipper_files_type_2_`+i+`">Original</label>
                                    <div class="switch-wrapper">
                                        <div class="switch">
                                            <div>Copy</div>
                                            <div>Original</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>`;
                        ++i;
                    });
                    html                        += `</div></div>`;
                }

                html                            += `<div class="add-edit-reg-block custom-required-documents">
                    <h6>Custom Options</h6>
                    <div class="required-checkbox">
                        <div class="d-flex align-items-center custom-item mb-2">
                            <div class="custom-control custom-checkbox mb-0">
                                <input type="checkbox" class="custom-control-input" id="shipper_files_is_required_`+i+`" name="shipper_files[is_required][`+i+`]">
                                <label class="custom-control-label" for="shipper_files_is_required_`+i+`">
                                    <input type="text" class="form-control custom-name" id="shipper_files_name_`+i+`" name="shipper_files[name][`+i+`]" placeholder="Enter name">
                                </label>
                            </div>
                            <div>
                                <input type="hidden" name="shipper_files[custom][`+i+`]" value="yes">
                                <input type="hidden" name="shipper_files[fixed][`+i+`]" value="no">
                                <div class="switches-container">
                                    <input type="radio" id="shipper_files_type_1_`+i+`" name="shipper_files[type][`+i+`]" value="1" checked>
                                    <input type="radio" id="shipper_files_type_2_`+i+`" name="shipper_files[type][`+i+`]" value="2">
                                    <label for="shipper_files_type_1_`+i+`">Copy</label>
                                    <label for="shipper_files_type_2_`+i+`">Original</label>
                                    <div class="switch-wrapper">
                                        <div class="switch">
                                            <div>Copy</div>
                                            <div>Original</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <a href="javascript:void(0);" class="remove-link remove-required-documents">remove</a>
                        </div>
                    </div>
                    <div class="clearfix">
                        <a href="javascript:void(0);" class="btn-link-orange add-required-documents" data-type="pickup" data-last_index="`+i+`">
                            <i class="fa fa-plus" aria-hidden="true"></i>
                            Add Document
                        </a>
                    </div>
                </div>`;

                html                            += `<div class="text-center ">
                    <button type="button" class="btn btn-themeGray doc-save-btn">Save</button>
                    <button type="button" class="btn btn-themeGray doc-cancel-btn">Cancel</button>
                </div>`;
            }else if(type=='delivery'){
                var i                           = 0;
                html                            += `<h5 class="popup-heading"></h5>`;
                if(files_required.length > 0){
                    html                        += `<div class="add-edit-reg-block"><h6>Required by Broker</h6><div class="required-checkbox">`;
                    $.each(files_required, function (index,value) {
                        html                    += `<div class="d-flex">
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" id="consignee_files_is_required_`+i+`" name="consignee_files[is_required][`+i+`]" checked>
                                <label class="custom-control-label" for="consignee_files_is_required_`+i+`">`+value.name+`</label>
                            </div>
                            <div>
                                <input type="hidden" name="consignee_files[name][`+i+`]" value="`+value.name+`">
                                <input type="hidden" name="consignee_files[fixed][`+i+`]" value="`+value.fixed+`">
                                <div class="switches-container">
                                    <input type="radio" id="consignee_files_type_1_`+i+`" name="consignee_files[type][`+i+`]" value="1" `+((value.type==1)?'checked':'')+`>
                                    <input type="radio" id="consignee_files_type_2_`+i+`" name="consignee_files[type][`+i+`]" value="2" `+((value.type==2)?'checked':'')+`>
                                    <label for="consignee_files_type_1_`+i+`">Copy</label>
                                    <label for="consignee_files_type_2_`+i+`">Original</label>
                                    <div class="switch-wrapper">
                                        <div class="switch">
                                            <div>Copy</div>
                                            <div>Original</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>`;
                        ++i;
                    });
                    html                        += `</div></div>`;
                }
                if(files_non_required.length > 0){
                    html                        += `<div class="add-edit-reg-block"><h6>Preset Items</h6><div class="required-checkbox">`;
                    $.each(files_non_required, function (index,value) {
                        html                    += `<div class="d-flex">
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" id="consignee_files_is_required_`+i+`" name="consignee_files[is_required][`+i+`]">
                                <label class="custom-control-label" for="consignee_files_is_required_`+i+`">`+value.name+`</label>
                            </div>
                            <div>
                                <input type="hidden" name="consignee_files[fixed][`+i+`]" value="`+value.fixed+`">
                                <input type="hidden" name="consignee_files[name][`+i+`]" value="`+value.name+`">
                                <div class="switches-container">
                                    <input type="radio" id="consignee_files_type_1_`+i+`" name="consignee_files[type][`+i+`]" value="1" `+((value.type==1)?'checked':'')+`>
                                    <input type="radio" id="consignee_files_type_2_`+i+`" name="consignee_files[type][`+i+`]" value="2" `+((value.type==2)?'checked':'')+`>
                                    <label for="consignee_files_type_1_`+i+`">Copy</label>
                                    <label for="consignee_files_type_2_`+i+`">Original</label>
                                    <div class="switch-wrapper">
                                        <div class="switch">
                                            <div>Copy</div>
                                            <div>Original</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>`;
                        ++i;
                    });
                    html                        += `</div></div>`;
                }

                html                            += `<div class="add-edit-reg-block custom-required-documents">
                    <h6>Custom Options</h6>
                    <div class="required-checkbox">
                        <div class="d-flex align-items-center custom-item mb-2">
                            <div class="custom-control custom-checkbox mb-0">
                                <input type="checkbox" class="custom-control-input" id="consignee_files_is_required_`+i+`" name="consignee_files[is_required][`+i+`]">
                                <label class="custom-control-label" for="consignee_files_is_required_`+i+`">
                                    <input type="text" class="form-control custom-name" id="consignee_files_name_`+i+`" name="consignee_files[name][`+i+`]" placeholder="Enter name">
                                </label>
                            </div>
                            <div>
                                <input type="hidden" name="consignee_files[custom][`+i+`]" value="yes">
                                <input type="hidden" name="consignee_files[fixed][`+i+`]" value="no">
                                <div class="switches-container">
                                    <input type="radio" id="consignee_files_type_1_`+i+`" name="consignee_files[type][`+i+`]" value="1" checked>
                                    <input type="radio" id="consignee_files_type_2_`+i+`" name="consignee_files[type][`+i+`]" value="2">
                                    <label for="consignee_files_type_1_`+i+`">Copy</label>
                                    <label for="consignee_files_type_2_`+i+`">Original</label>
                                    <div class="switch-wrapper">
                                        <div class="switch">
                                            <div>Copy</div>
                                            <div>Original</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <a href="javascript:void(0);" class="remove-link remove-required-documents">remove</a>
                        </div>
                    </div>
                    <div class="clearfix">
                        <a href="javascript:void(0);" class="btn-link-orange add-required-documents" data-type="delivery" data-last_index="`+i+`">
                            <i class="fa fa-plus" aria-hidden="true"></i>
                            Add Document
                        </a>
                    </div>
                </div>`;

                html                            += `<div class="text-center ">
                    <button type="button" class="btn btn-themeGray doc-save-btn">Save</button>
                    <button type="button" class="btn btn-themeGray doc-cancel-btn">Cancel</button>
                </div>`;
            }else if(type=='stop'){
                var i                           = 0;
                html                            += `<h5 class="popup-heading"></h5>`;
                if(files_required.length > 0){
                    html                        += `<div class="add-edit-reg-block"><h6>Required by Broker</h6><div class="required-checkbox">`;
                    $.each(files_required, function (index,value) {
                        html                    += `<div class="d-flex">
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" id="stop_files_`+stop_index_no+`_is_required_`+i+`" name="stop_files[`+stop_index_no+`][is_required][`+i+`]" checked>
                                <label class="custom-control-label" for="stop_files_`+stop_index_no+`_is_required_`+i+`">`+value.name+`</label>
                            </div>
                            <div>
                                <input type="hidden" name="stop_files[`+stop_index_no+`][name][`+i+`]" value="`+value.name+`">
                                <input type="hidden" name="stop_files[`+stop_index_no+`][fixed][`+i+`]" value="`+value.fixed+`">
                                <div class="switches-container">
                                    <input type="radio" id="stop_files_`+stop_index_no+`_type_1_`+i+`" name="stop_files[`+stop_index_no+`][type][`+i+`]" value="1" `+((value.type==1)?'checked':'')+`>
                                    <input type="radio" id="stop_files_`+stop_index_no+`_type_2_`+i+`" name="stop_files[`+stop_index_no+`][type][`+i+`]" value="2" `+((value.type==2)?'checked':'')+`>
                                    <label for="stop_files_`+stop_index_no+`_type_1_`+i+`">Copy</label>
                                    <label for="stop_files_`+stop_index_no+`_type_2_`+i+`">Original</label>
                                    <div class="switch-wrapper">
                                        <div class="switch">
                                            <div>Copy</div>
                                            <div>Original</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>`;
                        ++i;
                    });
                    html                        += `</div></div>`;
                }
                if(files_non_required.length > 0){
                    html                        += `<div class="add-edit-reg-block"><h6>Preset Items</h6><div class="required-checkbox">`;
                    $.each(files_non_required, function (index,value) {
                        html                    += `<div class="d-flex">
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" id="stop_files_`+stop_index_no+`_is_required_`+i+`" name="stop_files[`+stop_index_no+`][is_required][`+i+`]">
                                <label class="custom-control-label" for="stop_files_`+stop_index_no+`_is_required_`+i+`">`+value.name+`</label>
                            </div>
                            <div>
                                <input type="hidden" name="stop_files[`+stop_index_no+`][fixed][`+i+`]" value="`+value.fixed+`">
                                <input type="hidden" name="stop_files[`+stop_index_no+`][name][`+i+`]" value="`+value.name+`">
                                <div class="switches-container">
                                    <input type="radio" id="stop_files_`+stop_index_no+`_type_1_`+i+`" name="stop_files[`+stop_index_no+`][type][`+i+`]" value="1" `+((value.type==1)?'checked':'')+`>
                                    <input type="radio" id="stop_files_`+stop_index_no+`_type_2_`+i+`" name="stop_files[`+stop_index_no+`][type][`+i+`]" value="2" `+((value.type==2)?'checked':'')+`>
                                    <label for="stop_files_`+stop_index_no+`_type_1_`+i+`">Copy</label>
                                    <label for="stop_files_`+stop_index_no+`_type_2_`+i+`">Original</label>
                                    <div class="switch-wrapper">
                                        <div class="switch">
                                            <div>Copy</div>
                                            <div>Original</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>`;
                        ++i;
                    });
                    html                        += `</div></div>`;
                }

                html                            += `<div class="add-edit-reg-block custom-required-documents">
                    <h6>Custom Options</h6>
                    <div class="required-checkbox">
                        <div class="d-flex align-items-center custom-item mb-2">
                            <div class="custom-control custom-checkbox mb-2">
                                <input type="checkbox" class="custom-control-input" id="stop_files_`+stop_index_no+`_is_required_`+i+`" name="stop_files[`+stop_index_no+`][is_required][`+i+`]">
                                <label class="custom-control-label" for="stop_files_`+stop_index_no+`_is_required_`+i+`">
                                    <input type="text" class="form-control custom-name" id="stop_files_`+stop_index_no+`_name_`+i+`" name="stop_files[`+stop_index_no+`][name][`+i+`]" placeholder="Enter name">
                                </label>
                            </div>
                            <div>
                                <input type="hidden" name="stop_files[`+stop_index_no+`][custom][`+i+`]" value="yes">
                                <input type="hidden" name="stop_files[`+stop_index_no+`][fixed][`+i+`]" value="no">
                                <div class="switches-container">
                                    <input type="radio" id="stop_files_`+stop_index_no+`_type_1_`+i+`" name="stop_files[`+stop_index_no+`][type][`+i+`]" value="1" checked>
                                    <input type="radio" id="stop_files_`+stop_index_no+`_type_2_`+i+`" name="stop_files[`+stop_index_no+`][type][`+i+`]" value="2">
                                    <label for="stop_files_`+stop_index_no+`_type_1_`+i+`">Copy</label>
                                    <label for="stop_files_`+stop_index_no+`_type_2_`+i+`">Original</label>
                                    <div class="switch-wrapper">
                                        <div class="switch">
                                            <div>Copy</div>
                                            <div>Original</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <a href="javascript:void(0);" class="remove-link remove-required-documents">remove</a>
                        </div>
                    </div>
                    <div class="clearfix">
                        <a href="javascript:void(0);" class="btn-link-orange add-required-documents" data-type="stop" data-last_index="`+i+`">
                            <i class="fa fa-plus" aria-hidden="true"></i>
                            Add Document
                        </a>
                    </div>
                </div>`;

                html                            += `<div class="text-center ">
                    <button type="button" class="btn btn-themeGray doc-save-btn">Save</button>
                    <button type="button" class="btn btn-themeGray doc-cancel-btn">Cancel</button>
                </div>`;
            }

            that.find('.add-edit-block').html(html);
        }
        function getShipper(that,assign=null) {
            $.ajax({
                url: "{{ route('company.admin.get.customer.list') }}",
                method: "GET",
                data: {
                    data: 'Shipper'
                },
                success: function(response) {
                    that.html(response);
                    that.select2();
                    if(assign){
                        that.val(assign).trigger('change');
                    }
                }
            });
        }
        function getReceiver(that,assign=null) {
            $.ajax({
                url: "{{ route('company.admin.get.customer.list') }}",
                method: "GET",
                data: {
                    data: 'Receiver'
                },
                success: function(response) {
                    that.html(response);
                    that.select2();
                    if(assign){
                        that.val(assign).trigger('change');
                    }
                }
            });
        }
        function getNoteSave(){
            var load_id = $('input[name="dummyloadid"]').val();
            if(load_id){
                $.ajax({
                    type: 'POST',
                    url: '{{ route("company.admin.loads.note.view") }}',
                    data: { id: load_id },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        $('.getNoteSave').html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
                    },
                    success: function(response) {
                        $('.getNoteSave').html(response.view);
                    },
                    complete: function() {
                        //console.log('complete');
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
        }
    </script>
    <script type="text/javascript">
        function stopInit(stop_div,exist='no'){
            stop_div.find('.stop-select2').select2();

            stop_div.find('.stop-date-time').datetimepicker({
                format: DateTimeFormat,
            });

            stop_div.find('.stop-date-time-end').datetimepicker({
                format: DateTimeFormat,
            });

            var shipdate            = $('#shipperDate').val();
            var delirydate          = $('#deliveryDate').val();

            var CshipdateD          = moment(shipdate).add(0, 'day').format('MM/DD/YYYY');
            var CdelirydateD        = moment(delirydate).add(0, 'day').format('MM/DD/YYYY');

            var TimeD               = moment(CshipdateD).add(0, 'day').format(TimeFormat);

            stop_div.find('.stop-date-time').data('DateTimePicker').minDate(CshipdateD+' 00:00').maxDate(CdelirydateD+' 23:59');
            stop_div.find('.stop-date-time-end').data('DateTimePicker').minDate(CshipdateD+' 00:00').maxDate(CdelirydateD+' 23:59');

            @if(getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3)
                stop_div.find('.custstopdate').mask("99/99/9999");
                stop_div.find('.custstopdateend').mask("99/99/9999");

                stop_div.find('.custstoptime').mask(TimeMaskFormat).attr("placeholder", TimeFormatPlace);
                stop_div.find('.custstoptimeend').mask(TimeMaskFormat).attr("placeholder", TimeFormatPlace);

                stop_div.find('.custstopdate').datetimepicker({
                    format: 'MM/DD/YYYY',
                    //useCurrent: false,
                    //minDate: moment()
                });

                stop_div.find('.custstopdate').datetimepicker().on('dp.change',function(e){
                    var CurrentDate     = moment(new Date(e.date));
                    var CurrentD        = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
                    var Ctime           = stop_div.find('.custstoptime').val();
                    stop_div.find('.stop-date-time').val(CurrentD+' '+Ctime).change();
                });

                stop_div.find('.custstoptime').datetimepicker({
                    format: TimeFormat,
                    //useCurrent: true,
                });

                stop_div.find('.custstoptime').datetimepicker().on('dp.change',function(e){
                    var Ctime           = stop_div.find('.custstopdate').val();
                    var CurrentDate     = moment(new Date(Ctime));
                    var CurrentD        = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
                    var Ctime           = stop_div.find('.custstoptime').val();
                    var sevsa           = CurrentD+' '+Ctime;
                    stop_div.find('.stop-date-time').val(sevsa).change();
                });

                stop_div.find('.custstopdate').data('DateTimePicker').minDate(CshipdateD).maxDate(CdelirydateD);

                stop_div.find('.custstopdateend').datetimepicker({
                    format: 'MM/DD/YYYY',
                    useCurrent: false,
                    //minDate: moment()
                });

                stop_div.find('.custstopdateend').datetimepicker().on('dp.change',function(e){
                    var CurrentDate     = moment(new Date(e.date));
                    var CurrentD        = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
                    var Ctime           = stop_div.find('.custstoptimeend').val();
                    stop_div.find('.stop-date-time-end').val(CurrentD+' '+Ctime).change();
                });

                stop_div.find('.custstoptimeend').datetimepicker({
                    format: TimeFormat,
                    useCurrent: true,
                });

                stop_div.find('.custstoptimeend').datetimepicker().on('dp.change',function(e){
                    var Ctime           = stop_div.find('.custstopdateend').val();
                    var CurrentDate     = moment(new Date(Ctime));
                    var CurrentD        = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
                    var Ctime           = stop_div.find('.custstoptimeend').val();
                    stop_div.find('.stop-date-time-end').val(CurrentD+' '+Ctime).change();
                });

                stop_div.find('.custstopdateend').data('DateTimePicker').minDate(CshipdateD).maxDate(CdelirydateD);
            @endif

            var brokerage_firm      = $('.brokerage-firm-select2').val();
            if(brokerage_firm!='' && exist!='yes'){
                stop_div.find('.required-documents-collapse-btn').removeClass('d-none');
                stop_div.find('.required-documents-table').html('');
                stop_div.find('.add-edit-popup').removeClass('d-none').addClass('d-inline-block');
                stop_div.find('.add-edit-block').addClass('d-none');
                stop_div.find('.add-edit-block').html('');

                requiredDocUploadHtml(stop_div);
                requiredDocHtml(stop_div);
            }

            $('#shipperDate').change();
        }
        function reArrangeStopNo(){
            var stop_no = 1;
            $('#pickup-delivery-collapse .stop').each(function (key, val){
                var that = $(this);
                that.attr('data-stop_no',stop_no);
                that.find('.hedding-section .stop_no').html(stop_no);
                stop_no++;
            });

            var actual_stop_no = 1;
            $('#pickup-delivery-collapse .stop[data-stop_index]').each(function (key, val){
                var that = $(this);
                that.find('.actual_stop_no').val(actual_stop_no);
                actual_stop_no++;
            });
        }
    </script>
    <script type="text/javascript">
        LoadRequirementTableView();

        function LoadRequirementTableView() {
            $("#LoadRequirementTable").html('<tr><td colspan="7"><img src="'+loadimg+'" width="70" /></td></tr>');
            var token   = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                url: "/company-admin/loads/load-requirement-view",
                method: "POST",
                data: { _token : token , load_id : <?php echo $load_id; ?>},
                success: function(response) {
                    $("#LoadRequirementTable").html(response.view);
                }
            });
        }
    </script>
    <!-- // file upload -->
    <script type="text/javascript">
        $(document).ready(function() {
            $("#loadfile").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
        });
        $(document).on('click', '.upload_doc_btn', function(event) {
            event.preventDefault();

            var formData   = new FormData();
            // Read selected files
            var totalfiles = document.getElementById('doc_file').files.length;
            for (var index = 0; index < totalfiles; index++) {
                formData.append("file[]", document.getElementById('doc_file').files[index]);
            }
            formData.append('load_id',$('.doc_load_id').val());
            formData.append('filename',$('.doc_filename').val());
            formData.append('filenote',$('.doc_filenote').val());
            formData.append('edit_id',$('.edit_id').val());

            $.ajax({
                type: 'POST',
                url:'{{ route("company.admin.loads.file.view.save") }}',
                processData: false,
                contentType: false,
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: formData,
                async: false, //blocks window close
            }).done(function (res) {
                if(res == '1'){
                    $('.doc_filename').val('');
                    $('.doc_filenote').val('');
                    $('.doc_file').val('');
                    $('.edit_id').val('');
                    toastr.success('File upload successfully', 'Success Alert', {timeOut: 5000})
                    loadFileView();
                    $('.drop-zone').prepend('<span class="drop-zone__prompt">Drag and drop file here or click to browse</span>');
                    $('.drop-zone__thumb').remove();
                }else{
                    toastr.success('Upload file not supported', 'Error Alert', {timeOut: 5000})
                    loadFileView();
                }
            });
        });
        document.querySelectorAll(".drop-zone__input").forEach((inputElement) => {
            const dropZoneElement   = inputElement.closest(".drop-zone");

            dropZoneElement.addEventListener("click", (e) => {
                inputElement.click();
            });

            inputElement.addEventListener("change", (e) => {
                if (inputElement.files.length) {
                    var filecount   = inputElement.files.length;
                updateThumbnail(dropZoneElement, inputElement.files[0], filecount);
                }
            });

            dropZoneElement.addEventListener("dragover", (e) => {
                e.preventDefault();
                dropZoneElement.classList.add("drop-zone--over");
            });

            ["dragleave", "dragend"].forEach((type) => {
                dropZoneElement.addEventListener(type, (e) => {
                dropZoneElement.classList.remove("drop-zone--over");
                });
            });

            dropZoneElement.addEventListener("drop", (e) => {
                e.preventDefault();

                if (e.dataTransfer.files.length) {
                inputElement.files  = e.dataTransfer.files;
                var filecount       = e.dataTransfer.files.length;
                updateThumbnail(dropZoneElement, e.dataTransfer.files[0], filecount);
                }

                dropZoneElement.classList.remove("drop-zone--over");
            });
        });
        function updateThumbnail(dropZoneElement, file, filecount) {
            let thumbnailElement    = dropZoneElement.querySelector(".drop-zone__thumb");

            // First time - remove the prompt
            if (dropZoneElement.querySelector(".drop-zone__prompt")) {
                dropZoneElement.querySelector(".drop-zone__prompt").remove();
            }

            // First time - there is no thumbnail element, so lets create it
            if (!thumbnailElement) {
                thumbnailElement    = document.createElement("div");
                thumbnailElement.classList.add("drop-zone__thumb");
                dropZoneElement.appendChild(thumbnailElement);
            }

            thumbnailElement.dataset.label = filecount+' Files Selected';

            // Show thumbnail for image files
            if (file.type.startsWith("image/")) {
                const reader        = new FileReader();

                reader.readAsDataURL(file);
                reader.onload       = () => {
                    thumbnailElement.style.backgroundImage = `url('${reader.result}')`;
                };
            } else {
                thumbnailElement.style.backgroundImage = null;
            }
        }
        function loadFileView() {
            var load_id     = $('input[name="dummyloadid"]').val();
            var token       = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                url: "/company-admin/loads-file-view",
                method: "POST",
                data: { _token : token , id : load_id},
                success: function(response) {
                    $("#loadfile").html(response.view);
                }
           });
        }
    </script>
    <!-- // file upload -->
    <script type="text/javascript">
        function checkOOSTruck(){
            var oos_equipment   = "{{ $setting->oos_equipment }}";
            var getvalue        = $(".truck-number").val();
            var trucks          = JSON.parse('<?php print_r(json_encode(getOosTruck())); ?>');
            $.each( trucks, function( key, value ) {
                if(getvalue === value){
                    var current_object = $(this);
                    if(oos_equipment !== '2'){
                        Swal.fire({
                            title: "Are you Sure?",
                            text: " You have selected an OOS Truck. Would you still like to proceed and create the load?",
                            icon: "warning",
                            showCancelButton: true,
                            confirmButtonColor: "#3085d6",
                            cancelButtonColor: "#d33",
                            cancelButtonText: "No, change truck",
                            confirmButtonText: "Yes, go ahead!",
                        }).then((result) => {
                            if (result.value) {
                            }else{
                                $('.truck-number').val('');
                            }
                        });
                    }else{
                        Swal.fire({
                            title: "Alert!",
                            text: "You have Enter an OOS Truck. So it's not accepte this truck number.",
                            icon: "warning",
                            showCancelButton: false,
                            confirmButtonColor: "#3085d6",
                            cancelButtonColor: "#d33",
                            cancelButtonText: "No, change truck",
                            confirmButtonText: "OK",
                        }).then((result) => {
                            if (result.value) {
                                $('.truck-number').val('');
                            }
                        });
                    }
                }
            });
        }
        function checkLoadIsOverlapOrNot() {
            var token               = $('meta[name="csrf-token"]').attr('content');
            var delivery_date       = $('#deliveryDate').val();
            var delivery_end_date   = $('#deliveryDateEnd').val();
            var driver_id           = $('.driver-change').val();

            $.ajax({
                url: "/company-admin/loads/check-load-overlap",
                method: "POST",
                data: {
                    _token: token,
                    driver_id: driver_id,
                    delivery_date: delivery_date,
                    delivery_end_date: delivery_end_date
                },
                success: function(response) {
                    if (response.error) {
                        toastr.error(response.error, {
                            timeOut: 5000
                        });
                    }
                }
            });
        }
        function getWeeklyFuelSurcharge() {
            var token       = $('meta[name="csrf-token"]').attr('content');
            var start_date  = $('#shipperDate').val();
            var end_date    = $('#shipperDateEnd').val();
            $.ajax({
                url: "/company-admin/loads/fuel-surcharge-info",
                method: "POST",
                data: {
                    _token: token,
                    start_date: start_date,
                    end_date: end_date
                },
                success: function(response) {
                    if (response.data) {
                        $('.mileage-rating-div .fuel-surcharge-cost-per-mile').val(response.data.fuel_surcharge);
                    } else {
                        $('.mileage-rating-div .fuel-surcharge-cost-per-mile').val('');
                    }
                }
            });
        }
        function subitForm() {
            console.log('subitForm');
            return true;
            $('.edit-form').submit();
            return true;
        }
    </script>
    <!-- detention -->
    <script type="text/javascript">
        $('.driver-select2, .brokerage-firm-select2').change(function() {
            var driverSelectedVal = $('.driver-select2 option:selected').val();
            var brokerSelectedVal = $('.brokerage-firm-select2 option:selected').val();
            if(driverSelectedVal!='' && brokerSelectedVal!=''){
                $('.detention-link').each(function(i, obj) {
                    $(obj).removeClass('d-none');
                });
            }else{
                $('.detention-link').each(function(i, obj) {
                    $(obj).addClass('d-none');
                });
            }
        });
        $('#detentionRequestModal').on('hidden.bs.modal', function () {
            //console.log('Detention request modal hidden');
            if(modalInterval > 0)
                clearInterval(modalInterval);
            $('#detentionRequestModal').find('.modal-title').text('');
            $('#detentionRequestModal').find('.append-view').html('');
        });
        $('#detentionRequestModal').on('show.bs.modal', function (e) {
            //console.log('Detention request modal show');
            $('#detentionRequestModal').find('.append-view').html(`
                <div class="loadingdiv">
                    <img src="`+loadimg+`">
                </div>
            `);
        });
        $(document).on('click', '.detention-request', function(event) {
            event.preventDefault();
            // console.log('detention-request');
            // return false;
            var that                        = $(this);
            var stop_div                    = that.closest('.stop');
            var mode                        = that.attr('data-mode');
            var title                       = 'Add Detention Request : ';
            if(mode=='edit'){
                title                       = 'Edit Detention Request :';
            }
            title                           += stop_div.find('.stop-hedding').text();

            var type                        = that.attr('data-type');
            var is_stop                     = that.attr('data-is_stop');
            if (typeof type === "undefined" || typeof is_stop === "undefined") {
                return false;
            }

            var unique_id                   = that.attr('data-unique_id');

            var myarray                     = [];
            var address                     = '';
            var abbr                        = '';
            if (is_stop == 0) {
                if(type=='1'){
                    if($('input[name="shipper_address_one"]').val()!=''){
                        myarray.push($('input[name="shipper_address_one"]').val());
                    }
                    if($('input[name="shipper_address_two"]').val()!=''){
                        myarray.push($('input[name="shipper_address_two"]').val());
                    }
                    if($('input[name="shipper_city"]').val()!=''){
                        myarray.push($('input[name="shipper_city"]').val());
                    }
                    if($('input[name="shipper_state"]').val()!=''){
                        myarray.push($('input[name="shipper_state"]').val());
                    }
                    if($('input[name="shipper_zip"]').val()!=''){
                        myarray.push($('input[name="shipper_zip"]').val());
                    }
                    address                 = myarray.join(", ");
                    abbr                    = $('input[name="shipper_timezone_abbr"]').val();
                }else{
                    if($('input[name="delivery_address_one"]').val()!=''){
                        myarray.push($('input[name="delivery_address_one"]').val());
                    }
                    if($('input[name="delivery_address_two"]').val()!=''){
                        myarray.push($('input[name="delivery_address_two"]').val());
                    }
                    if($('input[name="delivery_city"]').val()!=''){
                        myarray.push($('input[name="delivery_city"]').val());
                    }
                    if($('input[name="delivery_state"]').val()!=''){
                        myarray.push($('input[name="delivery_state"]').val());
                    }
                    if($('input[name="delivery_zip"]').val()!=''){
                        myarray.push($('input[name="delivery_zip"]').val());
                    }
                    address                 = myarray.join(", ");
                    abbr                    = $('input[name="delivery_timezone_abbr"]').val();
                }
            }else{
                var stop_index_no           = stop_div.attr('data-stop_index');
                if($('input[name="stop['+stop_index_no+'][address_one]"]').val()!=''){
                    myarray.push($('input[name="stop['+stop_index_no+'][address_one]"]').val());
                }
                if($('input[name="stop['+stop_index_no+'][address_two]"]').val()!=''){
                    myarray.push($('input[name="stop['+stop_index_no+'][address_two]"]').val());
                }
                if($('input[name="stop['+stop_index_no+'][city]"]').val()!=''){
                    myarray.push($('input[name="stop['+stop_index_no+'][city]"]').val());
                }
                if($('input[name="stop['+stop_index_no+'][state]"]').val()!=''){
                    myarray.push($('input[name="stop['+stop_index_no+'][state]"]').val());
                }
                if($('input[name="stop['+stop_index_no+'][zip]"]').val()!=''){
                    myarray.push($('input[name="stop['+stop_index_no+'][zip]"]').val());
                }
                address                     = myarray.join(", ");
                abbr                        = $('input[name="stop['+stop_index_no+'][timezone_abbr]"]').val();
            }

            var formData                    = {};
            formData['type']                = type;
            formData['is_stop']             = is_stop;
            formData['load_detail_id']      = that.attr('data-load_detail_id');
            if(is_stop==1){
                var load_stop_id            = that.attr('data-load_stop_id');
                if (typeof load_stop_id !== "undefined") {
                    formData['load_stop_id']= load_stop_id;
                }
                formData['random_id']       = that.attr('data-random_id');
            }
            formData['driver_id']           = $('select[name="driver_id"]').val();
            formData['broker_id']           = $('select[name="brokerage_firm"]').val();
            formData['broker_email']        = $('input[name="broker_email"]').val();
            formData['address']             = address;
            formData['timezone_abbr']       = abbr;
            formData['unique_id']           = unique_id;
            var detention_id                = that.attr('data-detention_id');
            if (typeof detention_id !== "undefined") {
                formData['detention_id']    = detention_id;
            }
            // console.log(formData);
            // return false;

            $.ajax({
                type: 'POST',
                url: '{!! route("company.admin.loads.detention.request") !!}',
                data: formData,
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                beforeSend: function () {
                    $('#detentionRequestModal').find('.modal-title').text(title);
                    $('#detentionRequestModal').modal({backdrop: 'static', keyboard: false}, 'show');
                },
            }).done(function(response) {
                var html                    = response.html;
                if(typeof html !== "undefined"){
                    $('#detentionRequestModal').find('.append-view').html(html);
                    setTimeout(function() {
                        updateClock();

                        var modalForm                   = $('#detentionRequestModal #detentionForm');
                        if(modalForm.length > 0){
                            var free_time               = modalForm.find('input[name="free_time"]');
                            if(free_time.length > 0){
                                HtmlDurationPicker.refresh();
                                setTimeout(function() {
                                    if(modalForm.find('input[name="billed_time"]').length > 0){
                                        if(modalForm.find('input[name="billed_time"]').val()==''){
                                            free_time.keyup();
                                        }
                                    }
                                }, 1050);
                            }
                            var detention_arrival_time  = modalForm.find('input[name="detention_arrival_time"]');
                            if(detention_arrival_time.length > 0){
                                detention_arrival_time.datetimepicker({
                                    ignoreReadonly: true,
                                    format: dateTimeLayout,
                                    useCurrent: false,
                                }).on('dp.change', function(e) {
                                    var getDate         = moment(new Date(e.date));
                                    var currentDate     = moment(getDate).format(dateTimeLayout);
                                    modalForm.find('.arrival_time_label').attr('data-arrival_time',currentDate);
                                });
                            }
                            var detention_start_time    = modalForm.find('input[name="detention_start_time"]');
                            if(detention_start_time.length > 0){
                                detention_start_time.datetimepicker({
                                    ignoreReadonly: true,
                                    format: dateTimeLayout,
                                    useCurrent: false,
                                }).on('dp.change', function(e) {
                                    detention_start_time.parsley().reset();
                                    var getDate         = moment(new Date(e.date));
                                    var currentDate     = moment(getDate).format(dateTimeLayout);
                                    modalForm.find('.start_time_label').attr('data-start_time',currentDate);
                                    if(modalForm.find('input[name="detention_end_time"]').length > 0)
                                        updateClock();
                                        setTimeout(function() {
                                            if(free_time.length > 0){
                                                free_time.keyup();
                                            }
                                        }, 1050);
                                });
                            }
                            var detention_end_time      = modalForm.find('input[name="detention_end_time"]');
                            if(detention_end_time.length > 0){
                                detention_end_time.datetimepicker({
                                    ignoreReadonly: true,
                                    format: dateTimeLayout,
                                    useCurrent: false,
                                }).on('dp.change', function(e) {
                                    detention_end_time.parsley().reset();
                                    var getDate         = moment(new Date(e.date));
                                    var currentDate     = moment(getDate).format(dateTimeLayout);
                                    modalForm.find('.end_time_label').attr('data-end_time',currentDate);
                                        updateClock();
                                        setTimeout(function() {
                                            if(free_time.length > 0){
                                                free_time.keyup();
                                            }
                                        }, 1050);
                                });
                            }
                        }
                    }, 250);
                }else{
                    toastr.error('Oops! Something went wrong..', {
                        timeOut: 5000
                    });
                }
            }).fail(function(jqXHR, status, exception)  {
                if (jqXHR.status === 0) {
                    error = 'Not connected.\nPlease verify your network connection.';
                } else if (jqXHR.status == 404) {
                    error = 'The requested page not found. [404]';
                } else if (jqXHR.status == 500) {
                    error = 'Internal Server Error [500].';
                } else if (exception === 'parsererror') {
                    error = 'Requested JSON parse failed.';
                } else if (exception === 'timeout') {
                    error = 'Time out error.';
                } else if (exception === 'abort') {
                    error = 'Ajax request aborted.';
                } else {
                    error = 'Uncaught Error.\n' + jqXHR.responseText;
                }
                toastr.error(error, {
                    timeOut: 5000
                });
            });
            return false;
        });
        $(document).on('click', '.detention-submit', function(event) {
            event.preventDefault();
            // console.log('detention-submit');
            // return false;
        });
        $(document).on('click', '.detention-deny', function(event) {
            event.preventDefault();
            // console.log('detention-request-deny');
            // return false;
        });
        $(document).on('click', '.detention-revert', function(event) {
            event.preventDefault();
            // console.log('detention-revert');
            // return false;
        });
        $(document).on('click', '.resend-to-broker', function(event) {
            event.preventDefault();
            // console.log('resend-to-broker');
            // return false;
        });
        $(document).on('click', '.detention-force-stop', function(event) {
            event.preventDefault();
            // console.log('detention-force-stop');
            // return false;
        });
        $(document).on('keypress', '#detentionRequestModal .number', function(event) {
            if ((event.which != 46 || $(this).val().indexOf('.') != -1) && (event.which < 48 || event.which > 57)) {
                event.preventDefault();
            }
        });
        $(document).on('change', '#is_send_to_broker', function(event) {
            var modalForm           = $('#detentionRequestModal #detentionForm');
            var detention_status    = modalForm.find('input[name="detention_status"]').val();
            var detention_button    = modalForm.find('.detention-submit');
            if(this.checked) {
                if(detention_status==1){
                    detention_button.html('Acknowledge and Send')
                        .attr('data-review_status','In Progress - Acknowledged - Sent to broker');
                    var sent_to_broker  = detention_button.data('is_send_to_broker');
                    if (typeof sent_to_broker !== "undefined") {
                        detention_button.removeClass('d-none');
                    }
                }else{
                    detention_button.html('Save and Send').attr('data-review_status','In Progress - Sent to broker');
                }
            }else{
                if(detention_status==1){
                    detention_button.html('Acknowledge')
                        .attr('data-review_status','In Progress - Acknowledged');
                    var sent_to_broker  = detention_button.data('is_send_to_broker');
                    if (typeof sent_to_broker !== "undefined") {
                        detention_button.addClass('d-none');
                    }
                }else{
                    detention_button.html('Approve').attr('data-review_status','Completed');
                }
            }
            setBrokerEmailRequired();
        });
        $(document).on('keyup change', 'input[name="free_time"]', function(event) {
            var modalForm               = $('#detentionRequestModal #detentionForm');
            var that                    = $(this);
            var freeTime                = that.val();
            freeTime                    = freeTime.split(':');
            var detainedTime            = modalForm.find('.time-lapsed').text();
            detainedTime                = detainedTime.split(':');

            min                         = detainedTime[1]-freeTime[1];
            hour_carry                  = 0;
            if(min < 0){
                min                     += 60;
                hour_carry              += 1;
            }
            hour                        = detainedTime[0]-freeTime[0]-hour_carry;
            if(hour>=0 && hour < 10){
                hour                    = "0"+hour;
                that.closest('.free_time_div').find('.invalid-feedback').hide();
                modalForm.find('.detention-submit').prop('disabled', false);
            }else if(hour<0){
                hour                    = parseInt(hour);
                hour                    = hour * -1;
                hour                    = "-0"+hour;
                //if(!modalForm.find('.time-lapsed').closest('label').next().hasClass('invalid-feedback'))
                    that.closest('.free_time_div').find('.invalid-feedback').show();
                modalForm.find('.detention-submit').prop('disabled', true);
            }else{
                that.closest('.free_time_div').find('.invalid-feedback').hide();
                modalForm.find('.detention-submit').prop('disabled', false);
            }
            if (min < 10)
                min                     = "0"+min;
            modalForm.find('input[name="billed_time"]').val(hour+":"+min);
            modalForm.find('input[name="rate"]').keyup();
        });
        $(document).on('click', '.free_time_div .scroll-btn', function(event) {
            var modalForm               = $('#detentionRequestModal #detentionForm');
            var that                    = $(this);
            var freeTime                = that.closest('.free_time_div').find('input[name="free_time"]').val();
            freeTime                    = freeTime.split(':');
            var detainedTime            = modalForm.find('.time-lapsed').text();
            detainedTime                = detainedTime.split(':');

            min                         = detainedTime[1]-freeTime[1];
            hour_carry                  = 0;
            if(min < 0){
                min                     += 60;
                hour_carry              += 1;
            }
            hour                        = detainedTime[0]-freeTime[0]-hour_carry;
            if(hour>=0 && hour < 10){
                hour                    = "0"+hour;
                that.closest('.free_time_div').find('.invalid-feedback').hide();
                modalForm.find('.detention-submit').prop('disabled', false);
            }else if(hour<0){
                hour                    = parseInt(hour);
                hour                    = hour * -1;
                hour                    = "-0"+hour;
                //if(!modalForm.find('.time-lapsed').closest('label').next().hasClass('invalid-feedback'))
                    that.closest('.free_time_div').find('.invalid-feedback').show();
                modalForm.find('.detention-submit').prop('disabled', true);
            }else{
                that.closest('.free_time_div').find('.invalid-feedback').hide();
                modalForm.find('.detention-submit').prop('disabled', false);
            }
            if (min < 10)
                min                     = "0"+min;
            modalForm.find('input[name="billed_time"]').val(hour+":"+min);
            modalForm.find('input[name="rate"]').keyup();
        });
        $(document).on('keyup change', 'input[name="rate"]', function(event) {
            var modalForm               = $('#detentionRequestModal #detentionForm');
            var that                    = $(this);
            var rate                    = that.val();
            var detention_due           = 0;
            if(parseFloat(rate) > 0){
                rate                    = parseFloat(rate);
                var billedTime          = modalForm.find('input[name="billed_time"]').val();
                billedTime              = billedTime.split(':');
                detention_due           += parseFloat(billedTime[0])*rate;
                detention_due           += (billedTime[1]*(rate/60));
                detention_due           = detention_due.toFixed(2);
            }
            if(detention_due > 0){
                modalForm.find('input[name="detention_due"]').val(detention_due);
            }else{
                if(detention_due==0){
                    modalForm.find('input[name="detention_due"]').val('');
                }else{
                    modalForm.find('input[name="detention_due"]').val(detention_due);
                }
            }

            if(
                modalForm.find('input[name="is_adjusted_billed_time"]').length > 0 &&
                modalForm.find('input[name="is_adjusted_billed_time"]').val()=='1' &&
                modalForm.find('input[name="adjusted_billed_time"]').val()!=modalForm.find('input[name="billed_time"]').val()
            ){
                modalForm.find('input[name="is_adjusted_billed_time"]').val(0);
                if(modalForm.find('.adjusted_billed_time_btn').length > 0)
                    modalForm.find('.adjusted_billed_time_btn').attr('data-is_accept',0).removeClass('d-none');
            }
            if(
                modalForm.find('input[name="is_adjusted_rate"]').length > 0 &&
                modalForm.find('input[name="is_adjusted_rate"]').val()=='1' &&
                modalForm.find('input[name="adjusted_rate"]').val()!=modalForm.find('input[name="rate"]').val()
            ){
                modalForm.find('input[name="is_adjusted_rate"]').val(0);
                if(modalForm.find('.adjusted_rate_btn').length > 0)
                    modalForm.find('.adjusted_rate_btn').attr('data-is_accept',0).removeClass('d-none');
            }
        });
        $(document).on('click', '.adjusted_billed_time_btn, .adjusted_rate_btn', function(event) {
            var modalForm                   = $('#detentionRequestModal #detentionForm');
            var that                        = $(this);
            var is_accept                   = that.attr('data-is_accept');
            if(is_accept==0){
                that.attr('data-is_accept',1).addClass('d-none');
                if(that.hasClass('adjusted_billed_time_btn')){
                    modalForm.find('input[name="is_adjusted_billed_time"]').val(1);
                    modalForm.find('input[name="billed_time"]').val(that.attr('data-adjusted_billed_time'));
                }else{
                    modalForm.find('input[name="is_adjusted_rate"]').val(1);
                    modalForm.find('input[name="rate"]').val(that.attr('data-adjusted_rate'));
                }

                var rate                    = modalForm.find('input[name="rate"]').val();
                var detention_due           = 0;
                if(parseFloat(rate) > 0){
                    rate                    = parseFloat(rate);
                    var billedTime          = modalForm.find('input[name="billed_time"]').val();
                    billedTime              = billedTime.split(':');
                    detention_due           += parseFloat(billedTime[0])*rate;
                    detention_due           += (billedTime[1]*(rate/60));
                    detention_due           = detention_due.toFixed(2);
                }
                if(detention_due > 0){
                    modalForm.find('input[name="detention_due"]').val(detention_due);
                }else{
                    if(detention_due==0){
                        modalForm.find('input[name="detention_due"]').val('');
                    }else{
                        modalForm.find('input[name="detention_due"]').val(detention_due);
                    }
                }
            }
        });
        //Once add button is clicked //https://www.codexworld.com/add-remove-input-fields-dynamically-using-jquery/
        $(document).on('click', '.add_broker_email_button', function(event) {
            event.preventDefault();
            // console.log('add-button');
            // return false;
            var modalForm           = $('#detentionRequestModal #detentionForm');
            var isChecked           = modalForm.find('#is_send_to_broker').is(':checked');
            var required            = '';
            if(isChecked){
                required            = 'required';
            }
            $('#detentionRequestModal .field_wrapper').append(`
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <input type="email" class="form-control" name="broker_email[]" value="" placeholder="Enter Broker Email" `+required+`>
                        </div>
                    </div>
                    <div class="col-md-1">
                        <a href="javascript:void(0);" class="btn btn-danger remove_broker_email_button" title="Remove field"><i class="fa fa-trash"></i></a>
                    </div>
                </div>
            `);
        });
        //Once remove button is clicked
        $(document).on('click', '.remove_broker_email_button', function(event) {
            event.preventDefault();
            // console.log('remove-button');
            // return false;
            $(this).closest('.row').remove(); //Remove field html
        });
        function setBrokerEmailRequired(){
            var modalForm           = $('#detentionRequestModal #detentionForm');
            var isChecked           = modalForm.find('#is_send_to_broker').is(':checked');
            if(isChecked){
                modalForm.find('input[name="broker_email[]"]').each( function() {
                   $(this).prop('required',true);
                });
            }else{
                modalForm.find('input[name="broker_email[]"]').each( function() {
                   $(this).prop('required',false);
                   $(this).parsley().reset();
                });
            }
        }
        function updateClock(){
            var modalForm                           = $('#detentionRequestModal #detentionForm');
            modalInterval                           = setInterval(function() {
                var timezone                        = modalForm.find('input[name="timezone"]').val();
                // console.log('updateClock');
                // return false;
                var detention_status                = modalForm.find('input[name="detention_status"]').val();
                if(detention_status==1){
                    // Get today's date and time
                    // var endStr                   = moment().format(dateTimeLayout); //moment(moment().toDate(), null).tz(timeZone).format(dateTimeLayout);
                    // var endStamp                 = new Date(endStr).getTime(); // var endStamp = new Date().getTime();
                    var endStamp                    = moment(moment().tz(timezone).format(dateTimeLayout)).valueOf();
                    var startStamp                  = endStamp;

                    var startTimeLabel              = modalForm.find('.start_time_label');
                    if(startTimeLabel.length > 0){
                        var startTimeLabelVal       = startTimeLabel.attr('data-start_time');
                        if(startTimeLabelVal){
                            startDateTime           = new Date(startTimeLabelVal);
                            startStamp              = startDateTime.getTime();
                        }
                    }

                    var diff                        = Math.abs(endStamp - startStamp);
                    var seconds                     = Math.floor(diff / 1000); //ignore any left over units smaller than a second
                    var minutes                     = Math.floor(seconds / 60);
                    seconds                         = seconds % 60;
                    var hours                       = Math.floor(minutes / 60);
                    minutes                         = minutes % 60;

                    if (hours < 10)
                        hours                       = "0"+hours;
                    if (minutes < 10)
                        minutes                     = "0"+minutes;
                    if(endStamp < startStamp){
                        modalForm.find('.time-lapsed').html('-'+hours+':'+minutes);
                        if(!modalForm.find('.time-lapsed').closest('label').next().hasClass('invalid-feedback')){
                            modalForm.find('.time-lapsed').closest('label').after('<span class="invalid-feedback">Please select correct date.</span>');
                        }
                        var mfbuttons               = modalForm.find('.detention-submit').each(function(i, obj) {
                            $(obj).prop('disabled', true);
                        });
                    }else{
                        modalForm.find('.time-lapsed').html(hours+':'+minutes);
                        if(modalForm.find('.time-lapsed').closest('label').next().hasClass('invalid-feedback')){
                            modalForm.find('.time-lapsed').closest('label').next().remove();
                        }
                        var mfbuttons               = modalForm.find('.detention-submit').each(function(i, obj) {
                            $(obj).prop('disabled', false);
                        });
                    }
                }else{
                    var endTimeLabel                = modalForm.find('.end_time_label');
                    var endTimeLabelVal             = endTimeLabel.attr('data-end_time');

                    var startTimeLabel              = modalForm.find('.start_time_label');
                    var startTimeLabelVal           = startTimeLabel.attr('data-start_time');

                    if(
                        (typeof endTimeLabelVal !== "undefined" && endTimeLabelVal!='') &&
                        (typeof startTimeLabelVal !== "undefined" && startTimeLabelVal!='')
                    ){
                        var endDateTime             = new Date(endTimeLabelVal);
                        var endStamp                = endDateTime.getTime();

                        var startDateTime           = new Date(startTimeLabelVal);
                        var startStamp              = startDateTime.getTime();

                        var diff                    = Math.abs(endStamp - startStamp);
                        var seconds                 = Math.floor(diff / 1000); //ignore any left over units smaller than a second
                        var minutes                 = Math.floor(seconds / 60);
                        seconds                     = seconds % 60;
                        var hours                   = Math.floor(minutes / 60);
                        minutes                     = minutes % 60;

                        if (hours < 10)
                            hours                   = "0"+hours;
                        if (minutes < 10)
                            minutes                 = "0"+minutes;
                        if(endStamp < startStamp){
                            modalForm.find('.time-lapsed').html('-'+hours+':'+minutes);
                            if(!modalForm.find('.time-lapsed').closest('label').next().hasClass('invalid-feedback')){
                                modalForm.find('.time-lapsed').closest('label').after('<span class="invalid-feedback">Please select correct date.</span>');
                            }
                            var mfbuttons           = modalForm.find('.detention-submit').each(function(i, obj) {
                                $(obj).prop('disabled', true);
                            });
                        }else{
                            modalForm.find('.time-lapsed').html(hours+':'+minutes);
                            if(modalForm.find('.time-lapsed').closest('label').next().hasClass('invalid-feedback')){
                                modalForm.find('.time-lapsed').closest('label').next().remove();
                            }
                            var mfbuttons           = modalForm.find('.detention-submit').each(function(i, obj) {
                                $(obj).prop('disabled', false);
                            });
                        }
                    }
                }
            }, 1000);
        }
    </script>
    <!-- detention -->
    <script type="text/javascript">
        $(document).ready(function() {
            var table = $('.data-table').DataTable({
                stateSave: true,
                bSortCellsTop: true,
                language: {
                    search: "",
                    searchPlaceholder: "Search...",
                },
                dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
                processing: true,
                serverSide: true,
                fixedHeader: true,
                ordering: false,
                pageLength: "{{ perPageView() }}",
                //order: [[0, "desc"]],
                ajax: "{{ route('company.admin.new.loads.auditload') }}",
                columns: [
                    <?php foreach($getField as $key => $filed): ?>
                        <?php if($filed == 1): ?>
                            <?php if(isset(config('settings.table_audit_load')[$key]['name'])): ?>
                                <?php if(config("settings.table_audit_load")[$key]["orderable"] == 1 && config("settings.table_audit_load")[$key]["searchable"] == 1): ?>
                                    { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                                <?php elseif(config("settings.table_audit_load")[$key]["orderable"] == 1): ?>
                                    { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                                <?php elseif(config("settings.table_audit_load")[$key]["searchable"] == 1): ?>
                                    { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                                <?php else: ?>
                                    { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                                <?php endif; ?>
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endforeach; ?>
                ]
            });
        });
    </script>
    <script type="text/javascript">

        jQuery(document).ready(function(){

            $("body").on("click", ".split-load-btn", function () {
                var token               = $('meta[name="csrf-token"]').attr('content');
                var delivery_date       = "{{ $loadDetail->delivery_date_time }}";
                var delivery_end_date   = "{{ $loadDetail->delivery_date_time_end }}";
                var driver_id           = $('.new-driver-change').val();
                var load_id             = "{{ $loadDetail->load_id }}";

                $.ajax({
                    url: "{{ route('company.admin.loads.check.load.overlap') }}",
                    method: "POST",
                    data: { _token : token , driver_id : driver_id , load_id : load_id , delivery_date : delivery_date , delivery_end_date : delivery_end_date },
                    success: function(response) {

                        if (response.error) {
                            Swal.fire({
                                // title: "Are you sure?",
                                text: response.driver_name+" already has a load assigned during these dates. Load Number: "+response.load_number,
                                icon: "warning",
                                showCancelButton: true,
                                reverseButtons: true,
                                confirmButtonColor: "#3085d6",
                                cancelButtonColor: "#d33",
                                confirmButtonText: "Confirm and Save",
                                cancelButtonText: "Cancel and Continue editing",
                            }).then((result) => {
                                if (result.value) {
                                    $('.split-store-form').submit();
                                }
                            });
                        } else {
                            $('.split-store-form').submit();
                        }
                    }
                });
            });
        });

    </script>
    <script type="text/javascript">
        //For split driver
        $("body").on("keyup change",".total-miles-addition",function(e){
            var sum     = 0;
            $(".total-miles-addition").each(function(){
                var val = $(this).val();

                if (val != "") {
                  sum += parseFloat(val);
                }
            });
            $(".total-miles").val(sum);
        });

        // Fuel Surcharge
        $("body").on("keyup change",".loaded-miles , .fuel-surcharge-cost-per-mile",function(e){
            var loaded_miles = $(".loaded-miles").val();
            var fuel_surcharge_cost_per_mile = $(".fuel-surcharge-cost-per-mile").val();

            if (fuel_surcharge_cost_per_mile && loaded_miles) {
                var fuel_surcharge = parseFloat(fuel_surcharge_cost_per_mile) * parseFloat(loaded_miles);
                $(".fuel-surcharge").val(fuel_surcharge);
                $(".line-haul-sub").trigger("keyup");
            }
        });

        // Line Haul
        $("body").on("keyup change",".line-haul-sub",function(e){
            var agreed_upon_rate = $(".agreed-upon-rate").val();
            var fuel_surcharge = $(".fuel-surcharge").val();

            if (agreed_upon_rate && fuel_surcharge) {
                var line_haul = parseFloat(agreed_upon_rate) - parseFloat(fuel_surcharge);
                $(".line-haul").val(line_haul);
            }
        });

        // Total Bill
        $("body").on("keyup change",".total-bill-addition",function(e){
            var sum     = 0;
            $(".total-bill-addition").each(function(){
                var val = $(this).val();
                if (val != "") {
                  sum += parseFloat(val);
                }
            });
            $(".total-bill").val(sum);
        });

        // Pay $
        $("body").on("keyup keypress change",".pay-percentage",function(e){
            var total_pay_percentage = 0;
            $('.pay-percentage').each(function(){
                var x = $(this).val();
                total_pay_percentage += parseFloat(x || 0);
            });
            if (total_pay_percentage > 100) {
                $(".pay-percentage-error").find(".error").text("Total pay % must be within 100%");
            } else {
                $(".pay-percentage-error").find(".error").text("");
                var pay_percentage  = $(this).val();
                var total_bill      = $(".total-bill").val();
                var pay             = total_bill * pay_percentage / 100;
                $(this).parents(".driver-split-load-calc").find(".pay").val(parseFloat(pay).toFixed(2));
            }
        });

        // Miles
        $("body").on("keyup change",".mileage-percentage",function(e){
            var total_mileage_percentage = 0;

            $('.mileage-percentage').each(function(){
                var x = $(this).val();
                total_mileage_percentage += parseFloat(x || 0);
            });

            if (total_mileage_percentage > 100) {
                $(".mileage-percentage-error").find(".error").text("Total mileage % must be within 100%");
            } else {
                $(".mileage-percentage-error").find(".error").text("");
                var mileage_percentage  = $(this).val();
                var total_miles         = $(".total-miles").val();
                var miles               = total_miles * mileage_percentage / 100;
                $(this).parents(".driver-split-load-calc").find(".miles").val(parseFloat(miles).toFixed(2));
            }
        });

        // New Driver
        /*var driver_id       = "{{ $loadDetail->driver_id }}";
        $(".new_driver_id").val(driver_id);*/

        /*$("body").on("change",".new-driver-change",function(e){
            // checkLoadIsOverlapOrNot();
            var driver_id   = $(this).val();
            $(".new_driver_id").val(driver_id);
        });*/
        $('.date-split-date').datetimepicker({
            format: 'MM/DD/YYYY',
            useCurrent: true,
        });
        $("#submitSplitForm").parsley();

        $(function(){
            $(document).on("click", ".remove-split-driver-row", function(){
                $(this).parent().parent().parent().remove();
            });
        });
    </script>
@endsection

@push('after-scripts')
    <script src="{{ asset('theme/js/trimble.js') }}"></script>
    <script src="{{ asset('theme/js/trimble-stop.js') }}"></script>
@endpush
