@extends($companyAdminTheme)

@section('title')
    @if(isset($trailer))
        Trailer Edit
    @else
        Trailer Create
    @endif
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/datepicker3.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
        /* breadcrumb */
        .trailer-create .breadcrumb li {
            text-decoration: none !important;
        }
        .trailer-create .breadcrumb li a {
            color: #305F9C !important;
        }
        /* tab list */
        .trailer-create .tabList {
            border: 0;
            padding: 0px 0px 0px;
        }
        .trailer-create .tabList a {
            font: normal normal bold 14px Inter, Sans-Serif;
            color: #305F9C;
            position: relative;
            padding: 10px 10px;
            height: auto;
        }
        .trailer-create .tabList a.active {
            font: normal normal bold 14px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FFFFFF !important;
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
        }
        .trailer-create .tabList a.active::before {
            content: '';
            background-color: inherit;
            height: 2px;
            width: 100%;
            position: absolute;
            left: 0;
            top: inherit;
            bottom: 0;
        }
        .trailer-create .tabList .nav-link.disabled {
            font: normal normal bold 14px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .trailer-create .tabList .nav-item {
            margin-right: 3px;
            border: 1px solid #305F9C;
            border-radius: 10px 10px 0px 0px;
            border-bottom: 1px solid #D8D8D9;
        }
        /* tab content */
        .trailer-create .tab-content {
            background: #FFFFFF 0% 0% no-repeat padding-box;
            border: 1px solid #D8D8D9;
            border-radius: 0px 10px 10px 10px;
        }
        .trailer-create .tab-content ul li {
            padding: 0px 0px;
        }
        /* tab general info */
        .trailer-create #tabGeneralInfo .gi-custom-grid {
            max-width: 20%;
        }
        .trailer-create #tabOwnership .own-custom-grid {
            max-width: 20%;
        }
        .trailer-create #tabInsurance .ins-custom-grid {
            max-width: 19.25%;
        }
        .trailer-create #tabInsurance .ins-prev-custom-grid {
            max-width: 18.60%;
        }
        .trailer-create #tabCompliance .comp-custom-grid {
            max-width: 20%;
        }
        .trailer-create #tabPmMaintenanceService .pm-service-custom-grid {
            max-width: 19.25%;
        }
        .trailer-create #tabPmMaintenanceService .pm-service-prev-custom-grid {
            max-width: 15.85%;
        }
        /* tab ownership */
        .trailer-create #tabOwnership .mark-as-sold {
            text-decoration: underline;
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .trailer-create #tabOwnership .fileUpload i.fa-picture-o {
            padding-top: 20px;
            margin: 2px 6px;
            cursor: pointer;
            font-size: 26px;
            color: #00000082;
        }
        .trailer-create #tabOwnership .fileUpload i.fa-picture-o.uploaded {
            padding-top: 20px;
            margin: 2px 6px;
            cursor: pointer;
            font-size: 26px;
            color: #305F9C;
        }
        /* tab integration info */
        .trailer-create #tabIntegrations .table td, .ngd-new .table tbody tr:first-child td {
            border-bottom: inherit !important;
        }
        .trailer-create #tabIntegrations table .form-group img {
            position: inherit;
            right: inherit;
            bottom: inherit;
            width: inherit;
        }
        .trailer-create #tabIntegrations table .headingRow {
            border-bottom: 1px solid #D8D8D9;
        }
        .trailer-create #tabIntegrations table tr th {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #616376;
        }
        .trailer-create #tabIntegrations table .form-group .provider-heading {
            font: normal normal 600 16px/20px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #322727;
        }
        .trailer-create #tabIntegrations table .status-connected {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #616376;
        }
        .trailer-create #tabIntegrations .status-not-connected {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #dc3545;
        }
        .trailer-create #tabIntegrations table .view-details {
            text-decoration: underline;
            font: normal normal 600 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        /* inside tab */
        .trailer-create .insideTabList {
            border: 0;
            padding: 0px 0px 0px;
        }
        .trailer-create .insideTabList a {
            font: normal normal bold 14px Inter, Sans-Serif;
            color: #7C8C9D;
            padding: 1rem 0rem;
            position: relative;
            height: 45px;
        }
        .trailer-create .insideTabList a.active {
            color: #305F9C !important;
        }
        .trailer-create .insideTabList a.active::before {
            content: '';
            background-color: #305F9C;
            height: 2px;
            width: 100%;
            position: absolute;
            left: 0;
            top: inherit;
            bottom: 0;
        }
        .trailer-create .insideTabList .nav-item {
            padding: 0px 6px;
        }

        .trailer-create .insideTabContent {
            background: #FFFFFF 0% 0% no-repeat padding-box;
            border: 0;
        }
        .trailer-create .insideTabContent ul li {
            padding: 0px 0px;
        }
        /* tab compliance */
        .trailer-create #tabCompliance .fileUpload i.fa-picture-o {
            padding-top: 20px;
            margin: 2px 6px;
            cursor: pointer;
            font-size: 26px;
            color: #00000082;
        }
        .trailer-create #tabCompliance .fileUpload i.fa-picture-o.uploaded {
            padding-top: 20px;
            margin: 2px 6px;
            cursor: pointer;
            font-size: 26px;
            color: #305F9C;
        }
        /* Select 2 Single */
        .trailer-create .select2-container {
            width: 100% !important;
        }
        .trailer-create .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .trailer-create .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        .trailer-create .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        .trailer-create .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        .trailer-create .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            /*font-weight: 600;*/
            /*color: #000000e6 !important;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        .trailer-create .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
        /* Select 2 Multiple */
        .trailer-create .select2-container .select2-selection--multiple {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .trailer-create .select2-container--default .select2-selection--multiple {
            border: 1px solid #C5CEE0;
        }
        .trailer-create .select2-container--default .select2-selection--multiple .select2-selection__rendered {
            line-height: 10px !important;
        }
        .trailer-create .select2-container--default .select2-selection--multiple .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        .trailer-create .select2-container .select2-selection--multiple .select2-selection__rendered {
            font-weight: 400;
            color: #616376 !important;
        }
        .trailer-create .select2-container--default .select2-selection--multiple .select2-selection__rendered li {
            padding: 5px 5px;
        }
        .trailer-create .multiple-select .select2-results__option {
            padding-right: 20px;
            vertical-align: middle;
        }
        .trailer-create .multiple-select .select2-results__option:before {
            content: "";
            display: inline-block;
            position: relative;
            height: 16px;
            width: 16px;
            border: 2px solid #305F9C;
            border-radius: 4px;
            background-color: #fff;
            margin-right: 8px;
            vertical-align: middle;
        }
        .trailer-create .multiple-select .select2-results__option[aria-selected=true]:before {
            font-family: fontAwesome;
            content: "\f00c";
            color: #fff;
            background-color: #305F9C;
            border: 0;
            display: inline-block;
            padding-left: 2px;
        }
        .trailer-create .multiple-select .select2-container--default .select2-results__option[aria-selected=true] {
            background-color: #fff;
        }
        .trailer-create .multiple-select .select2-container--default .select2-results__option--highlighted[aria-selected] {
            color: #616376;
        }
        .trailer-create .multiple-select .select2-container--default .select2-selection--multiple {
            margin-bottom: 10px;
        }
        .trailer-create .multiple-select .select2-container--default.select2-container--open.select2-container--below .select2-selection--multiple {
            border-radius: 4px;
        }
        .trailer-create .multiple-select .select2-container--default.select2-container--focus .select2-selection--multiple {
            border-color: #f77750;
            border-width: 2px;
        }
        .trailer-create .multiple-select .select2-container--default .select2-selection--multiple {
            border-width: 2px;
        }
        .trailer-create .multiple-select .select2-container--open .select2-dropdown--below {
            border-radius: 6px;
            box-shadow: 0 0 10px rgba(0,0,0,0.5);
        }
        .trailer-create .multiple-select .select2-selection .select2-selection--multiple:after {
            content: 'hhghgh';
        }
        .trailer-create .multiple-select .select-icon .select2-selection__placeholder .badge {
            display: none;
        }
        .trailer-create .multiple-select .select-icon .placeholder {
            display: none;
        }
        .trailer-create .multiple-select .select-icon .select2-results__option:before,
        .trailer-create .multiple-select .select-icon .select2-results__option[aria-selected=true]:before {
            display: none !important;
        }
        .trailer-create .multiple-select .select-icon  .select2-search--dropdown {
            display: none;
        }
        .trailer-create .multiple-select ul li {
            padding: 5px 8px !important;
        }
        .trailer-create .select2-selection--multiple {
            overflow: hidden !important;
            height: auto !important;
        }
        .trailer-create .select2-container .select2-selection--multiple {
            width: 100%;
            display: table;
        }
        .trailer-create .select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
            color: #fff;
        }
        .trailer-create .select2-container--default .select2-selection--multiple .select2-selection__choice {
            background-color: #305F9C;
            border: 1px solid #305F9C;
            color: #fff;
        }
        /* general code */
        .form-group img {
            width: 15px;
        }
        .form-group h6{
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .form-check {
            padding-left: inherit;
        }
        .form-check input {
            opacity: 0;
        }
        .form-check label {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            color: #342828;
        }
        .form-check label::before {
            content: '';
            position: absolute;
            width: 16px;
            height: 16px;
            left: 8px;
            border: 2px solid #305F9C;
            border-radius: 4px;
            top: 0px;
        }
        .form-check label::after {
            content: "\f00c";
            font: normal normal normal 14px/1 FontAwesome;
            color: white;
            left: 10px;
            position: absolute;
            top: 1.5px;
            font-size: 10px;
            opacity: 0;
        }
        .form-check-input {
            position: inherit;
            margin-top: inherit;
            margin-left: inherit;
        }
        .form-check input[type="checkbox"]:checked~label::before {
            background-color: #305F9C;
        }
        .form-check input[type="checkbox"]:checked~label::after {
            opacity: 1;
        }
        .input-group .input-group-prepend {
            background: transparent;
            border-radius: 10px 0px 0px 10px;
            color: #342828;
            font-family: 'Inter', sans-serif;
        }
        .input-group .input-group-prepend .input-group-text {
            color: #616376;
            font-size: 16px;
            font-weight: 600;
            border: 1px solid #D8D8DD;
            background: #fff;
            font-family: 'Inter', sans-serif;
            min-width: 55px;
            justify-content: center;
        }
        .input-group .input-group-prepend.readonly-input .input-group-text{
            background: #E9ECEF;
            border-radius: 10px 0px 0px 10px;
            color: #342828;
            font-family: 'Inter', sans-serif;
        }
        .input-group .input-group-append {
            background: transparent;
            border-radius: 10px 0px 0px 10px;
            color: #342828;
            font-family: 'Inter', sans-serif;
        }
        .input-group .input-group-append .input-group-text {
            color: #616376;
            font-size: 16px;
            font-weight: 600;
            border: 1px solid #D8D8DD;
            background: #fff;
            font-family: 'Inter', sans-serif;
            min-width: 55px;
            justify-content: center;
        }
        .pre-append input[type=text].form-control {
            border-radius: 0px 10px 10px 0px !important;
        }
        .post-append input[type=text].form-control {
            border-radius: 10px 0px 0px 10px !important;
        }
        /* general code */
        .trailer-create .form-group label {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            color: #616376 !important;
        }
        .trailer-create .form-group .section-heading {
            font: normal normal 600 16px/20px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .trailer-create .form-group .custom-top-label {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C !important;
        }
        .trailer-create .form-group .removeMore{
            color: red !important;
        }
        .trailer-create .form-group .fa-info-circle {
            font-size: 16px;
        }
        .trailer-create input[type=text].form-control,
        .trailer-create textarea.form-control {
            /*font-size: 14px;*/
            /*font-weight: bolder;*/
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        .trailer-create input::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        .trailer-create textarea::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        .trailer-create select.form-control {
            /*font-size: 14px;*/
            border: 1px solid #C5CEE0;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding-left: 12px;
            /*font-weight: 400;*/
            /*color: #616376;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        /* button */
        .trailer-create .btn-blue {
            background: #305F9C 0% 0% no-repeat padding-box;
            border: 1px solid #305F9C;
            border-radius: 10px !important;
            color: #F1F3F6;
            min-width: 110px;
        }
        .trailer-create .btn-blue:hover {
            border: 1px solid #305F9C;
            background-color: #F1F3F6;
            color: #305F9C;
        }
        .trailer-create .btn-blueBr {
            font-size: 14px;
            font-weight: bold;
            height: auto;
            line-height: 18px;
            text-align: center;
            padding: 12.5px 0.75rem;
            transition: all 0.3s linear;
            border-radius: 10px !important;
            min-width: 110px;
        }
        .verify-link {
            text-decoration: underline;
            font: normal normal 600 14px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .addMoreBtn i.fa-plus-square {
            padding-top: 2px;
            margin: 2px 5px;
            cursor: pointer;
            font-size: 32px;
            color: #305F9C;
        }
        .removeMoreBtn i.fa-minus-square {
            padding-top: 2px;
            margin: 2px 5px;
            cursor: pointer;
            font-size: 32px;
            color: #dc3545;
        }
        .removeMoreProfileRows i.fa-minus-square {
            padding-top: 2px;
            margin: 2px 5px;
            cursor: pointer;
            font-size: 32px;
            color: #dc3545;
        }
        .removeMoreAdditionalRows i.fa-minus-square {
            padding-top: 2px;
            margin: 2px 5px;
            cursor: pointer;
            font-size: 32px;
            color: #dc3545;
        }
        /* hr */
        .trailer-create hr {
            border-color: #D8D8D9 !important;
        }
        /* preView */
        .preViewDiv {
            pointer-events: none;
            background-color: #e9ecef;
        }
    </style>
    <style type="text/css">
        /* tab general info */
        .upload-element {
            display: flex;
            align-items: center;
            flex-direction: column;
        }
        .upload-element i.fa-picture-o {
            padding-top: 15px;
            margin: 2px 10px;
            cursor: pointer;
            font-size: 26px;
            color: #00000082;
        }
        .upload-element i.fa-picture-o.uploaded {
            padding-top: 15px;
            margin: 2px 10px;
            cursor: pointer;
            font-size: 26px;
            color: #305F9C;
        }
        .upload-element .upload-input {
            display: none;
        }
        .upload-element label{
            font-size: 12px !important;
        }
        /* tab insurance info */
        .insuranceFile i.fa-picture-o {
            padding-top: 7px;
            margin: 2px 5px;
            cursor: pointer;
            font-size: 26px;
            color: #00000082;
        }
        .insuranceFile i.fa-picture-o.uploaded {
            padding-top: 7px;
            margin: 2px 5px;
            cursor: pointer;
            font-size: 26px;
            color: #305F9C;
        }
        ::-webkit-scrollbar-thumb {
            background: #305F9C;
            border-radius: 10px;
        }
    </style>
    <style type="text/css">
        .modal-xl {
            max-width: 1720px;
        }
    </style>
    <style type="text/css">
        #vinLookupModal .select2-container {
            width: 100% !important;
        }
        #vinLookupModal .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        #vinLookupModal .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        #vinLookupModal .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        #vinLookupModal .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        #vinLookupModal .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            /*font-weight: 600;*/
            /*color: #000000e6 !important;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        #vinLookupModal .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
        #vinLookupModal #vinLookupDetails {
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            height: 284px;
        }
        #vinLookupModal input[type=text].form-control {
            /*font-size: 14px;*/
            /*font-weight: bolder;*/
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            height: 43px;
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        #vinLookupModal input::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        #vinLookupModal textarea::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        #vinLookupModal select.form-control {
            /*font-size: 14px;*/
            border: 1px solid #C5CEE0;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding-left: 12px;
            /*font-weight: 400;*/
            /*color: #616376;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
    </style>
    <style type="text/css">
        #insuranceProfileModal .ins-modal-custom-grid {
            max-width: 18.75%;
        }
        #insuranceProfileModal .select2-container {
            width: 100% !important;
        }
        #insuranceProfileModal .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        #insuranceProfileModal .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        #insuranceProfileModal .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        #insuranceProfileModal .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        #insuranceProfileModal .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            /*font-weight: 600;*/
            /*color: #000000e6 !important;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        #insuranceProfileModal .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
        #insuranceProfileModal input[type=text].form-control {
            /*font-size: 14px;*/
            /*font-weight: bolder;*/
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            height: 43px;
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        #insuranceProfileModal input::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        #insuranceProfileModal select.form-control {
            /*font-size: 14px;*/
            border: 1px solid #C5CEE0;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding-left: 12px;
            /*font-weight: 400;*/
            /*color: #616376;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
    </style>
    <style type="text/css">
        #addInsuranceLineModal .select2-container {
            width: 100% !important;
        }
        #addInsuranceLineModal .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        #addInsuranceLineModal .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        #addInsuranceLineModal .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        #addInsuranceLineModal .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        #addInsuranceLineModal .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            /*font-weight: 600;*/
            /*color: #000000e6 !important;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        #addInsuranceLineModal .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
    </style>
    <style type="text/css">
        #pmServiceProfileModal .pm-service-custom-grid {
            max-width: 16.20%;
        }
        #pmServiceProfileModal .select2-container {
            width: 100% !important;
        }
        #pmServiceProfileModal .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        #pmServiceProfileModal .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        #pmServiceProfileModal .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        #pmServiceProfileModal .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        #pmServiceProfileModal .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            /*font-weight: 600;*/
            /*color: #000000e6 !important;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        #pmServiceProfileModal .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
        #pmServiceProfileModal input[type=text].form-control {
            /*font-size: 14px;*/
            /*font-weight: bolder;*/
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            height: 43px;
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        #pmServiceProfileModal input::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        #pmServiceProfileModal select.form-control {
            /*font-size: 14px;*/
            border: 1px solid #C5CEE0;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding-left: 12px;
            /*font-weight: 400;*/
            /*color: #616376;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
    </style>
    <style type="text/css">
        #warranty-pm-service-form .warranty-pm-service-custom-grid,
        #warrantyPmServiceModal .warranty-pm-service-custom-grid {
            max-width: 15.85%;
        }
        #warrantyPmServiceModal .select2-container {
            width: 100% !important;
        }
        #warrantyPmServiceModal .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        #warrantyPmServiceModal .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        #warrantyPmServiceModal .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        #warrantyPmServiceModal .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        #warrantyPmServiceModal .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            /*font-weight: 600;*/
            /*color: #000000e6 !important;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        #warrantyPmServiceModal .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
        #warrantyPmServiceModal input[type=text].form-control {
            /*font-size: 14px;*/
            /*font-weight: bolder;*/
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            height: 43px;
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        #warrantyPmServiceModal input::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        #warrantyPmServiceModal select.form-control {
            /*font-size: 14px;*/
            border: 1px solid #C5CEE0;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding-left: 12px;
            /*font-weight: 400;*/
            /*color: #616376;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
    </style>
    <style type="text/css">
        #eldIntegrationSetupModal .select2-container,
        #viewDetailsEldIntegrationModal .select2-container {
            width: 100% !important;
        }
        #eldIntegrationSetupModal .select2-container .select2-selection--single,
        #viewDetailsEldIntegrationModal .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        #eldIntegrationSetupModal .select2-container--default .select2-selection--single,
        #viewDetailsEldIntegrationModal .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        #eldIntegrationSetupModal .select2-container--default .select2-selection--single .select2-selection__rendered,
        #viewDetailsEldIntegrationModal .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        #eldIntegrationSetupModal .select2-container--default .select2-selection--single .select2-selection__arrow,
        #viewDetailsEldIntegrationModal .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        #eldIntegrationSetupModal .select2-container .select2-selection--single .select2-selection__rendered,
        #viewDetailsEldIntegrationModal .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            /*font-weight: 600;*/
            /*color: #000000e6 !important;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        #eldIntegrationSetupModal .select2-container .select2-search__field::placeholder,
        #viewDetailsEldIntegrationModal .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
        #eldIntegrationSetupModal input[type=text].form-control,
        #viewDetailsEldIntegrationModal input[type=text].form-control {
            /*font-size: 14px;*/
            /*font-weight: bolder;*/
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            height: 43px;
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        #eldIntegrationSetupModal input::placeholder,
        #viewDetailsEldIntegrationModal input::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        #eldIntegrationSetupModal select.form-control,
        #viewDetailsEldIntegrationModal select.form-control {
            /*font-size: 14px;*/
            border: 1px solid #C5CEE0;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding-left: 12px;
            /*font-weight: 400;*/
            /*color: #616376;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        #eldIntegrationSetupModal .form-check,
        #viewDetailsEldIntegrationModal .form-check {
            padding-left: inherit;
        }
        #eldIntegrationSetupModal .form-check input,
        #viewDetailsEldIntegrationModal .form-check input {
            opacity: 0;
        }
        #eldIntegrationSetupModal .form-check label,
        #viewDetailsEldIntegrationModal .form-check label {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            color: #305F9C;
        }
        #eldIntegrationSetupModal .form-check label::before,
        #viewDetailsEldIntegrationModal .form-check label::before {
            content: '';
            position: absolute;
            width: 16px;
            height: 16px;
            left: 14px;
            border: 2px solid #305F9C;
            border-radius: 4px;
            top: 1px;
        }
        #eldIntegrationSetupModal .form-check label::after,
        #viewDetailsEldIntegrationModal .form-check label::after {
            content: "\f00c";
            font: normal normal normal 14px/1 FontAwesome;
            color: white;
            left: 17px;
            position: absolute;
            top: 3.5px;
            font-size: 10px;
            opacity: 0;
        }
        #eldIntegrationSetupModal .form-check-input,
        #viewDetailsEldIntegrationModal .form-check-input {
            position: inherit;
            margin-top: inherit;
            margin-left: inherit;
        }
        #eldIntegrationSetupModal .form-check input[type="checkbox"]:checked~label::before,
        #viewDetailsEldIntegrationModal .form-check input[type="checkbox"]:checked~label::before {
            background-color: #305F9C;
        }
        #eldIntegrationSetupModal .form-check input[type="checkbox"]:checked~label::after,
        #viewDetailsEldIntegrationModal .form-check input[type="checkbox"]:checked~label::after {
            opacity: 1;
        }
        #eldIntegrationSetupModal .modal-dishpatch .form-group label,
        #viewDetailsEldIntegrationModal .modal-dishpatch .form-group label {
            font-size: 14px;
            line-height: 1.215;
            font-weight: bold;
            color: #616376;
            margin-bottom: 0.25rem!important;
        }
    </style>
    <style type="text/css">
        #equipment-profile-form .equipment-custom-grid,
        #additional-equipment-form .equipment-custom-grid,
        #equipmentProfileModal .equipment-custom-grid {
            max-width: 15.85%;
        }
        #equipmentProfileModal .select2-container {
            width: 100% !important;
        }
        #equipmentProfileModal .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        #equipmentProfileModal .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        #equipmentProfileModal .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        #equipmentProfileModal .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        #equipmentProfileModal .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            /*font-weight: 600;*/
            /*color: #000000e6 !important;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        #equipmentProfileModal .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
        #equipmentProfileModal input[type=text].form-control {
            /*font-size: 14px;*/
            /*font-weight: bolder;*/
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            height: 43px;
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        #equipmentProfileModal input::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        #equipmentProfileModal select.form-control {
            /*font-size: 14px;*/
            border: 1px solid #C5CEE0;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding-left: 12px;
            /*font-weight: 400;*/
            /*color: #616376;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
    </style>
    <style type="text/css">
        #document-profile-form .document-custom-grid,
        #additional-document-form .document-custom-grid {
            max-width: 15.85%;
        }
        #documentProfileModal .document-custom-grid {
            max-width: 24.20%;
        }
        #documentProfileModal .select2-container {
            width: 100% !important;
        }
        #documentProfileModal .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        #documentProfileModal .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        #documentProfileModal .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        #documentProfileModal .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        #documentProfileModal .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            /*font-weight: 600;*/
            /*color: #000000e6 !important;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        #documentProfileModal .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
        #documentProfileModal input[type=text].form-control {
            /*font-size: 14px;*/
            /*font-weight: bolder;*/
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            height: 43px;
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        #documentProfileModal input::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        #documentProfileModal select.form-control {
            /*font-size: 14px;*/
            border: 1px solid #C5CEE0;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding-left: 12px;
            /*font-weight: 400;*/
            /*color: #616376;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        #documentProfileModal .modal-body .btn-blueBr,
        #tabOnBoardDocuments #preViewDocumentProfile .btn-blueBr,
        #tabOnBoardDocuments #documentProfile .btn-blueBr,
        #tabOnBoardDocuments #additionalDocument .btn-blueBr {
            width: 99px;
            height: 34px;
            background: #FFFFFF 0% 0% no-repeat padding-box;
            border: 1px solid #305F9C;
            border-radius: 10px;
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
            padding: inherit;
        }
        #tabOnBoardDocuments #documentProfile .btn-blueBr:hover,
        #tabOnBoardDocuments #additionalDocument .btn-blueBr:hover {
            background: #305F9C 0% 0% no-repeat padding-box;
            color: #FFFFFF;
        }
        #documentProfileModal .modal-body .btn-blue,
        #tabOnBoardDocuments #preViewDocumentProfile .btn-blue,
        #tabOnBoardDocuments #documentProfile .btn-blue,
        #tabOnBoardDocuments #additionalDocument .btn-blue {
            width: 99px;
            height: 34px;
            background: #305F9C 0% 0% no-repeat padding-box;
            border-radius: 10px;
            font: normal normal 600 14px/17px Inter, Sans-Serif;;
            letter-spacing: 0px;
            color: #FFFFFF;
            padding: inherit;
        }
        #documentProfileModal .addMoreBtn i.fa-plus-square {
            padding-top: 2px;
            margin: 2px 5px;
            cursor: pointer;
            font-size: 32px;
            color: #305F9C;
        }
        #documentProfileModal .removeMoreBtn i.fa-minus-square {
            padding-top: 2px;
            margin: 2px 5px;
            cursor: pointer;
            font-size: 32px;
            color: #dc3545;
        }
        #documentProfileModal .documentsFile i.fa-picture-o,
        #tabOnBoardDocuments #preViewDocumentProfile .documentsFile i.fa-picture-o,
        #tabOnBoardDocuments #documentProfile .documentsFile i.fa-picture-o,
        #tabOnBoardDocuments #additionalDocument .documentsFile i.fa-picture-o {
            padding-top: 7px;
            margin: 2px 8px;
            cursor: pointer;
            font-size: 26px;
            color: #00000082;
        }
        #documentProfileModal .documentsFile i.fa-picture-o.uploaded,
        #tabOnBoardDocuments #preViewDocumentProfile .documentsFile i.fa-picture-o.uploaded,
        #tabOnBoardDocuments #documentProfile .documentsFile i.fa-picture-o.uploaded,
        #tabOnBoardDocuments #additionalDocument .documentsFile i.fa-picture-o.uploaded {
            padding-top: 7px;
            margin: 2px 8px;
            cursor: pointer;
            font-size: 26px;
            color: #305F9C;
        }
    </style>
    <style type="text/css">
        /* 03-04-2024  start */
        .trailer-create #tabOwnership .own-custom-gridNew {
            max-width: 40%;
        }
        .trailer-create .form-group .paymentDays label {
            position: relative;
            margin: 0;
        }
        .paymentDays .form-check-inline {
            margin-right: 5px;
            position: relative;
        }
        .paymentDays .form-check-inline:last-child {
            margin-right: 0;
        }
        .paymentDays .form-group .form-check-label {
            margin-bottom: 0;
        }
        .paymentDays span {
            width: 57px;
            display: inline-block;
            color: #FFFFFF !important;
            background: #7C8C9D;
            text-transform: uppercase;
            border-radius: 10px;
            padding: 14px 10px;
            text-align: center;
            cursor: pointer;
        }
        .paymentDays .form-check-input {
            position: absolute;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            opacity: 0;
            margin: 0;
            cursor: pointer;
        }
        .paymentDays .form-check-input:checked+span {
            background: #305F9C;
        }
        .owner-check p {
            color: #305F9C;
            font-size: 16px;
            font-weight: 600;
            margin-bottom: 11px;
        }

        @media (max-width:1399px) {
            .paymentDays .form-check-inline {
                margin-right: 3px;
            }
            .paymentDays span {
                width: 50px;
            }
        }
        @media (max-width:1199px) {
            .trailer-create #tabOwnership .own-custom-gridNew {
                max-width: 48%;
            }
        }
        @media (max-width:991px) {
            .trailer-create #tabOwnership .own-custom-gridNew {
                max-width: 100%;
            }
        }
        /* 03-04-2024  end */
    </style>
    <style type="text/css">
        #select2-status-results .select2-results__option[aria-selected=true] {
            background-color: unset !important;
        }
        #select2-status-results .select2-results__option--highlighted[aria-selected] {
            background-color: #305f9c1c !important;
        }
        #select2-ownership-results li:nth-of-type(3) {
            border-bottom: 1px solid #D8D8DD;
        }
        .select2 .select2-selection--multiple .select2-search--inline .select2-search__field {
            margin-top: 8px;
        }
    </style>
@endsection

@section('content')
    @php
        $dummy_id = time();
    @endphp
    <div class="row trailer-create">
        <div class="col-12">
            <div class="d-flex custom-margin">
                <div class="mr-auto custom-width-95">
                    <nav aria-label="breadcrumb mb-3">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="javascript:void(0);">Equipment</a></li>
                            <li class="breadcrumb-item"><a href="{{ route('company.admin.trailers.index') }}">Trailer</a></li>
                            <li class="breadcrumb-item"><a href="javascript:void(0);">@if(isset($trailer)) Edit @else Add @endif Trailer</a></li>
                        </ol>
                    </nav>
                    <ul class="nav nav-tabs flex-nowrap tabList" role="tablist">
                        <li role="presentation" class="nav-item">
                            <a
                                href="#tabGeneralInfo"
                                class="nav-link active"
                                id="nav-tabGeneralInfo"
                                data-toggle="tab"
                                role="tab"
                                aria-controls="tabGeneralInfo"
                                aria-selected="true">General Info</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a
                                href="#tabOwnership"
                                class="nav-link @if(!isset($trailer)) disabled @endif"
                                id="nav-tabOwnership"
                                data-toggle="tab"
                                role="tab"
                                aria-controls="tabOwnership"
                                aria-selected="false">Ownership</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a
                                href="#tabInsurance"
                                class="nav-link @if(!isset($trailer)) disabled @endif"
                                id="nav-tabInsurance"
                                data-toggle="tab"
                                role="tab"
                                aria-controls="tabInsurance"
                                aria-selected="false">Insurance</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a
                                href="#tabCompliance"
                                class="nav-link @if(!isset($trailer)) disabled @endif"
                                id="nav-tabCompliance"
                                data-toggle="tab"
                                role="tab"
                                aria-controls="tabCompliance"
                                aria-selected="false">Compliance</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a
                                href="#tabPmMaintenanceService"
                                class="nav-link @if(!isset($trailer)) disabled @endif"
                                id="nav-tabPmMaintenanceService"
                                data-toggle="tab"
                                role="tab"
                                aria-controls="tabPmMaintenanceService"
                                aria-selected="false">PM Maintenance & Service</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a
                                href="#tabIntegrations"
                                class="nav-link @if(!isset($trailer)) disabled @endif"
                                id="nav-tabIntegrations"
                                data-toggle="tab"
                                role="tab"
                                aria-controls="tabIntegrations"
                                aria-selected="false">Integrations</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a
                                href="#tabToolsEquipmentAccessories"
                                class="nav-link @if(!isset($trailer)) disabled @endif"
                                id="nav-tabToolsEquipmentAccessories"
                                data-toggle="tab"
                                role="tab"
                                aria-controls="tabToolsEquipmentAccessories"
                                aria-selected="false">Tools, Equipment & Accessories</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a
                                href="#tabOnBoardDocuments"
                                class="nav-link @if(!isset($trailer)) disabled @endif"
                                id="nav-tabToolsEquipmentAccessories"
                                data-toggle="tab"
                                role="tab"
                                aria-controls="tabOnBoardDocuments"
                                aria-selected="false">On Board Documents</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a
                                href="#tabImageCenter"
                                class="nav-link @if(!isset($trailer)) disabled @endif"
                                id="nav-tabImageCenter"
                                data-toggle="tab"
                                role="tab"
                                aria-controls="tabImageCenter"
                                aria-selected="false">Image Center</a>
                        </li>
                    </ul>
                </div>
                <div class="custom-width-10">
                    <div class="form-group pt-2 mb-0">
                        <label for="status">Status</label>
                        <select id="status" name="status" class="form-control select2Status">
                            <option value="">Select Status</option>
                            @if(isset($trailer))
                                <option value="0" data-color="#2F9840" {{ (empty($trailer->status) || (!empty($trailer) && $trailer->status == '0')) ? 'selected' : '' }}>Active</option>
                                <option value="1" data-color="#FFCF10" {{ (!empty($trailer) && $trailer->status == '1') ? 'selected' : '' }}>OOS</option>
                                <option value="2" data-color="#FF1010" {{ (!empty($trailer) && $trailer->status == '2') ? 'selected' : '' }}>Terminate</option>
                                <option value="3" data-color="#305F9C" {{ (!empty($trailer) && $trailer->status == '3') ? 'selected' : '' }}>Rehire</option>
                            @else
                                <option value="0" data-color="#2F9840" selected>Active</option>
                                <option value="1" data-color="#FFCF10">OOS</option>
                                <option value="3" data-color="#305F9C">Rehire</option>
                            @endif
                        </select>
                        {{-- {!! Form::select('status', ['' => 'Select Status', '0' => 'Active', '1' => 'OOS', '2' => 'Terminate', '3' => 'Rehire'], $trailer->status ?? 0, [
                                'class' => 'form-control select2',
                                'id'    => 'status', 
                                'data-no-search' => 'true'
                            ]
                        ) !!} --}}
                    </div>
                </div>
            </div>
            <div class="tab-content">
                <div class="tab-pane active" role="tabpanel" id="tabGeneralInfo">
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'general-info-tab', 'id' => 'general-info-tab']) !!}
                        <input type="hidden" class="trailer_created_id" name="trailer_created_id" value="{{ $trailer->id ?? ''}}">
                        <div class="row px-3 py-2 pt-3">
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="trailer_unique_id">Trailer ID</label>
                                    {!! Form::text('trailer_unique_id', $trailer->trailer_unique_id ?? null, array(
                                            'class'         => 'form-control trailer_unique_id',
                                            'id'            => 'trailer_unique_id',
                                            'placeholder'   => getCompIdentifier().'Auto Generated',
                                            'readonly'      => 'readonly'
                                        )
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="unit">Unit No<span>*</span></label>
                                    {!! Form::text('trailer_id', $trailer->trailer_id ?? null, array(
                                            'class'                         => 'form-control',
                                            'id'                            => 'unit',
                                            'placeholder'                   => 'Enter Unit No.',
                                            'required'                      => 'required',
                                            'data-parsley-remote'           => route('company.admin.trailer.check.unique.unit'),
                                            'data-parsley-remote-message'   => 'The Unit No has already been taken.',
                                            'data-parsley-trigger'          => 'change', // Trigger remote check on change
                                            'data-parsley-remote-options'   => '{"type": "GET", "data": {"id": '. ($trailer->id ?? 'null') .'}}', // Pass the id parameter
                                        )
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <div class="d-flex align-items-center">
                                        <div class="mr-auto">
                                            <label for="vin">Vehicle Identification No</label>
                                        </div>
                                        <div class="d-flex">
                                            <a href="javascript:void(0);" class="custom-top-label" data-toggle="modal" data-target="#vinLookupModal">
                                                VIN Lookup <i class="fa fa-info-circle" aria-hidden="true"></i>
                                            </a>
                                        </div>
                                    </div>
                                    {!! Form::text('vin', $trailer->vin ?? null, array(
                                            'class'                         => 'form-control',
                                            'id'                            => 'vin',
                                            'placeholder'                   => 'Enter VIN No.',
                                            'data-parsley-remote'           => route('company.admin.trailer.check.unique.vin'),
                                            'data-parsley-remote-message'   => 'The VIN No has already been taken.',
                                            'data-parsley-trigger'          => 'change', // Trigger remote check on change
                                            'data-parsley-remote-options'   => '{"type": "GET", "data": {"id": '. ($trailer->id ?? 'null') .'}}', // Pass the id parameter
                                        )
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="truck_type">Truck Type</label>
                                    {!! Form::select('truck_type', ['' => 'Select Truck Type'] + getCompanyTruckTypes(), $trailer->truck_type ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'truck_type'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="trailer_type">Trailer Type</label>
                                    {!! Form::select('type', ['' => 'Type'] + getTrailerTypeList(), $trailer->type ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'trailer_type'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="year">Year</label>
                                    {!! Form::select('year', ['' => 'Select Year'] + getTrailerYears(), $trailer->year ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'year'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="make">Make</label>
                                    {!! Form::text('make', $trailer->make ?? null, array(
                                            'class'         => 'form-control',
                                            'id'            => 'make',
                                            'placeholder'   => 'Enter Make'
                                        )
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="model">Model</label>
                                    {!! Form::text('model', $trailer->model ?? null, array(
                                            'class'         => 'form-control',
                                            'id'            => 'model',
                                            'placeholder'   => 'Enter Model'
                                        )
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="color">Color</label>
                                    {!! Form::text('color', $trailer->color ?? null, array(
                                            'class'         => 'form-control',
                                            'id'            => 'color',
                                            'placeholder'   => 'Enter Color'
                                        )
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="required_license">Required License</label>
                                    {!! Form::select('required_license', ['' => 'Select Required License'] + getRequiredClass(), $trailer->required_license ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'required_license'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row px-3 py-2 pt-1">
                            <div class="col-md-12 mb-2">
                                <div class="form-group">
                                    <h6 class="section-heading">Truck & Customer Assignment</h6>
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group mb-1">
                                    <div class="d-flex align-items-center">
                                        <div class="mr-auto">
                                            <label for="truck_assignment">Truck Assignment</label>
                                        </div>
                                        <div class="d-flex">
                                            <a href="{{ route('company.admin.trucks.create') }}" class="custom-top-label">
                                                Add +
                                            </a>
                                        </div>
                                    </div>
                                    {!! Form::select('current_assigned_truck', ['' => 'Select Truck'] + getTruckList(), $trailer->current_assigned_truck ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'truck_assignment'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="trailer_group">Trailer Group</label>
                                    {!! Form::select('trailer_group', ['' => 'Select Trailer Group'] + getTrailerGroup(), $trailer->trailer_group ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'trailer_group'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="assigned_customer">Assigned Customer</label>
                                    {!! Form::select('assigned_customer', ['' => 'Select Assigned Customer'] + getBrokerList(), $trailer->assigned_customer ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'assigned_customer'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row px-3 py-2 pt-1">
                            <div class="col-md-12 mb-2">
                                <div class="form-group">
                                    <h6 class="section-heading">Trailer Options</h6>
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="axles">Axles</label>
                                    {!! Form::select('axles', ['' => 'Select No. of Axles'] + getTrailerAxles(), $trailer->axles ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'axles'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="tire_size">Tire Size</label>
                                    <i class="fa fa-info-circle tooltip-info-box tooltip-info" title="Example: 225/75r16"></i>
                                    {!! Form::text('tire_size', $trailer->tire_size ?? null, array(
                                            'class'         => 'form-control',
                                            'id'            => 'tire_size',
                                            'placeholder'   => 'Enter Size'
                                        )
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="tire_qty">Tire Qty</label>
                                    {!! Form::select('tire_qty', ['' => 'Select Tire Qty'] + getTruckTireQty(), $trailer->tire_qty ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'tire_qty'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="suspension">Suspension</label>
                                    {!! Form::select('suspension_type', ['' => 'Select', '1' => 'Air Ride', '2' => 'Spring Ride'], $trailer->suspension_type ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'suspension'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="spare_tire_rack">Spare Tire Rack</label>
                                    {!! Form::select('spare_tire_rank', ['' => 'Select Yes / No', '0' => 'No', '1' => 'Yes'], $trailer->spare_tire_rank ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'spare_tire_rack', 
                                            'data-no-search' => 'true'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="roof_type">Roof</label>
                                    {!! Form::select('roof_type', ['' => 'Select', '1' => 'Metal', '2' => 'Translucent', '3' => 'Mesh', '4' => 'Open'], $trailer->roof_type ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'roof_type'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="floor_type">Floor</label>
                                    {!! Form::select('floor_type', ['' => 'Select', '1' => 'Wood', '2' => 'Aluminum', '3' => 'Wood w/Composite'], $trailer->floor_type ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'floor_type'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="doors_type">Doors</label>
                                    {!! Form::select('doors_type', ['' => 'Select', '1' => 'Roll Up', '2' => 'Swing'], $trailer->doors_type ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'doors_type'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="vented">Vented</label>
                                    {!! Form::select('vented', ['' => 'Select Yes / No', '0' => 'No', '1' => 'Yes'], $trailer->vented ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'vented', 
                                            'data-no-search' => 'true'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="plated_trailer">Plated Trailer</label>
                                    {!! Form::select('plated_trailer', ['' => 'Select Yes / No', '0' => 'No', '1' => 'Yes'], $trailer->plated_trailer ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'plated_trailer', 
                                            'data-no-search' => 'true'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="inside_width">Inside Width</label>
                                    {!! Form::select('inside_width', ['' => 'Select'] + getInsideWidth(), $trailer->inside_width ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'inside_width'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="paper_spec">Paper Spec.</label>
                                    {!! Form::select('paper_spec', ['' => 'Select Yes / No', '0' => 'No', '1' => 'Yes'], $trailer->paper_spec ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'paper_spec', 
                                            'data-no-search' => 'true'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="pallet_jack">Pallet Jack</label>
                                    {!! Form::select('pallet_jack', ['' => 'Select Yes / No', '0' => 'No', '1' => 'Yes'], $trailer->pallet_jack ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'pallet_jack', 
                                            'data-no-search' => 'true'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="liftgate">Liftgate</label>
                                    {!! Form::select('liftgate', ['' => 'Select Yes / No', '0' => 'No', '1' => 'Yes'], $trailer->liftgate ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'liftgate', 
                                            'data-no-search' => 'true'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="high_cube">High Cube</label>
                                    {!! Form::select('high_cube', ['' => 'Select Yes / No', '0' => 'No', '1' => 'Yes'], $trailer->high_cube ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'high_cube', 
                                            'data-no-search' => 'true'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="spread_axle">Spread Axle</label>
                                    {!! Form::select('spread_axie', ['' => 'Select Yes / No', '0' => 'No', '1' => 'Yes'], $trailer->spread_axie ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'spread_axle', 
                                            'data-no-search' => 'true'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="securement">Securement</label>
                                    {!! Form::select('securement', ['' => 'Select'] + getSecurement(), $trailer->securement ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'securement'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="tire_auto_inflation">Tire Auto-Inflation</label>
                                    {!! Form::select('tire_auto_inflation', ['' => 'Select Yes / No', '0' => 'No', '1' => 'Yes'], $trailer->tire_auto_inflation ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'tire_auto_inflation', 
                                            'data-no-search' => 'true'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="hubometer">Hubometer</label>
                                    {!! Form::text('hubometer', $trailer->hubometer ?? null, array(
                                            'class'         => 'form-control',
                                            'id'            => 'hubometer',
                                            'placeholder'   => 'Enter Hubometer'
                                        )
                                    ) !!}
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row px-3 py-2 pt-1">
                            <div class="col-md-12 mb-2">
                                <div class="form-group">
                                    <h6 class="section-heading">Trailer Details</h6>
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="unladen_weight">Unladen Weight</label>
                                    <div class="input-group post-append">
                                        {!! Form::text('unladen_weight', $trailer->tire_sensor_id ?? null, array(
                                                'class'         => 'form-control integer-input comma-integer-input',
                                                'id'            => 'unladen_weight',
                                                'placeholder'   => 'Enter Unladen Weight'
                                            )
                                        ) !!}
                                        <div class="input-group-append">
                                            <span class="input-group-text">lbs</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="max_load_weight">Max Load Weight</label>
                                    <div class="input-group post-append">
                                        {!! Form::text('max_load_weight', $trailer->max_load_weight ?? null, array(
                                                'class'         => 'form-control integer-input comma-integer-input',
                                                'id'            => 'max_load_weight',
                                                'placeholder'   => 'Enter Max Load Weight'
                                            )
                                        ) !!}
                                        <div class="input-group-append">
                                            <span class="input-group-text">lbs</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="gross_weight">Gross Weight</label>
                                    <div class="input-group post-append">
                                        {!! Form::text('gross_weight', $trailer->gross_weight ?? null, array(
                                                'class'         => 'form-control integer-input comma-integer-input',
                                                'id'            => 'gross_weight',
                                                'placeholder'   => 'Enter Gross Weight'
                                            )
                                        ) !!}
                                        <div class="input-group-append">
                                            <span class="input-group-text">lbs</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="length">Length</label>
                                    {!! Form::text('length', $trailer->length ?? null, array(
                                            'class'             => 'form-control integer-input feetInches',
                                            'id'                => 'length',
                                            'placeholder'       => '0\'00"'
                                        )
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="width">Width</label>
                                    {!! Form::text('width', $trailer->width ?? null, array(
                                            'class'             => 'form-control integer-input feetInches',
                                            'id'                => 'width',
                                            'placeholder'       => '0\'00"'
                                        )
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="height">Height</label>
                                    {!! Form::text('height', $trailer->height ?? null, array(
                                            'class'             => 'form-control integer-input feetInches',
                                            'id'                => 'height',
                                            'placeholder'       => '0\'00"'
                                        )
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-1 gi-custom-grid">
                                <div class="form-group upload-element">
                                    <i class="fa fa-picture-o trailerGenInfoFile gallary-edit @isset($trailer->id) {{ checkeGalleryFileUpload($trailer->id, 'trailer_gi_file') }} @endisset" aria-hidden="true"
                                        data-id="{{ $trailer->id ?? $dummy_id }}"
                                        data-source="trailers"
                                        data-field="trailer_gi_file"
                                        data-toggle="modal"
                                        data-target="#galleryModal"
                                        title="General File"></i>
                                    <label>Upload Images</label>
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row px-3 py-2 pt-1">
                            <div class="col-md-12 mb-2">
                                <div class="form-group">
                                    <h6 class="section-heading">Last Location</h6>
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="last_location_name">Location Name</label>
                                    {!! Form::text('last_location_name', $trailer->last_location_name ?? null, array(
                                            'class'         => 'form-control',
                                            'id'            => 'last_location_name',
                                            'placeholder'   => 'Enter Location Name'
                                        )
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="last_location_load_status">Load Status</label>
                                    {!! Form::select('last_location_load_status', ['0' => 'Empty', '1' => 'Loaded'], $trailer->last_location_load_status ?? 0, [
                                            'class' => 'form-control select2',
                                            'id'    => 'last_location_load_status'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid"></div>
                            <div class="col-md-3 gi-custom-grid"></div>
                            <div class="col-md-3 gi-custom-grid"></div>
                            <div class="col-md-12 geocoding">
                                <input type="hidden" class="geocoding-latitude" name="last_location_latitude" value="{{ (isset($trailer->last_location_latitude)) ? $trailer->last_location_latitude : '' }}" autocomplete="off">
                                <input type="hidden" class="geocoding-longitude" name="last_location_longitude" value="{{ (isset($trailer->last_location_longitude)) ? $trailer->last_location_longitude : '' }}" autocomplete="off">
                                <input type="hidden" class="geocoding-abbr" name="last_location_timezone_abbr" value="{{ (isset($trailer->last_location_timezone_abbr)) ? $trailer->last_location_timezone_abbr : '' }}" autocomplete="off" data-parsley-errors-container="#last_location_timezone_abbr-errors" data-parsley-required-message="Please verify address" required>
                                <input type="hidden" class="geocoding-verified" name="last_location_address_verified" value="{{ (isset($trailer->last_location_address_verified)) ? $trailer->last_location_address_verified : '0' }}" autocomplete="off">
                                <div class="row">
                                    <div class="col-md-3 gi-custom-grid">
                                        <div class="form-group">
                                            <label for="address">Address<span>*</span></label>
                                            {!! Form::text('last_location_address', $trailer->last_location_address ?? null, array(
                                                    'class'         => 'form-control geocoding-address-1',
                                                    'id'            => 'address',
                                                    'placeholder'   => 'Enter Address',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-3 gi-custom-grid">
                                        <div class="form-group">
                                            <label for="address_2">Address 2</label>
                                            {!! Form::text('last_location_address_2', $trailer->last_location_address_2 ?? null, array(
                                                    'class'         => 'form-control geocoding-address-2',
                                                    'id'            => 'address_2',
                                                    'placeholder'   => 'Enter Address 2'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-3 gi-custom-grid">
                                        <div class="form-group">
                                            <label for="city">City</label>
                                            {!! Form::text('last_location_city', $trailer->last_location_city ?? null, array(
                                                    'class'         => 'form-control geocoding-city',
                                                    'id'            => 'city',
                                                    'placeholder'   => 'Enter City'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-3 gi-custom-grid">
                                        <div class="form-group">
                                            <label for="state">State<span>*</span></label>
                                            {!! Form::text('last_location_state', $trailer->last_location_state ?? null, array(
                                                    'class'         => 'form-control geocoding-state',
                                                    'id'            => 'state',
                                                    'placeholder'   => 'Enter State',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-3 gi-custom-grid">
                                        <div class="form-group">
                                            <label for="zip">Zip<span>*</span></label>
                                            <div class="d-flex align-items-center">
                                                <div>
                                                    {!! Form::text('last_location_zip', $trailer->last_location_zip ?? null, array(
                                                            'class'         => 'form-control geocoding-zip',
                                                            'id'            => 'zip',
                                                            'placeholder'   => 'Enter Zip',
                                                            'required'      => 'required'
                                                        )
                                                    ) !!}
                                                </div>
                                                <div class="pl-3">
                                                    @if(isset($trailer->last_location_address_verified) && $trailer->last_location_address_verified == '1')
                                                        <a href="javascript:void(0);" class="verify-link geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verified</a>
                                                    @else
                                                        <a href="javascript:void(0);" class="verify-link geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify Address</a>
                                                    @endif
                                                    <div id="last_location_timezone_abbr-errors"></div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label for="notes">Notes</label>
                                            {!! Form::textarea('last_location_notes', $trailer->last_location_notes ?? null, array(
                                                    'class'         => 'form-control',
                                                    'id'            => 'notes',
                                                    'placeholder'   => 'Type your note...',
                                                    'rows'          => '4'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row p-3">
                            <div class="col-md-12 text-right">
                                <ul>
                                    <li class="list-inline-item">
                                        <button type="submit" class="btn btn-blue next-step mr-2 general-info-save" data-save-close="1">Save & Next</button>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    {!! Form::close() !!}
                </div>
                <div class="tab-pane" role="tabpanel" id="tabOwnership">
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'ownership-tab', 'id' => 'ownership-tab']) !!}
                        <input type="hidden" class="trailer_created_id" name="trailer_created_id" value="{{ $trailer->id ?? ''}}">
                        <input type="hidden" name="dummy_id" value="{{ $dummy_id }}">
                        <div class="row px-3 pt-3">
                            <div class="col-md-3 own-custom-grid">
                                <div class="form-group">
                                    <label for="carrier">Carrier</label>
                                    {!! Form::select('carrier', ['' => 'Select Carrier'] + getCarrierList(), $trailer->carrier ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'carrier'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid">
                                <div class="form-group">
                                    <label for="terminal">Terminal</label>
                                    {!! Form::select('terminal', ['' => 'Select Terminal'] + getTerminalList(), $trailer->terminal ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'terminal'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            {{--
                            <div class="col-md-3 own-custom-grid">
                                <div class="form-group">
                                    <label for="ownership">Ownership</label>
                                    {!! Form::select('ownership', ['' => 'Select Ownership'], null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'ownership'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid">
                                <div class="form-group">
                                    <label for="owner">Owner</label>
                                    {!! Form::select('owner', ['' => 'Select Owner'], null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'owner'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            --}}
                        </div>
                        {{--
                        <div class="row px-3">
                            <div class="col-md-3 own-custom-grid">
                                <div class="form-group">
                                    <label for="owner_purchase_date">Purchase Date</label>
                                    <div class="input-group">
                                        {!! Form::text('owner_purchase_date', null, array(
                                                'class'         => 'form-control date',
                                                'id'            => 'owner_purchase_date',
                                                'placeholder'   => 'Enter Purchase Date',
                                                'onPaste'       => 'return false'
                                            )
                                        ) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid">
                                <div class="form-group">
                                    <label for="owner_purchase_price">Purchase Price</label>
                                    <div class="input-group pre-append">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text">$</span>
                                        </div>
                                        {!! Form::text('owner_purchase_price', null, array(
                                                'class'         => 'form-control integer-input comma-integer-input',
                                                'id'            => 'owner_purchase_price',
                                                'placeholder'   => 'Enter Purchase Price'
                                            )
                                        ) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid">
                                <div class="form-group">
                                    <label for="down_payment">Down Payment</label>
                                    <div class="input-group pre-append">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text">$</span>
                                        </div>
                                        {!! Form::text('down_payment', null, array(
                                                'class'         => 'form-control integer-input comma-integer-input',
                                                'id'            => 'down_payment',
                                                'placeholder'   => 'Enter Down Payment'
                                            )
                                        ) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid">
                                <div class="form-group">
                                    <label for="balance_due">Down Payment</label>
                                    <div class="input-group pre-append">
                                        <div class="input-group-prepend readonly-input">
                                            <span class="input-group-text">$</span>
                                        </div>
                                        {!! Form::text('balance_due', null, array(
                                                'class'         => 'form-control',
                                                'id'            => 'balance_due',
                                                'placeholder'   => 'Balance Due',
                                                'readonly'      => 'readonly'
                                            )
                                        ) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid align-self-center pl-0">
                                <a href="javascript:void(0);" class="mark-as-sold">Mark As Sold</a>
                            </div>
                        </div>
                        <div class="row px-3 mb-4">
                            <div class="col-md-3 own-custom-grid">
                                <div class="form-group">
                                    <label for="purchase_agreement_on_file">Purchase Agreement On-File</label>
                                    {!! Form::select('purchase_agreement_on_file', ['' => 'Select Yes / No', '0' => 'No', '1' => 'Yes'], null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'purchase_agreement_on_file', 
                                            'data-no-search' => 'true'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid">
                                <div class="form-group">
                                    <label for="payment_type">Payment Type</label>
                                    {!! Form::select('payment_type', ['' => 'Select Payment Type', '0' => 'ACH', '1' => 'Cheque', '2' => 'Credit Card', '3' => 'Cash', '4' => 'Invoiced'], null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'payment_type'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid">
                                <div class="form-group">
                                    <label for="payment_frequency">Payment Frequency</label>
                                    {!! Form::select('payment_frequency', ['' => 'Select Payment Frequency', '0' => 'Daily', '1' => 'Weekly', '2' => 'Monthly', '3' => 'Custom'], null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'payment_frequency'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-lg-6 own-custom-gridNew">
                                <div class="form-group">
                                    <label for="payment-days" class="mb-1">Payment Days</label>
                                    <div class="paymentDays">
                                        <div class="form-check-inline">
                                            <label class="form-check-label">
                                                <input type="checkbox" class="form-check-input" name="paymentdays[]" value="0"><span>SUN</span>
                                            </label>
                                        </div>
                                        <div class="form-check-inline">
                                            <label class="form-check-label">
                                                <input type="checkbox" class="form-check-input" name="paymentdays[]" value="1"><span>MON</span>
                                            </label>
                                        </div>
                                        <div class="form-check-inline">
                                            <label class="form-check-label">
                                                <input type="checkbox" class="form-check-input" name="paymentdays[]" value="2"><span>TUE</span>
                                            </label>
                                        </div>
                                        <div class="form-check-inline">
                                            <label class="form-check-label">
                                                <input type="checkbox" class="form-check-input" name="paymentdays[]" value="3"><span>WED</span>
                                            </label>
                                        </div>
                                        <div class="form-check-inline">
                                            <label class="form-check-label">
                                                <input type="checkbox" class="form-check-input" name="paymentdays[]" value="4"><span>THU</span>
                                            </label>
                                        </div>
                                        <div class="form-check-inline">
                                            <label class="form-check-label">
                                                <input type="checkbox" class="form-check-input" name="paymentdays[]" value="5"><span>FRI</span>
                                            </label>
                                        </div>
                                        <div class="form-check-inline">
                                            <label class="form-check-label">
                                                <input type="checkbox" class="form-check-input" name="paymentdays[]" value="6"><span>SAT</span>
                                            </label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row px-3">
                            <div class="col-xxl-3 col-xl-5 col-lg-6 col-md-8">
                                <a href="javascript:void(0);" class="btn btn-blue w-100 mb-2">Create Amortization Schedule & Loan Calculator</a>
                                <a href="javascript:void(0);" class="btn btn-blue w-100">Add Decreciation Schedule</a>
                            </div>
                        </div>
                        <hr class="my-4"/>
                        <div class="owner-check px-3">
                            <p>Deduction</p>
                            <div class="form-check form-check-inline">
                                <input class="form-check-input" type="checkbox" id="deduction_check" name="deduction_settlement" value="1">
                                <label class="form-check-label" for="deduction_check">Deduct from Settlement</label>
                            </div>
                        </div>
                        <hr class="my-4"/>
                        <div class="owner-check px-3">
                            <p>Escrow</p>
                            <div class="form-check form-check-inline">
                                <input class="form-check-input" type="checkbox" id="escrow_check" name="escrow_settlement" value="1">
                                <label class="form-check-label" for="escrow_check">Deduct from Settlement</label>
                            </div>
                        </div>
                        --}}
                        <hr/>
                        <div class="row p-3">
                            <div class="col-md-12 text-right">
                                <ul>
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blueBr prev-step">Previous</button>
                                    </li>
                                    @if(isset($trailer))
                                        <li class="list-inline-item">
                                            <button type="button" class="btn btn-blue next-step ownership-save" data-save-close="0">Save & Close</button>
                                        </li>
                                    @endif
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blue next-step mr-2 ownership-save" data-save-close="1">Save & Next</button>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    {!! Form::close() !!}
                </div>
                <div class="tab-pane" role="tabpanel" id="tabInsurance">
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'insurance-profile-form', 'id' => 'insurance-profile-form']) !!}
                        <input type="hidden" class="trailer_created_id" name="trailer_created_id" value="{{ $trailer->id ?? ''}}">
                        @if(isset($trailer->insurance_profile_items) && $trailer->insurance_profile_items->isNotEmpty())
                            @php
                                $firstInsuranceProfileItem          = $trailer->insurance_profile_items->first();
                            @endphp
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-3 ins-custom-grid">
                                    <div class="form-group mb-1">
                                        <div class="d-flex align-items-center">
                                            <div class="mr-auto">
                                                <label for="insurance_profile">Insurance Profile</label>
                                            </div>
                                            <div class="d-flex">
                                                <a href="javascript:void(0);" class="custom-top-label" data-toggle="modal" data-target="#insuranceProfileModal">
                                                    Add +
                                                </a>
                                            </div>
                                        </div>
                                        <select class="form-control select2" id="insurance-profile" name="insurance_profile">
                                            <option value="" data-insurance-types="">Select Insurance Profile</option>
                                            @foreach(getTrailerCompanyInsuranceProfiles() as $insurance_profile)
                                                <option value="{{ $insurance_profile->id }}" data-insurance-types="{{ $insurance_profile->insurance_types }}" {{ isset($firstInsuranceProfileItem->trailer_company_insurance_profile_id) && $firstInsuranceProfileItem->trailer_company_insurance_profile_id == $insurance_profile->id ? 'selected' : '' }}>{{ $insurance_profile->profile_name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <hr/>
                            <div class="row mx-2">
                                <div class="col-md-12 preViewDiv" id="preViewInsuranceProfile"></div>
                                <div class="col-md-12 text-center py-2 d-none" id="previewBtn">
                                    <button type="button" class="btn btn-blueBr mr-2" id="preViewCancel">Cancel</button>
                                    <button type="button" class="btn btn-blue ml-2" id="preViewImport">Import</button>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="insuranceProfile">
                                    <div class="row pt-2">
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <h6 class="section-heading">{{ $firstInsuranceProfileItem->trailer_company_insurance_profile->profile_name ?? '' }}</h6>
                                            </div>
                                        </div>
                                    </div>
                                    @foreach($trailer->insurance_profile_items as $key => $insurance_item)
                                        <div class="row pt-2" data-last-index="{{ $loop->index }}">
                                            <div class="col-md-3 ins-prev-custom-grid pr-1">
                                                <div class="form-group">
                                                    <label for="insurance-types" class="mb-1">{{ $insurance_item->company_insurance_type->name ?? '' }}</label>
                                                    <select class="form-control select2" name="insurance_vendor[]">
                                                        <option value="">Select Insurance Vendor</option>
                                                        @foreach (getVendorList() as $id => $vendorName){
                                                            <option value="{{ $id }}" {{ ($insurance_item->vendor_id == $id) ? 'selected' : '' }}>{{ $vendorName }}</option>
                                                        @endforeach
                                                    </select>
                                                    <input type="hidden" name="insurance_type[]" value="{{ $insurance_item->company_insurance_type_id ?? '' }}">
                                                </div>
                                            </div>
                                            <div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">
                                                <div class="form-group">
                                                    <label for="policy-number" class="mb-1">Policy No.</label>
                                                    <input type="text" class="form-control" name="policy_number[]" value="{{ $insurance_item->policy_number ?? '' }}" placeholder="Enter">
                                                </div>
                                            </div>
                                            <div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">
                                                <div class="form-group">
                                                    <label for="value" class="mb-1">Value</label>
                                                    <div class="input-group pre-append">
                                                        <div class="input-group-prepend">
                                                            <span class="input-group-text">$</span>
                                                        </div>
                                                        <input type="text" class="form-control integer-input comma-integer-input" name="value[]" value="{{ $insurance_item->value ?? '' }}" placeholder="Enter">
                                                    </div>
                                                </div>
                                            </div>
                                            @php
                                                $date_added         = '';
                                                if(isset($insurance_item->date_added)){
                                                    $date_added     = \Carbon\Carbon::parse($insurance_item->date_added)->format('m/d/Y');
                                                }
                                            @endphp
                                            <div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">
                                                <div class="form-group">
                                                    <label for="date-added" class="mb-1">Date Added</label>
                                                    <div class="input-group">
                                                        <input type="text" class="form-control date" name="date_added[]" value="{{ $date_added }}" placeholder="Enter">
                                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                    </div>
                                                </div>
                                            </div>
                                            @php
                                                $expiration_date     = '';
                                                if(isset($insurance_item->expiration_date)){
                                                    $expiration_date = \Carbon\Carbon::parse($insurance_item->expiration_date)->format('m/d/Y');
                                                }
                                            @endphp
                                            <div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">
                                                <div class="form-group">
                                                    <label for="expiration-date" class="mb-1">Expiration Date</label>
                                                    <div class="input-group">
                                                        <input type="text" class="form-control date" name="expiration_date[]" value="{{ $expiration_date }}" placeholder="Enter">
                                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="pl-1 mt-4">
                                                <div class="form-group d-flex">
                                                    <div>
                                                        <a href="javascript:void(0);" class="insuranceFile">
                                                            <i class="fa fa-picture-o profileInsuranceFile gallary-edit {{ checkeGalleryFileUpload($trailer->id, 'profile_insurance_file_'.$loop->index) }}" aria-hidden="true"
                                                                data-id="{{ $trailer->id }}"
                                                                data-source="trailers"
                                                                data-field="profile_insurance_file_{{ $loop->index }}"
                                                                data-toggle="modal"
                                                                data-target="#galleryModal"
                                                                title="Insurance File"></i>
                                                        </a>
                                                    </div>
                                                    <div>
                                                        <a href="javascript:void(0);" class="removeMoreProfileRows">
                                                            <i class="fa fa-minus-square" aria-hidden="true"></i>
                                                        </a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    @endforeach
                                </div>
                            </div>
                        @else
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-3 ins-custom-grid">
                                    <div class="form-group mb-1">
                                        <div class="d-flex align-items-center">
                                            <div class="mr-auto">
                                                <label for="insurance_profile">Insurance Profile</label>
                                            </div>
                                            <div class="d-flex">
                                                <a href="javascript:void(0);" class="custom-top-label" data-toggle="modal" data-target="#insuranceProfileModal">
                                                    Add +
                                                </a>
                                            </div>
                                        </div>
                                        <select class="form-control select2" id="insurance-profile" name="insurance_profile">
                                            <option value="" data-insurance-types="">Select Insurance Profile</option>
                                            @foreach(getTrailerCompanyInsuranceProfiles() as $insurance_profile)
                                                <option value="{{ $insurance_profile->id }}" data-insurance-types="{{ $insurance_profile->insurance_types }}">{{ $insurance_profile->profile_name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <hr/>
                            <div class="row mx-2">
                                <div class="col-md-12 preViewDiv" id="preViewInsuranceProfile"></div>
                                <div class="col-md-12 text-center py-2 d-none" id="previewBtn">
                                    <button type="button" class="btn btn-blueBr mr-2" id="preViewCancel">Cancel</button>
                                    <button type="button" class="btn btn-blue ml-2" id="preViewImport">Import</button>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="insuranceProfile"></div>
                            </div>
                        @endif
                    {!! Form::close() !!}
                    <hr/>
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'additional-insurance-form', 'id' => 'additional-insurance-form']) !!}
                        <input type="hidden" class="trailer_created_id" name="trailer_created_id" value="{{ $trailer->id ?? ''}}">
                        <input type="hidden" name="dummy_id" value="{{ $dummy_id }}">
                        @if(isset($trailer->insurance_additionals) && $trailer->insurance_additionals->isNotEmpty())
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-12 text-left">
                                    <div class="d-flex align-items-center" id="additionalInsuranceHeader">
                                        <div class="form-group mb-1">
                                            <h6 class="section-heading">Additional Insurance</h6>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="additionalInsurance">
                                    @foreach($trailer->insurance_additionals as $key => $insurance_item)
                                        <div class="row pt-2" data-last-index="{{ $loop->index }}">
                                            <div class="col-md-3 ins-prev-custom-grid pr-1">
                                                <div class="form-group">
                                                    <label for="insurance-types" class="mb-1">{{ $insurance_item->company_insurance_type->name ?? '' }}</label>
                                                    <select class="form-control select2" name="insurance_vendor[]">
                                                        <option value="">Select Insurance Vendor</option>
                                                        @foreach (getVendorList() as $id => $vendorName){
                                                            <option value="{{ $id }}" {{ ($insurance_item->vendor_id == $id) ? 'selected' : '' }}>{{ $vendorName }}</option>
                                                        @endforeach
                                                    </select>
                                                    <input type="hidden" name="insurance_type[]" value="{{ $insurance_item->company_insurance_type_id ?? '' }}">
                                                </div>
                                            </div>
                                            <div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">
                                                <div class="form-group">
                                                    <label for="policy-number" class="mb-1">Policy No.</label>
                                                    <input type="text" class="form-control" name="policy_number[]" value="{{ $insurance_item->policy_number ?? '' }}" placeholder="Enter">
                                                </div>
                                            </div>
                                            <div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">
                                                <div class="form-group">
                                                    <label for="value" class="mb-1">Value</label>
                                                    <div class="input-group pre-append">
                                                        <div class="input-group-prepend">
                                                            <span class="input-group-text">$</span>
                                                        </div>
                                                        <input type="text" class="form-control integer-input comma-integer-input" name="value[]" value="{{ $insurance_item->value ?? '' }}" placeholder="Enter">
                                                    </div>
                                                </div>
                                            </div>
                                            @php
                                                $date_added         = '';
                                                if(isset($insurance_item->date_added)){
                                                    $date_added     = \Carbon\Carbon::parse($insurance_item->date_added)->format('m/d/Y');
                                                }
                                            @endphp
                                            <div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">
                                                <div class="form-group">
                                                    <label for="date-added" class="mb-1">Date Added</label>
                                                    <div class="input-group">
                                                        <input type="text"  class="form-control date" name="date_added[]" value="{{ $date_added }}" placeholder="Enter">
                                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                    </div>
                                                </div>
                                            </div>
                                            @php
                                                $expiration_date     = '';
                                                if(isset($insurance_item->expiration_date)){
                                                    $expiration_date = \Carbon\Carbon::parse($insurance_item->expiration_date)->format('m/d/Y');
                                                }
                                            @endphp
                                            <div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">
                                                <div class="form-group">
                                                    <label for="expiration-date" class="mb-1">Expiration Date</label>
                                                    <div class="input-group">
                                                        <input type="text" class="form-control date" name="expiration_date[]" value="{{ $expiration_date }}" placeholder="Enter">
                                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="pl-1 mt-4">
                                                <div class="form-group d-flex">
                                                    <div>
                                                        <a href="javascript:void(0);" class="insuranceFile">
                                                            <i class="fa fa-picture-o additionalInsuranceFile gallary-edit {{ checkeGalleryFileUpload($trailer->id, 'additional_insurance_file_'.$loop->index) }}" aria-hidden="true"
                                                                data-id="{{ $trailer->id }}"
                                                                data-source="trailers"
                                                                data-field="additional_insurance_file_{{ $loop->index }}"
                                                                data-toggle="modal"
                                                                data-target="#galleryModal"
                                                                title="Additional Insurance File"></i>
                                                        </a>
                                                    </div>
                                                    <div>
                                                        <a href="javascript:void(0);" class="removeMoreAdditionalRows">
                                                            <i class="fa fa-minus-square" aria-hidden="true"></i>
                                                        </a>
                                                    </div>
                                                    @if($loop->last)
                                                        <div>
                                                            <a href="javascript:void(0);" class="addMoreBtn addInsuranceBtn" data-toggle="modal" data-target="#addInsuranceLineModal">
                                                                <i class="fa fa-plus-square" aria-hidden="true"></i>
                                                            </a>
                                                        </div>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                    @endforeach
                                </div>
                            </div>
                        @else
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-12 text-left">
                                    <div class="d-flex align-items-center" id="additionalInsuranceHeader">
                                        <div class="form-group mb-1">
                                            <a href="javascript:void(0);" class="addMoreBtn addInsuranceBtn" data-toggle="modal" data-target="#addInsuranceLineModal">
                                                <i class="fa fa-plus-square" aria-hidden="true"></i>
                                            </a>
                                        </div>
                                        <div class="form-group mb-1">
                                            <h6 class="section-heading">Additional Insurance</h6>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="additionalInsurance"></div>
                            </div>
                        @endif
                    {!! Form::close() !!}
                    <hr/>
                    <div class="row p-3">
                        <div class="col-md-12 text-right">
                            <ul>
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blueBr prev-step">Previous</button>
                                </li>
                                @if(isset($trailer))
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blue next-step insurance-save" data-save-close="0">Save & Close</button>
                                    </li>
                                @endif
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blue next-step mr-2 insurance-save" data-save-close="1">Save & Next</button>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabCompliance">
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'compliance-tab', 'id' => 'compliance-tab']) !!}
                        <input type="hidden" class="trailer_created_id" name="trailer_created_id" value="{{ $trailer->id ?? ''}}">
                        <input type="hidden" name="dummy_id" value="{{ $dummy_id }}">
                        <div class="row px-3 pt-3">
                            <div class="col-md-3 comp-custom-grid">
                                <div class="form-group">
                                    <label for="carb_id">Carb ID No.</label>
                                    {!! Form::text('carb_id', $trailer->carb_id ?? null, array(
                                            'class'         => 'form-control',
                                            'id'            => 'carb_id',
                                            'placeholder'   => 'Enter Carb ID No.'
                                        )
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 comp-custom-grid">
                                <div class="form-group">
                                    <label for="carb_expiration">Carb Exp. Date</label>
                                    <div class="input-group">
                                        {!! Form::text('carb_expiration', $trailer->carb_expiration ?? null, array(
                                                'class'         => 'form-control date',
                                                'id'            => 'carb_expiration',
                                                'placeholder'   => 'Enter Carb Exp. Date'
                                            )
                                        ) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 comp-custom-grid">
                                <div class="form-group">
                                    <label for="carb_compliant">Carb Compliant</label>
                                    {!! Form::select('carb_compliant', ['' => 'Select Yes / No', '0' => 'No', '1' => 'Yes'], $trailer->carb_compliant ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'carb_compliant', 
                                            'data-no-search' => 'true'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 comp-custom-grid pl-0 d-flex align-items-center">
                                <div class="form-group">
                                    <a href="javascript:void(0);" class="fileUpload">
                                        <i class="fa fa-picture-o carbFile gallary-edit @isset($trailer->id) {{ checkeGalleryFileUpload($trailer->id, 'carb_id_file') }} @endisset" aria-hidden="true"
                                            data-id="{{ $trailer->id ?? $dummy_id }}"
                                            data-source="trailers"
                                            data-field="carb_id_file"
                                            data-toggle="modal"
                                            data-target="#galleryModal"
                                            title="Carb File"></i>
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="row px-3">
                            <div class="col-md-3 comp-custom-grid">
                                <div class="form-group">
                                    <label for="tag_state">Tag State</label>
                                    {!! Form::select('tag_state', ['' => 'Select Tag State'] + getStateList(), $trailer->tag_state ?? null, [
                                            'class' => 'form-control select2',
                                            'id'    => 'tag_state'
                                        ]
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 comp-custom-grid">
                                <div class="form-group">
                                    <label for="tag_number">Tag Number</label>
                                    {!! Form::text('tag_number', $trailer->tag_number ?? null, array(
                                            'class'         => 'form-control',
                                            'id'            => 'tag_number',
                                            'placeholder'   => 'Enter Tag Number'
                                        )
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 comp-custom-grid">
                                <div class="form-group">
                                    <label for="tag_expiration">Tag Exp. Date</label>
                                    <div class="input-group">
                                        {!! Form::text('tag_expiration', $trailer->tag_expiration ?? null, array(
                                                'class'         => 'form-control date',
                                                'id'            => 'tag_expiration',
                                                'placeholder'   => 'Enter Tag Exp. Date'
                                            )
                                        ) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 comp-custom-grid pl-0 d-flex align-items-center">
                                <div class="form-group">
                                    <a href="javascript:void(0);" class="fileUpload">
                                        <i class="fa fa-picture-o tagFile gallary-edit @isset($trailer->id) {{ checkeGalleryFileUpload($trailer->id, 'tag_upload_image') }} @endisset" aria-hidden="true"
                                            data-id="{{ $trailer->id ?? $dummy_id }}"
                                            data-source="trailers"
                                            data-field="tag_upload_image"
                                            data-toggle="modal"
                                            data-target="#galleryModal"
                                            title="Tag File"></i>
                                    </a>
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row p-3">
                            <div class="col-md-12 text-right">
                                <ul>
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blueBr prev-step">Previous</button>
                                    </li>
                                    @if(isset($trailer))
                                        <li class="list-inline-item">
                                            <button type="button" class="btn btn-blue next-step compliance-save" data-save-close="0">Save & Close</button>
                                        </li>
                                    @endif
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blue next-step mr-2 compliance-save" data-save-close="1">Save & Next</button>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    {!! Form::close() !!}
                </div>
                <div class="tab-pane" role="tabpanel" id="tabPmMaintenanceService">
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'common-service-form', 'id' => 'common-service-form']) !!}
                        <input type="hidden" class="trailer_created_id" name="trailer_created_id" value="{{ $trailer->id ?? ''}}">
                        <div class="row px-3 py-2 pt-3">
                            <div class="col-md-3 pm-service-custom-grid">
                                <div class="form-group">
                                    <label for="in_service_date">In Service Date</label>
                                    <div class="input-group">
                                        {!! Form::text('in_service_date', $trailer->in_service_date ?? null, array(
                                                'class'         => 'form-control date',
                                                'id'            => 'in_service_date',
                                                'placeholder'   => 'Enter'
                                            )
                                        ) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <hr>
                    {!! Form::close() !!}
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'pm-service-profile-form', 'id' => 'pm-service-profile-form']) !!}
                        <input type="hidden" class="trailer_created_id" name="trailer_created_id" value="{{ $trailer->id ?? ''}}">
                        @if(isset($trailer->pm_service_profile_items) && $trailer->pm_service_profile_items->isNotEmpty())
                            @php
                                $firstPmServiceProfileItem          = $trailer->pm_service_profile_items->first();
                            @endphp
                            <div class="row px-3 py-2 pt-1">
                                <div class="col-md-3 pm-service-custom-grid">
                                    <div class="form-group mb-1">
                                        <div class="d-flex align-items-center">
                                            <div class="mr-auto">
                                                <label for="pm-service-profile">PM/Service Profile</label>
                                            </div>
                                            <div class="d-flex">
                                                <a href="javascript:void(0);" class="custom-top-label" id="getPmServiceProfileModal">
                                                    Add +
                                                </a>
                                            </div>
                                        </div>
                                        <select class="form-control select2" id="pm-service-profile" name="pm_service_profile">
                                            <option value="" data-pm-types="">Select PM/Service Profile</option>
                                            @foreach(getTrailerCompanyPmServiceProfiles() as $pm_service_profile)
                                                <option value="{{ $pm_service_profile->id }}" data-pm-types="{{ base64_encode($pm_service_profile->types) }}" data-pm-service-types="{{ base64_encode($pm_service_profile->service_types) }}" data-pm-interval-types="{{ base64_encode($pm_service_profile->interval_types) }}" data-pm-schedules="{{ base64_encode($pm_service_profile->schedules) }}" {{ isset($firstPmServiceProfileItem->trailer_company_pm_service_profile_id) && $firstPmServiceProfileItem->trailer_company_pm_service_profile_id == $pm_service_profile->id ? 'selected' : '' }}>{{ $pm_service_profile->profile_name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <hr/>
                            <div class="row mx-2">
                                <div class="col-md-12 preViewDiv" id="preViewPmServiceProfile"></div>
                                <div class="col-md-12 text-center py-2 d-none previewBtn">
                                    <button type="button" class="btn btn-blueBr mr-2 preViewCancel">Cancel</button>
                                    <button type="button" class="btn btn-blue ml-2 preViewImport">Import</button>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="pmServiceProfile">
                                    <div class="row pt-2">
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <h6 class="section-heading">{{ $firstPmServiceProfileItem->trailer_company_pm_service_profile->profile_name ?? '' }}</h6>
                                            </div>
                                        </div>
                                    </div>
                                    @foreach($trailer->pm_service_profile_items as $key => $pm_service_item)
                                        <div class="row pb-2" data-last-index="{{ $loop->index }}">
                                            <div class="col-md-2 pr-1 pm-service-prev-custom-grid">
                                                <div class="form-group">
                                                    @if($loop->first)
                                                        <label for="types" class="mb-1">Type</label>
                                                    @endif
                                                    {!! Form::select('types[]', ['' => 'Select Type'] + getCompanyPmType(), $pm_service_item->company_pm_type_id ?? null, [
                                                            'class' => 'form-control select2'
                                                        ]
                                                    ) !!}
                                                </div>
                                            </div>
                                            <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                                                <div class="form-group">
                                                    @if($loop->first)
                                                        <label for="service-type" class="mb-1">Service Type</label>
                                                    @endif
                                                    {!! Form::select('service_type[]', ['' => 'Select Service Type'] + getCompanyPmServiceType(), $pm_service_item->company_pm_service_type_id ?? null, [
                                                            'class' => 'form-control select2'
                                                        ]
                                                    ) !!}
                                                </div>
                                            </div>
                                            <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                                                <div class="form-group">
                                                    @if($loop->first)
                                                        <label for="interval-type" class="mb-1">Interval Type</label>
                                                    @endif
                                                    {!! Form::select('interval_type[]', ['' => 'Select Interval Type'] + getCompanyPmServiceIntervalType(), $pm_service_item->interval_type ?? null, [
                                                            'class' => 'form-control intervalType select2'
                                                        ]
                                                    ) !!}
                                                </div>
                                            </div>
                                            @if($pm_service_item->interval_type == '1' || $pm_service_item->interval_type == '2')
                                                <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                                                    <div class="form-group">
                                                        @if($loop->first)
                                                            <label for="schedule" class="mb-1">Schedule</label>
                                                        @endif
                                                        {!! Form::text('schedule[]', $pm_service_item->schedule ?? null, array(
                                                                'class'             => 'form-control integer-input',
                                                                'placeholder'       => 'Enter'
                                                            )
                                                        ) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                                                    <div class="form-group">
                                                        @if($loop->first)
                                                            <label for="due" class="mb-1">Due</label>
                                                        @endif
                                                        {!! Form::text('due_date[]',  $pm_service_item->due_date ?? null, array(
                                                                'class'             => 'form-control integer-input',
                                                                'placeholder'       => 'Enter'
                                                            )
                                                        ) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                                                    <div class="form-group">
                                                        @if($loop->first)
                                                            <label for="last-performed" class="mb-1">Last Performed</label>
                                                        @endif
                                                        {!! Form::text('last_performed[]', $pm_service_item->last_performed ?? null, array(
                                                                'class'             => 'form-control',
                                                                'placeholder'       => 'Enter'
                                                            )
                                                        ) !!}
                                                    </div>
                                                </div>
                                            @else
                                                <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                                                    <div class="form-group">
                                                        @if($loop->first)
                                                            <label for="schedule" class="mb-1">Schedule</label>
                                                        @endif
                                                        {!! Form::select('schedule[]', ['' => 'Select'] + getTrailerSchedules(), $pm_service_item->schedule ?? null, [
                                                                'class'             => 'form-control schedule select2'
                                                            ]
                                                        ) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                                                    <div class="form-group">
                                                        @if($loop->first)
                                                            <label for="due" class="mb-1">Due</label>
                                                        @endif
                                                        <div class="input-group">
                                                            {!! Form::text('due_date[]',  $pm_service_item->due_date ?? null, array(
                                                                    'class'         => 'form-control date',
                                                                    'placeholder'   => 'Enter'
                                                                )
                                                            ) !!}
                                                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                                                    <div class="form-group">
                                                        @if($loop->first)
                                                            <label for="last-performed" class="mb-1">Last Performed</label>
                                                        @endif
                                                        <div class="input-group">
                                                            {!! Form::text('last_performed[]', $pm_service_item->last_performed ?? null, array(
                                                                    'class'         => 'form-control date',
                                                                    'placeholder'   => 'Enter'
                                                                )
                                                            ) !!}
                                                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                        </div>
                                                    </div>
                                                </div>
                                            @endif
                                            <div class="pl-1 {{ ($loop->first) ? 'mt-4' : 'mt-1' }}">
                                                <div class="form-group d-flex">
                                                    <div>
                                                        <a href="javascript:void(0);" class="removeMoreBtn removeMorePmServiceProfileRows">
                                                            <i class="fa fa-minus-square" aria-hidden="true"></i>
                                                        </a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    @endforeach
                                </div>
                            </div>
                        @else
                            <div class="row px-3 py-2 pt-1">
                                <div class="col-md-3 pm-service-custom-grid">
                                    <div class="form-group mb-1">
                                        <div class="d-flex align-items-center">
                                            <div class="mr-auto">
                                                <label for="pm-service-profile">PM/Service Profile</label>
                                            </div>
                                            <div class="d-flex">
                                                <a href="javascript:void(0);" class="custom-top-label" id="getPmServiceProfileModal">
                                                    Add +
                                                </a>
                                            </div>
                                        </div>
                                        <select class="form-control select2" id="pm-service-profile" name="pm_service_profile">
                                            <option value="" data-pm-types="">Select PM/Service Profile</option>
                                            @foreach(getTrailerCompanyPmServiceProfiles() as $pm_service_profile)
                                                <option value="{{ $pm_service_profile->id }}" data-pm-types="{{ base64_encode($pm_service_profile->types) }}" data-pm-service-types="{{ base64_encode($pm_service_profile->service_types) }}" data-pm-interval-types="{{ base64_encode($pm_service_profile->interval_types) }}" data-pm-schedules="{{ base64_encode($pm_service_profile->schedules) }}">{{ $pm_service_profile->profile_name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <hr/>
                            <div class="row mx-2">
                                <div class="col-md-12 preViewDiv" id="preViewPmServiceProfile"></div>
                                <div class="col-md-12 text-center py-2 d-none previewBtn">
                                    <button type="button" class="btn btn-blueBr mr-2 preViewCancel">Cancel</button>
                                    <button type="button" class="btn btn-blue ml-2 preViewImport">Import</button>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="pmServiceProfile"></div>
                            </div>
                        @endif
                    {!! Form::close() !!}
                    <hr/>
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'additional-pm-service-form', 'id' => 'additional-pm-service-form']) !!}
                        <input type="hidden" class="trailer_created_id" name="trailer_created_id" value="{{ $trailer->id ?? ''}}">
                        @if(isset($trailer->pm_service_additionals) && $trailer->pm_service_additionals->isNotEmpty())
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-12 text-left">
                                    <div class="d-flex align-items-center" id="additionalPmServiceHeader">
                                        <div class="form-group mb-1">
                                            <h6 class="section-heading">Additional PM Maintenance & Service</h6>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="additionalPmService">
                                    @foreach($trailer->pm_service_additionals as $key => $pm_service_additional_item)
                                        @include('companyAdmin.trailer.ajax-view.additional-pm-service', [
                                            'rowIndex'                      => $loop->index,
                                            'isLast'                        => $loop->last,
                                            'pm_service_additional_item'    => $pm_service_additional_item
                                        ])
                                    @endforeach
                                </div>
                            </div>
                        @else
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-12 text-left">
                                    <div class="d-flex align-items-center" id="additionalPmServiceHeader">
                                        <div class="form-group mb-1">
                                            <a href="javascript:void(0);" class="addMoreBtn addAdditionalPmServiceBtn">
                                                <i class="fa fa-plus-square" aria-hidden="true"></i>
                                            </a>
                                        </div>
                                        <div class="form-group mb-1">
                                            <h6 class="section-heading">Additional PM Maintenance & Service</h6>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="additionalPmService"></div>
                            </div>
                        @endif
                    {!! Form::close() !!}
                    <hr/>
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'warranty-pm-service-form', 'id' => 'warranty-pm-service-form']) !!}
                        <input type="hidden" class="trailer_created_id" name="trailer_created_id" value="{{ $trailer->id ?? ''}}">
                        @if(isset($trailer->pm_service_warranty_profile_items) && $trailer->pm_service_warranty_profile_items->isNotEmpty())
                            @php
                                $firstPmServiceWarrantyProfileItem  = $trailer->pm_service_warranty_profile_items->first();
                            @endphp
                            <div class="row px-3 py-2 pt-3" id="warrantyHeader">
                                @if(count(getTrailerCompanyPmServiceWarrantyProfiles()) > 0)
                                    <div class="col-md-3 warranty-pm-service-custom-grid">
                                        <div class="form-group mb-1">
                                            <div class="d-flex align-items-center">
                                                <div class="mr-auto">
                                                    <label for="pm-service-profile">Warranty Profile</label>
                                                </div>
                                                <div class="d-flex">
                                                    <a href="javascript:void(0);" class="custom-top-label addWarranty">
                                                        Add +
                                                    </a>
                                                </div>
                                            </div>
                                            <select class="form-control select2" id="pm-service-warranty-profile" name="pm_service_warranty_profile">
                                                <option value="" data-warranty-providers="">Select Warranty Profile</option>
                                                @foreach(getTrailerCompanyPmServiceWarrantyProfiles() as $pm_service_warranty_profile)
                                                    <option value="{{ $pm_service_warranty_profile->id }}" data-warranty-providers="{{ base64_encode($pm_service_warranty_profile->warranty_providers) }}" {{ isset($firstPmServiceWarrantyProfileItem->trailer_company_pm_service_warranty_profile_id) && $firstPmServiceWarrantyProfileItem->trailer_company_pm_service_warranty_profile_id == $pm_service_warranty_profile->id ? 'selected' : '' }}>{{ $pm_service_warranty_profile->profile_name }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                @else
                                    <div class="col-md-12 text-left">
                                        <div class="d-flex align-items-center" id="warrantyPmServiceHeader">
                                            <div class="form-group mb-1">
                                                <a href="javascript:void(0);" class="addMoreBtn addWarranty">
                                                    <i class="fa fa-plus-square" aria-hidden="true"></i>
                                                </a>
                                            </div>
                                            <div class="form-group mb-1">
                                                <h6 class="section-heading">Warranty</h6>
                                            </div>
                                        </div>
                                    </div>
                                @endif
                            </div>
                            <hr/>
                            <div class="row mx-2">
                                <div class="col-md-12 preViewDiv" id="preViewPmServiceWarrantyProfile"></div>
                                <div class="col-md-12 text-center py-2 d-none previewBtn">
                                    <button type="button" class="btn btn-blueBr mr-2 preViewCancel">Cancel</button>
                                    <button type="button" class="btn btn-blue ml-2 preViewImport">Import</button>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="warrantyPmService">
                                    @include('companyAdmin.trailer.ajax-view.warranty-pm-service', [
                                        'firstPmServiceWarrantyProfileItem' => $firstPmServiceWarrantyProfileItem,
                                        'pmServiceWarrantyProfileItems'     => $trailer->pm_service_warranty_profile_items
                                    ])
                                </div>
                            </div>
                        @else
                            <div class="row px-3 py-2 pt-3" id="warrantyHeader">
                                @if(count(getTrailerCompanyPmServiceWarrantyProfiles()) > 0)
                                    <div class="col-md-3 warranty-pm-service-custom-grid">
                                        <div class="form-group mb-1">
                                            <div class="d-flex align-items-center">
                                                <div class="mr-auto">
                                                    <label for="pm-service-profile">Warranty Profile</label>
                                                </div>
                                                <div class="d-flex">
                                                    <a href="javascript:void(0);" class="custom-top-label addWarranty">
                                                        Add +
                                                    </a>
                                                </div>
                                            </div>
                                            <select class="form-control select2" id="pm-service-warranty-profile" name="pm_service_warranty_profile">
                                                <option value="" data-warranty-providers="">Select Warranty Profile</option>
                                                @foreach(getTrailerCompanyPmServiceWarrantyProfiles() as $pm_service_warranty_profile)
                                                    <option value="{{ $pm_service_warranty_profile->id }}" data-warranty-providers="{{ base64_encode($pm_service_warranty_profile->warranty_providers) }}">{{ $pm_service_warranty_profile->profile_name }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                @else
                                    <div class="col-md-12 text-left">
                                        <div class="d-flex align-items-center" id="warrantyPmServiceHeader">
                                            <div class="form-group mb-1">
                                                <a href="javascript:void(0);" class="addMoreBtn addWarranty">
                                                    <i class="fa fa-plus-square" aria-hidden="true"></i>
                                                </a>
                                            </div>
                                            <div class="form-group mb-1">
                                                <h6 class="section-heading">Warranty</h6>
                                            </div>
                                        </div>
                                    </div>
                                @endif
                            </div>
                            <hr/>
                            <div class="row mx-2">
                                <div class="col-md-12 preViewDiv" id="preViewPmServiceWarrantyProfile"></div>
                                <div class="col-md-12 text-center py-2 d-none previewBtn">
                                    <button type="button" class="btn btn-blueBr mr-2 preViewCancel">Cancel</button>
                                    <button type="button" class="btn btn-blue ml-2 preViewImport">Import</button>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="warrantyPmService"></div>
                            </div>
                        @endif
                    {!! Form::close() !!}
                    <hr/>
                    <div class="row p-3">
                        <div class="col-md-12 text-right">
                            <ul>
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blueBr prev-step">Previous</button>
                                </li>
                                @if(isset($trailer))
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blue next-step pm-service-save" data-save-close="0">Save & Close</button>
                                    </li>
                                @endif
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blue next-step mr-2 pm-service-save" data-save-close="1">Save & Next</button>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabIntegrations">
                    <ul class="nav nav-tabs flex-nowrap px-3 insideTabList" role="tablist">
                        <li role="presentation" class="nav-item">
                            <a
                                href="#tabAllIntegrations"
                                class="nav-link tabAllIntegrations active"
                                data-toggle="tab"
                                role="tab"
                                aria-controls="tabAllIntegrations"
                                aria-selected="true">All Integrations</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a
                                href="#tabConnected"
                                class="nav-link tabConnected"
                                data-toggle="tab"
                                role="tab"
                                aria-controls="tabConnected"
                                aria-selected="false" >Connected</a>
                        </li>
                    </ul>
                    <div class="tab-content insideTabContent">
                        <div class="tab-pane active" role="tabpanel" id="tabAllIntegrations">
                            @include('companyAdmin.trailer.ajax-view.all-Integrations')
                        </div>
                        <div class="tab-pane" role="tabpanel" id="tabConnected">
                            @include('companyAdmin.trailer.ajax-view.connected-Integrations')
                        </div>
                    </div>
                    <hr/>
                    <div class="row p-3">
                        <div class="col-md-12 text-right">
                            <ul>
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blueBr prev-step">Previous</button>
                                </li>
                                @if(isset($trailer))
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blue next-step integrations-save" data-save-close="0">Save & Close</button>
                                    </li>
                                @endif
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blue next-step mr-2 integrations-save" data-save-close="1">Save & Next</button>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabToolsEquipmentAccessories">
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'equipment-profile-form', 'id' => 'equipment-profile-form']) !!}
                        <input type="hidden" class="trailer_created_id" name="trailer_created_id" value="{{ $trailer->id ?? ''}}">
                        @if(isset($trailer->equipment_profile_items) && $trailer->equipment_profile_items->isNotEmpty())
                            @php
                                $firstEquipmentProfileItem          = $trailer->equipment_profile_items->first();
                            @endphp
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-3 equipment-custom-grid">
                                    <div class="form-group mb-1">
                                        <div class="d-flex align-items-center">
                                            <div class="mr-auto">
                                                <label for="equipment-profile">Equipment Profile</label>
                                            </div>
                                            <div class="d-flex">
                                                <a href="javascript:void(0);" class="custom-top-label" id="getEquipmentProfileModal">
                                                    Add +
                                                </a>
                                            </div>
                                        </div>
                                        <select class="form-control select2" id="equipment-profile" name="equipment_profile">
                                            <option value="" data-equipment-titles="">Select Equipment Profile</option>
                                            @foreach(getTrailerCompanyEquipmentProfiles() as $equipment_profile)
                                                <option value="{{ $equipment_profile->id }}" data-equipment-titles="{{ $equipment_profile->titles }}" {{ isset($firstEquipmentProfileItem->trailer_company_equipment_profile_id) && $firstEquipmentProfileItem->trailer_company_equipment_profile_id == $equipment_profile->id ? 'selected' : '' }}>{{ $equipment_profile->profile_name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <hr/>
                            <div class="row mx-2">
                                <div class="col-md-12 preViewDiv" id="preViewEquipmentProfile"></div>
                                <div class="col-md-12 text-center py-2 d-none previewBtn">
                                    <button type="button" class="btn btn-blueBr mr-2 preViewCancel">Cancel</button>
                                    <button type="button" class="btn btn-blue ml-2 preViewImport">Import</button>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="equipmentProfile">
                                    @include('companyAdmin.trailer.ajax-view.equipment-profile', [
                                        'firstEquipmentProfileItem'         => $firstEquipmentProfileItem,
                                        'equipmentProfileItems'             => $trailer->equipment_profile_items
                                    ])
                                </div>
                            </div>
                        @else
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-3 equipment-custom-grid">
                                    <div class="form-group mb-1">
                                        <div class="d-flex align-items-center">
                                            <div class="mr-auto">
                                                <label for="equipment-profile">Equipment Profile</label>
                                            </div>
                                            <div class="d-flex">
                                                <a href="javascript:void(0);" class="custom-top-label" id="getEquipmentProfileModal">
                                                    Add +
                                                </a>
                                            </div>
                                        </div>
                                        <select class="form-control select2" id="equipment-profile" name="equipment_profile">
                                            <option value="" data-equipment-titles="">Select Equipment Profile</option>
                                            @foreach(getTrailerCompanyEquipmentProfiles() as $equipment_profile)
                                                <option value="{{ $equipment_profile->id }}" data-equipment-titles="{{ $equipment_profile->titles }}">{{ $equipment_profile->profile_name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <hr/>
                            <div class="row mx-2">
                                <div class="col-md-12 preViewDiv" id="preViewEquipmentProfile"></div>
                                <div class="col-md-12 text-center py-2 d-none previewBtn">
                                    <button type="button" class="btn btn-blueBr mr-2 preViewCancel">Cancel</button>
                                    <button type="button" class="btn btn-blue ml-2 preViewImport">Import</button>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="equipmentProfile"></div>
                            </div>
                        @endif
                    {!! Form::close() !!}
                    <hr/>
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'additional-equipment-form', 'id' => 'additional-equipment-form']) !!}
                        <input type="hidden" class="trailer_created_id" name="trailer_created_id" value="{{ $trailer->id ?? ''}}">
                        @if(isset($trailer->equipment_additionals) && $trailer->equipment_additionals->isNotEmpty())
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-12 text-left">
                                    <div class="d-flex align-items-center" id="additionalEquipmentHeader">
                                        <div class="form-group mb-1">
                                            <h6 class="section-heading">Additional Equipment</h6>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="additionalEquipment">
                                    @foreach($trailer->equipment_additionals as $key => $equipment_additional_item)
                                        @include('companyAdmin.trailer.ajax-view.additional-equipment', [
                                            'rowIndex'                      => $loop->index,
                                            'isLast'                        => $loop->last,
                                            'equipment_additional_item'     => $equipment_additional_item
                                        ])
                                    @endforeach
                                </div>
                            </div>
                        @else
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-12 text-left">
                                    <div class="d-flex align-items-center" id="additionalEquipmentHeader">
                                        <div class="form-group mb-1">
                                            <a href="javascript:void(0);" class="addMoreBtn addAdditionalEquipmentBtn">
                                                <i class="fa fa-plus-square" aria-hidden="true"></i>
                                            </a>
                                        </div>
                                        <div class="form-group mb-1">
                                            <h6 class="section-heading">Additional Equipment</h6>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="additionalEquipment"></div>
                            </div>
                        @endif
                    {!! Form::close() !!}
                    <hr/>
                    <div class="row p-3">
                        <div class="col-md-12 text-right">
                            <ul>
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blueBr prev-step">Previous</button>
                                </li>
                                @if(isset($trailer))
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blue next-step equipment-save" data-save-close="0">Save & Close</button>
                                    </li>
                                @endif
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blue next-step mr-2 equipment-save" data-save-close="1">Save & Next</button>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabOnBoardDocuments">
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'document-profile-form', 'id' => 'document-profile-form']) !!}
                        <input type="hidden" class="trailer_created_id" name="trailer_created_id" value="{{ $trailer->id ?? ''}}">
                        @if(isset($trailer->document_profile_items) && $trailer->document_profile_items->isNotEmpty())
                            @php
                                $firstDocumentProfileItem           = $trailer->document_profile_items->first();
                            @endphp
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-3 document-custom-grid">
                                    <div class="form-group mb-1">
                                        <div class="d-flex align-items-center">
                                            <div class="mr-auto">
                                                <label for="document-profile">Document Profile</label>
                                            </div>
                                            <div class="d-flex">
                                                <a href="javascript:void(0);" class="custom-top-label" id="getDocumentProfileModal">
                                                    Add +
                                                </a>
                                            </div>
                                        </div>
                                        <select class="form-control select2" id="document-profile" name="document_profile">
                                            <option value="" data-document-titles="">Select Document Profile</option>
                                            @foreach(getTrailerCompanyDocumentProfiles() as $document_profile)
                                                <option value="{{ $document_profile->id }}" data-document-titles="{{ $document_profile->titles }}" {{ isset($firstDocumentProfileItem->trailer_company_document_profile_id) && $firstDocumentProfileItem->trailer_company_document_profile_id == $document_profile->id ? 'selected' : '' }}>{{ $document_profile->profile_name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <hr/>
                            <div class="row mx-2">
                                <div class="col-md-12 preViewDiv" id="preViewDocumentProfile"></div>
                                <div class="col-md-12 text-center py-2 d-none previewBtn">
                                    <button type="button" class="btn btn-blueBr mr-2 preViewCancel">Cancel</button>
                                    <button type="button" class="btn btn-blue ml-2 preViewImport">Import</button>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="documentProfile">
                                    @include('companyAdmin.trailer.ajax-view.document-profile', [
                                        'firstDocumentProfileItem'          => $firstDocumentProfileItem,
                                        'documentProfileItems'              => $trailer->document_profile_items
                                    ])
                                </div>
                            </div>
                        @else
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-3 document-custom-grid">
                                    <div class="form-group mb-1">
                                        <div class="d-flex align-items-center">
                                            <div class="mr-auto">
                                                <label for="document-profile">Document Profile</label>
                                            </div>
                                            <div class="d-flex">
                                                <a href="javascript:void(0);" class="custom-top-label" id="getDocumentProfileModal">
                                                    Add +
                                                </a>
                                            </div>
                                        </div>
                                        <select class="form-control select2" id="document-profile" name="document_profile">
                                            <option value="" data-document-titles="">Select Document Profile</option>
                                            @foreach(getTrailerCompanyDocumentProfiles() as $document_profile)
                                                <option value="{{ $document_profile->id }}" data-document-titles="{{ $document_profile->titles }}">{{ $document_profile->profile_name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <hr/>
                            <div class="row mx-2">
                                <div class="col-md-12 preViewDiv" id="preViewDocumentProfile"></div>
                                <div class="col-md-12 text-center py-2 d-none previewBtn">
                                    <button type="button" class="btn btn-blueBr mr-2 preViewCancel">Cancel</button>
                                    <button type="button" class="btn btn-blue ml-2 preViewImport">Import</button>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="documentProfile"></div>
                            </div>
                        @endif
                    {!! Form::close() !!}
                    <hr/>
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'additional-document-form', 'id' => 'additional-document-form']) !!}
                        <input type="hidden" class="trailer_created_id" name="trailer_created_id" value="{{ $trailer->id ?? ''}}">
                        @if(isset($trailer->document_additionals) && $trailer->document_additionals->isNotEmpty())
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-12 text-left">
                                    <div class="d-flex align-items-center" id="additionalDocumentHeader">
                                        <div class="form-group mb-1">
                                            <h6 class="section-heading">Additional On Board Documents</h6>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="additionalDocument">
                                    @foreach($trailer->document_additionals as $key => $document_additional_item)
                                        @include('companyAdmin.trailer.ajax-view.additional-document', [
                                            'dummyId'                       => $dummy_id,
                                            'rowIndex'                      => $loop->index,
                                            'isLast'                        => $loop->last,
                                            'document_additional_item'      => $document_additional_item
                                        ])
                                    @endforeach
                                </div>
                            </div>
                        @else
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-12 text-left">
                                    <div class="d-flex align-items-center" id="additionalDocumentHeader">
                                        <div class="form-group mb-1">
                                            <a href="javascript:void(0);" class="addMoreBtn addAdditionalDocumentBtn">
                                                <i class="fa fa-plus-square" aria-hidden="true"></i>
                                            </a>
                                        </div>
                                        <div class="form-group mb-1">
                                            <h6 class="section-heading">Additional On Board Documents</h6>
                                            <input type="hidden" name="dummy_id" value="{{ $dummy_id }}">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="additionalDocument"></div>
                            </div>
                        @endif
                    {!! Form::close() !!}
                    <hr/>
                    <div class="row p-3">
                        <div class="col-md-12 text-right">
                            <ul>
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blueBr prev-step">Previous</button>
                                </li>
                                @if(isset($trailer))
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blue next-step on-board-documents-save" data-save-close="0">Save & Close</button>
                                    </li>
                                @endif
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blue next-step mr-2 on-board-documents-save" data-save-close="1">Save & Next</button>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabImageCenter">
                    <div class="row">
                        <div class="col-md-12 h-20" style="min-height: 50px;"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('modal')
    <!-- VIN Lookup -->
    <div class="modal fade" id="vinLookupModal" aria-labelledby="vinLookupLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dishpatch">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="vinLookupLabel">VIN Lookup</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body p-4">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="vin-no" class="mb-1">VIN Identification No.</label>
                                {!! Form::text('vin_no', null, array(
                                        'class'         => 'form-control',
                                        'id'            => 'vin-no',
                                        'placeholder'   => 'Auto Populate',
                                        'readonly'      => 'readonly'
                                    )
                                ) !!}
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="vin-year" class="mb-1">Year</label>
                                {!! Form::select('vin_year', ['' => 'Select Year'] + getTrailerYears(), null, [
                                        'class'         => 'form-control select2',
                                        'id'            => 'vin-year'
                                    ]
                                ) !!}
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div id="vinLookupDetails"></div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                    <button type="button" class="btn btn-blue import-btn">Import</button>
                </div>
            </div>
        </div>
    </div>
    <!-- VIN Lookup -->

    <!-- Insurance Profile Builder -->
    <div class="modal fade" id="insuranceProfileModal" aria-labelledby="insuranceProfileLabel" aria-hidden="true">
        <div class="modal-dialog modal-xl modal-dishpatch">
            {!! Form::open(['autocomplete'  => 'off', 'class' => 'insurance-profile-modal-form']) !!}
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="insuranceProfileLabel">Insurance Profile Builder</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body p-0">
                        <div class="row px-4 py-3">
                            <div class="col-md-3" style="max-width: 19.25%;">
                                <label for="profile-name" class="mb-1">Insurance Profile Name</label>
                                <div class="form-group">
                                    {!! Form::text('profile_name', null, array(
                                            'class'         => 'form-control',
                                            'placeholder'   => 'Enter Profile Name',
                                            'required'      => 'required'
                                        )
                                    ) !!}
                                </div>
                            </div>
                        </div>
                        <div class="row px-4">
                            <div class="col-md-3 ins-modal-custom-grid pr-1">
                                <label for="insurance-types" class="mb-1">Type</label>
                            </div>
                            <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                                <label for="policy-number" class="mb-1">Policy No.</label>
                            </div>
                            <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                                <label for="value" class="mb-1">Value</label>
                            </div>
                            <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                                <label for="date-added" class="mb-1">Date Added</label>
                            </div>
                            <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                                <label for="expiration-date" class="mb-1">Expiration Date</label>
                            </div>
                            <div class="pl-1">
                                <label class="mb-1"></label>
                            </div>
                        </div>
                        <hr class="my-0 pb-3">
                        <div class="row px-4 pb-2" data-last-index="0">
                            <div class="col-md-3 ins-modal-custom-grid pr-1">
                                <div class="form-group">
                                    {!! Form::select('insurance_types[]', ['' => 'Select Insurance Type'] + getCompanyInsuranceTypes(), null, [
                                            'class'                         => 'form-control select2',
                                            'required'                      => 'required',
                                            'data-parsley-errors-container' => '#insurance_types_0-errors'
                                        ]
                                    ) !!}
                                    <div id="insurance_types_0-errors"></div>
                                </div>
                            </div>
                            <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                                <div class="form-group">
                                    {!! Form::text('policy_number[]', null, array(
                                            'class'             => 'form-control',
                                            'placeholder'       => 'Enter',
                                            'disabled'          => 'disabled'
                                        )
                                    ) !!}
                                </div>
                            </div>
                            <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                                <div class="form-group">
                                    <div class="input-group pre-append">
                                        <div class="input-group-prepend readonly-input">
                                            <span class="input-group-text">$</span>
                                        </div>
                                        {!! Form::text('value[]', null, array(
                                                'class'         => 'form-control',
                                                'placeholder'   => 'Enter',
                                                'disabled'      => 'disabled'
                                            )
                                        ) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                                <div class="form-group">
                                    <div class="input-group">
                                        {!! Form::text('date_added[]', null, array(
                                                'class'         => 'form-control',
                                                'placeholder'   => 'Enter',
                                                'disabled'      => 'disabled'
                                            )
                                        ) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                                <div class="form-group">
                                    <div class="input-group">
                                        {!! Form::text('expiration_date[]', null, array(
                                                'class'         => 'form-control',
                                                'placeholder'   => 'Enter',
                                                'disabled'      => 'disabled'
                                            )
                                        ) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="pl-1">
                                <div class="form-group d-flex">
                                    <!-- <div>
                                        <a href="javascript:void(0);" class="insuranceFile">
                                            <i class="fa fa-picture-o" aria-hidden="true" title="Insurance File"></i>
                                        </a>
                                    </div> -->
                                    <div>
                                        <a href="javascript:void(0);" class="addMoreBtn addMoreProfileRows">
                                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div id="insuranceProfileMoreRows"></div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-blueBr" id="insurance-profile-cancel" data-dismiss="modal">Cancel</button>
                        <button type="button" class="btn btn-blue" id="insurance-profile-save">Save</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>
    <!-- Insurance Profile Builder -->

    <!-- Additional Insurance > Add Insurance Line -->
    <div class="modal fade" id="addInsuranceLineModal" aria-labelledby="addInsuranceLineLabel" aria-hidden="true">
        <div class="modal-dialog modal-md modal-dishpatch">
            {!! Form::open(['autocomplete'  => 'off', 'class' => 'insurance-line-modal-form']) !!}
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="addInsuranceLineLabel">Add Insurance Line</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="col-md-12">
                            <label for="insurance-type" class="mb-1">Insurance Type</label>
                            <div class="form-group">
                                {!! Form::select('insurance_types', ['' => 'Select Insurance Type'] + getCompanyInsuranceTypes(), null, [
                                        'class'                         => 'form-control select2',
                                        'id'                            => 'insurance-type',
                                        'required'                      => 'required',
                                        'data-parsley-errors-container' => '#insurance-type-errors'
                                    ]
                                ) !!}
                                <div id="insurance-type-errors"></div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-blueBr" id="cancelAdditionalInsuranceLine" data-dismiss="modal">Cancel</button>
                        <button type="button" class="btn btn-blue" id="addAdditionalInsuranceLine">Add</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>
    <!-- Additional Insurance > Add Insurance Line -->

    <!-- PM/Service Profile -->
    <div class="modal fade" id="pmServiceProfileModal" aria-labelledby="pmServiceProfileLabel" aria-hidden="true">
        <div class="modal-dialog modal-xl modal-dishpatch">
            {!! Form::open(['autocomplete'  => 'off', 'class' => 'pm-service-profile-modal-form']) !!}
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="pmServiceProfileLabel">PM/Service Profile Builder</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body p-0"></div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-blueBr" data-dismiss="modal" id="pm-service-profile-cancel">Cancel</button>
                        <button type="button" class="btn btn-blue" id="pm-service-profile-save">Save</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>
    <!-- PM/Service Profile -->

    <!-- Warranty PM/Service Profile -->
    <div class="modal fade" id="warrantyPmServiceModal" aria-labelledby="warrantyPmServiceLabel" aria-hidden="true">
        <div class="modal-dialog modal-xl modal-dishpatch">
            {!! Form::open(['autocomplete'  => 'off', 'class' => 'warranty-pm-service-modal-form']) !!}
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="warrantyPmServiceLabel">Warranty</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body p-0"></div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                        <button type="button" class="btn btn-blue" id="pm-service-warranty-save">Save</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>
    <!-- Warranty PM/Service Profile -->

    <!-- ELD Integration Setup -->
    <div class="modal fade" id="eldIntegrationSetupModal" aria-labelledby="eldIntegrationSetupLabel" aria-hidden="true" data-backdrop="static">
        <div class="modal-dialog modal-dishpatch" style="max-width: 628px;">
            {!! Form::open(['autocomplete'  => 'off', 'class' => 'eld-integration-setup']) !!}
                <input type="hidden" class="trailer_created_id" name="trailer_created_id" value="{{ $trailer->id ?? ''}}">
                <input type="hidden" class="integration-type" name="integration_type" value="1">
                <input type="hidden" class="connected-status" name="connected_status" value="0">
                <input type="hidden" class="eld-provider" name="eld_provider" value="">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="eldIntegrationSetupLabel">ELD Integration Setup</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body p-4">
                        <div class="row">
                            <div class="col-md-8">
                                <div class="row">
                                    <div class="col-md-12 mb-2">
                                        <div class="form-group">
                                            <label for="eld-provider" class="mb-1">Select ELD Provider</label>
                                            {!! Form::select('eld_provider', ['' => 'Select ELD Provider'] + getTrailerEldProvider(), null, [
                                                    'class'                         => 'form-control select2',
                                                    'id'                            => 'eld-provider',
                                                    'required'                      => 'required',
                                                    'data-parsley-errors-container' => '#eld-provider-errors',
                                                    'data-parsley-required-message' => 'Please select ELD Provider',
                                                ]
                                            ) !!}
                                            <div id="eld-provider-errors"></div>
                                        </div>
                                    </div>
                                    <div class="col-md-12 mb-2">
                                        <div class="form-group">
                                            <div class="row justify-content-between">
                                                <div class="col-auto">
                                                    <label for="vin-number" class="mb-1">Vehicle Identification No.</label>
                                                </div>
                                                <div class="col-auto">
                                                    <div class="form-check form-check-inline">
                                                        <input class="form-check-input" type="checkbox" id="vin-number-auto-populate" name="vin_number_auto_populate" value="1">
                                                        <label class="form-check-label" for="vin-number-auto-populate">Auto-Populate</label>
                                                    </div>
                                                </div>
                                                <div class="col-12">
                                                    {!! Form::text('vin_number', null, array(
                                                            'class'                         => 'form-control',
                                                            'id'                            => 'vin-number',
                                                            'placeholder'                   => 'Enter Vehicle Identification No.',
                                                            'required'                      => 'required',
                                                            'data-parsley-errors-container' => '#vin-number-errors',
                                                            'data-parsley-required-message' => 'Please enter Vehicle Identification No.'
                                                        )
                                                    ) !!}
                                                    <div id="vin-number-errors"></div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-12 d-none" id="eldIdDiv">
                                        <div class="form-group">
                                            <label for="eld-id" class="mb-1">ELD ID</label>
                                            {!! Form::text('eld_id', null, array(
                                                    'class'         => 'form-control',
                                                    'id'            => 'eld-id',
                                                    'placeholder'   => 'Enter ELD ID',
                                                    'readonly'      => 'readonly'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="row">
                                    <div class="col-md-12 d-none" id="logoDiv">
                                        <img src="{{ asset('theme/img/logo-samsara.png') }}" class="app-center-logo" title="Samsara Logo">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-blueBr" id="eld-clear">Clear</button>
                        <button type="button" class="btn btn-blue" id="eld-connect">Connect</button>
                        <button type="button" class="btn btn-blue d-none" id="eld-confirm">Confirm</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>
    <!-- ELD Integration Setup -->

    <!-- Tools, Equipment & Accessories Profile -->
    <div class="modal fade" id="equipmentProfileModal" aria-labelledby="equipmentProfileLabel" aria-hidden="true">
        <div class="modal-dialog modal-xl modal-dishpatch">
            {!! Form::open(['autocomplete'  => 'off', 'class' => 'equipment-profile-modal-form']) !!}
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="equipmentProfileLabel">Tools, Equipment & Accessories Profile Builder</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body p-0"></div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-blueBr" data-dismiss="modal" id="equipment-profile-cancel">Cancel</button>
                        <button type="submit" class="btn btn-blue" id="equipment-profile-save">Save</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>
    <!-- Tools, Equipment & Accessories Profile -->

    <!-- On Board Documents Profile -->
    <div class="modal fade" id="documentProfileModal" aria-labelledby="documentProfileLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dishpatch" style="max-width: 1199px;">
            {!! Form::open(['autocomplete'  => 'off', 'class' => 'document-profile-modal-form']) !!}
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="documentProfileLabel">On Board Documents Profile Builder</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body p-0"></div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-blueBr" data-dismiss="modal" id="document-profile-cancel">Cancel</button>
                        <button type="submit" class="btn btn-blue" id="document-profile-save">Save</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>
    <!-- On Board Documents Profile -->
@endsection

@section('script')
    <script src="{{ asset('theme/js/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('.select2Status').select2({
                width : '100%',
                placeholder: 'Select Status',
                minimumResultsForSearch: -1,
                templateResult: function(el){
                    if (!el.id) { return el.text; }
                    var $el = $('<span style="color:' + $(el.element).data('color') + '">' + el.text + ' <i class="fa fa-circle" aria-hidden="true"></i></span>');
                    return $el;
                },
                templateSelection: function(el){
                    if (!el.id) { return el.text; }
                    var $el = $('<span style="color:' + $(el.element).data('color') + '">' + el.text + ' <i class="fa fa-circle" aria-hidden="true"></i></span>');
                    return $el;
                }
            });
            $('a[data-toggle="tab"]').on('show.bs.tab', function (e) {
                var $target = $(e.target);
                if ($target.parent().hasClass('disabled')) {
                    return false;
                }
            });
            $('.prev-step').click(function (e) {
                var $active = $('.nav-tabs li>a.active');
                prevTab($active);
            });

            $('.date').datetimepicker({
                format: 'MM/DD/YYYY',
                useCurrent: false
            });
        });
        $(document).on('click', '.general-info-save', function(event){
            event.preventDefault();
            // console.log('General info save');
            // return false;

            var that                            = $(this);
            var isSaveAndClose                  = that.attr('data-save-close');

            var form                            = $('#general-info-tab');
            var parsley                         = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });

            parsley.whenValidate().done(function(){
                // Validation is complete
                $.ajax({
                    url: "{!! route('company.admin.trailer.save.general.info') !!}",
                    method: "POST",
                    data: form.serialize() + '&status=' + $('#status').val(),
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        loader();
                    },
                    success: function(response) {
                        if(response.success){
                            $('.trailer_created_id').val(response.trailer_created_id);
                            $('#trailer_unique_id').val('{!! getCompIdentifier() !!}'+ response.trailer_created_id);

                            toastr.success(
                                response.message,
                                'Success Alert', {
                                    timeOut: 1000,
                                    fadeOut: 1000,
                                    onHidden: function () {
                                        if(isSaveAndClose == '1'){
                                            nextStep();
                                        } else {
                                            window.location.href = "{{ route('company.admin.trailers.index')}}";
                                        }
                                    }
                                }
                            );
                        }else{
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        Swal.close();
                    },
                    error: function(jqXHR, status, exception) {
                        var error;
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            });
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('#vinLookupModal').on('show.bs.modal', function () {
                // console.log('VIN lookup modal show');
            });
            $('#vinLookupModal').on('hidden.bs.modal', function() {
                // console.log('VIN lookup modal hide');

                $('#vinLookupModal #vinLookupDetails').html('');
                $('#vinLookupModal input[name="vin_no"]').val('');
                $('#vinLookupModal select[name="vin_year"]').val(null).trigger('change');
            });
        });
        $(document).on('click', '#vinLookupModal .import-btn', function(event) {
            event.preventDefault();
            // console.log('VIN lookup import btn');
            // return false;
        });
    </script>
    <!-- /********************* Ownership - START *********************/ -->
    <script type="text/javascript">
        $(document).on('click', '.ownership-save', function(event){
            event.preventDefault();
            // console.log('Ownership info save');
            // return false;

            var that                            = $(this);
            var isSaveAndClose                  = that.attr('data-save-close');

            var form                            = $('#ownership-tab');
            $.ajax({
                url: "{!! route('company.admin.trailer.save.ownership.info') !!}",
                method: "POST",
                data: form.serialize() + '&status=' + $('#status').val(),
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                beforeSend: function() {
                    loader();
                },
                success: function(response) {
                    if(response.success){
                        $('.trailer_created_id').val(response.trailer_created_id);

                        toastr.success(
                            response.message,
                            'Success Alert', {
                                timeOut: 1000,
                                fadeOut: 1000,
                                onHidden: function () {
                                    if(isSaveAndClose == '1'){
                                        nextStep();
                                    } else {
                                        window.location.href = "{{ route('company.admin.trailers.index')}}";
                                    }
                                }
                            }
                        );
                    }else{
                        toastr.error(response.message, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                },
                complete: function() {
                    Swal.close();
                },
                error: function(jqXHR, status, exception) {
                    var error;
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, 'Error Alert', {
                        timeOut: 5000
                    });
                }
            });
        });
    </script>
    <!-- /********************* Ownership - END *********************/ -->
    <!-- /********************* Insurance - START *********************/ -->
    <script type="text/javascript">
        $(document).ready(function() {
            $('#insuranceProfileModal').on('show.bs.modal', function () {
                // console.log('Insurance profile modal show');
            });
            $('#insuranceProfileModal').on('hidden.bs.modal', function() {
                // console.log('Insurance profile modal hide');

                var rowDiv              = $('#insuranceProfileModal').find('div.row[data-last-index="0"]');
                if(rowDiv.length > 0){
                    // console.log('First row exists');

                    rowDiv.find('select[name="insurance_types[]"]').val(null).trigger('change');

                    var removeBtn       = rowDiv.find('.removeMoreProfileRows');
                    if(removeBtn.length > 0){
                        removeBtn.closest('div').html(`<a href="javascript:void(0);" class="addMoreBtn addMoreProfileRows">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>`);
                    }
                }else{
                    // console.log('First row does not exist');

                    // Create a new div element
                    var html            = getInsuranceProfileHtml(0);
                    var newDiv          = $(html);
                    // Insert the new div before the existing div with id "insuranceProfileMoreRows"
                    newDiv.insertBefore('#insuranceProfileMoreRows');
                    // Initialize Select2 on the select element within the newly inserted divs
                    newDiv.find('select[name="insurance_types[]"]').each(function() {
                        var $this = $(this);
                        var placeholderText = $this.find('option:first').text();
                        $this.select2({
                            allowClear: true,
                            dropdownParent: $("#insuranceProfileModal"),
                            width : '100%',
                            placeholder: placeholderText
                        });
                        $this.find('option:first').hide();
                    });
                }

                $('#insuranceProfileModal').find('#insuranceProfileMoreRows').html('');

                $('#insuranceProfileModal .insurance-profile-modal-form').trigger('reset');
                $('#insuranceProfileModal .insurance-profile-modal-form').find('.error').text('');
                $('#insuranceProfileModal .insurance-profile-modal-form').parsley().reset();
            });
        });
        $(document).on('click', '#insuranceProfileModal .addMoreProfileRows', function (event){
            event.preventDefault();
            // console.log('Add more profile rows');
            // return false;

            var that                    = $(this);

            var wrapper                 = $('#insuranceProfileModal').find('#insuranceProfileMoreRows');
            var lastIndex               = 1;
            var lastItem                = wrapper.find('div.row[data-last-index]:last');
            if(lastItem.attr('data-last-index') !== undefined){
                lastIndex               = parseInt(lastItem.attr('data-last-index'))+1;
            }

            var addBtnDiv               = that.closest('div');
            addBtnDiv.html(`<a href="javascript:void(0);" class="removeMoreBtn removeMoreProfileRows">
                <i class="fa fa-minus-square" aria-hidden="true"></i>
            </a>`);

            var html                    = getInsuranceProfileHtml(lastIndex);
            wrapper.append(html);
            wrapper.find('select[name="insurance_types[]"]:last').each(function() {
                var $this = $(this);
                var placeholderText = $this.find('option:first').text();
                $this.select2({
                    allowClear: true,
                    dropdownParent: $("#insuranceProfileModal"),
                    width : '100%',
                    placeholder: placeholderText
                });
                $this.find('option:first').hide();
            });
        });
        $(document).on('click', '.removeMoreProfileRows', function (event){
            event.preventDefault();
            // console.log('Remove profile rows');
            // return false;

            var that                    = $(this);
            if(that.closest('#insuranceProfile').length > 0){
                that.closest('div.row').remove();

                var wrapper             = $('#insurance-profile-form').find('#insuranceProfile');
                var totalExistdivLength = wrapper.find('.removeMoreProfileRows').length;
                if(totalExistdivLength == 0){
                    wrapper.html('');
                }
            }else{
                that.closest('div.row[data-last-index]').remove();
            }
        });
        $(document).on('click', '#insuranceProfileModal #insurance-profile-save', function (event){
            event.preventDefault();
            // console.log('Insurance profile save');
            // return false;

            var that                    = $(this);
            var btnTxt                  = that.text();

            var form                    = $('#insuranceProfileModal .insurance-profile-modal-form');
            var parsley                 = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            parsley.validate();
            if (parsley.isValid()){
                var trailer_created_id  = $('#insurance-profile-form').find('.trailer_created_id').val();
                if(trailer_created_id == ''){
                    toastr.error('Oops! Something went wrong..', 'Error Alert', {
                        timeOut: 5000
                    });
                    return false;
                }

                var formData            = new FormData(form[0]);
                formData.append('trailer_created_id', trailer_created_id);

                $.ajax({
                    type: 'POST',
                    url: "{{ route('company.admin.trailer.insurance.profile') }}",
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                    success: function(response) {
                        if (response.success) {
                            $('#insurance-profile').html(response.insuranceProfileHtml);
                            $('#insurance-profile').val(response.new_profile_id).trigger('change');

                            var txt     = btnTxt;
                            txt         = txt.charAt(0).toUpperCase() + txt.slice(1).toLowerCase()
                            toastr.success(
                                txt+' successfully',
                                'Success Alert', {
                                    timeOut: 1000,
                                    fadeOut: 1000,
                                    onHidden: function () {
                                        $('#preViewImport').trigger('click');
                                        $('#insuranceProfileModal').modal('hide');
                                    }
                                }
                            );
                        } else {
                            toastr.error('Something went wrong try again in a few seconds', 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        that.prop('disabled', false).html(btnTxt);
                    },
                    error: function(jqXHR, status, exception) {
                        var error;
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
                return false;
            }
        });
        $(document).on('click', '#insuranceProfileModal #insurance-profile-cancel', function (event){
            event.preventDefault();
            // console.log('Insurance profile cancel');
            // return false;
        });
        function getInsuranceProfileHtml(lastIndex){
            var insuranceProfileHtml    = '';
            insuranceProfileHtml        += `<div class="row px-4 pb-2" data-last-index="`+lastIndex+`">`;
            insuranceProfileHtml        += `<div class="col-md-3 ins-modal-custom-grid pr-1">`;
            insuranceProfileHtml        += `<div class="form-group">`;
            insuranceProfileHtml        += `{!! Form::select('insurance_types[]', ['' => 'Select Insurance Type'] + getCompanyInsuranceTypes(), null, [
                    'class'                         => 'form-control',
                    'required'                      => 'required',
                    'data-parsley-errors-container' => '#insurance_types_`+lastIndex+`-errors'
                ]
            ) !!}`;
            insuranceProfileHtml        += `<div id="insurance_types_`+lastIndex+`-errors"></div>`;
            insuranceProfileHtml        += `</div>`;
            insuranceProfileHtml        += `</div>`;
            insuranceProfileHtml        += `<div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">`;
            insuranceProfileHtml        += `<div class="form-group">`;
            insuranceProfileHtml        += `{!! Form::text('policy_number[]', null, array(
                    'class'             => 'form-control',
                    'placeholder'       => 'Enter',
                    'disabled'          => 'disabled'
                )
            ) !!}`;
            insuranceProfileHtml        += `</div>`;
            insuranceProfileHtml        += `</div>`;
            insuranceProfileHtml        += `<div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">`;
            insuranceProfileHtml        += `<div class="form-group">`;
            insuranceProfileHtml        += `<div class="input-group pre-append">`;
            insuranceProfileHtml        += `<div class="input-group-prepend readonly-input">`;
            insuranceProfileHtml        += `<span class="input-group-text">$</span>`;
            insuranceProfileHtml        += `</div>`;
            insuranceProfileHtml        += `{!! Form::text('value[]', null, array(
                    'class'             => 'form-control',
                    'placeholder'       => 'Enter',
                    'disabled'          => 'disabled'
                )
            ) !!}`;
            insuranceProfileHtml        += `</div>`;
            insuranceProfileHtml        += `</div>`;
            insuranceProfileHtml        += `</div>`;
            insuranceProfileHtml        += `<div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">`;
            insuranceProfileHtml        += `<div class="form-group">`;
            insuranceProfileHtml        += `<div class="input-group">`;
            insuranceProfileHtml        += `{!! Form::text('date_added[]', null, array(
                    'class'             => 'form-control',
                    'placeholder'       => 'Enter',
                    'disabled'          => 'disabled'
                )
            ) !!}`;
            insuranceProfileHtml        += `<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">`;
            insuranceProfileHtml        += `</div>`;
            insuranceProfileHtml        += `</div>`;
            insuranceProfileHtml        += `</div>`;
            insuranceProfileHtml        += `<div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">`;
            insuranceProfileHtml        += `<div class="form-group">`;
            insuranceProfileHtml        += `<div class="input-group">`;
            insuranceProfileHtml        += `{!! Form::text('expiration_date[]', null, array(
                    'class'             => 'form-control',
                    'placeholder'       => 'Enter',
                    'disabled'          => 'disabled'
                )
            ) !!}`;
            insuranceProfileHtml        += `<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">`;
            insuranceProfileHtml        += `</div>`;
            insuranceProfileHtml        += `</div>`;
            insuranceProfileHtml        += `</div>`;
            insuranceProfileHtml        += `<div class="pl-1">`;
            insuranceProfileHtml        += `<div class="form-group d-flex">`;
            // insuranceProfileHtml     += `<div>`;
            // insuranceProfileHtml     += `<a href="javascript:void(0);" class="insuranceFile">`;
            // insuranceProfileHtml     += `<i class="fa fa-picture-o" aria-hidden="true" title="Insurance File"></i>`;
            // insuranceProfileHtml     += `</a>`;
            // insuranceProfileHtml     += `</div>`;
            insuranceProfileHtml        += `<div>`;
            insuranceProfileHtml        += `<a href="javascript:void(0);" class="addMoreBtn addMoreProfileRows">`;
            insuranceProfileHtml        += `<i class="fa fa-plus-square" aria-hidden="true"></i>`;
            insuranceProfileHtml        += `</a>`;
            insuranceProfileHtml        += `</div>`;
            insuranceProfileHtml        += `</div>`;
            insuranceProfileHtml        += `</div>`;
            insuranceProfileHtml        += `</div>`;
            return insuranceProfileHtml;
        }
    </script>
    <script type="text/javascript">
        $(document).on('change', '#insurance-profile', function (event){
            // console.log('Insurance profile option change = '+$(this).val());

            $('#preViewInsuranceProfile').html('');
            $('#insuranceProfile').html('');
            $('#previewBtn').addClass('d-none');

            var optionSelected          = $("option:selected", this);
            var selectedValue           = optionSelected.val();
            var selectedText            = '';
            if(selectedValue){
                selectedText            = optionSelected.text();
            }
            var insuranceTypes          = optionSelected.attr('data-insurance-types');
            if (insuranceTypes !== undefined && insuranceTypes != '') {
                $.ajax({
                    url: "{!! route('company.admin.trailer.insurance.profile.view') !!}",
                    method: "POST",
                    data: { id: selectedValue },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        // console.log('beforeSend');
                    },
                    success: function(response) {
                        if(response.success){
                            $('#preViewInsuranceProfile').html(response.preViewHtml);
                            $('#previewBtn').removeClass('d-none');
                        }else{
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        // console.log('complete');
                    },
                    error: function(jqXHR, status, exception) {
                        var error;
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
        });
        $(document).on('click', '#preViewImport', function (event){
            event.preventDefault();
            // console.log('Insurance view import btn');
            // return false;

            $('#previewBtn').addClass('d-none');
            $('#insuranceProfile').html($('#preViewInsuranceProfile').html());
            $('#preViewInsuranceProfile').html('');

            $('#insuranceProfile .select2').each(function() {
                var $this = $(this);
                var placeholderText = $this.find('option:first').text();
                $this.select2({
                    allowClear: true,
                    width : '100%',
                    placeholder: placeholderText
                });
                $this.find('option:first').hide();
            });
            $('#insuranceProfile .date').datetimepicker({
                format: 'MM/DD/YYYY',
                useCurrent: false
            });
        });
        $(document).on('click', '#preViewCancel', function (event){
            event.preventDefault();
            // console.log('Insurance view cancel btn');
            // return false;

            $('#insurance-profile').val(null).trigger('change');
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('#addInsuranceLineModal').on('show.bs.modal', function () {
                // console.log('Insurance line modal show');
            });
            $('#addInsuranceLineModal').on('hidden.bs.modal', function() {
                // console.log('Insurance line modal hide');

                $('#addInsuranceLineModal #insurance-type').val(null).trigger('change');

                $('#addInsuranceLineModal .insurance-line-modal-form').trigger('reset');
                $('#addInsuranceLineModal .insurance-line-modal-form').find('.error').text('');
                $('#addInsuranceLineModal .insurance-line-modal-form').parsley().reset();
            });
        });
        $(document).on('click', '#addAdditionalInsuranceLine', function (event){
            event.preventDefault();
            // console.log('Add additional insurance line');
            // return false;

            var that                    = $(this);
            var btnTxt                  = that.text();

            var form                    = $('#addInsuranceLineModal .insurance-line-modal-form');
            var parsley                 = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            parsley.validate();
            if (parsley.isValid()){
                var optionSelected      = $('#addInsuranceLineModal #insurance-type option:selected');
                var selectedValue       = optionSelected.val();
                var selectedText        = '';
                if(selectedValue){
                    selectedText        = optionSelected.text();
                }
                var objectData          = {
                    insuranceTypeName: selectedText,
                    insuranceTypeId: selectedValue,
                };

                var wrapper             = $('#additional-insurance-form').find('#additionalInsurance');
                var lastIndex           = 0;
                var lastItem            = wrapper.find('div.row[data-last-index]:last');
                if(lastItem.attr('data-last-index') !== undefined){
                    lastIndex           = parseInt(lastItem.attr('data-last-index'))+1;
                }

                $('.addInsuranceBtn').parent().remove();

                var html                = getInsuranceLineHtml(lastIndex, objectData);
                wrapper.append(html);
                // Find the last appended div element within the wrapper
                var lastDivElement      = wrapper.find('div.row[data-last-index="'+lastIndex+'"]'); // .find('div.row[data-last-index]:last');
                lastDivElement.find('select[name="insurance_vendor[]"]').each(function() {
                    var $this = $(this);
                    var placeholderText = $this.find('option:first').text();
                    $this.select2({
                        allowClear: true,
                        width : '100%',
                        placeholder: placeholderText
                    });
                    $this.find('option:first').hide();
                });
                lastDivElement.find('.date').datetimepicker({
                    format: 'MM/DD/YYYY',
                    useCurrent: false
                });

                toastr.success(
                    'Add successfully',
                    'Success Alert', {
                        timeOut: 1000,
                        fadeOut: 1000,
                        onHidden: function () {
                            $('#addInsuranceLineModal').modal('hide');
                        }
                    }
                );
            }
        });
        $(document).on('click', '.removeMoreAdditionalRows', function (event){
            event.preventDefault();
            // console.log('Remove more additional rows');
            // return false;

            var that                    = $(this);
            that.closest('div.row[data-last-index]').remove();

            var wrapper                 = $('#additional-insurance-form').find('#additionalInsurance');
            var totalExistdivLength     = wrapper.find('div.row[data-last-index]').length;
            if(totalExistdivLength == 0){
                wrapper.html('');
                $('#additional-insurance-form #additionalInsuranceHeader').prepend('<div class="form-group mb-1"><a href="javascript:void(0);" class="addMoreBtn addInsuranceBtn" data-toggle="modal" data-target="#addInsuranceLineModal"><i class="fa fa-plus-square" aria-hidden="true"></i></a></div>');
            }else{
                // Find the last appended div element within the wrapper
                var lastDivElement      = wrapper.find('div.row[data-last-index]:last');
                if(lastDivElement.find('div:last-of-type .form-group div').length !== 3){
                    lastDivElement.find('div:last-of-type .form-group').append('<div class="form-group mb-1"><a href="javascript:void(0);" class="addMoreBtn addInsuranceBtn" data-toggle="modal" data-target="#addInsuranceLineModal"><i class="fa fa-plus-square" aria-hidden="true"></i></a></div>');
                }
            }
        });
        $(document).on('click', '#cancelAdditionalInsuranceLine', function (event){
            event.preventDefault();
            // console.log('Cancel additional insurance line');
            // return false;
        });
        function getInsuranceLineHtml(lastIndex, data={}){
            var insuranceTypeName       = data.insuranceTypeName || '';
            var insuranceTypeId         = data.insuranceTypeId || '';

            var additionalInsuranceHtml = '';
            additionalInsuranceHtml     += `<div class="row pt-2" data-last-index="`+lastIndex+`">`;
            additionalInsuranceHtml     += `<div class="col-md-3 ins-prev-custom-grid pr-1">`;
            additionalInsuranceHtml     += `<div class="form-group">`;
            additionalInsuranceHtml     += `<label for="insurance-types" class="mb-1">`+insuranceTypeName+`</label>`;
            additionalInsuranceHtml     += `{!! Form::select('insurance_vendor[]', ['' => 'Select Insurance Vendor'] + getVendorList(), null, [
                    'class'                         => 'form-control'
                ]
            ) !!}`;
            additionalInsuranceHtml     += `<input type="hidden" name="insurance_type[]" value="`+insuranceTypeId+`">`;
            additionalInsuranceHtml     += `</div>`;
            additionalInsuranceHtml     += `</div>`;
            additionalInsuranceHtml     += `<div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">`;
            additionalInsuranceHtml     += `<div class="form-group">`;
            additionalInsuranceHtml     += `<label for="policy-number" class="mb-1">Policy No.</label>`;
            additionalInsuranceHtml     += `<input type="text" class="form-control" name="policy_number[]" placeholder="Enter">`;
            additionalInsuranceHtml     += `</div>`;
            additionalInsuranceHtml     += `</div>`;
            additionalInsuranceHtml     += `<div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">`;
            additionalInsuranceHtml     += `<div class="form-group">`;
            additionalInsuranceHtml     += `<label for="value" class="mb-1">Value</label>`;
            additionalInsuranceHtml     += `<div class="input-group pre-append">`;
            additionalInsuranceHtml     += `<div class="input-group-prepend">`;
            additionalInsuranceHtml     += `<span class="input-group-text">$</span>`;
            additionalInsuranceHtml     += `</div>`;
            additionalInsuranceHtml     += `<input type="text" class="form-control integer-input comma-integer-input" name="value[]" placeholder="Enter">`;
            additionalInsuranceHtml     += `</div>`;
            additionalInsuranceHtml     += `</div>`;
            additionalInsuranceHtml     += `</div>`;
            additionalInsuranceHtml     += `<div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">`;
            additionalInsuranceHtml     += `<div class="form-group">`;
            additionalInsuranceHtml     += `<label for="date-added" class="mb-1">Date Added</label>`;
            additionalInsuranceHtml     += `<div class="input-group">`;
            additionalInsuranceHtml     += `<input type="text" class="form-control date" name="date_added[]" placeholder="Enter">`;
            additionalInsuranceHtml     += `<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">`;
            additionalInsuranceHtml     += `</div>`;
            additionalInsuranceHtml     += `</div>`;
            additionalInsuranceHtml     += `</div>`;
            additionalInsuranceHtml     += `<div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">`;
            additionalInsuranceHtml     += `<div class="form-group">`;
            additionalInsuranceHtml     += `<label for="expiration-date" class="mb-1">Expiration Date</label>`;
            additionalInsuranceHtml     += `<div class="input-group">`;
            additionalInsuranceHtml     += `<input type="text" class="form-control date" name="expiration_date[]" placeholder="Enter">`;
            additionalInsuranceHtml     += `<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">`;
            additionalInsuranceHtml     += `</div>`;
            additionalInsuranceHtml     += `</div>`;
            additionalInsuranceHtml     += `</div>`;
            additionalInsuranceHtml     += `<div class="pl-1 mt-4">`;
            additionalInsuranceHtml     += `<div class="form-group d-flex">`;
            additionalInsuranceHtml     += `<div>`;
            additionalInsuranceHtml     += `<a href="javascript:void(0);" class="insuranceFile">`;
            additionalInsuranceHtml     += `<i class="fa fa-picture-o additionalInsuranceFile gallary-edit" aria-hidden="true"
                data-id="{{ $trailer->id ?? $dummy_id }}"
                data-source="trailers"
                data-field="additional_insurance_file_`+lastIndex+`"
                data-toggle="modal"
                data-target="#galleryModal"
                title="Additional Insurance File"></i>`;
            additionalInsuranceHtml     += `</a>`;
            additionalInsuranceHtml     += `</div>`;
            additionalInsuranceHtml     += `<div>`;
            additionalInsuranceHtml     += `<a href="javascript:void(0);" class="removeMoreAdditionalRows">`;
            additionalInsuranceHtml     += `<i class="fa fa-minus-square" aria-hidden="true"></i>`;
            additionalInsuranceHtml     += `</a>`;
            additionalInsuranceHtml     += `</div>`;
            additionalInsuranceHtml     += `<div>`;
            additionalInsuranceHtml     += `<a href="javascript:void(0);" class="addMoreBtn addInsuranceBtn" data-toggle="modal" data-target="#addInsuranceLineModal">`;
            additionalInsuranceHtml     += `<i class="fa fa-plus-square" aria-hidden="true"></i>`;
            additionalInsuranceHtml     += `</a>`;
            additionalInsuranceHtml     += `</div>`;
            additionalInsuranceHtml     += `</div>`;
            additionalInsuranceHtml     += `</div>`;
            additionalInsuranceHtml     += `</div>`;
            return additionalInsuranceHtml;
        }
    </script>
    <script type="text/javascript">
        $(document).on('click', '.insurance-save', function (event){
            event.preventDefault();
            // console.log('Insurance save');
            // return false;

            var that                            = $(this);
            var isSaveAndClose                  = that.attr('data-save-close');

            // Combine FormData objects
            var combineData                     = new FormData();

            var form1                           = $('#insurance-profile-form');
            var insurance_profile               = form1.find('#insurance-profile option:selected').val();
            if(insurance_profile != ''){
                var formData1                   = new FormData(form1[0]);

                // Append data from formData1 with a prefix
                for (var pair of formData1.entries()) {
                    combineData.append('form1_' + pair[0], pair[1]);
                }
            }

            var form2                           = $('#additional-insurance-form');
            var formData2                       = new FormData(form2[0]);

            // Append data from formData2 with a prefix
            for (var pair of formData2.entries()) {
                combineData.append('form2_' + pair[0], pair[1]);
            }

            var status                          = $('#status').val(); // Get the value of #status input

            // Append status to combinedFormData
            combineData.append('status', status);

            $.ajax({
                url: "{!! route('company.admin.trailer.save.insurance.info') !!}",
                type: 'POST',
                data: combineData,
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                cache : false,
                processData: false,
                contentType: false,
                beforeSend: function() {
                    loader();
                },
                success: function(response) {
                    if(response.success){
                        $('.trailer_created_id').val(response.trailer_created_id);

                        toastr.success(
                            response.message,
                            'Success Alert', {
                                timeOut: 1000,
                                fadeOut: 1000,
                                onHidden: function () {
                                    if(isSaveAndClose == '1'){
                                        nextStep();
                                    } else {
                                        window.location.href = "{{ route('company.admin.trailers.index')}}";
                                    }
                                }
                            }
                        );
                    }else{
                        toastr.error(response.message, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                },
                complete: function() {
                    Swal.close();
                },
                error: function(jqXHR, status, exception) {
                    var error;
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, 'Error Alert', {
                        timeOut: 5000
                    });
                }
            });
        });
    </script>
    <!-- /********************* Insurance - END *********************/ -->
    <!-- /********************* PM Maintenance & Service - START *********************/ -->
    <script type="text/javascript">
        $(document).ready(function() {
            $('#pmServiceProfileModal').on('show.bs.modal', function () {
                // console.log('Pm service profile modal show');
            });
            $('#pmServiceProfileModal').on('hidden.bs.modal', function() {
                // console.log('Pm service profile modal hide');

                $('#pmServiceProfileModal .modal-content .modal-body').html('');
            });
        });
        $(document).on('click', '#getPmServiceProfileModal', function (event){
            event.preventDefault();
            // console.log('Pm service profile modal html');
            // return false;

            $.ajax({
                type: 'GET',
                url: "{!! route('company.admin.trailer.pm-service.profile.view') !!}",
                data: {},
                dataType: 'json',
                beforeSend: function() {
                    $('#pmServiceProfileModal .modal-content .modal-body').html(`
                        <div class="loadingdiv">
                            <img src="`+loadimg+`">
                        </div>
                    `);
                    $('#pmServiceProfileModal').modal('show');
                },
                success: function(response) {
                    if(response.success){
                        var html    = response.html;
                        if(typeof html !== "undefined"){
                            $('#pmServiceProfileModal .modal-content .modal-body').html(html);
                            setTimeout(function() {
                                $('#pmServiceProfileModal .select2').each(function() {
                                    var $this = $(this);
                                    var placeholderText = $this.find('option:first').text();
                                    $this.select2({
                                        allowClear: true,
                                        dropdownParent: $('#pmServiceProfileModal'),
                                        width : '100%',
                                        placeholder: placeholderText
                                    });
                                    $this.find('option:first').hide();
                                });
                            }, 50);
                        }else{
                            toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    }else{
                        toastr.error(response.message, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                },
                complete: function() {
                    // console.log('complete');
                },
                error: function(jqXHR, status, exception) {
                    var error;
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, 'Error Alert', {
                        timeOut: 5000
                    });
                }
            });
        });
        $(document).on('click', '#pmServiceProfileModal .addMorePmServiceProfileRows', function (event){
            event.preventDefault();
            // console.log('Add more pm profile rows');
            // return false;

            var that                    = $(this);

            var wrapper                 = $('#pmServiceProfileModal').find('#pmServiceProfileMoreRows');
            var lastIndex               = 1;
            var lastItem                = wrapper.find('div.row[data-last-index]:last');
            if(lastItem.attr('data-last-index') !== undefined){
                lastIndex               = parseInt(lastItem.attr('data-last-index'))+1;
            }

            var addBtnDiv               = that.closest('div');
            addBtnDiv.html(`<a href="javascript:void(0);" class="removeMoreBtn removeMorePmServiceProfileRows">
                <i class="fa fa-minus-square" aria-hidden="true"></i>
            </a>`);

            var html                    = getPmServiceProfileHtml(lastIndex);
            wrapper.append(html);
            // Find the last appended div element within the wrapper
            var lastDivElement          = wrapper.find('div.row[data-last-index="'+lastIndex+'"]'); // .find('div.row[data-last-index]:last');
            lastDivElement.find('.select2').each(function() {
                var $this = $(this);
                var placeholderText = $this.find('option:first').text();
                $this.select2({
                    allowClear: true,
                    dropdownParent: $('#pmServiceProfileModal'),
                    width : '100%',
                    placeholder: placeholderText
                });
                $this.find('option:first').hide();
            });
        });
        $(document).on('click', '.removeMorePmServiceProfileRows', function (event){
            event.preventDefault();
            // console.log('Remove pm profile rows');
            // return false;

            var that                    = $(this);
            if(that.closest('#pmServiceProfile').length > 0){
                that.closest('div.row').remove();

                var wrapper             = $('#pm-service-profile-form').find('#pmServiceProfile');
                var totalExistdivLength = wrapper.find('.removeMorePmServiceProfileRows').length;
                if(totalExistdivLength == 0){
                    wrapper.html('');
                }
            }else{
                that.closest('div.row[data-last-index]').remove();
            }
        });
        $(document).on('click', '#pmServiceProfileModal #pm-service-profile-save', function (event){
            event.preventDefault();
            // console.log('Pm service profile save');
            // return false;

            var that                    = $(this);
            var btnTxt                  = that.text();

            var form                    = $('#pmServiceProfileModal .pm-service-profile-modal-form');
            var parsley                 = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            parsley.validate();
            if (parsley.isValid()){
                var trailer_created_id  = $('#pm-service-profile-form').find('.trailer_created_id').val();
                if(trailer_created_id == ''){
                    toastr.error('Oops! Something went wrong..', 'Error Alert', {
                        timeOut: 5000
                    });
                    return false;
                }

                var formData            = new FormData(form[0]);
                formData.append('trailer_created_id', trailer_created_id);

                $.ajax({
                    type: 'POST',
                    url: "{{ route('company.admin.trailer.pm-service.profile') }}",
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                    success: function(response) {
                        if (response.success) {
                            $('#pm-service-profile').html(response.pmServiceProfileHtml);
                            $('#pm-service-profile').val(response.new_profile_id).trigger('change');

                            var txt     = btnTxt;
                            txt         = txt.charAt(0).toUpperCase() + txt.slice(1).toLowerCase()
                            toastr.success(
                                txt+' successfully',
                                'Success Alert', {
                                    timeOut: 1000,
                                    fadeOut: 1000,
                                    onHidden: function () {
                                        $('#pm-service-profile-form .preViewImport').trigger('click');
                                        $('#pmServiceProfileModal').modal('hide');
                                    }
                                }
                            );
                        } else {
                            toastr.error('Something went wrong try again in a few seconds', 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        that.prop('disabled', false).html(btnTxt);
                    },
                    error: function(jqXHR, status, exception) {
                        var error;
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
                return false;
            }
        });
        $(document).on('click', '#pmServiceProfileModal #pm-service-profile-cancel', function (event){
            event.preventDefault();
            // console.log('Pm service profile cancel');
            // return false;
        });
        function getPmServiceProfileHtml(lastIndex){
            let pmServiceProfileHtml    = '';
            pmServiceProfileHtml        += `<div class="row px-4 pb-2" data-last-index="`+lastIndex+`">`;
            pmServiceProfileHtml        += `<div class="col-md-2 pr-1 pm-service-custom-grid">`;
            pmServiceProfileHtml        += `<div class="form-group">`;
            pmServiceProfileHtml        += `{!! Form::select('types[]', ['' => 'Select Type'] + getCompanyPmType(), null, [
                    'class'                         => 'form-control select2',
                    'required'                      => 'required',
                    'data-parsley-errors-container' => '#pm_service_profile_types_`+lastIndex+`-errors'
                ]
            ) !!}`;
            pmServiceProfileHtml        += `<div id="pm_service_profile_types_`+lastIndex+`-errors"></div>`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `<div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">`;
            pmServiceProfileHtml        += `<div class="form-group">`;
            pmServiceProfileHtml        += `{!! Form::select('service_type[]', ['' => 'Select Service Type'] + getCompanyPmServiceType(), null, [
                    'class' => 'form-control select2'
                ]
            ) !!}`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `<div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">`;
            pmServiceProfileHtml        += `<div class="form-group">`;
            pmServiceProfileHtml        += `{!! Form::select('interval_type[]', ['' => 'Select Interval Type'] + getCompanyPmServiceIntervalType(), null, [
                    'class' => 'form-control intervalTypePopup select2'
                ]
            ) !!}`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `<div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">`;
            pmServiceProfileHtml        += `<div class="form-group">`;
            pmServiceProfileHtml        += `{!! Form::text('schedule[]', null, array(
                    'class'             => 'form-control',
                    'placeholder'       => 'Enter'
                )
            ) !!}`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `<div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">`;
            pmServiceProfileHtml        += `<div class="form-group">`;
            pmServiceProfileHtml        += `{!! Form::text('due_date[]', null, array(
                    'class'             => 'form-control',
                    'placeholder'       => 'Enter',
                    'disabled'          => 'disabled'
                )
            ) !!}`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `<div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">`;
            pmServiceProfileHtml        += `<div class="form-group">`;
            pmServiceProfileHtml        += `{!! Form::text('last_performed[]', null, array(
                    'class'             => 'form-control',
                    'placeholder'       => 'Enter',
                    'disabled'          => 'disabled'
                )
            ) !!}`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `<div class="pl-1 pm-service-custom-grid">`;
            pmServiceProfileHtml        += `<div class="form-group">`;
            pmServiceProfileHtml        += `<div>`;
            pmServiceProfileHtml        += `<a href="javascript:void(0);" class="addMoreBtn addMorePmServiceProfileRows">`;
            pmServiceProfileHtml        += `<i class="fa fa-plus-square" aria-hidden="true"></i>`;
            pmServiceProfileHtml        += `</a>`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `</div>`;
            pmServiceProfileHtml        += `</div>`;
            return pmServiceProfileHtml;
        }
    </script>
    <script type="text/javascript">
        $(document).on('change', '.intervalTypePopup', function (){
            var that                    = $(this);
            var intervalType            = that.val(); // 1=Mileage, 2=Hours, 3=Date
            var scheduleDiv             = that.closest('.form-group').parent('div').next('div');
            var dueDiv                  = scheduleDiv.next('div');
            if ($.inArray(intervalType, ['1', '2']) !== -1 || intervalType == '') {
                // 1=Mileage, 2=Hours
                if(scheduleDiv.find('.form-group label').length > 0){
                    if(scheduleDiv.find('.form-group label').next('select').length > 0){
                        if (scheduleDiv.find('.form-group label').next('select').hasClass('select2-hidden-accessible')) {
                            scheduleDiv.find('.form-group label').next('select').select2('destroy');
                        }
                        scheduleDiv.find('.form-group label').next('select').remove();
                    }
                    if(scheduleDiv.find('.form-group label').next('input').length > 0){
                        scheduleDiv.find('.form-group label').next('input').remove();
                    }
                    scheduleDiv.find('.form-group label').after(`{!! Form::text('schedule[]', null, array(
                            'class'         => 'form-control integer-input',
                            'placeholder'   => 'Enter'
                        )
                    ) !!}`);

                    if(dueDiv.length > 0){
                        // dueDiv.find('input').val('');
                        if(dueDiv.find('.form-group label').next('.input-group').length > 0){
                            dueDiv.find('.form-group label').next('.input-group').remove();
                        }else{
                            dueDiv.find('.form-group label').next('input').remove();
                        }
                        dueDiv.find('.form-group label').after(`{!! Form::text('due_date[]', null, array(
                                'class'         => 'form-control integer-input',
                                'placeholder'   => 'Enter',
                                'disabled'      => 'disabled'
                            )
                        ) !!}`);
                    }
                }else{
                    if(scheduleDiv.find('.form-group').find('select').length > 0){
                        if (scheduleDiv.find('.form-group').find('select').hasClass('select2-hidden-accessible')) {
                            scheduleDiv.find('.form-group').find('select').select2('destroy');
                        }
                        scheduleDiv.find('.form-group').find('select').remove();
                    }
                    if(scheduleDiv.find('.form-group').find('input').length > 0){
                        scheduleDiv.find('.form-group').find('input').remove();
                    }
                    scheduleDiv.find('.form-group').append(`{!! Form::text('schedule[]', null, array(
                            'class'             => 'form-control integer-input',
                            'placeholder'       => 'Enter'
                        )
                    ) !!}`);

                    if(dueDiv.length > 0){
                        // dueDiv.find('input').val('');
                        if(dueDiv.find('.form-group').find('.input-group').length > 0){
                            dueDiv.find('.form-group').find('.input-group').remove();
                        }else{
                            dueDiv.find('.form-group').find('input').remove();
                        }
                        dueDiv.find('.form-group').append(`{!! Form::text('due_date[]', null, array(
                                'class'         => 'form-control integer-input',
                                'placeholder'   => 'Enter',
                                'disabled'      => 'disabled'
                            )
                        ) !!}`);
                    }
                }
            } else if(intervalType == '3'){
                // 3=Date
                if(scheduleDiv.find('.form-group label').length > 0){
                    if(scheduleDiv.find('.form-group label').next('select').length > 0){
                        if (scheduleDiv.find('.form-group label').next('select').hasClass('select2-hidden-accessible')) {
                            scheduleDiv.find('.form-group label').next('select').select2('destroy');
                        }
                        scheduleDiv.find('.form-group label').next('select').remove();
                    }
                    if(scheduleDiv.find('.form-group label').next('input').length > 0){
                        scheduleDiv.find('.form-group label').next('input').remove();
                    }
                    scheduleDiv.find('.form-group label').after(`{!! Form::select('schedule[]', ['' => 'Select'] + getTrailerSchedules(), null, [
                            'class'             => 'form-control select2'
                        ]
                    ) !!}`);
                    scheduleDiv.find('.form-group .select2').each(function() {
                        var $this = $(this);
                        var placeholderText = $this.find('option:first').text();
                        $this.select2({
                            allowClear: true,
                            dropdownParent: $('#pmServiceProfileModal'),
                            width : '100%',
                            placeholder: placeholderText
                        });
                        $this.find('option:first').hide();
                    });

                    if(dueDiv.length > 0){
                        // dueDiv.find('input').val('');
                        if(dueDiv.find('.form-group label').next('.input-group').length > 0){
                            dueDiv.find('.form-group label').next('.input-group').remove();
                        }else{
                            dueDiv.find('.form-group label').next('input').remove();
                        }
                        dueDiv.find('.form-group label').after(`<div class="input-group">
                            {!! Form::text('due_date[]', null, array(
                                    'class'         => 'form-control date',
                                    'placeholder'   => 'Enter',
                                    'disabled'      => 'disabled'
                                )
                            ) !!}
                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                        </div>`);
                        dueDiv.find('.form-group .date').datetimepicker({
                            format: 'MM/DD/YYYY',
                            useCurrent: false
                        });
                    }
                }else{
                    if(scheduleDiv.find('.form-group').find('select').length > 0){
                        if (scheduleDiv.find('.form-group').find('select').hasClass('select2-hidden-accessible')) {
                            scheduleDiv.find('.form-group').find('select').select2('destroy');
                        }
                        scheduleDiv.find('.form-group').find('select').remove();
                    }
                    if(scheduleDiv.find('.form-group').find('input').length > 0){
                        scheduleDiv.find('.form-group').find('input').remove();
                    }
                    scheduleDiv.find('.form-group').append(`{!! Form::select('schedule[]', ['' => 'Select'] + getTrailerSchedules(), null, [
                            'class'             => 'form-control select2'
                        ]
                    ) !!}`);
                    scheduleDiv.find('.form-group .select2').each(function() {
                        var $this = $(this);
                        var placeholderText = $this.find('option:first').text();
                        $this.select2({
                            allowClear: true,
                            dropdownParent: $('#pmServiceProfileModal'),
                            width : '100%',
                            placeholder: placeholderText
                        });
                        $this.find('option:first').hide();
                    });

                    if(dueDiv.length > 0){
                        // dueDiv.find('input').val('');
                        if(dueDiv.find('.form-group').find('.input-group').length > 0){
                            dueDiv.find('.form-group').find('.input-group').remove();
                        }else{
                            dueDiv.find('.form-group').find('input').remove();
                        }
                        dueDiv.find('.form-group').append(`<div class="input-group">
                            {!! Form::text('due_date[]', null, array(
                                    'class'         => 'form-control date',
                                    'placeholder'   => 'Enter',
                                    'disabled'      => 'disabled'
                                )
                            ) !!}
                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                        </div>`);
                        dueDiv.find('.form-group .date').datetimepicker({
                            format: 'MM/DD/YYYY',
                            useCurrent: false
                        });
                    }
                }
            }
        });
    </script>
    <script type="text/javascript">
        $(document).on('change', '#pm-service-profile', function (event){
            // console.log('Pm service profile option change = '+$(this).val());

            $('#preViewPmServiceProfile').html('');
            $('#pmServiceProfile').html('');
            $('#pm-service-profile-form .previewBtn').addClass('d-none');

            var optionSelected          = $("option:selected", this);
            var selectedValue           = optionSelected.val();
            var selectedText            = '';
            if(selectedValue){
                selectedText            = optionSelected.text();
            }
            var pmTypes                 = optionSelected.attr('data-pm-types');
            if (pmTypes !== undefined && pmTypes != '') {
                $.ajax({
                    url: "{!! route('company.admin.trailer.pm-service.profile.view') !!}",
                    method: "POST",
                    data: { id: selectedValue },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        // console.log('beforeSend');
                    },
                    success: function(response) {
                        if(response.success){
                            $('#preViewPmServiceProfile').html(response.html);
                            $('#pm-service-profile-form .previewBtn').removeClass('d-none');
                        }else{
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        // console.log('complete');
                    },
                    error: function(jqXHR, status, exception) {
                        var error;
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
        });
        $(document).on('click', '#pm-service-profile-form .preViewImport', function (event){
            event.preventDefault();
            // console.log('Pm service view import btn');
            // return false;

            $('#pm-service-profile-form .previewBtn').addClass('d-none');
            $('#pmServiceProfile').html($('#preViewPmServiceProfile').html());
            $('#preViewPmServiceProfile').html('');

            $('#pmServiceProfile .select2').each(function() {
                var $this = $(this);
                var placeholderText = $this.find('option:first').text();
                $this.select2({
                    allowClear: true,
                    width : '100%',
                    placeholder: placeholderText
                });
                $this.find('option:first').hide();
            });
            $('#pmServiceProfile .date').datetimepicker({
                format: 'MM/DD/YYYY',
                useCurrent: false
            });

            $('#pmServiceProfile .schedule ').trigger('change');
        });
        $(document).on('click', '#pm-service-profile-form .preViewCancel', function (event){
            event.preventDefault();
            // console.log('Pm service view cancel btn');
            // return false;

            $('#pm-service-profile').val(null).trigger('change');
        });
    </script>
    <script type="text/javascript">
        $(document).on('change', '.intervalType', function (){
            var that                    = $(this);
            var intervalType            = that.val(); // 1=Mileage, 2=Hours, 3=Date
            var scheduleDiv             = that.closest('.form-group').parent('div').next('div');
            var dueDiv                  = scheduleDiv.next('div');
            var lastPerformedDiv        = dueDiv.next('div');
            if ($.inArray(intervalType, ['1', '2']) !== -1 || intervalType == '') {
                // 1=Mileage, 2=Hours
                if(scheduleDiv.find('.form-group label').length > 0){
                    if(scheduleDiv.find('.form-group label').next('select').length > 0){
                        if (scheduleDiv.find('.form-group label').next('select').hasClass('select2-hidden-accessible')) {
                            scheduleDiv.find('.form-group label').next('select').select2('destroy');
                        }
                        scheduleDiv.find('.form-group label').next('select').remove();
                    }
                    if(scheduleDiv.find('.form-group label').next('input').length > 0){
                        scheduleDiv.find('.form-group label').next('input').remove();
                    }
                    scheduleDiv.find('.form-group label').after(`{!! Form::text('schedule[]', null, array(
                            'class'         => 'form-control integer-input',
                            'placeholder'   => 'Enter'
                        )
                    ) !!}`);

                    if(dueDiv.length > 0){
                        // dueDiv.find('input').val('');
                        if(dueDiv.find('.form-group label').next('.input-group').length > 0){
                            dueDiv.find('.form-group label').next('.input-group').remove();
                        }else{
                            dueDiv.find('.form-group label').next('input').remove();
                        }
                        dueDiv.find('.form-group label').after(`{!! Form::text('due_date[]', null, array(
                                'class'         => 'form-control integer-input',
                                'placeholder'   => 'Enter'
                            )
                        ) !!}`);
                    }

                    if(lastPerformedDiv.length > 0){
                        // lastPerformedDiv.find('input').val('');
                        if(lastPerformedDiv.find('.form-group label').next('.input-group').length > 0){
                            lastPerformedDiv.find('.form-group label').next('.input-group').remove();
                        }else{
                            lastPerformedDiv.find('.form-group label').next('input').remove();
                        }
                        lastPerformedDiv.find('.form-group label').after(`{!! Form::text('last_performed[]', null, array(
                                'class'         => 'form-control integer-input',
                                'placeholder'   => 'Enter'
                            )
                        ) !!}`);
                    }
                }else{
                    if(scheduleDiv.find('.form-group').find('select').length > 0){
                        if (scheduleDiv.find('.form-group').find('select').hasClass('select2-hidden-accessible')) {
                            scheduleDiv.find('.form-group').find('select').select2('destroy');
                        }
                        scheduleDiv.find('.form-group').find('select').remove();
                    }
                    if(scheduleDiv.find('.form-group').find('input').length > 0){
                        scheduleDiv.find('.form-group').find('input').remove();
                    }
                    scheduleDiv.find('.form-group').append(`{!! Form::text('schedule[]', null, array(
                            'class'         => 'form-control integer-input',
                            'placeholder'   => 'Enter'
                        )
                    ) !!}`);

                    if(dueDiv.length > 0){
                        // dueDiv.find('input').val('');
                        if(dueDiv.find('.form-group').find('.input-group').length > 0){
                            dueDiv.find('.form-group').find('.input-group').remove();
                        }else{
                            dueDiv.find('.form-group').find('input').remove();
                        }
                        dueDiv.find('.form-group').append(`{!! Form::text('due_date[]', null, array(
                                'class'         => 'form-control integer-input',
                                'placeholder'   => 'Enter'
                            )
                        ) !!}`);
                    }

                    if(lastPerformedDiv.length > 0){
                        // lastPerformedDiv.find('input').val('');
                        if(lastPerformedDiv.find('.form-group').find('.input-group').length > 0){
                            lastPerformedDiv.find('.form-group').find('.input-group').remove();
                        }else{
                            lastPerformedDiv.find('.form-group').find('input').remove();
                        }
                        lastPerformedDiv.find('.form-group').append(`{!! Form::text('last_performed[]', null, array(
                                'class'         => 'form-control integer-input',
                                'placeholder'   => 'Enter'
                            )
                        ) !!}`);
                    }
                }
            } else if(intervalType == '3'){
                // 3=Date
                if(scheduleDiv.find('.form-group label').length > 0){
                    if(scheduleDiv.find('.form-group label').next('select').length > 0){
                        if (scheduleDiv.find('.form-group label').next('select').hasClass('select2-hidden-accessible')) {
                            scheduleDiv.find('.form-group label').next('select').select2('destroy');
                        }
                        scheduleDiv.find('.form-group label').next('select').remove();
                    }
                    if(scheduleDiv.find('.form-group label').next('input').length > 0){
                        scheduleDiv.find('.form-group label').next('input').remove();
                    }
                    scheduleDiv.find('.form-group label').after(`{!! Form::select('schedule[]', ['' => 'Select'] + getTrailerSchedules(), null, [
                            'class' => 'form-control schedule select2'
                        ]
                    ) !!}`);
                    scheduleDiv.find('.form-group .select2').each(function() {
                        var $this = $(this);
                        var placeholderText = $this.find('option:first').text();
                        $this.select2({
                            allowClear: true,
                            width : '100%',
                            placeholder: placeholderText
                        });
                        $this.find('option:first').hide();
                    });

                    if(dueDiv.length > 0){
                        // dueDiv.find('input').val('');
                        if(dueDiv.find('.form-group label').next('.input-group').length > 0){
                            dueDiv.find('.form-group label').next('.input-group').remove();
                        }else{
                            dueDiv.find('.form-group label').next('input').remove();
                        }
                        dueDiv.find('.form-group label').after(`<div class="input-group">
                            {!! Form::text('due_date[]', null, array(
                                    'class'         => 'form-control date',
                                    'placeholder'   => 'Enter'
                                )
                            ) !!}
                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                        </div>`);
                        dueDiv.find('.form-group .date').datetimepicker({
                            format: 'MM/DD/YYYY',
                            useCurrent: false
                        });
                    }

                    if(lastPerformedDiv.length > 0){
                        // lastPerformedDiv.find('input').val('');
                        if(lastPerformedDiv.find('.form-group label').next('.input-group').length > 0){
                            lastPerformedDiv.find('.form-group label').next('.input-group').remove();
                        }else{
                            lastPerformedDiv.find('.form-group label').next('input').remove();
                        }
                        lastPerformedDiv.find('.form-group label').after(`<div class="input-group">
                            {!! Form::text('last_performed[]', null, array(
                                    'class'         => 'form-control date',
                                    'placeholder'   => 'Enter'
                                )
                            ) !!}
                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                        </div>`);
                        lastPerformedDiv.find('.form-group .date').datetimepicker({
                            format: 'MM/DD/YYYY',
                            useCurrent: false
                        });
                    }
                }else{
                    if(scheduleDiv.find('.form-group').find('select').length > 0){
                        if (scheduleDiv.find('.form-group').find('select').hasClass('select2-hidden-accessible')) {
                            scheduleDiv.find('.form-group').find('select').select2('destroy');
                        }
                        scheduleDiv.find('.form-group').find('select').remove();
                    }
                    if(scheduleDiv.find('.form-group').find('input').length > 0){
                        scheduleDiv.find('.form-group').find('input').remove();
                    }
                    scheduleDiv.find('.form-group').append(`{!! Form::select('schedule[]', ['' => 'Select'] + getTrailerSchedules(), null, [
                            'class' => 'form-control schedule select2'
                        ]
                    ) !!}`);
                    scheduleDiv.find('.form-group .select2').each(function() {
                        var $this = $(this);
                        var placeholderText = $this.find('option:first').text();
                        $this.select2({
                            allowClear: true,
                            width : '100%',
                            placeholder: placeholderText
                        });
                        $this.find('option:first').hide();
                    });

                    if(dueDiv.length > 0){
                        // dueDiv.find('input').val('');
                        if(dueDiv.find('.form-group').find('.input-group').length > 0){
                            dueDiv.find('.form-group').find('.input-group').remove();
                        }else{
                            dueDiv.find('.form-group').find('input').remove();
                        }
                        dueDiv.find('.form-group').append(`<div class="input-group">
                            {!! Form::text('due_date[]', null, array(
                                    'class'         => 'form-control date',
                                    'placeholder'   => 'Enter'
                                )
                            ) !!}
                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                        </div>`);
                        dueDiv.find('.form-group .date').datetimepicker({
                            format: 'MM/DD/YYYY',
                            useCurrent: false
                        });
                    }

                    if(lastPerformedDiv.length > 0){
                        // lastPerformedDiv.find('input').val('');
                        if(lastPerformedDiv.find('.form-group').find('.input-group').length > 0){
                            lastPerformedDiv.find('.form-group').find('.input-group').remove();
                        }else{
                            lastPerformedDiv.find('.form-group').find('input').remove();
                        }
                        lastPerformedDiv.find('.form-group').append(`<div class="input-group">
                            {!! Form::text('last_performed[]', null, array(
                                    'class'         => 'form-control date',
                                    'placeholder'   => 'Enter'
                                )
                            ) !!}
                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                        </div>`);
                        lastPerformedDiv.find('.form-group .date').datetimepicker({
                            format: 'MM/DD/YYYY',
                            useCurrent: false
                        });
                    }
                }
            }
        });
        $(document).on('change', '.schedule', function (){
            var that                    = $(this);
            var schedule                = that.val();
            var dueDiv                  = that.closest('.form-group').parent('div').next('div');
            if(schedule == '1_year'){
                dueDiv.find('input').val(moment().add(1, 'years').calendar());
            }else if(schedule == '30_days'){
                dueDiv.find('input').val(moment().add(30, 'days').calendar());
            }else if(schedule == '60_days'){
                dueDiv.find('input').val(moment().add(60, 'days').calendar());
            }else if(schedule == '90_days'){
                dueDiv.find('input').val(moment().add(90, 'days').calendar());
            }else if(schedule == '120_days'){
                dueDiv.find('input').val(moment().add(120, 'days').calendar());
            }else if(schedule == '180_days'){
                dueDiv.find('input').val(moment().add(180, 'days').calendar());
            }else{
                dueDiv.find('input').val('');
            }
        });
    </script>
    <script type="text/javascript">
        $(document).on('click', '.addAdditionalPmServiceBtn', function (event){
            event.preventDefault();
            // console.log('Add More additional pm service btn');
            // return false;

            var that                    = $(this);
            that.parent().remove();

            var wrapper                 = $('#additional-pm-service-form').find('#additionalPmService');
            var lastIndex               = 0;
            var lastItem                = wrapper.find('div.row[data-last-index]:last');
            if(lastItem.attr('data-last-index') !== undefined){
                lastIndex               = parseInt(lastItem.attr('data-last-index'))+1;
            }

            $.ajax({
                type: 'GET',
                url: "{!! route('company.admin.trailer.pm-service.additional.view') !!}",
                data: { rowIndex: lastIndex },
                dataType: 'json',
                beforeSend: function() {
                    // console.log('beforeSend');
                },
                success: function(response) {
                    if(response.success){
                        var html    = response.html;
                        if(typeof html !== "undefined"){
                            $('#additional-pm-service-form #additionalPmService').append(html);
                            setTimeout(function() {
                                // Find the last appended div element within the wrapper
                                var lastDivElement = wrapper.find('div.row[data-last-index="'+lastIndex+'"]'); // .find('div.row[data-last-index]:last');
                                lastDivElement.find('.select2').each(function() {
                                    var $this = $(this);
                                    var placeholderText = $this.find('option:first').text();
                                    $this.select2({
                                        allowClear: true,
                                        width : '100%',
                                        placeholder: placeholderText
                                    });
                                    $this.find('option:first').hide();
                                });
                                lastDivElement.find('.date').datetimepicker({
                                    format: 'MM/DD/YYYY',
                                    useCurrent: false
                                });
                            }, 50);
                        }else{
                            toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    }else{
                        toastr.error(response.message, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                },
                complete: function() {
                    // console.log('complete');
                },
                error: function(jqXHR, status, exception) {
                    var error;
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, 'Error Alert', {
                        timeOut: 5000
                    });
                }
            });
        });
        $(document).on('click', '.removeMorePmServiceAdditionalRows', function (event){
            event.preventDefault();
            // console.log('Remove more additional pm service btn');
            // return false;

            var that                    = $(this);
            that.closest('div.row[data-last-index]').remove();

            var wrapper                 = $('#additional-pm-service-form').find('#additionalPmService');
            var totalExistdivLength     = wrapper.find('div.row[data-last-index]').length;
            if(totalExistdivLength == 0){
                wrapper.html('');
                $('#additional-pm-service-form #additionalPmServiceHeader').prepend('<div class="form-group mb-1"><a href="javascript:void(0);" class="addMoreBtn addAdditionalPmServiceBtn"><i class="fa fa-plus-square" aria-hidden="true"></i></a></div>');
            }else{
                // Find the last appended div element within the wrapper
                var lastDivElement      = wrapper.find('div.row[data-last-index]:last');
                if(lastDivElement.find('div:last-of-type .form-group div').length == 1){
                    lastDivElement.find('div:last-of-type .form-group').append('<div class="form-group mb-1"><a href="javascript:void(0);" class="addMoreBtn addAdditionalPmServiceBtn"><i class="fa fa-plus-square" aria-hidden="true"></i></a></div>');
                }
            }
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('#warrantyPmServiceModal').on('show.bs.modal', function () {
                // console.log('Warranty pm service profile modal show');
            });
            $('#warrantyPmServiceModal').on('hidden.bs.modal', function() {
                // console.log('Warranty pm service profile modal hide');

                $('#warrantyPmServiceModal .modal-content .modal-body').html('');
            });
        });
        $(document).on('click', '.addWarranty', function (event){
            event.preventDefault();
            // console.log('Warranty pm service profile modal html');
            // return false;

            $.ajax({
                type: 'GET',
                url: "{!! route('company.admin.trailer.pm-service.warranty.view') !!}",
                data: {},
                dataType: 'json',
                beforeSend: function() {
                    $('#warrantyPmServiceModal .modal-content .modal-body').html(`
                        <div class="loadingdiv">
                            <img src="`+loadimg+`">
                        </div>
                    `);
                    $('#warrantyPmServiceModal').modal('show');
                },
                success: function(response) {
                    if(response.success){
                        var html    = response.html;
                        if(typeof html !== "undefined"){
                            $('#warrantyPmServiceModal .modal-content .modal-body').html(html);
                            setTimeout(function() {
                                $('#warrantyPmServiceModal .select2').each(function() {
                                    var $this = $(this);
                                    var placeholderText = $this.find('option:first').text();
                                    $this.select2({
                                        allowClear: true,
                                        dropdownParent: $('#warrantyPmServiceModal'),
                                        width : '100%',
                                        placeholder: placeholderText
                                    });
                                    $this.find('option:first').hide();
                                });
                            }, 50);
                        }else{
                            toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    }else{
                        toastr.error(response.message, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                },
                complete: function() {
                    // console.log('complete');
                },
                error: function(jqXHR, status, exception) {
                    var error;
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, 'Error Alert', {
                        timeOut: 5000
                    });
                }
            });
        });
        $(document).on('click', '#warrantyPmServiceModal .addWarrantyPmServiceBtn', function (event){
            event.preventDefault();
            // console.log('Add more warranty pm profile rows');
            // return false;

            var that                    = $(this);
            var closestRow              = that.closest('div.row[data-last-index]');
            var lastIndex               = closestRow.attr('data-last-index');
            if (typeof lastIndex === "undefined") {
                return false;
            } else {
                lastIndex               = parseInt(lastIndex);
                var newIndex            = lastIndex + 1;

                // Clone the row
                var clonedRow           = closestRow.clone();

                // Update data-last-index attribute
                clonedRow.attr('data-last-index', newIndex);

                // Remove aria-describedby attribute from cloned elements
                clonedRow.find('[aria-describedby]').removeAttr('aria-describedby');

                // Remove Parsley-related attributes from the cloned elements
                clonedRow.find('[data-parsley-id]').removeAttr('data-parsley-id');

                // Remove parsley-error class from the cloned elements
                clonedRow.find('.parsley-error').removeClass('parsley-error');

                // Remove any existing error messages within the cloned row
                clonedRow.find('.parsley-errors-list').remove();

                var providerSelect      = clonedRow.find('select[name="warranty_provider[]"]');
                providerSelect.attr('data-parsley-errors-container', '#pm_service_warranty_provider_' + newIndex + '-errors');
                clonedRow.find('[id^="pm_service_warranty_provider_"]').attr('id', 'pm_service_warranty_provider_' + newIndex + '-errors');

                // Remove Select2 containers and related attributes
                clonedRow.find('.select2-container').remove();
                clonedRow.find('.select2-hidden-accessible')
                    .removeClass('select2-hidden-accessible')
                    .removeAttr('data-select2-id')
                    .removeAttr('tabindex');
                // Remove data-select2-id attribute from option elements within Select2 dropdowns
                clonedRow.find('.select2').find('option').removeAttr('data-select2-id');

                // Reset input fields to blank and select elements to have first option selected
                clonedRow.find('input').val('');
                clonedRow.find('select:not(.select2)').each(function() {
                    $(this).val($(this).find('option:first').val()).trigger('change');
                });

                // Reinitialize Select2 plugin for cloned Select elements
                clonedRow.find('select.select2').each(function() {
                    var $this = $(this);
                    var placeholderText = $this.find('option:first').text();
                    $this.select2({
                        allowClear: true,
                        dropdownParent: $('#warrantyPmServiceModal'),
                        width : '100%',
                        placeholder: placeholderText
                    });
                    $this.find('option:first').hide();
                    $(this).val(null).trigger('change');
                });

                closestRow.after(clonedRow);

                var addBtnDiv           = that.closest('div');
                addBtnDiv.html(`<a href="javascript:void(0);" class="removeMoreBtn removeMorePmServiceWarrantyRows">
                    <i class="fa fa-minus-square" aria-hidden="true"></i>
                </a>`);
            }
        });
        $(document).on('click', '.removeMorePmServiceWarrantyRows', function (event){
            event.preventDefault();
            // console.log('Remove more warranty pm profile rows');
            // return false;

            var that                    = $(this);
            if(that.closest('#warrantyPmService').length > 0){
                that.closest('div.row').remove();

                var wrapper             = $('#warranty-pm-service-form').find('#warrantyPmService');
                var totalExistdivLength = wrapper.find('.removeMorePmServiceWarrantyRows').length;
                if(totalExistdivLength == 0){
                    wrapper.html('');
                }
            }else{
                that.closest('div.row[data-last-index]').remove();
            }
        });
        $(document).on('click', '#warrantyPmServiceModal #pm-service-warranty-save', function (event){
            event.preventDefault();
            // console.log('Warranty pm service profile save');
            // return false;

            var that                    = $(this);
            var btnTxt                  = that.text();

            var form                    = $('#warrantyPmServiceModal .warranty-pm-service-modal-form');
            var parsley                 = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            parsley.validate();
            if (parsley.isValid()){
                var trailer_created_id  = $('#warranty-pm-service-form').find('.trailer_created_id').val();
                if(trailer_created_id == ''){
                    toastr.error('Oops! Something went wrong..', 'Error Alert', {
                        timeOut: 5000
                    });
                    return false;
                }

                var formData            = new FormData(form[0]);
                formData.append('trailer_created_id', trailer_created_id);

                $.ajax({
                    type: 'POST',
                    url: "{{ route('company.admin.trailer.pm-service-warranty.profile') }}",
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                    success: function(response) {
                        if (response.success) {
                            $('#warrantyHeader').html(response.pmServiceWarrantyProfileHtml);
                            $('#pm-service-warranty-profile.select2').each(function() {
                                var $this = $(this);
                                var placeholderText = $this.find('option:first').text();
                                $this.select2({
                                    allowClear: true,
                                    width : '100%',
                                    placeholder: placeholderText
                                });
                                $this.find('option:first').hide();
                            });
                            $('#pm-service-warranty-profile').val(response.new_profile_id).trigger('change');

                            var txt     = btnTxt;
                            txt         = txt.charAt(0).toUpperCase() + txt.slice(1).toLowerCase()
                            toastr.success(
                                txt+' successfully',
                                'Success Alert', {
                                    timeOut: 1000,
                                    fadeOut: 1000,
                                    onHidden: function () {
                                        $('#warranty-pm-service-form .preViewImport').trigger('click');
                                        $('#warrantyPmServiceModal').modal('hide');
                                    }
                                }
                            );
                        } else {
                            toastr.error('Something went wrong try again in a few seconds', 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        that.prop('disabled', false).html(btnTxt);
                    },
                    error: function(jqXHR, status, exception) {
                        var error;
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
                return false;
            }
        });
    </script>
    <script type="text/javascript">
        $(document).on('change', '#pm-service-warranty-profile', function (event){
            // console.log('Pm service warranty profile option change = '+$(this).val());

            $('#preViewPmServiceWarrantyProfile').html('');
            $('#warrantyPmService').html('');
            $('#warranty-pm-service-form .previewBtn').addClass('d-none');

            var optionSelected          = $("option:selected", this);
            var selectedValue           = optionSelected.val();
            var selectedText            = '';
            if(selectedValue){
                selectedText            = optionSelected.text();
            }
            var warrantyProviders       = optionSelected.attr('data-warranty-providers');
            if (warrantyProviders !== undefined && warrantyProviders != '') {
                $.ajax({
                    url: "{!! route('company.admin.trailer.pm-service.warranty.view') !!}",
                    method: "POST",
                    data: { id: selectedValue },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        // console.log('beforeSend');
                    },
                    success: function(response) {
                        if(response.success){
                            $('#preViewPmServiceWarrantyProfile').html(response.html);
                            $('#warranty-pm-service-form .previewBtn').removeClass('d-none');
                        }else{
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        // console.log('complete');
                    },
                    error: function(jqXHR, status, exception) {
                        var error;
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
        });
        $(document).on('click', '#warranty-pm-service-form .preViewImport', function (event){
            event.preventDefault();
            // console.log('Pm service warranty view import btn');
            // return false;

            $('#warranty-pm-service-form .previewBtn').addClass('d-none');
            $('#warrantyPmService').html($('#preViewPmServiceWarrantyProfile').html());
            $('#preViewPmServiceWarrantyProfile').html('');

            $('#warrantyPmService .select2').each(function() {
                var $this = $(this);
                var placeholderText = $this.find('option:first').text();
                $this.select2({
                    allowClear: true,
                    width : '100%',
                    placeholder: placeholderText
                });
                $this.find('option:first').hide();
            });
            $('#warrantyPmService .date').datetimepicker({
                format: 'MM/DD/YYYY',
                useCurrent: false
            });

            $('#warrantyPmService .schedule ').trigger('change');
        });
        $(document).on('click', '#warranty-pm-service-form .preViewCancel', function (event){
            event.preventDefault();
            // console.log('Pm service warranty view cancel btn');
            // return false;

            $('#pm-service-warranty-profile').val(null).trigger('change');
        });
    </script>
    <script type="text/javascript">
        $(document).on('change', '.warrantyTypes', function (){
            var that                    = $(this);
            var intervalType            = that.val(); // 1=Mileage, 2=Hours, 3=Date
            var scheduleDiv             = that.closest('.form-group').parent('div').next('div');
            var warrantyStartDiv        = scheduleDiv.next('div');
            var warrantyExpDiv          = warrantyStartDiv.next('div');
            if ($.inArray(intervalType, ['1', '2']) !== -1) {
                // 1=Mileage, 2=Hours
                if(scheduleDiv.find('.form-group label').length > 0){
                    if(scheduleDiv.find('.form-group label').next('select').length > 0){
                        if (scheduleDiv.find('.form-group label').next('select').hasClass('select2-hidden-accessible')) {
                            scheduleDiv.find('.form-group label').next('select').select2('destroy');
                        }
                        scheduleDiv.find('.form-group label').next('select').remove();
                    }
                    if(scheduleDiv.find('.form-group label').next('input').length > 0){
                        scheduleDiv.find('.form-group label').next('input').remove();
                    }
                    scheduleDiv.find('.form-group label').after(`{!! Form::text('term[]', null, array(
                            'class'         => 'form-control integer-input',
                            'placeholder'   => 'Enter'
                        )
                    ) !!}`);

                    if(warrantyStartDiv.length > 0){
                        // warrantyStartDiv.find('input').val('');
                        if(warrantyStartDiv.find('.form-group label').next('.input-group').length > 0){
                            warrantyStartDiv.find('.form-group label').next('.input-group').remove();
                        }else{
                            warrantyStartDiv.find('.form-group label').next('input').remove();
                        }
                        warrantyStartDiv.find('.form-group label').after(`{!! Form::text('warranty_start[]', null, array(
                                'class'         => 'form-control integer-input',
                                'placeholder'   => 'Enter'
                            )
                        ) !!}`);
                    }

                    if(warrantyExpDiv.length > 0){
                        // warrantyExpDiv.find('input').val('');
                        if(warrantyExpDiv.find('.form-group label').next('.input-group').length > 0){
                            warrantyExpDiv.find('.form-group label').next('.input-group').remove();
                        }else{
                            warrantyExpDiv.find('.form-group label').next('input').remove();
                        }
                        warrantyExpDiv.find('.form-group label').after(`{!! Form::text('warranty_exp[]', null, array(
                                'class'         => 'form-control integer-input',
                                'placeholder'   => 'Enter'
                            )
                        ) !!}`);
                    }
                }else{
                    if(scheduleDiv.find('.form-group').find('select').length > 0){
                        if (scheduleDiv.find('.form-group').find('select').hasClass('select2-hidden-accessible')) {
                            scheduleDiv.find('.form-group').find('select').select2('destroy');
                        }
                        scheduleDiv.find('.form-group').find('select').remove();
                    }
                    if(scheduleDiv.find('.form-group').find('input').length > 0){
                        scheduleDiv.find('.form-group').find('input').remove();
                    }
                    scheduleDiv.find('.form-group').append(`{!! Form::text('term[]', null, array(
                            'class'         => 'form-control integer-input',
                            'placeholder'   => 'Enter'
                        )
                    ) !!}`);

                    if(warrantyStartDiv.length > 0){
                        // warrantyStartDiv.find('input').val('');
                        if(warrantyStartDiv.find('.form-group').find('.input-group').length > 0){
                            warrantyStartDiv.find('.form-group').find('.input-group').remove();
                        }else{
                            warrantyStartDiv.find('.form-group').find('input').remove();
                        }
                        warrantyStartDiv.find('.form-group').append(`{!! Form::text('warranty_start[]', null, array(
                                'class'         => 'form-control integer-input',
                                'placeholder'   => 'Enter'
                            )
                        ) !!}`);
                    }

                    if(warrantyExpDiv.length > 0){
                        // warrantyExpDiv.find('input').val('');
                        if(warrantyExpDiv.find('.form-group').find('.input-group').length > 0){
                            warrantyExpDiv.find('.form-group').find('.input-group').remove();
                        }else{
                            warrantyExpDiv.find('.form-group').find('input').remove();
                        }
                        warrantyExpDiv.find('.form-group').append(`{!! Form::text('warranty_exp[]', null, array(
                                'class'         => 'form-control integer-input',
                                'placeholder'   => 'Enter'
                            )
                        ) !!}`);
                    }
                }
            } else {
                // 3=Date
                if(scheduleDiv.find('.form-group label').length > 0){
                    if(scheduleDiv.find('.form-group label').next('select').length > 0){
                        if (scheduleDiv.find('.form-group label').next('select').hasClass('select2-hidden-accessible')) {
                            scheduleDiv.find('.form-group label').next('select').select2('destroy');
                        }
                        scheduleDiv.find('.form-group label').next('select').remove();
                    }
                    if(scheduleDiv.find('.form-group label').next('input').length > 0){
                        scheduleDiv.find('.form-group label').next('input').remove();
                    }
                    scheduleDiv.find('.form-group label').after(`{!! Form::select('term[]', ['' => 'Select'] + getTrailerTerms(), null, [
                            'class' => 'form-control term select2'
                        ]
                    ) !!}`);
                    scheduleDiv.find('.form-group .select2').each(function() {
                        var $this = $(this);
                        var placeholderText = $this.find('option:first').text();
                        $this.select2({
                            allowClear: true,
                            width : '100%',
                            placeholder: placeholderText
                        });
                        $this.find('option:first').hide();
                    });

                    if(warrantyStartDiv.length > 0){
                        // warrantyStartDiv.find('input').val('');
                        if(warrantyStartDiv.find('.form-group label').next('.input-group').length > 0){
                            warrantyStartDiv.find('.form-group label').next('.input-group').remove();
                        }else{
                            warrantyStartDiv.find('.form-group label').next('input').remove();
                        }
                        warrantyStartDiv.find('.form-group label').after(`<div class="input-group">
                            {!! Form::text('warranty_start[]', null, array(
                                    'class'         => 'form-control date warrantyStart',
                                    'placeholder'   => 'Enter'
                                )
                            ) !!}
                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                        </div>`);
                        warrantyStartDiv.find('.form-group .date').datetimepicker({
                            format: 'MM/DD/YYYY',
                            useCurrent: false
                        });
                    }

                    if(warrantyExpDiv.length > 0){
                        // warrantyExpDiv.find('input').val('');
                        if(warrantyExpDiv.find('.form-group label').next('.input-group').length > 0){
                            warrantyExpDiv.find('.form-group label').next('.input-group').remove();
                        }else{
                            warrantyExpDiv.find('.form-group label').next('input').remove();
                        }
                        warrantyExpDiv.find('.form-group label').after(`<div class="input-group">
                            {!! Form::text('warranty_exp[]', null, array(
                                    'class'         => 'form-control date warrantyExp',
                                    'placeholder'   => 'Enter'
                                )
                            ) !!}
                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                        </div>`);
                        warrantyExpDiv.find('.form-group .date').datetimepicker({
                            format: 'MM/DD/YYYY',
                            useCurrent: false
                        });
                    }
                }else{
                    if(scheduleDiv.find('.form-group').find('select').length > 0){
                        if (scheduleDiv.find('.form-group').find('select').hasClass('select2-hidden-accessible')) {
                            scheduleDiv.find('.form-group').find('select').select2('destroy');
                        }
                        scheduleDiv.find('.form-group').find('select').remove();
                    }
                    if(scheduleDiv.find('.form-group').find('input').length > 0){
                        scheduleDiv.find('.form-group').find('input').remove();
                    }
                    scheduleDiv.find('.form-group').append(`{!! Form::select('term[]', ['' => 'Select'] + getTrailerTerms(), null, [
                            'class' => 'form-control term select2'
                        ]
                    ) !!}`);
                    scheduleDiv.find('.form-group .select2').each(function() {
                        var $this = $(this);
                        var placeholderText = $this.find('option:first').text();
                        $this.select2({
                            allowClear: true,
                            width : '100%',
                            placeholder: placeholderText
                        });
                        $this.find('option:first').hide();
                    });

                    if(warrantyStartDiv.length > 0){
                        // warrantyStartDiv.find('input').val('');
                        if(warrantyStartDiv.find('.form-group').find('.input-group').length > 0){
                            warrantyStartDiv.find('.form-group').find('.input-group').remove();
                        }else{
                            warrantyStartDiv.find('.form-group').find('input').remove();
                        }
                        warrantyStartDiv.find('.form-group').append(`<div class="input-group">
                            {!! Form::text('warranty_start[]', null, array(
                                    'class' => 'form-control date warrantyStart',
                                    'placeholder' => 'Enter'
                                )
                            ) !!}<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                        </div>`);
                        warrantyStartDiv.find('.form-group .date').datetimepicker({
                            format: 'MM/DD/YYYY',
                            useCurrent: false
                        });
                    }

                    if(warrantyExpDiv.length > 0){
                        // warrantyExpDiv.find('input').val('');
                        if(warrantyExpDiv.find('.form-group').find('.input-group').length > 0){
                            warrantyExpDiv.find('.form-group').find('.input-group').remove();
                        }else{
                            warrantyExpDiv.find('.form-group').find('input').remove();
                        }
                        warrantyExpDiv.find('.form-group').append(`<div class="input-group">
                            {!! Form::text('warranty_exp[]', null, array(
                                    'class'         => 'form-control date warrantyExp',
                                    'placeholder'   => 'Enter'
                                )
                            ) !!}
                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                        </div>`);
                        warrantyExpDiv.find('.form-group .date').datetimepicker({
                            format: 'MM/DD/YYYY',
                            useCurrent: false
                        });
                    }
                }
            }
        });
        $(document).on('change', '.term', function (){
            $(this).closest('.row').find('.warrantyStart').val('').data("DateTimePicker").clear();
            $(this).closest('.row').find('.warrantyExp').val('').data("DateTimePicker").clear();

            if($(this).find('option:selected').val() != "" && $(this).closest('.row').find('.warrantyStart').val() != ""){
                $(this).closest('.row').find('.warrantyStart').trigger('dp.change');
            }
        });
        $(document).on('dp.change', '.warrantyStart', function (){
            if($(this).closest('.row').find('.warrantyTypes option:selected').val() == 3){
                let schedule        = $(this).closest('.row').find('.term option:selected').val();
                let warrantyStart   = $(this).val();
                if(schedule == '30_days' && warrantyStart != ''){
                    $(this).closest('.row').find('.warrantyExp').val(moment(warrantyStart).add(30, 'days').format('MM/DD/YYYY'));
                }else if(schedule == '60_days'&& warrantyStart != ''){
                    $(this).closest('.row').find('.warrantyExp').val(moment(warrantyStart).add(60, 'days').format('MM/DD/YYYY'));
                }else if(schedule == '90_days'&& warrantyStart != ''){
                    $(this).closest('.row').find('.warrantyExp').val(moment(warrantyStart).add(90, 'days').format('MM/DD/YYYY'));
                }else if(schedule == '120_days'&& warrantyStart != ''){
                    $(this).closest('.row').find('.warrantyExp').val(moment(warrantyStart).add(120, 'days').format('MM/DD/YYYY'));
                }else if(schedule == '180_days'&& warrantyStart != ''){
                    $(this).closest('.row').find('.warrantyExp').val(moment(warrantyStart).add(180, 'days').format('MM/DD/YYYY'));
                }else if(schedule == '1_year'&& warrantyStart != ''){
                    $(this).closest('.row').find('.warrantyExp').val(moment(warrantyStart).add(1, 'years').format('MM/DD/YYYY'));
                }else if(schedule == '2_year'&& warrantyStart != ''){
                    $(this).closest('.row').find('.warrantyExp').val(moment(warrantyStart).add(2, 'years').format('MM/DD/YYYY'));
                }else if(schedule == '3_year'&& warrantyStart != ''){
                    $(this).closest('.row').find('.warrantyExp').val(moment(warrantyStart).add(3, 'years').format('MM/DD/YYYY'));
                }else if(schedule == '4_year'&& warrantyStart != ''){
                    $(this).closest('.row').find('.warrantyExp').val(moment(warrantyStart).add(4, 'years').format('MM/DD/YYYY'));
                }else if(schedule == '5_year'&& warrantyStart != ''){
                    $(this).closest('.row').find('.warrantyExp').val(moment(warrantyStart).add(5, 'years').format('MM/DD/YYYY'));
                }else{
                    $(this).closest('.row').find('.warrantyExp').val('');
                }
            }
        });
    </script>
    <script type="text/javascript">
        $(document).on('click', '.pm-service-save', function (event){
            event.preventDefault();
            // console.log('PM service save');
            // return false;

            var that                            = $(this);
            var isSaveAndClose                  = that.attr('data-save-close');

            var isError                         = 0;
            var serviceType                     = [];
            $('#pm-service-profile-form [name="service_type[]"]').each(function (i){
                if($.inArray($(this).find('option:selected').val(), serviceType) === -1) {
                    serviceType.push($(this).find('option:selected').val());
                }else{
                    isError                     = 1;
                    return false;
                }
            });

            $('#additional-pm-service-form [name="service_type[]"]').each(function (i){
                if($.inArray($(this).find('option:selected').val(), serviceType) === -1) {
                    serviceType.push($(this).find('option:selected').val());
                }else{
                    isError                     = 1;
                    return false;
                }
            });

            if(isError == 1){
                toastr.error('Service Type select must be different.', 'Error Alert', {
                    timeOut: 5000
                });
                return false;
            }else{
                isError                         = 0;
            }

            // Combine FormData objects
            var combineData                     = new FormData();

            var form1                           = $('#pm-service-profile-form');
            var pm_service_profile              = form1.find('#pm-service-profile option:selected').val();
            if(pm_service_profile != ''){
                var formData1                   = new FormData(form1[0]);

                // Append data from formData1 with a prefix
                for (var pair of formData1.entries()) {
                    combineData.append('form1_' + pair[0], pair[1]);
                }
            }

            var form2                           = $('#additional-pm-service-form');
            var formData2                       = new FormData(form2[0]);

            // Append data from formData2 with a prefix
            for (var pair of formData2.entries()) {
                combineData.append('form2_' + pair[0], pair[1]);
            }

            var form3                           = $('#warranty-pm-service-form');
            var pm_service_warranty_profile     = form3.find('#pm-service-warranty-profile option:selected').val();
            if(pm_service_warranty_profile != ''){
                var formData3                   = new FormData(form3[0]);

                // Append data from formData3 with a prefix
                for (var pair of formData3.entries()) {
                    combineData.append('form3_' + pair[0], pair[1]);
                }
            }

            var status                          = $('#status').val(); // Get the value of #status input
            // Append status to combinedFormData
            combineData.append('status', status);
            combineData.append('in_service_date', $('#common-service-form #in_service_date').val());

            $.ajax({
                url: "{!! route('company.admin.trailer.save.pm-service.info') !!}",
                type: 'POST',
                data: combineData,
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                cache : false,
                processData: false,
                contentType: false,
                beforeSend: function() {
                    loader();
                },
                success: function(response) {
                    if(response.success){
                        $('.trailer_created_id').val(response.trailer_created_id);

                        toastr.success(
                            response.message,
                            'Success Alert', {
                                timeOut: 1000,
                                fadeOut: 1000,
                                onHidden: function () {
                                    if(isSaveAndClose == '1'){
                                        nextStep();
                                    } else {
                                        window.location.href = "{{ route('company.admin.trailers.index')}}";
                                    }
                                }
                            }
                        );
                    }else{
                        toastr.error(response.message, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                },
                complete: function() {
                    Swal.close();
                },
                error: function(jqXHR, status, exception) {
                    var error;
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, 'Error Alert', {
                        timeOut: 5000
                    });
                }
            });
            return false;
        });
    </script>
    <!-- /********************* PM Maintenance & Service - END *********************/ -->
    <!-- /********************* Tools, Equipment & Accessories - START *********************/ -->
    <script type="text/javascript">
        $(document).ready(function() {
            $('#equipmentProfileModal').on('show.bs.modal', function () {
                // console.log('Equipment modal show');
            });
            $('#equipmentProfileModal').on('hidden.bs.modal', function() {
                // console.log('Equipment modal hide');

                $('#equipmentProfileModal .modal-content .modal-body').html('');
            });
        });
        $(document).on('click', '#getEquipmentProfileModal', function (event){
            event.preventDefault();
            // console.log('Equipment profile modal html');
            // return false;

            $.ajax({
                type: 'GET',
                url: "{!! route('company.admin.trailer.equipment.profile.view') !!}",
                data: {},
                dataType: 'json',
                beforeSend: function() {
                    $('#equipmentProfileModal .modal-content .modal-body').html(`
                        <div class="loadingdiv">
                            <img src="`+loadimg+`">
                        </div>
                    `);
                    $('#equipmentProfileModal').modal('show');
                },
                success: function(response) {
                    if(response.success){
                        var html    = response.html;
                        if(typeof html !== "undefined"){
                            $('#equipmentProfileModal .modal-content .modal-body').html(html);
                            setTimeout(function() {
                                $('#equipmentProfileModal .select2').each(function() {
                                    var $this = $(this);
                                    var placeholderText = $this.find('option:first').text();
                                    $this.select2({
                                        allowClear: true,
                                        dropdownParent: $('#equipmentProfileModal'),
                                        width : '100%',
                                        placeholder: placeholderText
                                    });
                                    $this.find('option:first').hide();
                                });
                            }, 50);
                        }else{
                            toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    }else{
                        toastr.error(response.message, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                },
                complete: function() {
                    // console.log('complete');
                },
                error: function(jqXHR, status, exception) {
                    var error;
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, 'Error Alert', {
                        timeOut: 5000
                    });
                }
            });
        });
        $(document).on('click', '#equipmentProfileModal .addMoreEquipmentProfileRows', function (event){
            event.preventDefault();
            // console.log('Add more equipment profile rows');
            // return false;

            var that                    = $(this);
            var closestRow              = that.closest('div.row[data-last-index]');
            var lastIndex               = closestRow.attr('data-last-index');
            if (typeof lastIndex === "undefined") {
                return false;
            } else {
                lastIndex               = parseInt(lastIndex);
                var newIndex            = lastIndex + 1;

                // Clone the row
                var clonedRow           = closestRow.clone();

                // Update data-last-index attribute
                clonedRow.attr('data-last-index', newIndex);

                // Remove aria-describedby attribute from cloned elements
                clonedRow.find('[aria-describedby]').removeAttr('aria-describedby');

                // Remove Parsley-related attributes from the cloned elements
                clonedRow.find('[data-parsley-id]').removeAttr('data-parsley-id');

                // Remove parsley-error class from the cloned elements
                clonedRow.find('.parsley-error').removeClass('parsley-error');

                // Remove any existing error messages within the cloned row
                clonedRow.find('.parsley-errors-list').remove();

                var titleSelect         = clonedRow.find('select[name="titles[]"]');
                titleSelect.attr('data-parsley-errors-container', '#equipment_profile_titles_' + newIndex + '-errors');
                clonedRow.find('[id^="equipment_profile_titles_"]').attr('id', 'equipment_profile_titles_' + newIndex + '-errors');

                // Remove Select2 containers and related attributes
                clonedRow.find('.select2-container').remove();
                clonedRow.find('.select2-hidden-accessible')
                    .removeClass('select2-hidden-accessible')
                    .removeAttr('data-select2-id')
                    .removeAttr('tabindex');
                // Remove data-select2-id attribute from option elements within Select2 dropdowns
                clonedRow.find('.select2').find('option').removeAttr('data-select2-id');

                // Reset input fields to blank and select elements to have first option selected
                clonedRow.find('input').val('');
                clonedRow.find('select:not(.select2)').each(function() {
                    $(this).val($(this).find('option:first').val()).trigger('change');
                });

                // Reinitialize Select2 plugin for cloned Select elements
                clonedRow.find('select.select2').each(function() {
                    var $this = $(this);
                    var placeholderText = $this.find('option:first').text();
                    $this.select2({
                        allowClear: true,
                        dropdownParent: $('#equipmentProfileModal'),
                        width : '100%',
                        placeholder: placeholderText
                    });
                    $this.find('option:first').hide();

                    $(this).val(null).trigger('change');
                });

                closestRow.after(clonedRow);

                var addBtnDiv           = that.closest('div');
                addBtnDiv.html(`<a href="javascript:void(0);" class="removeMoreBtn removeMoreEquipmentProfileRows">
                    <i class="fa fa-minus-square" aria-hidden="true"></i>
                </a>`);
            }
        });
        $(document).on('click', '.removeMoreEquipmentProfileRows', function (event){
            event.preventDefault();
            // console.log('Remove equipment profile rows');
            // return false;

            var that                    = $(this);
            if(that.closest('#equipmentProfile').length > 0){
                that.closest('div.row').remove();

                var wrapper             = $('#equipment-profile-form').find('#equipmentProfile');
                var totalExistdivLength = wrapper.find('.removeMoreEquipmentProfileRows').length;
                if(totalExistdivLength == 0){
                    wrapper.html('');
                }
            }else{
                that.closest('div.row[data-last-index]').remove();
            }
        });
        $(document).on('click', '#equipmentProfileModal #equipment-profile-save', function (event){
            event.preventDefault();
            // console.log('Equipment profile save');
            // return false;

            var that                    = $(this);
            var btnTxt                  = that.text();

            var form                    = $('#equipmentProfileModal .equipment-profile-modal-form');
            var parsley                 = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            parsley.validate();
            if (parsley.isValid()){
                var trailer_created_id  = $('#equipment-profile-form').find('.trailer_created_id').val();
                if(trailer_created_id == ''){
                    toastr.error('Oops! Something went wrong..', 'Error Alert', {
                        timeOut: 5000
                    });
                    return false;
                }

                var formData            = new FormData(form[0]);
                formData.append('trailer_created_id', trailer_created_id);

                $.ajax({
                    type: 'POST',
                    url: "{{ route('company.admin.trailer.equipment.profile') }}",
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                    success: function(response) {
                        if (response.success) {
                            $('#equipment-profile').html(response.equipmentProfileHtml);
                            $('#equipment-profile').val(response.new_profile_id).trigger('change');

                            var txt     = btnTxt;
                            txt         = txt.charAt(0).toUpperCase() + txt.slice(1).toLowerCase()
                            toastr.success(
                                txt+' successfully',
                                'Success Alert', {
                                    timeOut: 1000,
                                    fadeOut: 1000,
                                    onHidden: function () {
                                        $('#equipment-profile-form .preViewImport').trigger('click');
                                        $('#equipmentProfileModal').modal('hide');
                                    }
                                }
                            );
                        } else {
                            toastr.error('Something went wrong try again in a few seconds', 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        that.prop('disabled', false).html(btnTxt);
                    },
                    error: function(jqXHR, status, exception) {
                        var error;
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
                return false;
            }
        });
        $(document).on('click', '#equipmentProfileModal #equipment-profile-cancel', function (event){
            event.preventDefault();
            // console.log('Equipment profile cancel');
            // return false;
        });
    </script>
    <script type="text/javascript">
        $(document).on('change', '#equipment-profile', function (event){
            // console.log('Equipment profile option change = '+$(this).val());

            $('#preViewEquipmentProfile').html('');
            $('#equipmentProfile').html('');
            $('#equipment-profile-form .previewBtn').addClass('d-none');

            var optionSelected          = $("option:selected", this);
            var selectedValue           = optionSelected.val();
            var selectedText            = '';
            if(selectedValue){
                selectedText            = optionSelected.text();
            }
            var equipmentTitles         = optionSelected.attr('data-equipment-titles');
            if (equipmentTitles !== undefined && equipmentTitles != '') {
                $.ajax({
                    url: "{!! route('company.admin.trailer.equipment.profile.view') !!}",
                    method: "POST",
                    data: { id: selectedValue },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        // console.log('beforeSend');
                    },
                    success: function(response) {
                        if(response.success){
                            $('#preViewEquipmentProfile').html(response.html);
                            $('#equipment-profile-form .previewBtn').removeClass('d-none');
                        }else{
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        // console.log('complete');
                    },
                    error: function(jqXHR, status, exception) {
                        var error;
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
        });
        $(document).on('click', '#equipment-profile-form .preViewImport', function (event){
            event.preventDefault();
            // console.log('Equipment view import btn');
            // return false;

            $('#equipment-profile-form .previewBtn').addClass('d-none');
            $('#equipmentProfile').html($('#preViewEquipmentProfile').html());
            $('#preViewEquipmentProfile').html('');

            $('#equipmentProfile .select2').each(function() {
                var $this = $(this);
                var placeholderText = $this.find('option:first').text();
                $this.select2({
                    allowClear: true,
                    width : '100%',
                    placeholder: placeholderText
                });
                $this.find('option:first').hide();
            });
            $('#equipmentProfile .date').datetimepicker({
                format: 'MM/DD/YYYY',
                useCurrent: false
            });
        });
        $(document).on('click', '#equipment-profile-form .preViewCancel', function (event){
            event.preventDefault();
            // console.log('Equipment view cancel btn');
            // return false;

            $('#equipment-profile').val(null).trigger('change');
        });
    </script>
    <script type="text/javascript">
        $(document).on('click', '.addAdditionalEquipmentBtn', function (event){
            event.preventDefault();
            // console.log('Add More additional equipment btn');
            // return false;

            var that                    = $(this);
            that.parent().remove();

            var wrapper                 = $('#additional-equipment-form').find('#additionalEquipment');
            var lastIndex               = 0;
            var lastItem                = wrapper.find('div.row[data-last-index]:last');
            if(lastItem.attr('data-last-index') !== undefined){
                lastIndex               = parseInt(lastItem.attr('data-last-index'))+1;
            }

            $.ajax({
                type: 'GET',
                url: "{!! route('company.admin.trailer.equipment.additional.view') !!}",
                data: { rowIndex: lastIndex },
                dataType: 'json',
                beforeSend: function() {
                    // console.log('beforeSend');
                },
                success: function(response) {
                    if(response.success){
                        var html    = response.html;
                        if(typeof html !== "undefined"){
                            $('#additional-equipment-form #additionalEquipment').append(html);
                            setTimeout(function() {
                                // Find the last appended div element within the wrapper
                                var lastDivElement = wrapper.find('div.row[data-last-index="'+lastIndex+'"]'); // .find('div.row[data-last-index]:last');
                                lastDivElement.find('.select2').each(function() {
                                    var $this = $(this);
                                    var placeholderText = $this.find('option:first').text();
                                    $this.select2({
                                        allowClear: true,
                                        width : '100%',
                                        placeholder: placeholderText
                                    });
                                    $this.find('option:first').hide();
                                });
                                lastDivElement.find('.date').datetimepicker({
                                    format: 'MM/DD/YYYY',
                                    useCurrent: false
                                });
                            }, 50);
                        }else{
                            toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    }else{
                        toastr.error(response.message, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                },
                complete: function() {
                    // console.log('complete');
                },
                error: function(jqXHR, status, exception) {
                    var error;
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, 'Error Alert', {
                        timeOut: 5000
                    });
                }
            });
        });
        $(document).on('click', '.removeMoreEquipmentAdditionalRows', function (event){
            event.preventDefault();
            // console.log('Remove more additional equipment btn');
            // return false;

            var that                    = $(this);
            that.closest('div.row[data-last-index]').remove();

            var wrapper                 = $('#additional-equipment-form').find('#additionalEquipment');
            var totalExistdivLength     = wrapper.find('div.row[data-last-index]').length;
            if(totalExistdivLength == 0){
                wrapper.html('');
                $('#additional-equipment-form #additionalEquipmentHeader').prepend('<div class="form-group mb-1"><a href="javascript:void(0);" class="addMoreBtn addAdditionalEquipmentBtn"><i class="fa fa-plus-square" aria-hidden="true"></i></a></div>');
            }else{
                // Find the last appended div element within the wrapper
                var lastDivElement      = wrapper.find('div.row[data-last-index]:last');
                if(lastDivElement.find('div:last-of-type .form-group div').length == 1){
                    lastDivElement.find('div:last-of-type .form-group').append('<div class="form-group mb-1"><a href="javascript:void(0);" class="addMoreBtn addAdditionalEquipmentBtn"><i class="fa fa-plus-square" aria-hidden="true"></i></a></div>');
                }
            }
        });
    </script>
    <script type="text/javascript">
        $(document).on('click', '.equipment-save', function (event){
            event.preventDefault();
            // console.log('Equipment save');
            // return false;

            var that                            = $(this);
            var isSaveAndClose                  = that.attr('data-save-close');

            // Combine FormData objects
            var combineData                     = new FormData();

            var form1                           = $('#equipment-profile-form');
            var equipment_profile               = form1.find('#equipment-profile option:selected').val();
            if(equipment_profile != ''){
                var formData1                   = new FormData(form1[0]);

                // Append data from formData1 with a prefix
                for (var pair of formData1.entries()) {
                    combineData.append('form1_' + pair[0], pair[1]);
                }
            }

            var form2                           = $('#additional-equipment-form');
            var formData2                       = new FormData(form2[0]);

            // Append data from formData2 with a prefix
            for (var pair of formData2.entries()) {
                combineData.append('form2_' + pair[0], pair[1]);
            }

            var status                          = $('#status').val(); // Get the value of #status input

            // Append status to combinedFormData
            combineData.append('status', status);

            $.ajax({
                url: "{!! route('company.admin.trailer.save.equipment.info') !!}",
                type: 'POST',
                data: combineData,
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                cache : false,
                processData: false,
                contentType: false,
                beforeSend: function() {
                    loader();
                },
                success: function(response) {
                    if(response.success){
                        $('.trailer_created_id').val(response.trailer_created_id);

                        toastr.success(
                            response.message,
                            'Success Alert', {
                                timeOut: 1000,
                                fadeOut: 1000,
                                onHidden: function () {
                                    if(isSaveAndClose == '1'){
                                        nextStep();
                                    } else {
                                        window.location.href = "{{ route('company.admin.trailers.index')}}";
                                    }
                                }
                            }
                        );
                    }else{
                        toastr.error(response.message, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                },
                complete: function() {
                    Swal.close();
                },
                error: function(jqXHR, status, exception) {
                    var error;
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, 'Error Alert', {
                        timeOut: 5000
                    });
                }
            });
        });
    </script>
    <!-- /********************* Tools, Equipment & Accessories - END *********************/ -->
    <!-- /********************* On Board Documents - START *********************/ -->
    <script type="text/javascript">
        $(document).ready(function() {
            $('#documentProfileModal').on('show.bs.modal', function () {
                // console.log('Document modal show');
            });
            $('#documentProfileModal').on('hidden.bs.modal', function() {
                // console.log('Document modal hide');

                $('#documentProfileModal .modal-content .modal-body').html('');
            });
        });
        $(document).on('click', '#getDocumentProfileModal', function (event){
            event.preventDefault();
            // console.log('Document profile modal html');
            // return false;

            $.ajax({
                type: 'GET',
                url: "{!! route('company.admin.trailer.document.profile.view') !!}",
                data: {},
                dataType: 'json',
                beforeSend: function() {
                    $('#documentProfileModal .modal-content .modal-body').html(`
                        <div class="loadingdiv">
                            <img src="`+loadimg+`">
                        </div>
                    `);
                    $('#documentProfileModal').modal('show');
                },
                success: function(response) {
                    if(response.success){
                        var html    = response.html;
                        if(typeof html !== "undefined"){
                            $('#documentProfileModal .modal-content .modal-body').html(html);
                            setTimeout(function() {
                                $('#documentProfileModal .select2').each(function() {
                                    var $this = $(this);
                                    var placeholderText = $this.find('option:first').text();
                                    $this.select2({
                                        allowClear: true,
                                        dropdownParent: $('#documentProfileModal'),
                                        width : '100%',
                                        placeholder: placeholderText
                                    });
                                    $this.find('option:first').hide();
                                });
                            }, 50);
                        }else{
                            toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    }else{
                        toastr.error(response.message, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                },
                complete: function() {
                    // console.log('complete');
                },
                error: function(jqXHR, status, exception) {
                    var error;
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, 'Error Alert', {
                        timeOut: 5000
                    });
                }
            });
        });
        $(document).on('click', '#documentProfileModal .addMoreDocumentProfileRows', function (event){
            event.preventDefault();
            // console.log('Add more document profile rows');
            // return false;

            var that                    = $(this);
            var closestRow              = that.closest('div.row[data-last-index]');
            var lastIndex               = closestRow.attr('data-last-index');
            if (typeof lastIndex === "undefined") {
                return false;
            } else {
                lastIndex               = parseInt(lastIndex);
                var newIndex            = lastIndex + 1;

                // Clone the row
                var clonedRow           = closestRow.clone();

                // Update data-last-index attribute
                clonedRow.attr('data-last-index', newIndex);

                // Remove aria-describedby attribute from cloned elements
                clonedRow.find('[aria-describedby]').removeAttr('aria-describedby');

                // Remove Parsley-related attributes from the cloned elements
                clonedRow.find('[data-parsley-id]').removeAttr('data-parsley-id');

                // Remove parsley-error class from the cloned elements
                clonedRow.find('.parsley-error').removeClass('parsley-error');

                // Remove any existing error messages within the cloned row
                clonedRow.find('.parsley-errors-list').remove();

                var titleSelect         = clonedRow.find('select[name="titles[]"]');
                titleSelect.attr('data-parsley-errors-container', '#document_profile_titles_' + newIndex + '-errors');
                clonedRow.find('[id^="document_profile_titles_"]').attr('id', 'document_profile_titles_' + newIndex + '-errors');

                // Remove Select2 containers and related attributes
                clonedRow.find('.select2-container').remove();
                clonedRow.find('.select2-hidden-accessible')
                    .removeClass('select2-hidden-accessible')
                    .removeAttr('data-select2-id')
                    .removeAttr('tabindex');
                // Remove data-select2-id attribute from option elements within Select2 dropdowns
                clonedRow.find('.select2').find('option').removeAttr('data-select2-id');

                // Reset input fields to blank and select elements to have first option selected
                clonedRow.find('input').val('');
                clonedRow.find('select:not(.select2)').each(function() {
                    $(this).val($(this).find('option:first').val()).trigger('change');
                });

                // Reinitialize Select2 plugin for cloned Select elements
                clonedRow.find('select.select2').each(function() {
                    var $this = $(this);
                    var placeholderText = $this.find('option:first').text();
                    $this.select2({
                        allowClear: true,
                        dropdownParent: $('#documentProfileModal'),
                        width : '100%',
                        placeholder: placeholderText
                    });
                    $this.find('option:first').hide();

                    $(this).val(null).trigger('change');
                });

                closestRow.after(clonedRow);

                var addBtnDiv           = that.closest('div');
                addBtnDiv.html(`<a href="javascript:void(0);" class="removeMoreBtn removeMoreDocumentProfileRows">
                    <i class="fa fa-minus-square" aria-hidden="true"></i>
                </a>`);
            }
        });
        $(document).on('click', '.removeMoreDocumentProfileRows', function (event){
            event.preventDefault();
            // console.log('Remove document profile rows');
            // return false;

            var that                    = $(this);
            if(that.closest('#documentProfile').length > 0){
                that.closest('div.row').remove();

                var wrapper             = $('#document-profile-form').find('#documentProfile');
                var totalExistdivLength = wrapper.find('.removeMoreDocumentProfileRows').length;
                if(totalExistdivLength == 0){
                    wrapper.html('');
                }
            }else{
                that.closest('div.row[data-last-index]').remove();
            }
        });
        $(document).on('click', '#documentProfileModal #document-profile-save', function (event){
            event.preventDefault();
            // console.log('Document profile save');
            // return false;

            var that                    = $(this);
            var btnTxt                  = that.text();

            var form                    = $('#documentProfileModal .document-profile-modal-form');
            var parsley                 = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            parsley.validate();
            if (parsley.isValid()){
                var trailer_created_id  = $('#document-profile-form').find('.trailer_created_id').val();
                if(trailer_created_id == ''){
                    toastr.error('Oops! Something went wrong..', 'Error Alert', {
                        timeOut: 5000
                    });
                    return false;
                }

                var formData            = new FormData(form[0]);
                formData.append('trailer_created_id', trailer_created_id);

                $.ajax({
                    type: 'POST',
                    url: "{{ route('company.admin.trailer.document.profile') }}",
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                    success: function(response) {
                        if (response.success) {
                            $("#document-profile").html(response.documentProfileHtml);
                            $('#document-profile').val(response.new_profile_id).trigger('change');

                            var txt     = btnTxt;
                            txt         = txt.charAt(0).toUpperCase() + txt.slice(1).toLowerCase()
                            toastr.success(
                                txt+' successfully',
                                'Success Alert', {
                                    timeOut: 1000,
                                    fadeOut: 1000,
                                    onHidden: function () {
                                        $('#document-profile-form .preViewImport').trigger('click');
                                        $('#documentProfileModal').modal('hide');
                                    }
                                }
                            );
                        } else {
                            toastr.error('Something went wrong try again in a few seconds', 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        that.prop('disabled', false).html(btnTxt);
                    },
                    error: function(jqXHR, status, exception) {
                        var error;
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
                return false;
            }
        });
        $(document).on('click', '#documentProfileModal #document-profile-cancel', function (event){
            event.preventDefault();
            // console.log('Document profile cancel');
            // return false;
        });
    </script>
    <script type="text/javascript">
        $(document).on('change', '#document-profile', function (event){
            // console.log('Document profile option change = '+$(this).val());

            $('#preViewDocumentProfile').html('');
            $('#documentProfile').html('');
            $('#document-profile-form .previewBtn').addClass('d-none');

            var optionSelected          = $("option:selected", this);
            var selectedValue           = optionSelected.val();
            var selectedText            = '';
            if(selectedValue){
                selectedText            = optionSelected.text();
            }
            var documentTitles          = optionSelected.attr('data-document-titles');
            if (documentTitles !== undefined && documentTitles != '') {
                $.ajax({
                    url: "{!! route('company.admin.trailer.document.profile.view') !!}",
                    method: "POST",
                    data: { id: selectedValue },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        // console.log('beforeSend');
                    },
                    success: function(response) {
                        if(response.success){
                            $('#preViewDocumentProfile').html(response.html);
                            $('#document-profile-form .previewBtn').removeClass('d-none');
                        }else{
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        // console.log('complete');
                    },
                    error: function(jqXHR, status, exception) {
                        var error;
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
        });
        $(document).on('click', '#document-profile-form .preViewImport', function (event){
            event.preventDefault();
            // console.log('Document view import btn');
            // return false;

            $('#document-profile-form .previewBtn').addClass('d-none');
            $('#documentProfile').html($('#preViewDocumentProfile').html());
            $('#preViewDocumentProfile').html('');

            $('#documentProfile .select2').each(function() {
                var $this = $(this);
                var placeholderText = $this.find('option:first').text();
                if(typeof $this.attr('data-no-search') !== 'undefined' && $this.attr('data-no-search') === 'true'){
                    $this.select2({
                        width : '100%',
                        placeholder: placeholderText,
                        minimumResultsForSearch: -1
                    });
                }else{
                    $this.select2({
                        allowClear: true,
                        width : '100%',
                        placeholder: placeholderText
                    });
                }
                $this.find('option:first').hide();
            });
            $('#documentProfile .date').datetimepicker({
                format: 'MM/DD/YYYY',
                useCurrent: false
            });
        });
        $(document).on('click', '#document-profile-form .preViewCancel', function (event){
            event.preventDefault();
            // console.log('Document view cancel btn');
            // return false;

            $('#document-profile').val(null).trigger('change');
        });
    </script>
    <script type="text/javascript">
        $(document).on('click', '.btn-copy', function (event){
            event.preventDefault();
            // console.log('Click on copy btn');
            // return false;

            var that = $(this);
            if(that.hasClass('btn-blueBr')){
                that.removeClass('btn-blueBr').addClass('btn-blue');
                that.closest('div').find('.btn-original').removeClass('btn-blue').addClass('btn-blueBr');
                that.closest('div').find('.docType').val('1');
            }
        });
        $(document).on('click', '.btn-original', function (event){
            event.preventDefault();
            // console.log('Click on original btn');
            // return false;

            var that = $(this);
            if(that.hasClass('btn-blueBr')){
                that.removeClass('btn-blueBr').addClass('btn-blue');
                that.closest('div').find('.btn-copy').removeClass('btn-blue').addClass('btn-blueBr');
                that.closest('div').find('.docType').val('2');
            }
        });
    </script>
    <script type="text/javascript">
        $(document).on('click', '.addAdditionalDocumentBtn', function (event){
            event.preventDefault();
            // console.log('Add More additional document btn');
            // return false;

            var that                    = $(this);
            that.parent().remove();

            var wrapper                 = $('#additional-document-form').find('#additionalDocument');
            var lastIndex               = 0;
            var lastItem                = wrapper.find('div.row[data-last-index]:last');
            if(lastItem.attr('data-last-index') !== undefined){
                lastIndex               = parseInt(lastItem.attr('data-last-index'))+1;
            }

            $.ajax({
                type: 'GET',
                url: "{!! route('company.admin.trailer.document.additional.view') !!}",
                data: {
                    dummyId: "{{ $trailer->id ?? $dummy_id }}",
                    rowIndex: lastIndex
                },
                dataType: 'json',
                beforeSend: function() {
                    // console.log('beforeSend');
                },
                success: function(response) {
                    if(response.success){
                        var html    = response.html;
                        if(typeof html !== "undefined"){
                            $('#additional-document-form #additionalDocument').append(html);
                            setTimeout(function() {
                                // Find the last appended div element within the wrapper
                                var lastDivElement = wrapper.find('div.row[data-last-index="'+lastIndex+'"]'); // .find('div.row[data-last-index]:last');
                                lastDivElement.find('.select2').each(function() {
                                    var $this = $(this);
                                    var placeholderText = $this.find('option:first').text();
                                    if(typeof $this.attr('data-no-search') !== 'undefined' && $this.attr('data-no-search') === 'true'){
                                        $this.select2({
                                            width : '100%',
                                            placeholder: placeholderText,
                                            minimumResultsForSearch: -1
                                        });
                                    }else{
                                        $this.select2({
                                            allowClear: true,
                                            width : '100%',
                                            placeholder: placeholderText
                                        });
                                    }
                                    $this.find('option:first').hide();
                                });
                                lastDivElement.find('.date').datetimepicker({
                                    format: 'MM/DD/YYYY',
                                    useCurrent: false
                                });
                            }, 50);
                        }else{
                            toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    }else{
                        toastr.error(response.message, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                },
                complete: function() {
                    // console.log('complete');
                },
                error: function(jqXHR, status, exception) {
                    var error;
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, 'Error Alert', {
                        timeOut: 5000
                    });
                }
            });
        });
        $(document).on('click', '.removeMoreDocumentAdditionalRows', function (event){
            event.preventDefault();
            // console.log('Remove more additional document btn');
            // return false;

            var that                    = $(this);
            that.closest('div.row[data-last-index]').remove();

            var wrapper                 = $('#additional-document-form').find('#additionalDocument');
            var totalExistdivLength     = wrapper.find('div.row[data-last-index]').length;
            if(totalExistdivLength == 0){
                wrapper.html('');
                $('#additional-document-form #additionalDocumentHeader').prepend('<div><a href="javascript:void(0);" class="addMoreBtn addAdditionalDocumentBtn"><i class="fa fa-plus-square" aria-hidden="true"></i></a></div>');
            }else{
                // Find the last appended div element within the wrapper
                var lastDivElement      = wrapper.find('div.row[data-last-index]:last');
                if(lastDivElement.find('div:last-of-type .form-group div').length == 3){
                    lastDivElement.find('div:last-of-type .form-group').append('<div><a href="javascript:void(0);" class="addMoreBtn addAdditionalDocumentBtn"><i class="fa fa-plus-square" aria-hidden="true"></i></a></div>');
                }
            }
        });
    </script>
    <script type="text/javascript">
        $(document).on('click', '.on-board-documents-save', function (event){
            event.preventDefault();
            // console.log('On Board Document save');
            // return false;

            var that                            = $(this);
            var isSaveAndClose                  = that.attr('data-save-close');

            // Combine FormData objects
            var combineData                     = new FormData();

            var form1                           = $('#document-profile-form');
            var document_profile                = form1.find('#document-profile option:selected').val();
            if(document_profile != ''){
                var formData1                   = new FormData(form1[0]);

                // Append data from formData1 with a prefix
                for (var pair of formData1.entries()) {
                    combineData.append('form1_' + pair[0], pair[1]);
                }
            }

            var form2                           = $('#additional-document-form');
            var formData2                       = new FormData(form2[0]);

            // Append data from formData2 with a prefix
            for (var pair of formData2.entries()) {
                combineData.append('form2_' + pair[0], pair[1]);
            }

            var status                          = $('#status').val(); // Get the value of #status input

            // Append status to combinedFormData
            combineData.append('status', status);

            $.ajax({
                url: "{!! route('company.admin.trailer.save.document.info') !!}",
                type: 'POST',
                data: combineData,
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                cache : false,
                processData: false,
                contentType: false,
                beforeSend: function() {
                    loader();
                },
                success: function(response) {
                    if(response.success){
                        $('.trailer_created_id').val(response.trailer_created_id);

                        toastr.success(
                            response.message,
                            'Success Alert', {
                                timeOut: 1000,
                                fadeOut: 1000,
                                onHidden: function () {
                                    if(isSaveAndClose == '1'){
                                        nextStep();
                                    } else {
                                        window.location.href = "{{ route('company.admin.trailers.index')}}";
                                    }
                                }
                            }
                        );
                    }else{
                        toastr.error(response.message, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                },
                complete: function() {
                    Swal.close();
                },
                error: function(jqXHR, status, exception) {
                    var error;
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, 'Error Alert', {
                        timeOut: 5000
                    });
                }
            });
        });
    </script>
    <!-- /********************* On Board Documents - END *********************/ -->
    <!-- /********************* Integrations Tab - START *********************/ -->
    <script type="text/javascript">
        $(document).ready(function() {
            $('#eldIntegrationSetupModal').on('show.bs.modal', function () {
                // console.log('Eld integration modal show');
            });
            $('#eldIntegrationSetupModal').on('hidden.bs.modal', function() {
                // console.log('Eld integration modal hide');

                $('#eldIntegrationSetupModal .connected-status').val('0');

                $('#eldIntegrationSetupModal .eld-provider').val('');
                $('#eldIntegrationSetupModal #eld-provider').val(null).trigger('change');
                $('#eldIntegrationSetupModal #eld-provider').prop('disabled', false);

                $('#eldIntegrationSetupModal #vin-number-auto-populate').prop('checked', false);

                $('#eldIntegrationSetupModal #vin-number').val('');
                $('#eldIntegrationSetupModal #vin-number').prop('required', true);
                $('#eldIntegrationSetupModal #vin-number').prop('readonly', false);

                $('#eldIntegrationSetupModal #eld-id').val('');

                $('#eldIntegrationSetupModal #eldIdDiv').addClass('d-none');
                $('#eldIntegrationSetupModal #logoDiv').addClass('d-none');

                $('#eldIntegrationSetupModal #eld-connect').removeClass('d-none');
                $('#eldIntegrationSetupModal #eld-confirm').addClass('d-none');

                $('#eldIntegrationSetupModal .eld-integration-setup').trigger('reset');
                $('#eldIntegrationSetupModal .eld-integration-setup').find('.error').text('');
                $('#eldIntegrationSetupModal .eld-integration-setup').parsley().reset();
            });
        });
        $(document).on('click', '#eld-clear', function (event){
            event.preventDefault();
            // console.log('Eld integration clear');
            // return false;

            $('#eldIntegrationSetupModal .connected-status').val('0');

            $('#eldIntegrationSetupModal .eld-provider').val('');
            $('#eldIntegrationSetupModal #eld-provider').val(null).trigger('change');
            $('#eldIntegrationSetupModal #eld-provider').prop('disabled', false);

            $('#eldIntegrationSetupModal #vin-number-auto-populate').prop('checked', false);

            $('#eldIntegrationSetupModal #vin-number').val('');
            $('#eldIntegrationSetupModal #vin-number').prop('required', true);
            $('#eldIntegrationSetupModal #vin-number').prop('readonly', false);

            $('#eldIntegrationSetupModal #eld-id').val('');

            $('#eldIntegrationSetupModal #eldIdDiv').addClass('d-none');
            $('#eldIntegrationSetupModal #logoDiv').addClass('d-none');

            $('#eldIntegrationSetupModal #eld-connect').removeClass('d-none');
            $('#eldIntegrationSetupModal #eld-confirm').addClass('d-none');
        });
        $(document).on('change', '#eldIntegrationSetupModal #eld-provider', function(event) {
            event.preventDefault();
            // console.log('Eld provider change');
            // return false;

            $('#eldIntegrationSetupModal #vin-number-auto-populate').prop('checked', false).trigger('change');
        });
        $(document).on('change', '#vin-number-auto-populate', function (event){
            event.preventDefault();
            // console.log('Vin number auto populate');
            // return false;

            var that                        = $(this);
            var eld_provider                = $('#eldIntegrationSetupModal #eld-provider').val();
            if(that.is(':checked') && eld_provider == '3') {
                $('#eldIntegrationSetupModal #vin-number').prop('required', false);

                var form                    = $('#eldIntegrationSetupModal .eld-integration-setup');
                var parsley                 = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });
                parsley.validate();
                if (parsley.isValid()){
                    var trailer_created_id  = $('#eldIntegrationSetupModal').find('.trailer_created_id').val();
                    if(trailer_created_id == ''){
                        toastr.error('Oops! Something went wrong..', 'Error Alert', {
                            timeOut: 5000
                        });
                        return false;
                    }

                    $.ajax({
                        type: 'POST',
                        url: "{!! route('company.admin.trailer.get.eldVinNumber') !!}",
                        data: { trailerId : trailer_created_id },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        beforeSend: function () {
                            // console.log('beforeSend');
                        },
                        success: function(response) {
                            if(response.success){
                                $('#eldIntegrationSetupModal #vin-number').val(response.vinNumber);
                                $('#eldIntegrationSetupModal #vin-number').prop('required', true);
                            }else{
                                // toastr.error(response.message, 'Error Alert', {
                                //     timeOut: 5000
                                // });
                            }
                        },
                        complete: function() {
                            // console.log('complete');
                        },
                        error: function(jqXHR, status, exception) {
                            var error;
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }else{
                    $('#eldIntegrationSetupModal #vin-number-auto-populate').prop('checked', false).trigger('change');
                }
            }else{
                $('#eldIntegrationSetupModal #vin-number').prop('required', true);
            }
        });
        $(document).on('click', '#eld-connect', function (event){
            event.preventDefault();
            console.log('Eld integration connect');
            return false;

            var that                        = $(this);
            var btnTxt                      = that.text();

            var eld_provider                = $('#eldIntegrationSetupModal #eld-provider').val();

            $('#eldIntegrationSetupModal #vin-number').prop('required', true);
            var form                        = $('#eldIntegrationSetupModal .eld-integration-setup');
            var parsley                     = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            parsley.validate();
            if (parsley.isValid()){
                if(eld_provider == '3'){
                    var trailer_created_id  = $('#eldIntegrationSetupModal').find('.trailer_created_id').val();
                    if(trailer_created_id == ''){
                        toastr.error('Oops! Something went wrong..', 'Error Alert', {
                            timeOut: 5000
                        });
                        return false;
                    }

                    $.ajax({
                        type: 'POST',
                        url: "{!! route('company.admin.trailer.eld.connect') !!}",
                        data: {
                            trailerId : trailer_created_id,
                            eldProvider : $('#eldIntegrationSetupModal #eld-provider').val(),
                            vinNumber : $('#eldIntegrationSetupModal #vin-number').val()
                        },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        beforeSend: function () {
                            that.prop('disabled', true).html('Please Wait...');
                        },
                        success: function(response) {
                            console.log(response);
                        },
                        complete: function() {
                            that.prop('disabled', false).html(btnTxt);
                        },
                        error: function(jqXHR, status, exception) {
                            var error;
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }else{
                    toastr.error('Please select samsara eld provider', 'Error Alert', {
                        timeOut: 5000
                    });
                }
                return false;
            }
        });
        $(document).on('click', '#eld-confirm', function (event){
            event.preventDefault();
            console.log('Eld integration confirm');
            return false;

            var that                        = $(this);
            var btnTxt                      = that.text();
            var form                        = $('#eldIntegrationSetupModal .eld-integration-setup');
            var parsley                     = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            parsley.validate();
            if (parsley.isValid()){
                $.ajax({
                    type: 'POST',
                    url: "{!! route('company.admin.trailer.integration.save') !!}",
                    data: form.serialize(),
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function () {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                    success: function(response) {
                        console.log(response);
                    },
                    complete: function() {
                        that.prop('disabled', false).html(btnTxt);
                    },
                    error: function(jqXHR, status, exception) {
                        var error;
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
                return false;
            }
        });
        $(document).on('click', '.view-details', function (event){
            event.preventDefault();
            console.log('View Eld integration details');
            return false;
        });
        $(document).on('click', '#cancelViewDetails', function (event){
            event.preventDefault();
            console.log('View Eld integration details cancel');
            return false;
        });
        $(document).on('click', '.eld-provider-delete', function (event){
            event.preventDefault();
            console.log('Eld integration delete');
            return false;
        });
        $(document).on('click', '.integrations-save', function (event){
            event.preventDefault();
            console.log('Eld integration save');
            return false;
        });
    </script>
    <!-- /********************* Integrations Tab - END *********************/ -->
    <!-- /********************* Compliance - START *********************/ -->
    <script type="text/javascript">
        $(document).on('click', '.compliance-save', function (event){
            event.preventDefault();
            // console.log('Compliance save');
            // return false;

            var that                            = $(this);
            var isSaveAndClose                  = that.attr('data-save-close');

            var form                            = $('#compliance-tab');
            var formData                        = new FormData(form[0]);
            formData.append('status', $('#status').val());

            $.ajax({
                url: "{!! route('company.admin.trailer.save.compliance.info') !!}",
                type: 'POST',
                data: formData,
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                cache : false,
                processData: false,
                contentType: false,
                beforeSend: function() {
                    loader();
                },
                success: function(response) {
                    if(response.success){
                        $('.trailer_created_id').val(response.trailer_created_id);

                        toastr.success(
                            response.message,
                            'Success Alert', {
                                timeOut: 1000,
                                fadeOut: 1000,
                                onHidden: function () {
                                    if(isSaveAndClose == '1'){
                                        nextStep();
                                    } else {
                                        window.location.href = "{{ route('company.admin.trailers.index')}}";
                                    }
                                }
                            }
                        );
                    }else{
                        toastr.error(response.message, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                },
                complete: function() {
                    Swal.close();
                },
                error: function(jqXHR, status, exception) {
                    var error;
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, 'Error Alert', {
                        timeOut: 5000
                    });
                }
            });
        });
    </script>
    <!-- /********************* Compliance - END *********************/ -->
    <script type="text/javascript">
        $(document).on('click', '.green-btn', function(e){
            let action_id   = $('[name="action_id"]').val();
            let field_name  = $('[name="field_name"]').val();

            let form        = $('.storeGalleryImage');
            let parsley     = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });

            parsley.validate();
            if (parsley.isValid()) {
                $('.profileInsuranceFile').each(function (i, ele){
                    if($(ele).attr('data-field') == field_name){
                        $(ele).addClass('uploaded');
                    }
                });
                $('.additionalInsuranceFile').each(function (i, ele){
                    if($(ele).attr('data-field') == field_name){
                        $(ele).addClass('uploaded');
                    }
                });
                $('.documentProfileFile').each(function (i, ele){
                    if($(ele).attr('data-field') == field_name){
                        $(ele).addClass('uploaded');
                    }
                });
                $('.additionalDocumentFile').each(function (i, ele){
                    if($(ele).attr('data-field') == field_name){
                        $(ele).addClass('uploaded');
                    }
                });
                if($('.trailerGenInfoFile').attr('data-field') == field_name){
                    $('.trailerGenInfoFile').addClass('uploaded');
                }else if($('.tagFile').attr('data-field') == field_name){
                    $('.tagFile').addClass('uploaded');
                }else if($('.carbFile').attr('data-field') == field_name){
                    $('.carbFile').addClass('uploaded');
                }
            }
        });
        $(document).on('click', '#galleryModal .clobtn', function () {
            let field_name  = $('#galleryModal [name="field_name"]').val();
            $('.gallary-edit').each(function(){
                if(field_name == $(this).attr('data-field')){
                    if($('#galleryModal #getgalleryfile').find('tr').length == 1){
                        $(this).removeClass('uploaded');
                    }
                }
            });
        });
    </script>
    <script type="text/javascript">
        function loader(){
            Swal.fire({
                title: '<h5 class="font-weight-bold">Please wait...</h5>',
                allowEscapeKey: false,
                allowOutsideClick: false,
                didOpen: () => {
                    Swal.showLoading()
                }
            });
        }
        function nextStep(){
            var $active = $('.nav-tabs li>.active');
            $active.parent().next().find('.nav-link').removeClass('disabled');
            nextTab($active);
        }
        function nextTab(elem){
            $(elem).parent().next().find('a[data-toggle="tab"]').click();
        }
        function prevTab(elem){
            $(elem).parent().prev().find('a[data-toggle="tab"]').click();
        }
    </script>
@endsection

@push('after-scripts')
    <script src="{{ asset('theme/js/trimble.js') }}"></script>
@endpush
