@extends($driverAdminTheme)

@section('title')
    My Trips
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <link rel="stylesheet" href="https://cdn.datatables.net/responsive/2.5.0/css/responsive.dataTables.min.css">
    <!-- Select2 -->
    <style type="text/css">
        .select2-container {
            width: 100% !important;
        }
        .select2-container .select2-selection--single {
            height: 40px;
        }
        .select2-container--default .select2-selection--single, .select2-container--default .select2-selection--multiple {
            border: 1px solid #D8D8DD !important;
            border-radius: 10px !important;
            color: #000000 !important;
            overflow: hidden !important;
            min-height: 40px;
            height: auto !important;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 43px !important;
            font-size: 14px !important;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 43px !important;
            margin-right: 5px;
            background-image: url("{{ asset('theme/images/select-dropdown.svg') }}");
            background-size: auto;
            background-position: center right 5px;
            background-repeat: no-repeat;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow b {
            border-color: #000 transparent transparent transparent;
            display: none;
        }
    </style>
    <!-- Historic dispatch datatable -->
    <style type="text/css">
        #nav-historic-dispatch .cusotdiv { padding-right: 0px !important; }
        #nav-historic-dispatch .cusotdiv2 { display: flex;justify-content: end;align-items: center; }
        #nav-historic-dispatch .dataTables_length { display: block; }
        #nav-historic-dispatch .dataTables_length label { margin-bottom: 0;padding-left: 10px!important; }
        #nav-historic-dispatch .dataTables_info { display: none;margin-bottom: 20px;padding-left: 10px!important; }
    </style>
    <style type="text/css">
        .fs-16 {
            font-size: 16px;
        }

        .ff-Inter {
            font-family: 'Inter', sans-serif;
        }

        .mx-width-412 {
            max-width: 412px;
        }

        /* <!-- Upcoming & Historic dispatch datatable  start css --> */

        .table-upcoming-dispatch.dataTable thead tr th:not(:last-child)::before,
        .table-historic-dispatch.dataTable thead tr th:not(:last-child)::before {
            display: none;
        }

        .my-trips-content .table-upcoming-dispatch.dataTable>thead th,
        .my-trips-content .table-historic-dispatch.dataTable>thead th {
            padding: 23px 15px 23px !important;
        }

        /* <!-- Upcoming & Historic dispatch datatable  end css --> */

        /* <!-- Upcoming & Historic dispatch trailer tooltip  start css --> */

        .table-upcoming-dispatch.favorites-data-table tbody .trailer-tooltip,
        .table-historic-dispatch.favorites-data-table tbody .trailer-tooltip {
            position: absolute;
            background-color: #ffffff;
            z-index: 11;
            padding: 5px 10px;
            box-shadow: 0 0 5px rgb(0 0 0 / 50%);
            border-radius: 5px;
            max-height: 120px;
            overflow: auto;
            overflow-x: hidden;
            right: 5px;
            top: 75%;
            min-width: 100%;
            width: auto;
            bottom: auto;
        }

        .table-upcoming-dispatch.favorites-data-table tbody .trailer-tooltip ul,
        .table-upcoming-dispatch.favorites-data-table tbody .trailer-tooltip ul li,
        .table-historic-dispatch.favorites-data-table tbody .trailer-tooltip ul,
        .table-historic-dispatch.favorites-data-table tbody .trailer-tooltip ul li {
            text-align: left;
        }

        .table-upcoming-dispatch.favorites-data-table tbody tr:last-of-type .trailer-tooltip,
        .table-upcoming-dispatch.favorites-data-table tbody tr:nth-last-of-type(2) .trailer-tooltip,
        .table-upcoming-dispatch.favorites-data-table tbody tr:nth-last-of-type(3) .trailer-tooltip,
        .table-historic-dispatch.favorites-data-table tbody tr:last-of-type .trailer-tooltip,
        .table-historic-dispatch.favorites-data-table tbody tr:nth-last-of-type(2) .trailer-tooltip,
        .table-historic-dispatch.favorites-data-table tbody tr:nth-last-of-type(3) .trailer-tooltip {
            top: auto;
            bottom: 75%;
        }

        /* <!-- Upcoming & Historic dispatch trailer tooltip  start end --> */

        /* <!-- Historic dispatch box start --> */

        .lite-grey {
            background-color: #F1F3F6;
        }

        #table-historic-dispatch select {
            margin-top: 12px;
            height: 40px;
            width: 100%;
        }

        #table-historic-dispatch .dishpatchPlan-content .dishpatchPlan-block .custom-control .custom-control-label {
            line-height: 32px;
        }

        #table-historic-dispatch .dishpatchPlan-content .custom-checkbox-blue .custom-control-label::before {
            left: -24px;
            top: 50%;
            transform: translateY(-50%);
        }

        #table-historic-dispatch .dishpatchPlan-content .custom-checkbox-blue .custom-control-input:checked~.custom-control-label::after {
            left: -21px;
            top: 0px;
        }

        /* <!-- Historic dispatch box end --> */

        /* <!-- Modal dispatch css start --> */

        .modal-dispatch strong {
            font-size: 16px;
        }

        .modal-dispatch ul li:nth-of-type(1),
        .modal-dispatch ul li:nth-of-type(2) {
            color: #7C8C9D;
        }

        .modal-dispatch ul li:nth-of-type(3) {
            color: #322727;
        }

        .modal-dispatch hr {
            border-color: #D8D8D9;
        }

        /* <!-- Modal dispatch css end --> */

        /* <!-- Modal dispatch requirements css start --> */

        .modal-dispatch-requirements p {
            color: #342828;
        }

        .modal-dispatch-requirements table.table thead {
            background-color: transparent;
        }

        .modal-dispatch-requirements .table thead th {
            color: #305F9C;
            padding: 0 27px 15px !important;
        }

        .modal-dispatch-requirements .table-responsive {
            border-bottom: 1px solid #CCCCCC;
            padding-bottom: 17px;
        }

        .modal-dispatch-requirements .table thead {
            border-bottom: 1px solid #CCCCCC;
            margin-bottom: 5px;
        }

        .modal-dispatch-requirements .table tbody td {
            font-size: 16px !important;
            color: #322727;
            padding: 5px 27px !important;
            font-weight: 500;
        }

        .modal-dispatch-requirements .custom-control.custom-checkbox-blue {
            padding-left: 0;
        }

        .modal-dispatch-requirements .custom-control .custom-control-label {
            padding-left: 24px;
        }

        .modal-dispatch-requirements .custom-control-input~.custom-control-label::before {
            left: 0;
        }

        .modal-dispatch-requirements .custom-control-input~.custom-control-label::after {
            left: 3px !important;
        }

        /* <!-- Modal dispatch requirements css end --> */

        /* <!-- Modal dispatch update css start --> */

        .modal-dispatch-update .modal-body button {
            font-size: 16px;
            font-weight: 600;
            padding: 15px 13px;
            height: auto;
        }

        .modal-dispatch-update ul.pending-documents li {
            list-style-type: disc;
            color: #305F9C;
        }

        /* <!-- Modal dispatch update css end --> */

        /* <!-- Modal drop hook css start --> */

        .modal-drop-hook .trailer-box {
            padding: 18px 21px 24px;
            max-width: 264px;
            width: 100%;
            border-radius: 10px;
            border: 1px solid #CCCCCC;
            margin: auto;
        }

        .modal-drop-hook .trailer-box .drop-hook-box {
            max-width: 118px;
            margin: auto;
        }

        .modal-drop-hook .trailer-box ul.match-options {
            margin-top: 27px;
        }

        .modal-drop-hook .trailer-box .correct-trailer-number {
            margin-top: 24px;
        }

        .modal-drop-hook .trailer-box .form-control {
            max-width: 118px;
            margin: auto;
        }

        .modal-drop-hook .custom-checkbox-blue .custom-control-label::before {
            top: 0;
        }

        .modal-drop-hook .custom-checkbox-blue .custom-control-input:checked~.custom-control-label::after {
            top: 1px;
        }

        .modal-drop-hook .retrieval-reminder-box {
            max-width: 264px;
        }

        .modal-drop-hook .retrieval-reminder-box .custom-control {
            width: fit-content;
            margin: 16px auto 12px;
        }

        .modal-drop-hook-upload .btn-add {
            width: 45px;
        }

        /* <!-- Modal drop hook css end --> */

        /* <!-- Modal missing documentation css start --> */

        .modal-missing-documentation p {
            color: #322727;
        }

        .modal-missing-documentation .required-documents-checkbox {
            margin-bottom: 18px;
        }

        .modal-missing-documentation .required-documents-checkbox>p {
            color: #322727;
        }

        .modal-missing-documentation .required-documents-checkbox .custom-control.custom-checkbox-blue {
            padding-left: 22px;
        }

        .modal-missing-documentation .required-documents-checkbox .custom-checkbox-blue .custom-control-label {
            color: #342828;
        }

        .modal-missing-documentation .required-documents-checkbox .custom-checkbox-blue .custom-control-label::before {
            left: -21px;
            top: 2px;
        }

        .modal-missing-documentation ul.required-documents-check li .custom-checkbox-blue .custom-control-input:checked~.custom-control-label::after {
            top: 3px;
        }

        /* <!-- Modal missing documentation css end --> */

        /* <!-- rating css start --> */

        .rating {
            width: fit-content;
            height: 28px;
            text-align: left;
            margin-bottom: 20px;
        }

        .rating>* {
            float: right;
        }

        @keyframes pulse {
            50% {
                color: #5e5e5e;
                text-shadow: 0 0 15px #777777;
            }
        }

        .rating label {
            height: 28px;
            margin-right: 8px;
            display: block;
            position: relative;
            cursor: pointer;
            width: 28px;
        }

        .rating label:nth-of-type(5):after {
            animation-delay: 0.25s;
        }

        .rating label:nth-of-type(4):after {
            animation-delay: 0.2s;
        }

        .rating label:nth-of-type(3):after {
            animation-delay: 0.15s;
        }

        .rating label:nth-of-type(2):after {
            animation-delay: 0.1s;
        }

        .rating label:nth-of-type(1):after {
            animation-delay: 0.05s;
        }

        .rating label:after {
            transition: all 0.4s ease-out;
            -webkit-font-smoothing: antialiased;
            position: absolute;
            content: "☆";
            color: #305F9C;
            top: -14px;
            left: 0;
            width: 100%;
            height: 100%;
            text-align: center;
            font-size: 36px;
            animation: 1s pulse ease;
        }

        .rating label:hover:after {
            color: #305F9C;
            text-shadow: 0 0 15px #305F9C;
        }

        .rating input {
            display: none;
        }

        .rating input:checked+label:after,
        .rating input:checked~label:after {
            content: "★";
            color: #305f9c;
        }

        /* <!-- rating css end --> */
    </style>
    <style type="text/css">
        /* Datatable  Responsive icon */
        ul.dtr-details {
            display: block !important;
            white-space: normal;
        }

        ul.dtr-details li[data-dt-column] span.dtr-data {
            position: relative;
        }

        table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control::before,
        table.dataTable.dtr-inline.collapsed>tbody>tr>th.dtr-control::before {
            margin-right: 0;
            font-size: 14px;
        }

        .g-2>* {
            padding-left: 8px;
            padding-right: 8px;
            margin-top: 8px;
        }

        .my-trips-content .dishpatchPlan-main .dishpatchPlan-content,
        .my-trips-content .dishpatchPlan-content {
            overflow: hidden;
        }
        .my-trips-content .dishpatchPlan-block>div.table-responsive.p-0 {
            padding: 0 !important;
        }

        /*media.css start*/
        @media (min-width:1600px) {
            .w-92 {
                width: 92%;
            }
        }

        @media (max-width:1599px) {
            .dishpatchPlan-main {
                padding: 0 0 0 0px !important;
            }

            .my-trips-content .dishpatchPlan-block>div {
                padding: 4px 12px !important;
            }
        }

        @media (max-width: 991px) {
            #nav-upcoming-dispatch .padd-custome,
            #nav-historic-dispatch .padd-custome {
                padding: 12px;
            }

            .my-trips-content .table-upcoming-dispatch.dataTable>thead th,
            .my-trips-content .table-historic-dispatch.dataTable>thead th,
            .my-trips-content .table-upcoming-dispatch>tbody td,
            .my-trips-content .table-historic-dispatch>tbody td {
                padding: 12px !important;
            }
        }

        @media (max-width:767px) {
            #nav-upcoming-dispatch .padd-custome,
            #nav-historic-dispatch .padd-custome {
                padding: 8px;
            }

            #nav-current-dispatch .current-dispatch-body,
            #nav-current-dispatch .padd-custome {
                padding: 12px 12px 0;
            }

            .dishpatchPlan-main {
                padding: 12px 8px !important;
            }
            .dishpatchPlan-main.p-0{
                padding: 0 !important;
            }

            /* For datatable */
            #nav-historic-dispatch .dataTables_wrapper .pagination .page-item:first-child {
                position: relative;
                padding-left: 15px;
                left: 0;
            }
            #nav-historic-dispatch .dataTables_wrapper .pagination .page-item:first-child::before {
                left: 0;
            }
            #nav-historic-dispatch .dataTables_wrapper .pagination .page-item:last-child {
                position: relative;
                padding-right: 15px;
                right: 0;
            }
            #nav-historic-dispatch .dataTables_wrapper .pagination .page-item:last-child::before {
                right: 0;
            }

            .my-trips-content .table-upcoming-dispatch.dataTable>thead th,
            .my-trips-content .table-historic-dispatch.dataTable>thead th,
            .my-trips-content .table-upcoming-dispatch>tbody td,
            .my-trips-content .table-historic-dispatch>tbody td {
                padding: 4px !important;
            }

            .my-trips-content .table-upcoming-dispatch .btn {
                padding: 4px 4px;
                font-size: 10px;
                line-height: 10px
            }

            /* Current dispatch */
            .current-dispatch-hedding h2 {
                font-size: 14px;
                margin-bottom: 8px;
            }

            .current-dispatch-hedding .cd-hedding-left p {
                margin-bottom: 8px;
            }

            .current-dispatch-h-left {
                padding: 0 12px;
            }

            .current-dispatch-h-right {
                margin-top: 8px;
                padding: 0 12px;
            }

            .current-dispatch-body .carousel-button {
                width: 28px;
                height: 28px;
            }

            .current-dispatch-body .carousel-button img {
                width: 8px;
            }

            .current-dispatch-body .carousel-item .carousel-stop-content h3 {
                margin-bottom: 8px;
                font-size: 14px;
            }

            .my-trips-content .dishpatchPlan-block>div {
                font-size: 12px !important;
            }

            .dishpatchPlan-content.new-addLoad {
                margin-top: 8px;
            }

            .dishpatchPlan-content h6 {
                font-size: 12px;
            }

            .dishpatchPlan-content.new-addLoad .multi_step_form #msform #progressbar li a:before {
                width: 28px;
                height: 28px;
                background-size: 14px !important;
            }

            .dishpatchPlan-content.new-addLoad .multi_step_form {
                padding: 12px 8px 0 4px;
            }

            .multi_step_form #msform #progressbar li {
                padding: 0 0px 8px !important;
            }

            .multi_step_form #msform #progressbar li a {
                min-width: 80px;
            }

            .dishpatchPlan-content.new-addLoad .multi_step_form #msform #progressbar li:after {
                right: 55%;
                width: 50%;
                top: 25%;
                transform: translate(-50%, -50%);
            }

            .dishpatchPlan-block > div .btn-blue span {
                margin-top: 0 !important;
            }

            .current-dispatch-body .drop-hook-content {
                margin: 8px;
            }

            .dishpatchPlan-content .direct-table table thead tr th {
                padding: 8px 8px 8px !important;
            }

            .dishpatchPlan-content .dishpatchPlan-block ul li ul li {
                padding: 4px 0px 4px 4px;
            }

            .dishpatchPlan-notes-box p {
                max-width: 100%;
            }

            .nots-l-button-content {
                padding: 0px 0px 8px;
            }

            .required-documents-check {
                padding-top: 0;
            }

            .required-documents-check li:not(:last-of-type) {
                margin-right: 4px;
            }

            .required-documents-content>.d-block {
                padding: 4px 12px 4px !important;
            }

            .form-group img {
                bottom: 50%;
                transform: translateY(50%);
            }

            .btn-blue,.btn-blueBr {
                font-size: 12px;
                line-height: 10px;
                height: auto;
                padding: 8px;
            }

            .btn-blue .font-14{
                font-size: 12px;
            }

            /* Modal */
            .modal-dispatch strong,
            .modal-dispatch-update strong {
                font-size: 14px;
            }
            .modal-dispatch .modal-body .text-end,
            .modal-dispatch .modal-body .text-start,
            .modal-dispatch-update .modal-body .text-end,
            .modal-dispatch-update .modal-body .text-start {
                text-align: center !important;
            }

            .modal-dispatch-requirements .table-responsive {
                padding-bottom: 0;
            }
            .modal-dispatch-requirements .table thead th {
                font-size: 12px;
                padding: 0 16px 4px !important;
            }
            .modal-dispatch-requirements .table tbody td {
                font-size: 12px !important;
                padding: 4px 16px !important;
            }
            .modal-dispatch-update .modal-body button {
                padding: 12px 12px;
                font-size: 14px;
            }

            .modal-drop-hook .trailer-box {
                padding: 12px 16px 12px;
            }
            .modal-drop-hook .trailer-box ul.match-options {
                margin-top: 16px;
            }
            .modal-drop-hook .custom-checkbox-blue .custom-control-label::before {
                top: 2px;
            }
            .modal-drop-hook .custom-checkbox-blue .custom-control-input:checked ~ .custom-control-label::after {
                top: 3px;
            }
            .modal-drop-hook .retrieval-reminder-box .custom-control {
                margin: 10px auto 8px;
            }

            .modal-addLoad .form-control{
                font-size: 12px;
                height: auto;
                padding: 8px 16px;
            }

            .modal-missing-documentation .custom-control-label {
                font-size: 12px;
            }
            .modal-missing-documentation .required-documents-checkbox {
                margin-bottom: 12px;
            }
            .rating{
                height: 20px;
                margin-bottom: 0;
            }
            .rating label::after{
                font-size: 28px;
            }
            .rating label{
                height: 22px;
                margin-right: 4px;
                width: 24px;
                margin-bottom: 0;
            }

            /* Sweet Alert css */
            .swal2-icon {
                margin: 24px auto 4px !important;
            }
            .swal2-title {
                font-size: 1.4em !important;
                  padding: .4em 1em 0 !important;
            }
            .swal2-html-container {
                font-size: 14px !important;
                margin: 8px auto 0 !important;
            }
            .swal2-actions{
                margin: 0.375em auto 0 !important;
            }
            .swal2-checkbox, .swal2-file, .swal2-input, .swal2-radio, .swal2-select, .swal2-textarea {
                margin: 4px 2em 0 !important;
            }
            .swal2-styled {
                padding: 8px 12px !important;
                font-size: 14px !important;
            }
            .swal2-file, .swal2-input, .swal2-textarea{
                font-size: 14px !important;
            }
            .swal2-textarea {
                height: 5rem !important;
            }

            .my-trips-content .tab-content{
                margin-bottom: 95px;
            }
        }


        @media (max-width: 575px) {
            .btn-msg-box img {
                max-width: 18px;
                margin-right: 9px;
            }

            .btn-msg-box {
                padding: 4px;
            }

            .dishpatchPlan-hedding {
                padding: 8px 12px 8px;
            }

            .dishpatchPlan-notes-box {
                padding: 6px 12px;
            }

            .my-trips-content .form-control {
                font-size: 12px;
            }

            /* For Dishpatch block, load requirements table & load pay ul li */
            .dishpatchPlan-content.load-requirements .dishpatchPlan-hedding~table thead th,
            .dishpatchPlan-content .dishpatchPlan-block>ul>li {
                padding: 4px 12px !important;
                font-size: 12px !important;
            }

            .my-trips-content .dishpatchPlan-block>div {

                display: block !important;
                flex-wrap: wrap;
            }

            /* Dishpatch content wrap */
            .dishpatchPlan-content .dishpatchPlan-block ul li div {
                display: block !important;
                flex-wrap: wrap;
            }

            .dishpatchPlan-block>div label,
            .dishpatchPlan-content .dishpatchPlan-block ul li div label {
                width: 100%;
                display: block;
                text-align: left;
            }

            .dishpatchPlan-block>div span,
            .dishpatchPlan-content .dishpatchPlan-block ul li div span {
                width: 100%;
                display: block;
                text-align: left;
                margin: 4px 0 0 !important;
            }

            /* For white space normal */
            table.dataTable .drop-hook-content table thead tr:nth-child(1) th,
            table.dataTable .load-requirements table thead tr th {
                padding: 4px 12px !important;
                font-size: 12px !important;
                white-space: normal;
            }

            .my-trips-content .dishpatchPlan-main .dishpatchPlan-content.load-requirements table tbody td,
            .dishpatchPlan-content.load-requirements table tbody td {
                padding: 5px 12px !important;
                white-space: normal;
            }

            .dishpatchPlan-content .direct-table table thead tr th {
                font-size: 10px;
            }

            .dishpatchPlan-content .direct-table table tbody tr td {
                padding: 4px 12px !important;
                white-space: normal;
            }

            /* For datatable */
            #nav-historic-dispatch .cusotdiv2 {
                display: block !important;
            }

            #nav-historic-dispatch .dataTables_filter label .form-control {
                width: 100% !important;
                margin-left: -43px !important;
            }

            #nav-historic-dispatch .dataTables_length {
                text-align: right;
                margin-top: 8px;
            }

            .my-trips-content .table-upcoming-dispatch>thead th,
            .my-trips-content .table-historic-dispatch>thead th {
                line-height: 12px;
                font-size: 12px !important;
                padding: 8px !important;
            }

            .my-trips-content .table-upcoming-dispatch>tbody td,
            .my-trips-content .table-historic-dispatch>tbody td,
            .my-trips-content .dishpatchPlan-content .direct-table table thead tr th:first-of-type {
                line-height: 12px;
                font-size: 10px !important;
                padding: 8px !important;
            }

            #table-historic-dispatch select {
                height: auto;
                font-size: 12px;
            }

            .my-trips-content .dishpatchPlan-block>div .form-group {
                width: 100%;
                margin-top: 4px;
            }

            .detention-content input {
                max-width: 100%;
            }

            .dishpatchPlan-content .dishpatchPlan-block ul.required-documents-check li:last-of-type {
                margin-top: 8px;
            }

            .current-dispatch-body .carousel-item .carousel-stop-content {
                max-width: 97%;
            }
            .dishpatchPlan-content .dishpatchPlan-block.required-documents-content ul,
            .dishpatchPlan-content .dishpatchPlan-block.required-documents-content ul li{
                display: block;
            }
            .dishpatchPlan-content.drop-hook-content .direct-table table tbody tr td a{
                display: inline-block;
                font-size: 10px !important;
                margin-top: 4px;
            }
        }
    </style>
@endsection

@section('content')
    <div class="my-trips-content">
        <div class="trips-tabs">
            <div class="msg-box">
                <a href="javascript:void(0);" class="btn-msg-box d-flex">
                    <img src="{{ asset('theme/images/comment.svg') }}" alt="Comment">
                    <span class="d-block"> Minimize <br> ProChat</span>
                </a>
            </div>
            <nav class="">
                <ul class="nav nav-tabs" id="nav-tab" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link" id="nav-current-dispatch-tab" data-toggle="tab" href="#nav-current-dispatch" type="button" role="tab" aria-controls="nav-current-dispatch" aria-selected="false">Current Dispatch</a>
                    </li>
                    <li class="nav-item">
                        <span class="badge badge-custome-danger upcoming-dispatch-badge d-none"></span>
                        <a class="nav-link active" id="nav-upcoming-dispatch-tab" data-toggle="tab" href="#nav-upcoming-dispatch" type="button" role="tab" aria-controls="nav-upcoming-dispatch" aria-selected="true">Upcoming Dispatch</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="nav-historic-dispatch-tab" data-toggle="tab" href="#nav-historic-dispatch" type="button" role="tab" aria-controls="nav-historic-dispatch" aria-selected="false">Historic Dispatch</a>
                    </li>
                </ul>
            </nav>
        </div>
        <div class="tab-content" id="nav-tabContent">
            <div class="tab-pane fade" id="nav-current-dispatch" role="tabpanel" aria-labelledby="nav-current-dispatch-tab">
                @if($current_dispatch_exists == 0)
                    <div class="padd-custome">
                        <p class="nodata-txt">No dispatch listed. Review upcoming dispatch tab.</p>
                    </div>
                @else
                    <div class="loadingdiv">
                        <img src="{{ asset('theme/img/loading.gif') }}">
                    </div>
                @endif
            </div>
            <div class="tab-pane fade active show" id="nav-upcoming-dispatch" role="tabpanel" aria-labelledby="nav-upcoming-dispatch-tab">
                <div class="padd-custome">
                    <!-- <div class="table-responsive"> -->
                        <div class="tableTop-radius">
                            <table id="table-upcoming-dispatch" class="display nowrap table table-blue table-upcoming-dispatch favorites-data-table table-dishpatchHub on-hold-load-data-table m-0 text-left" style="width:100%">
                                <thead>
                                <tr>
                                    <th></th>
                                    <th></th>
                                    <th></th>
                                    <th>Status</th>
                                    <th>Load</th>
                                    <th>DH</th>
                                    <th>Loaded</th>
                                    <th>Total</th>
                                    <th>Rate</th>
                                    <th>CPM</th>
                                    <th>Pickup Date</th>
                                    <th>Delivery Date</th>
                                    <th>Origin</th>
                                    <th>Destination</th>
                                    <th>Trailer</th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    <!-- </div> -->
                </div>
            </div>
            <div class="tab-pane fade" id="nav-historic-dispatch" role="tabpanel" aria-labelledby="nav-historic-dispatch-tab">
                <div class="padd-custome">
                    <!-- <div class="table-responsive"> -->
                    <div class="tableTop-radius">
                        <table id="table-historic-dispatch" class="display nowrap table table-blue table-historic-dispatch favorites-data-table table-dishpatchHub on-hold-load-data-table m-0 text-left" style="width:100%">
                            <thead>
                                <tr>
                                    <th></th>
                                    <th></th>
                                    <th></th>
                                    <th>Status</th>
                                    <th>Load</th>
                                    <th>DH</th>
                                    <th>Loaded</th>
                                    <th>Total</th>
                                    <th>Rate</th>
                                    <th>CPM</th>
                                    <th>Pickup Date</th>
                                    <th>Delivery Date</th>
                                    <th>Origin</th>
                                    <th>Destination</th>
                                    <th>Trailer</th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                    <!-- </div> -->
                </div>
            </div>
        </div>
    </div>
@endsection

@section('modal')
    <div class="modal fade" id="newLoadModal" tabindex="-1" role="dialog" aria-labelledby="newLoadModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-blue modal-addLoad modal-new-load" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="newLoadModalLabel">View New Load Details</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body p-0">
                    <div class="modal-padding pb-3">
                        <p class="fs-14 fw-600 text-dark">Congratulations, you have new dispatch details available.</p>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                    <button type="button" class="btn btn-blue details-btn" data-id="">View Details</button>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="dimensionModal" tabindex="-1" role="dialog" aria-labelledby="dimensionModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-xl modal-blue modal-addLoad" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="dimensionModalLabel">Dimensions</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body append-view">
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="dispatchNowModal" tabindex="-1" role="dialog" aria-labelledby="dispatchNowModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered modal-blue modal-addLoad modal-dispatch" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="dispatchNowModalLabel">Dispatch</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="append-view">
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="dispatchRequirementsModal" tabindex="-1" role="dialog" aria-labelledby="dispatchRequirementsModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-blue modal-addLoad modal-dispatch-requirements" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="dispatchRequirementsModalLabel">Load Requirements</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="append-view">
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="dispatchUpdateModal" tabindex="-1" role="dialog" aria-labelledby="dispatchUpdateModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-blue modal-addLoad modal-dispatch-update" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="dispatchUpdateModalLabel">Dispatch Update</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="append-view">
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade ff-Inter" id="dropHookModal" tabindex="-1" role="dialog" aria-labelledby="dropHookModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered modal-blue modal-addLoad modal-drop-hook mx-width-412" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title fw-bold" id="dropHookModalLabel">Trailer Details</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <h6 class="fs-14 mb-2 text-dark pb-1 stop-heading d-none"></h6>
                    <p class="fs-12 mt-1 stop-address d-none"></p>
                    <form class="dropHookFrm" name="dropHookFrm" id="dropHookFrm" autocomplete="off">
                        <input type="hidden" name="id" value="">
                        <input type="hidden" name="customer_type" value="">
                        <input type="hidden" name="is_stop" value="">
                        <input type="hidden" name="type" value="">
                        <input type="hidden" name="abbr" value="">

                        <input type="hidden" name="schedule" value="">

                        <div class="trailer-box">
                            <div class="form-group text-center drop-hook-box">
                                <label class="fs-12 mb-1"><span class="type"></span> Trailer</label>
                                <input type="text" class="form-control text-center" name="trailer_id" value="" required readonly>
                                <span class="error trailer_id_error text-danger"></span>
                            </div>
                            <ul class="nav flex-column match-options">
                                <li class="nav-item mb-2">
                                    <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                        <input type="checkbox" class="custom-control-input trailer-numbers-checkbox-radio" name="trailer_numbers_match" id="trailer_numbers_match" value="1" data-parsley-mincheck="1" data-parsley-errors-container="#trailer_numbers_match-errors" required>
                                        <label class="custom-control-label fs-12 fw-500 text-dark" for="trailer_numbers_match">Trailer Numbers Match</label>
                                    </div>
                                </li>
                                <li class="nav-item">
                                    <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                        <input type="checkbox" class="custom-control-input trailer-numbers-checkbox-radio" name="trailer_numbers_match" id="trailer_numbers_incorrect" value="0" data-parsley-mincheck="1" data-parsley-errors-container="#trailer_numbers_match-errors">
                                        <label class="custom-control-label fs-12 fw-500 text-dark" for="trailer_numbers_incorrect">Trailer Numbers Are Incorrect</label>
                                    </div>
                                    <div id="trailer_numbers_match-errors"></div>
                                </li>
                            </ul>
                            <div class="form-group text-center correct-trailer-number d-none">
                                <label class="fs-12 mb-1">Enter Correct Trailer Number</label>
                                <input type="text" class="form-control text-center" name="verified_trailer_id" value="">
                            </div>
                        </div>
                        <div class="retrieval-reminder-box mx-auto d-none">
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                    <button type="button" class="btn btn-blue confirm-btn">Submit</button>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade ff-Inter" id="dropHookConfirmModal" tabindex="-1" role="dialog" aria-labelledby="dropHookConfirmModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered modal-blue modal-addLoad mx-width-412" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title fw-bold" id="dropHookConfirmModalLabel">Trailer Details</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <h6 class="fs-14 mb-2 text-dark pb-1 stop-heading d-none"></h6>
                    <p class="fs-12 mt-1 stop-address d-none"></p>
                    <form class="dropHookConfirmFrm" name="dropHookConfirmFrm" id="dropHookConfirmFrm" enctype="multipart/form-data" autocomplete="off">
                        <input type="hidden" name="jsonData" value="">
                        <div class="drap-hook-content">
                        </div>
                        <div>
                            <p class="d-flex fw-500 fs-14 text-dark align-items-center mb-0">
                                <a href="javascript:void(0);" class="btn btn-blue btn-add mr-3">
                                    <i class="fa fa-plus fs-6" aria-hidden="true"></i>
                                </a>
                                Add More
                            </p>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                    <button type="button" class="btn btn-blue confirm-btn">Confirm</button>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="dropHookFilesModal" tabindex="-1" role="dialog" aria-labelledby="dropHookFilesModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-blue modal-addLoad modal-dispatch" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="dropHookFilesModalLabel">View Images</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body append-view">
                    <p class="fs-14">No data available.</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="additionalFileModal" role="dialog" aria-labelledby="additionalFileModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-blue modal-addLoad" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="additionalFileModalLabel">Add More Documents</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form class="additionalFileFrm" name="additionalFileFrm" id="additionalFileFrm" autocomplete="off">
                    <div class="modal-body">
                        <input type="hidden" class="form-control" name="additional_file_id" value="">
                        <input type="hidden" class="form-control" name="additional_file_source" value="">
                        <input type="hidden" class="form-control" name="additional_file_field_name" value="">
                        <input type="hidden" class="form-control" name="additional_file_include_w_billing" value="">
                        <div class="form-group">
                            <label>Document Type<span>*</span></label>
                            <select class="form-control" name="additional_filename_id" data-parsley-errors-container="#additional_filename_id-error" required>
                                <option value="">Select Document Type</option>
                                @foreach ($getCompanyLoadDocument as $key => $node)
                                    <option value="{{ $node->id }}" data-include_w_billing="{{ $node->include_w_billing }}">{{ $node->name }}</option>
                                @endforeach
                                <option value="0">Other</option>
                            </select>
                            <div id="additional_filename_id-error"></div>
                            <span class="error additional_filename_id_error text-danger"></span>
                        </div>
                        <div class="form-group d-none">
                            <label>Document Name<span>*</span></label>
                            <input type="text" class="form-control" name="additional_filename" value="" placeholder="Enter Document Name">
                            <span class="error additional_filename_error text-danger"></span>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                        <button type="button" class="btn btn-blue save-btn">Add</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="modal fade" id="missingDocumentationModal" tabindex="-1" role="dialog" aria-labelledby="missingDocumentationModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-blue modal-addLoad modal-missing-documentation" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="missingDocumentationModalLabel">Missing Documentation</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="append-view">
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="reviewModal" tabindex="-1" role="dialog" aria-labelledby="reviewModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-blue modal-addLoad" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title fw-bold" id="reviewModalLabel">Review</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form class="reviewFrm" name="reviewFrm" id="reviewFrm" autocomplete="off">
                    <div class="modal-body">
                        <h6 class="fs-16 fw-600 mb-sm-3 mb-1 pb-1 text-dark description d-none"></h6>
                        <!--  -->
                        <input type="hidden" class="form-control" name="review_id" value="">
                        <!--  -->
                        <input type="hidden" class="form-control" name="customer_id" value="">
                        <!--  -->
                        <input type="hidden" class="form-control" name="id" value="">
                        <input type="hidden" class="form-control" name="customer_type" value="">
                        <input type="hidden" class="form-control" name="is_stop" value="">
                        <input type="hidden" class="form-control" name="stop_no" value="">
                        <!--  -->
                        <div class="rating mb-2">
                            <input type="radio" name="rating" id="r5" value="5" required>
                            <label for="r5"></label>

                            <input type="radio" name="rating" id="r4" value="4">
                            <label for="r4"></label>

                            <input type="radio" name="rating" id="r3" value="3">
                            <label for="r3"></label>

                            <input type="radio" name="rating" id="r2" value="2">
                            <label for="r2"></label>

                            <input type="radio" name="rating" id="r1" value="1">
                            <label for="r1"></label>
                        </div>
                        <div class="form-group">
                            <textarea class="form-control" name="review" placeholder="Enter your review..." rows="5" required></textarea>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                        <button type="button" class="btn btn-blue post-btn">Post</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="modal fade" id="detentionRequestModal" tabindex="-1" role="dialog" aria-labelledby="detentionRequestModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered modal-blue modal-addLoad" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title fw-bold" id="detentionRequestModalLabel">Detention Request</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="append-view"></div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script src="https://cdn.datatables.net/responsive/2.5.0/js/dataTables.responsive.min.js"></script>
    <script type="text/javascript">
        var dlUser                          = @json(auth()->guard('driver-admin')->user());
        var dlCompanyTwilioData; // getCompanyTwilioData
        if(dlUser.company_id){
            dlCompanyTwilioData             = @json(getCompanyTwilioData(auth()->guard('driver-admin')->user()->company_id));
        }

        var tabIntervals                    = {
            "#nav-current-dispatch": {},
            "#nav-upcoming-dispatch": {},
            "#nav-historic-dispatch": {}
        };
        var currentDispatchExists           = "{{ $current_dispatch_exists }}";

        var upcomingDispatchTable;
        var historicDispatchTable;
        $(document).ready(function() {
            // Get the current URL
            var currentUrl                  = window.location.href;
            // Create a URL object
            var urlObj                      = new URL(currentUrl);
            // Get the value of the active-tab parameter
            var activeTabValue              = urlObj.searchParams.get('active-tab');
            // Check if the value is null or undefined
            if (activeTabValue !== null && activeTabValue !== undefined) {
                setTimeout(function() {
                    $('.nav-tabs a[href="#'+activeTabValue+'"]').tab('show');
                }, 500);
            }

            // Get the hash fragment from the URL
            var myTripTabId                 = window.location.hash.substring(1);
            // console.log(myTripTabId);

            if(currentDispatchExists == 1){
                getCurrentDispatch();
            }
            upcomingDispatchTable           = $('.table-upcoming-dispatch').DataTable({
                responsive: {
                    details: {
                        renderer: function (api, rowIdx, columns) {
                            // Get the parent row element using DataTables API
                            // You can now access the parentRow and rowData as needed
                            let parentRow   = api.row(rowIdx).node();
                            // console.log('Parent Row Element:', parentRow);
                            let rowData     = api.row(rowIdx).data();
                            // console.log('Parent Row Data:', rowData);

                            let data        = columns.map((col, i) => {
                                // Conditionally apply data based on column index
                                let html    = '';
                                let title   = col.title !== '' ? col.title+':' : '';
                                if(col.hidden){
                                    if (col.columnIndex === 1) { // Action Button Logic
                                        col.className   += ' angle-updown';
                                        var btn         = $(parentRow).find('td:eq(1)').html();
                                        html            += `<li class="`+col.className+`" data-dt-row="`+col.rowIndex+`" data-dt-column="`+col.columnIndex+`">
                                            <span class="dtr-data">
                                                `+btn+`
                                            </span>
                                        </li>`;
                                    } else if (col.columnIndex === 2) { // View Details & Dispatch Now Button Logic
                                        var btn         = $(parentRow).find('td:eq(2)').html();
                                        html            += `<li class="`+col.className+`" data-dt-row="`+col.rowIndex+`" data-dt-column="`+col.columnIndex+`">
                                            <span class="dtr-data">
                                                `+btn+`
                                            </span>
                                        </li>`;
                                    } else {
                                        html            += `<li class="`+col.className+`" data-dt-row="`+col.rowIndex+`" data-dt-column="`+col.columnIndex+`">`;
                                        if (title !== '') {
                                            html        += `<span class="dtr-title">`+title+`</span><span class="dtr-data">`+col.data+`</span>`;
                                        } else {
                                            html        += `<span class="dtr-data">`+col.data+`</span>`;
                                        }
                                        html            += `</li>`;
                                    }
                                }
                                return html;
                            }).join('');

                            // Create a ul element with the class 'dtr-details'
                            let ulElement   = document.createElement('ul');
                            ulElement.className = 'dtr-details';
                            ulElement.innerHTML = data;

                            return ulElement.hasChildNodes() ? ulElement : false;
                        }
                    }
                },
                processing: true,
                serverSide: true,
                searching: false,
                ordering: false,
                paging: false,
                ajax:{
                    url:'{!! route("driver.admin.mytrips.upcoming.dispatch") !!}',
                    type:'POST',
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function () {
                        if (typeof upcomingDispatchTable != 'undefined' && upcomingDispatchTable.hasOwnProperty('settings')) {
                            upcomingDispatchTable.settings()[0].jqXHR.abort();
                        }
                    }
                },
                columns: [
                    { data: null, defaultContent: '', responsivePriority: 1 },
                    { data: 'action', name: 'action', className: 'dt-control view-details', defaultContent: '', responsivePriority: 5 },
                    { data: 'dispatch_now', name: 'dispatch_now', responsivePriority: 3 },
                    { data: 'load_status', name: 'load_status', responsivePriority: 4 },
                    { data: 'load_number', name: 'load_number', className: 'view-details', responsivePriority: 2 },
                    { data: 'empty_miles', name: 'empty_miles', responsivePriority: 10 },
                    { data: 'loaded_miles', name: 'loaded_miles', responsivePriority: 11 },
                    { data: 'total_miles', name: 'total_miles', responsivePriority: 12 },
                    { data: 'agreed_upon_rate', name: 'agreed_upon_rate', responsivePriority: 13 },
                    { data: 'cpm', name: 'cpm', responsivePriority: 14 },
                    { data: 'actual_shipper_date', name: 'actual_shipper_date', responsivePriority: 6 },
                    { data: 'actual_delivery_date', name: 'actual_delivery_date', responsivePriority: 7 },
                    { data: 'shipper_location', name: 'shipper_location', responsivePriority: 8 },
                    { data: 'delivery_location', name: 'delivery_location', responsivePriority: 9 },
                    { data: 'trailer_number', name: 'trailer_number', responsivePriority:15 },
                ],
                // rowId: 'id',
                createdRow: (row, data, index) => {
                    $(row).attr({
                        'data-parent': 'yes',
                        'data-index': index,
                        'data-id': data.id // Load Detail id
                    });
                    // View Details & Dispatch Now Button Logic
                    $(row).find('td:eq(2) a').addClass('view-details-btn');
                    if($(row).find('td:eq(2) a').text() === 'View Details'){
                        $(row).attr({
                            'data-for': 'View Details',
                            'data-is_on_hold': data.is_on_hold ?? 0,
                            'data-enable': 0
                        });
                    }else if($(row).find('td:eq(2) a').text() === 'Dispatch Now'){
                        $(row).attr({
                            'data-for': 'Dispatch Now',
                            'data-is_on_hold': data.is_on_hold ?? 0,
                            'data-enable': 0
                        });
                    }
                }
            });
            upcomingDispatchTable.on('draw', function () {
                var total                   = 0; // Initialize the total count
                var firstNotReadId          = null; // Initialize a variable to store the ID of the first not read record
                upcomingDispatchTable.rows().every(function (rowIdx, tableLoop, rowLoop) {
                    var rowData             = this.data(); // Get data for the current row
                    var rowNode             = this.node(); // Get the DOM node for the current row

                    // Get the number of visible and hidden columns for this row
                    var visibleColumnsCount = this.columns(':visible').count();
                    var hiddenColumnsCount  = this.columns(':hidden').count();

                    // console.log('Row ' + rowIdx + ':');
                    // console.log('Visible Columns Count:', visibleColumnsCount);
                    // console.log('Hidden Columns Count:', hiddenColumnsCount);

                    // Check if driver_read_at is null for the current row
                    if (rowData.driver_read_at === null) {
                        ++total; // Increment the total count for each not read record

                        // Check if this is the first not read record
                        if (firstNotReadId === null) {
                            firstNotReadId  = rowData.id; // Store the ID of the first not read record & Load Detail id
                        }
                    }

                    // Remove all existing child rows with the specified data-id
                    $('.table-upcoming-dispatch tr.child-row[data-id="' + rowData.id + '"]').remove();

                    // Append custom child row to the next row
                    var customChildRow      = `<tr class="child-row d-none" data-index="`+rowIdx+`" data-id="`+rowData.id+`">
                        <td class="child-td" colspan="`+(visibleColumnsCount)+`">
                        </td>
                    </tr>`;
                    $(rowNode).after(customChildRow);
                });

                // Check if a not read record was found and the total count
                if (firstNotReadId !== null) {
                    // console.log('The ID of the first not read record is: ' + firstNotReadId);
                    // console.log('Total not read records: ' + total);

                    upcomingDispatchRead(); // Driver read load ajax

                    $('.upcoming-dispatch-badge').text(total);
                    $('.upcoming-dispatch-badge').removeClass('d-none');

                    $('#newLoadModal .modal-footer').find('.details-btn').attr('data-id', firstNotReadId);
                    $('#newLoadModal').modal({backdrop: 'static', keyboard: false}, 'show');
                } else {
                    // console.log('No not read records found.');

                    $('.upcoming-dispatch-badge').text('');
                    $('.upcoming-dispatch-badge').addClass('d-none');
                }

                // View Details & Dispatch Now Button Logic
                var firstViewDetailTr       = $('.table-upcoming-dispatch tbody').find('tr[data-for="View Details"][data-is_on_hold="0"][data-enable="0"]:first');
                if(firstViewDetailTr){
                    firstViewDetailTr.attr('data-enable', 1);
                }

                var firstDispatchNowTr      = $('.table-upcoming-dispatch tbody').find('tr[data-for="Dispatch Now"][data-is_on_hold="0"][data-enable="0"]:first');
                if(currentDispatchExists == 0 && firstDispatchNowTr){
                    firstDispatchNowTr.attr('data-enable', 1);
                    firstDispatchNowTr.find('td:eq(2) a').addClass('btn-blue dispatch-now-btn').removeClass('btn-grey view-details-btn');
                }
            });
            // Add event listener for opening and closing details
            upcomingDispatchTable.on('click', 'td.view-details a, td:nth-child(3) a.view-details-btn, li.view-details a, li a.view-details-btn', function (e) {
                // console.log('View details button clicked!');

                var tr                      = $(e.target).closest('tr');
                if(tr.attr('data-parent') !== undefined){
                    // Parent
                    var row                 = upcomingDispatchTable.row(tr);
                }else{
                    // Child
                    if(tr.hasClass('child')){
                        var previousTr      = tr.prev(); // Main Tr
                        if(previousTr.length > 0 && previousTr.hasClass('parent')){
                            tr              = previousTr;
                            var row         = upcomingDispatchTable.row(previousTr);
                        }
                    }
                }

                var nextTr                  = tr.next(); // Responsive tr
                if(nextTr.length > 0 && nextTr.hasClass('child')){
                    var responsiveTr        = nextTr;
                }

                // Check if the row is defined
                if (typeof row !== 'undefined' && row !== null) {
                    // Check if the row exists
                    var rowExists           = row.any();
                    if (rowExists) {
                        var rowIndex        = row.index();
                        // var rowData      = upcomingDispatchTable.row(rowIndex).data();

                        var rowData         = row.data(); // Get data for the current row
                        var rowNode         = row.node(); // Get the DOM node for the current row

                        var childRow        = $('.table-upcoming-dispatch').find('tr.child-row[data-id="' + rowData.id + '"]');
                        if(childRow.length > 0 && childRow.find('.child-td').length > 0){
                            if(!childRow.hasClass('d-none')){
                                // This row is already open - close it
                                var td      = childRow.find('.child-td');
                                td.html('');
                                td.removeClass('py-0');

                                childRow.addClass('d-none');

                                tr.removeClass('shown');
                                tr.find('td:eq(1) .fa-angle-down').addClass('fa-angle-right').removeClass('fa-angle-down');

                                if(typeof responsiveTr !== 'undefined' && responsiveTr !== null){
                                    responsiveTr.find('li.angle-updown .fa-angle-down').addClass('fa-angle-right').removeClass('fa-angle-down');
                                }
                            }else{
                                // Open this row
                                var td      = childRow.find('.child-td');
                                td.html('<div class="loader">Please wait loading...</div>');
                                // td.addClass('py-0');

                                childRow.removeClass('d-none');

                                tr.addClass('shown');
                                tr.find('td:eq(1) .fa-angle-right').addClass('fa-angle-down').removeClass('fa-angle-right');

                                if(typeof responsiveTr !== 'undefined' && responsiveTr !== null){
                                    responsiveTr.find('li.angle-updown .fa-angle-right').addClass('fa-angle-down').removeClass('fa-angle-right');
                                }

                                // Make an AJAX request to get the detailed information
                                $.ajax({
                                    url: '/driver-admin/mytrips/upcoming-dispatch-detail',
                                    type: 'POST',
                                    data: {
                                        id: row.data().id, // Load Detail id
                                        for: tr.attr('data-for'), // View Details, Dispatch Now
                                        enable: tr.attr('data-enable')
                                    },
                                    dataType: 'json',
                                    headers: {
                                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                    },
                                    beforeSend: function () {
                                        // console.log('beforeSend');
                                    },
                                    success: function(response) {
                                        var html    = response.html;
                                        if(typeof html !== "undefined"){
                                            // Format the child row with the received data
                                            td.html(html); // td.html('Hello Hi'); // td.html(format(row.data())).show();
                                            td.addClass('py-0');
                                        }else{
                                            td.html('<div class="error">Failed to load data</div>');
                                        }
                                    },
                                    complete: function() {
                                        // console.log('complete');
                                    },
                                    error: function(jqXHR, status, exception) {
                                        td.html('<div class="error">Failed to load data</div>');
                                    }
                                });
                            }
                        }
                    }
                }
            });
            //
            historicDispatchTable           = $('.table-historic-dispatch').DataTable({
                responsive: {
                    details: {
                        renderer: function (api, rowIdx, columns) {
                            // Get the parent row element using DataTables API
                            // You can now access the parentRow and rowData as needed
                            let parentRow   = api.row(rowIdx).node();
                            // console.log('Parent Row Element:', parentRow);
                            let rowData     = api.row(rowIdx).data();
                            // console.log('Parent Row Data:', rowData);

                            let data        = columns.map((col, i) => {
                                // Conditionally apply data based on column index
                                let html    = '';
                                let title   = col.title !== '' ? col.title+':' : '';
                                if(col.hidden){
                                    if (col.columnIndex === 1) { // Action Button Logic
                                        col.className   += ' angle-updown';
                                        var btn         = $(parentRow).find('td:eq(1)').html();
                                        html            += `<li class="`+col.className+`" data-dt-row="`+col.rowIndex+`" data-dt-column="`+col.columnIndex+`">
                                            <span class="dtr-data">
                                                `+btn+`
                                            </span>
                                        </li>`;
                                    } else if (col.columnIndex === 2) { // Icon Button Logic
                                        var btn         = $(parentRow).find('td:eq(2)').html();
                                        html            += `<li class="`+col.className+`" data-dt-row="`+col.rowIndex+`" data-dt-column="`+col.columnIndex+`">
                                            <span class="dtr-data">
                                                `+btn+`
                                            </span>
                                        </li>`;
                                    } else if (col.columnIndex === 3) { // Status Button Logic
                                        var btn         = $(parentRow).find('td:eq(3)').html();
                                        html            += `<li class="`+col.className+`" data-dt-row="`+col.rowIndex+`" data-dt-column="`+col.columnIndex+`">`;
                                        if (title !== '') {
                                            html        += `<span class="dtr-title">`+title+`</span><span class="dtr-data">`+btn+`</span>`;
                                        } else {
                                            html        += `<span class="dtr-data">`+btn+`</span>`;
                                        }
                                        html            += `</li>`;
                                    } else {
                                        html            += `<li class="`+col.className+`" data-dt-row="`+col.rowIndex+`" data-dt-column="`+col.columnIndex+`">`;
                                        if (title !== '') {
                                            html        += `<span class="dtr-title">`+title+`</span><span class="dtr-data">`+col.data+`</span>`;
                                        } else {
                                            html        += `<span class="dtr-data">`+col.data+`</span>`;
                                        }
                                        html            += `</li>`;
                                    }
                                }
                                return html;
                            }).join('');

                            // Create a ul element with the class 'dtr-details'
                            let ulElement   = document.createElement('ul');
                            ulElement.className = 'dtr-details';
                            ulElement.innerHTML = data;

                            return ulElement.hasChildNodes() ? ulElement : false;
                        }
                    }
                },
                processing: true,
                serverSide: true,
                searching: true,
                // ordering: false,
                // paging: false,
                pageLength: 10,
                lengthChange: true,
                lengthMenu: [
                    [10, 20, 50, 100, -1],
                    [10, 20, 50, 100, 'All']
                ],
                dom: "<'row cusotdiv'<'col-sm-12 col-md-6 cusotdiv2'fl>><''><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-12'p>>",
                ajax:{
                    url:'{!! route("driver.admin.mytrips.historic.dispatch") !!}',
                    type:'POST',
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function () {
                        if (typeof historicDispatchTable != 'undefined' && historicDispatchTable.hasOwnProperty('settings')) {
                            historicDispatchTable.settings()[0].jqXHR.abort();
                        }
                    }
                },
                columns: [
                    { data: null, defaultContent: '', orderable: false, searchable: false, responsivePriority: 1 },
                    { data: 'action', name: 'action', className: 'dt-control view-details', defaultContent: '', orderable: false, searchable: false, responsivePriority: 5 },
                    { data: 'icon', name: 'icon', orderable: false, searchable: false, responsivePriority: 3 },
                    { data: 'status', name: 'status', orderable: false, searchable: false, responsivePriority: 4 },
                    { data: 'load_number', name: 'load_number', className: 'view-details', responsivePriority: 2 },
                    { data: 'empty_miles', name: 'empty_miles', responsivePriority: 10 },
                    { data: 'loaded_miles', name: 'loaded_miles', responsivePriority: 11 },
                    { data: 'total_miles', name: 'total_miles', responsivePriority: 12 },
                    { data: 'agreed_upon_rate', name: 'agreed_upon_rate', responsivePriority: 13 },
                    { data: 'cpm', name: 'cpm', responsivePriority: 14 },
                    { data: 'actual_shipper_date', name: 'actual_shipper_date', responsivePriority: 6 },
                    { data: 'actual_delivery_date', name: 'actual_delivery_date', responsivePriority: 7 },
                    { data: 'shipper_location', name: 'shipper_location', responsivePriority: 8 },
                    { data: 'delivery_location', name: 'delivery_location', responsivePriority: 9 },
                    { data: 'trailer_number', name: 'trailer_number', orderable: false, responsivePriority:15 }
                ],
                order: [[11, 'desc']],
                // rowId: 'id',
                createdRow: (row, data, index) => {
                    $(row).attr({
                        'data-parent': 'yes',
                        'data-index': index,
                        'data-id': data.id // Load Detail id
                    });

                    // Make an AJAX request to get the detailed information
                    $.ajax({
                        url: '/driver-admin/mytrips/historic-dispatch-status',
                        type: 'POST',
                        data: {
                            id: data.id // Load Detail id
                        },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        async: false,
                        beforeSend: function () {
                            $(row).find('td:eq(2)').html('<i class="fa fa-spinner" aria-hidden="true"></i>')
                            $(row).find('td:eq(3)').html('Loading...');
                        },
                        success: function(response) {
                            if(response.success){
                                if(typeof response.status !== "undefined"){
                                    if(response.status == 0){
                                        $(row).find('td:eq(2)').html('<i class="fa fa-exclamation text-danger" aria-hidden="true"></i>')
                                        $(row).find('td:eq(3)').html('<div class="d-flex text-danger align-items-center fw-600">Missing Paperwork</div>');
                                    }else{
                                        $(row).find('td:eq(2)').html('<i class="fa fa-check text-success" aria-hidden="true"></i>')
                                        $(row).find('td:eq(3)').html('<div class="d-flex text-success align-items-center fw-600">Complete</div>');
                                    }
                                }
                            }else{
                                // console.log(response.message);
                            }
                        },
                        complete: function() {
                            // console.log('complete');
                        },
                        error: function(jqXHR, status, exception) {
                            // console.log('Failed to load data');
                        }
                    });
                }
            });
            historicDispatchTable.on('draw', function () {
                historicDispatchTable.rows().every(function (rowIdx, tableLoop, rowLoop) {
                    var rowData             = this.data(); // Get data for the current row
                    var rowNode             = this.node(); // Get the DOM node for the current row

                    // Get the number of visible and hidden columns for this row
                    var visibleColumnsCount = this.columns(':visible').count();
                    var hiddenColumnsCount  = this.columns(':hidden').count();

                    // console.log('Row ' + rowIdx + ':');
                    // console.log('Visible Columns Count:', visibleColumnsCount);
                    // console.log('Hidden Columns Count:', hiddenColumnsCount);

                    // Remove all existing child rows with the specified data-id
                    $('.table-historic-dispatch tr.child-row[data-id="' + rowData.id + '"]').remove();

                    // Append custom child row to the next row
                    var customChildRow      = `<tr class="child-row d-none" data-index="`+rowIdx+`" data-id="`+rowData.id+`">
                        <td class="child-td" colspan="`+(visibleColumnsCount)+`">
                        </td>
                    </tr>`;
                    $(rowNode).after(customChildRow);
                });

                if (myTripTabId === 'nav-historic-dispatch') {
                    var id                  = new URLSearchParams(window.location.search).get('id');
                    if(id){
                        var tr              = $('.table-historic-dispatch').find('tbody tr[data-parent="yes"][data-id="'+id+'"]');
                        if(tr.length > 0){
                            if(!tr.hasClass('shown')){
                                tr.find('td:eq(1).view-details a').trigger('click');
                            }
                            setTimeout(function() {
                                $("html, body").animate({
                                    scrollTop: tr.offset().top - 120
                                }, 1000, 'swing');
                            }, 500);
                        }
                    }
                }
            });
            // Add event listener for opening and closing details
            historicDispatchTable.on('click', 'td.view-details a, li.view-details a', function (e) {
                // console.log('View details button clicked!');

                var tr                      = $(e.target).closest('tr');
                if(tr.attr('data-parent') !== undefined){
                    // Parent
                    var row                 = historicDispatchTable.row(tr);
                }else{
                    // Child
                    if(tr.hasClass('child')){
                        var previousTr      = tr.prev(); // Main Tr
                        if(previousTr.length > 0 && previousTr.hasClass('parent')){
                            tr              = previousTr;
                            var row         = historicDispatchTable.row(previousTr);
                        }
                    }
                }

                var nextTr                  = tr.next(); // Responsive tr
                if(nextTr.length > 0 && nextTr.hasClass('child')){
                    var responsiveTr        = nextTr;
                }

                // Check if the row is defined
                if (typeof row !== 'undefined' && row !== null) {
                    // Check if the row exists
                    var rowExists           = row.any();
                    if (rowExists) {
                        var rowIndex        = row.index();
                        // var rowData      = historicDispatchTable.row(rowIndex).data();

                        var rowData         = row.data(); // Get data for the current row
                        var rowNode         = row.node(); // Get the DOM node for the current row

                        var childRow        = $('.table-historic-dispatch').find('tr.child-row[data-id="' + rowData.id + '"]');
                        if(childRow.length > 0 && childRow.find('.child-td').length > 0){
                            if(!childRow.hasClass('d-none')){
                                // This row is already open - close it
                                var td      = childRow.find('.child-td');
                                td.html('');
                                td.removeClass('py-0');

                                childRow.addClass('d-none');

                                tr.removeClass('shown');
                                tr.find('td:eq(1) .fa-angle-down').addClass('fa-angle-right').removeClass('fa-angle-down');

                                if(typeof responsiveTr !== 'undefined' && responsiveTr !== null){
                                    responsiveTr.find('li.angle-updown .fa-angle-down').addClass('fa-angle-right').removeClass('fa-angle-down');
                                }
                            }else{
                                // Open this row
                                var td      = childRow.find('.child-td');
                                td.html('<div class="loader">Please wait loading...</div>');
                                // td.addClass('py-0');

                                childRow.removeClass('d-none');

                                tr.addClass('shown');
                                tr.find('td:eq(1) .fa-angle-right').addClass('fa-angle-down').removeClass('fa-angle-right');

                                if(typeof responsiveTr !== 'undefined' && responsiveTr !== null){
                                    responsiveTr.find('li.angle-updown .fa-angle-right').addClass('fa-angle-down').removeClass('fa-angle-right');
                                }

                                // Make an AJAX request to get the detailed information
                                $.ajax({
                                    url: '/driver-admin/mytrips/historic-dispatch-detail',
                                    type: 'POST',
                                    data: {
                                        id: row.data().id // Load Detail id
                                    },
                                    dataType: 'json',
                                    headers: {
                                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                    },
                                    beforeSend: function () {
                                        // console.log('beforeSend');
                                    },
                                    success: function(response) {
                                        var html    = response.html;
                                        if(typeof html !== "undefined"){
                                            // Format the child row with the received data
                                            td.html(html); // td.html('Hello Hi'); // td.html(format(row.data())).show();
                                            td.addClass('py-0');
                                        }else{
                                            td.html('<div class="error">Failed to load data</div>');
                                        }
                                    },
                                    complete: function() {
                                        // console.log('complete');
                                    },
                                    error: function(jqXHR, status, exception) {
                                        td.html('<div class="error">Failed to load data</div>');
                                    }
                                });
                            }
                        }
                    }
                }
            });
        });
        // Formatting function for row details - modify as you need
        function format(d) {
            // `d` is the original data object for the row
            return (
                '<dl>' +
                '<dt>Delivery Address 1:</dt>' +
                '<dd>' +
                d.delivery_address_one +
                '</dd>' +
                '<dt>Delivery City:</dt>' +
                '<dd>' +
                d.delivery_city +
                '</dd>' +
                '<dt>Extra info:</dt>' +
                '<dd>And any further details here (images etc)...</dd>' +
                '</dl>'
            );
        }
        function adjustDataTableColumns() {
            var targetTab                   = $('.trips-tabs #nav-tab').find('li a.active').attr('href');
            if(targetTab !== 'undefined'){
                if ( targetTab === '#nav-historic-dispatch' && historicDispatchTable !== 'undefined' && $.fn.DataTable.isDataTable('.table-historic-dispatch')) {
                    // Adjust columns and recalculate responsiveness
                    historicDispatchTable.columns.adjust().responsive.recalc();

                    // Check if historicDispatchTable DataTable has rows
                    if (historicDispatchTable.rows().count() > 0) {
                        // console.log("Both DataTables exist and have rows.");

                        historicDispatchTable.rows().every(function (rowIdx, tableLoop, rowLoop) {
                            var rowData             = this.data(); // Get data for the current row
                            var rowNode             = this.node(); // Get the DOM node for the current row

                            // Get the number of visible and hidden columns for this row
                            var visibleColumnsCount = this.columns(':visible').count();
                            var hiddenColumnsCount  = this.columns(':hidden').count();

                            // console.log('Row ' + rowIdx + ':');
                            // console.log('Visible Columns Count:', visibleColumnsCount);
                            // console.log('Hidden Columns Count:', hiddenColumnsCount);

                            var tableNode           = historicDispatchTable.table().node(); // Get the underlying table node
                            var childRow            = $(tableNode).find('tr.child-row[data-id="' + rowData.id + '"]');
                            if(childRow.length > 0 && childRow.find('.child-td').length > 0){
                                childRow.find('.child-td').attr('colspan', visibleColumnsCount);
                            }
                        });
                    }
                } else if(targetTab === '#nav-upcoming-dispatch' && upcomingDispatchTable !== 'undefined' && $.fn.DataTable.isDataTable('.table-upcoming-dispatch')) {
                    // Adjust columns and recalculate responsiveness
                    upcomingDispatchTable.columns.adjust().responsive.recalc();

                    // Check if upcomingDispatchTable DataTable has rows
                    if (upcomingDispatchTable.rows().count() > 0) {
                        // console.log("Both DataTables exist and have rows.");

                        upcomingDispatchTable.rows().every(function (rowIdx, tableLoop, rowLoop) {
                            var rowData             = this.data(); // Get data for the current row
                            var rowNode             = this.node(); // Get the DOM node for the current row

                            // Get the number of visible and hidden columns for this row
                            var visibleColumnsCount = this.columns(':visible').count();
                            var hiddenColumnsCount  = this.columns(':hidden').count();

                            // console.log('Row ' + rowIdx + ':');
                            // console.log('Visible Columns Count:', visibleColumnsCount);
                            // console.log('Hidden Columns Count:', hiddenColumnsCount);

                            var tableNode           = upcomingDispatchTable.table().node(); // Get the underlying table node
                            var childRow            = $(tableNode).find('tr.child-row[data-id="' + rowData.id + '"]');
                            if(childRow.length > 0 && childRow.find('.child-td').length > 0){
                                childRow.find('.child-td').attr('colspan', visibleColumnsCount);
                            }
                        });
                    }
                }
            }
        }
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('.trips-tabs #nav-tab a[data-toggle="tab"]').on('show.bs.tab', function (e) {
                var newTabId                = $(e.target).attr('href');
                var previousTabId           = $(e.relatedTarget).attr('href');
                // console.log("Tab changed from " + previousTabId + " to " + newTabId);
                if(newTabId == '#nav-current-dispatch'){
                    // console.log('start');
                    var id                  = $('.current-dispatch-hedding .load-detail-id').attr('data-id'); // Load detail id
                    if (typeof id !== "undefined" && id !== null && id.trim() !== "") {
                        // Set up a timer to call the fetchData function every 30 seconds
                        tabIntervals["#nav-current-dispatch"]["completed-miles"] = setInterval(getCompletedMiles, 60000); // 30 seconds in milliseconds
                    }
                }else{
                    if(previousTabId == '#nav-current-dispatch'){
                        // console.log('stop');
                        var id              = $('.current-dispatch-hedding .load-detail-id').attr('data-id'); // Load detail id
                        if (typeof id !== "undefined" && id !== null && id.trim() !== "") {
                            // Check if intervalId exists and is not undefined before clearing the interval
                            if (tabIntervals.hasOwnProperty("#nav-current-dispatch") && tabIntervals["#nav-current-dispatch"].hasOwnProperty("completed-miles")) {
                                // Clear the previous interval to prevent overlapping requests
                                clearInterval(tabIntervals["#nav-current-dispatch"]["completed-miles"]);
                            }
                        }
                    }
                }
            });
            // Initialize DataTables for the active tab
            $('.trips-tabs #nav-tab a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
                adjustDataTableColumns();
            });
            // Handle window resize event and tab change
            $(window).on('resize', function () {
                adjustDataTableColumns();
            });
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            // View New Load Details
            $('#newLoadModal').on('hidden.bs.modal', function () {
                $('#newLoadModal').find('.details-btn').attr('data-id', '');
            });
            // Dispatch Now Modal
            $('#dispatchNowModal').on('hidden.bs.modal', function () {
                $('#dispatchNowModal').find('.append-view').html('');
            });
            $('#dispatchNowModal').on('show.bs.modal', function () {
                $('#dispatchNowModal').find('.append-view').html(`
                    <div class="loadingdiv">
                        <img src="`+loadimg+`">
                    </div>
                `);
            });
            // Load Requirements Modal
            $('#dispatchRequirementsModal').on('hidden.bs.modal', function () {
                $('#dispatchRequirementsModal').find('.append-view').html('');
            });
            $('#dispatchRequirementsModal').on('show.bs.modal', function () {
                $('#dispatchRequirementsModal').find('.append-view').html(`
                    <div class="loadingdiv">
                        <img src="`+loadimg+`">
                    </div>
                `);
            });
            // Dimension Modal
            $('#dimensionModal').on('hidden.bs.modal', function () {
                $('#dimensionModal').find('.append-view').html('');
            });
            // Dispatch Update Modal
            $('#dispatchUpdateModal').on('hidden.bs.modal', function () {
                $('#dispatchUpdateModal').find('.append-view').html('');
                if($('#dispatchUpdateModal').find('.modal-dispatch-update').hasClass('modal-lg')){
                    $('#dispatchUpdateModal').find('.modal-dispatch-update').removeClass('modal-lg');
                }
            });
            $('#dispatchUpdateModal').on('show.bs.modal', function () {
                $('#dispatchUpdateModal').find('.append-view').html(`
                    <div class="loadingdiv">
                        <img src="`+loadimg+`">
                    </div>
                `);
            });
        });
    </script>
    <script type="text/javascript">
        $(document).on('click', '.table-upcoming-dispatch .multiple-trailers, .table-historic-dispatch .multiple-trailers', function(event) {
            event.preventDefault();
            // console.log('Multiple Trailers');
            // return false;

            var that                        = $(this);
            var tooltip                     = that.parent().find('.trailer-tooltip');
            if(tooltip.hasClass('d-none')){
                $('.trailer-tooltip').addClass('d-none');
                tooltip.removeClass('d-none');
            }else{
                tooltip.addClass('d-none');
            }
        });
    </script>
    <script type="text/javascript">
        $(document).on('click', 'a[data-dimensions]', function (event) {
            event.preventDefault();
            // console.log('Dimension Details');
            // return false;

            var that                        = $(this);
            var dimensions                  = JSON.parse(that.attr('data-dimensions'));
            if(dimensions.length > 0){
                var html                    = '';
                $.each(dimensions, function(index, value) {
                    var length              = value.length ? value.length+' (ft)': '';
                    var width               = value.width ? value.width+' (in)': '';
                    var height              = value.height ? value.height+' (in)': '';
                    var cubic_volume_in     = value.cubic_volume_in ? value.cubic_volume_in+' (in)': '';
                    var cubic_volume_ft     = value.cubic_volume_ft ? value.cubic_volume_ft+' (ft)': '';
                    var pallets             = value.pallets ? value.pallets+' (ct)': '';

                    html                    += `<div class="row justify-content-between g-2">
                        <div class="col-lg-auto col-md-4 col-6">
                            <span>Length: `+length+`</span>
                        </div>
                        <div class="col-lg-auto col-md-4 col-6">
                            <span>Width: `+width+`</span>
                        </div>
                        <div class="col-lg-auto col-md-4 col-6">
                            <span>Height: `+height+`</span>
                        </div>
                        <div class="col-lg-auto col-md-4 col-6">
                            <span>Cubic Volume: `+cubic_volume_in+`</span>
                        </div>
                        <div class="col-lg-auto col-md-4 col-6">
                            <span>Cubic Volume: `+cubic_volume_ft+`</span>
                        </div>
                        <div class="col-lg-auto col-md-4 col-6">
                            <span>Pallets: `+pallets+`</span>
                        </div>
                    </div>`;
                });
                if(html!=''){
                    $('#dimensionModal').find('.append-view').html(html);
                    setTimeout(function() {
                        $('#dimensionModal').modal('show');
                    }, 250);
                }
            }
        });
        $(document).on('click', '.dishpatchPlan-main a.btn-cancel', function(event) {
            event.preventDefault();
            // console.log('Btn Cancel');
            // return false;

            var that                        = $(this);
            var main                        = that.closest('.dishpatchPlan-main');
            if(main.length > 0){
                var closestTr               = main.closest('tr');
                if(closestTr.length > 0){
                    var id                  = closestTr.attr('data-id');
                    if(id){
                        var tr              = $('.table-upcoming-dispatch').find('tbody tr[data-parent="yes"][data-id="'+id+'"]');
                        if(tr.length > 0 && tr.hasClass('shown')){
                            tr.find('td:eq(1).view-details a').trigger('click');
                        }
                    }
                }
            }
        });
    </script>
    <script type="text/javascript">
        $(document).on('click', '#newLoadModal button.details-btn', function(event) {
            event.preventDefault();
            // console.log('Dispatch Now View Loads');
            // return false;

            var that    = $(this);
            var id      = that.attr('data-id'); // Load detail id
            var tr      = $('.table-upcoming-dispatch').find('tbody tr[data-parent="yes"][data-id="'+id+'"]');
            if(tr.length > 0){
                if(tr.hasClass('shown')){
                    $('#newLoadModal').modal('hide');
                }else{
                    tr.find('td:eq(1).view-details a').trigger('click');
                    setTimeout(function() {
                        $('#newLoadModal').modal('hide');
                        if($('.nav-tabs li a.active').attr('href') != '#nav-upcoming-dispatch'){
                            $('.nav-tabs a[href="#nav-upcoming-dispatch"]').tab('show');
                        }
                        setTimeout(function() {
                            $("html, body").animate({
                                scrollTop: tr.offset().top - 120
                            }, 1000, 'swing');
                        }, 250);
                    }, 500);
                }
            }
        });
    </script>
    <script type="text/javascript">
        $(document).on('click', 'a.dispatch-now-btn', function (event) {
            event.preventDefault();
            // console.log('Dispatch Now Btn');
            // return false;

            var that    = $(this);
            var id      = that.attr('data-id'); // Load detail id
            if(typeof id === 'undefined'){
                id      = that.closest('tr').attr('data-id'); // Load detail id
            }

            $.ajax({
                url: '/driver-admin/mytrips/dispatch-now-detail',
                type: 'POST',
                data: { id: id },
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                beforeSend: function () {
                    $('#dispatchNowModal').modal({backdrop: 'static', keyboard: false}, 'show');
                },
                success: function(response) {
                    var html    = response.html;
                    if(typeof html !== "undefined"){
                        $('#dispatchNowModal').find('.append-view').html(html);
                    }else{
                        toastr.error('Oops! Something went wrong..', 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                },
                complete: function() {
                    // console.log('complete');
                },
                error: function(jqXHR, status, exception) {
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, 'Error Alert', {
                        timeOut: 5000
                    });
                }
            });
            return false;
        });
        $(document).on('click', '#dispatchNowModal button.confirm-btn', function(event) {
            event.preventDefault();
            // console.log('Dispatch Now Confirm Loads');
            // return false;

            var that    = $(this);
            var id      = that.attr('data-id'); // Load detail id

            $('#dispatchNowModal').modal('hide');
            setTimeout(function() {
                $.ajax({
                    url: '/driver-admin/mytrips/dispatch-requirements-detail',
                    type: 'POST',
                    data: { id: id },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function () {
                        $('#dispatchRequirementsModal').modal({backdrop: 'static', keyboard: false}, 'show');
                    },
                    success: function(response) {
                        var html    = response.html;
                        if(typeof html !== "undefined"){
                            $('#dispatchRequirementsModal').find('.append-view').html(html);
                        }else{
                            toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        // console.log('complete');
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }, 500);
            return false;
        });
        $(document).on('click', '#dispatchNowModal button.details-btn', function(event) {
            event.preventDefault();
            // console.log('Dispatch Now View Loads');
            // return false;

            var that    = $(this);
            var id      = that.attr('data-id'); // Load detail id
            var tr      = $('.table-upcoming-dispatch').find('tbody tr[data-parent="yes"][data-id="'+id+'"]');
            if(tr.length > 0){
                if(tr.hasClass('shown')){
                    $('#dispatchNowModal').modal('hide');
                }else{
                    tr.find('td:eq(1).view-details a').trigger('click');
                    setTimeout(function() {
                        $('#dispatchNowModal').modal('hide');
                    }, 500);
                }
            }
        });
    </script>
    <script type="text/javascript">
        $(document).on('click', '.table-upcoming-dispatch a.change-status', function (event) {
            event.preventDefault();
            // console.log('Change Status');
            // return false;

            var that                = $(this);
            var id                  = that.attr('data-id'); // Load detail id or Load Stop
            var status              = that.attr('data-status');
            var type                = that.attr('data-type'); // 1 = Reason Without Confirm, 2 = Reason With Confirm
            var is_stop             = that.attr('data-is_stop'); // 1 = Stop, 0 = No Stop
            var acknowledgement     = that.attr('data-acknowledgement'); // 1 = Preplaned Driver Acknowledgement, 2 = Confirmed Driver Acknowledgement, 3 = Intransit Driver Acknowledgement, 4 = Delivered Driver Acknowledgement
            if(typeof acknowledgement === "undefined")
                acknowledgement     = 0;

            if(id){
                if(type=='1'){
                    Swal.fire({
                        title: "Are you sure?",
                        text: "You won't be able to revert this!",
                        icon: "warning",
                        showCancelButton: true,
                        reverseButtons: true,
                        confirmButtonColor: "#305F9C",
                        confirmButtonText: that.text(),
                        allowOutsideClick: false
                    }).then((result) => {
                        if(result.isConfirmed){
                            $.ajax({
                                url: '{!! route("driver.admin.mytrips.change.status") !!}',
                                type: 'POST',
                                data: {
                                    id: id,
                                    status:status,
                                    type:type,
                                    is_stop:is_stop,
                                    acknowledgement:acknowledgement
                                },
                                dataType: 'json',
                                headers: {
                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                },
                                beforeSend: function () {
                                    // console.log('beforeSend');
                                },
                                success: function(response) {
                                    if(response.success){
                                        var txt = that.text();
                                        txt     = txt.charAt(0).toUpperCase() + txt.slice(1).toLowerCase()
                                        toastr.success(
                                            txt+' successfully', // response.message,
                                            'Success Alert', {
                                                timeOut: 1000,
                                                fadeOut: 1000,
                                                onHidden: function () {
                                                    $('.table-upcoming-dispatch').DataTable().ajax.reload(null, false);
                                                }
                                            }
                                        );
                                    }else{
                                        toastr.error(response.message, 'Error Alert', {
                                            timeOut: 5000
                                        });
                                    }
                                },
                                complete: function() {
                                    // console.log('complete');
                                },
                                error: function(jqXHR, status, exception) {
                                    if (jqXHR.status === 0) {
                                        error = 'Not connected.\nPlease verify your network connection.';
                                    } else if (jqXHR.status == 404) {
                                        error = 'The requested page not found. [404]';
                                    } else if (jqXHR.status == 500) {
                                        error = 'Internal Server Error [500].';
                                    } else if (exception === 'parsererror') {
                                        error = 'Requested JSON parse failed.';
                                    } else if (exception === 'timeout') {
                                        error = 'Time out error.';
                                    } else if (exception === 'abort') {
                                        error = 'Ajax request aborted.';
                                    } else {
                                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                                    }
                                    toastr.error(error, 'Error Alert', {
                                        timeOut: 5000
                                    });
                                }
                            });
                            return false;
                        }
                    });
                }else{
                    Swal.fire({
                        title: "Are you sure?",
                        text: "You won't be able to revert this!",
                        icon: "warning",
                        input: 'textarea',
                        //inputLabel: 'Reason',
                        inputPlaceholder: 'Type your reason here...',
                        inputAttributes: {
                            'aria-label': 'Type your reason here'
                        },
                        inputValidator: (value) => {
                            return !value && 'You need to write something!'
                        },
                        showCancelButton: true,
                        reverseButtons: true,
                        confirmButtonColor: "#305F9C",
                        confirmButtonText: that.text(),
                        allowOutsideClick: false
                    }).then((result) => {
                        if(result.isConfirmed){
                            $.ajax({
                                url: '{!! route("driver.admin.mytrips.change.status") !!}',
                                type: 'POST',
                                data: {
                                    id: id,
                                    status:status,
                                    type:type,
                                    is_stop:is_stop,
                                    acknowledgement:acknowledgement,
                                    reason:result.value
                                },
                                dataType: 'json',
                                headers: {
                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                },
                                beforeSend: function () {
                                    // console.log('beforeSend');
                                },
                                success: function(response) {
                                    if(response.success){
                                        var txt = that.text();
                                        txt     = txt.charAt(0).toUpperCase() + txt.slice(1).toLowerCase()
                                        toastr.success(
                                            txt+' successfully', // response.message,
                                            'Success Alert', {
                                                timeOut: 1000,
                                                fadeOut: 1000,
                                                onHidden: function () {
                                                    $('.table-upcoming-dispatch').DataTable().ajax.reload(null, false);
                                                }
                                            }
                                        );
                                    }else{
                                        toastr.error(response.message, 'Error Alert', {
                                            timeOut: 5000
                                        });
                                    }
                                },
                                complete: function() {
                                    // console.log('complete');
                                },
                                error: function(jqXHR, status, exception) {
                                    if (jqXHR.status === 0) {
                                        error = 'Not connected.\nPlease verify your network connection.';
                                    } else if (jqXHR.status == 404) {
                                        error = 'The requested page not found. [404]';
                                    } else if (jqXHR.status == 500) {
                                        error = 'Internal Server Error [500].';
                                    } else if (exception === 'parsererror') {
                                        error = 'Requested JSON parse failed.';
                                    } else if (exception === 'timeout') {
                                        error = 'Time out error.';
                                    } else if (exception === 'abort') {
                                        error = 'Ajax request aborted.';
                                    } else {
                                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                                    }
                                    toastr.error(error, 'Error Alert', {
                                        timeOut: 5000
                                    });
                                }
                            });
                            return false;
                        }
                    });
                }
            }
        });
        $(document).on('click', '#dispatchRequirementsModal button.reject-btn', function(event) {
            event.preventDefault();
            // console.log('Load Requirements Reject Loads');
            // return false;

            var that                = $(this);
            var id                  = that.attr('data-id'); // Load detail id or Load Stop
            var status              = that.attr('data-status');
            var type                = that.attr('data-type'); // 1 = Reason Without Confirm, 2 = Reason With Confirm
            var is_stop             = that.attr('data-is_stop'); // 1 = Stop, 0 = No Stop
            var acknowledgement     = that.attr('data-acknowledgement'); // 1 = Preplaned Driver Acknowledgement, 2 = Confirmed Driver Acknowledgement, 3 = Intransit Driver Acknowledgement, 4 = Delivered Driver Acknowledgement
            if(typeof acknowledgement === "undefined")
                acknowledgement     = 0;

            if(id){
                $('#dispatchRequirementsModal').modal('hide');
                setTimeout(function() {
                    Swal.fire({
                        title: "Are you sure?",
                        text: "You won't be able to revert this!",
                        icon: "warning",
                        input: 'textarea',
                        //inputLabel: 'Reason',
                        inputPlaceholder: 'Type your reason here...',
                        inputAttributes: {
                            'aria-label': 'Type your reason here'
                        },
                        inputValidator: (value) => {
                            return !value && 'You need to write something!'
                        },
                        showCancelButton: true,
                        reverseButtons: true,
                        confirmButtonColor: "#305F9C",
                        confirmButtonText: that.text(),
                        allowOutsideClick: false
                    }).then((result) => {
                        if(result.isConfirmed){
                            $.ajax({
                                url: '{!! route("driver.admin.mytrips.change.status") !!}',
                                type: 'POST',
                                data: {
                                    id: id,
                                    status:status,
                                    type:type,
                                    is_stop:is_stop,
                                    acknowledgement:acknowledgement,
                                    reason:result.value
                                },
                                dataType: 'json',
                                headers: {
                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                },
                                beforeSend: function () {
                                    // console.log('beforeSend');
                                },
                                success: function(response) {
                                    if(response.success){
                                        var txt = that.text();
                                        txt     = txt.charAt(0).toUpperCase() + txt.slice(1).toLowerCase()
                                        toastr.success(
                                            txt+' successfully', // response.message,
                                            'Success Alert', {
                                                timeOut: 1000,
                                                fadeOut: 1000,
                                                onHidden: function () {
                                                    $('.table-upcoming-dispatch').DataTable().ajax.reload(null, false);
                                                }
                                            }
                                        );
                                    }else{
                                        toastr.error(response.message, 'Error Alert', {
                                            timeOut: 5000
                                        });
                                    }
                                },
                                complete: function() {
                                    // console.log('complete');
                                },
                                error: function(jqXHR, status, exception) {
                                    if (jqXHR.status === 0) {
                                        error = 'Not connected.\nPlease verify your network connection.';
                                    } else if (jqXHR.status == 404) {
                                        error = 'The requested page not found. [404]';
                                    } else if (jqXHR.status == 500) {
                                        error = 'Internal Server Error [500].';
                                    } else if (exception === 'parsererror') {
                                        error = 'Requested JSON parse failed.';
                                    } else if (exception === 'timeout') {
                                        error = 'Time out error.';
                                    } else if (exception === 'abort') {
                                        error = 'Ajax request aborted.';
                                    } else {
                                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                                    }
                                    toastr.error(error, 'Error Alert', {
                                        timeOut: 5000
                                    });
                                }
                            });
                            return false;
                        }
                    });
                }, 500);
            }
        });
        $(document).on('click', '#dispatchRequirementsModal button.confirm-btn', function(event) {
            event.preventDefault();
            // console.log('Load Requirements Confirm Loads');
            // return false;

            var isChecked           = $('#dispatchRequirementsModal').find('#not-received-check-202').is(':checked');
            if(!isChecked){
                $('#dispatchRequirementsModal .not-received-check-202_error').text('This value is required.');
                setTimeout(function(){
                    $('#dispatchRequirementsModal .not-received-check-202_error').text('');
                }, 3000);
                return false;
            }else{
                var that            = $(this);
                var id              = that.attr('data-id'); // Load detail id or Load Stop
                var status          = that.attr('data-status');
                var type            = that.attr('data-type'); // 1 = Reason Without Confirm, 2 = Reason With Confirm
                var is_stop         = that.attr('data-is_stop'); // 1 = Stop, 0 = No Stop
                var acknowledgement = that.attr('data-acknowledgement'); // 1 = Preplaned Driver Acknowledgement, 2 = Confirmed Driver Acknowledgement, 3 = Intransit Driver Acknowledgement, 4 = Delivered Driver Acknowledgement
                if(typeof acknowledgement === "undefined")
                    acknowledgement = 0;

                if(id){
                    $('#dispatchRequirementsModal').modal('hide');
                    setTimeout(function() {
                        $('#dispatchUpdateModal').modal({backdrop: 'static', keyboard: false}, 'show');
                        // Mytrip change status
                        $('#dispatchUpdateModal').find('.append-view').html(`
                            <div class="modal-body">
                                <div class="col-12">
                                    <button
                                        type="button"
                                        class="btn btn-blue w-100 mb-2 text-left fs-16 fw-semi-bold dispatch-update-btn"
                                        data-id="`+id+`"
                                        data-status="`+status+`"
                                        data-type="`+type+`"
                                        data-acknowledgement="`+acknowledgement+`"
                                        data-is_stop="`+is_stop+`">I'm on my way!</button>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                            </div>
                        `);
                    }, 500);
                    return false;
                }
            }
        });
        $(document).on('click', '#dispatchUpdateModal button.dispatch-update-btn', function(event) {
            event.preventDefault();
            // console.log('Dispatch update');
            // return false;

            var that                = $(this);
            var id                  = that.attr('data-id'); // Load detail id or Load Stop
            var status              = that.attr('data-status');
            var type                = that.attr('data-type'); // 1 = Reason Without Confirm, 2 = Reason With Confirm
            var is_stop             = that.attr('data-is_stop'); // 1 = Stop, 0 = No Stop
            var acknowledgement     = that.attr('data-acknowledgement'); // 1 = Preplaned Driver Acknowledgement, 2 = Confirmed Driver Acknowledgement, 3 = Intransit Driver Acknowledgement, 4 = Delivered Driver Acknowledgement
            if(typeof acknowledgement === "undefined")
                acknowledgement     = 0;

            if(id){
                $.ajax({
                    url: '{!! route("driver.admin.mytrips.change.status") !!}',
                    type: 'POST',
                    data: {
                        id: id,
                        status:status,
                        type:type,
                        is_stop:is_stop,
                        acknowledgement:acknowledgement
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function () {
                        // console.log('beforeSend');
                    },
                    success: function(response) {
                        if(response.success){
                            $('#dispatchUpdateModal').modal('hide');

                            var txt = that.text();
                            txt     = txt.charAt(0).toUpperCase() + txt.slice(1).toLowerCase()
                            toastr.success(
                                txt+' successfully', // response.message,
                                'Success Alert', {
                                    timeOut: 1000,
                                    fadeOut: 1000,
                                    onHidden: function () {
                                        currentDispatchExists = 1;
                                        $('.table-upcoming-dispatch').DataTable().ajax.reload(null, false);

                                        getCurrentDispatch();
                                        setTimeout(function() {
                                            $('.nav-tabs a[href="#nav-current-dispatch"]').tab('show');
                                        }, 500);
                                    }
                                }
                            );
                        }else{
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        // console.log('complete');
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
                return false;
            }
        });
        $(document).on('click', '#dispatchUpdateModal button.depart-request-btn', function(event) {
            event.preventDefault();
            // console.log('Depart');
            // return false;

            var that                        = $(this);
            var id                          = that.attr('data-id'); // Load detail id or Load Stop
            var customer_type               = that.attr('data-customer_type'); // 1 = Pickup, 2 = Delivery
            var is_stop                     = that.attr('data-is_stop'); // 1 = Stop, 0 = No Stop
            var type                        = that.attr('data-type'); // 1 = Arrive, 2 = Depart
            var stop_no                     = that.attr('data-stop_no'); // Get from arrive-depart-request button
            if(typeof stop_no === 'undefined'){
                var btn                     = $('.carousel-item.active .dishpatchPlan-content a.arrive-depart-request'); // Active drop & hook button get
                var stop                    = btn.closest('.carousel-item');
                var stop_no                 = stop.attr('data-stop_no');
            }
            var action                      = that.attr('data-action'); // Action
            if(typeof action === 'undefined'){
                action                      = '';
            }

            if(id){
                var typename                = type == 1 ? 'Arrive' : 'Depart';
                var text                    = typename+' Stop '+stop_no;

                var formData                = {};
                formData['id']              = id;
                formData['customer_type']   = customer_type;
                formData['is_stop']         = is_stop;
                formData['type']            = type;
                formData['stop_no']         = stop_no;
                // Assuming your variable is named 'myVariable'
                if (typeof that.attr('data-next_id') !== 'undefined' && $.trim(that.attr('data-next_id')) !== '') {
                    // The variable is not undefined and not blank
                    formData['next_id']     = that.attr('data-next_id');
                }

                $.ajax({
                    url: '{!! route("driver.admin.mytrips.arrive.depart.request") !!}',
                    type: 'POST',
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function () {
                        // console.log('beforeSend');
                    },
                    success: function(response) {
                        if(response.success){
                            $('#dispatchUpdateModal').modal('hide');

                            toastr.success(
                                text+' successfully',
                                'Success Alert', {
                                    timeOut: 1000,
                                    fadeOut: 1000,
                                    onHidden: function () {
                                        getCurrentDispatch(); // getCarouselContent();

                                        if(stop_no == '99'){
                                            if(action == 1){
                                                // I'll upload the documents later. - Load Next Dispatch

                                                currentDispatchExists = 1;

                                                $('.table-upcoming-dispatch').DataTable().ajax.reload(null, false);
                                                $('.table-historic-dispatch').DataTable().ajax.reload(null, false);
                                            }else if(action == 2){
                                                // Upload missing documents

                                                currentDispatchExists = 0;

                                                $('.nav-tabs a[href="#nav-historic-dispatch"]').tab('show');
                                                $('.table-historic-dispatch').DataTable().ajax.reload(function(){
                                                    var tr                      = $('.table-historic-dispatch').find('tbody tr[data-parent="yes"][data-id="'+id+'"]');
                                                    if(tr.length > 0 && !tr.hasClass('shown')){
                                                        tr.find('td:eq(1).view-details a').trigger('click');
                                                        setTimeout(function() {
                                                            $("html, body").animate({
                                                                scrollTop: tr.offset().top - 120
                                                            }, 1000, 'swing');
                                                        }, 500);
                                                    }
                                                }, false);
                                                $('.table-upcoming-dispatch').DataTable().ajax.reload(null, false);
                                            }else{
                                                // Go to all dispatches

                                                currentDispatchExists = 0;

                                                $('.nav-tabs a[href="#nav-upcoming-dispatch"]').tab('show');
                                                $('.table-upcoming-dispatch').DataTable().ajax.reload(null, false);
                                                $('.table-historic-dispatch').DataTable().ajax.reload(null, false);
                                            }
                                        }
                                    }
                                }
                            );
                        }else{
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        // console.log('complete');
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
                return false;
            }
        });
    </script>
    <script type="text/javascript">
        $(document).on('click', '.dishpatchPlan-content a.arrive-depart-request', function (event) {
            event.preventDefault();
            // console.log('arrive-depart-request');
            // return false;

            var that                        = $(this);
            var id                          = that.attr('data-id'); // Load detail id or Load Stop
            var customer_type               = that.attr('data-customer_type'); // 1 = Pickup, 2 = Delivery
            var is_stop                     = that.attr('data-is_stop'); // 1 = Stop, 0 = No Stop
            var type                        = that.attr('data-type'); // 1 = Arrive, 2 = Depart

            if(id){
                var stop                    = that.closest('.carousel-item'); // Active Stop
                var stop_no                 = stop.attr('data-stop_no'); // Active Stop no

                var typename                = type == 1 ? 'Arrive' : 'Depart';
                var text                    = typename+' Stop '+stop_no;

                var formData                = {};
                formData['id']              = id;
                formData['customer_type']   = customer_type;
                formData['is_stop']         = is_stop;
                formData['type']            = type;
                formData['stop_no']         = stop_no;

                Swal.fire({
                    title: "Are you sure?",
                    html: `
                        <p style="font-weight: 600;">`+text+`</p>
                        <p>You won't be able to revert this!</p>
                    `,
                    // text: "You won't be able to revert this!",
                    icon: "warning",
                    showCancelButton: true,
                    reverseButtons: true,
                    confirmButtonColor: "#305F9C",
                    confirmButtonText: 'Confirm',
                    allowOutsideClick: false
                }).then((result) => {
                    if(result.isConfirmed){
                        if(type == 1){ // Arrive
                            $.ajax({
                                url: '{!! route("driver.admin.mytrips.arrive.depart.request") !!}',
                                type: 'POST',
                                data: formData,
                                dataType: 'json',
                                headers: {
                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                },
                                beforeSend: function () {
                                    // console.log('beforeSend');
                                },
                                success: function(response) {
                                    if(response.success){
                                        toastr.success(
                                            text+' successfully',
                                            'Success Alert', {
                                                timeOut: 1000,
                                                fadeOut: 1000,
                                                onHidden: function () {
                                                    getCurrentDispatch(); // getCarouselContent();
                                                }
                                            }
                                        );
                                    }else{
                                        toastr.error(response.message, 'Error Alert', {
                                            timeOut: 5000
                                        });
                                    }
                                },
                                complete: function() {
                                    // console.log('complete');
                                },
                                error: function(jqXHR, status, exception) {
                                    if (jqXHR.status === 0) {
                                        error = 'Not connected.\nPlease verify your network connection.';
                                    } else if (jqXHR.status == 404) {
                                        error = 'The requested page not found. [404]';
                                    } else if (jqXHR.status == 500) {
                                        error = 'Internal Server Error [500].';
                                    } else if (exception === 'parsererror') {
                                        error = 'Requested JSON parse failed.';
                                    } else if (exception === 'timeout') {
                                        error = 'Time out error.';
                                    } else if (exception === 'abort') {
                                        error = 'Ajax request aborted.';
                                    } else {
                                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                                    }
                                    toastr.error(error, 'Error Alert', {
                                        timeOut: 5000
                                    });
                                }
                            });
                            return false;
                        }else{ // Depart
                            $.ajax({
                                url: '{!! route("driver.admin.mytrips.depart.detail") !!}',
                                type: 'POST',
                                data: formData,
                                dataType: 'json',
                                headers: {
                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                },
                                beforeSend: function () {
                                    // console.log('beforeSend');
                                },
                                success: function(response) {
                                    if(response.success){
                                        if(typeof response.missing !== "undefined"){
                                            var html    = response.html;
                                            if(typeof html !== "undefined"){
                                                $('#missingDocumentationModal').modal({backdrop: 'static', keyboard: false}, 'show');
                                                $('#missingDocumentationModal').find('.append-view').html(html);
                                            }else{
                                                toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                                    timeOut: 5000
                                                });
                                            }
                                        }else{
                                            var html    = response.html;
                                            if(typeof html !== "undefined"){
                                                $('#dispatchUpdateModal').modal({backdrop: 'static', keyboard: false}, 'show');
                                                $('#dispatchUpdateModal').find('.append-view').html(html);
                                                if($('#dispatchUpdateModal').find('.modal-body[data-dispatch="update"]').length > 0){
                                                    $('#dispatchUpdateModal').find('.modal-dispatch-update').addClass('modal-lg');
                                                }
                                            }else{
                                                toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                                    timeOut: 5000
                                                });
                                            }
                                        }
                                    }else{
                                        toastr.error(response.message, 'Error Alert', {
                                            timeOut: 5000
                                        });
                                    }
                                },
                                complete: function() {
                                    // console.log('complete');
                                },
                                error: function(jqXHR, status, exception) {
                                    if (jqXHR.status === 0) {
                                        error = 'Not connected.\nPlease verify your network connection.';
                                    } else if (jqXHR.status == 404) {
                                        error = 'The requested page not found. [404]';
                                    } else if (jqXHR.status == 500) {
                                        error = 'Internal Server Error [500].';
                                    } else if (exception === 'parsererror') {
                                        error = 'Requested JSON parse failed.';
                                    } else if (exception === 'timeout') {
                                        error = 'Time out error.';
                                    } else if (exception === 'abort') {
                                        error = 'Ajax request aborted.';
                                    } else {
                                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                                    }
                                    toastr.error(error, 'Error Alert', {
                                        timeOut: 5000
                                    });
                                }
                            });
                            return false;
                        }
                    }
                });
            }
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('#missingDocumentationModal').on('hidden.bs.modal', function () {
                $('#missingDocumentationModal').find('.append-view').html('');
            });
        });
        $(document).on('click', '#missingDocumentationModal .received-checkbox-group:not(:disabled)', function(event) {
            // event.preventDefault();
            // console.log('Missing-checkbox-group');
            // return false;

            var that                            = $(this);
            var closestUl                       = that.closest('.required-documents-check');

            // Check if the current checkbox is checked
            var isChecked                       = that.prop('checked');

            // Uncheck all other checkboxes with the same name
            closestUl.find('.received-checkbox-group').not(this).prop('checked', false);

            // Toggle the state of the clicked checkbox only if it was previously unchecked
            if (!isChecked) {
                event.preventDefault();

                that.prop('checked', true);
            }
        });
        $(document).on('change', '#missingDocumentationModal .custom-file-input, #missingDocumentationModal .custom-control-input[type="checkbox"]', function(event) {
            event.preventDefault();
            // console.log('Missing file change');
            // return false;

            var that                            = $(this);
            var appendDiv                       = that.closest('.append-view');
            var currentDiv                      = that.closest('div[data-jsonString]');

            var jsonData                        = currentDiv.attr('data-jsonString');
            var unique_id                       = currentDiv.attr('data-unique_id');
            unique_id                           = unique_id.replace('_mdl', ''); // Remove _mdl
            if(jsonData){
                // Parse JSON using vanilla JavaScript
                var jsonObject                  = JSON.parse(jsonData);

                var formData                    = new FormData();
                formData.append('missing', 1);
                formData.append('jsonData', jsonData);
                formData.append('unique_id', unique_id);

                if(that.hasClass('custom-file-input')){
                    var validExtensions         = ["jpg", "jpeg", "png", "gif", "pdf"];
                    var files                   = that[0].files;
                    // Check if files are selected
                    if (files.length <= 0) {
                        return false;
                    }else{
                        for (var i = 0; i < files.length; i++) {
                            var fileName        = files[i].name;
                            var fileExtension   = fileName.split('.').pop().toLowerCase();
                            if ($.inArray(fileExtension, validExtensions) == -1) {
                                toastr.error('Invalid file type! Please select only jpg, jpeg, png, gif, or pdf files.', 'Error Alert', {
                                    timeOut: 5000
                                });
                                // Clear the file input to prevent invalid files from being submitted
                                that.val('');
                                return false;
                            }
                        }
                    }

                    // Append files and additional data to FormData
                    for (var i = 0; i < files.length; i++) {
                        formData.append('files[]', files[i]);
                    }
                }else{
                    // Received = is_received-input, Not Received = file_not_provided-input
                    if (that.is(':checked')) {
                        if(that.hasClass('is_received-input')){
                            formData.append('is_received', 'on');
                            formData.append('file_not_provided', 'off');
                        }else{
                            formData.append('is_received', 'off');
                            formData.append('file_not_provided', 'on');
                        }
                    }else{
                        if(that.hasClass('is_received-input')){
                            formData.append('is_received', 'off');
                            formData.append('file_not_provided', 'on');
                        }else{
                            formData.append('is_received', 'on');
                            formData.append('file_not_provided', 'off');
                        }
                    }
                }

                $.ajax({
                    type: 'POST',
                    url: '/driver-admin/mytrips/current-file-save',
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true);
                    },
                    success: function(response) {
                        if(response.success){
                            currentDiv.remove();

                            if(appendDiv.find('.modal-padding .d-block').length == 0){
                                appendDiv.find('.continue-btn').trigger('click');
                            }

                            if(typeof response.html !== "undefined"){
                                var divContent      = $('.current-dispatch-body .required-documents-content:not(.disabled)');
                                var divHeading      = divContent.prev();

                                var divBlock        = divContent.find('div[data-unique_id="'+unique_id+'"]');
                                // Create a new jQuery object from the new HTML content
                                var divBlockNew     = $(response.html);
                                // Replace the current <ul> with the new <ul> at the same position
                                divBlock.replaceWith(divBlockNew); // divBlock.after(divBlockNew); divBlock.remove();

                                // Initialize counter
                                var completedCount  = 0;
                                var total           = divHeading.find('span.documents > span.total').text() != '' ? divHeading.find('span.documents > span.total').text() : 0;
                                var totalCount      = parseInt(total);

                                divContent.find('div[data-jsonstring]').each(function() {
                                    // Check if data-status attribute is not undefined
                                    var dataStatus  = $(this).attr('data-status');
                                    if (dataStatus !== undefined && dataStatus === 'Complete') {
                                        // Data status is both defined and equal to "Complete", increment the counter
                                        completedCount++;
                                    }
                                });

                                divHeading.find('span.documents > span.completed').text(completedCount);
                                if(totalCount == completedCount){
                                    divHeading.find('span.file-status .dot').removeClass('bg-danger').addClass('bg-success');
                                }else{
                                    divHeading.find('span.file-status .dot').removeClass('bg-success').addClass('bg-danger');
                                }
                            }
                        }else{
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        that.prop('disabled', false);
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
                return false;
            }
        });
        $(document).on('click', '#missingDocumentationModal .continue-btn', function(event) {
            event.preventDefault();
            // console.log('Continue button');
            // return false;

            var that                            = $(this);
            var id                              = that.attr('data-id'); // Load detail id or Load Stop
            var customer_type                   = that.attr('data-customer_type'); // 1 = Pickup, 2 = Delivery
            var is_stop                         = that.attr('data-is_stop'); // 1 = Stop, 0 = No Stop
            var type                            = that.attr('data-type'); // 1 = Arrive, 2 = Depart
            var stop_no                         = that.attr('data-stop_no'); // Get From depart detail & check arrive depart request button

            var formData                        = {};
            formData['id']                      = id;
            formData['customer_type']           = customer_type;
            formData['is_stop']                 = is_stop;
            formData['type']                    = type;
            formData['stop_no']                 = stop_no;
            formData['dispatch']                = 1;

            if(id){
                Swal.fire({
                    title: "Caution!",
                    text: "Carrier & driver pay are on hold until all documents are uploaded.",
                    icon: "warning",
                    showCancelButton: true,
                    reverseButtons: true,
                    confirmButtonColor: "#305F9C",
                    confirmButtonText: 'Ok', // Continue
                    cancelButtonText: "Go Back",
                    allowOutsideClick: false
                }).then((result) => {
                    if(result.isConfirmed){
                        $.ajax({
                            url: '{!! route("driver.admin.mytrips.depart.detail") !!}',
                            type: 'POST',
                            data: formData,
                            dataType: 'json',
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            beforeSend: function () {
                                $('#missingDocumentationModal').modal('hide');
                            },
                            success: function(response) {
                                if(response.success){
                                    var html    = response.html;
                                    if(typeof html !== "undefined"){
                                        $('#dispatchUpdateModal').modal({backdrop: 'static', keyboard: false}, 'show');
                                        $('#dispatchUpdateModal').find('.append-view').html(html);
                                        if($('#dispatchUpdateModal').find('.modal-body[data-dispatch="update"]').length > 0){
                                            $('#dispatchUpdateModal').find('.modal-dispatch-update').addClass('modal-lg');
                                        }
                                    }else{
                                        toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                            timeOut: 5000
                                        });
                                    }
                                }else{
                                    toastr.error(response.message, 'Error Alert', {
                                        timeOut: 5000
                                    });
                                }
                            },
                            complete: function() {
                                // console.log('complete');
                            },
                            error: function(jqXHR, status, exception) {
                                if (jqXHR.status === 0) {
                                    error = 'Not connected.\nPlease verify your network connection.';
                                } else if (jqXHR.status == 404) {
                                    error = 'The requested page not found. [404]';
                                } else if (jqXHR.status == 500) {
                                    error = 'Internal Server Error [500].';
                                } else if (exception === 'parsererror') {
                                    error = 'Requested JSON parse failed.';
                                } else if (exception === 'timeout') {
                                    error = 'Time out error.';
                                } else if (exception === 'abort') {
                                    error = 'Ajax request aborted.';
                                } else {
                                    error = 'Uncaught Error.\n' + jqXHR.responseText;
                                }
                                toastr.error(error, 'Error Alert', {
                                    timeOut: 5000
                                });
                            }
                        });
                        return false;
                    }
                });
            }
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('#dropHookModal').on('hidden.bs.modal', function() {
                $('#dropHookModal .modal-title').text('Trailer Details');

                $('#dropHookModal .stop-heading').text('');
                $('#dropHookModal .stop-heading').addClass('d-none');
                $('#dropHookModal .stop-address').text('');
                $('#dropHookModal .stop-address').addClass('d-none');

                $('#dropHookModal .trailer-box').find('span.type').text('');

                $('#dropHookModal .retrieval-reminder-box').html('');
                $('#dropHookModal .retrieval-reminder-box').addClass('d-none');

                $('#dropHookModal button.confirm-btn').html('Submit');

                $('#dropHookModal input[type=hidden]').each(function(){
                    $(this).val('');
                });

                $('#dropHookModal input[name="trailer_id"]').val('');

                $('#dropHookModal .correct-trailer-number').addClass('d-none');
                $('#dropHookModal input[name="verified_trailer_id"]').val('');
                $('#dropHookModal input[name="verified_trailer_id"]').prop('required', false);

                $('#dropHookModal #dropHookFrm').trigger('reset');
                $('#dropHookModal #dropHookFrm').find('.error').text('');
                $('#dropHookModal #dropHookFrm').parsley().reset();
            });
            $('#dropHookModal .trailer-numbers-checkbox-radio').change(function() {
                // Uncheck all other checkboxes in the same group
                $('#dropHookModal .trailer-numbers-checkbox-radio').not(this).prop('checked', false);

                if($('#dropHookModal #trailer_numbers_incorrect').is(':checked')){
                    $('#dropHookModal .correct-trailer-number').removeClass('d-none');
                    $('#dropHookModal input[name="verified_trailer_id"]').prop('required', true);
                }else{
                    $('#dropHookModal .correct-trailer-number').addClass('d-none');
                    $('#dropHookModal input[name="verified_trailer_id"]').val('');
                    $('#dropHookModal input[name="verified_trailer_id"]').prop('required', false);
                }
            });
        });
        $(document).on('change', '#trailer_reminder_status', function (){
            if($(this).is(':checked')){
                $('#dropHookModal .retrieval-reminder-box').find('.chk-reminder-box').removeClass('d-none');
                $('#dropHookModal .retrieval-reminder-box').find('input[name="trailer_reminder_date_time"]').prop('required', true);
                if($('#dropHookModal .retrieval-reminder-box').find('#trailer_reminder_on_email').length > 0)
                    $('#dropHookModal .retrieval-reminder-box').find('#trailer_reminder_on_email').prop('required', true);
            }else{
                $('#dropHookModal .retrieval-reminder-box').find('.chk-reminder-box').addClass('d-none');
                $('#dropHookModal .retrieval-reminder-box').find('input[name="trailer_reminder_date_time"]').prop('required', false);
                if($('#dropHookModal .retrieval-reminder-box').find('#trailer_reminder_on_email').length > 0)
                    $('#dropHookModal .retrieval-reminder-box').find('#trailer_reminder_on_email').prop('required', false);
            }
        });
        $(document).on('click', '.dishpatchPlan-content a.drop-hook-request', function (event) {
            event.preventDefault();
            // console.log('drop-hook-request');
            // return false;

            var that                        = $(this);
            var id                          = that.attr('data-id'); // Load detail id or Load Stop
            var customer_type               = that.attr('data-customer_type'); // 1 = Pickup, 2 = Delivery
            var is_stop                     = that.attr('data-is_stop'); // 1 = Stop, 0 = No Stop
            var type                        = that.attr('data-type'); // 1 = Drop, 2 = Hook

            var schedule                    = that.attr('data-schedule'); // 0 = Live, 1 = Drop Trailer, 2 = Drop & Hook
            var trailer_id                  = that.attr('data-trailer_id'); // 1 = Drop or Hook Trailer Id
            if(id && trailer_id){
                var stop                    = that.closest('.carousel-item'); // Active Stop
                var stop_no                 = stop.attr('data-stop_no'); // // Active Stop no

                var customer_typename       = customer_type == 1 ? 'Pickup' : 'Delivery';
                var typename                = type == 1 ? 'Drop' : 'Hook';
                var schedulename            = schedule == 2 ? 'Drop & Hook Trailer' : 'Drop Trailer';

                var myarray                 = [];
                var address                 = '';
                if(stop.find('.address-one').text()!=''){
                    myarray.push(stop.find('.address-one').text());
                }
                if(stop.find('.city').text()!=''){
                    myarray.push(stop.find('.city').text());
                }
                if(stop.find('.state').text()!=''){
                    myarray.push(stop.find('.state').text());
                }
                if(stop.find('.zip').text()!=''){
                    myarray.push(stop.find('.zip').text());
                }
                address                     = myarray.join(", ");

                var abbr                    = '';
                var bracket                 = '';
                if(stop.find('.address-one').attr('data-abbr')!=''){
                    abbr                    = stop.find('.address-one').attr('data-abbr');
                    bracket                 = '('+abbr+')';
                }
                var timeZone                = localTimeZone; // moment.tz.guess();
                if(stop.find('.address-one').attr('data-timezone')!=''){
                    timeZone                = stop.find('.address-one').attr('data-timezone');
                }

                $('#dropHookModal .modal-title').text(typename+' Trailer Details');

                $('#dropHookModal .stop-heading').text('Stop '+stop_no+':'+customer_typename+' | '+schedulename);
                $('#dropHookModal .stop-heading').removeClass('d-none');
                $('#dropHookModal .stop-address').text(address);
                $('#dropHookModal .stop-address').removeClass('d-none');

                $('#dropHookModal .trailer-box').find('span.type').text(type == 1 ? 'Drop' : 'Pickup');

                if(type == 1){
                    var reminder_ul         = '';
                    var reminder_li         = '';
                    if(dlUser.email){
                        reminder_li         += `<li class="nav-item mb-2">
                            <div class="custom-control custom-checkbox-blue my-0 d-flex align-items-center">
                                <input type="checkbox" class="custom-control-input" name="trailer_reminder_on[]" id="trailer_reminder_on_email" value="1" data-parsley-mincheck="1" data-parsley-errors-container="#trailer_reminder_on-errors">
                                <label class="custom-control-label fs-12 fw-500 text-dark" for="trailer_reminder_on_email">Email <i class="fa fa-info-circle" aria-hidden="true" title="`+dlUser.email+`" style="color: #616376;"><div></div></i></label>
                            </div>
                        </li>`;
                    }
                    if(typeof dlCompanyTwilioData.active !== "undefined" && dlCompanyTwilioData.active == 'yes' && dlUser.cell_phone){
                        reminder_li         += `<li class="nav-item `+((reminder_li == '') ? 'mb-2' : '')+`">
                            <div class="custom-control custom-checkbox-blue my-0 d-flex align-items-center">
                                <input type="checkbox" class="custom-control-input" name="trailer_reminder_on[]" id="trailer_reminder_on_sms" value="2" data-parsley-mincheck="1" data-parsley-errors-container="#trailer_reminder_on-errors">
                                <label class="custom-control-label fs-12 fw-500 text-dark" for="trailer_reminder_on_sms">SMS <i class="fa fa-info-circle" aria-hidden="true" title="`+dlUser.cell_phone+`" style="color: #616376;"><div></div></i></label>
                            </div>
                        </li>`;
                    }
                    if(reminder_li != ''){
                        reminder_ul         = `<ul class="nav flex-column">
                            `+reminder_li+`
                        </ul>`;
                    }

                    $('#dropHookModal .retrieval-reminder-box').html(`
                        <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                            <input type="checkbox" class="custom-control-input" name="trailer_reminder_status" id="trailer_reminder_status" value="1">
                            <label class="custom-control-label fw-500 text-dark" for="trailer_reminder_status">Set Retrieval Reminder</label>
                        </div>
                        <div class="chk-reminder-box d-none">
                            <div class="form-group text-center mb-3">
                                <label for="trailer_reminder_date_time">Date & Time <span class="abbr">`+bracket+`</span></label>
                                <div class="position-relative position-group">
                                    <input type="text" class="form-control" name="trailer_reminder_date_time" id="trailer_reminder_date_time" value="" onPaste="return false" readonly="true" data-parsley-errors-container="#trailer_reminder_date_time-errors">
                                    <img src="{{ asset('theme/images/proRouter-date.svg') }}" alt="icon">
                                </div>
                                <div id="trailer_reminder_date_time-errors"></div>
                            </div>
                            `+reminder_ul+`
                            <div class="text-center" id="trailer_reminder_on-errors">
                            </div>
                        </div>
                    `);
                    $('#dropHookModal .retrieval-reminder-box').removeClass('d-none');

                    $('#dropHookModal #trailer_reminder_date_time').datetimepicker({
                        ignoreReadonly: true,
                        format: dateTimeLayout,
                        useCurrent: false,
                        timeZone: timeZone,
                        minDate: moment().tz(timeZone)
                    }).on('dp.change', function(e) {
                        $(this).parsley().reset();
                    });
                }

                $('#dropHookModal button.confirm-btn').html(typename);

                $('#dropHookModal input[name="id"]').val(id);
                $('#dropHookModal input[name="customer_type"]').val(customer_type);
                $('#dropHookModal input[name="is_stop"]').val(is_stop);
                $('#dropHookModal input[name="type"]').val(type);
                $('#dropHookModal input[name="abbr"]').val(abbr);

                $('#dropHookModal input[name="schedule"]').val(schedule);
                $('#dropHookModal input[name="trailer_id"]').val(trailer_id);

                setTimeout(function() {
                    $('#dropHookModal').modal({backdrop: 'static', keyboard: false}, 'show');
                }, 250);
            }else{
                toastr.error('Oops! Something went wrong..', 'Error Alert', {
                    timeOut: 5000
                });
            }
            return false;
        });
        $(document).on('click', '#dropHookModal button.confirm-btn', function (event) {
            event.preventDefault();
            // console.log('Drop & hook modal confirm');
            // return false;

            var form                        = $('#dropHookModal #dropHookFrm');
            var parsley                     = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            parsley.validate();
            if (parsley.isValid()){
                // Convert the serialized array to an object
                var formDataObject          = {};
                $.each(form.serializeArray(), function(index, field) {
                    if (formDataObject[field.name]) {
                        if (!Array.isArray(formDataObject[field.name])) {
                            formDataObject[field.name]  = [formDataObject[field.name]];
                        }
                        formDataObject[field.name].push(field.value);
                    } else {
                        formDataObject[field.name]      = field.value;
                    }
                });

                if (
                    (typeof formDataObject === "object" && !$.isEmptyObject(formDataObject)) &&
                    (formDataObject.hasOwnProperty('id') && formDataObject.id !== undefined && formDataObject.id !== '' && formDataObject.id !== null) &&
                    (formDataObject.hasOwnProperty('trailer_id') && formDataObject.trailer_id !== undefined && formDataObject.trailer_id !== '' && formDataObject.trailer_id !== null)
                ) {
                    // console.log(formDataObject);

                    var btn                 = $('.carousel-item.active .dishpatchPlan-content a.drop-hook-request'); // Active drop & hook button get
                    var id                  = formDataObject.id; // Load detail id or Load Stop
                    var customer_type       = formDataObject.customer_type; // 1 = Pickup, 2 = Delivery
                    var is_stop             = formDataObject.is_stop; // 1 = Stop, 0 = No Stop
                    var type                = formDataObject.type; // 1 = Drop, 2 = Hook

                    var schedule            = formDataObject.schedule; // 0 = Live, 1 = Drop Trailer, 2 = Drop & Hook

                    var stop                = btn.closest('.carousel-item'); // Active Stop
                    var stop_no             = stop.attr('data-stop_no'); // Active Stop no

                    var customer_typename   = customer_type == 1 ? 'Pickup' : 'Delivery';
                    var typename            = type == 1 ? 'Drop' : 'Hook';
                    var schedulename        = schedule == 2 ? 'Drop & Hook Trailer' : 'Drop Trailer';

                    var myarray             = [];
                    var address             = '';
                    if(stop.find('.address-one').text()!=''){
                        myarray.push(stop.find('.address-one').text());
                    }
                    if(stop.find('.city').text()!=''){
                        myarray.push(stop.find('.city').text());
                    }
                    if(stop.find('.state').text()!=''){
                        myarray.push(stop.find('.state').text());
                    }
                    if(stop.find('.zip').text()!=''){
                        myarray.push(stop.find('.zip').text());
                    }
                    address                 = myarray.join(", ");

                    var abbr                = '';
                    var bracket             = '';
                    if(stop.find('.address-one').attr('data-abbr')!=''){
                        abbr                = stop.find('.address-one').attr('data-abbr');
                        bracket             = '('+abbr+')';
                    }
                    var timeZone            = localTimeZone; // moment.tz.guess();
                    if(stop.find('.address-one').attr('data-timezone')!=''){
                        timeZone            = stop.find('.address-one').attr('data-timezone');
                    }

                    $('#dropHookConfirmModal .modal-title').text(typename+' Trailer Details');

                    $('#dropHookConfirmModal .stop-heading').text('Stop '+stop_no+':'+customer_typename+' | '+schedulename);
                    $('#dropHookConfirmModal .stop-heading').removeClass('d-none');
                    $('#dropHookConfirmModal .stop-address').text(address);
                    $('#dropHookConfirmModal .stop-address').removeClass('d-none');

                    $('#dropHookConfirmModal .drap-hook-content').html(`
                        <div class="row sub-wrapper mb-sm-3 mb-2 align-items-center" data-last-index="0">
                            <div class="col-sm-4 col-5">
                                <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                    <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                    <input type="file" class="custom-file-input" name="uploads[0][file]" id="uploads_0_file" accept="image/*" data-parsley-trigger="change" data-parsley-pattern="^.*\.(jpg|jpeg|png|gif)$" data-parsley-pattern-message="Please select a valid image file (JPG, JPEG, PNG, GIF)." data-parsley-errors-container="#uploads_0_file-errors">
                                </a>
                                <div id="uploads_0_file-errors"></div>
                            </div>
                            <div class="col-sm-8 col-7 pl-0">
                                <div class="form-group d-flex align-items-center justify-content-between mb-0">
                                    <input type="text" class="form-control cfname" name="uploads[0][name]" id="uploads_0_name" value="" placeholder="Enter name" data-parsley-errors-container="#uploads_0_name-errors">
                                    <!-- <label class="fs-14 fw-500 text-dark mb-0">20098 Image 1</label> -->
                                </div>
                                <div id="uploads_0_name-errors"></div>
                            </div>
                        </div>
                    `);

                    $('#dropHookConfirmModal button.confirm-btn').html('Confirm '+typename);

                    // Convert the object to JSON
                    var jsonString          = JSON.stringify(formDataObject);
                    // console.log(jsonString);
                    $('#dropHookConfirmModal input[name="jsonData"]').val(jsonString);

                    setTimeout(function() {
                        $('#dropHookModal').modal('hide');
                        $('#dropHookConfirmModal').modal({backdrop: 'static', keyboard: false}, 'show');
                    }, 250);
                    return false;
                }
            }
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('#dropHookConfirmModal').on('hidden.bs.modal', function() {
                $('#dropHookConfirmModal .modal-title').text('Trailer Details');

                $('#dropHookConfirmModal .stop-heading').text('');
                $('#dropHookConfirmModal .stop-heading').addClass('d-none');
                $('#dropHookConfirmModal .stop-address').text('');
                $('#dropHookConfirmModal .stop-address').addClass('d-none');

                $('#dropHookConfirmModal .drap-hook-content').html('');

                $('#dropHookConfirmModal button.confirm-btn').html('Confirm');

                $('#dropHookConfirmModal input[type=hidden]').each(function(){
                    $(this).val('');
                });

                $('#dropHookConfirmModal #dropHookConfirmFrm').trigger('reset');
                $('#dropHookConfirmModal #dropHookConfirmFrm').find('.error').text('');
                $('#dropHookConfirmModal #dropHookConfirmFrm').parsley().reset();
            });
        });
        $(document).on('change', '#dropHookConfirmModal .drap-hook-content .custom-file-input', function() {
            var files           = $(this)[0].files;
            var label           = '';
            // Check if files are selected
            if (files.length > 0) {
                label           = files[0].name;
                $(this).closest('div').find('span').text('Upload ('+files.length+')');
                $(this).closest('.row').find('.cfname').prop('required', true);
            }else{
                $(this).closest('div').find('span').text('Upload');
                $(this).closest('.row').find('.cfname').prop('required', false);
            }
            // console.log(label);
        });
        $(document).on('input', '#dropHookConfirmModal .drap-hook-content .cfname', function() {
            if($(this).val() === ''){
                $(this).closest('.row').find('.custom-file-input').prop('required', false);
            }else{
                $(this).closest('.row').find('.custom-file-input').prop('required', true);
            }
        });
        $(document).on('click', '#dropHookConfirmModal .btn-add', function(event) {
            event.preventDefault();
            // console.log('add more drop hook upload');
            // return false;

            var that                    = $(this);
            var wrapper                 = $('#dropHookConfirmModal').find('.drap-hook-content');

            var lastIndex               = 0;
            var lastItem                = wrapper.find('.sub-wrapper:last');
            if(lastItem.attr('data-last-index') !== undefined){
                lastIndex               = parseInt(lastItem.attr('data-last-index'))+1;
            }

            var fieldName               = 'uploads['+lastIndex+']';
            var fieldId                 = fieldName.replace("[", "_").replace("]", "");
            fieldId                     = fieldId.replace(/\W+/g, "_");

            var html                    = `<div class="row sub-wrapper mb-sm-3 mb-2 align-items-center" data-last-index="`+lastIndex+`">
                <div class="col-sm-4 col-5">
                    <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                        <span class="font-weight-bold fs-14 ml-0">Upload</span>
                        <input type="file" class="custom-file-input" name="`+fieldName+`[file]" id="`+fieldId+`_file" accept="image/*" data-parsley-trigger="change" data-parsley-pattern="^.*\.(jpg|jpeg|png|gif)$" data-parsley-pattern-message="Please select a valid image file (JPG, JPEG, PNG, GIF)." data-parsley-errors-container="#`+fieldId+`_file-errors">
                    </a>
                    <div id="`+fieldId+`_file-errors"></div>
                </div>
                <div class="col-sm-8 col-7 pl-0">
                    <div class="form-group d-flex align-items-center justify-content-between mb-0">
                        <input type="text" class="form-control cfname" name="`+fieldName+`[name]" id="`+fieldId+`_name" value="" placeholder="Enter name" data-parsley-errors-container="#`+fieldId+`_name-errors">
                        <!-- <label class="fs-14 fw-500 text-dark mb-0">20098 Image 1</label> -->
                        <a href="javascript:void(0);" class="ml-2 fs-14 text-danger btn-removedsd">
                            <i class="fa fa-times" aria-hidden="true"></i>
                        </a>
                    </div>
                    <div id="`+fieldId+`_name-errors"></div>
                </div>
            </div>`;
            wrapper.append(html);
        });
        $(document).on('click', '#dropHookConfirmModal .btn-removedsd', function(event) {
            event.preventDefault();
            // console.log('remove more drop hook upload');
            // return false;

            $(this).closest('.sub-wrapper').remove();
        });
        $(document).on('click', '#dropHookConfirmModal button.confirm-btn', function (event) {
            event.preventDefault();
            // console.log('Drop & hook confirm modal confirm');
            // return false;

            var that                        = $(this);
            var btnTxt                      = that.text();

            var form                        = $('#dropHookConfirmModal #dropHookConfirmFrm');
            var parsley                     = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            parsley.validate();
            if (parsley.isValid()){
                var formData                = new FormData(form[0]);
                $.ajax({
                    type: 'POST',
                    url: '/driver-admin/mytrips/drop-hook-save',
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                    success: function(response) {
                        if(response.success){
                            $('#dropHookConfirmModal').modal('hide');
                            getCurrentDispatch(); // getCarouselContent();

                            var txt         = btnTxt;
                            txt             = txt.charAt(0).toUpperCase() + txt.slice(1).toLowerCase()
                            toastr.success(
                                txt+' successfully', // response.message,
                                'Success Alert', {
                                    timeOut: 5000
                                }
                            );
                        }else{
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        that.prop('disabled', false).html(btnTxt);
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
                return false;
            }
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('#dropHookFilesModal').on('hidden.bs.modal', function () {
                $('#dropHookFilesModal').find('.append-view').html(`
                    <p class="fs-14">No data available.</p>
                `);
            });
        });
        $(document).on('click', '.drop-hook-content a[data-files]', function (event) {
            event.preventDefault();
            // console.log('Drop hook files view');
            // return false;

            var that                        = $(this);
            var files                       = JSON.parse(that.attr('data-files'));
            if(files.length > 0){
                var html                    = '';
                $.each(files, function(index, value) {
                    html                    += `<div class="col-md-3 mb-3">
                        <div class="thumbnail">
                            <a href="`+value.file+`" target="_blank">
                                <img src="`+value.file+`" alt="`+value.name+`" style="width:100%; height:100px;">
                                <div class="caption">
                                    <p class="fs-14 fw-600 mt-1 text-theme-color text-center text-break text-underline">`+value.name+`</p>
                                </div>
                            </a>
                        </div>
                    </div>`;
                });
                if(html!=''){
                    $('#dropHookFilesModal').find('.append-view').html(`<div class="row">`+html+`</div>`);
                    setTimeout(function() {
                        $('#dropHookFilesModal').modal('show');
                    }, 250);
                }
            }
        });
    </script>
    <!-- Required Documents -->
    <script type="text/javascript">
        $(document).on('click', '.current-dispatch-body .required-documents-content:not(.disabled) .received-checkbox-group:not(:disabled)', function(event) {
            // event.preventDefault();
            // console.log('Received-checkbox-group');
            // return false;

            var that                                = $(this);
            var closestUl                           = that.closest('.required-documents-check');

            // Check if the current checkbox is checked
            var isChecked                           = that.prop('checked');

            // Uncheck all other checkboxes with the same name
            closestUl.find('.received-checkbox-group').not(this).prop('checked', false);

            // Toggle the state of the clicked checkbox only if it was previously unchecked
            if (!isChecked) {
                event.preventDefault();

                that.prop('checked', true);
            }
        });
        $(document).on('change', '.current-dispatch-body .required-documents-content:not(.disabled) .custom-file-input:not(:disabled), .current-dispatch-body .required-documents-content:not(.disabled) .custom-control-input[type="checkbox"]:not(:disabled)', function(event) {
            event.preventDefault();
            // console.log('Required file change');
            // return false;

            var that                                = $(this);
            var currentDiv                          = that.closest('div[data-jsonString]');

            var jsonData                            = currentDiv.attr('data-jsonString');
            var unique_id                           = currentDiv.attr('data-unique_id');
            if(jsonData){
                // Parse JSON using vanilla JavaScript
                var jsonObject                      = JSON.parse(jsonData);

                var formData                        = new FormData();
                formData.append('jsonData', jsonData);
                formData.append('unique_id', unique_id);

                if(that.hasClass('custom-file-input')){
                    var validExtensions             = ["jpg", "jpeg", "png", "gif", "pdf"];
                    var files                       = that[0].files;
                    // Check if files are selected
                    if (files.length <= 0) {
                        return false;
                    }else{
                        for (var i = 0; i < files.length; i++) {
                            var fileName            = files[i].name;
                            var fileExtension       = fileName.split('.').pop().toLowerCase();
                            if ($.inArray(fileExtension, validExtensions) == -1) {
                                toastr.error('Invalid file type! Please select only jpg, jpeg, png, gif, or pdf files.', 'Error Alert', {
                                    timeOut: 5000
                                });
                                // Clear the file input to prevent invalid files from being submitted
                                that.val('');
                                return false;
                            }
                        }
                    }

                    // Append files and additional data to FormData
                    for (var i = 0; i < files.length; i++) {
                        formData.append('files[]', files[i]);
                    }
                }else{
                    // Received = is_received-input, Not Received = file_not_provided-input
                    if (that.is(':checked')) {
                        if(that.hasClass('is_received-input')){
                            formData.append('is_received', 'on');
                            formData.append('file_not_provided', 'off');
                        }else{
                            formData.append('is_received', 'off');
                            formData.append('file_not_provided', 'on');
                        }
                    }else{
                        if(that.hasClass('is_received-input')){
                            formData.append('is_received', 'off');
                            formData.append('file_not_provided', 'on');
                        }else{
                            formData.append('is_received', 'on');
                            formData.append('file_not_provided', 'off');
                        }
                    }
                }

                $.ajax({
                    type: 'POST',
                    url: '/driver-admin/mytrips/current-file-save',
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true);
                    },
                    success: function(response) {
                        if(response.success){
                            if(typeof response.html !== "undefined"){
                                // Create a new jQuery object from the new HTML content
                                var newDiv          = $(response.html);
                                // Replace the current <ul> with the new <ul> at the same position
                                currentDiv.replaceWith(newDiv); // currentDiv.after(newUl); currentDiv.remove();

                                var divContent      = newDiv.closest('.required-documents-content');
                                var divHeading      = divContent.prev();

                                // Initialize counter
                                var completedCount  = 0;
                                var total           = divHeading.find('span.documents > span.total').text() != '' ? divHeading.find('span.documents > span.total').text() : 0;
                                var totalCount      = parseInt(total);

                                divContent.find('div[data-jsonstring]').each(function() {
                                    // Check if data-status attribute is not undefined
                                    var dataStatus  = $(this).attr('data-status');
                                    if (dataStatus !== undefined && dataStatus === 'Complete') {
                                        // Data status is both defined and equal to "Complete", increment the counter
                                        completedCount++;
                                    }
                                });

                                divHeading.find('span.documents > span.completed').text(completedCount);
                                if(totalCount == completedCount){
                                    divHeading.find('span.file-status .dot').removeClass('bg-danger').addClass('bg-success');
                                }else{
                                    divHeading.find('span.file-status .dot').removeClass('bg-success').addClass('bg-danger');
                                }
                            }
                        }else{
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        that.prop('disabled', false);
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
                return false;
            }
        });
        $(document).on('click', '.current-dispatch-body .required-documents-content:not(.disabled) .remove-document', function (event) {
            event.preventDefault();
            // console.log('Remove document');
            // return false;

            var that                                = $(this);
            var currentDiv                          = that.closest('div[data-jsonString]');

            var jsonData                            = currentDiv.attr('data-jsonString');
            var unique_id                           = currentDiv.attr('data-unique_id');
            if(jsonData){
                // Parse JSON using vanilla JavaScript
                var jsonObject                      = JSON.parse(jsonData);

                $.ajax({
                    url: '/driver-admin/mytrips/current-file-remove',
                    type: 'POST',
                    data: {
                        jsonData: jsonData, // Load Document Data
                        unique_id: unique_id
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function () {
                        that.prop('disabled', true);
                        that.html('<i class="fa fa-spinner" aria-hidden="true"></i>');
                    },
                    success: function(response) {
                        if(response.success){
                            if(typeof response.html !== "undefined"){
                                // Create a new jQuery object from the new HTML content
                                var newDiv          = $(response.html);
                                // Replace the current <ul> with the new <ul> at the same position
                                currentDiv.replaceWith(newDiv); // currentDiv.after(newUl); currentDiv.remove();

                                var divContent      = newDiv.closest('.required-documents-content');
                                var divHeading      = divContent.prev();

                                // Initialize counter
                                var completedCount  = 0;
                                var total           = divHeading.find('span.documents > span.total').text() != '' ? divHeading.find('span.documents > span.total').text() : 0;
                                var totalCount      = parseInt(total);

                                divContent.find('div[data-jsonstring]').each(function() {
                                    // Check if data-status attribute is not undefined
                                    var dataStatus  = $(this).attr('data-status');
                                    if (dataStatus !== undefined && dataStatus === 'Complete') {
                                        // Data status is both defined and equal to "Complete", increment the counter
                                        completedCount++;
                                    }
                                });

                                divHeading.find('span.documents > span.completed').text(completedCount);
                                if(totalCount == completedCount){
                                    divHeading.find('span.file-status .dot').removeClass('bg-danger').addClass('bg-success');
                                }else{
                                    divHeading.find('span.file-status .dot').removeClass('bg-success').addClass('bg-danger');
                                }
                            }
                        }else{
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        that.prop('disabled', false);
                        that.html('<i class="fa fa-times" aria-hidden="true"></i>');
                    },
                    error: function(jqXHR, status, exception) {
                        var error = 'Failed to load data';
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
                return false;
            }
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('#additionalFileModal select[name="additional_filename_id"]').each(function() {
                var $this = $(this);
                var placeholderText = $this.find('option:first').text();
                $this.select2({
                    dropdownParent: $("#additionalFileModal"),
                    allowClear: true,
                    width : '100%',
                    placeholder: placeholderText
                });
                $this.find('option:first').hide();
            });
            $('#additionalFileModal').on('hidden.bs.modal', function() {
                $('#additionalFileModal input[name="additional_file_id"]').val('');
                $('#additionalFileModal input[name="additional_file_source"]').val('');
                $('#additionalFileModal input[name="additional_file_field_name"]').val('');
                $('#additionalFileModal input[name="additional_file_include_w_billing"]').val('');

                $('#additionalFileModal input[name="additional_filename"]').val('');
                $('#additionalFileModal select[name="additional_filename_id"]').val(null).trigger('change');

                $('#additionalFileModal #additionalFileFrm').trigger('reset');
                $('#additionalFileModal #additionalFileFrm').find('.error').text('');
                $('#additionalFileModal #additionalFileFrm').parsley().reset();
            });
        });
        $(document).on('click', '.current-dispatch-body .required-documents-content:not(.disabled) .btn-add', function() {
            var that                    = $(this);
            var id                      = that.attr('data-id');
            var source                  = that.attr('data-source');
            var field_name              = that.attr('data-field_name');
            if(id && source && field_name){
                $('#additionalFileModal input[name="additional_file_id"]').val(id);
                $('#additionalFileModal input[name="additional_file_source"]').val(source);
                $('#additionalFileModal input[name="additional_file_field_name"]').val(field_name);
                $('#additionalFileModal').modal({backdrop: 'static', keyboard: false}, 'show');
            }
        });
    </script>
    <script type="text/javascript">
        $(document).on('change', '#additionalFileModal select[name="additional_filename_id"]', function() {
            var that                    = $(this);

            var optionSelected          = $("option:selected", this);
            var selectedValue           = optionSelected.val();
            var selectedText            = '';
            if(selectedValue && selectedValue!='0'){
                selectedText            = optionSelected.text();
            }

            if(selectedValue=='0'){
                that.closest('.modal-body').find('input[name="additional_filename"]').prop('required', true);
                that.closest('.modal-body').find('input[name="additional_filename"]').closest('.form-group').removeClass('d-none');
            }else{
                that.closest('.modal-body').find('input[name="additional_filename"]').prop('required', false);
                that.closest('.modal-body').find('input[name="additional_filename"]').closest('.form-group').addClass('d-none');
            }
            that.closest('.modal-body').find('input[name="additional_filename"]').val(selectedText);

            if(optionSelected.attr('data-include_w_billing') == 'yes'){
                that.closest('.modal-body').find('input[name="additional_file_include_w_billing"]').val('yes');
            }else{
                that.closest('.modal-body').find('input[name="additional_file_include_w_billing"]').val('');
            }
        });
        $(document).on('click', '#additionalFileModal .save-btn', function(event) {
            event.preventDefault();
            // console.log('Save document');
            // return false;
            // Only for required document

            var that                    = $(this);
            var btnTxt                  = that.text();

            var divContent              = $('.current-dispatch-body .required-documents-content:not(.disabled)');
            var divRequired             = divContent.find('.dishpatchPlan-content[data-document="Required"]');
            var lastBlock               = divRequired.find('div[data-jsonString]:last');

            var stop_no                 = divContent.attr('data-stop_no'); // Active stop & required documents content stop no
            var unique_id               = 'stop_'+stop_no+'_required_';
            if(lastBlock.length > 0){
                var underscoreValue     = lastBlock.attr('data-unique_id');
                // Split the string using the underscore character
                var lastUnderscoreValue = underscoreValue.substring(underscoreValue.lastIndexOf("_") + 1);
                // Extract the numerical value
                var numericalValue      = parseInt(lastUnderscoreValue);
                // Add 2 to the numerical value
                var newNumericalValue   = numericalValue + 1;
                // Create the new string by concatenating the first part and the incremented numerical value
                unique_id              += newNumericalValue;
            }else{
                unique_id              += '1';
            }

            var form                    = $('#additionalFileModal #additionalFileFrm');
            var parsley                 = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            parsley.validate();
            if (parsley.isValid()){
                var formData            = new FormData(form[0]);
                formData.append('unique_id', unique_id);

                $.ajax({
                    type: 'POST',
                    url: '/driver-admin/mytrips/additional-file-save',
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                    success: function(response) {
                        if(response.success){
                            var divHeading  = divContent.prev();

                            var total       = divHeading.find('span.documents > span.total').text() != '' ? divHeading.find('span.documents > span.total').text() : 0;
                            var totalCount  = parseInt(total);
                            totalCount      += 1; // For New one

                            divHeading.find('span.documents > span.total').text(totalCount);
                            divHeading.find('span.file-status .dot').removeClass('bg-success').addClass('bg-danger');

                            if(divRequired.find('.no-documents').length > 0){
                                divRequired.find('.no-documents').remove();
                            }
                            divRequired.find('.additional-required-documents').append(response.html);

                            var txt         = btnTxt;
                            txt             = txt.charAt(0).toUpperCase() + txt.slice(1).toLowerCase()
                            toastr.success(
                                txt+' successfully', // response.message,
                                'Success Alert', {
                                    timeOut: 1000,
                                    fadeOut: 1000,
                                    onHidden: function () {
                                        $('#additionalFileModal').modal('hide');
                                    }
                                }
                            );
                        }else{
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        that.prop('disabled', false).html(btnTxt);
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
                return false;
            }
        });
    </script>
    <!-- Review -->
    <script type="text/javascript">
        $(document).ready(function() {
            $('#reviewModal').on('hidden.bs.modal', function() {
                $('#dispatchUpdateModal').addClass('show');

                $('#reviewModal .description').text('');
                $('#reviewModal .description').addClass('d-none');

                $('#reviewModal input[name="review_id"]').val('');

                $('#reviewModal input[name="customer_id"]').val('');

                $('#reviewModal input[name="id"]').val('');
                $('#reviewModal input[name="customer_type"]').val('');
                $('#reviewModal input[name="is_stop"]').val('');
                $('#reviewModal input[name="stop_no"]').val('');

                $('#reviewModal #reviewFrm').trigger('reset');
                $('#reviewModal #reviewFrm').find('.error').text('');
                $('#reviewModal #reviewFrm').parsley().reset();
            });
        });
        $(document).on('change', '#dispatchUpdateModal #dispatch-update-rating input[name="rating"]', function() {
            var that                            = $(this);

            var write_review                    = that.closest('.dispatch-update-feedback').find('.dispatch-update-review');
            var id                              = write_review.attr('data-id'); // Load detail id or Load Stop
            var customer_type                   = write_review.attr('data-customer_type'); // 1 = Pickup, 2 = Delivery
            var is_stop                         = write_review.attr('data-is_stop'); // 1 = Stop, 0 = No Stop
            var stop_no                         = write_review.attr('data-stop_no');

            var rating                          = that.val();

            var stop                            = $('.carousel-item.active[data-stop_no="'+stop_no+'"]'); // Active Stop
            var customer_id                     = stop.find('.customer-one').attr('data-id'); // Customer id
            if(id && customer_id){
                var formData                    = {};
                formData['customer_id']         = customer_id;

                formData['id']                  = id;
                formData['customer_type']       = customer_type;
                formData['is_stop']             = is_stop;
                formData['stop_no']             = stop_no;

                formData['rating']              = rating;

                $.ajax({
                    url: '/driver-admin/mytrips/review-save',
                    type: 'POST',
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function () {
                        // Disable all radio buttons with the same name
                        $('#dispatchUpdateModal #dispatch-update-rating input[name="rating"]').prop('disabled', true);
                    },
                    success: function(response) {
                        if(response.success){
                            write_review.attr('data-rating', response.review.rating);
                            write_review.attr('data-review_id', response.review.id); // Dynamic Review id

                            that.closest('.dispatch-update-feedback').find('.dispatch-update-thank-you').removeClass('d-none').addClass('d-block');
                            // Rating star box
                            that.closest('#dispatch-update-rating').remove();
                        }else{
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        if($('#dispatchUpdateModal #dispatch-update-rating input[name="rating"]').length > 0){
                            // Enable all radio buttons with the same name
                            $('#dispatchUpdateModal #dispatch-update-rating input[name="rating"]').prop('disabled', false);
                        }
                    },
                    error: function(jqXHR, status, exception) {
                        var error = 'Failed to load data';
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
                return false;
            }
        });
        $(document).on('click', '#dispatchUpdateModal .dispatch-update-review', function(event) {
            event.preventDefault();
            // console.log('Review');
            // return false;

            var that                            = $(this);
            var id                              = that.attr('data-id'); // Load detail id or Load Stop
            var customer_type                   = that.attr('data-customer_type'); // 1 = Pickup, 2 = Delivery
            var is_stop                         = that.attr('data-is_stop'); // 1 = Stop, 0 = No Stop
            var stop_no                         = that.attr('data-stop_no');

            var stop                            = $('.carousel-item.active[data-stop_no="'+stop_no+'"]'); // Active Stop
            var customer_id                     = stop.find('.customer-one').attr('data-id'); // Customer id
            if(id && customer_id){
                var myarray                     = [];
                var address                     = '';
                if(stop.find('.address-one').text()!=''){
                    myarray.push(stop.find('.address-one').text());
                }
                if(stop.find('.city').text()!=''){
                    myarray.push(stop.find('.city').text());
                }
                if(stop.find('.state').text()!=''){
                    myarray.push(stop.find('.state').text());
                }
                if(stop.find('.zip').text()!=''){
                    myarray.push(stop.find('.zip').text());
                }
                address                         = myarray.join(", ");

                var description                 = 'Rate Now (Stop '+stop_no+') '+address;

                $('#reviewModal .description').text(description);
                $('#reviewModal .description').removeClass('d-none');

                $('#reviewModal input[name="customer_id"]').val(customer_id);

                $('#reviewModal input[name="id"]').val(id); // Load detail id or Load Stop
                $('#reviewModal input[name="customer_type"]').val(customer_type); // 1 = Pickup, 2 = Delivery
                $('#reviewModal input[name="is_stop"]').val(is_stop); // 1 = Stop, 0 = No Stop
                $('#reviewModal input[name="stop_no"]').val(stop_no); // Active Stop no

                var rating                      = that.attr('data-rating'); // Rating
                if (typeof rating !== 'undefined') {
                    if ($('#reviewModal input:radio[name="rating"][value="' + rating + '"]').length > 0) {
                        $('#reviewModal input:radio[name="rating"][value="' + rating + '"]').prop('checked', true);
                    }
                }

                var review_id                   = that.attr('data-review_id'); // Review id
                if (typeof review_id === 'undefined') {
                    review_id                   = '';
                }
                $('#reviewModal input[name="review_id"]').val(review_id);

                $('#dispatchUpdateModal').removeClass('show');
                setTimeout(function() {
                    $('#reviewModal').modal({backdrop: 'static', keyboard: false}, 'show');
                }, 250);
            }
        });
        $(document).on('click', '#reviewModal .post-btn', function(event) {
            event.preventDefault();
            // console.log('Post review');
            // return false;

            var that                            = $(this);
            var btnTxt                          = that.text();

            var form                            = $('#reviewModal #reviewFrm');
            var parsley                         = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            parsley.validate();
            if (parsley.isValid()){
                var formData                    = new FormData(form[0]);
                $.ajax({
                    url: '/driver-admin/mytrips/review-save',
                    type: 'POST',
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                    success: function(response) {
                        if(response.success){
                            // Rating star box
                            $('#dispatchUpdateModal .dispatch-update-feedback').find('#dispatch-update-rating').remove();
                            $('#dispatchUpdateModal .dispatch-update-feedback').find('.dispatch-update-review').remove();

                            if($('#dispatchUpdateModal .dispatch-update-feedback').find('.dispatch-update-thank-you').hasClass('d-none')){
                                $('#dispatchUpdateModal .dispatch-update-feedback').find('.dispatch-update-thank-you').removeClass('d-none').addClass('d-block');
                            }

                            var txt         = btnTxt;
                            txt             = txt.charAt(0).toUpperCase() + txt.slice(1).toLowerCase()
                            toastr.success(
                                txt+' successfully', // response.message,
                                'Success Alert', {
                                    timeOut: 1000,
                                    fadeOut: 1000,
                                    onHidden: function () {
                                        $('#reviewModal').modal('hide');
                                    }
                                }
                            );
                        }else{
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        that.prop('disabled', false).html(btnTxt);
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
                return false;
            }
        });
    </script>
    <!-- Historic dispatch -->
    <script type="text/javascript">
        $(document).on('change', '.table-historic-dispatch .dishpatchPlan-main .paperwork-options', function(event) {
            event.preventDefault();
            // console.log('Historic filter option change');
            // return false;

            var that                        = $(this);
            var documentRow                 = that.closest('.row').find('.documents-body .row');

            var optionSelected              = $("option:selected", this);
            var selectedValue               = optionSelected.val();
            var selectedText                = '';
            if(selectedValue){
                selectedText                = optionSelected.text();
            }

            // Make an AJAX request to get the detailed information
            $.ajax({
                url: '/driver-admin/mytrips/historic-dispatch-detail',
                type: 'POST',
                data: {
                    id: that.attr('data-id'), // Load Detail id
                    status: selectedValue // 0 = Missing Paperwork, 1 = All Paperwork
                },
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                beforeSend: function () {
                    that.prop('disabled', true);
                    documentRow.html(`
                        <div class="col-12 py-3">
                            <p class="text-center mt-1">Please wait loading...</p>
                        </div>
                    `);
                },
                success: function(response) {
                    var html    = response.html;
                    if(typeof html !== "undefined"){
                        documentRow.html(html);
                    }else{
                        toastr.error('Oops! Something went wrong..', 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                },
                complete: function() {
                    that.prop('disabled', false);
                },
                error: function(jqXHR, status, exception) {
                    var error = 'Failed to load data';
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, 'Error Alert', {
                        timeOut: 5000
                    });
                }
            });
        });
        $(document).on('change', '.table-historic-dispatch .dishpatchPlan-main .custom-file-input, .table-historic-dispatch .dishpatchPlan-main .custom-control-input[type="checkbox"]', function(event) {
            event.preventDefault();
            // console.log('Historic file change');
            // return false;

            var that                        = $(this);
            var currentDiv                  = that.closest('.dishpatchPlan-content');
            var currentParent               = currentDiv.parent();

            var jsonData                    = currentDiv.attr('data-jsonString');
            if(jsonData){
                // Parse JSON using vanilla JavaScript
                var jsonObject              = JSON.parse(jsonData);

                var formData                = new FormData();
                formData.append('jsonData', jsonData);

                if(that.hasClass('custom-file-input')){
                    var files               = that[0].files;
                    // Check if files are selected
                    if (files.length <= 0) {
                        return false;
                    }

                    if (typeof jsonObject.source !== "undefined") {
                        if($.inArray(jsonObject.source, ['load_cod_galleries','load_accessorials']) !== -1){
                            if(jsonObject.source == 'load_cod_galleries'){
                                if(files.length > 1){
                                    toastr.error('Please select one document.', 'Error Alert', {
                                        timeOut: 5000
                                    });
                                    return false;
                                }
                            }else{
                                for (var i = 0; i < files.length; i++) {
                                    var validExtensions = ['png','jpeg','jpg','gif'];
                                    var fileName        = files[i].name;
                                    var fileNameExt     = fileName.substr(fileName.lastIndexOf('.') + 1);
                                    if ($.inArray(fileNameExt, validExtensions) == -1){
                                        toastr.error('Only JPG/JPEG, PNG and GIF files are allowed.', 'Error Alert', {
                                            timeOut: 5000
                                        });
                                        return false;
                                    }
                                }
                            }
                        }
                    }

                    // Append files and additional data to FormData
                    for (var i = 0; i < files.length; i++) {
                        formData.append('files[]', files[i]);
                    }
                }else{
                    if (that.is(':checked')) {
                        formData.append('is_received', 'on');
                    }else{
                        formData.append('is_received', 'off');
                    }
                }

                $.ajax({
                    type: 'POST',
                    url: '/driver-admin/mytrips/historic-file-save',
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true);
                    },
                    success: function(response) {
                        if(response.success){
                            // Create a new jQuery object from the new HTML content
                            var newParent   = $(response.html);
                            // Replace the current <div> with the new <div> at the same position
                            currentParent.replaceWith(newParent);

                            if(newParent.closest('.child-row').length > 0){
                                var row     = newParent.closest('.child-row');
                                var id      = row.attr('data-id');
                                if(id){
                                    var tr  = $('.table-historic-dispatch').find('tbody tr[data-parent="yes"][data-id="'+id+'"]');
                                    if(tr.length > 0 && tr.hasClass('shown')){
                                        updateHistoricDispatchStatus(tr);
                                    }
                                }
                            }
                        }else{
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        that.prop('disabled', false);
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
                return false;
            }
        });
        $(document).on('click', '.table-historic-dispatch .dishpatchPlan-main .remove-document', function (event) {
            event.preventDefault();
            // console.log('Historic file remove');
            // return false;

            var that                        = $(this);
            var currentDiv                  = that.closest('.dishpatchPlan-content');
            var currentParent               = currentDiv.parent();

            var jsonData                    = currentDiv.attr('data-jsonString');
            if(jsonData){
                // Parse JSON using vanilla JavaScript
                var jsonObject              = JSON.parse(jsonData);

                $.ajax({
                    url: '/driver-admin/mytrips/historic-file-remove',
                    type: 'POST',
                    data: {
                        jsonData: jsonData, // Load Document Data
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function () {
                        that.prop('disabled', true);
                        that.html('Loading...');
                    },
                    success: function(response) {
                        if(response.success){
                            // Create a new jQuery object from the new HTML content
                            var newParent   = $(response.html);
                            // Replace the current <div> with the new <div> at the same position
                            currentParent.replaceWith(newParent);

                            if(newParent.closest('.child-row').length > 0){
                                var row     = newParent.closest('.child-row');
                                var id      = row.attr('data-id');
                                if(id){
                                    var tr  = $('.table-historic-dispatch').find('tbody tr[data-parent="yes"][data-id="'+id+'"]');
                                    if(tr.length > 0 && tr.hasClass('shown')){
                                        updateHistoricDispatchStatus(tr);
                                    }
                                }
                            }
                        }else{
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        that.prop('disabled', false);
                        that.html('Remove');
                    },
                    error: function(jqXHR, status, exception) {
                        var error = 'Failed to load data';
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
                return false;
            }
        });
        function updateHistoricDispatchStatus(row){
            $.ajax({
                url: '/driver-admin/mytrips/historic-dispatch-status',
                type: 'POST',
                data: {
                    id: row.attr('data-id') // Load Detail id
                },
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                beforeSend: function () {
                    row.find('td:eq(2)').html('<i class="fa fa-spinner" aria-hidden="true"></i>')
                    row.find('td:eq(3)').html('Loading...');
                    // Responsive tr
                    if(row.hasClass('parent')){
                        var nextTr                          = row.next();
                        if(nextTr.length > 0){
                            var detailUl                    = nextTr.find('.dtr-details');
                            if(detailUl.length > 0){
                                // Icon Button Logic
                                var liIcon                  = detailUl.find('li[data-dt-column="2"]');
                                if(liIcon.length > 0 && liIcon.find('.dtr-data').length > 0){
                                    liIcon.find('.dtr-data').html('<i class="fa fa-spinner" aria-hidden="true"></i>');
                                }
                                // Status Button Logic
                                var liStatus                = detailUl.find('li[data-dt-column="3"]');
                                if(liStatus.length > 0 && liStatus.find('.dtr-data').length > 0){
                                    liStatus.find('.dtr-data').html('Loading...');
                                }
                            }
                        }
                    }
                },
                success: function(response) {
                    if(response.success){
                        if(typeof response.status !== "undefined"){
                            if(response.status == 0){
                                row.find('td:eq(2)').html('<i class="fa fa-exclamation text-danger" aria-hidden="true"></i>')
                                row.find('td:eq(3)').html('<div class="d-flex text-danger align-items-center fw-600">Missing Paperwork</div>');
                                // Responsive tr
                                if(row.hasClass('parent')){
                                    var nextTr              = row.next();
                                    if(nextTr.length > 0){
                                        var detailUl        = nextTr.find('.dtr-details');
                                        if(detailUl.length > 0){
                                            // Icon Button Logic
                                            var liIcon      = detailUl.find('li[data-dt-column="2"]');
                                            if(liIcon.length > 0 && liIcon.find('.dtr-data').length > 0){
                                                liIcon.find('.dtr-data').html('<i class="fa fa-exclamation text-danger" aria-hidden="true"></i>');
                                            }
                                            // Status Button Logic
                                            var liStatus    = detailUl.find('li[data-dt-column="3"]');
                                            if(liStatus.length > 0 && liStatus.find('.dtr-data').length > 0){
                                                liStatus.find('.dtr-data').html('<div class="d-flex text-danger align-items-center fw-600">Missing Paperwork</div>');
                                            }
                                        }
                                    }
                                }
                            }else{
                                row.find('td:eq(2)').html('<i class="fa fa-check text-success" aria-hidden="true"></i>')
                                row.find('td:eq(3)').html('<div class="d-flex text-success align-items-center fw-600">Complete</div>');
                                // Responsive tr
                                if(row.hasClass('parent')){
                                    var nextTr              = row.next();
                                    if(nextTr.length > 0){
                                        var detailUl        = nextTr.find('.dtr-details');
                                        if(detailUl.length > 0){
                                            // Icon Button Logic
                                            var liIcon      = detailUl.find('li[data-dt-column="2"]');
                                            if(liIcon.length > 0 && liIcon.find('.dtr-data').length > 0){
                                                liIcon.find('.dtr-data').html('<i class="fa fa-check text-success" aria-hidden="true"></i>');
                                            }
                                            // Status Button Logic
                                            var liStatus    = detailUl.find('li[data-dt-column="3"]');
                                            if(liStatus.length > 0 && liStatus.find('.dtr-data').length > 0){
                                                liStatus.find('.dtr-data').html('<div class="d-flex text-success align-items-center fw-600">Complete</div>');
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }else{
                        // console.log(response.message);
                    }
                },
                complete: function() {
                    // console.log('complete');
                },
                error: function(jqXHR, status, exception) {
                    // console.log('Failed to load data');
                }
            });
        }
    </script>
    <script type="text/javascript">
        function upcomingDispatchRead(){
            $.ajax({
                url: '/driver-admin/mytrips/upcoming-dispatch-read',
                method: 'POST',
                data: {},
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                success: function(response) {
                    // console.log(response);
                }
            });
        }
        function getCurrentDispatch(){
            $.ajax({
                url: '/driver-admin/mytrips/current-dispatch-detail',
                type: 'POST',
                data: {},
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                // async: false,
                beforeSend: function () {
                    $('#nav-current-dispatch').html(`
                        <div class="loadingdiv">
                            <img src="`+loadimg+`">
                        </div>
                    `);

                    // Check if intervalId exists and is not undefined before clearing the interval
                    if (tabIntervals.hasOwnProperty("#nav-current-dispatch") && tabIntervals["#nav-current-dispatch"].hasOwnProperty("completed-miles")) {
                        // Clear the previous interval to prevent overlapping requests
                        clearInterval(tabIntervals["#nav-current-dispatch"]["completed-miles"]);
                    }
                },
                success: function(response) {
                    var html        = response.html;
                    if(typeof html !== "undefined"){
                        $('#nav-current-dispatch').html(html);

                        var data    = response.data;
                        if(typeof data !== "undefined" && !$.isEmptyObject(data)){
                            setTimeout(function() {
                                var truckStopArry           = data.truckStopArry;
                                if(typeof truckStopArry !== "undefined" && !$.isEmptyObject(truckStopArry)){
                                    if(typeof truckStopArry.index !== "undefined"){
                                        $('#carouselExampleControlsNoTouching .carousel-item').removeClass('active');
                                        $('#carouselExampleControlsNoTouching .carousel-item[data-stop_index="' + truckStopArry.index + '"]').addClass('active');
                                    }
                                }

                                getCompletedMiles();
                                // Set up a timer to call the fetchData function every 30 seconds
                                tabIntervals["#nav-current-dispatch"]["completed-miles"] = setInterval(getCompletedMiles, 60000); // 30 seconds in milliseconds

                                var card                    = $('.detention-card.active');
                                if(card.length > 0){
                                    var detention_status    = card.find('span[data-detention_status]').attr('data-detention_status');
                                    if (typeof detention_status !== "undefined" && detention_status !== null && detention_status.trim() !== "") {
                                        if($.inArray(detention_status, ['1', '2']) !== -1){
                                            var arriveDepartbtn         = $('.carousel-item.active .dishpatchPlan-content a.arrive-depart-request'); // Active drop & hook button get
                                            if(arriveDepartbtn.length > 0){
                                                arriveDepartbtn.prop('disabled', true);
                                                arriveDepartbtn.addClass('btn-grey').removeClass('btn-orange');
                                            }
                                            var dropHookbtn             = $('.carousel-item.active .dishpatchPlan-content a.drop-hook-request'); // Active drop & hook button get
                                            if(dropHookbtn.length > 0){
                                                dropHookbtn.prop('disabled', true);
                                                dropHookbtn.addClass('btn-grey').removeClass('btn-orange');
                                            }
                                        }else{
                                            var arriveDepartbtn         = $('.carousel-item.active .dishpatchPlan-content a.arrive-depart-request'); // Active drop & hook button get
                                            if(arriveDepartbtn.length > 0){
                                                arriveDepartbtn.prop('disabled', false);
                                                arriveDepartbtn.addClass('btn-orange').removeClass('btn-grey');
                                            }
                                            var dropHookbtn             = $('.carousel-item.active .dishpatchPlan-content a.drop-hook-request'); // Active drop & hook button get
                                            if(dropHookbtn.length > 0){
                                                dropHookbtn.prop('disabled', false);
                                                dropHookbtn.addClass('btn-orange').removeClass('btn-grey');
                                            }
                                        }
                                    }
                                    //
                                    updateClock();
                                }
                            }, 250);
                        }
                    }else{
                        toastr.error('Oops! Something went wrong..', 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                },
                complete: function() {
                    // console.log('complete');
                },
                error: function(jqXHR, status, exception) {
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, 'Error Alert', {
                        timeOut: 5000
                    });
                }
            });
        }
        async function getCompletedMiles() {
            var id = $('.current-dispatch-hedding .load-detail-id').attr('data-id'); // Load detail id
            if(id){
                try {
                    const response  = await new Promise((resolve, reject) => {
                        $.ajax({
                            url: '/driver-admin/mytrips/current-dispatch-completed-miles',
                            type: 'POST',
                            data: { id: id },
                            dataType: 'json',
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            beforeSend: function () {
                                // console.log("Fetching Completed Miles...");
                            },
                            success: function (data) {
                                resolve(data);
                            },
                            error: function (jqXHR, status, exception) {
                                reject({ jqXHR, status, exception });
                            }
                        });
                    });
                    if(response.success){
                        // First AJAX request was successful
                        var data    = response.data;
                        if(typeof data !== "undefined" && !$.isEmptyObject(data)){
                            var trimbleMapParams        = data.trimbleMapParams;
                            var mileageCoords           = data.mileageCoords;
                            if(trimbleMapsAPIKey && (typeof trimbleMapParams !== "undefined" && !$.isEmptyObject(trimbleMapParams)) && (typeof mileageCoords !== "undefined" && !$.isEmptyObject(mileageCoords))){
                                var stopArray           = [];
                                stopArray.push({longitude: parseFloat(mileageCoords.deadheadLocation.longitude), latitude: parseFloat(mileageCoords.deadheadLocation.latitude)});
                                stopArray.push({longitude: parseFloat(mileageCoords.currentLocation.longitude), latitude: parseFloat(mileageCoords.currentLocation.latitude)});

                                var mappedArr           = $.map(stopArray, function(value, index) {
                                    return value.longitude+','+value.latitude;
                                });
                                var stops               = mappedArr.join(';');

                                var tollRoads           = trimbleMapParams.map_toll_roads;
                                if(tollRoads){
                                    tollRoads           = parseInt(tollRoads);
                                }else{
                                    tollRoads           = 2;
                                }

                                var elevLimit           = 0;
                                var elevLimitVal        = trimbleMapParams.map_max_elevation;
                                if(elevLimitVal){
                                    elevLimit           = parseInt(elevLimitVal);
                                }

                                var hazMat              = 0;
                                if(trimbleMapParams.hazardous_load==1){
                                    hazMat              = trimbleMapParams.hazardous_options;
                                }

                                const reportUrl         = 'https://pcmiler.alk.com/APIs/REST/v1.0/service.svc/route/routeReports';

                                const getParams         = [];
                                getParams.push(`stops=${encodeURIComponent(stops)}`);
                                getParams.push('reports=Mileage');
                                getParams.push('tollRoads='+tollRoads);
                                getParams.push('elevLimit='+elevLimit);
                                if(trimbleMapParams.map_close_borders==1){
                                    getParams.push('avoidCountry=CA,MX');
                                }
                                getParams.push('hazMat='+hazMat);
                                // HazMatType, HazMatTypes

                                // Create a new Promise for the second AJAX request
                                const fetchSecondData   = new Promise((resolve, reject) => {
                                    fetch(`${reportUrl}?${getParams.join('&')}`, {
                                        method: 'GET',
                                        headers: {
                                            Authorization: trimbleMapsAPIKey
                                        }
                                    })
                                    .then((response) => response.json())
                                    .then((data) => {
                                        resolve(data);
                                    })
                                    .catch((error) => {
                                        reject(error);
                                    });
                                });

                                // Wait for the second AJAX request to complete using await
                                const secondResponse    = await fetchSecondData;
                                // Check if secondResponse contains successful data
                                if (secondResponse && secondResponse.length > 0) {
                                    // Handle the successful response here
                                    var completed_miles = secondResponse[0].ReportLines[1].TMiles;
                                    completed_miles     = parseFloat(completed_miles).toFixed(2);
                                    completed_miles     = Math.round(parseFloat(completed_miles));
                                    var total_miles     = $('p span.total-miles').text();
                                    total_miles         = parseFloat(total_miles);
                                    var percentage      = 0;
                                    if (completed_miles >= total_miles) {
                                        percentage      = 100;
                                        completed_miles = total_miles;
                                    } else {
                                        percentage      = (completed_miles / total_miles) * 100;
                                        percentage      = Math.round(percentage);
                                    }
                                    $('p span.completed-miles').text(formatNumberWithCommas(completed_miles));
                                    $('.miles-progressbar div.progress-bar').css('width', percentage + '%');
                                    $('.miles-progressbar div.progress-bar').attr('aria-valuenow', percentage);
                                } else {
                                    // Handle the case where the response is not as expected
                                    // console.log('Second AJAX request did not return the expected data.');
                                }
                            }
                        }
                    }else{
                        // console.log('AJAX request failed: ' + response.message);
                    }
                } catch (error) {
                    let errorMsg;
                    if (error.jqXHR.status === 0) {
                        errorMsg = 'Not connected. Please verify your network connection.';
                    } else if (error.jqXHR.status === 404) {
                        errorMsg = 'The requested page not found. [404]';
                    } else if (error.jqXHR.status === 500) {
                        errorMsg = 'Internal Server Error [500].';
                    } else if (error.exception === 'parsererror') {
                        errorMsg = 'Requested JSON parse failed.';
                    } else if (error.exception === 'timeout') {
                        errorMsg = 'Time out error.';
                    } else if (error.exception === 'abort') {
                        errorMsg = 'Ajax request aborted.';
                    } else {
                        errorMsg = 'Uncaught Error. ' + error.jqXHR.responseText;
                    }
                    // console.log('AJAX request failed: ' + errorMsg);
                }
            }
        }
    </script>
    <script type="text/javascript">
        function getCarouselContent(){
            var id = $('.current-dispatch-hedding .load-detail-id').attr('data-id'); // Load detail id
            if(id){
                $.ajax({
                    url: '/driver-admin/mytrips/carousel-content',
                    type: 'POST',
                    data: { id : id },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function () {
                        $('#carouselExampleControlsNoTouching').html(`
                            <div class="loadingdiv">
                                <img src="`+loadimg+`">
                            </div>
                        `);
                    },
                    success: function(response) {
                        var html        = response.html;
                        if(typeof html !== "undefined"){
                            $('#carouselExampleControlsNoTouching').html(html);

                            var data    = response.data;
                            if(typeof data !== "undefined" && !$.isEmptyObject(data)){
                                var truckStopArry       = data.truckStopArry;
                                if(typeof truckStopArry !== "undefined" && !$.isEmptyObject(truckStopArry)){
                                    setTimeout(function() {
                                        if(typeof truckStopArry.status !== "undefined"){
                                            $('p span.load-status-txt').text(truckStopArry.status);
                                        }
                                        if(typeof truckStopArry.index !== "undefined"){
                                            $('#carouselExampleControlsNoTouching .carousel-item').removeClass('active');
                                            $('#carouselExampleControlsNoTouching .carousel-item[data-stop_index="' + truckStopArry.index + '"]').addClass('active');

                                            // Trigger the carousel slide event to update the carousel
                                            // $('#carouselExampleControlsNoTouching').trigger('slide.bs.carousel');

                                            // Initialize the carousel
                                            // $('#carouselExampleControlsNoTouching').carousel();
                                        }
                                    }, 250);
                                }
                             }
                        }else{
                            toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        // console.log('complete');
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
        }
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('#detentionRequestModal').on('hidden.bs.modal', function () {
                //console.log('Detention request modal hidden');
                if(typeof modalInterval !== "undefined" && modalInterval > 0)
                    clearInterval(modalInterval);
                $('#detentionRequestModal').find('.append-view').html('');
            });
            $('#detentionRequestModal').on('show.bs.modal', function (e) {
                //console.log('Detention request modal show');
                $('#detentionRequestModal').find('.append-view').html(`
                    <div class="loadingdiv">
                        <img src="`+loadimg+`">
                    </div>
                `);
            });
        });
        $(document).on('click', '.detention-request', function(event) {
            event.preventDefault();
            // console.log('detention-request');
            // return false;

            var that                                = $(this);
            var id                                  = that.attr('data-id');
            var is_stop                             = that.attr('data-is_stop');
            var timezone_abbr                       = that.attr('data-timezone_abbr');

            var detention_id                        = that.attr('data-detention_id');
            var detention_status                    = that.attr('data-detention_status');
            if(id){
                var formData                        = {};
                formData['id']                      = id;
                formData['is_stop']                 = is_stop;
                if (typeof that.data('customer_type') !== "undefined")
                    formData['customer_type']       = that.data('customer_type');

                formData['detention_id']            = detention_id;
                formData['detention_status']        = detention_status;

                $.ajax({
                    url: '/driver-admin/mytrips/detention-request',
                    type: 'POST',
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function () {
                        $('#detentionRequestModal').modal({backdrop: 'static', keyboard: false}, 'show');
                    },
                    success: function(response) {
                        if(response.success){
                            var html    = response.html;
                            if(typeof html !== "undefined"){
                                $('#detentionRequestModal').find('.append-view').html(html);
                                setTimeout(function() {
                                    updateClock(1); // isModal = Yes

                                    var modalForm                   = $('#detentionRequestModal #detentionForm');
                                    if(modalForm.length > 0){
                                        // Using abbreviation
                                        // var momentWithAbbr       = moment().tz("EST");
                                        // console.log(momentWithAbbr.format());  // Output will be in Eastern Standard Time

                                        // Using time zone name
                                        // var momentWithTimeZone   = moment().tz("America/New_York");
                                        // console.log(momentWithTimeZone.format());  // Output will be in the specified time zone

                                        var timeZone                = modalForm.find('input[name="timezone"]').val(); // Get the desired timezone

                                        var detention_start_time    = modalForm.find('input[name="detention_start_time"]');
                                        if(detention_start_time.length > 0){
                                            var useCurrent          = false;
                                            var startTimeLabel      = modalForm.find('.detention_start_time_label');
                                            if(startTimeLabel.length > 0){
                                                var startTimeVal    = startTimeLabel.attr('data-val');
                                                if(startTimeVal==''){
                                                    useCurrent      = true;
                                                }
                                            }

                                            detention_start_time.datetimepicker({
                                                ignoreReadonly: false,
                                                format: dateTimeLayout,
                                                useCurrent: useCurrent,
                                                timeZone: timeZone,
                                                maxDate: moment().tz(timeZone)
                                            }).on('dp.change', function(e) {
                                                detention_start_time.parsley().reset();
                                                var selectedDate    = e.date;
                                                var formattedDate   = moment(selectedDate).format(dateTimeLayout);
                                                modalForm.find('.detention_start_time_label').attr('data-val', formattedDate);
                                            });
                                        }

                                        var detention_end_time      = modalForm.find('input[name="detention_end_time"]');
                                        if(detention_end_time.length > 0){
                                            detention_end_time.datetimepicker({
                                                ignoreReadonly: false,
                                                format: dateTimeLayout,
                                                useCurrent: true,
                                                timeZone: timeZone
                                            }).on('dp.change', function(e) {
                                                detention_end_time.parsley().reset();
                                                var selectedDate    = e.date;
                                                var formattedDate   = moment(selectedDate).format(dateTimeLayout);
                                                modalForm.find('.detention_end_time_label').attr('data-val', formattedDate);
                                            });
                                        }
                                    }
                                }, 250);
                            }else{
                                toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                    timeOut: 5000
                                });
                            }
                        }else{
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        // console.log('complete');
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
                return false;
            }
        });
        $(document).on('click', '.detention-submit', function(event) {
            event.preventDefault();
            // console.log('detention-submit');
            // return false;

            var that                                = $(this);
            var btnTxt                              = that.text();

            var detention_status                    = that.attr('data-detention_status');
            var detention_msg                       = 'Detention cancel successfully.';
            if(detention_status == 1){
                detention_msg                       = 'Detention start successfully.';
            }else if(detention_status == 2){
                detention_msg                       = 'Detention stop successfully.';
            }else if(detention_status == 3){
                detention_msg                       = 'Detention review successfully.';
            }

            var form                                = $('#detentionRequestModal #detentionForm');
            var formData                            = new FormData(form[0]);
            formData.append('detention_status', detention_status);

            var driver_id                           = form.find('input[name="driver_id"]').val();
            var broker_id                           = form.find('input[name="broker_id"]').val();
            if(driver_id=='' || broker_id==''){
                return false;
            }

            if(detention_status == 0){
                Swal.fire({
                    title: "Are you sure?",
                    text: "You won't be able to revert this!",
                    icon: "warning",
                    showCancelButton: true,
                    confirmButtonColor: "#3085d6",
                    confirmButtonText: "Yes",
                    allowOutsideClick: false
                }).then((result) => {
                    if(result.isConfirmed){
                        $.ajax({
                            url: '/driver-admin/mytrips/detention-save',
                            type: 'POST',
                            data: formData,
                            dataType: 'json',
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            cache : false,
                            processData: false,
                            contentType: false,
                            beforeSend: function () {
                                that.prop('disabled', true).html('Please Wait...');
                            },
                            success: function(response) {
                                if(response.success){
                                    getCurrentDispatch();

                                    toastr.success(
                                        detention_msg,
                                        'Success Alert', {
                                            timeOut: 1000,
                                            fadeOut: 1000,
                                            onHidden: function () {
                                                $('#detentionRequestModal').modal('hide');
                                            }
                                        }
                                    );
                                }else{
                                    toastr.error(response.message, 'Error Alert', {
                                        timeOut: 5000
                                    });
                                }
                            },
                            complete: function() {
                                that.prop('disabled', false).html(btnTxt);
                            },
                            error: function(jqXHR, status, exception) {
                                if (jqXHR.status === 0) {
                                    error = 'Not connected.\nPlease verify your network connection.';
                                } else if (jqXHR.status == 404) {
                                    error = 'The requested page not found. [404]';
                                } else if (jqXHR.status == 500) {
                                    error = 'Internal Server Error [500].';
                                } else if (exception === 'parsererror') {
                                    error = 'Requested JSON parse failed.';
                                } else if (exception === 'timeout') {
                                    error = 'Time out error.';
                                } else if (exception === 'abort') {
                                    error = 'Ajax request aborted.';
                                } else {
                                    error = 'Uncaught Error.\n' + jqXHR.responseText;
                                }
                                toastr.error(error, 'Error Alert', {
                                    timeOut: 5000
                                });
                            }
                        });
                        return false;
                    }
                });
            }else{
                var parsley                         = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });
                parsley.validate();
                if (parsley.isValid()){
                    $.ajax({
                        url: '/driver-admin/mytrips/detention-save',
                        type: 'POST',
                        data: formData,
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        cache : false,
                        processData: false,
                        contentType: false,
                        beforeSend: function () {
                            that.prop('disabled', true).html('Please Wait...');
                        },
                        success: function(response) {
                            if(response.success){
                                var detention                       = response.data // Detention detail
                                if(typeof detention !== "undefined"){
                                    var card                        = $('.detention-card.active'); // Active Detention
                                    var btn                         =  card.find('.detention-request');

                                    var timeZone                    = form.find('input[name="timezone"]').val();

                                    if($.inArray(detention.detention_status, ['1', '2']) !== -1){
                                        var arriveDepartbtn         = $('.carousel-item.active .dishpatchPlan-content a.arrive-depart-request'); // Active drop & hook button get
                                        if(arriveDepartbtn.length > 0){
                                            arriveDepartbtn.prop('disabled', true);
                                            arriveDepartbtn.addClass('btn-grey').removeClass('btn-orange');
                                        }
                                        var dropHookbtn             = $('.carousel-item.active .dishpatchPlan-content a.drop-hook-request'); // Active drop & hook button get
                                        if(dropHookbtn.length > 0){
                                            dropHookbtn.prop('disabled', true);
                                            dropHookbtn.addClass('btn-grey').removeClass('btn-orange');
                                        }
                                    }else{
                                        var arriveDepartbtn         = $('.carousel-item.active .dishpatchPlan-content a.arrive-depart-request'); // Active drop & hook button get
                                        if(arriveDepartbtn.length > 0){
                                            arriveDepartbtn.prop('disabled', false);
                                            arriveDepartbtn.addClass('btn-orange').removeClass('btn-grey');
                                        }
                                        var dropHookbtn             = $('.carousel-item.active .dishpatchPlan-content a.drop-hook-request'); // Active drop & hook button get
                                        if(dropHookbtn.length > 0){
                                            dropHookbtn.prop('disabled', false);
                                            dropHookbtn.addClass('btn-orange').removeClass('btn-grey');
                                        }
                                    }

                                    if(detention.detention_status == 1){
                                        var detention_start_time    = moment.utc(detention.detention_start_time).tz(timeZone).format(dateTimeLayout);

                                        btn.attr('data-detention_id', detention.id);
                                        btn.attr('data-detention_start_time', detention_start_time);
                                        btn.attr('data-detention_status', detention.detention_status);
                                        btn.text('Stop Detention');

                                        card.find('.detention_start_time').val(detention_start_time);
                                        card.find('.detention_start_time_label').attr('data-val', detention_start_time);
                                        card.find('.detention_start_time_div').removeClass('d-none');

                                        if(detention.gps_location){
                                            card.find('.detention_gps_location').text(detention.gps_location);
                                        }

                                        card.find('span[data-detention_status]').attr('data-detention_status', detention.detention_status);
                                        card.find('span[data-detention_status]').text('Status: In Progress');

                                        toastr.success(
                                            detention_msg,
                                            'Success Alert', {
                                                timeOut: 1000,
                                                fadeOut: 1000,
                                                onHidden: function () {
                                                    $('#detentionRequestModal').modal('hide');
                                                }
                                            }
                                        );
                                    }else if(detention.detention_status == 2){
                                        var detention_start_time    = moment.utc(detention.detention_start_time).tz(timeZone).format(dateTimeLayout);
                                        var detention_end_time      = moment.utc(detention.detention_end_time).tz(timeZone).format(dateTimeLayout);

                                        form.find('input[name="detention_id"]').val(detention.id);
                                        form.find('input[name="detention_end_time"]').val(detention_end_time);
                                        form.find('input[name="detention_end_time"]').prop('required', true);
                                        form.find('input[name="detention_end_time"]').attr('data-parsley-errors-container', '#detention_end_time-errors');
                                        form.find('.detention_end_time_label').attr('data-val', detention_end_time);
                                        form.find('.detention_end_time_div').removeClass('d-none');

                                        form.find('.detention-continue').addClass('d-none');
                                        // form.find('.detention-cancel-and-submit').addClass('d-none');
                                        form.find('.detention-submit-for-review').removeClass('d-none');

                                        that.addClass('d-none');

                                        btn.attr('data-detention_id', detention.id);
                                        btn.attr('data-detention_start_time', detention_start_time);
                                        btn.attr('data-detention_end_time', detention_end_time);
                                        btn.attr('data-detention_status', detention.detention_status);
                                        btn.text('Stop Detention');

                                        card.find('.detention_start_time').val(detention_start_time);
                                        card.find('.detention_start_time_label').attr('data-val', detention_start_time);
                                        // card.find('.detention_start_time_div').removeClass('d-none');

                                        card.find('.detention_end_time').val(detention_end_time);
                                        card.find('.detention_end_time_label').attr('data-val', detention_end_time);
                                        card.find('.detention_end_time_div').removeClass('d-none');

                                        card.find('.detention_detained_time_label').text('Detained Time:');

                                        if(detention.gps_location){
                                            card.find('.detention_gps_location').text(detention.gps_location);
                                        }

                                        card.find('span[data-detention_status]').attr('data-detention_status', detention.detention_status);
                                        card.find('span[data-detention_status]').text('Status: In Progress');
                                    }else if(detention.detention_status == 3){
                                        var detention_start_time    = moment.utc(detention.detention_start_time).tz(timeZone).format(dateTimeLayout);
                                        var detention_end_time      = moment.utc(detention.detention_end_time).tz(timeZone).format(dateTimeLayout);

                                        btn.attr('data-detention_id', detention.id);
                                        btn.attr('data-detention_start_time', detention_start_time);
                                        btn.attr('data-detention_end_time', detention_end_time);
                                        btn.attr('data-detention_status', detention.detention_status);
                                        btn.text('Complete Detention');
                                        // btn.addClass('btn-grey');
                                        // btn.removeClass('btn-blue detention-request');
                                        btn.prop('disabled', true);

                                        card.find('.detention_start_time').val(detention_start_time);
                                        card.find('.detention_start_time_label').attr('data-val', detention_start_time);
                                        // card.find('.detention_start_time_div').removeClass('d-none');

                                        card.find('.detention_end_time').val(detention_end_time);
                                        card.find('.detention_end_time_label').attr('data-val', detention_end_time);
                                        // card.find('.detention_end_time_div').removeClass('d-none');

                                        card.find('.detention_detained_time_label').text('Detained Time:');

                                        if(detention.gps_location){
                                            card.find('.detention_gps_location').text(detention.gps_location);
                                        }

                                        card.find('span[data-detention_status]').attr('data-detention_status', detention.detention_status);
                                        if($.inArray(detention.review_status, ['In Progress', 'Detention Stopped - Pending Approval']) !== -1){
                                            card.find('span[data-detention_status]').text('Status: Detention Complete - Pending Approval');
                                        }else{
                                            card.find('span[data-detention_status]').text('Review Status: '+detention.review_status);
                                        }

                                        toastr.success(
                                            detention_msg,
                                            'Success Alert', {
                                                timeOut: 1000,
                                                fadeOut: 1000,
                                                onHidden: function () {
                                                    $('#detentionRequestModal').modal('hide');
                                                }
                                            }
                                        );
                                    }
                                }
                            }else{
                                toastr.error(response.message, 'Error Alert', {
                                    timeOut: 5000
                                });
                            }
                        },
                        complete: function() {
                            that.prop('disabled', false).html(btnTxt);
                        },
                        error: function(jqXHR, status, exception) {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
                return false;
            }
        });
        function updateClock(isModal=0){
            if(isModal==1){
                var modalForm                           = $('#detentionRequestModal #detentionForm');
                var modalInterval                       = setInterval(function() {
                    var timeZone                        = modalForm.find('input[name="timezone"]').val(); // modalForm.find('input[name="timezone_abbr"]').val();

                    var endStr                          = moment().tz(timeZone).format(dateTimeLayout); // Get the current date and time in the specified timezone
                    var endTimeLabel                    = modalForm.find('.detention_end_time_label');
                    if(endTimeLabel.length > 0){
                        var endTimeLabelVal             = endTimeLabel.attr('data-val');
                        if(endTimeLabelVal){
                            endStr                      = endTimeLabelVal;
                        }
                    }
                    var endStamp                        = moment(endStr, dateTimeLayout, true);

                    var startStr                        = endStr;
                    var startTimeLabel                  = modalForm.find('.detention_start_time_label');
                    if(startTimeLabel.length > 0){
                        var startTimeLabelVal           = startTimeLabel.attr('data-val');
                        if(startTimeLabelVal){
                            startStr                    = startTimeLabelVal;
                        }
                    }
                    var startStamp                      = moment(startStr, dateTimeLayout, true);

                    // Check if moments are valid before proceeding
                    if (startStamp.isValid() && endStamp.isValid()) {
                        // Calculate the difference between the two dates and times
                        var duration                    = moment.duration(Math.abs((endStamp.diff(startStamp))));

                        // Get the difference in hours and minutes
                        var totalHours                  = Math.floor(duration.asHours());
                        var totalMinutes                = Math.round(duration.asMinutes() % 60);

                        // Format hours with leading zero for single digits
                        var formattedHours              = totalHours < 10 ? '0' + totalHours : totalHours;

                        // Format minutes with leading zero for single digits
                        var formattedMinutes            = totalMinutes < 10 ? '0' + totalMinutes : totalMinutes;

                        // Determine the label for hours
                        var hoursLabel                  = totalHours === 1 || totalHours === 0 ? 'hr' : 'hrs';

                        // Determine the label for minutes
                        var minutesLabel                = totalMinutes === 1 || totalMinutes === 0 ? 'min' : 'mins';

                        // Concatenate hours and minutes into a single string
                        var result                      = formattedHours + ' ' + hoursLabel + ' ' + formattedMinutes + ' ' + minutesLabel;

                        // Display the result

                        if(endStamp.isBefore(startStamp)){
                            modalForm.find('.detained-time').val('-'+result);
                            if(!modalForm.find('input[name="detention_end_time"]').closest('div').next().hasClass('invalid-feedback')){
                                modalForm.find('input[name="detention_end_time"]').closest('div').after('<span class="invalid-feedback">End date must be after start date.</span>');
                            }
                            var mfbuttons               = modalForm.find('.detention-submit').each(function(i, obj) {
                                if($(obj).attr('data-detention_status')!=0){
                                    $(obj).prop('disabled', true);
                                }
                            });
                        }else{
                            modalForm.find('.detained-time').val(result);
                            if(modalForm.find('input[name="detention_end_time"]').closest('div').next().hasClass('invalid-feedback')){
                                modalForm.find('input[name="detention_end_time"]').closest('div').next().remove();
                            }
                            var mfbuttons               = modalForm.find('.detention-submit').each(function(i, obj) {
                                if($(obj).attr('data-detention_status')!=0){
                                    $(obj).prop('disabled', false);
                                }
                            });
                        }
                    }
                }, 3000);
            }else{
                var pageInterval                        = setInterval(function() {
                    var that                            = $('.detention-request');
                    if(that.length > 0){
                        var timeZone                    = that.attr('data-timezone'); // that.attr('data-timezone_abbr');
                        var status                      = that.attr('data-detention_status');

                        var endStr                      = moment().tz(timeZone).format(dateTimeLayout); // Get the current date and time in the specified timezone
                        if(status==2 || status==3){
                            if (typeof that.attr('data-detention_end_time') !== 'undefined' && $.trim(that.attr('data-detention_end_time')) !== '') {
                                endStr                  = that.attr('data-detention_end_time');
                            }
                        }
                        var endStamp                    = moment(endStr, dateTimeLayout, true);

                        var startStr;
                        if (typeof that.attr('data-detention_start_time') !== 'undefined' && $.trim(that.attr('data-detention_start_time')) !== '') {
                            startStr                    = that.attr('data-detention_start_time');
                        }else{
                            if (typeof that.attr('data-detention_arrival_time') !== 'undefined' && $.trim(that.attr('data-detention_arrival_time')) !== '') {
                                startStr                = that.attr('data-detention_arrival_time');
                            } else {
                                startStr                = endStr;
                            }
                        }
                        var startStamp                  = moment(startStr, dateTimeLayout, true);

                        // Check if moments are valid before proceeding
                        if (startStamp.isValid() && endStamp.isValid()) {
                            // Calculate the difference between the two dates and times
                            var duration                = moment.duration(Math.abs((endStamp.diff(startStamp))));

                            // Get the difference in hours and minutes
                            var totalHours              = Math.floor(duration.asHours());
                            var totalMinutes            = Math.round(duration.asMinutes() % 60);

                            // Format hours with leading zero for single digits
                            var formattedHours          = totalHours < 10 ? '0' + totalHours : totalHours;

                            // Format minutes with leading zero for single digits
                            var formattedMinutes        = totalMinutes < 10 ? '0' + totalMinutes : totalMinutes;

                            // Determine the label for hours
                            var hoursLabel              = totalHours === 1 || totalHours === 0 ? 'hr' : 'hrs';

                            // Determine the label for minutes
                            var minutesLabel            = totalMinutes === 1 || totalMinutes === 0 ? 'min' : 'mins';

                            // Concatenate hours and minutes into a single string
                            var result                  = formattedHours + ' ' + hoursLabel + ' ' + formattedMinutes + ' ' + minutesLabel;

                            // Display the result

                            if(endStamp.isBefore(startStamp)){
                                that.closest('.detention-card.active').find('.detention_detained_time').val('-'+result);
                            }else{
                                that.closest('.detention-card.active').find('.detention_detained_time').val(result);
                            }
                        }
                    }else{
                        clearInterval(pageInterval);
                    }
                }, 3000);
            }
        }
    </script>
@endsection
